#! /bin/sh
# Guess values for system-dependent variables and create Makefiles.
# Generated by GNU Autoconf 2.69.
#
#
# Copyright (C) 1992-1996, 1998-2012 Free Software Foundation, Inc.
#
#
# This configure script is free software; the Free Software Foundation
# gives unlimited permission to copy, distribute and modify it.
## -------------------- ##
## M4sh Initialization. ##
## -------------------- ##

# Be more Bourne compatible
DUALCASE=1; export DUALCASE # for MKS sh
if test -n "${ZSH_VERSION+set}" && (emulate sh) >/dev/null 2>&1; then :
  emulate sh
  NULLCMD=:
  # Pre-4.2 versions of Zsh do word splitting on ${1+"$@"}, which
  # is contrary to our usage.  Disable this feature.
  alias -g '${1+"$@"}'='"$@"'
  setopt NO_GLOB_SUBST
else
  case `(set -o) 2>/dev/null` in #(
  *posix*) :
    set -o posix ;; #(
  *) :
     ;;
esac
fi


as_nl='
'
export as_nl
# Printing a long string crashes Solaris 7 /usr/bin/printf.
as_echo='\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\'
as_echo=$as_echo$as_echo$as_echo$as_echo$as_echo
as_echo=$as_echo$as_echo$as_echo$as_echo$as_echo$as_echo
# Prefer a ksh shell builtin over an external printf program on Solaris,
# but without wasting forks for bash or zsh.
if test -z "$BASH_VERSION$ZSH_VERSION" \
    && (test "X`print -r -- $as_echo`" = "X$as_echo") 2>/dev/null; then
  as_echo='print -r --'
  as_echo_n='print -rn --'
elif (test "X`printf %s $as_echo`" = "X$as_echo") 2>/dev/null; then
  as_echo='printf %s\n'
  as_echo_n='printf %s'
else
  if test "X`(/usr/ucb/echo -n -n $as_echo) 2>/dev/null`" = "X-n $as_echo"; then
    as_echo_body='eval /usr/ucb/echo -n "$1$as_nl"'
    as_echo_n='/usr/ucb/echo -n'
  else
    as_echo_body='eval expr "X$1" : "X\\(.*\\)"'
    as_echo_n_body='eval
      arg=$1;
      case $arg in #(
      *"$as_nl"*)
	expr "X$arg" : "X\\(.*\\)$as_nl";
	arg=`expr "X$arg" : ".*$as_nl\\(.*\\)"`;;
      esac;
      expr "X$arg" : "X\\(.*\\)" | tr -d "$as_nl"
    '
    export as_echo_n_body
    as_echo_n='sh -c $as_echo_n_body as_echo'
  fi
  export as_echo_body
  as_echo='sh -c $as_echo_body as_echo'
fi

# The user is always right.
if test "${PATH_SEPARATOR+set}" != set; then
  PATH_SEPARATOR=:
  (PATH='/bin;/bin'; FPATH=$PATH; sh -c :) >/dev/null 2>&1 && {
    (PATH='/bin:/bin'; FPATH=$PATH; sh -c :) >/dev/null 2>&1 ||
      PATH_SEPARATOR=';'
  }
fi


# IFS
# We need space, tab and new line, in precisely that order.  Quoting is
# there to prevent editors from complaining about space-tab.
# (If _AS_PATH_WALK were called with IFS unset, it would disable word
# splitting by setting IFS to empty value.)
IFS=" ""	$as_nl"

# Find who we are.  Look in the path if we contain no directory separator.
as_myself=
case $0 in #((
  *[\\/]* ) as_myself=$0 ;;
  *) as_save_IFS=$IFS; IFS=$PATH_SEPARATOR
for as_dir in $PATH
do
  IFS=$as_save_IFS
  test -z "$as_dir" && as_dir=.
    test -r "$as_dir/$0" && as_myself=$as_dir/$0 && break
  done
IFS=$as_save_IFS

     ;;
esac
# We did not find ourselves, most probably we were run as `sh COMMAND'
# in which case we are not to be found in the path.
if test "x$as_myself" = x; then
  as_myself=$0
fi
if test ! -f "$as_myself"; then
  $as_echo "$as_myself: error: cannot find myself; rerun with an absolute file name" >&2
  exit 1
fi

# Unset variables that we do not need and which cause bugs (e.g. in
# pre-3.0 UWIN ksh).  But do not cause bugs in bash 2.01; the "|| exit 1"
# suppresses any "Segmentation fault" message there.  '((' could
# trigger a bug in pdksh 5.2.14.
for as_var in BASH_ENV ENV MAIL MAILPATH
do eval test x\${$as_var+set} = xset \
  && ( (unset $as_var) || exit 1) >/dev/null 2>&1 && unset $as_var || :
done
PS1='$ '
PS2='> '
PS4='+ '

# NLS nuisances.
LC_ALL=C
export LC_ALL
LANGUAGE=C
export LANGUAGE

# CDPATH.
(unset CDPATH) >/dev/null 2>&1 && unset CDPATH

# Use a proper internal environment variable to ensure we don't fall
  # into an infinite loop, continuously re-executing ourselves.
  if test x"${_as_can_reexec}" != xno && test "x$CONFIG_SHELL" != x; then
    _as_can_reexec=no; export _as_can_reexec;
    # We cannot yet assume a decent shell, so we have to provide a
# neutralization value for shells without unset; and this also
# works around shells that cannot unset nonexistent variables.
# Preserve -v and -x to the replacement shell.
BASH_ENV=/dev/null
ENV=/dev/null
(unset BASH_ENV) >/dev/null 2>&1 && unset BASH_ENV ENV
case $- in # ((((
  *v*x* | *x*v* ) as_opts=-vx ;;
  *v* ) as_opts=-v ;;
  *x* ) as_opts=-x ;;
  * ) as_opts= ;;
esac
exec $CONFIG_SHELL $as_opts "$as_myself" ${1+"$@"}
# Admittedly, this is quite paranoid, since all the known shells bail
# out after a failed `exec'.
$as_echo "$0: could not re-execute with $CONFIG_SHELL" >&2
as_fn_exit 255
  fi
  # We don't want this to propagate to other subprocesses.
          { _as_can_reexec=; unset _as_can_reexec;}
if test "x$CONFIG_SHELL" = x; then
  as_bourne_compatible="if test -n \"\${ZSH_VERSION+set}\" && (emulate sh) >/dev/null 2>&1; then :
  emulate sh
  NULLCMD=:
  # Pre-4.2 versions of Zsh do word splitting on \${1+\"\$@\"}, which
  # is contrary to our usage.  Disable this feature.
  alias -g '\${1+\"\$@\"}'='\"\$@\"'
  setopt NO_GLOB_SUBST
else
  case \`(set -o) 2>/dev/null\` in #(
  *posix*) :
    set -o posix ;; #(
  *) :
     ;;
esac
fi
"
  as_required="as_fn_return () { (exit \$1); }
as_fn_success () { as_fn_return 0; }
as_fn_failure () { as_fn_return 1; }
as_fn_ret_success () { return 0; }
as_fn_ret_failure () { return 1; }

exitcode=0
as_fn_success || { exitcode=1; echo as_fn_success failed.; }
as_fn_failure && { exitcode=1; echo as_fn_failure succeeded.; }
as_fn_ret_success || { exitcode=1; echo as_fn_ret_success failed.; }
as_fn_ret_failure && { exitcode=1; echo as_fn_ret_failure succeeded.; }
if ( set x; as_fn_ret_success y && test x = \"\$1\" ); then :

else
  exitcode=1; echo positional parameters were not saved.
fi
test x\$exitcode = x0 || exit 1
test -x / || exit 1"
  as_suggested="  as_lineno_1=";as_suggested=$as_suggested$LINENO;as_suggested=$as_suggested" as_lineno_1a=\$LINENO
  as_lineno_2=";as_suggested=$as_suggested$LINENO;as_suggested=$as_suggested" as_lineno_2a=\$LINENO
  eval 'test \"x\$as_lineno_1'\$as_run'\" != \"x\$as_lineno_2'\$as_run'\" &&
  test \"x\`expr \$as_lineno_1'\$as_run' + 1\`\" = \"x\$as_lineno_2'\$as_run'\"' || exit 1
test \$(( 1 + 1 )) = 2 || exit 1"
  if (eval "$as_required") 2>/dev/null; then :
  as_have_required=yes
else
  as_have_required=no
fi
  if test x$as_have_required = xyes && (eval "$as_suggested") 2>/dev/null; then :

else
  as_save_IFS=$IFS; IFS=$PATH_SEPARATOR
as_found=false
for as_dir in /bin$PATH_SEPARATOR/usr/bin$PATH_SEPARATOR$PATH
do
  IFS=$as_save_IFS
  test -z "$as_dir" && as_dir=.
  as_found=:
  case $as_dir in #(
	 /*)
	   for as_base in sh bash ksh sh5; do
	     # Try only shells that exist, to save several forks.
	     as_shell=$as_dir/$as_base
	     if { test -f "$as_shell" || test -f "$as_shell.exe"; } &&
		    { $as_echo "$as_bourne_compatible""$as_required" | as_run=a "$as_shell"; } 2>/dev/null; then :
  CONFIG_SHELL=$as_shell as_have_required=yes
		   if { $as_echo "$as_bourne_compatible""$as_suggested" | as_run=a "$as_shell"; } 2>/dev/null; then :
  break 2
fi
fi
	   done;;
       esac
  as_found=false
done
$as_found || { if { test -f "$SHELL" || test -f "$SHELL.exe"; } &&
	      { $as_echo "$as_bourne_compatible""$as_required" | as_run=a "$SHELL"; } 2>/dev/null; then :
  CONFIG_SHELL=$SHELL as_have_required=yes
fi; }
IFS=$as_save_IFS


      if test "x$CONFIG_SHELL" != x; then :
  export CONFIG_SHELL
             # We cannot yet assume a decent shell, so we have to provide a
# neutralization value for shells without unset; and this also
# works around shells that cannot unset nonexistent variables.
# Preserve -v and -x to the replacement shell.
BASH_ENV=/dev/null
ENV=/dev/null
(unset BASH_ENV) >/dev/null 2>&1 && unset BASH_ENV ENV
case $- in # ((((
  *v*x* | *x*v* ) as_opts=-vx ;;
  *v* ) as_opts=-v ;;
  *x* ) as_opts=-x ;;
  * ) as_opts= ;;
esac
exec $CONFIG_SHELL $as_opts "$as_myself" ${1+"$@"}
# Admittedly, this is quite paranoid, since all the known shells bail
# out after a failed `exec'.
$as_echo "$0: could not re-execute with $CONFIG_SHELL" >&2
exit 255
fi

    if test x$as_have_required = xno; then :
  $as_echo "$0: This script requires a shell more modern than all"
  $as_echo "$0: the shells that I found on your system."
  if test x${ZSH_VERSION+set} = xset ; then
    $as_echo "$0: In particular, zsh $ZSH_VERSION has bugs and should"
    $as_echo "$0: be upgraded to zsh 4.3.4 or later."
  else
    $as_echo "$0: Please tell bug-autoconf@gnu.org about your system,
$0: including any error possibly output before this
$0: message. Then install a modern shell, or manually run
$0: the script under such a shell if you do have one."
  fi
  exit 1
fi
fi
fi
SHELL=${CONFIG_SHELL-/bin/sh}
export SHELL
# Unset more variables known to interfere with behavior of common tools.
CLICOLOR_FORCE= GREP_OPTIONS=
unset CLICOLOR_FORCE GREP_OPTIONS

## --------------------- ##
## M4sh Shell Functions. ##
## --------------------- ##
# as_fn_unset VAR
# ---------------
# Portably unset VAR.
as_fn_unset ()
{
  { eval $1=; unset $1;}
}
as_unset=as_fn_unset

# as_fn_set_status STATUS
# -----------------------
# Set $? to STATUS, without forking.
as_fn_set_status ()
{
  return $1
} # as_fn_set_status

# as_fn_exit STATUS
# -----------------
# Exit the shell with STATUS, even in a "trap 0" or "set -e" context.
as_fn_exit ()
{
  set +e
  as_fn_set_status $1
  exit $1
} # as_fn_exit

# as_fn_mkdir_p
# -------------
# Create "$as_dir" as a directory, including parents if necessary.
as_fn_mkdir_p ()
{

  case $as_dir in #(
  -*) as_dir=./$as_dir;;
  esac
  test -d "$as_dir" || eval $as_mkdir_p || {
    as_dirs=
    while :; do
      case $as_dir in #(
      *\'*) as_qdir=`$as_echo "$as_dir" | sed "s/'/'\\\\\\\\''/g"`;; #'(
      *) as_qdir=$as_dir;;
      esac
      as_dirs="'$as_qdir' $as_dirs"
      as_dir=`$as_dirname -- "$as_dir" ||
$as_expr X"$as_dir" : 'X\(.*[^/]\)//*[^/][^/]*/*$' \| \
	 X"$as_dir" : 'X\(//\)[^/]' \| \
	 X"$as_dir" : 'X\(//\)$' \| \
	 X"$as_dir" : 'X\(/\)' \| . 2>/dev/null ||
$as_echo X"$as_dir" |
    sed '/^X\(.*[^/]\)\/\/*[^/][^/]*\/*$/{
	    s//\1/
	    q
	  }
	  /^X\(\/\/\)[^/].*/{
	    s//\1/
	    q
	  }
	  /^X\(\/\/\)$/{
	    s//\1/
	    q
	  }
	  /^X\(\/\).*/{
	    s//\1/
	    q
	  }
	  s/.*/./; q'`
      test -d "$as_dir" && break
    done
    test -z "$as_dirs" || eval "mkdir $as_dirs"
  } || test -d "$as_dir" || as_fn_error $? "cannot create directory $as_dir"


} # as_fn_mkdir_p

# as_fn_executable_p FILE
# -----------------------
# Test if FILE is an executable regular file.
as_fn_executable_p ()
{
  test -f "$1" && test -x "$1"
} # as_fn_executable_p
# as_fn_append VAR VALUE
# ----------------------
# Append the text in VALUE to the end of the definition contained in VAR. Take
# advantage of any shell optimizations that allow amortized linear growth over
# repeated appends, instead of the typical quadratic growth present in naive
# implementations.
if (eval "as_var=1; as_var+=2; test x\$as_var = x12") 2>/dev/null; then :
  eval 'as_fn_append ()
  {
    eval $1+=\$2
  }'
else
  as_fn_append ()
  {
    eval $1=\$$1\$2
  }
fi # as_fn_append

# as_fn_arith ARG...
# ------------------
# Perform arithmetic evaluation on the ARGs, and store the result in the
# global $as_val. Take advantage of shells that can avoid forks. The arguments
# must be portable across $(()) and expr.
if (eval "test \$(( 1 + 1 )) = 2") 2>/dev/null; then :
  eval 'as_fn_arith ()
  {
    as_val=$(( $* ))
  }'
else
  as_fn_arith ()
  {
    as_val=`expr "$@" || test $? -eq 1`
  }
fi # as_fn_arith


# colorize_result MSG
# -------------------
# Colorize result
colorize_result ()
{
case "$1" in #(
  yes) :
    $as_echo "${msg_result_yes}$1${msg_reset}" ;; #(
  no) :
    $as_echo "${msg_result_no}$1${msg_reset}" ;; #(
  *) :
    $as_echo "${msg_result_other}$1${msg_reset}" ;;
esac
} # colorize_result

# config_summary NAME, VAL
# ------------------------
# configuration summary
config_summary ()
{
if test -z "$2"; then :

else

	$as_echo_n "   * $1:                     " | head -c26
	if test "$FOLD"; then :

	    echo "$2" | fold -s -w50 |
	    sed '1!s/^/                          /;$!s/$/\\/'

else
  echo "$2"
fi

fi

} # config_summary

# as_fn_error STATUS ERROR [LINENO LOG_FD]
# ----------------------------------------
# Output "`basename $0`: error: ERROR" to stderr. If LINENO and LOG_FD are
# provided, also output the error to LOG_FD, referencing LINENO. Then exit the
# script with STATUS, using 1 if that was 0.
as_fn_error ()
{
  as_status=$1; test $as_status -eq 0 && as_status=1
  if test "$4"; then
    as_lineno=${as_lineno-"$3"} as_lineno_stack=as_lineno_stack=$as_lineno_stack
    $as_echo "$as_me:${as_lineno-$LINENO}: error: $2" >&$4
  fi
  $as_echo "$as_me: error: $2" >&2
  as_fn_exit $as_status
} # as_fn_error

if expr a : '\(a\)' >/dev/null 2>&1 &&
   test "X`expr 00001 : '.*\(...\)'`" = X001; then
  as_expr=expr
else
  as_expr=false
fi

if (basename -- /) >/dev/null 2>&1 && test "X`basename -- / 2>&1`" = "X/"; then
  as_basename=basename
else
  as_basename=false
fi

if (as_dir=`dirname -- /` && test "X$as_dir" = X/) >/dev/null 2>&1; then
  as_dirname=dirname
else
  as_dirname=false
fi

as_me=`$as_basename -- "$0" ||
$as_expr X/"$0" : '.*/\([^/][^/]*\)/*$' \| \
	 X"$0" : 'X\(//\)$' \| \
	 X"$0" : 'X\(/\)' \| . 2>/dev/null ||
$as_echo X/"$0" |
    sed '/^.*\/\([^/][^/]*\)\/*$/{
	    s//\1/
	    q
	  }
	  /^X\/\(\/\/\)$/{
	    s//\1/
	    q
	  }
	  /^X\/\(\/\).*/{
	    s//\1/
	    q
	  }
	  s/.*/./; q'`

# Avoid depending upon Character Ranges.
as_cr_letters='abcdefghijklmnopqrstuvwxyz'
as_cr_LETTERS='ABCDEFGHIJKLMNOPQRSTUVWXYZ'
as_cr_Letters=$as_cr_letters$as_cr_LETTERS
as_cr_digits='0123456789'
as_cr_alnum=$as_cr_Letters$as_cr_digits


  as_lineno_1=$LINENO as_lineno_1a=$LINENO
  as_lineno_2=$LINENO as_lineno_2a=$LINENO
  eval 'test "x$as_lineno_1'$as_run'" != "x$as_lineno_2'$as_run'" &&
  test "x`expr $as_lineno_1'$as_run' + 1`" = "x$as_lineno_2'$as_run'"' || {
  # Blame Lee E. McMahon (1931-1989) for sed's syntax.  :-)
  sed -n '
    p
    /[$]LINENO/=
  ' <$as_myself |
    sed '
      s/[$]LINENO.*/&-/
      t lineno
      b
      :lineno
      N
      :loop
      s/[$]LINENO\([^'$as_cr_alnum'_].*\n\)\(.*\)/\2\1\2/
      t loop
      s/-\n.*//
    ' >$as_me.lineno &&
  chmod +x "$as_me.lineno" ||
    { $as_echo "$as_me: error: cannot create $as_me.lineno; rerun with a POSIX shell" >&2; as_fn_exit 1; }

  # If we had to re-execute with $CONFIG_SHELL, we're ensured to have
  # already done that, so ensure we don't try to do so again and fall
  # in an infinite loop.  This has already happened in practice.
  _as_can_reexec=no; export _as_can_reexec
  # Don't try to exec as it changes $[0], causing all sort of problems
  # (the dirname of $[0] is not the place where we might find the
  # original and so on.  Autoconf is especially sensitive to this).
  . "./$as_me.lineno"
  # Exit status is that of the last command.
  exit
}

ECHO_C= ECHO_N= ECHO_T=
case `echo -n x` in #(((((
-n*)
  case `echo 'xy\c'` in
  *c*) ECHO_T='	';;	# ECHO_T is single tab character.
  xy)  ECHO_C='\c';;
  *)   echo `echo ksh88 bug on AIX 6.1` > /dev/null
       ECHO_T='	';;
  esac;;
*)
  ECHO_N='-n';;
esac

rm -f conf$$ conf$$.exe conf$$.file
if test -d conf$$.dir; then
  rm -f conf$$.dir/conf$$.file
else
  rm -f conf$$.dir
  mkdir conf$$.dir 2>/dev/null
fi
if (echo >conf$$.file) 2>/dev/null; then
  if ln -s conf$$.file conf$$ 2>/dev/null; then
    as_ln_s='ln -s'
    # ... but there are two gotchas:
    # 1) On MSYS, both `ln -s file dir' and `ln file dir' fail.
    # 2) DJGPP < 2.04 has no symlinks; `ln -s' creates a wrapper executable.
    # In both cases, we have to default to `cp -pR'.
    ln -s conf$$.file conf$$.dir 2>/dev/null && test ! -f conf$$.exe ||
      as_ln_s='cp -pR'
  elif ln conf$$.file conf$$ 2>/dev/null; then
    as_ln_s=ln
  else
    as_ln_s='cp -pR'
  fi
else
  as_ln_s='cp -pR'
fi
rm -f conf$$ conf$$.exe conf$$.dir/conf$$.file conf$$.file
rmdir conf$$.dir 2>/dev/null

if mkdir -p . 2>/dev/null; then
  as_mkdir_p='mkdir -p "$as_dir"'
else
  test -d ./-p && rmdir ./-p
  as_mkdir_p=false
fi

as_test_x='test -x'
as_executable_p=as_fn_executable_p

# Sed expression to map a string onto a valid CPP name.
as_tr_cpp="eval sed 'y%*$as_cr_letters%P$as_cr_LETTERS%;s%[^_$as_cr_alnum]%_%g'"

# Sed expression to map a string onto a valid variable name.
as_tr_sh="eval sed 'y%*+%pp%;s%[^_$as_cr_alnum]%_%g'"


test -n "$DJDIR" || exec 7<&0 </dev/null
exec 6>&1

# Name of the host.
# hostname on some systems (SVR3.2, old GNU/Linux) returns a bogus exit status,
# so uname gets run too.
ac_hostname=`(hostname || uname -n) 2>/dev/null | sed 1q`

#
# Initializations.
#
ac_default_prefix=/usr/local
ac_clean_files=
ac_config_libobj_dir=.
LIBOBJS=
cross_compiling=no
subdirs=
MFLAGS=
MAKEFLAGS=

# Identity of this package.
PACKAGE_NAME=
PACKAGE_TARNAME=
PACKAGE_VERSION=
PACKAGE_STRING=
PACKAGE_BUGREPORT=
PACKAGE_URL=

enable_option_checking=no
# Factoring default headers for most tests.
ac_includes_default="\
#include <stdio.h>
#ifdef HAVE_SYS_TYPES_H
# include <sys/types.h>
#endif
#ifdef HAVE_SYS_STAT_H
# include <sys/stat.h>
#endif
#ifdef STDC_HEADERS
# include <stdlib.h>
# include <stddef.h>
#else
# ifdef HAVE_STDLIB_H
#  include <stdlib.h>
# endif
#endif
#ifdef HAVE_STRING_H
# if !defined STDC_HEADERS && defined HAVE_MEMORY_H
#  include <memory.h>
# endif
# include <string.h>
#endif
#ifdef HAVE_STRINGS_H
# include <strings.h>
#endif
#ifdef HAVE_INTTYPES_H
# include <inttypes.h>
#endif
#ifdef HAVE_STDINT_H
# include <stdint.h>
#endif
#ifdef HAVE_UNISTD_H
# include <unistd.h>
#endif"

ac_subst_vars='LTLIBOBJS
DESTDIR
exec
ruby_pc
PACKAGE
BUILTIN_TRANSOBJS
BUILTIN_TRANSSRCS
BUILTIN_ENCOBJS
USE_RUBYGEMS
MANTYPE
NROFF
vendorarchhdrdir
sitearchhdrdir
rubyarchhdrdir
vendorhdrdir
sitehdrdir
rubyhdrdir
RUBY_SEARCH_PATH
UNIVERSAL_INTS
UNIVERSAL_ARCHNAMES
configure_args
CONFIGURE
vendorarchdir
vendorlibdir
vendordir
sitearchdir
sitelibdir
sitedir
rubyarchdir
rubylibdir
ruby_version
sitearch
arch
sitearchincludedir
archincludedir
sitearchlibdir
archlibdir
libdirname
RUBY_EXEC_PREFIX
RUBY_LIB_VERSION
RUBY_LIB_VERSION_STYLE
RI_BASE_NAME
ridir
rubysitearchprefix
rubyarchprefix
MAKEFILES
PLATFORM_DIR
THREAD_MODEL
MINIOBJS
SYMBOL_PREFIX
EXPORT_PREFIX
COMMON_HEADERS
COMMON_MACROS
COMMON_LIBS
MAINLIBS
ENABLE_SHARED
DLDLIBS
SOLIBS
LIBRUBYARG_SHARED
LIBRUBYARG_STATIC
LIBRUBYARG
LIBRUBY
LIBRUBY_ALIASES
LIBRUBY_SO
LIBRUBY_A
RUBY_SO_NAME
RUBYW_INSTALL_NAME
rubyw_install_name
RUBY_INSTALL_NAME
LIBRUBY_DLDFLAGS
LIBRUBY_LDSHARED
EXTDLDFLAGS
EXTLDFLAGS
XLDFLAGS
XCFLAGS
strict_warnflags
warnflags
debugflags
optflags
NULLCMD
DLNOBJ
INSTALL_STATIC_LIBRARY
INSTALLDOC
CAPITARGET
RDOCTARGET
LIBRUBY_A_OBJS
DTRACE_OPT
DTRACE_REBUILD
DTRACE_OBJ
DTRACE_EXT
EXECUTABLE_EXTS
ARCHFILE
LIBRUBY_RELATIVE
EXTOUT
BOOTSTRAPRUBY
XRUBY
RUNRUBY
RUNRUBY_COMMAND
PREP
BTESTRUBY
MINIRUBY
CROSS_COMPILING
TEST_RUNNABLE
XRUBY_RUBYHDRDIR
XRUBY_RUBYLIBDIR
XRUBY_LIBDIR
rubylibprefix
setup
EXTOBJS
ENCOBJS
ENCSTATIC
EXTSTATIC
STRIP
TRY_LINK
PRELOADENV
LIBPATHENV
RPATHFLAG
LIBPATHFLAG
LINK_SO
ASMEXT
LIBEXT
DLEXT2
DLEXT
LDSHAREDXX
LDSHARED
CCDLFLAGS
STATIC
ARCH_FLAG
DLDFLAGS
ALLOCA
LIBOBJS
codesign
POSTLINK
WERRORFLAG
CHDIR
RMALL
RMDIRS
RMDIR
CP
RM
PKG_CONFIG
PYTHON
DOXYGEN
DOT
DTRACE
MAKEDIRS
MKDIR_P
INSTALL_DATA
INSTALL_SCRIPT
INSTALL_PROGRAM
SET_MAKE
LN_S
NM
DLLWRAP
WINDRES
ac_ct_OBJCOPY
OBJCOPY
ac_ct_OBJDUMP
OBJDUMP
ASFLAGS
AS
ARFLAGS
AR
RANLIB
try_header
CC_VERSION_MESSAGE
CC_VERSION
CSRCFLAG
COUTFLAG
OUTFLAG
CPPOUTFILE
GNU_LD
LD
GCC
EGREP
GREP
CPP
CXXFLAGS
OBJEXT
EXEEXT
CPPFLAGS
LDFLAGS
CFLAGS
ac_ct_CXX
CXX
ac_ct_CC
CC
NACL_LIB_PATH
NACL_SDK_VARIANT
NACL_SDK_ROOT
NACL_TOOLCHAIN
target_os
target_vendor
target_cpu
target
host_os
host_vendor
host_cpu
host
RUBY_VERSION_NAME
RUBYW_BASE_NAME
RUBY_BASE_NAME
build_os
build_vendor
build_cpu
build
RUBY_PROGRAM_VERSION
TEENY
MINOR
MAJOR
HAVE_BASERUBY
BASERUBY
cxxflags
cppflags
cflags
target_alias
host_alias
build_alias
LIBS
ECHO_T
ECHO_N
ECHO_C
DEFS
mandir
localedir
libdir
psdir
pdfdir
dvidir
htmldir
infodir
docdir
oldincludedir
includedir
localstatedir
sharedstatedir
sysconfdir
datadir
datarootdir
libexecdir
sbindir
bindir
program_transform_name
prefix
exec_prefix
PACKAGE_URL
PACKAGE_BUGREPORT
PACKAGE_STRING
PACKAGE_VERSION
PACKAGE_TARNAME
PACKAGE_NAME
PATH_SEPARATOR
SHELL'
ac_subst_files=''
ac_user_opts='
enable_option_checking
with_baseruby
with_gcc
with_os_version_style
with_arch
enable_load_relative
with_newlib
enable_werror
with_compress_debug_sections
with_opt_dir
with_winnt_ver
enable_pthread
with_gmp
with_jemalloc
enable_largefile
enable_setreuid
with_dln_a_out
enable_rpath
with_valgrind
with_ext
with_out_ext
with_static_linked_ext
with_setup
with_rubylibprefix
enable_multiarch
with_soname
enable_shared
enable_pie
enable_dtrace
with_setjmp_type
enable_install_doc
enable_install_rdoc
enable_install_capi
enable_install_static_library
enable_dln
enable_debug_env
with_rubyarchprefix
with_rubysitearchprefix
with_ridir
with_ruby_version
with_sitedir
with_sitearchdir
with_vendordir
with_vendorarchdir
with_search_path
with_rubyhdrdir
with_rubyarchhdrdir
with_sitehdrdir
with_sitearchhdrdir
with_vendorhdrdir
with_vendorarchhdrdir
with_mantype
enable_rubygems
with_ruby_pc
with_destdir
'
      ac_precious_vars='build_alias
host_alias
target_alias
cflags
cppflags
cxxflags
CC
CFLAGS
LDFLAGS
LIBS
CPPFLAGS
CXX
CXXFLAGS
CCC
CPP'


# Initialize some variables set by options.
ac_init_help=
ac_init_version=false
ac_unrecognized_opts=
ac_unrecognized_sep=
# The variables have the same names as the options, with
# dashes changed to underlines.
cache_file=/dev/null
exec_prefix=NONE
no_create=
no_recursion=
prefix=NONE
program_prefix=NONE
program_suffix=NONE
program_transform_name=s,x,x,
silent=
site=
srcdir=
verbose=
x_includes=NONE
x_libraries=NONE

# Installation directory options.
# These are left unexpanded so users can "make install exec_prefix=/foo"
# and all the variables that are supposed to be based on exec_prefix
# by default will actually change.
# Use braces instead of parens because sh, perl, etc. also accept them.
# (The list follows the same order as the GNU Coding Standards.)
bindir='${exec_prefix}/bin'
sbindir='${exec_prefix}/sbin'
libexecdir='${exec_prefix}/libexec'
datarootdir='${prefix}/share'
datadir='${datarootdir}'
sysconfdir='${prefix}/etc'
sharedstatedir='${prefix}/com'
localstatedir='${prefix}/var'
includedir='${prefix}/include'
oldincludedir='/usr/include'
docdir='${datarootdir}/doc/${PACKAGE}'
infodir='${datarootdir}/info'
htmldir='${docdir}'
dvidir='${docdir}'
pdfdir='${docdir}'
psdir='${docdir}'
libdir='${exec_prefix}/lib'
localedir='${datarootdir}/locale'
mandir='${datarootdir}/man'

ac_prev=
ac_dashdash=
for ac_option
do
  # If the previous option needs an argument, assign it.
  if test -n "$ac_prev"; then
    eval $ac_prev=\$ac_option
    ac_prev=
    continue
  fi

  case $ac_option in
  *=?*) ac_optarg=`expr "X$ac_option" : '[^=]*=\(.*\)'` ;;
  *=)   ac_optarg= ;;
  *)    ac_optarg=yes ;;
  esac

  # Accept the important Cygnus configure options, so we can diagnose typos.

  case $ac_dashdash$ac_option in
  --)
    ac_dashdash=yes ;;

  -bindir | --bindir | --bindi | --bind | --bin | --bi)
    ac_prev=bindir ;;
  -bindir=* | --bindir=* | --bindi=* | --bind=* | --bin=* | --bi=*)
    bindir=$ac_optarg ;;

  -build | --build | --buil | --bui | --bu)
    ac_prev=build_alias ;;
  -build=* | --build=* | --buil=* | --bui=* | --bu=*)
    build_alias=$ac_optarg ;;

  -cache-file | --cache-file | --cache-fil | --cache-fi \
  | --cache-f | --cache- | --cache | --cach | --cac | --ca | --c)
    ac_prev=cache_file ;;
  -cache-file=* | --cache-file=* | --cache-fil=* | --cache-fi=* \
  | --cache-f=* | --cache-=* | --cache=* | --cach=* | --cac=* | --ca=* | --c=*)
    cache_file=$ac_optarg ;;

  --config-cache | -C)
    cache_file=config.cache ;;

  -datadir | --datadir | --datadi | --datad)
    ac_prev=datadir ;;
  -datadir=* | --datadir=* | --datadi=* | --datad=*)
    datadir=$ac_optarg ;;

  -datarootdir | --datarootdir | --datarootdi | --datarootd | --dataroot \
  | --dataroo | --dataro | --datar)
    ac_prev=datarootdir ;;
  -datarootdir=* | --datarootdir=* | --datarootdi=* | --datarootd=* \
  | --dataroot=* | --dataroo=* | --dataro=* | --datar=*)
    datarootdir=$ac_optarg ;;

  -disable-* | --disable-*)
    ac_useropt=`expr "x$ac_option" : 'x-*disable-\(.*\)'`
    # Reject names that are not valid shell variable names.
    expr "x$ac_useropt" : ".*[^-+._$as_cr_alnum]" >/dev/null &&
      as_fn_error $? "invalid feature name: $ac_useropt"
    ac_useropt_orig=$ac_useropt
    ac_useropt=`$as_echo "$ac_useropt" | sed 's/[-+.]/_/g'`
    case $ac_user_opts in
      *"
"enable_$ac_useropt"
"*) ;;
      *) ac_unrecognized_opts="$ac_unrecognized_opts$ac_unrecognized_sep--disable-$ac_useropt_orig"
	 ac_unrecognized_sep=', ';;
    esac
    eval enable_$ac_useropt=no ;;

  -docdir | --docdir | --docdi | --doc | --do)
    ac_prev=docdir ;;
  -docdir=* | --docdir=* | --docdi=* | --doc=* | --do=*)
    docdir=$ac_optarg ;;

  -dvidir | --dvidir | --dvidi | --dvid | --dvi | --dv)
    ac_prev=dvidir ;;
  -dvidir=* | --dvidir=* | --dvidi=* | --dvid=* | --dvi=* | --dv=*)
    dvidir=$ac_optarg ;;

  -enable-* | --enable-*)
    ac_useropt=`expr "x$ac_option" : 'x-*enable-\([^=]*\)'`
    # Reject names that are not valid shell variable names.
    expr "x$ac_useropt" : ".*[^-+._$as_cr_alnum]" >/dev/null &&
      as_fn_error $? "invalid feature name: $ac_useropt"
    ac_useropt_orig=$ac_useropt
    ac_useropt=`$as_echo "$ac_useropt" | sed 's/[-+.]/_/g'`
    case $ac_user_opts in
      *"
"enable_$ac_useropt"
"*) ;;
      *) ac_unrecognized_opts="$ac_unrecognized_opts$ac_unrecognized_sep--enable-$ac_useropt_orig"
	 ac_unrecognized_sep=', ';;
    esac
    eval enable_$ac_useropt=\$ac_optarg ;;

  -exec-prefix | --exec_prefix | --exec-prefix | --exec-prefi \
  | --exec-pref | --exec-pre | --exec-pr | --exec-p | --exec- \
  | --exec | --exe | --ex)
    ac_prev=exec_prefix ;;
  -exec-prefix=* | --exec_prefix=* | --exec-prefix=* | --exec-prefi=* \
  | --exec-pref=* | --exec-pre=* | --exec-pr=* | --exec-p=* | --exec-=* \
  | --exec=* | --exe=* | --ex=*)
    exec_prefix=$ac_optarg ;;

  -gas | --gas | --ga | --g)
    # Obsolete; use --with-gas.
    with_gas=yes ;;

  -help | --help | --hel | --he | -h)
    ac_init_help=long ;;
  -help=r* | --help=r* | --hel=r* | --he=r* | -hr*)
    ac_init_help=recursive ;;
  -help=s* | --help=s* | --hel=s* | --he=s* | -hs*)
    ac_init_help=short ;;

  -host | --host | --hos | --ho)
    ac_prev=host_alias ;;
  -host=* | --host=* | --hos=* | --ho=*)
    host_alias=$ac_optarg ;;

  -htmldir | --htmldir | --htmldi | --htmld | --html | --htm | --ht)
    ac_prev=htmldir ;;
  -htmldir=* | --htmldir=* | --htmldi=* | --htmld=* | --html=* | --htm=* \
  | --ht=*)
    htmldir=$ac_optarg ;;

  -includedir | --includedir | --includedi | --included | --include \
  | --includ | --inclu | --incl | --inc)
    ac_prev=includedir ;;
  -includedir=* | --includedir=* | --includedi=* | --included=* | --include=* \
  | --includ=* | --inclu=* | --incl=* | --inc=*)
    includedir=$ac_optarg ;;

  -infodir | --infodir | --infodi | --infod | --info | --inf)
    ac_prev=infodir ;;
  -infodir=* | --infodir=* | --infodi=* | --infod=* | --info=* | --inf=*)
    infodir=$ac_optarg ;;

  -libdir | --libdir | --libdi | --libd)
    ac_prev=libdir ;;
  -libdir=* | --libdir=* | --libdi=* | --libd=*)
    libdir=$ac_optarg ;;

  -libexecdir | --libexecdir | --libexecdi | --libexecd | --libexec \
  | --libexe | --libex | --libe)
    ac_prev=libexecdir ;;
  -libexecdir=* | --libexecdir=* | --libexecdi=* | --libexecd=* | --libexec=* \
  | --libexe=* | --libex=* | --libe=*)
    libexecdir=$ac_optarg ;;

  -localedir | --localedir | --localedi | --localed | --locale)
    ac_prev=localedir ;;
  -localedir=* | --localedir=* | --localedi=* | --localed=* | --locale=*)
    localedir=$ac_optarg ;;

  -localstatedir | --localstatedir | --localstatedi | --localstated \
  | --localstate | --localstat | --localsta | --localst | --locals)
    ac_prev=localstatedir ;;
  -localstatedir=* | --localstatedir=* | --localstatedi=* | --localstated=* \
  | --localstate=* | --localstat=* | --localsta=* | --localst=* | --locals=*)
    localstatedir=$ac_optarg ;;

  -mandir | --mandir | --mandi | --mand | --man | --ma | --m)
    ac_prev=mandir ;;
  -mandir=* | --mandir=* | --mandi=* | --mand=* | --man=* | --ma=* | --m=*)
    mandir=$ac_optarg ;;

  -nfp | --nfp | --nf)
    # Obsolete; use --without-fp.
    with_fp=no ;;

  -no-create | --no-create | --no-creat | --no-crea | --no-cre \
  | --no-cr | --no-c | -n)
    no_create=yes ;;

  -no-recursion | --no-recursion | --no-recursio | --no-recursi \
  | --no-recurs | --no-recur | --no-recu | --no-rec | --no-re | --no-r)
    no_recursion=yes ;;

  -oldincludedir | --oldincludedir | --oldincludedi | --oldincluded \
  | --oldinclude | --oldinclud | --oldinclu | --oldincl | --oldinc \
  | --oldin | --oldi | --old | --ol | --o)
    ac_prev=oldincludedir ;;
  -oldincludedir=* | --oldincludedir=* | --oldincludedi=* | --oldincluded=* \
  | --oldinclude=* | --oldinclud=* | --oldinclu=* | --oldincl=* | --oldinc=* \
  | --oldin=* | --oldi=* | --old=* | --ol=* | --o=*)
    oldincludedir=$ac_optarg ;;

  -prefix | --prefix | --prefi | --pref | --pre | --pr | --p)
    ac_prev=prefix ;;
  -prefix=* | --prefix=* | --prefi=* | --pref=* | --pre=* | --pr=* | --p=*)
    prefix=$ac_optarg ;;

  -program-prefix | --program-prefix | --program-prefi | --program-pref \
  | --program-pre | --program-pr | --program-p)
    ac_prev=program_prefix ;;
  -program-prefix=* | --program-prefix=* | --program-prefi=* \
  | --program-pref=* | --program-pre=* | --program-pr=* | --program-p=*)
    program_prefix=$ac_optarg ;;

  -program-suffix | --program-suffix | --program-suffi | --program-suff \
  | --program-suf | --program-su | --program-s)
    ac_prev=program_suffix ;;
  -program-suffix=* | --program-suffix=* | --program-suffi=* \
  | --program-suff=* | --program-suf=* | --program-su=* | --program-s=*)
    program_suffix=$ac_optarg ;;

  -program-transform-name | --program-transform-name \
  | --program-transform-nam | --program-transform-na \
  | --program-transform-n | --program-transform- \
  | --program-transform | --program-transfor \
  | --program-transfo | --program-transf \
  | --program-trans | --program-tran \
  | --progr-tra | --program-tr | --program-t)
    ac_prev=program_transform_name ;;
  -program-transform-name=* | --program-transform-name=* \
  | --program-transform-nam=* | --program-transform-na=* \
  | --program-transform-n=* | --program-transform-=* \
  | --program-transform=* | --program-transfor=* \
  | --program-transfo=* | --program-transf=* \
  | --program-trans=* | --program-tran=* \
  | --progr-tra=* | --program-tr=* | --program-t=*)
    program_transform_name=$ac_optarg ;;

  -pdfdir | --pdfdir | --pdfdi | --pdfd | --pdf | --pd)
    ac_prev=pdfdir ;;
  -pdfdir=* | --pdfdir=* | --pdfdi=* | --pdfd=* | --pdf=* | --pd=*)
    pdfdir=$ac_optarg ;;

  -psdir | --psdir | --psdi | --psd | --ps)
    ac_prev=psdir ;;
  -psdir=* | --psdir=* | --psdi=* | --psd=* | --ps=*)
    psdir=$ac_optarg ;;

  -q | -quiet | --quiet | --quie | --qui | --qu | --q \
  | -silent | --silent | --silen | --sile | --sil)
    silent=yes ;;

  -sbindir | --sbindir | --sbindi | --sbind | --sbin | --sbi | --sb)
    ac_prev=sbindir ;;
  -sbindir=* | --sbindir=* | --sbindi=* | --sbind=* | --sbin=* \
  | --sbi=* | --sb=*)
    sbindir=$ac_optarg ;;

  -sharedstatedir | --sharedstatedir | --sharedstatedi \
  | --sharedstated | --sharedstate | --sharedstat | --sharedsta \
  | --sharedst | --shareds | --shared | --share | --shar \
  | --sha | --sh)
    ac_prev=sharedstatedir ;;
  -sharedstatedir=* | --sharedstatedir=* | --sharedstatedi=* \
  | --sharedstated=* | --sharedstate=* | --sharedstat=* | --sharedsta=* \
  | --sharedst=* | --shareds=* | --shared=* | --share=* | --shar=* \
  | --sha=* | --sh=*)
    sharedstatedir=$ac_optarg ;;

  -site | --site | --sit)
    ac_prev=site ;;
  -site=* | --site=* | --sit=*)
    site=$ac_optarg ;;

  -srcdir | --srcdir | --srcdi | --srcd | --src | --sr)
    ac_prev=srcdir ;;
  -srcdir=* | --srcdir=* | --srcdi=* | --srcd=* | --src=* | --sr=*)
    srcdir=$ac_optarg ;;

  -sysconfdir | --sysconfdir | --sysconfdi | --sysconfd | --sysconf \
  | --syscon | --sysco | --sysc | --sys | --sy)
    ac_prev=sysconfdir ;;
  -sysconfdir=* | --sysconfdir=* | --sysconfdi=* | --sysconfd=* | --sysconf=* \
  | --syscon=* | --sysco=* | --sysc=* | --sys=* | --sy=*)
    sysconfdir=$ac_optarg ;;

  -target | --target | --targe | --targ | --tar | --ta | --t)
    ac_prev=target_alias ;;
  -target=* | --target=* | --targe=* | --targ=* | --tar=* | --ta=* | --t=*)
    target_alias=$ac_optarg ;;

  -v | -verbose | --verbose | --verbos | --verbo | --verb)
    verbose=yes ;;

  -version | --version | --versio | --versi | --vers | -V)
    ac_init_version=: ;;

  -with-* | --with-*)
    ac_useropt=`expr "x$ac_option" : 'x-*with-\([^=]*\)'`
    # Reject names that are not valid shell variable names.
    expr "x$ac_useropt" : ".*[^-+._$as_cr_alnum]" >/dev/null &&
      as_fn_error $? "invalid package name: $ac_useropt"
    ac_useropt_orig=$ac_useropt
    ac_useropt=`$as_echo "$ac_useropt" | sed 's/[-+.]/_/g'`
    case $ac_user_opts in
      *"
"with_$ac_useropt"
"*) ;;
      *) ac_unrecognized_opts="$ac_unrecognized_opts$ac_unrecognized_sep--with-$ac_useropt_orig"
	 ac_unrecognized_sep=', ';;
    esac
    eval with_$ac_useropt=\$ac_optarg ;;

  -without-* | --without-*)
    ac_useropt=`expr "x$ac_option" : 'x-*without-\(.*\)'`
    # Reject names that are not valid shell variable names.
    expr "x$ac_useropt" : ".*[^-+._$as_cr_alnum]" >/dev/null &&
      as_fn_error $? "invalid package name: $ac_useropt"
    ac_useropt_orig=$ac_useropt
    ac_useropt=`$as_echo "$ac_useropt" | sed 's/[-+.]/_/g'`
    case $ac_user_opts in
      *"
"with_$ac_useropt"
"*) ;;
      *) ac_unrecognized_opts="$ac_unrecognized_opts$ac_unrecognized_sep--without-$ac_useropt_orig"
	 ac_unrecognized_sep=', ';;
    esac
    eval with_$ac_useropt=no ;;

  --x)
    # Obsolete; use --with-x.
    with_x=yes ;;

  -x-includes | --x-includes | --x-include | --x-includ | --x-inclu \
  | --x-incl | --x-inc | --x-in | --x-i)
    ac_prev=x_includes ;;
  -x-includes=* | --x-includes=* | --x-include=* | --x-includ=* | --x-inclu=* \
  | --x-incl=* | --x-inc=* | --x-in=* | --x-i=*)
    x_includes=$ac_optarg ;;

  -x-libraries | --x-libraries | --x-librarie | --x-librari \
  | --x-librar | --x-libra | --x-libr | --x-lib | --x-li | --x-l)
    ac_prev=x_libraries ;;
  -x-libraries=* | --x-libraries=* | --x-librarie=* | --x-librari=* \
  | --x-librar=* | --x-libra=* | --x-libr=* | --x-lib=* | --x-li=* | --x-l=*)
    x_libraries=$ac_optarg ;;

  -*) as_fn_error $? "unrecognized option: \`$ac_option'
Try \`$0 --help' for more information"
    ;;

  *=*)
    ac_envvar=`expr "x$ac_option" : 'x\([^=]*\)='`
    # Reject names that are not valid shell variable names.
    case $ac_envvar in #(
      '' | [0-9]* | *[!_$as_cr_alnum]* )
      as_fn_error $? "invalid variable name: \`$ac_envvar'" ;;
    esac
    eval $ac_envvar=\$ac_optarg
    export $ac_envvar ;;

  *)
    # FIXME: should be removed in autoconf 3.0.
    $as_echo "$as_me: WARNING: you should use --build, --host, --target" >&2
    expr "x$ac_option" : ".*[^-._$as_cr_alnum]" >/dev/null &&
      $as_echo "$as_me: WARNING: invalid host type: $ac_option" >&2
    : "${build_alias=$ac_option} ${host_alias=$ac_option} ${target_alias=$ac_option}"
    ;;

  esac
done

if test -n "$ac_prev"; then
  ac_option=--`echo $ac_prev | sed 's/_/-/g'`
  as_fn_error $? "missing argument to $ac_option"
fi

if test -n "$ac_unrecognized_opts"; then
  case $enable_option_checking in
    no) ;;
    fatal) as_fn_error $? "unrecognized options: $ac_unrecognized_opts" ;;
    *)     $as_echo "$as_me: WARNING: unrecognized options: $ac_unrecognized_opts" >&2 ;;
  esac
fi

# Check all directory arguments for consistency.
for ac_var in	exec_prefix prefix bindir sbindir libexecdir datarootdir \
		datadir sysconfdir sharedstatedir localstatedir includedir \
		oldincludedir docdir infodir htmldir dvidir pdfdir psdir \
		libdir localedir mandir
do
  eval ac_val=\$$ac_var
  # Remove trailing slashes.
  case $ac_val in
    */ )
      ac_val=`expr "X$ac_val" : 'X\(.*[^/]\)' \| "X$ac_val" : 'X\(.*\)'`
      eval $ac_var=\$ac_val;;
  esac
  # Be sure to have absolute directory names.
  case $ac_val in
    [\\/$]* | ?:[\\/]* )  continue;;
    NONE | '' ) case $ac_var in *prefix ) continue;; esac;;
  esac
  as_fn_error $? "expected an absolute directory name for --$ac_var: $ac_val"
done

# There might be people who depend on the old broken behavior: `$host'
# used to hold the argument of --host etc.
# FIXME: To remove some day.
build=$build_alias
host=$host_alias
target=$target_alias

# FIXME: To remove some day.
if test "x$host_alias" != x; then
  if test "x$build_alias" = x; then
    cross_compiling=maybe
  elif test "x$build_alias" != "x$host_alias"; then
    cross_compiling=yes
  fi
fi

ac_tool_prefix=
test -n "$host_alias" && ac_tool_prefix=$host_alias-

test "$silent" = yes && exec 6>/dev/null


ac_pwd=`pwd` && test -n "$ac_pwd" &&
ac_ls_di=`ls -di .` &&
ac_pwd_ls_di=`cd "$ac_pwd" && ls -di .` ||
  as_fn_error $? "working directory cannot be determined"
test "X$ac_ls_di" = "X$ac_pwd_ls_di" ||
  as_fn_error $? "pwd does not report name of working directory"


# Find the source files, if location was not specified.
if test -z "$srcdir"; then
  ac_srcdir_defaulted=yes
  # Try the directory containing this script, then the parent directory.
  ac_confdir=`$as_dirname -- "$as_myself" ||
$as_expr X"$as_myself" : 'X\(.*[^/]\)//*[^/][^/]*/*$' \| \
	 X"$as_myself" : 'X\(//\)[^/]' \| \
	 X"$as_myself" : 'X\(//\)$' \| \
	 X"$as_myself" : 'X\(/\)' \| . 2>/dev/null ||
$as_echo X"$as_myself" |
    sed '/^X\(.*[^/]\)\/\/*[^/][^/]*\/*$/{
	    s//\1/
	    q
	  }
	  /^X\(\/\/\)[^/].*/{
	    s//\1/
	    q
	  }
	  /^X\(\/\/\)$/{
	    s//\1/
	    q
	  }
	  /^X\(\/\).*/{
	    s//\1/
	    q
	  }
	  s/.*/./; q'`
  srcdir=$ac_confdir
  if test ! -r "$srcdir/$ac_unique_file"; then
    srcdir=..
  fi
else
  ac_srcdir_defaulted=no
fi
if test ! -r "$srcdir/$ac_unique_file"; then
  test "$ac_srcdir_defaulted" = yes && srcdir="$ac_confdir or .."
  as_fn_error $? "cannot find sources ($ac_unique_file) in $srcdir"
fi
ac_msg="sources are in $srcdir, but \`cd $srcdir' does not work"
ac_abs_confdir=`(
	cd "$srcdir" && test -r "./$ac_unique_file" || as_fn_error $? "$ac_msg"
	pwd)`
# When building in place, set srcdir=.
if test "$ac_abs_confdir" = "$ac_pwd"; then
  srcdir=.
fi
# Remove unnecessary trailing slashes from srcdir.
# Double slashes in file names in object file debugging info
# mess up M-x gdb in Emacs.
case $srcdir in
*/) srcdir=`expr "X$srcdir" : 'X\(.*[^/]\)' \| "X$srcdir" : 'X\(.*\)'`;;
esac
for ac_var in $ac_precious_vars; do
  eval ac_env_${ac_var}_set=\${${ac_var}+set}
  eval ac_env_${ac_var}_value=\$${ac_var}
  eval ac_cv_env_${ac_var}_set=\${${ac_var}+set}
  eval ac_cv_env_${ac_var}_value=\$${ac_var}
done

#
# Report the --help message.
#
if test "$ac_init_help" = "long"; then
  # Omit some internal or obsolete options to make the list less imposing.
  # This message is too long to be a string in the A/UX 3.1 sh.
  cat <<_ACEOF
\`configure' configures this package to adapt to many kinds of systems.

Usage: $0 [OPTION]... [VAR=VALUE]...

To assign environment variables (e.g., CC, CFLAGS...), specify them as
VAR=VALUE.  See below for descriptions of some of the useful variables.

Defaults for the options are specified in brackets.

Configuration:
  -h, --help              display this help and exit
      --help=short        display options specific to this package
      --help=recursive    display the short help of all the included packages
  -V, --version           display version information and exit
  -q, --quiet, --silent   do not print \`checking ...' messages
      --cache-file=FILE   cache test results in FILE [disabled]
  -C, --config-cache      alias for \`--cache-file=config.cache'
  -n, --no-create         do not create output files
      --srcdir=DIR        find the sources in DIR [configure dir or \`..']

Installation directories:
  --prefix=PREFIX         install architecture-independent files in PREFIX
                          [$ac_default_prefix]
  --exec-prefix=EPREFIX   install architecture-dependent files in EPREFIX
                          [PREFIX]

By default, \`make install' will install all the files in
\`$ac_default_prefix/bin', \`$ac_default_prefix/lib' etc.  You can specify
an installation prefix other than \`$ac_default_prefix' using \`--prefix',
for instance \`--prefix=\$HOME'.

For better control, use the options below.

Fine tuning of the installation directories:
  --bindir=DIR            user executables [EPREFIX/bin]
  --sbindir=DIR           system admin executables [EPREFIX/sbin]
  --libexecdir=DIR        program executables [EPREFIX/libexec]
  --sysconfdir=DIR        read-only single-machine data [PREFIX/etc]
  --sharedstatedir=DIR    modifiable architecture-independent data [PREFIX/com]
  --localstatedir=DIR     modifiable single-machine data [PREFIX/var]
  --libdir=DIR            object code libraries [EPREFIX/lib]
  --includedir=DIR        C header files [PREFIX/include]
  --oldincludedir=DIR     C header files for non-gcc [/usr/include]
  --datarootdir=DIR       read-only arch.-independent data root [PREFIX/share]
  --datadir=DIR           read-only architecture-independent data [DATAROOTDIR]
  --infodir=DIR           info documentation [DATAROOTDIR/info]
  --localedir=DIR         locale-dependent data [DATAROOTDIR/locale]
  --mandir=DIR            man documentation [DATAROOTDIR/man]
  --docdir=DIR            documentation root [DATAROOTDIR/doc/PACKAGE]
  --htmldir=DIR           html documentation [DOCDIR]
  --dvidir=DIR            dvi documentation [DOCDIR]
  --pdfdir=DIR            pdf documentation [DOCDIR]
  --psdir=DIR             ps documentation [DOCDIR]
_ACEOF

  cat <<\_ACEOF

Program names:
  --program-prefix=PREFIX            prepend PREFIX to installed program names
  --program-suffix=SUFFIX            append SUFFIX to installed program names
  --program-transform-name=PROGRAM   run sed PROGRAM on installed program names

System types:
  --build=BUILD     configure for building on BUILD [guessed]
  --host=HOST       cross-compile to build programs to run on HOST [BUILD]
  --target=TARGET   configure for building compilers for TARGET [HOST]
_ACEOF
fi

if test -n "$ac_init_help"; then

  cat <<\_ACEOF

Optional Features:
  --disable-option-checking  ignore unrecognized --enable/--with options
  --disable-FEATURE       do not include FEATURE (same as --enable-FEATURE=no)
  --enable-FEATURE[=ARG]  include FEATURE [ARG=yes]
  --enable-load-relative  resolve load paths at run time
  --disable-werror        don't make warnings into errors even if a compiler
                          support -Werror feature [[disabled by default unless
                          development version]]
  --enable-pthread        obsolete, and ignored
  --disable-largefile     omit support for large files
  --enable-setreuid       use setreuid()/setregid() according to need even if
                          obsolete
  --enable-rpath          embed run path into extension libraries. enabled by
                          default on ELF platforms
  --enable-multiarch      enable multiarch compatible directories
  --enable-shared         build a shared library for Ruby
  --disable-pie           disable PIE feature
  --enable-dtrace         enable DTrace for tracing inside ruby. enabled by
                          default on systems having dtrace
  --disable-install-doc   do not install either rdoc indexes or C API
                          documents during install
  --disable-install-rdoc  do not install rdoc indexes during install
  --disable-install-capi  do not install C API documents during install
  --disable-install-static-library
                          do not install static ruby library
  --disable-dln           disable dynamic link feature
  --enable-debug-env      enable RUBY_DEBUG environment variable
  --disable-rubygems      disable rubygems by default

Optional Packages:
  --with-PACKAGE[=ARG]    use PACKAGE [ARG=yes]
  --without-PACKAGE       do not use PACKAGE (same as --with-PACKAGE=no)
  --with-baseruby=RUBY    use RUBY as baseruby; RUBY is the pathname of ruby
  --without-gcc           never use gcc
  --with-os-version-style=TYPE
                          OS version number for target and target_os [[full]]
                          (full|teeny|minor+0|minor|major+0|major|none)
  --with-arch=ARCHS       build an Apple/NeXT Multi Architecture Binary (MAB);
                          ARCHS is a comma-delimited list of architectures for
                          which to build; if this option is disabled or
                          omitted entirely, then the package will be built
                          only for the target platform
  --with-newlib           uses newlib version of NativeClient SDK
  --with-compress-debug-sections=type
                          enable debug section compression
  --with-opt-dir=DIR-LIST add optional headers and libraries directories
                          separated by $PATH_SEPARATOR
  --with-winnt-ver=0xXXXX target Windows NT version (default to 0x0501)
  --without-gmp           disable GNU GMP to accelerate Bignum operations
  --with-jemalloc         use jemalloc allocator
  --with-dln-a-out        use dln_a_out if possible
  --without-valgrind      disable valgrind memcheck support
  --with-ext=EXTS         pass to --with-ext option of extmk.rb
  --with-out-ext=EXTS     pass to --without-ext option of extmk.rb
  --with-static-linked-ext
                          link external modules statically
  --with-setup=SETUP      use extension libraries setup
  --with-rubylibprefix=DIR
                          prefix for ruby libraries [[LIBDIR/RUBY_BASE_NAME]]
  --with-soname=SONAME    base name of shared library
  --with-setjmp-type      select setjmp type
  --with-rubyarchprefix=DIR
                          prefix for architecture dependent ruby libraries
                          [[RUBYLIBPREFIX/ARCH]]
  --with-rubysitearchprefix=DIR
                          prefix for architecture dependent site libraries
                          [[RUBYLIBPREFIX/SITEARCH]]
  --with-ridir=DIR        ri documentation [[DATAROOTDIR/ri]]
  --with-ruby-version=STR ruby version string for version specific directories
                          [[full]] (full|minor|STR)
  --with-sitedir=DIR      site libraries in DIR [[RUBY_LIB_PREFIX/site_ruby]],
                          "no" to disable site directory
  --with-sitearchdir=DIR  architecture dependent site libraries in DIR
                          [[SITEDIR/SITEARCH]], "no" to disable site directory
  --with-vendordir=DIR    vendor libraries in DIR
                          [[RUBY_LIB_PREFIX/vendor_ruby]], "no" to disable
                          vendor directory
  --with-vendorarchdir=DIR
                          architecture dependent vendor libraries in DIR
                          [[VENDORDIR/SITEARCH]], "no" to disable vendor
                          directory
  --with-search-path=DIR  specify the additional search path
  --with-rubyhdrdir=DIR   core headers in DIR
                          [[INCLUDEDIR/RUBY_BASE_NAME-RUBY_VERSION]]
  --with-rubyarchhdrdir=DIR
                          architecture dependent core headers in DIR
                          [[$(rubyhdrdir)/$(arch)]]
  --with-sitehdrdir=DIR   core site headers in DIR [[RUBYHDRDIR/site_ruby]]
  --with-sitearchhdrdir=DIR
                          architecture dependent core site headers in DIR
                          [[RUBYHDRDIR/site_ruby]]
  --with-vendorhdrdir=DIR core vendor headers in DIR
                          [[RUBYHDRDIR/vendor_ruby]]
  --with-vendorarchhdrdir=DIR
                          architecture dependent core vendor headers in DIR
                          [[RUBYHDRDIR/vendor_ruby]]
  --with-mantype=TYPE     specify man page type; TYPE is one of man and doc
  --with-ruby-pc=FILENAME pc file basename
  --with-destdir=DESTDIR  specify default directory to install

Some influential environment variables:
  cflags      additional CFLAGS
  cppflags    additional CPPFLAGS
  cxxflags    additional CXXFLAGS
  CC          C compiler command
  CFLAGS      C compiler flags
  LDFLAGS     linker flags, e.g. -L<lib dir> if you have libraries in a
              nonstandard directory <lib dir>
  LIBS        libraries to pass to the linker, e.g. -l<library>
  CPPFLAGS    (Objective) C/C++ preprocessor flags, e.g. -I<include dir> if
              you have headers in a nonstandard directory <include dir>
  CXX         C++ compiler command
  CXXFLAGS    C++ compiler flags
  CPP         C preprocessor

Use these variables to override the choices made by `configure' or to help
it to find libraries and programs with nonstandard names/locations.

Report bugs to the package provider.
_ACEOF
ac_status=$?
fi

if test "$ac_init_help" = "recursive"; then
  # If there are subdirs, report their specific --help.
  for ac_dir in : $ac_subdirs_all; do test "x$ac_dir" = x: && continue
    test -d "$ac_dir" ||
      { cd "$srcdir" && ac_pwd=`pwd` && srcdir=. && test -d "$ac_dir"; } ||
      continue
    ac_builddir=.

case "$ac_dir" in
.) ac_dir_suffix= ac_top_builddir_sub=. ac_top_build_prefix= ;;
*)
  ac_dir_suffix=/`$as_echo "$ac_dir" | sed 's|^\.[\\/]||'`
  # A ".." for each directory in $ac_dir_suffix.
  ac_top_builddir_sub=`$as_echo "$ac_dir_suffix" | sed 's|/[^\\/]*|/..|g;s|/||'`
  case $ac_top_builddir_sub in
  "") ac_top_builddir_sub=. ac_top_build_prefix= ;;
  *)  ac_top_build_prefix=$ac_top_builddir_sub/ ;;
  esac ;;
esac
ac_abs_top_builddir=$ac_pwd
ac_abs_builddir=$ac_pwd$ac_dir_suffix
# for backward compatibility:
ac_top_builddir=$ac_top_build_prefix

case $srcdir in
  .)  # We are building in place.
    ac_srcdir=.
    ac_top_srcdir=$ac_top_builddir_sub
    ac_abs_top_srcdir=$ac_pwd ;;
  [\\/]* | ?:[\\/]* )  # Absolute name.
    ac_srcdir=$srcdir$ac_dir_suffix;
    ac_top_srcdir=$srcdir
    ac_abs_top_srcdir=$srcdir ;;
  *) # Relative name.
    ac_srcdir=$ac_top_build_prefix$srcdir$ac_dir_suffix
    ac_top_srcdir=$ac_top_build_prefix$srcdir
    ac_abs_top_srcdir=$ac_pwd/$srcdir ;;
esac
ac_abs_srcdir=$ac_abs_top_srcdir$ac_dir_suffix

    cd "$ac_dir" || { ac_status=$?; continue; }
    # Check for guested configure.
    if test -f "$ac_srcdir/configure.gnu"; then
      echo &&
      $SHELL "$ac_srcdir/configure.gnu" --help=recursive
    elif test -f "$ac_srcdir/configure"; then
      echo &&
      $SHELL "$ac_srcdir/configure" --help=recursive
    else
      $as_echo "$as_me: WARNING: no configuration information is in $ac_dir" >&2
    fi || ac_status=$?
    cd "$ac_pwd" || { ac_status=$?; break; }
  done
fi

test -n "$ac_init_help" && exit $ac_status
if $ac_init_version; then
  cat <<\_ACEOF
configure
generated by GNU Autoconf 2.69

Copyright (C) 2012 Free Software Foundation, Inc.
This configure script is free software; the Free Software Foundation
gives unlimited permission to copy, distribute and modify it.
_ACEOF
  exit
fi

## ------------------------ ##
## Autoconf initialization. ##
## ------------------------ ##

# ac_fn_c_try_compile LINENO
# --------------------------
# Try to compile conftest.$ac_ext, and return whether this succeeded.
ac_fn_c_try_compile ()
{
  as_lineno=${as_lineno-"$1"} as_lineno_stack=as_lineno_stack=$as_lineno_stack
  rm -f conftest.$ac_objext
  if { { ac_try="$ac_compile"
case "(($ac_try" in
  *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
  *) ac_try_echo=$ac_try;;
esac
eval ac_try_echo="\"\$as_me:${as_lineno-$LINENO}: $ac_try_echo\""
$as_echo "$ac_try_echo"; } >&5
  (eval "$ac_compile") 2>conftest.err
  ac_status=$?
  if test -s conftest.err; then
    grep -v '^ *+' conftest.err >conftest.er1
    cat conftest.er1 >&5
    mv -f conftest.er1 conftest.err
  fi
  $as_echo "$as_me:${as_lineno-$LINENO}: \$? = $ac_status" >&5
  test $ac_status = 0; } && {
	 test -z "$ac_c_werror_flag" ||
	 test ! -s conftest.err
       } && test -s conftest.$ac_objext; then :
  ac_retval=0
else
  $as_echo "$as_me: failed program was:" >&5
sed 's/^/| /' conftest.$ac_ext >&5

	ac_retval=1
fi
  eval $as_lineno_stack; ${as_lineno_stack:+:} unset as_lineno
  as_fn_set_status $ac_retval

} # ac_fn_c_try_compile

# ac_fn_cxx_try_compile LINENO
# ----------------------------
# Try to compile conftest.$ac_ext, and return whether this succeeded.
ac_fn_cxx_try_compile ()
{
  as_lineno=${as_lineno-"$1"} as_lineno_stack=as_lineno_stack=$as_lineno_stack
  rm -f conftest.$ac_objext
  if { { ac_try="$ac_compile"
case "(($ac_try" in
  *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
  *) ac_try_echo=$ac_try;;
esac
eval ac_try_echo="\"\$as_me:${as_lineno-$LINENO}: $ac_try_echo\""
$as_echo "$ac_try_echo"; } >&5
  (eval "$ac_compile") 2>conftest.err
  ac_status=$?
  if test -s conftest.err; then
    grep -v '^ *+' conftest.err >conftest.er1
    cat conftest.er1 >&5
    mv -f conftest.er1 conftest.err
  fi
  $as_echo "$as_me:${as_lineno-$LINENO}: \$? = $ac_status" >&5
  test $ac_status = 0; } && {
	 test -z "$ac_cxx_werror_flag" ||
	 test ! -s conftest.err
       } && test -s conftest.$ac_objext; then :
  ac_retval=0
else
  $as_echo "$as_me: failed program was:" >&5
sed 's/^/| /' conftest.$ac_ext >&5

	ac_retval=1
fi
  eval $as_lineno_stack; ${as_lineno_stack:+:} unset as_lineno
  as_fn_set_status $ac_retval

} # ac_fn_cxx_try_compile

# ac_fn_c_try_cpp LINENO
# ----------------------
# Try to preprocess conftest.$ac_ext, and return whether this succeeded.
ac_fn_c_try_cpp ()
{
  as_lineno=${as_lineno-"$1"} as_lineno_stack=as_lineno_stack=$as_lineno_stack
  if { { ac_try="$ac_cpp conftest.$ac_ext"
case "(($ac_try" in
  *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
  *) ac_try_echo=$ac_try;;
esac
eval ac_try_echo="\"\$as_me:${as_lineno-$LINENO}: $ac_try_echo\""
$as_echo "$ac_try_echo"; } >&5
  (eval "$ac_cpp conftest.$ac_ext") 2>conftest.err
  ac_status=$?
  if test -s conftest.err; then
    grep -v '^ *+' conftest.err >conftest.er1
    cat conftest.er1 >&5
    mv -f conftest.er1 conftest.err
  fi
  $as_echo "$as_me:${as_lineno-$LINENO}: \$? = $ac_status" >&5
  test $ac_status = 0; } > conftest.i && {
	 test -z "$ac_c_preproc_warn_flag$ac_c_werror_flag" ||
	 test ! -s conftest.err
       }; then :
  ac_retval=0
else
  $as_echo "$as_me: failed program was:" >&5
sed 's/^/| /' conftest.$ac_ext >&5

    ac_retval=1
fi
  eval $as_lineno_stack; ${as_lineno_stack:+:} unset as_lineno
  as_fn_set_status $ac_retval

} # ac_fn_c_try_cpp

# ac_fn_c_try_link LINENO
# -----------------------
# Try to link conftest.$ac_ext, and return whether this succeeded.
ac_fn_c_try_link ()
{
  as_lineno=${as_lineno-"$1"} as_lineno_stack=as_lineno_stack=$as_lineno_stack
  rm -f conftest.$ac_objext conftest$ac_exeext
  if { { ac_try="$ac_link"
case "(($ac_try" in
  *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
  *) ac_try_echo=$ac_try;;
esac
eval ac_try_echo="\"\$as_me:${as_lineno-$LINENO}: $ac_try_echo\""
$as_echo "$ac_try_echo"; } >&5
  (eval "$ac_link") 2>conftest.err
  ac_status=$?
  if test -s conftest.err; then
    grep -v '^ *+' conftest.err >conftest.er1
    cat conftest.er1 >&5
    mv -f conftest.er1 conftest.err
  fi
  $as_echo "$as_me:${as_lineno-$LINENO}: \$? = $ac_status" >&5
  test $ac_status = 0; } && {
	 test -z "$ac_c_werror_flag" ||
	 test ! -s conftest.err
       } && test -s conftest$ac_exeext && {
	 test "$cross_compiling" = yes ||
	 test -x conftest$ac_exeext
       }; then :
  ac_retval=0
else
  $as_echo "$as_me: failed program was:" >&5
sed 's/^/| /' conftest.$ac_ext >&5

	ac_retval=1
fi
  # Delete the IPA/IPO (Inter Procedural Analysis/Optimization) information
  # created by the PGI compiler (conftest_ipa8_conftest.oo), as it would
  # interfere with the next link command; also delete a directory that is
  # left behind by Apple's compiler.  We do this before executing the actions.
  rm -rf conftest.dSYM conftest_ipa8_conftest.oo
  eval $as_lineno_stack; ${as_lineno_stack:+:} unset as_lineno
  as_fn_set_status $ac_retval

} # ac_fn_c_try_link

# ac_fn_c_check_header_mongrel LINENO HEADER VAR INCLUDES
# -------------------------------------------------------
# Tests whether HEADER exists, giving a warning if it cannot be compiled using
# the include files in INCLUDES and setting the cache variable VAR
# accordingly.
ac_fn_c_check_header_mongrel ()
{
  as_lineno=${as_lineno-"$1"} as_lineno_stack=as_lineno_stack=$as_lineno_stack
  if eval \${$3+:} false; then :
  { $as_echo "$as_me:${as_lineno-$LINENO}: checking for $2" >&5
$as_echo_n "checking for $2... " >&6; }
if eval \${$3+:} false; then :
  $as_echo_n "(cached) " >&6
fi
eval ac_res=\$$3
	       { $as_echo "$as_me:${as_lineno-$LINENO}: result: $ac_res" >&5
    colorize_result "$ac_res" ; }
else
  # Is the header compilable?
{ $as_echo "$as_me:${as_lineno-$LINENO}: checking $2 usability" >&5
$as_echo_n "checking $2 usability... " >&6; }
cat confdefs.h - <<_ACEOF >conftest.$ac_ext
/* end confdefs.h.  */
$4
#include <$2>
_ACEOF
if ac_fn_c_try_compile "$LINENO"; then :
  ac_header_compiler=yes
else
  ac_header_compiler=no
fi
rm -f core conftest.err conftest.$ac_objext conftest.$ac_ext
{ $as_echo "$as_me:${as_lineno-$LINENO}: result: $ac_header_compiler" >&5
    colorize_result "$ac_header_compiler" ; }

# Is the header present?
{ $as_echo "$as_me:${as_lineno-$LINENO}: checking $2 presence" >&5
$as_echo_n "checking $2 presence... " >&6; }
cat confdefs.h - <<_ACEOF >conftest.$ac_ext
/* end confdefs.h.  */
#include <$2>
_ACEOF
if ac_fn_c_try_cpp "$LINENO"; then :
  ac_header_preproc=yes
else
  ac_header_preproc=no
fi
rm -f conftest.err conftest.i conftest.$ac_ext
{ $as_echo "$as_me:${as_lineno-$LINENO}: result: $ac_header_preproc" >&5
    colorize_result "$ac_header_preproc" ; }

# So?  What about this header?
case $ac_header_compiler:$ac_header_preproc:$ac_c_preproc_warn_flag in #((
  yes:no: )
    { $as_echo "$as_me:${as_lineno-$LINENO}: WARNING: $2: accepted by the compiler, rejected by the preprocessor!" >&5
$as_echo "$as_me: WARNING: $2: accepted by the compiler, rejected by the preprocessor!" >&2;}
    { $as_echo "$as_me:${as_lineno-$LINENO}: WARNING: $2: proceeding with the compiler's result" >&5
$as_echo "$as_me: WARNING: $2: proceeding with the compiler's result" >&2;}
    ;;
  no:yes:* )
    { $as_echo "$as_me:${as_lineno-$LINENO}: WARNING: $2: present but cannot be compiled" >&5
$as_echo "$as_me: WARNING: $2: present but cannot be compiled" >&2;}
    { $as_echo "$as_me:${as_lineno-$LINENO}: WARNING: $2:     check for missing prerequisite headers?" >&5
$as_echo "$as_me: WARNING: $2:     check for missing prerequisite headers?" >&2;}
    { $as_echo "$as_me:${as_lineno-$LINENO}: WARNING: $2: see the Autoconf documentation" >&5
$as_echo "$as_me: WARNING: $2: see the Autoconf documentation" >&2;}
    { $as_echo "$as_me:${as_lineno-$LINENO}: WARNING: $2:     section \"Present But Cannot Be Compiled\"" >&5
$as_echo "$as_me: WARNING: $2:     section \"Present But Cannot Be Compiled\"" >&2;}
    { $as_echo "$as_me:${as_lineno-$LINENO}: WARNING: $2: proceeding with the compiler's result" >&5
$as_echo "$as_me: WARNING: $2: proceeding with the compiler's result" >&2;}
    ;;
esac
  { $as_echo "$as_me:${as_lineno-$LINENO}: checking for $2" >&5
$as_echo_n "checking for $2... " >&6; }
if eval \${$3+:} false; then :
  $as_echo_n "(cached) " >&6
else
  eval "$3=\$ac_header_compiler"
fi
eval ac_res=\$$3
	       { $as_echo "$as_me:${as_lineno-$LINENO}: result: $ac_res" >&5
    colorize_result "$ac_res" ; }
fi
  eval $as_lineno_stack; ${as_lineno_stack:+:} unset as_lineno

} # ac_fn_c_check_header_mongrel

# ac_fn_c_try_run LINENO
# ----------------------
# Try to link conftest.$ac_ext, and return whether this succeeded. Assumes
# that executables *can* be run.
ac_fn_c_try_run ()
{
  as_lineno=${as_lineno-"$1"} as_lineno_stack=as_lineno_stack=$as_lineno_stack
  if { { ac_try="$ac_link"
case "(($ac_try" in
  *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
  *) ac_try_echo=$ac_try;;
esac
eval ac_try_echo="\"\$as_me:${as_lineno-$LINENO}: $ac_try_echo\""
$as_echo "$ac_try_echo"; } >&5
  (eval "$ac_link") 2>&5
  ac_status=$?
  $as_echo "$as_me:${as_lineno-$LINENO}: \$? = $ac_status" >&5
  test $ac_status = 0; } && { ac_try='./conftest$ac_exeext'
  { { case "(($ac_try" in
  *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
  *) ac_try_echo=$ac_try;;
esac
eval ac_try_echo="\"\$as_me:${as_lineno-$LINENO}: $ac_try_echo\""
$as_echo "$ac_try_echo"; } >&5
  (eval "$ac_try") 2>&5
  ac_status=$?
  $as_echo "$as_me:${as_lineno-$LINENO}: \$? = $ac_status" >&5
  test $ac_status = 0; }; }; then :
  ac_retval=0
else
  $as_echo "$as_me: program exited with status $ac_status" >&5
       $as_echo "$as_me: failed program was:" >&5
sed 's/^/| /' conftest.$ac_ext >&5

       ac_retval=$ac_status
fi
  rm -rf conftest.dSYM conftest_ipa8_conftest.oo
  eval $as_lineno_stack; ${as_lineno_stack:+:} unset as_lineno
  as_fn_set_status $ac_retval

} # ac_fn_c_try_run

# ac_fn_c_check_header_compile LINENO HEADER VAR INCLUDES
# -------------------------------------------------------
# Tests whether HEADER exists and can be compiled using the include files in
# INCLUDES, setting the cache variable VAR accordingly.
ac_fn_c_check_header_compile ()
{
  as_lineno=${as_lineno-"$1"} as_lineno_stack=as_lineno_stack=$as_lineno_stack
  { $as_echo "$as_me:${as_lineno-$LINENO}: checking for $2" >&5
$as_echo_n "checking for $2... " >&6; }
if eval \${$3+:} false; then :
  $as_echo_n "(cached) " >&6
else
  cat confdefs.h - <<_ACEOF >conftest.$ac_ext
/* end confdefs.h.  */
$4
#include <$2>
_ACEOF
if ac_fn_c_try_compile "$LINENO"; then :
  eval "$3=yes"
else
  eval "$3=no"
fi
rm -f core conftest.err conftest.$ac_objext conftest.$ac_ext
fi
eval ac_res=\$$3
	       { $as_echo "$as_me:${as_lineno-$LINENO}: result: $ac_res" >&5
    colorize_result "$ac_res" ; }
  eval $as_lineno_stack; ${as_lineno_stack:+:} unset as_lineno

} # ac_fn_c_check_header_compile

# ac_fn_c_check_func LINENO FUNC VAR
# ----------------------------------
# Tests whether FUNC exists, setting the cache variable VAR accordingly
ac_fn_c_check_func ()
{
  as_lineno=${as_lineno-"$1"} as_lineno_stack=as_lineno_stack=$as_lineno_stack
  { $as_echo "$as_me:${as_lineno-$LINENO}: checking for $2" >&5
$as_echo_n "checking for $2... " >&6; }
if eval \${$3+:} false; then :
  $as_echo_n "(cached) " >&6
else
  cat confdefs.h - <<_ACEOF >conftest.$ac_ext
/* end confdefs.h.  */
/* Define $2 to an innocuous variant, in case <limits.h> declares $2.
   For example, HP-UX 11i <limits.h> declares gettimeofday.  */
#define $2 innocuous_$2

/* System header to define __stub macros and hopefully few prototypes,
    which can conflict with char $2 (); below.
    Prefer <limits.h> to <assert.h> if __STDC__ is defined, since
    <limits.h> exists even on freestanding compilers.  */

#ifdef __STDC__
# include <limits.h>
#else
# include <assert.h>
#endif

#undef $2

/* Override any GCC internal prototype to avoid an error.
   Use char because int might match the return type of a GCC
   builtin and then its argument prototype would still apply.  */
#ifdef __cplusplus
extern "C"
#endif
char $2 ();
/* The GNU C library defines this for functions which it implements
    to always fail with ENOSYS.  Some functions are actually named
    something starting with __ and the normal name is an alias.  */
#if defined __stub_$2 || defined __stub___$2
choke me
#endif

int
main ()
{
return $2 ();
  ;
  return 0;
}
_ACEOF
if ac_fn_c_try_link "$LINENO"; then :
  eval "$3=yes"
else
  eval "$3=no"
fi
rm -f core conftest.err conftest.$ac_objext \
    conftest$ac_exeext conftest.$ac_ext
fi
eval ac_res=\$$3
	       { $as_echo "$as_me:${as_lineno-$LINENO}: result: $ac_res" >&5
    colorize_result "$ac_res" ; }
  eval $as_lineno_stack; ${as_lineno_stack:+:} unset as_lineno

} # ac_fn_c_check_func

# ac_fn_c_check_type LINENO TYPE VAR INCLUDES
# -------------------------------------------
# Tests whether TYPE exists after having included INCLUDES, setting cache
# variable VAR accordingly.
ac_fn_c_check_type ()
{
  as_lineno=${as_lineno-"$1"} as_lineno_stack=as_lineno_stack=$as_lineno_stack
  { $as_echo "$as_me:${as_lineno-$LINENO}: checking for $2" >&5
$as_echo_n "checking for $2... " >&6; }
if eval \${$3+:} false; then :
  $as_echo_n "(cached) " >&6
else
  eval "$3=no"
  cat confdefs.h - <<_ACEOF >conftest.$ac_ext
/* end confdefs.h.  */
$4
int
main ()
{
if (sizeof ($2))
	 return 0;
  ;
  return 0;
}
_ACEOF
if ac_fn_c_try_compile "$LINENO"; then :
  cat confdefs.h - <<_ACEOF >conftest.$ac_ext
/* end confdefs.h.  */
$4
int
main ()
{
if (sizeof (($2)))
	    return 0;
  ;
  return 0;
}
_ACEOF
if ac_fn_c_try_compile "$LINENO"; then :

else
  eval "$3=yes"
fi
rm -f core conftest.err conftest.$ac_objext conftest.$ac_ext
fi
rm -f core conftest.err conftest.$ac_objext conftest.$ac_ext
fi
eval ac_res=\$$3
	       { $as_echo "$as_me:${as_lineno-$LINENO}: result: $ac_res" >&5
    colorize_result "$ac_res" ; }
  eval $as_lineno_stack; ${as_lineno_stack:+:} unset as_lineno

} # ac_fn_c_check_type

# ac_fn_c_compute_int LINENO EXPR VAR INCLUDES
# --------------------------------------------
# Tries to find the compile-time value of EXPR in a program that includes
# INCLUDES, setting VAR accordingly. Returns whether the value could be
# computed
ac_fn_c_compute_int ()
{
  as_lineno=${as_lineno-"$1"} as_lineno_stack=as_lineno_stack=$as_lineno_stack
  if test "$cross_compiling" = yes; then
    # Depending upon the size, compute the lo and hi bounds.
cat confdefs.h - <<_ACEOF >conftest.$ac_ext
/* end confdefs.h.  */
$4
int
main ()
{
static int test_array [1 - 2 * !(($2) >= 0)];
test_array [0] = 0;
return test_array [0];

  ;
  return 0;
}
_ACEOF
if ac_fn_c_try_compile "$LINENO"; then :
  ac_lo=0 ac_mid=0
  while :; do
    cat confdefs.h - <<_ACEOF >conftest.$ac_ext
/* end confdefs.h.  */
$4
int
main ()
{
static int test_array [1 - 2 * !(($2) <= $ac_mid)];
test_array [0] = 0;
return test_array [0];

  ;
  return 0;
}
_ACEOF
if ac_fn_c_try_compile "$LINENO"; then :
  ac_hi=$ac_mid; break
else
  as_fn_arith $ac_mid + 1 && ac_lo=$as_val
			if test $ac_lo -le $ac_mid; then
			  ac_lo= ac_hi=
			  break
			fi
			as_fn_arith 2 '*' $ac_mid + 1 && ac_mid=$as_val
fi
rm -f core conftest.err conftest.$ac_objext conftest.$ac_ext
  done
else
  cat confdefs.h - <<_ACEOF >conftest.$ac_ext
/* end confdefs.h.  */
$4
int
main ()
{
static int test_array [1 - 2 * !(($2) < 0)];
test_array [0] = 0;
return test_array [0];

  ;
  return 0;
}
_ACEOF
if ac_fn_c_try_compile "$LINENO"; then :
  ac_hi=-1 ac_mid=-1
  while :; do
    cat confdefs.h - <<_ACEOF >conftest.$ac_ext
/* end confdefs.h.  */
$4
int
main ()
{
static int test_array [1 - 2 * !(($2) >= $ac_mid)];
test_array [0] = 0;
return test_array [0];

  ;
  return 0;
}
_ACEOF
if ac_fn_c_try_compile "$LINENO"; then :
  ac_lo=$ac_mid; break
else
  as_fn_arith '(' $ac_mid ')' - 1 && ac_hi=$as_val
			if test $ac_mid -le $ac_hi; then
			  ac_lo= ac_hi=
			  break
			fi
			as_fn_arith 2 '*' $ac_mid && ac_mid=$as_val
fi
rm -f core conftest.err conftest.$ac_objext conftest.$ac_ext
  done
else
  ac_lo= ac_hi=
fi
rm -f core conftest.err conftest.$ac_objext conftest.$ac_ext
fi
rm -f core conftest.err conftest.$ac_objext conftest.$ac_ext
# Binary search between lo and hi bounds.
while test "x$ac_lo" != "x$ac_hi"; do
  as_fn_arith '(' $ac_hi - $ac_lo ')' / 2 + $ac_lo && ac_mid=$as_val
  cat confdefs.h - <<_ACEOF >conftest.$ac_ext
/* end confdefs.h.  */
$4
int
main ()
{
static int test_array [1 - 2 * !(($2) <= $ac_mid)];
test_array [0] = 0;
return test_array [0];

  ;
  return 0;
}
_ACEOF
if ac_fn_c_try_compile "$LINENO"; then :
  ac_hi=$ac_mid
else
  as_fn_arith '(' $ac_mid ')' + 1 && ac_lo=$as_val
fi
rm -f core conftest.err conftest.$ac_objext conftest.$ac_ext
done
case $ac_lo in #((
?*) eval "$3=\$ac_lo"; ac_retval=0 ;;
'') ac_retval=1 ;;
esac
  else
    cat confdefs.h - <<_ACEOF >conftest.$ac_ext
/* end confdefs.h.  */
$4
static long int longval () { return $2; }
static unsigned long int ulongval () { return $2; }
#include <stdio.h>
#include <stdlib.h>
int
main ()
{

  FILE *f = fopen ("conftest.val", "w");
  if (! f)
    return 1;
  if (($2) < 0)
    {
      long int i = longval ();
      if (i != ($2))
	return 1;
      fprintf (f, "%ld", i);
    }
  else
    {
      unsigned long int i = ulongval ();
      if (i != ($2))
	return 1;
      fprintf (f, "%lu", i);
    }
  /* Do not output a trailing newline, as this causes \r\n confusion
     on some platforms.  */
  return ferror (f) || fclose (f) != 0;

  ;
  return 0;
}
_ACEOF
if ac_fn_c_try_run "$LINENO"; then :
  echo >>conftest.val; read $3 <conftest.val; ac_retval=0
else
  ac_retval=1
fi
rm -f core *.core core.conftest.* gmon.out bb.out conftest$ac_exeext \
  conftest.$ac_objext conftest.beam conftest.$ac_ext
rm -f conftest.val

  fi
  eval $as_lineno_stack; ${as_lineno_stack:+:} unset as_lineno
  as_fn_set_status $ac_retval

} # ac_fn_c_compute_int

# ac_fn_c_check_decl LINENO SYMBOL VAR INCLUDES
# ---------------------------------------------
# Tests whether SYMBOL is declared in INCLUDES, setting cache variable VAR
# accordingly.
ac_fn_c_check_decl ()
{
  as_lineno=${as_lineno-"$1"} as_lineno_stack=as_lineno_stack=$as_lineno_stack
  as_decl_name=`echo $2|sed 's/ *(.*//'`
  as_decl_use=`echo $2|sed -e 's/(/((/' -e 's/)/) 0&/' -e 's/,/) 0& (/g'`
  { $as_echo "$as_me:${as_lineno-$LINENO}: checking whether $as_decl_name is declared" >&5
$as_echo_n "checking whether $as_decl_name is declared... " >&6; }
if eval \${$3+:} false; then :
  $as_echo_n "(cached) " >&6
else
  cat confdefs.h - <<_ACEOF >conftest.$ac_ext
/* end confdefs.h.  */
$4
int
main ()
{
#ifndef $as_decl_name
#ifdef __cplusplus
  (void) $as_decl_use;
#else
  (void) $as_decl_name;
#endif
#endif

  ;
  return 0;
}
_ACEOF
if ac_fn_c_try_compile "$LINENO"; then :
  eval "$3=yes"
else
  eval "$3=no"
fi
rm -f core conftest.err conftest.$ac_objext conftest.$ac_ext
fi
eval ac_res=\$$3
	       { $as_echo "$as_me:${as_lineno-$LINENO}: result: $ac_res" >&5
    colorize_result "$ac_res" ; }
  eval $as_lineno_stack; ${as_lineno_stack:+:} unset as_lineno

} # ac_fn_c_check_decl

# ac_fn_c_check_member LINENO AGGR MEMBER VAR INCLUDES
# ----------------------------------------------------
# Tries to find if the field MEMBER exists in type AGGR, after including
# INCLUDES, setting cache variable VAR accordingly.
ac_fn_c_check_member ()
{
  as_lineno=${as_lineno-"$1"} as_lineno_stack=as_lineno_stack=$as_lineno_stack
  { $as_echo "$as_me:${as_lineno-$LINENO}: checking for $2.$3" >&5
$as_echo_n "checking for $2.$3... " >&6; }
if eval \${$4+:} false; then :
  $as_echo_n "(cached) " >&6
else
  cat confdefs.h - <<_ACEOF >conftest.$ac_ext
/* end confdefs.h.  */
$5
int
main ()
{
static $2 ac_aggr;
if (ac_aggr.$3)
return 0;
  ;
  return 0;
}
_ACEOF
if ac_fn_c_try_compile "$LINENO"; then :
  eval "$4=yes"
else
  cat confdefs.h - <<_ACEOF >conftest.$ac_ext
/* end confdefs.h.  */
$5
int
main ()
{
static $2 ac_aggr;
if (sizeof ac_aggr.$3)
return 0;
  ;
  return 0;
}
_ACEOF
if ac_fn_c_try_compile "$LINENO"; then :
  eval "$4=yes"
else
  eval "$4=no"
fi
rm -f core conftest.err conftest.$ac_objext conftest.$ac_ext
fi
rm -f core conftest.err conftest.$ac_objext conftest.$ac_ext
fi
eval ac_res=\$$4
	       { $as_echo "$as_me:${as_lineno-$LINENO}: result: $ac_res" >&5
    colorize_result "$ac_res" ; }
  eval $as_lineno_stack; ${as_lineno_stack:+:} unset as_lineno

} # ac_fn_c_check_member
cat >config.log <<_ACEOF
This file contains any messages produced by compilers while
running configure, to aid debugging if configure makes a mistake.

It was created by $as_me, which was
generated by GNU Autoconf 2.69.  Invocation command line was

  $ $0 $@

_ACEOF
exec 5>>config.log
{
cat <<_ASUNAME
## --------- ##
## Platform. ##
## --------- ##

hostname = `(hostname || uname -n) 2>/dev/null | sed 1q`
uname -m = `(uname -m) 2>/dev/null || echo unknown`
uname -r = `(uname -r) 2>/dev/null || echo unknown`
uname -s = `(uname -s) 2>/dev/null || echo unknown`
uname -v = `(uname -v) 2>/dev/null || echo unknown`

/usr/bin/uname -p = `(/usr/bin/uname -p) 2>/dev/null || echo unknown`
/bin/uname -X     = `(/bin/uname -X) 2>/dev/null     || echo unknown`

/bin/arch              = `(/bin/arch) 2>/dev/null              || echo unknown`
/usr/bin/arch -k       = `(/usr/bin/arch -k) 2>/dev/null       || echo unknown`
/usr/convex/getsysinfo = `(/usr/convex/getsysinfo) 2>/dev/null || echo unknown`
/usr/bin/hostinfo      = `(/usr/bin/hostinfo) 2>/dev/null      || echo unknown`
/bin/machine           = `(/bin/machine) 2>/dev/null           || echo unknown`
/usr/bin/oslevel       = `(/usr/bin/oslevel) 2>/dev/null       || echo unknown`
/bin/universe          = `(/bin/universe) 2>/dev/null          || echo unknown`

_ASUNAME

as_save_IFS=$IFS; IFS=$PATH_SEPARATOR
for as_dir in $PATH
do
  IFS=$as_save_IFS
  test -z "$as_dir" && as_dir=.
    $as_echo "PATH: $as_dir"
  done
IFS=$as_save_IFS

} >&5

cat >&5 <<_ACEOF


## ----------- ##
## Core tests. ##
## ----------- ##

_ACEOF


# Keep a trace of the command line.
# Strip out --no-create and --no-recursion so they do not pile up.
# Strip out --silent because we don't want to record it for future runs.
# Also quote any args containing shell meta-characters.
# Make two passes to allow for proper duplicate-argument suppression.
ac_configure_args=
ac_configure_args0=
ac_configure_args1=
ac_must_keep_next=false
for ac_pass in 1 2
do
  for ac_arg
  do
    case $ac_arg in
    -no-create | --no-c* | -n | -no-recursion | --no-r*) continue ;;
    -q | -quiet | --quiet | --quie | --qui | --qu | --q \
    | -silent | --silent | --silen | --sile | --sil)
      continue ;;
    *\'*)
      ac_arg=`$as_echo "$ac_arg" | sed "s/'/'\\\\\\\\''/g"` ;;
    esac
    case $ac_pass in
    1) as_fn_append ac_configure_args0 " '$ac_arg'" ;;
    2)
      as_fn_append ac_configure_args1 " '$ac_arg'"
      if test $ac_must_keep_next = true; then
	ac_must_keep_next=false # Got value, back to normal.
      else
	case $ac_arg in
	  *=* | --config-cache | -C | -disable-* | --disable-* \
	  | -enable-* | --enable-* | -gas | --g* | -nfp | --nf* \
	  | -q | -quiet | --q* | -silent | --sil* | -v | -verb* \
	  | -with-* | --with-* | -without-* | --without-* | --x)
	    case "$ac_configure_args0 " in
	      "$ac_configure_args1"*" '$ac_arg' "* ) continue ;;
	    esac
	    ;;
	  -* ) ac_must_keep_next=true ;;
	esac
      fi
      as_fn_append ac_configure_args " '$ac_arg'"
      ;;
    esac
  done
done
{ ac_configure_args0=; unset ac_configure_args0;}
{ ac_configure_args1=; unset ac_configure_args1;}

# When interrupted or exit'd, cleanup temporary files, and complete
# config.log.  We remove comments because anyway the quotes in there
# would cause problems or look ugly.
# WARNING: Use '\'' to represent an apostrophe within the trap.
# WARNING: Do not start the trap code with a newline, due to a FreeBSD 4.0 bug.
trap 'exit_status=$?
  # Save into config.log some information that might help in debugging.
  {
    echo

    $as_echo "## ---------------- ##
## Cache variables. ##
## ---------------- ##"
    echo
    # The following way of writing the cache mishandles newlines in values,
(
  for ac_var in `(set) 2>&1 | sed -n '\''s/^\([a-zA-Z_][a-zA-Z0-9_]*\)=.*/\1/p'\''`; do
    eval ac_val=\$$ac_var
    case $ac_val in #(
    *${as_nl}*)
      case $ac_var in #(
      *_cv_*) { $as_echo "$as_me:${as_lineno-$LINENO}: WARNING: cache variable $ac_var contains a newline" >&5
$as_echo "$as_me: WARNING: cache variable $ac_var contains a newline" >&2;} ;;
      esac
      case $ac_var in #(
      _ | IFS | as_nl) ;; #(
      BASH_ARGV | BASH_SOURCE) eval $ac_var= ;; #(
      *) { eval $ac_var=; unset $ac_var;} ;;
      esac ;;
    esac
  done
  (set) 2>&1 |
    case $as_nl`(ac_space='\'' '\''; set) 2>&1` in #(
    *${as_nl}ac_space=\ *)
      sed -n \
	"s/'\''/'\''\\\\'\'''\''/g;
	  s/^\\([_$as_cr_alnum]*_cv_[_$as_cr_alnum]*\\)=\\(.*\\)/\\1='\''\\2'\''/p"
      ;; #(
    *)
      sed -n "/^[_$as_cr_alnum]*_cv_[_$as_cr_alnum]*=/p"
      ;;
    esac |
    sort
)
    echo

    $as_echo "## ----------------- ##
## Output variables. ##
## ----------------- ##"
    echo
    for ac_var in $ac_subst_vars
    do
      eval ac_val=\$$ac_var
      case $ac_val in
      *\'\''*) ac_val=`$as_echo "$ac_val" | sed "s/'\''/'\''\\\\\\\\'\'''\''/g"`;;
      esac
      $as_echo "$ac_var='\''$ac_val'\''"
    done | sort
    echo

    if test -n "$ac_subst_files"; then
      $as_echo "## ------------------- ##
## File substitutions. ##
## ------------------- ##"
      echo
      for ac_var in $ac_subst_files
      do
	eval ac_val=\$$ac_var
	case $ac_val in
	*\'\''*) ac_val=`$as_echo "$ac_val" | sed "s/'\''/'\''\\\\\\\\'\'''\''/g"`;;
	esac
	$as_echo "$ac_var='\''$ac_val'\''"
      done | sort
      echo
    fi

    if test -s confdefs.h; then
      $as_echo "## ----------- ##
## confdefs.h. ##
## ----------- ##"
      echo
      cat confdefs.h
      echo
    fi
    test "$ac_signal" != 0 &&
      $as_echo "$as_me: caught signal $ac_signal"
    $as_echo "$as_me: exit $exit_status"
  } >&5
  rm -f core *.core core.conftest.* &&
    rm -f -r conftest* confdefs* conf$$* $ac_clean_files &&
    exit $exit_status
' 0
for ac_signal in 1 2 13 15; do
  trap 'ac_signal='$ac_signal'; as_fn_exit 1' $ac_signal
done
ac_signal=0

# confdefs.h avoids OS command line length limits that DEFS can exceed.
rm -f -r conftest* confdefs.h

$as_echo "/* confdefs.h */" > confdefs.h

# Predefined preprocessor variables.

cat >>confdefs.h <<_ACEOF
#define PACKAGE_NAME "$PACKAGE_NAME"
_ACEOF

cat >>confdefs.h <<_ACEOF
#define PACKAGE_TARNAME "$PACKAGE_TARNAME"
_ACEOF

cat >>confdefs.h <<_ACEOF
#define PACKAGE_VERSION "$PACKAGE_VERSION"
_ACEOF

cat >>confdefs.h <<_ACEOF
#define PACKAGE_STRING "$PACKAGE_STRING"
_ACEOF

cat >>confdefs.h <<_ACEOF
#define PACKAGE_BUGREPORT "$PACKAGE_BUGREPORT"
_ACEOF

cat >>confdefs.h <<_ACEOF
#define PACKAGE_URL "$PACKAGE_URL"
_ACEOF


# Let the site file select an alternate cache file if it wants to.
# Prefer an explicitly selected file to automatically selected ones.
ac_site_file1=NONE
ac_site_file2=NONE
if test -n "$CONFIG_SITE"; then
  # We do not want a PATH search for config.site.
  case $CONFIG_SITE in #((
    -*)  ac_site_file1=./$CONFIG_SITE;;
    */*) ac_site_file1=$CONFIG_SITE;;
    *)   ac_site_file1=./$CONFIG_SITE;;
  esac
elif test "x$prefix" != xNONE; then
  ac_site_file1=$prefix/share/config.site
  ac_site_file2=$prefix/etc/config.site
else
  ac_site_file1=$ac_default_prefix/share/config.site
  ac_site_file2=$ac_default_prefix/etc/config.site
fi
for ac_site_file in "$ac_site_file1" "$ac_site_file2"
do
  test "x$ac_site_file" = xNONE && continue
  if test /dev/null != "$ac_site_file" && test -r "$ac_site_file"; then
    { $as_echo "$as_me:${as_lineno-$LINENO}: loading site script $ac_site_file" >&5
$as_echo "$as_me: loading site script $ac_site_file" >&6;}
    sed 's/^/| /' "$ac_site_file" >&5
    . "$ac_site_file" \
      || { { $as_echo "$as_me:${as_lineno-$LINENO}: error: in \`$ac_pwd':" >&5
$as_echo "$as_me: error: in \`$ac_pwd':" >&2;}
as_fn_error $? "failed to load site script $ac_site_file
See \`config.log' for more details" "$LINENO" 5; }
  fi
done

if test -r "$cache_file"; then
  # Some versions of bash will fail to source /dev/null (special files
  # actually), so we avoid doing that.  DJGPP emulates it as a regular file.
  if test /dev/null != "$cache_file" && test -f "$cache_file"; then
    { $as_echo "$as_me:${as_lineno-$LINENO}: loading cache $cache_file" >&5
$as_echo "$as_me: loading cache $cache_file" >&6;}
    case $cache_file in
      [\\/]* | ?:[\\/]* ) . "$cache_file";;
      *)                      . "./$cache_file";;
    esac
  fi
else
  { $as_echo "$as_me:${as_lineno-$LINENO}: creating cache $cache_file" >&5
$as_echo "$as_me: creating cache $cache_file" >&6;}
  >$cache_file
fi

# Check that the precious variables saved in the cache have kept the same
# value.
ac_cache_corrupted=false
for ac_var in $ac_precious_vars; do
  eval ac_old_set=\$ac_cv_env_${ac_var}_set
  eval ac_new_set=\$ac_env_${ac_var}_set
  eval ac_old_val=\$ac_cv_env_${ac_var}_value
  eval ac_new_val=\$ac_env_${ac_var}_value
  case $ac_old_set,$ac_new_set in
    set,)
      { $as_echo "$as_me:${as_lineno-$LINENO}: error: \`$ac_var' was set to \`$ac_old_val' in the previous run" >&5
$as_echo "$as_me: error: \`$ac_var' was set to \`$ac_old_val' in the previous run" >&2;}
      ac_cache_corrupted=: ;;
    ,set)
      { $as_echo "$as_me:${as_lineno-$LINENO}: error: \`$ac_var' was not set in the previous run" >&5
$as_echo "$as_me: error: \`$ac_var' was not set in the previous run" >&2;}
      ac_cache_corrupted=: ;;
    ,);;
    *)
      if test "x$ac_old_val" != "x$ac_new_val"; then
	# differences in whitespace do not lead to failure.
	ac_old_val_w=`echo x $ac_old_val`
	ac_new_val_w=`echo x $ac_new_val`
	if test "$ac_old_val_w" != "$ac_new_val_w"; then
	  { $as_echo "$as_me:${as_lineno-$LINENO}: error: \`$ac_var' has changed since the previous run:" >&5
$as_echo "$as_me: error: \`$ac_var' has changed since the previous run:" >&2;}
	  ac_cache_corrupted=:
	else
	  { $as_echo "$as_me:${as_lineno-$LINENO}: warning: ignoring whitespace changes in \`$ac_var' since the previous run:" >&5
$as_echo "$as_me: warning: ignoring whitespace changes in \`$ac_var' since the previous run:" >&2;}
	  eval $ac_var=\$ac_old_val
	fi
	{ $as_echo "$as_me:${as_lineno-$LINENO}:   former value:  \`$ac_old_val'" >&5
$as_echo "$as_me:   former value:  \`$ac_old_val'" >&2;}
	{ $as_echo "$as_me:${as_lineno-$LINENO}:   current value: \`$ac_new_val'" >&5
$as_echo "$as_me:   current value: \`$ac_new_val'" >&2;}
      fi;;
  esac
  # Pass precious variables to config.status.
  if test "$ac_new_set" = set; then
    case $ac_new_val in
    *\'*) ac_arg=$ac_var=`$as_echo "$ac_new_val" | sed "s/'/'\\\\\\\\''/g"` ;;
    *) ac_arg=$ac_var=$ac_new_val ;;
    esac
    case " $ac_configure_args " in
      *" '$ac_arg' "*) ;; # Avoid dups.  Use of quotes ensures accuracy.
      *) as_fn_append ac_configure_args " '$ac_arg'" ;;
    esac
  fi
done
if $ac_cache_corrupted; then
  { $as_echo "$as_me:${as_lineno-$LINENO}: error: in \`$ac_pwd':" >&5
$as_echo "$as_me: error: in \`$ac_pwd':" >&2;}
  { $as_echo "$as_me:${as_lineno-$LINENO}: error: changes in the environment can compromise the build" >&5
$as_echo "$as_me: error: changes in the environment can compromise the build" >&2;}
  as_fn_error $? "run \`make distclean' and/or \`rm $cache_file' and start over" "$LINENO" 5
fi
## -------------------- ##
## Main body of script. ##
## -------------------- ##

ac_ext=c
ac_cpp='$CPP $CPPFLAGS'
ac_compile='$CC -c $CFLAGS $CPPFLAGS conftest.$ac_ext >&5'
ac_link='$CC -o conftest$ac_exeext $CFLAGS $CPPFLAGS $LDFLAGS conftest.$ac_ext $LIBS >&5'
ac_compiler_gnu=$ac_cv_c_compiler_gnu


{
ac_aux_dir=
for ac_dir in tool "$srcdir"/tool; do
  if test -f "$ac_dir/install-sh"; then
    ac_aux_dir=$ac_dir
    ac_install_sh="$ac_aux_dir/install-sh -c"
    break
  elif test -f "$ac_dir/install.sh"; then
    ac_aux_dir=$ac_dir
    ac_install_sh="$ac_aux_dir/install.sh -c"
    break
  elif test -f "$ac_dir/shtool"; then
    ac_aux_dir=$ac_dir
    ac_install_sh="$ac_aux_dir/shtool install -c"
    break
  fi
done
if test -z "$ac_aux_dir"; then
  as_fn_error $? "cannot find install-sh, install.sh, or shtool in tool \"$srcdir\"/tool" "$LINENO" 5
fi

# These three variables are undocumented and unsupported,
# and are intended to be withdrawn in a future Autoconf release.
# They can cause serious problems if a builder's source tree is in a directory
# whose full name contains unusual characters.
ac_config_guess="$SHELL $ac_aux_dir/config.guess"  # Please don't use this var.
ac_config_sub="$SHELL $ac_aux_dir/config.sub"  # Please don't use this var.
ac_configure="$SHELL $ac_aux_dir/configure"  # Please don't use this var.
















{ # environment section


    msg_checking= msg_result_yes= msg_result_no= msg_result_other= msg_reset=
    if test "x${CONFIGURE_TTY}" = xyes -o -t 1; then :

	msg_begin="`tput smso 2>/dev/null`"
	case "$msg_begin" in #(
  '['*m) :
    msg_begin="`echo "$msg_begin" | sed 's/[0-9]*m$//'`"
	    msg_checking="${msg_begin}33m"
	    if test ${TEST_COLORS:+set}; then :

		msg_result_yes=`expr ":$TEST_COLORS:" : ".*:pass=\([^:]*\):"`
		msg_result_no=`expr ":$TEST_COLORS:" : ".*:fail=\([^:]*\):"`
		msg_result_other=`expr ":$TEST_COLORS:" : ".*:skip=\([^:]*\):"`

fi
	    msg_result_yes="${msg_begin}${msg_result_yes:-32;1}m"
	    msg_result_no="${msg_begin}${msg_result_no:-31;1}m"
	    msg_result_other="${msg_begin}${msg_result_other:-33;1}m"
	    msg_reset="${msg_begin}m"
	     ;; #(
  *) :
     ;;
esac
	{ msg_begin=; unset msg_begin;}

fi



# Check whether --with-baseruby was given.
if test "${with_baseruby+set}" = set; then :
  withval=$with_baseruby;
		case "$withval" in #(
  *ruby*) :
    BASERUBY=$withval ;; #(
  *) :
    as_fn_error $? "need ruby" "$LINENO" 5 ;;
esac

else

		# Extract the first word of "ruby", so it can be a program name with args.
set dummy ruby; ac_word=$2
{ $as_echo "$as_me:${as_lineno-$LINENO}: checking for $ac_word" >&5
$as_echo_n "checking for $ac_word... " >&6; }
if ${ac_cv_path_BASERUBY+:} false; then :
  $as_echo_n "(cached) " >&6
else
  case $BASERUBY in
  [\\/]* | ?:[\\/]*)
  ac_cv_path_BASERUBY="$BASERUBY" # Let the user override the test with a path.
  ;;
  *)
  as_save_IFS=$IFS; IFS=$PATH_SEPARATOR
for as_dir in $PATH
do
  IFS=$as_save_IFS
  test -z "$as_dir" && as_dir=.
    for ac_exec_ext in '' $ac_executable_extensions; do
  if as_fn_executable_p "$as_dir/$ac_word$ac_exec_ext"; then
    ac_cv_path_BASERUBY="$as_dir/$ac_word$ac_exec_ext"
    $as_echo "$as_me:${as_lineno-$LINENO}: found $as_dir/$ac_word$ac_exec_ext" >&5
    break 2
  fi
done
  done
IFS=$as_save_IFS

  test -z "$ac_cv_path_BASERUBY" && ac_cv_path_BASERUBY="false"
  ;;
esac
fi
BASERUBY=$ac_cv_path_BASERUBY
if test -n "$BASERUBY"; then
  { $as_echo "$as_me:${as_lineno-$LINENO}: result: $BASERUBY" >&5
    colorize_result "$BASERUBY" ; }
else
  { $as_echo "$as_me:${as_lineno-$LINENO}: result: no" >&5
    $as_echo "${msg_result_no}no${msg_reset}" ; }
fi



fi

if test "`RUBYOPT=- $BASERUBY -e 'print 42' 2>/dev/null`" = 42; then
    if test "`RUBYOPT=- $BASERUBY --disable=gems -e 'print 42' 2>/dev/null`" = 42; then
	BASERUBY="$BASERUBY --disable=gems"
    fi
    $BASERUBY -C "$srcdir/tool" downloader.rb -e gnu config.guess config.sub
    HAVE_BASERUBY=yes
else
    BASERUBY="echo executable host ruby is required.  use --with-baseruby option.; false"
    HAVE_BASERUBY=no
fi













eval `sed -n 's/^#define RUBY_API_VERSION_\([A-Z][A-Z_0-9]*\) \([0-9][0-9]*\)/API_\1=\2/p' $srcdir/include/ruby/version.h`
RUBY_PROGRAM_VERSION=`sed -n 's/^#define RUBY_VERSION "\(.*\)"/\1/p' $srcdir/version.h`
MAJOR=`echo $RUBY_PROGRAM_VERSION | cut -d. -f1`
MINOR=`echo $RUBY_PROGRAM_VERSION | cut -d. -f2`
TEENY=`echo $RUBY_PROGRAM_VERSION | cut -d. -f3`
for v in MAJOR MINOR TEENY; do
    if eval "test \"\$$v\" = ''"; then
	as_fn_error $? "could not determine $v number from version.h" "$LINENO" 5
    fi
done
if test "$MAJOR.$MINOR" != "$API_MAJOR.$API_MINOR"; then :

    as_fn_error $? "API version $API_MAJOR.$API_MINOR differs from program version $MAJOR.$MINOR" "$LINENO" 5

fi




RUBY_PATCHLEVEL=`sed -n 's/^#define RUBY_PATCHLEVEL //p' $srcdir/version.h`
$as_echo "#define CANONICALIZATION_FOR_MATHN 1" >>confdefs.h

# Make sure we can run config.sub.
$SHELL "$ac_aux_dir/config.sub" sun4 >/dev/null 2>&1 ||
  as_fn_error $? "cannot run $SHELL $ac_aux_dir/config.sub" "$LINENO" 5

{ $as_echo "$as_me:${as_lineno-$LINENO}: checking build system type" >&5
$as_echo_n "checking build system type... " >&6; }
if ${ac_cv_build+:} false; then :
  $as_echo_n "(cached) " >&6
else
  ac_build_alias=$build_alias
test "x$ac_build_alias" = x &&
  ac_build_alias=`$SHELL "$ac_aux_dir/config.guess"`
test "x$ac_build_alias" = x &&
  as_fn_error $? "cannot guess build type; you must specify one" "$LINENO" 5
ac_cv_build=`$SHELL "$ac_aux_dir/config.sub" $ac_build_alias` ||
  as_fn_error $? "$SHELL $ac_aux_dir/config.sub $ac_build_alias failed" "$LINENO" 5

fi
{ $as_echo "$as_me:${as_lineno-$LINENO}: result: $ac_cv_build" >&5
    colorize_result "$ac_cv_build" ; }
case $ac_cv_build in
*-*-*) ;;
*) as_fn_error $? "invalid value of canonical build" "$LINENO" 5;;
esac
build=$ac_cv_build
ac_save_IFS=$IFS; IFS='-'
set x $ac_cv_build
shift
build_cpu=$1
build_vendor=$2
shift; shift
# Remember, the first character of IFS is used to create $*,
# except with old shells:
build_os=$*
IFS=$ac_save_IFS
case $build_os in *\ *) build_os=`echo "$build_os" | sed 's/ /-/g'`;; esac




# suppress error messages, rm: cannot remove 'conftest.dSYM', from
# AC_EGREP_CPP with CFLAGS=-g on Darwin.
#
# TODO: remove this hack when AC_PREREQ() becomes 2.70 or later.
case $build_os in #(
  darwin*) :

rm() {
    rm_recursive=''
    for arg do
	case "$arg" in #(
  --*) :
     ;; #(
  -*r*) :
    break ;; #(
  conftest.*) :
    if test -d "$arg"; then rm_recursive=-r; break; fi ;; #(
  *) :
     ;;
esac
    done
    command rm $rm_recursive "$@"
}
 ;; #(
  *) :
     ;;
esac

# Check whether --with-gcc was given.
if test "${with_gcc+set}" = set; then :
  withval=$with_gcc;
	case $withval in #(
  no) :
    : ${CC=cc} ;; #(
  yes) :
    : ${CC=gcc} ;; #(
  *) :
    CC=$withval ;;
esac
fi

if test ! -z "$ac_cv_prog_CC" -a ! -z "$CC" -a "$CC" != "$ac_cv_prog_CC"
then
  as_fn_error $? "cached CC is different -- throw away $cache_file
(it is also a good idea to do 'make clean' before compiling)" "$LINENO" 5
fi
test -z "$CC" || ac_cv_prog_CC="$CC"

if test "$program_prefix" = NONE; then
  program_prefix=
fi
if test "$prefix" -ef .; then
  as_fn_error $? "--prefix cannot be the current working directory." "$LINENO" 5
fi
RUBY_BASE_NAME=`echo ruby | sed "$program_transform_name"`
RUBYW_BASE_NAME=`echo rubyw | sed "$program_transform_name"`


RUBY_VERSION_NAME='${RUBY_BASE_NAME}-${ruby_version}'


{ $as_echo "$as_me:${as_lineno-$LINENO}: checking host system type" >&5
$as_echo_n "checking host system type... " >&6; }
if ${ac_cv_host+:} false; then :
  $as_echo_n "(cached) " >&6
else
  if test "x$host_alias" = x; then
  ac_cv_host=$ac_cv_build
else
  ac_cv_host=`$SHELL "$ac_aux_dir/config.sub" $host_alias` ||
    as_fn_error $? "$SHELL $ac_aux_dir/config.sub $host_alias failed" "$LINENO" 5
fi

fi
{ $as_echo "$as_me:${as_lineno-$LINENO}: result: $ac_cv_host" >&5
    colorize_result "$ac_cv_host" ; }
case $ac_cv_host in
*-*-*) ;;
*) as_fn_error $? "invalid value of canonical host" "$LINENO" 5;;
esac
host=$ac_cv_host
ac_save_IFS=$IFS; IFS='-'
set x $ac_cv_host
shift
host_cpu=$1
host_vendor=$2
shift; shift
# Remember, the first character of IFS is used to create $*,
# except with old shells:
host_os=$*
IFS=$ac_save_IFS
case $host_os in *\ *) host_os=`echo "$host_os" | sed 's/ /-/g'`;; esac


{ $as_echo "$as_me:${as_lineno-$LINENO}: checking target system type" >&5
$as_echo_n "checking target system type... " >&6; }
if ${ac_cv_target+:} false; then :
  $as_echo_n "(cached) " >&6
else
  if test "x$target_alias" = x; then
  ac_cv_target=$ac_cv_host
else
  ac_cv_target=`$SHELL "$ac_aux_dir/config.sub" $target_alias` ||
    as_fn_error $? "$SHELL $ac_aux_dir/config.sub $target_alias failed" "$LINENO" 5
fi

fi
{ $as_echo "$as_me:${as_lineno-$LINENO}: result: $ac_cv_target" >&5
    colorize_result "$ac_cv_target" ; }
case $ac_cv_target in
*-*-*) ;;
*) as_fn_error $? "invalid value of canonical target" "$LINENO" 5;;
esac
target=$ac_cv_target
ac_save_IFS=$IFS; IFS='-'
set x $ac_cv_target
shift
target_cpu=$1
target_vendor=$2
shift; shift
# Remember, the first character of IFS is used to create $*,
# except with old shells:
target_os=$*
IFS=$ac_save_IFS
case $target_os in *\ *) target_os=`echo "$target_os" | sed 's/ /-/g'`;; esac


# The aliases save the names the user supplied, while $host etc.
# will get canonicalized.
test -n "$target_alias" &&
  test "$program_prefix$program_suffix$program_transform_name" = \
    NONENONEs,x,x, &&
  program_prefix=${target_alias}-
test x"$target_alias" = x &&
target_os=`echo $target_os | sed 's/linux-gnu$/linux/;s/linux-gnu/linux-/'`
ac_install_sh='' # unusable for extension libraries.


# Check whether --with-os-version-style was given.
if test "${with_os_version_style+set}" = set; then :
  withval=$with_os_version_style; os_version_style=$withval
else
  os_version_style=full
	    case $target_os in #(
  *[0-9].*) :
    case `/usr/bin/ruby -e 'puts RUBY_PLATFORM' 2>/dev/null` in #(
  *-*[0-9].*.0) :
    os_version_style=minor+0 ;; #(
  *-*[0-9].*.*) :
    os_version_style=full ;; #(
  *-*[0-9].0  ) :
    os_version_style=major+0 ;; #(
  *-*[0-9].*  ) :
    os_version_style=minor ;; #(
  *-*[0-9]    ) :
    os_version_style=major ;; #(
  *) :
     ;;
esac ;; #(
  *) :
     ;;
esac

fi

os_version_style_transform=
case "${os_version_style}" in #(
  full|teeny) :
     ;; #(
  minor+0) :
    os_version_style_transform='s/\([0-9]\.[0-9][0-9]*\)\.[0-9][.0-9]*$/\1.0/' ;; #(
  minor) :
    os_version_style_transform='s/\([0-9]\.[0-9][0-9]*\)\.[0-9][.0-9]*$/\1/' ;; #(
  major+0) :
    os_version_style_transform='s/\([0-9]\)\.[0-9][.0-9]*$/\1.0/' ;; #(
  major) :
    os_version_style_transform='s/\([0-9]\)\.[0-9][.0-9]*$/\1/' ;; #(
  none) :
    os_version_style_transform='s/[0-9]\.[0-9][.0-9]*$//' ;; #(
  *) :
    as_fn_error $? "unknown --with-os-version-style: $withval" "$LINENO" 5 ;;
esac
if test -z "$target_alias" -a -n "$os_version_style_transform"; then :

	target=`echo ${target} | sed "$os_version_style_transform"`
	target_os=`echo ${target_os} | sed "$os_version_style_transform"`

fi







# Check whether --with-arch was given.
if test "${with_arch+set}" = set; then :
  withval=$with_arch; target_archs="$withval"
else
  unset target_archs
fi






# Check whether --enable-load-relative was given.
if test "${enable_load_relative+set}" = set; then :
  enableval=$enable_load_relative; load_relative=$enableval
fi


test "$program_prefix" != NONE &&
  program_transform_name="s&^&$program_prefix&;$program_transform_name"
# Use a double $ so make ignores it.
test "$program_suffix" != NONE &&
  program_transform_name="s&\$&$program_suffix&;$program_transform_name"
# Double any \ or $.
# By default was `s,x,x', remove it if useless.
ac_script='s/[\\$]/&&/g;s/;s,x,x,$//'
program_transform_name=`$as_echo "$program_transform_name" | sed "$ac_script"`



cflagspat=
test -z "$optflags" ||
    cflagspat="$cflagspat;s|"`eval echo '"'"${optflags}"'"' | sed 's/[][|.*]/\\&/g;s/^ */ /;s/ *$/ /'`'| |g'
test -z "$debugflags" ||
    cflagspat="$cflagspat;s|"`eval echo '"'"${debugflags}"'"' | sed 's/[][|.*]/\\&/g;s/^ */ /;s/ *$/ /'`'| |g'
test -z "warnflags" ||
    cflagspat="$cflagspat;s|"`eval echo '"'"${warnflags}"'"' | sed 's/[][|.*]/\\&/g;s/^ */ /;s/ *$/ /'`'| |g'
if test -z "${CFLAGS+set}"; then
    cflags=`echo " $cflags " | sed "$cflagspat;s/^ *//;s/ *$//"`
    orig_cflags="$cflags"
    cflags="$cflags "'${optflags} ${debugflags} ${warnflags}'
fi
if test -z "${CXXFLAGS+set}"; then
    cxxflags=`echo " $cxxflags " | sed "$cflagspat;s/^ *//;s/ *$//"`
    orig_cxxflags="$cxxflags"
    cxxflags="$cxxflags "'${optflags} ${debugflags} ${warnflags}'
fi


 case "${host_os}" in #(
  nacl) :

  ac_cv_exeext=.nexe
  host_vendor=chromium
  ac_cv_host=chromium
  { $as_echo "$as_me:${as_lineno-$LINENO}: checking wheather \$NACL_SDK_ROOT is set" >&5
$as_echo_n "checking wheather \$NACL_SDK_ROOT is set... " >&6; }
  if test x"${NACL_SDK_ROOT}" = x; then
    { $as_echo "$as_me:${as_lineno-$LINENO}: result: no" >&5
    $as_echo "${msg_result_no}no${msg_reset}" ; }
    as_fn_error $? "You need to set \$NACL_SDK_ROOT environment variable to build for NativeClient" "$LINENO" 5
  fi
  { $as_echo "$as_me:${as_lineno-$LINENO}: result: yes" >&5
    $as_echo "${msg_result_yes}yes${msg_reset}" ; }

  nacl_cv_build_variant=glibc

# Check whether --with-newlib was given.
if test "${with_newlib+set}" = set; then :
  withval=$with_newlib; case $withval in #(
  no) :
    nacl_cv_build_variant=glibc ;; #(
  yes) :
    nacl_cv_build_variant=newlib ;; #(
  *) :
     ;;
esac
fi


  case "$target_cpu" in #(
  x86_64) :
    nacl_cv_cpu_nick=x86
                     nacl_cv_cpu_nick2=x86_64 ;; #(
  i?86) :
    nacl_cv_cpu_nick=x86
                   nacl_cv_cpu_nick2=x86_32 ;; #(
  le32) :
    nacl_cv_cpu_nick=pnacl
                   nacl_cv_cpu_nick2=pnacl
                   ac_cv_exeext=.pexe ;; #(
  *) :
    nacl_cv_cpu_nick=$target_cpu ;;
esac
  case "$build_os" in #(
  linux*) :
    nacl_cv_os_nick=linux ;; #(
  darwin*) :
    nacl_cv_os_nick=mac ;; #(
  cygwin*|mingw*) :
    nacl_cv_os_nick=win ;; #(
  *) :
    nacl_cv_os_nick=$build_os ;;
esac

  host="$host_cpu-chromium-$host_os-"
  ac_tool_prefix="$host_cpu-nacl-"

  { $as_echo "$as_me:${as_lineno-$LINENO}: checking NativeClient toolchain" >&5
$as_echo_n "checking NativeClient toolchain... " >&6; }
  if test x"$nacl_cv_cpu_nick" = xpnacl; then
    NACL_TOOLCHAIN="${nacl_cv_os_nick}_pnacl"
    ac_tool_prefix=pnacl-
  elif test -d \
    "${NACL_SDK_ROOT}/toolchain/${nacl_cv_os_nick}_${nacl_cv_cpu_nick}_${nacl_cv_build_variant}"; then
    NACL_TOOLCHAIN="${nacl_cv_os_nick}_${nacl_cv_cpu_nick}_${nacl_cv_build_variant}"
  elif test -d \
    "${NACL_SDK_ROOT}/toolchain/${nacl_cv_os_nick}_x86_${nacl_cv_cpu_nick}/${nacl_cv_build_variant}"; then
    NACL_TOOLCHAIN="${nacl_cv_os_nick}_x86_${nacl_cv_cpu_nick}/${nacl_cv_build_variant}"
  else
    case "${nacl_cv_build_variant}" in #(
  glibc) :
    if test \
        -d "${NACL_SDK_ROOT}/toolchain/${nacl_cv_os_nick}_${nacl_cv_cpu_nick}_newlib" \
        -a -d "${NACL_SDK_ROOT}/toolchain/${nacl_cv_os_nick}_${nacl_cv_cpu_nick}"; then
        NACL_TOOLCHAIN="${nacl_cv_os_nick}_${nacl_cv_cpu_nick}"
      fi ;; #(
  newlib) :
     NACL_TOOLCHAIN="${nacl_cv_os_nick}_${nacl_cv_cpu_nick}"  ;; #(
  *) :
     ;;
esac
  fi
  if test ! -e "${NACL_SDK_ROOT}/toolchain/${NACL_TOOLCHAIN}/${ac_tool_prefix}gcc"; then
    if test "${build_cpu}" = i686 -a -e "${NACL_SDK_ROOT}/toolchain/${NACL_TOOLCHAIN}/nacl-gcc"; then
      ac_tool_prefix=nacl-
    fi
    if test "${build_cpu}" = x86_64 -a -e "${NACL_SDK_ROOT}/toolchain/${NACL_TOOLCHAIN}/nacl-gcc"; then
      ac_tool_prefix=nacl64-
    fi
  fi
  if test -z "${NACL_TOOLCHAIN}"; then
    as_fn_error $? "Unrecognized --host and --build combination or NaCl SDK is not installed" "$LINENO" 5
  fi
  { $as_echo "$as_me:${as_lineno-$LINENO}: result: ${NACL_TOOLCHAIN}" >&5
    colorize_result "${NACL_TOOLCHAIN}" ; }

  { $as_echo "$as_me:${as_lineno-$LINENO}: checking path to SDK" >&5
$as_echo_n "checking path to SDK... " >&6; }
  if ! echo -- "${PATH}" | grep -F "${NACL_SDK_ROOT}/toolchain/${NACL_TOOLCHAIN}/bin" > /dev/null; then
    PATH="${PATH}:${NACL_SDK_ROOT}/toolchain/${NACL_TOOLCHAIN}/bin"
  fi
  { $as_echo "$as_me:${as_lineno-$LINENO}: result: ${NACL_SDK_ROOT}/toolchain/${NACL_TOOLCHAIN}/bin" >&5
    colorize_result "${NACL_SDK_ROOT}/toolchain/${NACL_TOOLCHAIN}/bin" ; }

  # RUBY_APPEND_OPTIONS(XCFLAGS)
	for rb_opt in '-I$(NACL_SDK_ROOT)/include'; do
	case " ${XCFLAGS-} " in #(
  *" ${rb_opt} "*) :
     ;; #(
  '  ') :
     XCFLAGS="${rb_opt}" ;; #(
  *) :
     XCFLAGS="$XCFLAGS ${rb_opt}" ;;
esac
	done
  if test x"${nacl_cv_cpu_nick}" = xpnacl; then
    # RUBY_APPEND_OPTIONS(XCFLAGS)
	for rb_opt in '-isystem $(NACL_SDK_ROOT)/include/pnacl'; do
	case " ${XCFLAGS-} " in #(
  *" ${rb_opt} "*) :
     ;; #(
  '  ') :
     XCFLAGS="${rb_opt}" ;; #(
  *) :
     XCFLAGS="$XCFLAGS ${rb_opt}" ;;
esac
	done
  elif test x"${nacl_cv_build_variant}" = xnewlib; then
    # RUBY_APPEND_OPTIONS(XCFLAGS)
	for rb_opt in '-isystem $(NACL_SDK_ROOT)/include/newlib'; do
	case " ${XCFLAGS-} " in #(
  *" ${rb_opt} "*) :
     ;; #(
  '  ') :
     XCFLAGS="${rb_opt}" ;; #(
  *) :
     XCFLAGS="$XCFLAGS ${rb_opt}" ;;
esac
	done
  fi

  { $as_echo "$as_me:${as_lineno-$LINENO}: checking nacl library path" >&5
$as_echo_n "checking nacl library path... " >&6; }
  if test -d "${NACL_SDK_ROOT}/lib/${nacl_cv_build_variant}_${nacl_cv_cpu_nick2}/Release"; then
    nacl_cv_libpath="${nacl_cv_build_variant}_${nacl_cv_cpu_nick2}"
  elif test -d "${NACL_SDK_ROOT}/lib/${nacl_cv_cpu_nick2}/Release"; then
    nacl_cv_libpath="${nacl_cv_cpu_nick2}"
  else
    as_fn_error $? "not found" "$LINENO" 5
  fi
  { $as_echo "$as_me:${as_lineno-$LINENO}: result: ${nacl_cv_libpath}" >&5
    colorize_result "${nacl_cv_libpath}" ; }
  # RUBY_APPEND_OPTIONS(XLDFLAGS)
	for rb_opt in '-L$(NACL_SDK_ROOT)/'"lib/${nacl_cv_libpath}/Release"; do
	case " ${XLDFLAGS-} " in #(
  *" ${rb_opt} "*) :
     ;; #(
  '  ') :
     XLDFLAGS="${rb_opt}" ;; #(
  *) :
     XLDFLAGS="$XLDFLAGS ${rb_opt}" ;;
esac
	done



  NACL_SDK_VARIANT="${nacl_cv_build_variant}"

  NACL_LIB_PATH="${nacl_cv_libpath}"

  if test -n "$ac_tool_prefix"; then
  for ac_prog in clang gcc
  do
    # Extract the first word of "$ac_tool_prefix$ac_prog", so it can be a program name with args.
set dummy $ac_tool_prefix$ac_prog; ac_word=$2
{ $as_echo "$as_me:${as_lineno-$LINENO}: checking for $ac_word" >&5
$as_echo_n "checking for $ac_word... " >&6; }
if ${ac_cv_prog_CC+:} false; then :
  $as_echo_n "(cached) " >&6
else
  if test -n "$CC"; then
  ac_cv_prog_CC="$CC" # Let the user override the test.
else
as_save_IFS=$IFS; IFS=$PATH_SEPARATOR
for as_dir in $PATH
do
  IFS=$as_save_IFS
  test -z "$as_dir" && as_dir=.
    for ac_exec_ext in '' $ac_executable_extensions; do
  if as_fn_executable_p "$as_dir/$ac_word$ac_exec_ext"; then
    ac_cv_prog_CC="$ac_tool_prefix$ac_prog"
    $as_echo "$as_me:${as_lineno-$LINENO}: found $as_dir/$ac_word$ac_exec_ext" >&5
    break 2
  fi
done
  done
IFS=$as_save_IFS

fi
fi
CC=$ac_cv_prog_CC
if test -n "$CC"; then
  { $as_echo "$as_me:${as_lineno-$LINENO}: result: $CC" >&5
    colorize_result "$CC" ; }
else
  { $as_echo "$as_me:${as_lineno-$LINENO}: result: no" >&5
    $as_echo "${msg_result_no}no${msg_reset}" ; }
fi


    test -n "$CC" && break
  done
fi
if test -z "$CC"; then
  ac_ct_CC=$CC
  for ac_prog in clang gcc
do
  # Extract the first word of "$ac_prog", so it can be a program name with args.
set dummy $ac_prog; ac_word=$2
{ $as_echo "$as_me:${as_lineno-$LINENO}: checking for $ac_word" >&5
$as_echo_n "checking for $ac_word... " >&6; }
if ${ac_cv_prog_ac_ct_CC+:} false; then :
  $as_echo_n "(cached) " >&6
else
  if test -n "$ac_ct_CC"; then
  ac_cv_prog_ac_ct_CC="$ac_ct_CC" # Let the user override the test.
else
as_save_IFS=$IFS; IFS=$PATH_SEPARATOR
for as_dir in $PATH
do
  IFS=$as_save_IFS
  test -z "$as_dir" && as_dir=.
    for ac_exec_ext in '' $ac_executable_extensions; do
  if as_fn_executable_p "$as_dir/$ac_word$ac_exec_ext"; then
    ac_cv_prog_ac_ct_CC="$ac_prog"
    $as_echo "$as_me:${as_lineno-$LINENO}: found $as_dir/$ac_word$ac_exec_ext" >&5
    break 2
  fi
done
  done
IFS=$as_save_IFS

fi
fi
ac_ct_CC=$ac_cv_prog_ac_ct_CC
if test -n "$ac_ct_CC"; then
  { $as_echo "$as_me:${as_lineno-$LINENO}: result: $ac_ct_CC" >&5
    colorize_result "$ac_ct_CC" ; }
else
  { $as_echo "$as_me:${as_lineno-$LINENO}: result: no" >&5
    $as_echo "${msg_result_no}no${msg_reset}" ; }
fi


  test -n "$ac_ct_CC" && break
done

  if test "x$ac_ct_CC" = x; then
    CC=""
  else
    case $cross_compiling:$ac_tool_warned in
yes:)
{ $as_echo "$as_me:${as_lineno-$LINENO}: WARNING: using cross tools not prefixed with host triplet" >&5
$as_echo "$as_me: WARNING: using cross tools not prefixed with host triplet" >&2;}
ac_tool_warned=yes ;;
esac
    CC=$ac_ct_CC
  fi
fi

  if test -n "$ac_tool_prefix"; then
  for ac_prog in clang++ g++
  do
    # Extract the first word of "$ac_tool_prefix$ac_prog", so it can be a program name with args.
set dummy $ac_tool_prefix$ac_prog; ac_word=$2
{ $as_echo "$as_me:${as_lineno-$LINENO}: checking for $ac_word" >&5
$as_echo_n "checking for $ac_word... " >&6; }
if ${ac_cv_prog_CXX+:} false; then :
  $as_echo_n "(cached) " >&6
else
  if test -n "$CXX"; then
  ac_cv_prog_CXX="$CXX" # Let the user override the test.
else
as_save_IFS=$IFS; IFS=$PATH_SEPARATOR
for as_dir in $PATH
do
  IFS=$as_save_IFS
  test -z "$as_dir" && as_dir=.
    for ac_exec_ext in '' $ac_executable_extensions; do
  if as_fn_executable_p "$as_dir/$ac_word$ac_exec_ext"; then
    ac_cv_prog_CXX="$ac_tool_prefix$ac_prog"
    $as_echo "$as_me:${as_lineno-$LINENO}: found $as_dir/$ac_word$ac_exec_ext" >&5
    break 2
  fi
done
  done
IFS=$as_save_IFS

fi
fi
CXX=$ac_cv_prog_CXX
if test -n "$CXX"; then
  { $as_echo "$as_me:${as_lineno-$LINENO}: result: $CXX" >&5
    colorize_result "$CXX" ; }
else
  { $as_echo "$as_me:${as_lineno-$LINENO}: result: no" >&5
    $as_echo "${msg_result_no}no${msg_reset}" ; }
fi


    test -n "$CXX" && break
  done
fi
if test -z "$CXX"; then
  ac_ct_CXX=$CXX
  for ac_prog in clang++ g++
do
  # Extract the first word of "$ac_prog", so it can be a program name with args.
set dummy $ac_prog; ac_word=$2
{ $as_echo "$as_me:${as_lineno-$LINENO}: checking for $ac_word" >&5
$as_echo_n "checking for $ac_word... " >&6; }
if ${ac_cv_prog_ac_ct_CXX+:} false; then :
  $as_echo_n "(cached) " >&6
else
  if test -n "$ac_ct_CXX"; then
  ac_cv_prog_ac_ct_CXX="$ac_ct_CXX" # Let the user override the test.
else
as_save_IFS=$IFS; IFS=$PATH_SEPARATOR
for as_dir in $PATH
do
  IFS=$as_save_IFS
  test -z "$as_dir" && as_dir=.
    for ac_exec_ext in '' $ac_executable_extensions; do
  if as_fn_executable_p "$as_dir/$ac_word$ac_exec_ext"; then
    ac_cv_prog_ac_ct_CXX="$ac_prog"
    $as_echo "$as_me:${as_lineno-$LINENO}: found $as_dir/$ac_word$ac_exec_ext" >&5
    break 2
  fi
done
  done
IFS=$as_save_IFS

fi
fi
ac_ct_CXX=$ac_cv_prog_ac_ct_CXX
if test -n "$ac_ct_CXX"; then
  { $as_echo "$as_me:${as_lineno-$LINENO}: result: $ac_ct_CXX" >&5
    colorize_result "$ac_ct_CXX" ; }
else
  { $as_echo "$as_me:${as_lineno-$LINENO}: result: no" >&5
    $as_echo "${msg_result_no}no${msg_reset}" ; }
fi


  test -n "$ac_ct_CXX" && break
done

  if test "x$ac_ct_CXX" = x; then
    CXX=""
  else
    case $cross_compiling:$ac_tool_warned in
yes:)
{ $as_echo "$as_me:${as_lineno-$LINENO}: WARNING: using cross tools not prefixed with host triplet" >&5
$as_echo "$as_me: WARNING: using cross tools not prefixed with host triplet" >&2;}
ac_tool_warned=yes ;;
esac
    CXX=$ac_ct_CXX
  fi
fi

 ;; #(
  *) :
     ;;
esac
case "$host_os:$build_os" in #(
  darwin*:darwin*) :

    if test -n "$ac_tool_prefix"; then
  for ac_prog in clang gcc cc
  do
    # Extract the first word of "$ac_tool_prefix$ac_prog", so it can be a program name with args.
set dummy $ac_tool_prefix$ac_prog; ac_word=$2
{ $as_echo "$as_me:${as_lineno-$LINENO}: checking for $ac_word" >&5
$as_echo_n "checking for $ac_word... " >&6; }
if ${ac_cv_prog_CC+:} false; then :
  $as_echo_n "(cached) " >&6
else
  if test -n "$CC"; then
  ac_cv_prog_CC="$CC" # Let the user override the test.
else
as_save_IFS=$IFS; IFS=$PATH_SEPARATOR
for as_dir in $PATH
do
  IFS=$as_save_IFS
  test -z "$as_dir" && as_dir=.
    for ac_exec_ext in '' $ac_executable_extensions; do
  if as_fn_executable_p "$as_dir/$ac_word$ac_exec_ext"; then
    ac_cv_prog_CC="$ac_tool_prefix$ac_prog"
    $as_echo "$as_me:${as_lineno-$LINENO}: found $as_dir/$ac_word$ac_exec_ext" >&5
    break 2
  fi
done
  done
IFS=$as_save_IFS

fi
fi
CC=$ac_cv_prog_CC
if test -n "$CC"; then
  { $as_echo "$as_me:${as_lineno-$LINENO}: result: $CC" >&5
    colorize_result "$CC" ; }
else
  { $as_echo "$as_me:${as_lineno-$LINENO}: result: no" >&5
    $as_echo "${msg_result_no}no${msg_reset}" ; }
fi


    test -n "$CC" && break
  done
fi
if test -z "$CC"; then
  ac_ct_CC=$CC
  for ac_prog in clang gcc cc
do
  # Extract the first word of "$ac_prog", so it can be a program name with args.
set dummy $ac_prog; ac_word=$2
{ $as_echo "$as_me:${as_lineno-$LINENO}: checking for $ac_word" >&5
$as_echo_n "checking for $ac_word... " >&6; }
if ${ac_cv_prog_ac_ct_CC+:} false; then :
  $as_echo_n "(cached) " >&6
else
  if test -n "$ac_ct_CC"; then
  ac_cv_prog_ac_ct_CC="$ac_ct_CC" # Let the user override the test.
else
as_save_IFS=$IFS; IFS=$PATH_SEPARATOR
for as_dir in $PATH
do
  IFS=$as_save_IFS
  test -z "$as_dir" && as_dir=.
    for ac_exec_ext in '' $ac_executable_extensions; do
  if as_fn_executable_p "$as_dir/$ac_word$ac_exec_ext"; then
    ac_cv_prog_ac_ct_CC="$ac_prog"
    $as_echo "$as_me:${as_lineno-$LINENO}: found $as_dir/$ac_word$ac_exec_ext" >&5
    break 2
  fi
done
  done
IFS=$as_save_IFS

fi
fi
ac_ct_CC=$ac_cv_prog_ac_ct_CC
if test -n "$ac_ct_CC"; then
  { $as_echo "$as_me:${as_lineno-$LINENO}: result: $ac_ct_CC" >&5
    colorize_result "$ac_ct_CC" ; }
else
  { $as_echo "$as_me:${as_lineno-$LINENO}: result: no" >&5
    $as_echo "${msg_result_no}no${msg_reset}" ; }
fi


  test -n "$ac_ct_CC" && break
done

  if test "x$ac_ct_CC" = x; then
    CC=""
  else
    case $cross_compiling:$ac_tool_warned in
yes:)
{ $as_echo "$as_me:${as_lineno-$LINENO}: WARNING: using cross tools not prefixed with host triplet" >&5
$as_echo "$as_me: WARNING: using cross tools not prefixed with host triplet" >&2;}
ac_tool_warned=yes ;;
esac
    CC=$ac_ct_CC
  fi
fi

    # Following Apple deployed clang are broken
    # clang version 1.0 (http://llvm.org/svn/llvm-project/cfe/tags/Apple/clang-23 exported)
    # Apple clang version 2.0 (tags/Apple/clang-137) (based on LLVM 2.9svn)
    # Apple clang version 2.1 (tags/Apple/clang-163.7.1) (based on LLVM 3.0svn)
    if ! $CC -E -xc - <<SRC >/dev/null; then
	#if defined __APPLE_CC__ && defined __clang_major__ && __clang_major__ < 3
	#error premature clang
	#endif
SRC
	as_fn_error $? "clang version 3.0 or later is required" "$LINENO" 5
    fi
 ;; #(
  *) :
     ;;
esac
if test x"${build}" != x"${host}"; then
  if test -n "$ac_tool_prefix"; then
  # Extract the first word of "${ac_tool_prefix}gcc", so it can be a program name with args.
set dummy ${ac_tool_prefix}gcc; ac_word=$2
{ $as_echo "$as_me:${as_lineno-$LINENO}: checking for $ac_word" >&5
$as_echo_n "checking for $ac_word... " >&6; }
if ${ac_cv_prog_CC+:} false; then :
  $as_echo_n "(cached) " >&6
else
  if test -n "$CC"; then
  ac_cv_prog_CC="$CC" # Let the user override the test.
else
as_save_IFS=$IFS; IFS=$PATH_SEPARATOR
for as_dir in $PATH
do
  IFS=$as_save_IFS
  test -z "$as_dir" && as_dir=.
    for ac_exec_ext in '' $ac_executable_extensions; do
  if as_fn_executable_p "$as_dir/$ac_word$ac_exec_ext"; then
    ac_cv_prog_CC="${ac_tool_prefix}gcc"
    $as_echo "$as_me:${as_lineno-$LINENO}: found $as_dir/$ac_word$ac_exec_ext" >&5
    break 2
  fi
done
  done
IFS=$as_save_IFS

fi
fi
CC=$ac_cv_prog_CC
if test -n "$CC"; then
  { $as_echo "$as_me:${as_lineno-$LINENO}: result: $CC" >&5
    colorize_result "$CC" ; }
else
  { $as_echo "$as_me:${as_lineno-$LINENO}: result: no" >&5
    $as_echo "${msg_result_no}no${msg_reset}" ; }
fi


fi
if test -z "$ac_cv_prog_CC"; then
  ac_ct_CC=$CC
  # Extract the first word of "gcc", so it can be a program name with args.
set dummy gcc; ac_word=$2
{ $as_echo "$as_me:${as_lineno-$LINENO}: checking for $ac_word" >&5
$as_echo_n "checking for $ac_word... " >&6; }
if ${ac_cv_prog_ac_ct_CC+:} false; then :
  $as_echo_n "(cached) " >&6
else
  if test -n "$ac_ct_CC"; then
  ac_cv_prog_ac_ct_CC="$ac_ct_CC" # Let the user override the test.
else
as_save_IFS=$IFS; IFS=$PATH_SEPARATOR
for as_dir in $PATH
do
  IFS=$as_save_IFS
  test -z "$as_dir" && as_dir=.
    for ac_exec_ext in '' $ac_executable_extensions; do
  if as_fn_executable_p "$as_dir/$ac_word$ac_exec_ext"; then
    ac_cv_prog_ac_ct_CC="gcc"
    $as_echo "$as_me:${as_lineno-$LINENO}: found $as_dir/$ac_word$ac_exec_ext" >&5
    break 2
  fi
done
  done
IFS=$as_save_IFS

fi
fi
ac_ct_CC=$ac_cv_prog_ac_ct_CC
if test -n "$ac_ct_CC"; then
  { $as_echo "$as_me:${as_lineno-$LINENO}: result: $ac_ct_CC" >&5
    colorize_result "$ac_ct_CC" ; }
else
  { $as_echo "$as_me:${as_lineno-$LINENO}: result: no" >&5
    $as_echo "${msg_result_no}no${msg_reset}" ; }
fi

  if test "x$ac_ct_CC" = x; then
    CC=""
  else
    case $cross_compiling:$ac_tool_warned in
yes:)
{ $as_echo "$as_me:${as_lineno-$LINENO}: WARNING: using cross tools not prefixed with host triplet" >&5
$as_echo "$as_me: WARNING: using cross tools not prefixed with host triplet" >&2;}
ac_tool_warned=yes ;;
esac
    CC=$ac_ct_CC
  fi
else
  CC="$ac_cv_prog_CC"
fi

fi

ac_ext=c
ac_cpp='$CPP $CPPFLAGS'
ac_compile='$CC -c $CFLAGS $CPPFLAGS conftest.$ac_ext >&5'
ac_link='$CC -o conftest$ac_exeext $CFLAGS $CPPFLAGS $LDFLAGS conftest.$ac_ext $LIBS >&5'
ac_compiler_gnu=$ac_cv_c_compiler_gnu
if test -n "$ac_tool_prefix"; then
  # Extract the first word of "${ac_tool_prefix}gcc", so it can be a program name with args.
set dummy ${ac_tool_prefix}gcc; ac_word=$2
{ $as_echo "$as_me:${as_lineno-$LINENO}: checking for $ac_word" >&5
$as_echo_n "checking for $ac_word... " >&6; }
if ${ac_cv_prog_CC+:} false; then :
  $as_echo_n "(cached) " >&6
else
  if test -n "$CC"; then
  ac_cv_prog_CC="$CC" # Let the user override the test.
else
as_save_IFS=$IFS; IFS=$PATH_SEPARATOR
for as_dir in $PATH
do
  IFS=$as_save_IFS
  test -z "$as_dir" && as_dir=.
    for ac_exec_ext in '' $ac_executable_extensions; do
  if as_fn_executable_p "$as_dir/$ac_word$ac_exec_ext"; then
    ac_cv_prog_CC="${ac_tool_prefix}gcc"
    $as_echo "$as_me:${as_lineno-$LINENO}: found $as_dir/$ac_word$ac_exec_ext" >&5
    break 2
  fi
done
  done
IFS=$as_save_IFS

fi
fi
CC=$ac_cv_prog_CC
if test -n "$CC"; then
  { $as_echo "$as_me:${as_lineno-$LINENO}: result: $CC" >&5
    colorize_result "$CC" ; }
else
  { $as_echo "$as_me:${as_lineno-$LINENO}: result: no" >&5
    $as_echo "${msg_result_no}no${msg_reset}" ; }
fi


fi
if test -z "$ac_cv_prog_CC"; then
  ac_ct_CC=$CC
  # Extract the first word of "gcc", so it can be a program name with args.
set dummy gcc; ac_word=$2
{ $as_echo "$as_me:${as_lineno-$LINENO}: checking for $ac_word" >&5
$as_echo_n "checking for $ac_word... " >&6; }
if ${ac_cv_prog_ac_ct_CC+:} false; then :
  $as_echo_n "(cached) " >&6
else
  if test -n "$ac_ct_CC"; then
  ac_cv_prog_ac_ct_CC="$ac_ct_CC" # Let the user override the test.
else
as_save_IFS=$IFS; IFS=$PATH_SEPARATOR
for as_dir in $PATH
do
  IFS=$as_save_IFS
  test -z "$as_dir" && as_dir=.
    for ac_exec_ext in '' $ac_executable_extensions; do
  if as_fn_executable_p "$as_dir/$ac_word$ac_exec_ext"; then
    ac_cv_prog_ac_ct_CC="gcc"
    $as_echo "$as_me:${as_lineno-$LINENO}: found $as_dir/$ac_word$ac_exec_ext" >&5
    break 2
  fi
done
  done
IFS=$as_save_IFS

fi
fi
ac_ct_CC=$ac_cv_prog_ac_ct_CC
if test -n "$ac_ct_CC"; then
  { $as_echo "$as_me:${as_lineno-$LINENO}: result: $ac_ct_CC" >&5
    colorize_result "$ac_ct_CC" ; }
else
  { $as_echo "$as_me:${as_lineno-$LINENO}: result: no" >&5
    $as_echo "${msg_result_no}no${msg_reset}" ; }
fi

  if test "x$ac_ct_CC" = x; then
    CC=""
  else
    case $cross_compiling:$ac_tool_warned in
yes:)
{ $as_echo "$as_me:${as_lineno-$LINENO}: WARNING: using cross tools not prefixed with host triplet" >&5
$as_echo "$as_me: WARNING: using cross tools not prefixed with host triplet" >&2;}
ac_tool_warned=yes ;;
esac
    CC=$ac_ct_CC
  fi
else
  CC="$ac_cv_prog_CC"
fi

if test -z "$CC"; then
          if test -n "$ac_tool_prefix"; then
    # Extract the first word of "${ac_tool_prefix}cc", so it can be a program name with args.
set dummy ${ac_tool_prefix}cc; ac_word=$2
{ $as_echo "$as_me:${as_lineno-$LINENO}: checking for $ac_word" >&5
$as_echo_n "checking for $ac_word... " >&6; }
if ${ac_cv_prog_CC+:} false; then :
  $as_echo_n "(cached) " >&6
else
  if test -n "$CC"; then
  ac_cv_prog_CC="$CC" # Let the user override the test.
else
as_save_IFS=$IFS; IFS=$PATH_SEPARATOR
for as_dir in $PATH
do
  IFS=$as_save_IFS
  test -z "$as_dir" && as_dir=.
    for ac_exec_ext in '' $ac_executable_extensions; do
  if as_fn_executable_p "$as_dir/$ac_word$ac_exec_ext"; then
    ac_cv_prog_CC="${ac_tool_prefix}cc"
    $as_echo "$as_me:${as_lineno-$LINENO}: found $as_dir/$ac_word$ac_exec_ext" >&5
    break 2
  fi
done
  done
IFS=$as_save_IFS

fi
fi
CC=$ac_cv_prog_CC
if test -n "$CC"; then
  { $as_echo "$as_me:${as_lineno-$LINENO}: result: $CC" >&5
    colorize_result "$CC" ; }
else
  { $as_echo "$as_me:${as_lineno-$LINENO}: result: no" >&5
    $as_echo "${msg_result_no}no${msg_reset}" ; }
fi


  fi
fi
if test -z "$CC"; then
  # Extract the first word of "cc", so it can be a program name with args.
set dummy cc; ac_word=$2
{ $as_echo "$as_me:${as_lineno-$LINENO}: checking for $ac_word" >&5
$as_echo_n "checking for $ac_word... " >&6; }
if ${ac_cv_prog_CC+:} false; then :
  $as_echo_n "(cached) " >&6
else
  if test -n "$CC"; then
  ac_cv_prog_CC="$CC" # Let the user override the test.
else
  ac_prog_rejected=no
as_save_IFS=$IFS; IFS=$PATH_SEPARATOR
for as_dir in $PATH
do
  IFS=$as_save_IFS
  test -z "$as_dir" && as_dir=.
    for ac_exec_ext in '' $ac_executable_extensions; do
  if as_fn_executable_p "$as_dir/$ac_word$ac_exec_ext"; then
    if test "$as_dir/$ac_word$ac_exec_ext" = "/usr/ucb/cc"; then
       ac_prog_rejected=yes
       continue
     fi
    ac_cv_prog_CC="cc"
    $as_echo "$as_me:${as_lineno-$LINENO}: found $as_dir/$ac_word$ac_exec_ext" >&5
    break 2
  fi
done
  done
IFS=$as_save_IFS

if test $ac_prog_rejected = yes; then
  # We found a bogon in the path, so make sure we never use it.
  set dummy $ac_cv_prog_CC
  shift
  if test $# != 0; then
    # We chose a different compiler from the bogus one.
    # However, it has the same basename, so the bogon will be chosen
    # first if we set CC to just the basename; use the full file name.
    shift
    ac_cv_prog_CC="$as_dir/$ac_word${1+' '}$@"
  fi
fi
fi
fi
CC=$ac_cv_prog_CC
if test -n "$CC"; then
  { $as_echo "$as_me:${as_lineno-$LINENO}: result: $CC" >&5
    colorize_result "$CC" ; }
else
  { $as_echo "$as_me:${as_lineno-$LINENO}: result: no" >&5
    $as_echo "${msg_result_no}no${msg_reset}" ; }
fi


fi
if test -z "$CC"; then
  if test -n "$ac_tool_prefix"; then
  for ac_prog in cl.exe
  do
    # Extract the first word of "$ac_tool_prefix$ac_prog", so it can be a program name with args.
set dummy $ac_tool_prefix$ac_prog; ac_word=$2
{ $as_echo "$as_me:${as_lineno-$LINENO}: checking for $ac_word" >&5
$as_echo_n "checking for $ac_word... " >&6; }
if ${ac_cv_prog_CC+:} false; then :
  $as_echo_n "(cached) " >&6
else
  if test -n "$CC"; then
  ac_cv_prog_CC="$CC" # Let the user override the test.
else
as_save_IFS=$IFS; IFS=$PATH_SEPARATOR
for as_dir in $PATH
do
  IFS=$as_save_IFS
  test -z "$as_dir" && as_dir=.
    for ac_exec_ext in '' $ac_executable_extensions; do
  if as_fn_executable_p "$as_dir/$ac_word$ac_exec_ext"; then
    ac_cv_prog_CC="$ac_tool_prefix$ac_prog"
    $as_echo "$as_me:${as_lineno-$LINENO}: found $as_dir/$ac_word$ac_exec_ext" >&5
    break 2
  fi
done
  done
IFS=$as_save_IFS

fi
fi
CC=$ac_cv_prog_CC
if test -n "$CC"; then
  { $as_echo "$as_me:${as_lineno-$LINENO}: result: $CC" >&5
    colorize_result "$CC" ; }
else
  { $as_echo "$as_me:${as_lineno-$LINENO}: result: no" >&5
    $as_echo "${msg_result_no}no${msg_reset}" ; }
fi


    test -n "$CC" && break
  done
fi
if test -z "$CC"; then
  ac_ct_CC=$CC
  for ac_prog in cl.exe
do
  # Extract the first word of "$ac_prog", so it can be a program name with args.
set dummy $ac_prog; ac_word=$2
{ $as_echo "$as_me:${as_lineno-$LINENO}: checking for $ac_word" >&5
$as_echo_n "checking for $ac_word... " >&6; }
if ${ac_cv_prog_ac_ct_CC+:} false; then :
  $as_echo_n "(cached) " >&6
else
  if test -n "$ac_ct_CC"; then
  ac_cv_prog_ac_ct_CC="$ac_ct_CC" # Let the user override the test.
else
as_save_IFS=$IFS; IFS=$PATH_SEPARATOR
for as_dir in $PATH
do
  IFS=$as_save_IFS
  test -z "$as_dir" && as_dir=.
    for ac_exec_ext in '' $ac_executable_extensions; do
  if as_fn_executable_p "$as_dir/$ac_word$ac_exec_ext"; then
    ac_cv_prog_ac_ct_CC="$ac_prog"
    $as_echo "$as_me:${as_lineno-$LINENO}: found $as_dir/$ac_word$ac_exec_ext" >&5
    break 2
  fi
done
  done
IFS=$as_save_IFS

fi
fi
ac_ct_CC=$ac_cv_prog_ac_ct_CC
if test -n "$ac_ct_CC"; then
  { $as_echo "$as_me:${as_lineno-$LINENO}: result: $ac_ct_CC" >&5
    colorize_result "$ac_ct_CC" ; }
else
  { $as_echo "$as_me:${as_lineno-$LINENO}: result: no" >&5
    $as_echo "${msg_result_no}no${msg_reset}" ; }
fi


  test -n "$ac_ct_CC" && break
done

  if test "x$ac_ct_CC" = x; then
    CC=""
  else
    case $cross_compiling:$ac_tool_warned in
yes:)
{ $as_echo "$as_me:${as_lineno-$LINENO}: WARNING: using cross tools not prefixed with host triplet" >&5
$as_echo "$as_me: WARNING: using cross tools not prefixed with host triplet" >&2;}
ac_tool_warned=yes ;;
esac
    CC=$ac_ct_CC
  fi
fi

fi


test -z "$CC" && { { $as_echo "$as_me:${as_lineno-$LINENO}: error: in \`$ac_pwd':" >&5
$as_echo "$as_me: error: in \`$ac_pwd':" >&2;}
as_fn_error $? "no acceptable C compiler found in \$PATH
See \`config.log' for more details" "$LINENO" 5; }

# Provide some information about the compiler.
$as_echo "$as_me:${as_lineno-$LINENO}: checking for C compiler version" >&5
set X $ac_compile
ac_compiler=$2
for ac_option in --version -v -V -qversion; do
  { { ac_try="$ac_compiler $ac_option >&5"
case "(($ac_try" in
  *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
  *) ac_try_echo=$ac_try;;
esac
eval ac_try_echo="\"\$as_me:${as_lineno-$LINENO}: $ac_try_echo\""
$as_echo "$ac_try_echo"; } >&5
  (eval "$ac_compiler $ac_option >&5") 2>conftest.err
  ac_status=$?
  if test -s conftest.err; then
    sed '10a\
... rest of stderr output deleted ...
         10q' conftest.err >conftest.er1
    cat conftest.er1 >&5
  fi
  rm -f conftest.er1 conftest.err
  $as_echo "$as_me:${as_lineno-$LINENO}: \$? = $ac_status" >&5
  test $ac_status = 0; }
done

cat confdefs.h - <<_ACEOF >conftest.$ac_ext
/* end confdefs.h.  */

int
main ()
{

  ;
  return 0;
}
_ACEOF
ac_clean_files_save=$ac_clean_files
ac_clean_files="$ac_clean_files a.out a.out.dSYM a.exe b.out"
# Try to create an executable without -o first, disregard a.out.
# It will help us diagnose broken compilers, and finding out an intuition
# of exeext.
{ $as_echo "$as_me:${as_lineno-$LINENO}: checking whether the C compiler works" >&5
$as_echo_n "checking whether the C compiler works... " >&6; }
ac_link_default=`$as_echo "$ac_link" | sed 's/ -o *conftest[^ ]*//'`

# The possible output files:
ac_files="a.out conftest.exe conftest a.exe a_out.exe b.out conftest.*"

ac_rmfiles=
for ac_file in $ac_files
do
  case $ac_file in
    *.$ac_ext | *.xcoff | *.tds | *.d | *.pdb | *.xSYM | *.bb | *.bbg | *.map | *.inf | *.dSYM | *.o | *.obj ) ;;
    * ) ac_rmfiles="$ac_rmfiles $ac_file";;
  esac
done
rm -f $ac_rmfiles

if { { ac_try="$ac_link_default"
case "(($ac_try" in
  *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
  *) ac_try_echo=$ac_try;;
esac
eval ac_try_echo="\"\$as_me:${as_lineno-$LINENO}: $ac_try_echo\""
$as_echo "$ac_try_echo"; } >&5
  (eval "$ac_link_default") 2>&5
  ac_status=$?
  $as_echo "$as_me:${as_lineno-$LINENO}: \$? = $ac_status" >&5
  test $ac_status = 0; }; then :
  # Autoconf-2.13 could set the ac_cv_exeext variable to `no'.
# So ignore a value of `no', otherwise this would lead to `EXEEXT = no'
# in a Makefile.  We should not override ac_cv_exeext if it was cached,
# so that the user can short-circuit this test for compilers unknown to
# Autoconf.
for ac_file in $ac_files ''
do
  test -f "$ac_file" || continue
  case $ac_file in
    *.$ac_ext | *.xcoff | *.tds | *.d | *.pdb | *.xSYM | *.bb | *.bbg | *.map | *.inf | *.dSYM | *.o | *.obj )
	;;
    [ab].out )
	# We found the default executable, but exeext='' is most
	# certainly right.
	break;;
    *.* )
	if test "${ac_cv_exeext+set}" = set && test "$ac_cv_exeext" != no;
	then :; else
	   ac_cv_exeext=`expr "$ac_file" : '[^.]*\(\..*\)'`
	fi
	# We set ac_cv_exeext here because the later test for it is not
	# safe: cross compilers may not add the suffix if given an `-o'
	# argument, so we may need to know it at that point already.
	# Even if this section looks crufty: it has the advantage of
	# actually working.
	break;;
    * )
	break;;
  esac
done
test "$ac_cv_exeext" = no && ac_cv_exeext=

else
  ac_file=''
fi
if test -z "$ac_file"; then :
  { $as_echo "$as_me:${as_lineno-$LINENO}: result: no" >&5
    $as_echo "${msg_result_no}no${msg_reset}" ; }
$as_echo "$as_me: failed program was:" >&5
sed 's/^/| /' conftest.$ac_ext >&5

{ { $as_echo "$as_me:${as_lineno-$LINENO}: error: in \`$ac_pwd':" >&5
$as_echo "$as_me: error: in \`$ac_pwd':" >&2;}
as_fn_error 77 "C compiler cannot create executables
See \`config.log' for more details" "$LINENO" 5; }
else
  { $as_echo "$as_me:${as_lineno-$LINENO}: result: yes" >&5
    $as_echo "${msg_result_yes}yes${msg_reset}" ; }
fi
{ $as_echo "$as_me:${as_lineno-$LINENO}: checking for C compiler default output file name" >&5
$as_echo_n "checking for C compiler default output file name... " >&6; }
{ $as_echo "$as_me:${as_lineno-$LINENO}: result: $ac_file" >&5
    colorize_result "$ac_file" ; }
ac_exeext=$ac_cv_exeext

rm -f -r a.out a.out.dSYM a.exe conftest$ac_cv_exeext b.out
ac_clean_files=$ac_clean_files_save
{ $as_echo "$as_me:${as_lineno-$LINENO}: checking for suffix of executables" >&5
$as_echo_n "checking for suffix of executables... " >&6; }
if { { ac_try="$ac_link"
case "(($ac_try" in
  *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
  *) ac_try_echo=$ac_try;;
esac
eval ac_try_echo="\"\$as_me:${as_lineno-$LINENO}: $ac_try_echo\""
$as_echo "$ac_try_echo"; } >&5
  (eval "$ac_link") 2>&5
  ac_status=$?
  $as_echo "$as_me:${as_lineno-$LINENO}: \$? = $ac_status" >&5
  test $ac_status = 0; }; then :
  # If both `conftest.exe' and `conftest' are `present' (well, observable)
# catch `conftest.exe'.  For instance with Cygwin, `ls conftest' will
# work properly (i.e., refer to `conftest.exe'), while it won't with
# `rm'.
for ac_file in conftest.exe conftest conftest.*; do
  test -f "$ac_file" || continue
  case $ac_file in
    *.$ac_ext | *.xcoff | *.tds | *.d | *.pdb | *.xSYM | *.bb | *.bbg | *.map | *.inf | *.dSYM | *.o | *.obj ) ;;
    *.* ) ac_cv_exeext=`expr "$ac_file" : '[^.]*\(\..*\)'`
	  break;;
    * ) break;;
  esac
done
else
  { { $as_echo "$as_me:${as_lineno-$LINENO}: error: in \`$ac_pwd':" >&5
$as_echo "$as_me: error: in \`$ac_pwd':" >&2;}
as_fn_error $? "cannot compute suffix of executables: cannot compile and link
See \`config.log' for more details" "$LINENO" 5; }
fi
rm -f conftest conftest$ac_cv_exeext
{ $as_echo "$as_me:${as_lineno-$LINENO}: result: $ac_cv_exeext" >&5
    colorize_result "$ac_cv_exeext" ; }

rm -f conftest.$ac_ext
EXEEXT=$ac_cv_exeext
ac_exeext=$EXEEXT
cat confdefs.h - <<_ACEOF >conftest.$ac_ext
/* end confdefs.h.  */
#include <stdio.h>
int
main ()
{
FILE *f = fopen ("conftest.out", "w");
 return ferror (f) || fclose (f) != 0;

  ;
  return 0;
}
_ACEOF
ac_clean_files="$ac_clean_files conftest.out"
# Check that the compiler produces executables we can run.  If not, either
# the compiler is broken, or we cross compile.
{ $as_echo "$as_me:${as_lineno-$LINENO}: checking whether we are cross compiling" >&5
$as_echo_n "checking whether we are cross compiling... " >&6; }
if test "$cross_compiling" != yes; then
  { { ac_try="$ac_link"
case "(($ac_try" in
  *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
  *) ac_try_echo=$ac_try;;
esac
eval ac_try_echo="\"\$as_me:${as_lineno-$LINENO}: $ac_try_echo\""
$as_echo "$ac_try_echo"; } >&5
  (eval "$ac_link") 2>&5
  ac_status=$?
  $as_echo "$as_me:${as_lineno-$LINENO}: \$? = $ac_status" >&5
  test $ac_status = 0; }
  if { ac_try='./conftest$ac_cv_exeext'
  { { case "(($ac_try" in
  *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
  *) ac_try_echo=$ac_try;;
esac
eval ac_try_echo="\"\$as_me:${as_lineno-$LINENO}: $ac_try_echo\""
$as_echo "$ac_try_echo"; } >&5
  (eval "$ac_try") 2>&5
  ac_status=$?
  $as_echo "$as_me:${as_lineno-$LINENO}: \$? = $ac_status" >&5
  test $ac_status = 0; }; }; then
    cross_compiling=no
  else
    if test "$cross_compiling" = maybe; then
	cross_compiling=yes
    else
	{ { $as_echo "$as_me:${as_lineno-$LINENO}: error: in \`$ac_pwd':" >&5
$as_echo "$as_me: error: in \`$ac_pwd':" >&2;}
as_fn_error $? "cannot run C compiled programs.
If you meant to cross compile, use \`--host'.
See \`config.log' for more details" "$LINENO" 5; }
    fi
  fi
fi
{ $as_echo "$as_me:${as_lineno-$LINENO}: result: $cross_compiling" >&5
    colorize_result "$cross_compiling" ; }

rm -f conftest.$ac_ext conftest$ac_cv_exeext conftest.out
ac_clean_files=$ac_clean_files_save
{ $as_echo "$as_me:${as_lineno-$LINENO}: checking for suffix of object files" >&5
$as_echo_n "checking for suffix of object files... " >&6; }
if ${ac_cv_objext+:} false; then :
  $as_echo_n "(cached) " >&6
else
  cat confdefs.h - <<_ACEOF >conftest.$ac_ext
/* end confdefs.h.  */

int
main ()
{

  ;
  return 0;
}
_ACEOF
rm -f conftest.o conftest.obj
if { { ac_try="$ac_compile"
case "(($ac_try" in
  *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
  *) ac_try_echo=$ac_try;;
esac
eval ac_try_echo="\"\$as_me:${as_lineno-$LINENO}: $ac_try_echo\""
$as_echo "$ac_try_echo"; } >&5
  (eval "$ac_compile") 2>&5
  ac_status=$?
  $as_echo "$as_me:${as_lineno-$LINENO}: \$? = $ac_status" >&5
  test $ac_status = 0; }; then :
  for ac_file in conftest.o conftest.obj conftest.*; do
  test -f "$ac_file" || continue;
  case $ac_file in
    *.$ac_ext | *.xcoff | *.tds | *.d | *.pdb | *.xSYM | *.bb | *.bbg | *.map | *.inf | *.dSYM ) ;;
    *) ac_cv_objext=`expr "$ac_file" : '.*\.\(.*\)'`
       break;;
  esac
done
else
  $as_echo "$as_me: failed program was:" >&5
sed 's/^/| /' conftest.$ac_ext >&5

{ { $as_echo "$as_me:${as_lineno-$LINENO}: error: in \`$ac_pwd':" >&5
$as_echo "$as_me: error: in \`$ac_pwd':" >&2;}
as_fn_error $? "cannot compute suffix of object files: cannot compile
See \`config.log' for more details" "$LINENO" 5; }
fi
rm -f conftest.$ac_cv_objext conftest.$ac_ext
fi
{ $as_echo "$as_me:${as_lineno-$LINENO}: result: $ac_cv_objext" >&5
    colorize_result "$ac_cv_objext" ; }
OBJEXT=$ac_cv_objext
ac_objext=$OBJEXT
{ $as_echo "$as_me:${as_lineno-$LINENO}: checking whether we are using the GNU C compiler" >&5
$as_echo_n "checking whether we are using the GNU C compiler... " >&6; }
if ${ac_cv_c_compiler_gnu+:} false; then :
  $as_echo_n "(cached) " >&6
else
  cat confdefs.h - <<_ACEOF >conftest.$ac_ext
/* end confdefs.h.  */

int
main ()
{
#ifndef __GNUC__
       choke me
#endif

  ;
  return 0;
}
_ACEOF
if ac_fn_c_try_compile "$LINENO"; then :
  ac_compiler_gnu=yes
else
  ac_compiler_gnu=no
fi
rm -f core conftest.err conftest.$ac_objext conftest.$ac_ext
ac_cv_c_compiler_gnu=$ac_compiler_gnu

fi
{ $as_echo "$as_me:${as_lineno-$LINENO}: result: $ac_cv_c_compiler_gnu" >&5
    colorize_result "$ac_cv_c_compiler_gnu" ; }
if test $ac_compiler_gnu = yes; then
  GCC=yes
else
  GCC=
fi
ac_test_CFLAGS=${CFLAGS+set}
ac_save_CFLAGS=$CFLAGS
{ $as_echo "$as_me:${as_lineno-$LINENO}: checking whether $CC accepts -g" >&5
$as_echo_n "checking whether $CC accepts -g... " >&6; }
if ${ac_cv_prog_cc_g+:} false; then :
  $as_echo_n "(cached) " >&6
else
  ac_save_c_werror_flag=$ac_c_werror_flag
   ac_c_werror_flag=yes
   ac_cv_prog_cc_g=no
   CFLAGS="-g"
   cat confdefs.h - <<_ACEOF >conftest.$ac_ext
/* end confdefs.h.  */

int
main ()
{

  ;
  return 0;
}
_ACEOF
if ac_fn_c_try_compile "$LINENO"; then :
  ac_cv_prog_cc_g=yes
else
  CFLAGS=""
      cat confdefs.h - <<_ACEOF >conftest.$ac_ext
/* end confdefs.h.  */

int
main ()
{

  ;
  return 0;
}
_ACEOF
if ac_fn_c_try_compile "$LINENO"; then :

else
  ac_c_werror_flag=$ac_save_c_werror_flag
	 CFLAGS="-g"
	 cat confdefs.h - <<_ACEOF >conftest.$ac_ext
/* end confdefs.h.  */

int
main ()
{

  ;
  return 0;
}
_ACEOF
if ac_fn_c_try_compile "$LINENO"; then :
  ac_cv_prog_cc_g=yes
fi
rm -f core conftest.err conftest.$ac_objext conftest.$ac_ext
fi
rm -f core conftest.err conftest.$ac_objext conftest.$ac_ext
fi
rm -f core conftest.err conftest.$ac_objext conftest.$ac_ext
   ac_c_werror_flag=$ac_save_c_werror_flag
fi
{ $as_echo "$as_me:${as_lineno-$LINENO}: result: $ac_cv_prog_cc_g" >&5
    colorize_result "$ac_cv_prog_cc_g" ; }
if test "$ac_test_CFLAGS" = set; then
  CFLAGS=$ac_save_CFLAGS
elif test $ac_cv_prog_cc_g = yes; then
  if test "$GCC" = yes; then
    CFLAGS="-g -O2"
  else
    CFLAGS="-g"
  fi
else
  if test "$GCC" = yes; then
    CFLAGS="-O2"
  else
    CFLAGS=
  fi
fi
{ $as_echo "$as_me:${as_lineno-$LINENO}: checking for $CC option to accept ISO C89" >&5
$as_echo_n "checking for $CC option to accept ISO C89... " >&6; }
if ${ac_cv_prog_cc_c89+:} false; then :
  $as_echo_n "(cached) " >&6
else
  ac_cv_prog_cc_c89=no
ac_save_CC=$CC
cat confdefs.h - <<_ACEOF >conftest.$ac_ext
/* end confdefs.h.  */
#include <stdarg.h>
#include <stdio.h>
struct stat;
/* Most of the following tests are stolen from RCS 5.7's src/conf.sh.  */
struct buf { int x; };
FILE * (*rcsopen) (struct buf *, struct stat *, int);
static char *e (p, i)
     char **p;
     int i;
{
  return p[i];
}
static char *f (char * (*g) (char **, int), char **p, ...)
{
  char *s;
  va_list v;
  va_start (v,p);
  s = g (p, va_arg (v,int));
  va_end (v);
  return s;
}

/* OSF 4.0 Compaq cc is some sort of almost-ANSI by default.  It has
   function prototypes and stuff, but not '\xHH' hex character constants.
   These don't provoke an error unfortunately, instead are silently treated
   as 'x'.  The following induces an error, until -std is added to get
   proper ANSI mode.  Curiously '\x00'!='x' always comes out true, for an
   array size at least.  It's necessary to write '\x00'==0 to get something
   that's true only with -std.  */
int osf4_cc_array ['\x00' == 0 ? 1 : -1];

/* IBM C 6 for AIX is almost-ANSI by default, but it replaces macro parameters
   inside strings and character constants.  */
#define FOO(x) 'x'
int xlc6_cc_array[FOO(a) == 'x' ? 1 : -1];

int test (int i, double x);
struct s1 {int (*f) (int a);};
struct s2 {int (*f) (double a);};
int pairnames (int, char **, FILE *(*)(struct buf *, struct stat *, int), int, int);
int argc;
char **argv;
int
main ()
{
return f (e, argv, 0) != argv[0]  ||  f (e, argv, 1) != argv[1];
  ;
  return 0;
}
_ACEOF
for ac_arg in '' -qlanglvl=extc89 -qlanglvl=ansi -std \
	-Ae "-Aa -D_HPUX_SOURCE" "-Xc -D__EXTENSIONS__"
do
  CC="$ac_save_CC $ac_arg"
  if ac_fn_c_try_compile "$LINENO"; then :
  ac_cv_prog_cc_c89=$ac_arg
fi
rm -f core conftest.err conftest.$ac_objext
  test "x$ac_cv_prog_cc_c89" != "xno" && break
done
rm -f conftest.$ac_ext
CC=$ac_save_CC

fi
# AC_CACHE_VAL
case "x$ac_cv_prog_cc_c89" in
  x)
    { $as_echo "$as_me:${as_lineno-$LINENO}: result: none needed" >&5
    $as_echo "${msg_result_other}none needed${msg_reset}" ; } ;;
  xno)
    { $as_echo "$as_me:${as_lineno-$LINENO}: result: unsupported" >&5
    $as_echo "${msg_result_other}unsupported${msg_reset}" ; } ;;
  *)
    CC="$CC $ac_cv_prog_cc_c89"
    { $as_echo "$as_me:${as_lineno-$LINENO}: result: $ac_cv_prog_cc_c89" >&5
    colorize_result "$ac_cv_prog_cc_c89" ; } ;;
esac
if test "x$ac_cv_prog_cc_c89" != xno; then :

fi

ac_ext=c
ac_cpp='$CPP $CPPFLAGS'
ac_compile='$CC -c $CFLAGS $CPPFLAGS conftest.$ac_ext >&5'
ac_link='$CC -o conftest$ac_exeext $CFLAGS $CPPFLAGS $LDFLAGS conftest.$ac_ext $LIBS >&5'
ac_compiler_gnu=$ac_cv_c_compiler_gnu


case "$build_os" in #(
  darwin1*.*) :

    case "x$CC" in #(
  xgcc-4.2|x/usr/bin/gcc-4.2) :
    : ${CXX=g++-4.2} ;; #(
  xgcc|x/usr/bin/gcc) :
    : ${CXX=g++} ;; #(
  xcc|x/usr/bin/cc) :
    : ${CXX=c++} ;; #(
  xicc) :
    : ${CXX=icpc} ;; #(
  xclang|x/usr/bin/clang) :
    : ${CXX=clang++} ;; #(
  *) :
     ;;
esac
   ;; #(
  *) :
     ;;
esac
test -z "$CXX" || ac_cv_prog_CXX="$CXX"

ac_ext=cpp
ac_cpp='$CXXCPP $CPPFLAGS'
ac_compile='$CXX -c $CXXFLAGS $CPPFLAGS conftest.$ac_ext >&5'
ac_link='$CXX -o conftest$ac_exeext $CXXFLAGS $CPPFLAGS $LDFLAGS conftest.$ac_ext $LIBS >&5'
ac_compiler_gnu=$ac_cv_cxx_compiler_gnu
if test -z "$CXX"; then
  if test -n "$CCC"; then
    CXX=$CCC
  else
    if test -n "$ac_tool_prefix"; then
  for ac_prog in g++ c++ gpp aCC CC cxx cc++ cl.exe FCC KCC RCC xlC_r xlC
  do
    # Extract the first word of "$ac_tool_prefix$ac_prog", so it can be a program name with args.
set dummy $ac_tool_prefix$ac_prog; ac_word=$2
{ $as_echo "$as_me:${as_lineno-$LINENO}: checking for $ac_word" >&5
$as_echo_n "checking for $ac_word... " >&6; }
if ${ac_cv_prog_CXX+:} false; then :
  $as_echo_n "(cached) " >&6
else
  if test -n "$CXX"; then
  ac_cv_prog_CXX="$CXX" # Let the user override the test.
else
as_save_IFS=$IFS; IFS=$PATH_SEPARATOR
for as_dir in $PATH
do
  IFS=$as_save_IFS
  test -z "$as_dir" && as_dir=.
    for ac_exec_ext in '' $ac_executable_extensions; do
  if as_fn_executable_p "$as_dir/$ac_word$ac_exec_ext"; then
    ac_cv_prog_CXX="$ac_tool_prefix$ac_prog"
    $as_echo "$as_me:${as_lineno-$LINENO}: found $as_dir/$ac_word$ac_exec_ext" >&5
    break 2
  fi
done
  done
IFS=$as_save_IFS

fi
fi
CXX=$ac_cv_prog_CXX
if test -n "$CXX"; then
  { $as_echo "$as_me:${as_lineno-$LINENO}: result: $CXX" >&5
    colorize_result "$CXX" ; }
else
  { $as_echo "$as_me:${as_lineno-$LINENO}: result: no" >&5
    $as_echo "${msg_result_no}no${msg_reset}" ; }
fi


    test -n "$CXX" && break
  done
fi
if test -z "$CXX"; then
  ac_ct_CXX=$CXX
  for ac_prog in g++ c++ gpp aCC CC cxx cc++ cl.exe FCC KCC RCC xlC_r xlC
do
  # Extract the first word of "$ac_prog", so it can be a program name with args.
set dummy $ac_prog; ac_word=$2
{ $as_echo "$as_me:${as_lineno-$LINENO}: checking for $ac_word" >&5
$as_echo_n "checking for $ac_word... " >&6; }
if ${ac_cv_prog_ac_ct_CXX+:} false; then :
  $as_echo_n "(cached) " >&6
else
  if test -n "$ac_ct_CXX"; then
  ac_cv_prog_ac_ct_CXX="$ac_ct_CXX" # Let the user override the test.
else
as_save_IFS=$IFS; IFS=$PATH_SEPARATOR
for as_dir in $PATH
do
  IFS=$as_save_IFS
  test -z "$as_dir" && as_dir=.
    for ac_exec_ext in '' $ac_executable_extensions; do
  if as_fn_executable_p "$as_dir/$ac_word$ac_exec_ext"; then
    ac_cv_prog_ac_ct_CXX="$ac_prog"
    $as_echo "$as_me:${as_lineno-$LINENO}: found $as_dir/$ac_word$ac_exec_ext" >&5
    break 2
  fi
done
  done
IFS=$as_save_IFS

fi
fi
ac_ct_CXX=$ac_cv_prog_ac_ct_CXX
if test -n "$ac_ct_CXX"; then
  { $as_echo "$as_me:${as_lineno-$LINENO}: result: $ac_ct_CXX" >&5
    colorize_result "$ac_ct_CXX" ; }
else
  { $as_echo "$as_me:${as_lineno-$LINENO}: result: no" >&5
    $as_echo "${msg_result_no}no${msg_reset}" ; }
fi


  test -n "$ac_ct_CXX" && break
done

  if test "x$ac_ct_CXX" = x; then
    CXX="g++"
  else
    case $cross_compiling:$ac_tool_warned in
yes:)
{ $as_echo "$as_me:${as_lineno-$LINENO}: WARNING: using cross tools not prefixed with host triplet" >&5
$as_echo "$as_me: WARNING: using cross tools not prefixed with host triplet" >&2;}
ac_tool_warned=yes ;;
esac
    CXX=$ac_ct_CXX
  fi
fi

  fi
fi
# Provide some information about the compiler.
$as_echo "$as_me:${as_lineno-$LINENO}: checking for C++ compiler version" >&5
set X $ac_compile
ac_compiler=$2
for ac_option in --version -v -V -qversion; do
  { { ac_try="$ac_compiler $ac_option >&5"
case "(($ac_try" in
  *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
  *) ac_try_echo=$ac_try;;
esac
eval ac_try_echo="\"\$as_me:${as_lineno-$LINENO}: $ac_try_echo\""
$as_echo "$ac_try_echo"; } >&5
  (eval "$ac_compiler $ac_option >&5") 2>conftest.err
  ac_status=$?
  if test -s conftest.err; then
    sed '10a\
... rest of stderr output deleted ...
         10q' conftest.err >conftest.er1
    cat conftest.er1 >&5
  fi
  rm -f conftest.er1 conftest.err
  $as_echo "$as_me:${as_lineno-$LINENO}: \$? = $ac_status" >&5
  test $ac_status = 0; }
done

{ $as_echo "$as_me:${as_lineno-$LINENO}: checking whether we are using the GNU C++ compiler" >&5
$as_echo_n "checking whether we are using the GNU C++ compiler... " >&6; }
if ${ac_cv_cxx_compiler_gnu+:} false; then :
  $as_echo_n "(cached) " >&6
else
  cat confdefs.h - <<_ACEOF >conftest.$ac_ext
/* end confdefs.h.  */

int
main ()
{
#ifndef __GNUC__
       choke me
#endif

  ;
  return 0;
}
_ACEOF
if ac_fn_cxx_try_compile "$LINENO"; then :
  ac_compiler_gnu=yes
else
  ac_compiler_gnu=no
fi
rm -f core conftest.err conftest.$ac_objext conftest.$ac_ext
ac_cv_cxx_compiler_gnu=$ac_compiler_gnu

fi
{ $as_echo "$as_me:${as_lineno-$LINENO}: result: $ac_cv_cxx_compiler_gnu" >&5
    colorize_result "$ac_cv_cxx_compiler_gnu" ; }
if test $ac_compiler_gnu = yes; then
  GXX=yes
else
  GXX=
fi
ac_test_CXXFLAGS=${CXXFLAGS+set}
ac_save_CXXFLAGS=$CXXFLAGS
{ $as_echo "$as_me:${as_lineno-$LINENO}: checking whether $CXX accepts -g" >&5
$as_echo_n "checking whether $CXX accepts -g... " >&6; }
if ${ac_cv_prog_cxx_g+:} false; then :
  $as_echo_n "(cached) " >&6
else
  ac_save_cxx_werror_flag=$ac_cxx_werror_flag
   ac_cxx_werror_flag=yes
   ac_cv_prog_cxx_g=no
   CXXFLAGS="-g"
   cat confdefs.h - <<_ACEOF >conftest.$ac_ext
/* end confdefs.h.  */

int
main ()
{

  ;
  return 0;
}
_ACEOF
if ac_fn_cxx_try_compile "$LINENO"; then :
  ac_cv_prog_cxx_g=yes
else
  CXXFLAGS=""
      cat confdefs.h - <<_ACEOF >conftest.$ac_ext
/* end confdefs.h.  */

int
main ()
{

  ;
  return 0;
}
_ACEOF
if ac_fn_cxx_try_compile "$LINENO"; then :

else
  ac_cxx_werror_flag=$ac_save_cxx_werror_flag
	 CXXFLAGS="-g"
	 cat confdefs.h - <<_ACEOF >conftest.$ac_ext
/* end confdefs.h.  */

int
main ()
{

  ;
  return 0;
}
_ACEOF
if ac_fn_cxx_try_compile "$LINENO"; then :
  ac_cv_prog_cxx_g=yes
fi
rm -f core conftest.err conftest.$ac_objext conftest.$ac_ext
fi
rm -f core conftest.err conftest.$ac_objext conftest.$ac_ext
fi
rm -f core conftest.err conftest.$ac_objext conftest.$ac_ext
   ac_cxx_werror_flag=$ac_save_cxx_werror_flag
fi
{ $as_echo "$as_me:${as_lineno-$LINENO}: result: $ac_cv_prog_cxx_g" >&5
    colorize_result "$ac_cv_prog_cxx_g" ; }
if test "$ac_test_CXXFLAGS" = set; then
  CXXFLAGS=$ac_save_CXXFLAGS
elif test $ac_cv_prog_cxx_g = yes; then
  if test "$GXX" = yes; then
    CXXFLAGS="-g -O2"
  else
    CXXFLAGS="-g"
  fi
else
  if test "$GXX" = yes; then
    CXXFLAGS="-O2"
  else
    CXXFLAGS=
  fi
fi
ac_ext=c
ac_cpp='$CPP $CPPFLAGS'
ac_compile='$CC -c $CFLAGS $CPPFLAGS conftest.$ac_ext >&5'
ac_link='$CC -o conftest$ac_exeext $CFLAGS $CPPFLAGS $LDFLAGS conftest.$ac_ext $LIBS >&5'
ac_compiler_gnu=$ac_cv_c_compiler_gnu


ac_ext=c
ac_cpp='$CPP $CPPFLAGS'
ac_compile='$CC -c $CFLAGS $CPPFLAGS conftest.$ac_ext >&5'
ac_link='$CC -o conftest$ac_exeext $CFLAGS $CPPFLAGS $LDFLAGS conftest.$ac_ext $LIBS >&5'
ac_compiler_gnu=$ac_cv_c_compiler_gnu
{ $as_echo "$as_me:${as_lineno-$LINENO}: checking how to run the C preprocessor" >&5
$as_echo_n "checking how to run the C preprocessor... " >&6; }
# On Suns, sometimes $CPP names a directory.
if test -n "$CPP" && test -d "$CPP"; then
  CPP=
fi
if test -z "$CPP"; then
  if ${ac_cv_prog_CPP+:} false; then :
  $as_echo_n "(cached) " >&6
else
      # Double quotes because CPP needs to be expanded
    for CPP in "$CC -E" "$CC -E -traditional-cpp" "/lib/cpp"
    do
      ac_preproc_ok=false
for ac_c_preproc_warn_flag in '' yes
do
  # Use a header file that comes with gcc, so configuring glibc
  # with a fresh cross-compiler works.
  # Prefer <limits.h> to <assert.h> if __STDC__ is defined, since
  # <limits.h> exists even on freestanding compilers.
  # On the NeXT, cc -E runs the code through the compiler's parser,
  # not just through cpp. "Syntax error" is here to catch this case.
  cat confdefs.h - <<_ACEOF >conftest.$ac_ext
/* end confdefs.h.  */
#ifdef __STDC__
# include <limits.h>
#else
# include <assert.h>
#endif
		     Syntax error
_ACEOF
if ac_fn_c_try_cpp "$LINENO"; then :

else
  # Broken: fails on valid input.
continue
fi
rm -f conftest.err conftest.i conftest.$ac_ext

  # OK, works on sane cases.  Now check whether nonexistent headers
  # can be detected and how.
  cat confdefs.h - <<_ACEOF >conftest.$ac_ext
/* end confdefs.h.  */
#include <ac_nonexistent.h>
_ACEOF
if ac_fn_c_try_cpp "$LINENO"; then :
  # Broken: success on invalid input.
continue
else
  # Passes both tests.
ac_preproc_ok=:
break
fi
rm -f conftest.err conftest.i conftest.$ac_ext

done
# Because of `break', _AC_PREPROC_IFELSE's cleaning code was skipped.
rm -f conftest.i conftest.err conftest.$ac_ext
if $ac_preproc_ok; then :
  break
fi

    done
    ac_cv_prog_CPP=$CPP

fi
  CPP=$ac_cv_prog_CPP
else
  ac_cv_prog_CPP=$CPP
fi
{ $as_echo "$as_me:${as_lineno-$LINENO}: result: $CPP" >&5
    colorize_result "$CPP" ; }
ac_preproc_ok=false
for ac_c_preproc_warn_flag in '' yes
do
  # Use a header file that comes with gcc, so configuring glibc
  # with a fresh cross-compiler works.
  # Prefer <limits.h> to <assert.h> if __STDC__ is defined, since
  # <limits.h> exists even on freestanding compilers.
  # On the NeXT, cc -E runs the code through the compiler's parser,
  # not just through cpp. "Syntax error" is here to catch this case.
  cat confdefs.h - <<_ACEOF >conftest.$ac_ext
/* end confdefs.h.  */
#ifdef __STDC__
# include <limits.h>
#else
# include <assert.h>
#endif
		     Syntax error
_ACEOF
if ac_fn_c_try_cpp "$LINENO"; then :

else
  # Broken: fails on valid input.
continue
fi
rm -f conftest.err conftest.i conftest.$ac_ext

  # OK, works on sane cases.  Now check whether nonexistent headers
  # can be detected and how.
  cat confdefs.h - <<_ACEOF >conftest.$ac_ext
/* end confdefs.h.  */
#include <ac_nonexistent.h>
_ACEOF
if ac_fn_c_try_cpp "$LINENO"; then :
  # Broken: success on invalid input.
continue
else
  # Passes both tests.
ac_preproc_ok=:
break
fi
rm -f conftest.err conftest.i conftest.$ac_ext

done
# Because of `break', _AC_PREPROC_IFELSE's cleaning code was skipped.
rm -f conftest.i conftest.err conftest.$ac_ext
if $ac_preproc_ok; then :

else
  { { $as_echo "$as_me:${as_lineno-$LINENO}: error: in \`$ac_pwd':" >&5
$as_echo "$as_me: error: in \`$ac_pwd':" >&2;}
as_fn_error $? "C preprocessor \"$CPP\" fails sanity check
See \`config.log' for more details" "$LINENO" 5; }
fi

ac_ext=c
ac_cpp='$CPP $CPPFLAGS'
ac_compile='$CC -c $CFLAGS $CPPFLAGS conftest.$ac_ext >&5'
ac_link='$CC -o conftest$ac_exeext $CFLAGS $CPPFLAGS $LDFLAGS conftest.$ac_ext $LIBS >&5'
ac_compiler_gnu=$ac_cv_c_compiler_gnu


case "$host_os" in #(
  cygwin*) :

{ $as_echo "$as_me:${as_lineno-$LINENO}: checking for mingw32 environment" >&5
$as_echo_n "checking for mingw32 environment... " >&6; }
if ${rb_cv_mingw32+:} false; then :
  $as_echo_n "(cached) " >&6
else
  cat confdefs.h - <<_ACEOF >conftest.$ac_ext
/* end confdefs.h.  */

#ifndef __MINGW32__
# error
#endif

_ACEOF
if ac_fn_c_try_cpp "$LINENO"; then :
  rb_cv_mingw32=yes
else
  rb_cv_mingw32=no
fi
rm -f conftest.err conftest.i conftest.$ac_ext
rm -f conftest*
fi
{ $as_echo "$as_me:${as_lineno-$LINENO}: result: $rb_cv_mingw32" >&5
    colorize_result "$rb_cv_mingw32" ; }
if test "$rb_cv_mingw32" = yes; then
    target_os="mingw32"
    : ${ac_tool_prefix:="`expr "$CC" : '\(.*-\)g\?cc[^/]*$'`"}
fi
 ;; #(
  *) :
     ;;
esac
case "$target_os" in #(
  mingw*msvc) :

target_os="`echo ${target_os} | sed 's/msvc$//'`"
 ;; #(
  *) :
     ;;
esac
case "$target_cpu-$target_os" in #(
  x86_64-mingw*) :

target_cpu=x64
 ;; #(
  *) :
     ;;
esac

{ $as_echo "$as_me:${as_lineno-$LINENO}: checking for grep that handles long lines and -e" >&5
$as_echo_n "checking for grep that handles long lines and -e... " >&6; }
if ${ac_cv_path_GREP+:} false; then :
  $as_echo_n "(cached) " >&6
else
  if test -z "$GREP"; then
  ac_path_GREP_found=false
  # Loop through the user's path and test for each of PROGNAME-LIST
  as_save_IFS=$IFS; IFS=$PATH_SEPARATOR
for as_dir in $PATH$PATH_SEPARATOR/usr/xpg4/bin
do
  IFS=$as_save_IFS
  test -z "$as_dir" && as_dir=.
    for ac_prog in grep ggrep; do
    for ac_exec_ext in '' $ac_executable_extensions; do
      ac_path_GREP="$as_dir/$ac_prog$ac_exec_ext"
      as_fn_executable_p "$ac_path_GREP" || continue
# Check for GNU ac_path_GREP and select it if it is found.
  # Check for GNU $ac_path_GREP
case `"$ac_path_GREP" --version 2>&1` in
*GNU*)
  ac_cv_path_GREP="$ac_path_GREP" ac_path_GREP_found=:;;
*)
  ac_count=0
  $as_echo_n 0123456789 >"conftest.in"
  while :
  do
    cat "conftest.in" "conftest.in" >"conftest.tmp"
    mv "conftest.tmp" "conftest.in"
    cp "conftest.in" "conftest.nl"
    $as_echo 'GREP' >> "conftest.nl"
    "$ac_path_GREP" -e 'GREP$' -e '-(cannot match)-' < "conftest.nl" >"conftest.out" 2>/dev/null || break
    diff "conftest.out" "conftest.nl" >/dev/null 2>&1 || break
    as_fn_arith $ac_count + 1 && ac_count=$as_val
    if test $ac_count -gt ${ac_path_GREP_max-0}; then
      # Best one so far, save it but keep looking for a better one
      ac_cv_path_GREP="$ac_path_GREP"
      ac_path_GREP_max=$ac_count
    fi
    # 10*(2^10) chars as input seems more than enough
    test $ac_count -gt 10 && break
  done
  rm -f conftest.in conftest.tmp conftest.nl conftest.out;;
esac

      $ac_path_GREP_found && break 3
    done
  done
  done
IFS=$as_save_IFS
  if test -z "$ac_cv_path_GREP"; then
    as_fn_error $? "no acceptable grep could be found in $PATH$PATH_SEPARATOR/usr/xpg4/bin" "$LINENO" 5
  fi
else
  ac_cv_path_GREP=$GREP
fi

fi
{ $as_echo "$as_me:${as_lineno-$LINENO}: result: $ac_cv_path_GREP" >&5
    colorize_result "$ac_cv_path_GREP" ; }
 GREP="$ac_cv_path_GREP"


{ $as_echo "$as_me:${as_lineno-$LINENO}: checking for egrep" >&5
$as_echo_n "checking for egrep... " >&6; }
if ${ac_cv_path_EGREP+:} false; then :
  $as_echo_n "(cached) " >&6
else
  if echo a | $GREP -E '(a|b)' >/dev/null 2>&1
   then ac_cv_path_EGREP="$GREP -E"
   else
     if test -z "$EGREP"; then
  ac_path_EGREP_found=false
  # Loop through the user's path and test for each of PROGNAME-LIST
  as_save_IFS=$IFS; IFS=$PATH_SEPARATOR
for as_dir in $PATH$PATH_SEPARATOR/usr/xpg4/bin
do
  IFS=$as_save_IFS
  test -z "$as_dir" && as_dir=.
    for ac_prog in egrep; do
    for ac_exec_ext in '' $ac_executable_extensions; do
      ac_path_EGREP="$as_dir/$ac_prog$ac_exec_ext"
      as_fn_executable_p "$ac_path_EGREP" || continue
# Check for GNU ac_path_EGREP and select it if it is found.
  # Check for GNU $ac_path_EGREP
case `"$ac_path_EGREP" --version 2>&1` in
*GNU*)
  ac_cv_path_EGREP="$ac_path_EGREP" ac_path_EGREP_found=:;;
*)
  ac_count=0
  $as_echo_n 0123456789 >"conftest.in"
  while :
  do
    cat "conftest.in" "conftest.in" >"conftest.tmp"
    mv "conftest.tmp" "conftest.in"
    cp "conftest.in" "conftest.nl"
    $as_echo 'EGREP' >> "conftest.nl"
    "$ac_path_EGREP" 'EGREP$' < "conftest.nl" >"conftest.out" 2>/dev/null || break
    diff "conftest.out" "conftest.nl" >/dev/null 2>&1 || break
    as_fn_arith $ac_count + 1 && ac_count=$as_val
    if test $ac_count -gt ${ac_path_EGREP_max-0}; then
      # Best one so far, save it but keep looking for a better one
      ac_cv_path_EGREP="$ac_path_EGREP"
      ac_path_EGREP_max=$ac_count
    fi
    # 10*(2^10) chars as input seems more than enough
    test $ac_count -gt 10 && break
  done
  rm -f conftest.in conftest.tmp conftest.nl conftest.out;;
esac

      $ac_path_EGREP_found && break 3
    done
  done
  done
IFS=$as_save_IFS
  if test -z "$ac_cv_path_EGREP"; then
    as_fn_error $? "no acceptable egrep could be found in $PATH$PATH_SEPARATOR/usr/xpg4/bin" "$LINENO" 5
  fi
else
  ac_cv_path_EGREP=$EGREP
fi

   fi
fi
{ $as_echo "$as_me:${as_lineno-$LINENO}: result: $ac_cv_path_EGREP" >&5
    colorize_result "$ac_cv_path_EGREP" ; }
 EGREP="$ac_cv_path_EGREP"


if test $ac_cv_c_compiler_gnu = yes; then
    { $as_echo "$as_me:${as_lineno-$LINENO}: checking whether $CC needs -traditional" >&5
$as_echo_n "checking whether $CC needs -traditional... " >&6; }
if ${ac_cv_prog_gcc_traditional+:} false; then :
  $as_echo_n "(cached) " >&6
else
    ac_pattern="Autoconf.*'x'"
  cat confdefs.h - <<_ACEOF >conftest.$ac_ext
/* end confdefs.h.  */
#include <sgtty.h>
Autoconf TIOCGETP
_ACEOF
if (eval "$ac_cpp conftest.$ac_ext") 2>&5 |
  $EGREP "$ac_pattern" >/dev/null 2>&1; then :
  ac_cv_prog_gcc_traditional=yes
else
  ac_cv_prog_gcc_traditional=no
fi
rm -f conftest*


  if test $ac_cv_prog_gcc_traditional = no; then
    cat confdefs.h - <<_ACEOF >conftest.$ac_ext
/* end confdefs.h.  */
#include <termio.h>
Autoconf TCGETA
_ACEOF
if (eval "$ac_cpp conftest.$ac_ext") 2>&5 |
  $EGREP "$ac_pattern" >/dev/null 2>&1; then :
  ac_cv_prog_gcc_traditional=yes
fi
rm -f conftest*

  fi
fi
{ $as_echo "$as_me:${as_lineno-$LINENO}: result: $ac_cv_prog_gcc_traditional" >&5
    colorize_result "$ac_cv_prog_gcc_traditional" ; }
  if test $ac_cv_prog_gcc_traditional = yes; then
    CC="$CC -traditional"
  fi
fi


case "$target_os" in #(
  solaris*) :
    if test -n "$ac_tool_prefix"; then
  # Extract the first word of "${ac_tool_prefix}ld", so it can be a program name with args.
set dummy ${ac_tool_prefix}ld; ac_word=$2
{ $as_echo "$as_me:${as_lineno-$LINENO}: checking for $ac_word" >&5
$as_echo_n "checking for $ac_word... " >&6; }
if ${ac_cv_path_LD+:} false; then :
  $as_echo_n "(cached) " >&6
else
  case $LD in
  [\\/]* | ?:[\\/]*)
  ac_cv_path_LD="$LD" # Let the user override the test with a path.
  ;;
  *)
  as_save_IFS=$IFS; IFS=$PATH_SEPARATOR
as_dummy="/usr/ccs/bin:$PATH"
for as_dir in $as_dummy
do
  IFS=$as_save_IFS
  test -z "$as_dir" && as_dir=.
    for ac_exec_ext in '' $ac_executable_extensions; do
  if as_fn_executable_p "$as_dir/$ac_word$ac_exec_ext"; then
    ac_cv_path_LD="$as_dir/$ac_word$ac_exec_ext"
    $as_echo "$as_me:${as_lineno-$LINENO}: found $as_dir/$ac_word$ac_exec_ext" >&5
    break 2
  fi
done
  done
IFS=$as_save_IFS

  ;;
esac
fi
LD=$ac_cv_path_LD
if test -n "$LD"; then
  { $as_echo "$as_me:${as_lineno-$LINENO}: result: $LD" >&5
    colorize_result "$LD" ; }
else
  { $as_echo "$as_me:${as_lineno-$LINENO}: result: no" >&5
    $as_echo "${msg_result_no}no${msg_reset}" ; }
fi


fi
if test -z "$ac_cv_path_LD"; then
  ac_pt_LD=$LD
  # Extract the first word of "ld", so it can be a program name with args.
set dummy ld; ac_word=$2
{ $as_echo "$as_me:${as_lineno-$LINENO}: checking for $ac_word" >&5
$as_echo_n "checking for $ac_word... " >&6; }
if ${ac_cv_path_ac_pt_LD+:} false; then :
  $as_echo_n "(cached) " >&6
else
  case $ac_pt_LD in
  [\\/]* | ?:[\\/]*)
  ac_cv_path_ac_pt_LD="$ac_pt_LD" # Let the user override the test with a path.
  ;;
  *)
  as_save_IFS=$IFS; IFS=$PATH_SEPARATOR
as_dummy="/usr/ccs/bin:$PATH"
for as_dir in $as_dummy
do
  IFS=$as_save_IFS
  test -z "$as_dir" && as_dir=.
    for ac_exec_ext in '' $ac_executable_extensions; do
  if as_fn_executable_p "$as_dir/$ac_word$ac_exec_ext"; then
    ac_cv_path_ac_pt_LD="$as_dir/$ac_word$ac_exec_ext"
    $as_echo "$as_me:${as_lineno-$LINENO}: found $as_dir/$ac_word$ac_exec_ext" >&5
    break 2
  fi
done
  done
IFS=$as_save_IFS

  ;;
esac
fi
ac_pt_LD=$ac_cv_path_ac_pt_LD
if test -n "$ac_pt_LD"; then
  { $as_echo "$as_me:${as_lineno-$LINENO}: result: $ac_pt_LD" >&5
    colorize_result "$ac_pt_LD" ; }
else
  { $as_echo "$as_me:${as_lineno-$LINENO}: result: no" >&5
    $as_echo "${msg_result_no}no${msg_reset}" ; }
fi

  if test "x$ac_pt_LD" = x; then
    LD="/usr/ccs/bin/ld"
  else
    case $cross_compiling:$ac_tool_warned in
yes:)
{ $as_echo "$as_me:${as_lineno-$LINENO}: WARNING: using cross tools not prefixed with host triplet" >&5
$as_echo "$as_me: WARNING: using cross tools not prefixed with host triplet" >&2;}
ac_tool_warned=yes ;;
esac
    LD=$ac_pt_LD
  fi
else
  LD="$ac_cv_path_LD"
fi
 ;; #(
  *) :
    if test -n "$ac_tool_prefix"; then
  # Extract the first word of "${ac_tool_prefix}ld", so it can be a program name with args.
set dummy ${ac_tool_prefix}ld; ac_word=$2
{ $as_echo "$as_me:${as_lineno-$LINENO}: checking for $ac_word" >&5
$as_echo_n "checking for $ac_word... " >&6; }
if ${ac_cv_prog_LD+:} false; then :
  $as_echo_n "(cached) " >&6
else
  if test -n "$LD"; then
  ac_cv_prog_LD="$LD" # Let the user override the test.
else
as_save_IFS=$IFS; IFS=$PATH_SEPARATOR
for as_dir in $PATH
do
  IFS=$as_save_IFS
  test -z "$as_dir" && as_dir=.
    for ac_exec_ext in '' $ac_executable_extensions; do
  if as_fn_executable_p "$as_dir/$ac_word$ac_exec_ext"; then
    ac_cv_prog_LD="${ac_tool_prefix}ld"
    $as_echo "$as_me:${as_lineno-$LINENO}: found $as_dir/$ac_word$ac_exec_ext" >&5
    break 2
  fi
done
  done
IFS=$as_save_IFS

fi
fi
LD=$ac_cv_prog_LD
if test -n "$LD"; then
  { $as_echo "$as_me:${as_lineno-$LINENO}: result: $LD" >&5
    colorize_result "$LD" ; }
else
  { $as_echo "$as_me:${as_lineno-$LINENO}: result: no" >&5
    $as_echo "${msg_result_no}no${msg_reset}" ; }
fi


fi
if test -z "$ac_cv_prog_LD"; then
  ac_ct_LD=$LD
  # Extract the first word of "ld", so it can be a program name with args.
set dummy ld; ac_word=$2
{ $as_echo "$as_me:${as_lineno-$LINENO}: checking for $ac_word" >&5
$as_echo_n "checking for $ac_word... " >&6; }
if ${ac_cv_prog_ac_ct_LD+:} false; then :
  $as_echo_n "(cached) " >&6
else
  if test -n "$ac_ct_LD"; then
  ac_cv_prog_ac_ct_LD="$ac_ct_LD" # Let the user override the test.
else
as_save_IFS=$IFS; IFS=$PATH_SEPARATOR
for as_dir in $PATH
do
  IFS=$as_save_IFS
  test -z "$as_dir" && as_dir=.
    for ac_exec_ext in '' $ac_executable_extensions; do
  if as_fn_executable_p "$as_dir/$ac_word$ac_exec_ext"; then
    ac_cv_prog_ac_ct_LD="ld"
    $as_echo "$as_me:${as_lineno-$LINENO}: found $as_dir/$ac_word$ac_exec_ext" >&5
    break 2
  fi
done
  done
IFS=$as_save_IFS

fi
fi
ac_ct_LD=$ac_cv_prog_ac_ct_LD
if test -n "$ac_ct_LD"; then
  { $as_echo "$as_me:${as_lineno-$LINENO}: result: $ac_ct_LD" >&5
    colorize_result "$ac_ct_LD" ; }
else
  { $as_echo "$as_me:${as_lineno-$LINENO}: result: no" >&5
    $as_echo "${msg_result_no}no${msg_reset}" ; }
fi

  if test "x$ac_ct_LD" = x; then
    LD="ld"
  else
    case $cross_compiling:$ac_tool_warned in
yes:)
{ $as_echo "$as_me:${as_lineno-$LINENO}: WARNING: using cross tools not prefixed with host triplet" >&5
$as_echo "$as_me: WARNING: using cross tools not prefixed with host triplet" >&2;}
ac_tool_warned=yes ;;
esac
    LD=$ac_ct_LD
  fi
else
  LD="$ac_cv_prog_LD"
fi
 ;;
esac

if test "$GCC" = yes; then
    linker_flag=-Wl,
    : ${optflags=-O3}
    gcc_major=`echo =__GNUC__ | $CC -E -xc - | sed '/^=/!d;s///'`
    gcc_minor=`echo =__GNUC_MINOR__ | $CC -E -xc - | sed '/^=/!d;s///'`
    test -n "$gcc_major" || gcc_major=0
    test -n "$gcc_minor" || gcc_minor=0
    # RUBY_APPEND_OPTIONS(XCFLAGS, ["-include ruby/config.h" "-include ruby/missing.h"])
else
    linker_flag=
fi

{ $as_echo "$as_me:${as_lineno-$LINENO}: checking whether the linker is GNU ld" >&5
$as_echo_n "checking whether the linker is GNU ld... " >&6; }
if ${rb_cv_prog_gnu_ld+:} false; then :
  $as_echo_n "(cached) " >&6
else
  if `$CC $CFLAGS $CPPFLAGS $LDFLAGS --print-prog-name=ld 2>&1` -v 2>&1 | grep "GNU ld" > /dev/null; then
  rb_cv_prog_gnu_ld=yes
else
  rb_cv_prog_gnu_ld=no
fi

fi
{ $as_echo "$as_me:${as_lineno-$LINENO}: result: $rb_cv_prog_gnu_ld" >&5
    colorize_result "$rb_cv_prog_gnu_ld" ; }
GNU_LD=$rb_cv_prog_gnu_ld

{ $as_echo "$as_me:${as_lineno-$LINENO}: checking whether ${CPP} accepts -o" >&5
$as_echo_n "checking whether ${CPP} accepts -o... " >&6; }
if ${rb_cv_cppoutfile+:} false; then :
  $as_echo_n "(cached) " >&6
else
  save_CPPFLAGS="$CPPFLAGS"
CPPFLAGS='-o conftest-1.i'
rb_cv_cppoutfile=no
cat confdefs.h - <<_ACEOF >conftest.$ac_ext
/* end confdefs.h.  */
test-for-cppout
_ACEOF
if ac_fn_c_try_cpp "$LINENO"; then :
  grep test-for-cppout conftest-1.i > /dev/null && rb_cv_cppoutfile=yes
fi
rm -f conftest.err conftest.i conftest.$ac_ext
CPPFLAGS="$save_CPPFLAGS"
rm -f conftest*
fi
{ $as_echo "$as_me:${as_lineno-$LINENO}: result: $rb_cv_cppoutfile" >&5
    colorize_result "$rb_cv_cppoutfile" ; }
if test "$rb_cv_cppoutfile" = yes; then
  CPPOUTFILE='-o conftest.i'
elif test "$rb_cv_cppoutfile" = no; then
  CPPOUTFILE='> conftest.i'
elif test -n "$rb_cv_cppoutfile"; then
  CPPOUTFILE="$rb_cv_cppoutfile"
fi


: ${OUTFLAG='-o '}
: ${COUTFLAG=${OUTFLAG}}
: ${CSRCFLAG=''}




cc_version=
for option in --version -v -V -qversion; do
    cc_version_message=`$CC $option 2>&1`
    cc_version_status=$?
    case $cc_version_status in #(
  0) :
    : ;; #(
  *) :
    continue ;;
esac
    case $cc_version_message in #(
  *Warning*) :
    continue ;; #(
  *) :
     ;;
esac
    cc_version='$(CC) '$option
    break
done
CC_VERSION=$cc_version

CC_VERSION_MESSAGE=$cc_version_message



# RUBY_UNIVERSAL_ARCH begin
ARCH_FLAG=`expr " $CXXFLAGS " : '.* \(-m[0-9][0-9]*\) '`
test ${CXXFLAGS+set} && CXXFLAGS=`echo "$CXXFLAGS" | sed -e 's/ *-arch  *[^ ]*//g' -e 's/ *-m32//g' -e 's/ *-m64//g'`
ARCH_FLAG=`expr " $CFLAGS " : '.* \(-m[0-9][0-9]*\) '`
test ${CFLAGS+set} && CFLAGS=`echo "$CFLAGS" | sed -e 's/ *-arch  *[^ ]*//g' -e 's/ *-m32//g' -e 's/ *-m64//g'`
test ${LDFLAGS+set} && LDFLAGS=`echo "$LDFLAGS" | sed -e 's/ *-arch  *[^ ]*//g' -e 's/ *-m32//g' -e 's/ *-m64//g'`
unset universal_binary universal_archnames
if test ${target_archs+set}; then
    { $as_echo "$as_me:${as_lineno-$LINENO}: checking target architectures" >&5
$as_echo_n "checking target architectures... " >&6; }
    target_archs=`echo $target_archs | tr , ' '`
    # /usr/lib/arch_tool -archify_list $TARGET_ARCHS
    for archs in $target_archs
    do
	case ",$universal_binary," in #(
  *",$archs,"*) :
     ;; #(
  *) :

	    cpu=`$SHELL "$ac_aux_dir/config.sub" "${archs}-${target_os}" 2>&1` || {
	        { $as_echo "$as_me:${as_lineno-$LINENO}: result: failed" >&5
    $as_echo "${msg_result_other}failed${msg_reset}" ; }
		as_fn_error $? "$cpu" "$LINENO" 5
	    }
	    cpu=`echo $cpu | sed 's/-.*-.*//'`
	    universal_binary="${universal_binary+$universal_binary,}$cpu"
	    universal_archnames="${universal_archnames} ${archs}=${cpu}"
	    ARCH_FLAG="${ARCH_FLAG+$ARCH_FLAG }-arch $archs"
	     ;;
esac
    done
    target_archs="$universal_binary"
    unset universal_binary
    case "$target_archs" in #(
  *,*) :
    universal_binary=yes ;; #(
  *) :
    unset universal_archnames ;;
esac
    { $as_echo "$as_me:${as_lineno-$LINENO}: result: $target_archs" >&5
    colorize_result "$target_archs" ; }

    target=`echo $target | sed "s/^$target_cpu-/-/"`
    target_alias=`echo $target_alias | sed "s/^$target_cpu-/-/"`
    if test "${universal_binary-no}" = yes; then
	try_header=try_compile

	target_cpu=universal
	real_cross_compiling=$cross_compiling
    else
	if test x"$target_cpu" != x"${target_archs}"; then
	    echo 'int main(){return 0;}' > conftest.c
	    if $CC $CFLAGS $ARCH_FLAG -o conftest conftest.c > /dev/null 2>&1; then
		rm -fr conftest.*
	    else

{ $as_echo "$as_me:${as_lineno-$LINENO}: checking arch option" >&5
$as_echo_n "checking arch option... " >&6; }
case "$target_archs" in #(
  *64) :
    ARCH_FLAG=-m64 ;; #(
  i[3-6]86) :
    ARCH_FLAG=-m32 ;; #(
  *) :
    as_fn_error $? "unknown target architecture: $target_archs" "$LINENO" 5
	 ;;
esac
{ $as_echo "$as_me:${as_lineno-$LINENO}: result: $ARCH_FLAG" >&5
    colorize_result "$ARCH_FLAG" ; }

	    fi
	fi
	target_cpu=${target_archs}
    fi
    case "$target" in #(
  -*) :
     target="$target_cpu${target}" ;; #(
  *) :
     ;;
esac
    case "$target_alias" in #(
  -*) :
     target_alias="$target_cpu${target_alias}" ;; #(
  *) :
     ;;
esac
else
    if test x"$target_alias" = x; then
	case "$target_os" in #(
  darwin*) :

	    { $as_echo "$as_me:${as_lineno-$LINENO}: checking for real target cpu" >&5
$as_echo_n "checking for real target cpu... " >&6; }
	    target=`echo $target | sed "s/^$target_cpu-/-/"`
	    target_cpu=`$CC -E - 2>/dev/null <<EOF |
#ifdef __x86_64__
"processor-name=x86_64"
#endif
#ifdef __i386__
"processor-name=i386"
#endif
#ifdef __ppc__
"processor-name=powerpc"
#endif
#ifdef __ppc64__
"processor-name=powerpc64"
#endif
EOF
	    sed -n 's/^"processor-name=\(.*\)"/\1/p'`
	    target="$target_cpu${target}"
	    { $as_echo "$as_me:${as_lineno-$LINENO}: result: $target_cpu" >&5
    colorize_result "$target_cpu" ; }
	     ;; #(
  *) :
     ;;
esac
    fi
    target_archs="$target_cpu"
fi
if test "${target_archs}" != "${rb_cv_target_archs-${target_archs}}"; then
    as_fn_error $? "target arch(s) has changed from ${rb_cv_target_archs-nothing} to ${target_archs}" "$LINENO" 5
else
    rb_cv_target_archs=${target_archs}
fi
if test "x${ARCH_FLAG}" != x; then
    CFLAGS="${CFLAGS:+$CFLAGS }${ARCH_FLAG}"
    LDFLAGS="${LDFLAGS:+$LDFLAGS }${ARCH_FLAG}"
fi
# RUBY_UNIVERSAL_ARCH end

if test "$target_cpu" != "$host_cpu" -a "$GCC" = yes -a "$cross_compiling" = no -a "$universal_binary" = no; then

{ $as_echo "$as_me:${as_lineno-$LINENO}: checking arch option" >&5
$as_echo_n "checking arch option... " >&6; }
case "$target_cpu" in #(
  *64) :
    ARCH_FLAG=-m64 ;; #(
  i[3-6]86) :
    ARCH_FLAG=-m32 ;; #(
  *) :
    as_fn_error $? "unknown target architecture: $target_archs" "$LINENO" 5
	 ;;
esac
{ $as_echo "$as_me:${as_lineno-$LINENO}: result: $ARCH_FLAG" >&5
    colorize_result "$ARCH_FLAG" ; }

fi

case "$target_cpu-$target_os" in #(
  i[3-6]86*) :

	 { $as_echo "$as_me:${as_lineno-$LINENO}: checking for __sync_val_compare_and_swap" >&5
$as_echo_n "checking for __sync_val_compare_and_swap... " >&6; }
if ${rb_cv_gcc_compiler_cas+:} false; then :
  $as_echo_n "(cached) " >&6
else

			 cat confdefs.h - <<_ACEOF >conftest.$ac_ext
/* end confdefs.h.  */
unsigned long atomic_var;
int
main ()
{

				      __sync_val_compare_and_swap(&atomic_var, 0, 1);

  ;
  return 0;
}
_ACEOF
if ac_fn_c_try_link "$LINENO"; then :
  rb_cv_gcc_compiler_cas=yes
else
  rb_cv_gcc_compiler_cas=no
fi
rm -f core conftest.err conftest.$ac_objext \
    conftest$ac_exeext conftest.$ac_ext
fi
{ $as_echo "$as_me:${as_lineno-$LINENO}: result: $rb_cv_gcc_compiler_cas" >&5
    colorize_result "$rb_cv_gcc_compiler_cas" ; }
	 if test "$rb_cv_gcc_compiler_cas" = no; then
		 unset rb_cv_gcc_compiler_cas
		 save_CFLAGS="$CFLAGS"
		 CFLAGS="$CFLAGS -march=i486"
		 { $as_echo "$as_me:${as_lineno-$LINENO}: checking for __sync_val_compare_and_swap with -march=i486" >&5
$as_echo_n "checking for __sync_val_compare_and_swap with -march=i486... " >&6; }
if ${rb_cv_gcc_compiler_cas+:} false; then :
  $as_echo_n "(cached) " >&6
else

				 cat confdefs.h - <<_ACEOF >conftest.$ac_ext
/* end confdefs.h.  */
unsigned long atomic_var;
int
main ()
{

					      __sync_val_compare_and_swap(&atomic_var, 0, 1);

  ;
  return 0;
}
_ACEOF
if ac_fn_c_try_link "$LINENO"; then :
  rb_cv_gcc_compiler_cas=yes
					       ARCH_FLAG="-march=i486"
else
  rb_cv_gcc_compiler_cas=no
fi
rm -f core conftest.err conftest.$ac_objext \
    conftest$ac_exeext conftest.$ac_ext
fi
{ $as_echo "$as_me:${as_lineno-$LINENO}: result: $rb_cv_gcc_compiler_cas" >&5
    colorize_result "$rb_cv_gcc_compiler_cas" ; }
		 CFLAGS="$save_CFLAGS"
	 fi ;; #(
  *) :
     ;;
esac

if test -n "$ac_tool_prefix"; then
  # Extract the first word of "${ac_tool_prefix}ranlib", so it can be a program name with args.
set dummy ${ac_tool_prefix}ranlib; ac_word=$2
{ $as_echo "$as_me:${as_lineno-$LINENO}: checking for $ac_word" >&5
$as_echo_n "checking for $ac_word... " >&6; }
if ${ac_cv_prog_RANLIB+:} false; then :
  $as_echo_n "(cached) " >&6
else
  if test -n "$RANLIB"; then
  ac_cv_prog_RANLIB="$RANLIB" # Let the user override the test.
else
as_save_IFS=$IFS; IFS=$PATH_SEPARATOR
for as_dir in $PATH
do
  IFS=$as_save_IFS
  test -z "$as_dir" && as_dir=.
    for ac_exec_ext in '' $ac_executable_extensions; do
  if as_fn_executable_p "$as_dir/$ac_word$ac_exec_ext"; then
    ac_cv_prog_RANLIB="${ac_tool_prefix}ranlib"
    $as_echo "$as_me:${as_lineno-$LINENO}: found $as_dir/$ac_word$ac_exec_ext" >&5
    break 2
  fi
done
  done
IFS=$as_save_IFS

fi
fi
RANLIB=$ac_cv_prog_RANLIB
if test -n "$RANLIB"; then
  { $as_echo "$as_me:${as_lineno-$LINENO}: result: $RANLIB" >&5
    colorize_result "$RANLIB" ; }
else
  { $as_echo "$as_me:${as_lineno-$LINENO}: result: no" >&5
    $as_echo "${msg_result_no}no${msg_reset}" ; }
fi


fi
if test -z "$ac_cv_prog_RANLIB"; then
  ac_ct_RANLIB=$RANLIB
  # Extract the first word of "ranlib", so it can be a program name with args.
set dummy ranlib; ac_word=$2
{ $as_echo "$as_me:${as_lineno-$LINENO}: checking for $ac_word" >&5
$as_echo_n "checking for $ac_word... " >&6; }
if ${ac_cv_prog_ac_ct_RANLIB+:} false; then :
  $as_echo_n "(cached) " >&6
else
  if test -n "$ac_ct_RANLIB"; then
  ac_cv_prog_ac_ct_RANLIB="$ac_ct_RANLIB" # Let the user override the test.
else
as_save_IFS=$IFS; IFS=$PATH_SEPARATOR
for as_dir in $PATH
do
  IFS=$as_save_IFS
  test -z "$as_dir" && as_dir=.
    for ac_exec_ext in '' $ac_executable_extensions; do
  if as_fn_executable_p "$as_dir/$ac_word$ac_exec_ext"; then
    ac_cv_prog_ac_ct_RANLIB="ranlib"
    $as_echo "$as_me:${as_lineno-$LINENO}: found $as_dir/$ac_word$ac_exec_ext" >&5
    break 2
  fi
done
  done
IFS=$as_save_IFS

fi
fi
ac_ct_RANLIB=$ac_cv_prog_ac_ct_RANLIB
if test -n "$ac_ct_RANLIB"; then
  { $as_echo "$as_me:${as_lineno-$LINENO}: result: $ac_ct_RANLIB" >&5
    colorize_result "$ac_ct_RANLIB" ; }
else
  { $as_echo "$as_me:${as_lineno-$LINENO}: result: no" >&5
    $as_echo "${msg_result_no}no${msg_reset}" ; }
fi

  if test "x$ac_ct_RANLIB" = x; then
    RANLIB=":"
  else
    case $cross_compiling:$ac_tool_warned in
yes:)
{ $as_echo "$as_me:${as_lineno-$LINENO}: WARNING: using cross tools not prefixed with host triplet" >&5
$as_echo "$as_me: WARNING: using cross tools not prefixed with host triplet" >&2;}
ac_tool_warned=yes ;;
esac
    RANLIB=$ac_ct_RANLIB
  fi
else
  RANLIB="$ac_cv_prog_RANLIB"
fi

if test -n "$ac_tool_prefix"; then
  # Extract the first word of "${ac_tool_prefix}ar", so it can be a program name with args.
set dummy ${ac_tool_prefix}ar; ac_word=$2
{ $as_echo "$as_me:${as_lineno-$LINENO}: checking for $ac_word" >&5
$as_echo_n "checking for $ac_word... " >&6; }
if ${ac_cv_prog_AR+:} false; then :
  $as_echo_n "(cached) " >&6
else
  if test -n "$AR"; then
  ac_cv_prog_AR="$AR" # Let the user override the test.
else
as_save_IFS=$IFS; IFS=$PATH_SEPARATOR
for as_dir in $PATH
do
  IFS=$as_save_IFS
  test -z "$as_dir" && as_dir=.
    for ac_exec_ext in '' $ac_executable_extensions; do
  if as_fn_executable_p "$as_dir/$ac_word$ac_exec_ext"; then
    ac_cv_prog_AR="${ac_tool_prefix}ar"
    $as_echo "$as_me:${as_lineno-$LINENO}: found $as_dir/$ac_word$ac_exec_ext" >&5
    break 2
  fi
done
  done
IFS=$as_save_IFS

fi
fi
AR=$ac_cv_prog_AR
if test -n "$AR"; then
  { $as_echo "$as_me:${as_lineno-$LINENO}: result: $AR" >&5
    colorize_result "$AR" ; }
else
  { $as_echo "$as_me:${as_lineno-$LINENO}: result: no" >&5
    $as_echo "${msg_result_no}no${msg_reset}" ; }
fi


fi
if test -z "$ac_cv_prog_AR"; then
  ac_ct_AR=$AR
  # Extract the first word of "ar", so it can be a program name with args.
set dummy ar; ac_word=$2
{ $as_echo "$as_me:${as_lineno-$LINENO}: checking for $ac_word" >&5
$as_echo_n "checking for $ac_word... " >&6; }
if ${ac_cv_prog_ac_ct_AR+:} false; then :
  $as_echo_n "(cached) " >&6
else
  if test -n "$ac_ct_AR"; then
  ac_cv_prog_ac_ct_AR="$ac_ct_AR" # Let the user override the test.
else
as_save_IFS=$IFS; IFS=$PATH_SEPARATOR
for as_dir in $PATH
do
  IFS=$as_save_IFS
  test -z "$as_dir" && as_dir=.
    for ac_exec_ext in '' $ac_executable_extensions; do
  if as_fn_executable_p "$as_dir/$ac_word$ac_exec_ext"; then
    ac_cv_prog_ac_ct_AR="ar"
    $as_echo "$as_me:${as_lineno-$LINENO}: found $as_dir/$ac_word$ac_exec_ext" >&5
    break 2
  fi
done
  done
IFS=$as_save_IFS

fi
fi
ac_ct_AR=$ac_cv_prog_ac_ct_AR
if test -n "$ac_ct_AR"; then
  { $as_echo "$as_me:${as_lineno-$LINENO}: result: $ac_ct_AR" >&5
    colorize_result "$ac_ct_AR" ; }
else
  { $as_echo "$as_me:${as_lineno-$LINENO}: result: no" >&5
    $as_echo "${msg_result_no}no${msg_reset}" ; }
fi

  if test "x$ac_ct_AR" = x; then
    AR=""
  else
    case $cross_compiling:$ac_tool_warned in
yes:)
{ $as_echo "$as_me:${as_lineno-$LINENO}: WARNING: using cross tools not prefixed with host triplet" >&5
$as_echo "$as_me: WARNING: using cross tools not prefixed with host triplet" >&2;}
ac_tool_warned=yes ;;
esac
    AR=$ac_ct_AR
  fi
else
  AR="$ac_cv_prog_AR"
fi

if test -z "$AR"; then
  for ac_prog in aal
do
  # Extract the first word of "$ac_prog", so it can be a program name with args.
set dummy $ac_prog; ac_word=$2
{ $as_echo "$as_me:${as_lineno-$LINENO}: checking for $ac_word" >&5
$as_echo_n "checking for $ac_word... " >&6; }
if ${ac_cv_prog_AR+:} false; then :
  $as_echo_n "(cached) " >&6
else
  if test -n "$AR"; then
  ac_cv_prog_AR="$AR" # Let the user override the test.
else
as_save_IFS=$IFS; IFS=$PATH_SEPARATOR
for as_dir in $PATH
do
  IFS=$as_save_IFS
  test -z "$as_dir" && as_dir=.
    for ac_exec_ext in '' $ac_executable_extensions; do
  if as_fn_executable_p "$as_dir/$ac_word$ac_exec_ext"; then
    ac_cv_prog_AR="$ac_prog"
    $as_echo "$as_me:${as_lineno-$LINENO}: found $as_dir/$ac_word$ac_exec_ext" >&5
    break 2
  fi
done
  done
IFS=$as_save_IFS

fi
fi
AR=$ac_cv_prog_AR
if test -n "$AR"; then
  { $as_echo "$as_me:${as_lineno-$LINENO}: result: $AR" >&5
    colorize_result "$AR" ; }
else
  { $as_echo "$as_me:${as_lineno-$LINENO}: result: no" >&5
    $as_echo "${msg_result_no}no${msg_reset}" ; }
fi


  test -n "$AR" && break
done
test -n "$AR" || AR="ar"

fi
{ $as_echo "$as_me:${as_lineno-$LINENO}: checking for $AR D option" >&5
$as_echo_n "checking for $AR D option... " >&6; }
if ${rb_cv_ar_D_option+:} false; then :
  $as_echo_n "(cached) " >&6
else

    if $AR rcD conftest.a > /dev/null 2>&1 && rm conftest.a; then :
  rb_cv_ar_D_option=yes
else
  rb_cv_ar_D_option=no
fi

fi
{ $as_echo "$as_me:${as_lineno-$LINENO}: result: $rb_cv_ar_D_option" >&5
    colorize_result "$rb_cv_ar_D_option" ; }
if test "$rb_cv_ar_D_option" = yes; then :
  ARFLAGS='rcD '
else
  ARFLAGS='rcu '
fi


if test -n "$ac_tool_prefix"; then
  # Extract the first word of "${ac_tool_prefix}as", so it can be a program name with args.
set dummy ${ac_tool_prefix}as; ac_word=$2
{ $as_echo "$as_me:${as_lineno-$LINENO}: checking for $ac_word" >&5
$as_echo_n "checking for $ac_word... " >&6; }
if ${ac_cv_prog_AS+:} false; then :
  $as_echo_n "(cached) " >&6
else
  if test -n "$AS"; then
  ac_cv_prog_AS="$AS" # Let the user override the test.
else
as_save_IFS=$IFS; IFS=$PATH_SEPARATOR
for as_dir in $PATH
do
  IFS=$as_save_IFS
  test -z "$as_dir" && as_dir=.
    for ac_exec_ext in '' $ac_executable_extensions; do
  if as_fn_executable_p "$as_dir/$ac_word$ac_exec_ext"; then
    ac_cv_prog_AS="${ac_tool_prefix}as"
    $as_echo "$as_me:${as_lineno-$LINENO}: found $as_dir/$ac_word$ac_exec_ext" >&5
    break 2
  fi
done
  done
IFS=$as_save_IFS

fi
fi
AS=$ac_cv_prog_AS
if test -n "$AS"; then
  { $as_echo "$as_me:${as_lineno-$LINENO}: result: $AS" >&5
    colorize_result "$AS" ; }
else
  { $as_echo "$as_me:${as_lineno-$LINENO}: result: no" >&5
    $as_echo "${msg_result_no}no${msg_reset}" ; }
fi


fi
if test -z "$ac_cv_prog_AS"; then
  ac_ct_AS=$AS
  # Extract the first word of "as", so it can be a program name with args.
set dummy as; ac_word=$2
{ $as_echo "$as_me:${as_lineno-$LINENO}: checking for $ac_word" >&5
$as_echo_n "checking for $ac_word... " >&6; }
if ${ac_cv_prog_ac_ct_AS+:} false; then :
  $as_echo_n "(cached) " >&6
else
  if test -n "$ac_ct_AS"; then
  ac_cv_prog_ac_ct_AS="$ac_ct_AS" # Let the user override the test.
else
as_save_IFS=$IFS; IFS=$PATH_SEPARATOR
for as_dir in $PATH
do
  IFS=$as_save_IFS
  test -z "$as_dir" && as_dir=.
    for ac_exec_ext in '' $ac_executable_extensions; do
  if as_fn_executable_p "$as_dir/$ac_word$ac_exec_ext"; then
    ac_cv_prog_ac_ct_AS="as"
    $as_echo "$as_me:${as_lineno-$LINENO}: found $as_dir/$ac_word$ac_exec_ext" >&5
    break 2
  fi
done
  done
IFS=$as_save_IFS

fi
fi
ac_ct_AS=$ac_cv_prog_ac_ct_AS
if test -n "$ac_ct_AS"; then
  { $as_echo "$as_me:${as_lineno-$LINENO}: result: $ac_ct_AS" >&5
    colorize_result "$ac_ct_AS" ; }
else
  { $as_echo "$as_me:${as_lineno-$LINENO}: result: no" >&5
    $as_echo "${msg_result_no}no${msg_reset}" ; }
fi

  if test "x$ac_ct_AS" = x; then
    AS=""
  else
    case $cross_compiling:$ac_tool_warned in
yes:)
{ $as_echo "$as_me:${as_lineno-$LINENO}: WARNING: using cross tools not prefixed with host triplet" >&5
$as_echo "$as_me: WARNING: using cross tools not prefixed with host triplet" >&2;}
ac_tool_warned=yes ;;
esac
    AS=$ac_ct_AS
  fi
else
  AS="$ac_cv_prog_AS"
fi

ASFLAGS=$ASFLAGS


case "$target_os" in #(
  cygwin*|mingw*) :
    ac_cv_prog_ac_ct_OBJCOPY=":" ;; #(
  *) :
     ;;
esac

# BSD's ports and MacPorts prefix GNU binutils with 'g'
if test -n "$ac_tool_prefix"; then
  for ac_prog in objdump gobjdump
  do
    # Extract the first word of "$ac_tool_prefix$ac_prog", so it can be a program name with args.
set dummy $ac_tool_prefix$ac_prog; ac_word=$2
{ $as_echo "$as_me:${as_lineno-$LINENO}: checking for $ac_word" >&5
$as_echo_n "checking for $ac_word... " >&6; }
if ${ac_cv_prog_OBJDUMP+:} false; then :
  $as_echo_n "(cached) " >&6
else
  if test -n "$OBJDUMP"; then
  ac_cv_prog_OBJDUMP="$OBJDUMP" # Let the user override the test.
else
as_save_IFS=$IFS; IFS=$PATH_SEPARATOR
for as_dir in $PATH
do
  IFS=$as_save_IFS
  test -z "$as_dir" && as_dir=.
    for ac_exec_ext in '' $ac_executable_extensions; do
  if as_fn_executable_p "$as_dir/$ac_word$ac_exec_ext"; then
    ac_cv_prog_OBJDUMP="$ac_tool_prefix$ac_prog"
    $as_echo "$as_me:${as_lineno-$LINENO}: found $as_dir/$ac_word$ac_exec_ext" >&5
    break 2
  fi
done
  done
IFS=$as_save_IFS

fi
fi
OBJDUMP=$ac_cv_prog_OBJDUMP
if test -n "$OBJDUMP"; then
  { $as_echo "$as_me:${as_lineno-$LINENO}: result: $OBJDUMP" >&5
    colorize_result "$OBJDUMP" ; }
else
  { $as_echo "$as_me:${as_lineno-$LINENO}: result: no" >&5
    $as_echo "${msg_result_no}no${msg_reset}" ; }
fi


    test -n "$OBJDUMP" && break
  done
fi
if test -z "$OBJDUMP"; then
  ac_ct_OBJDUMP=$OBJDUMP
  for ac_prog in objdump gobjdump
do
  # Extract the first word of "$ac_prog", so it can be a program name with args.
set dummy $ac_prog; ac_word=$2
{ $as_echo "$as_me:${as_lineno-$LINENO}: checking for $ac_word" >&5
$as_echo_n "checking for $ac_word... " >&6; }
if ${ac_cv_prog_ac_ct_OBJDUMP+:} false; then :
  $as_echo_n "(cached) " >&6
else
  if test -n "$ac_ct_OBJDUMP"; then
  ac_cv_prog_ac_ct_OBJDUMP="$ac_ct_OBJDUMP" # Let the user override the test.
else
as_save_IFS=$IFS; IFS=$PATH_SEPARATOR
for as_dir in $PATH
do
  IFS=$as_save_IFS
  test -z "$as_dir" && as_dir=.
    for ac_exec_ext in '' $ac_executable_extensions; do
  if as_fn_executable_p "$as_dir/$ac_word$ac_exec_ext"; then
    ac_cv_prog_ac_ct_OBJDUMP="$ac_prog"
    $as_echo "$as_me:${as_lineno-$LINENO}: found $as_dir/$ac_word$ac_exec_ext" >&5
    break 2
  fi
done
  done
IFS=$as_save_IFS

fi
fi
ac_ct_OBJDUMP=$ac_cv_prog_ac_ct_OBJDUMP
if test -n "$ac_ct_OBJDUMP"; then
  { $as_echo "$as_me:${as_lineno-$LINENO}: result: $ac_ct_OBJDUMP" >&5
    colorize_result "$ac_ct_OBJDUMP" ; }
else
  { $as_echo "$as_me:${as_lineno-$LINENO}: result: no" >&5
    $as_echo "${msg_result_no}no${msg_reset}" ; }
fi


  test -n "$ac_ct_OBJDUMP" && break
done

  if test "x$ac_ct_OBJDUMP" = x; then
    OBJDUMP=""
  else
    case $cross_compiling:$ac_tool_warned in
yes:)
{ $as_echo "$as_me:${as_lineno-$LINENO}: WARNING: using cross tools not prefixed with host triplet" >&5
$as_echo "$as_me: WARNING: using cross tools not prefixed with host triplet" >&2;}
ac_tool_warned=yes ;;
esac
    OBJDUMP=$ac_ct_OBJDUMP
  fi
fi

if test -n "$ac_tool_prefix"; then
  for ac_prog in objcopy gobjcopy
  do
    # Extract the first word of "$ac_tool_prefix$ac_prog", so it can be a program name with args.
set dummy $ac_tool_prefix$ac_prog; ac_word=$2
{ $as_echo "$as_me:${as_lineno-$LINENO}: checking for $ac_word" >&5
$as_echo_n "checking for $ac_word... " >&6; }
if ${ac_cv_prog_OBJCOPY+:} false; then :
  $as_echo_n "(cached) " >&6
else
  if test -n "$OBJCOPY"; then
  ac_cv_prog_OBJCOPY="$OBJCOPY" # Let the user override the test.
else
as_save_IFS=$IFS; IFS=$PATH_SEPARATOR
for as_dir in $PATH
do
  IFS=$as_save_IFS
  test -z "$as_dir" && as_dir=.
    for ac_exec_ext in '' $ac_executable_extensions; do
  if as_fn_executable_p "$as_dir/$ac_word$ac_exec_ext"; then
    ac_cv_prog_OBJCOPY="$ac_tool_prefix$ac_prog"
    $as_echo "$as_me:${as_lineno-$LINENO}: found $as_dir/$ac_word$ac_exec_ext" >&5
    break 2
  fi
done
  done
IFS=$as_save_IFS

fi
fi
OBJCOPY=$ac_cv_prog_OBJCOPY
if test -n "$OBJCOPY"; then
  { $as_echo "$as_me:${as_lineno-$LINENO}: result: $OBJCOPY" >&5
    colorize_result "$OBJCOPY" ; }
else
  { $as_echo "$as_me:${as_lineno-$LINENO}: result: no" >&5
    $as_echo "${msg_result_no}no${msg_reset}" ; }
fi


    test -n "$OBJCOPY" && break
  done
fi
if test -z "$OBJCOPY"; then
  ac_ct_OBJCOPY=$OBJCOPY
  for ac_prog in objcopy gobjcopy
do
  # Extract the first word of "$ac_prog", so it can be a program name with args.
set dummy $ac_prog; ac_word=$2
{ $as_echo "$as_me:${as_lineno-$LINENO}: checking for $ac_word" >&5
$as_echo_n "checking for $ac_word... " >&6; }
if ${ac_cv_prog_ac_ct_OBJCOPY+:} false; then :
  $as_echo_n "(cached) " >&6
else
  if test -n "$ac_ct_OBJCOPY"; then
  ac_cv_prog_ac_ct_OBJCOPY="$ac_ct_OBJCOPY" # Let the user override the test.
else
as_save_IFS=$IFS; IFS=$PATH_SEPARATOR
for as_dir in $PATH
do
  IFS=$as_save_IFS
  test -z "$as_dir" && as_dir=.
    for ac_exec_ext in '' $ac_executable_extensions; do
  if as_fn_executable_p "$as_dir/$ac_word$ac_exec_ext"; then
    ac_cv_prog_ac_ct_OBJCOPY="$ac_prog"
    $as_echo "$as_me:${as_lineno-$LINENO}: found $as_dir/$ac_word$ac_exec_ext" >&5
    break 2
  fi
done
  done
IFS=$as_save_IFS

fi
fi
ac_ct_OBJCOPY=$ac_cv_prog_ac_ct_OBJCOPY
if test -n "$ac_ct_OBJCOPY"; then
  { $as_echo "$as_me:${as_lineno-$LINENO}: result: $ac_ct_OBJCOPY" >&5
    colorize_result "$ac_ct_OBJCOPY" ; }
else
  { $as_echo "$as_me:${as_lineno-$LINENO}: result: no" >&5
    $as_echo "${msg_result_no}no${msg_reset}" ; }
fi


  test -n "$ac_ct_OBJCOPY" && break
done

  if test "x$ac_ct_OBJCOPY" = x; then
    OBJCOPY=""
  else
    case $cross_compiling:$ac_tool_warned in
yes:)
{ $as_echo "$as_me:${as_lineno-$LINENO}: WARNING: using cross tools not prefixed with host triplet" >&5
$as_echo "$as_me: WARNING: using cross tools not prefixed with host triplet" >&2;}
ac_tool_warned=yes ;;
esac
    OBJCOPY=$ac_ct_OBJCOPY
  fi
fi


case "$target_os" in #(
  cygwin*|mingw*) :

    if test -n "$ac_tool_prefix"; then
  # Extract the first word of "${ac_tool_prefix}windres", so it can be a program name with args.
set dummy ${ac_tool_prefix}windres; ac_word=$2
{ $as_echo "$as_me:${as_lineno-$LINENO}: checking for $ac_word" >&5
$as_echo_n "checking for $ac_word... " >&6; }
if ${ac_cv_prog_WINDRES+:} false; then :
  $as_echo_n "(cached) " >&6
else
  if test -n "$WINDRES"; then
  ac_cv_prog_WINDRES="$WINDRES" # Let the user override the test.
else
as_save_IFS=$IFS; IFS=$PATH_SEPARATOR
for as_dir in $PATH
do
  IFS=$as_save_IFS
  test -z "$as_dir" && as_dir=.
    for ac_exec_ext in '' $ac_executable_extensions; do
  if as_fn_executable_p "$as_dir/$ac_word$ac_exec_ext"; then
    ac_cv_prog_WINDRES="${ac_tool_prefix}windres"
    $as_echo "$as_me:${as_lineno-$LINENO}: found $as_dir/$ac_word$ac_exec_ext" >&5
    break 2
  fi
done
  done
IFS=$as_save_IFS

fi
fi
WINDRES=$ac_cv_prog_WINDRES
if test -n "$WINDRES"; then
  { $as_echo "$as_me:${as_lineno-$LINENO}: result: $WINDRES" >&5
    colorize_result "$WINDRES" ; }
else
  { $as_echo "$as_me:${as_lineno-$LINENO}: result: no" >&5
    $as_echo "${msg_result_no}no${msg_reset}" ; }
fi


fi
if test -z "$ac_cv_prog_WINDRES"; then
  ac_ct_WINDRES=$WINDRES
  # Extract the first word of "windres", so it can be a program name with args.
set dummy windres; ac_word=$2
{ $as_echo "$as_me:${as_lineno-$LINENO}: checking for $ac_word" >&5
$as_echo_n "checking for $ac_word... " >&6; }
if ${ac_cv_prog_ac_ct_WINDRES+:} false; then :
  $as_echo_n "(cached) " >&6
else
  if test -n "$ac_ct_WINDRES"; then
  ac_cv_prog_ac_ct_WINDRES="$ac_ct_WINDRES" # Let the user override the test.
else
as_save_IFS=$IFS; IFS=$PATH_SEPARATOR
for as_dir in $PATH
do
  IFS=$as_save_IFS
  test -z "$as_dir" && as_dir=.
    for ac_exec_ext in '' $ac_executable_extensions; do
  if as_fn_executable_p "$as_dir/$ac_word$ac_exec_ext"; then
    ac_cv_prog_ac_ct_WINDRES="windres"
    $as_echo "$as_me:${as_lineno-$LINENO}: found $as_dir/$ac_word$ac_exec_ext" >&5
    break 2
  fi
done
  done
IFS=$as_save_IFS

fi
fi
ac_ct_WINDRES=$ac_cv_prog_ac_ct_WINDRES
if test -n "$ac_ct_WINDRES"; then
  { $as_echo "$as_me:${as_lineno-$LINENO}: result: $ac_ct_WINDRES" >&5
    colorize_result "$ac_ct_WINDRES" ; }
else
  { $as_echo "$as_me:${as_lineno-$LINENO}: result: no" >&5
    $as_echo "${msg_result_no}no${msg_reset}" ; }
fi

  if test "x$ac_ct_WINDRES" = x; then
    WINDRES=""
  else
    case $cross_compiling:$ac_tool_warned in
yes:)
{ $as_echo "$as_me:${as_lineno-$LINENO}: WARNING: using cross tools not prefixed with host triplet" >&5
$as_echo "$as_me: WARNING: using cross tools not prefixed with host triplet" >&2;}
ac_tool_warned=yes ;;
esac
    WINDRES=$ac_ct_WINDRES
  fi
else
  WINDRES="$ac_cv_prog_WINDRES"
fi

    if test -n "$ac_tool_prefix"; then
  # Extract the first word of "${ac_tool_prefix}dllwrap", so it can be a program name with args.
set dummy ${ac_tool_prefix}dllwrap; ac_word=$2
{ $as_echo "$as_me:${as_lineno-$LINENO}: checking for $ac_word" >&5
$as_echo_n "checking for $ac_word... " >&6; }
if ${ac_cv_prog_DLLWRAP+:} false; then :
  $as_echo_n "(cached) " >&6
else
  if test -n "$DLLWRAP"; then
  ac_cv_prog_DLLWRAP="$DLLWRAP" # Let the user override the test.
else
as_save_IFS=$IFS; IFS=$PATH_SEPARATOR
for as_dir in $PATH
do
  IFS=$as_save_IFS
  test -z "$as_dir" && as_dir=.
    for ac_exec_ext in '' $ac_executable_extensions; do
  if as_fn_executable_p "$as_dir/$ac_word$ac_exec_ext"; then
    ac_cv_prog_DLLWRAP="${ac_tool_prefix}dllwrap"
    $as_echo "$as_me:${as_lineno-$LINENO}: found $as_dir/$ac_word$ac_exec_ext" >&5
    break 2
  fi
done
  done
IFS=$as_save_IFS

fi
fi
DLLWRAP=$ac_cv_prog_DLLWRAP
if test -n "$DLLWRAP"; then
  { $as_echo "$as_me:${as_lineno-$LINENO}: result: $DLLWRAP" >&5
    colorize_result "$DLLWRAP" ; }
else
  { $as_echo "$as_me:${as_lineno-$LINENO}: result: no" >&5
    $as_echo "${msg_result_no}no${msg_reset}" ; }
fi


fi
if test -z "$ac_cv_prog_DLLWRAP"; then
  ac_ct_DLLWRAP=$DLLWRAP
  # Extract the first word of "dllwrap", so it can be a program name with args.
set dummy dllwrap; ac_word=$2
{ $as_echo "$as_me:${as_lineno-$LINENO}: checking for $ac_word" >&5
$as_echo_n "checking for $ac_word... " >&6; }
if ${ac_cv_prog_ac_ct_DLLWRAP+:} false; then :
  $as_echo_n "(cached) " >&6
else
  if test -n "$ac_ct_DLLWRAP"; then
  ac_cv_prog_ac_ct_DLLWRAP="$ac_ct_DLLWRAP" # Let the user override the test.
else
as_save_IFS=$IFS; IFS=$PATH_SEPARATOR
for as_dir in $PATH
do
  IFS=$as_save_IFS
  test -z "$as_dir" && as_dir=.
    for ac_exec_ext in '' $ac_executable_extensions; do
  if as_fn_executable_p "$as_dir/$ac_word$ac_exec_ext"; then
    ac_cv_prog_ac_ct_DLLWRAP="dllwrap"
    $as_echo "$as_me:${as_lineno-$LINENO}: found $as_dir/$ac_word$ac_exec_ext" >&5
    break 2
  fi
done
  done
IFS=$as_save_IFS

fi
fi
ac_ct_DLLWRAP=$ac_cv_prog_ac_ct_DLLWRAP
if test -n "$ac_ct_DLLWRAP"; then
  { $as_echo "$as_me:${as_lineno-$LINENO}: result: $ac_ct_DLLWRAP" >&5
    colorize_result "$ac_ct_DLLWRAP" ; }
else
  { $as_echo "$as_me:${as_lineno-$LINENO}: result: no" >&5
    $as_echo "${msg_result_no}no${msg_reset}" ; }
fi

  if test "x$ac_ct_DLLWRAP" = x; then
    DLLWRAP=""
  else
    case $cross_compiling:$ac_tool_warned in
yes:)
{ $as_echo "$as_me:${as_lineno-$LINENO}: WARNING: using cross tools not prefixed with host triplet" >&5
$as_echo "$as_me: WARNING: using cross tools not prefixed with host triplet" >&2;}
ac_tool_warned=yes ;;
esac
    DLLWRAP=$ac_ct_DLLWRAP
  fi
else
  DLLWRAP="$ac_cv_prog_DLLWRAP"
fi

    target=`echo $target | sed "s/^$target_cpu-/-/"`
    target_alias=`echo $target_alias | sed "s/^$target_cpu-/-/"`
    target_cpu=`echo $target_cpu | sed s/i.86/i386/`
    case "$target" in #(
  -*) :
     target="$target_cpu${target}" ;; #(
  *) :
     ;;
esac
    case "$target_alias" in #(
  -*) :
     target_alias="$target_cpu${target_alias}" ;; #(
  *) :
     ;;
esac
    case "$target_os" in #(
  mingw*) :

	test "$rb_cv_msvcrt" = "" && unset rb_cv_msvcrt
	{ $as_echo "$as_me:${as_lineno-$LINENO}: checking for mingw32 runtime DLL" >&5
$as_echo_n "checking for mingw32 runtime DLL... " >&6; }
if ${rb_cv_msvcrt+:} false; then :
  $as_echo_n "(cached) " >&6
else

	cat confdefs.h - <<_ACEOF >conftest.$ac_ext
/* end confdefs.h.  */
#include <stdio.h>
int
main ()
{
FILE* volatile f = stdin; return 0;
  ;
  return 0;
}
_ACEOF
if ac_fn_c_try_link "$LINENO"; then :
  rb_cv_msvcrt=`$OBJDUMP -p conftest$ac_exeext |
				   tr A-Z a-z |
				   sed -n '/^[ 	]*dll name: \(msvc.*\)\.dll$/{s//\1/p;q;}'`
else
  rb_cv_msvcrt=msvcrt
fi
rm -f core conftest.err conftest.$ac_objext \
    conftest$ac_exeext conftest.$ac_ext
	test "$rb_cv_msvcrt" = "" && rb_cv_msvcrt=msvcrt
fi
{ $as_echo "$as_me:${as_lineno-$LINENO}: result: $rb_cv_msvcrt" >&5
    colorize_result "$rb_cv_msvcrt" ; }
	RT_VER=`echo "$rb_cv_msvcrt" | tr -cd 0-9`
	test "$RT_VER" = "" && RT_VER=60
	cat >>confdefs.h <<_ACEOF
#define RUBY_MSVCRT_VERSION $RT_VER
_ACEOF

     ;; #(
  *) :
     ;;
esac
    : ${enable_shared=yes}
     ;; #(
  aix*) :
    if test -n "$ac_tool_prefix"; then
  # Extract the first word of "${ac_tool_prefix}nm", so it can be a program name with args.
set dummy ${ac_tool_prefix}nm; ac_word=$2
{ $as_echo "$as_me:${as_lineno-$LINENO}: checking for $ac_word" >&5
$as_echo_n "checking for $ac_word... " >&6; }
if ${ac_cv_prog_NM+:} false; then :
  $as_echo_n "(cached) " >&6
else
  if test -n "$NM"; then
  ac_cv_prog_NM="$NM" # Let the user override the test.
else
as_save_IFS=$IFS; IFS=$PATH_SEPARATOR
as_dummy="/usr/ccs/bin:$PATH"
for as_dir in $as_dummy
do
  IFS=$as_save_IFS
  test -z "$as_dir" && as_dir=.
    for ac_exec_ext in '' $ac_executable_extensions; do
  if as_fn_executable_p "$as_dir/$ac_word$ac_exec_ext"; then
    ac_cv_prog_NM="${ac_tool_prefix}nm"
    $as_echo "$as_me:${as_lineno-$LINENO}: found $as_dir/$ac_word$ac_exec_ext" >&5
    break 2
  fi
done
  done
IFS=$as_save_IFS

fi
fi
NM=$ac_cv_prog_NM
if test -n "$NM"; then
  { $as_echo "$as_me:${as_lineno-$LINENO}: result: $NM" >&5
    colorize_result "$NM" ; }
else
  { $as_echo "$as_me:${as_lineno-$LINENO}: result: no" >&5
    $as_echo "${msg_result_no}no${msg_reset}" ; }
fi


fi
if test -z "$ac_cv_prog_NM"; then
  ac_ct_NM=$NM
  # Extract the first word of "nm", so it can be a program name with args.
set dummy nm; ac_word=$2
{ $as_echo "$as_me:${as_lineno-$LINENO}: checking for $ac_word" >&5
$as_echo_n "checking for $ac_word... " >&6; }
if ${ac_cv_prog_ac_ct_NM+:} false; then :
  $as_echo_n "(cached) " >&6
else
  if test -n "$ac_ct_NM"; then
  ac_cv_prog_ac_ct_NM="$ac_ct_NM" # Let the user override the test.
else
as_save_IFS=$IFS; IFS=$PATH_SEPARATOR
as_dummy="/usr/ccs/bin:$PATH"
for as_dir in $as_dummy
do
  IFS=$as_save_IFS
  test -z "$as_dir" && as_dir=.
    for ac_exec_ext in '' $ac_executable_extensions; do
  if as_fn_executable_p "$as_dir/$ac_word$ac_exec_ext"; then
    ac_cv_prog_ac_ct_NM="nm"
    $as_echo "$as_me:${as_lineno-$LINENO}: found $as_dir/$ac_word$ac_exec_ext" >&5
    break 2
  fi
done
  done
IFS=$as_save_IFS

fi
fi
ac_ct_NM=$ac_cv_prog_ac_ct_NM
if test -n "$ac_ct_NM"; then
  { $as_echo "$as_me:${as_lineno-$LINENO}: result: $ac_ct_NM" >&5
    colorize_result "$ac_ct_NM" ; }
else
  { $as_echo "$as_me:${as_lineno-$LINENO}: result: no" >&5
    $as_echo "${msg_result_no}no${msg_reset}" ; }
fi

  if test "x$ac_ct_NM" = x; then
    NM="/usr/ccs/bin/nm"
  else
    case $cross_compiling:$ac_tool_warned in
yes:)
{ $as_echo "$as_me:${as_lineno-$LINENO}: WARNING: using cross tools not prefixed with host triplet" >&5
$as_echo "$as_me: WARNING: using cross tools not prefixed with host triplet" >&2;}
ac_tool_warned=yes ;;
esac
    NM=$ac_ct_NM
  fi
else
  NM="$ac_cv_prog_NM"
fi
 ;; #(
  hiuxmpp*) :
    $as_echo "#define __HIUX_MPP__ 1" >>confdefs.h
 ;; #(
  *) :
     ;;
esac    # by TOYODA Eizi <toyoda@npd.kishou.go.jp>
if test -n "$ac_tool_prefix"; then
  # Extract the first word of "${ac_tool_prefix}nm", so it can be a program name with args.
set dummy ${ac_tool_prefix}nm; ac_word=$2
{ $as_echo "$as_me:${as_lineno-$LINENO}: checking for $ac_word" >&5
$as_echo_n "checking for $ac_word... " >&6; }
if ${ac_cv_prog_NM+:} false; then :
  $as_echo_n "(cached) " >&6
else
  if test -n "$NM"; then
  ac_cv_prog_NM="$NM" # Let the user override the test.
else
as_save_IFS=$IFS; IFS=$PATH_SEPARATOR
for as_dir in $PATH
do
  IFS=$as_save_IFS
  test -z "$as_dir" && as_dir=.
    for ac_exec_ext in '' $ac_executable_extensions; do
  if as_fn_executable_p "$as_dir/$ac_word$ac_exec_ext"; then
    ac_cv_prog_NM="${ac_tool_prefix}nm"
    $as_echo "$as_me:${as_lineno-$LINENO}: found $as_dir/$ac_word$ac_exec_ext" >&5
    break 2
  fi
done
  done
IFS=$as_save_IFS

fi
fi
NM=$ac_cv_prog_NM
if test -n "$NM"; then
  { $as_echo "$as_me:${as_lineno-$LINENO}: result: $NM" >&5
    colorize_result "$NM" ; }
else
  { $as_echo "$as_me:${as_lineno-$LINENO}: result: no" >&5
    $as_echo "${msg_result_no}no${msg_reset}" ; }
fi


fi
if test -z "$ac_cv_prog_NM"; then
  ac_ct_NM=$NM
  # Extract the first word of "nm", so it can be a program name with args.
set dummy nm; ac_word=$2
{ $as_echo "$as_me:${as_lineno-$LINENO}: checking for $ac_word" >&5
$as_echo_n "checking for $ac_word... " >&6; }
if ${ac_cv_prog_ac_ct_NM+:} false; then :
  $as_echo_n "(cached) " >&6
else
  if test -n "$ac_ct_NM"; then
  ac_cv_prog_ac_ct_NM="$ac_ct_NM" # Let the user override the test.
else
as_save_IFS=$IFS; IFS=$PATH_SEPARATOR
for as_dir in $PATH
do
  IFS=$as_save_IFS
  test -z "$as_dir" && as_dir=.
    for ac_exec_ext in '' $ac_executable_extensions; do
  if as_fn_executable_p "$as_dir/$ac_word$ac_exec_ext"; then
    ac_cv_prog_ac_ct_NM="nm"
    $as_echo "$as_me:${as_lineno-$LINENO}: found $as_dir/$ac_word$ac_exec_ext" >&5
    break 2
  fi
done
  done
IFS=$as_save_IFS

fi
fi
ac_ct_NM=$ac_cv_prog_ac_ct_NM
if test -n "$ac_ct_NM"; then
  { $as_echo "$as_me:${as_lineno-$LINENO}: result: $ac_ct_NM" >&5
    colorize_result "$ac_ct_NM" ; }
else
  { $as_echo "$as_me:${as_lineno-$LINENO}: result: no" >&5
    $as_echo "${msg_result_no}no${msg_reset}" ; }
fi

  if test "x$ac_ct_NM" = x; then
    NM=""
  else
    case $cross_compiling:$ac_tool_warned in
yes:)
{ $as_echo "$as_me:${as_lineno-$LINENO}: WARNING: using cross tools not prefixed with host triplet" >&5
$as_echo "$as_me: WARNING: using cross tools not prefixed with host triplet" >&2;}
ac_tool_warned=yes ;;
esac
    NM=$ac_ct_NM
  fi
else
  NM="$ac_cv_prog_NM"
fi


{ $as_echo "$as_me:${as_lineno-$LINENO}: checking whether ln -s works" >&5
$as_echo_n "checking whether ln -s works... " >&6; }
LN_S=$as_ln_s
if test "$LN_S" = "ln -s"; then
  { $as_echo "$as_me:${as_lineno-$LINENO}: result: yes" >&5
    $as_echo "${msg_result_yes}yes${msg_reset}" ; }
else
  { $as_echo "$as_me:${as_lineno-$LINENO}: result: no, using $LN_S" >&5
    colorize_result "no, using $LN_S" ; }
fi

{ $as_echo "$as_me:${as_lineno-$LINENO}: checking whether ${MAKE-make} sets \$(MAKE)" >&5
$as_echo_n "checking whether ${MAKE-make} sets \$(MAKE)... " >&6; }
set x ${MAKE-make}
ac_make=`$as_echo "$2" | sed 's/+/p/g; s/[^a-zA-Z0-9_]/_/g'`
if eval \${ac_cv_prog_make_${ac_make}_set+:} false; then :
  $as_echo_n "(cached) " >&6
else
  cat >conftest.make <<\_ACEOF
SHELL = /bin/sh
all:
	@echo '@@@%%%=$(MAKE)=@@@%%%'
_ACEOF
# GNU make sometimes prints "make[1]: Entering ...", which would confuse us.
case `${MAKE-make} -f conftest.make 2>/dev/null` in
  *@@@%%%=?*=@@@%%%*)
    eval ac_cv_prog_make_${ac_make}_set=yes;;
  *)
    eval ac_cv_prog_make_${ac_make}_set=no;;
esac
rm -f conftest.make
fi
if eval test \$ac_cv_prog_make_${ac_make}_set = yes; then
  { $as_echo "$as_me:${as_lineno-$LINENO}: result: yes" >&5
    $as_echo "${msg_result_yes}yes${msg_reset}" ; }
  SET_MAKE=
else
  { $as_echo "$as_me:${as_lineno-$LINENO}: result: no" >&5
    $as_echo "${msg_result_no}no${msg_reset}" ; }
  SET_MAKE="MAKE=${MAKE-make}"
fi

# Find a good install program.  We prefer a C program (faster),
# so one script is as good as another.  But avoid the broken or
# incompatible versions:
# SysV /etc/install, /usr/sbin/install
# SunOS /usr/etc/install
# IRIX /sbin/install
# AIX /bin/install
# AmigaOS /C/install, which installs bootblocks on floppy discs
# AIX 4 /usr/bin/installbsd, which doesn't work without a -g flag
# AFS /usr/afsws/bin/install, which mishandles nonexistent args
# SVR4 /usr/ucb/install, which tries to use the nonexistent group "staff"
# OS/2's system install, which has a completely different semantic
# ./install, which can be erroneously created by make from ./install.sh.
# Reject install programs that cannot install multiple files.
{ $as_echo "$as_me:${as_lineno-$LINENO}: checking for a BSD-compatible install" >&5
$as_echo_n "checking for a BSD-compatible install... " >&6; }
if test -z "$INSTALL"; then
if ${ac_cv_path_install+:} false; then :
  $as_echo_n "(cached) " >&6
else
  as_save_IFS=$IFS; IFS=$PATH_SEPARATOR
for as_dir in $PATH
do
  IFS=$as_save_IFS
  test -z "$as_dir" && as_dir=.
    # Account for people who put trailing slashes in PATH elements.
case $as_dir/ in #((
  ./ | .// | /[cC]/* | \
  /etc/* | /usr/sbin/* | /usr/etc/* | /sbin/* | /usr/afsws/bin/* | \
  ?:[\\/]os2[\\/]install[\\/]* | ?:[\\/]OS2[\\/]INSTALL[\\/]* | \
  /usr/ucb/* ) ;;
  *)
    # OSF1 and SCO ODT 3.0 have their own names for install.
    # Don't use installbsd from OSF since it installs stuff as root
    # by default.
    for ac_prog in ginstall scoinst install; do
      for ac_exec_ext in '' $ac_executable_extensions; do
	if as_fn_executable_p "$as_dir/$ac_prog$ac_exec_ext"; then
	  if test $ac_prog = install &&
	    grep dspmsg "$as_dir/$ac_prog$ac_exec_ext" >/dev/null 2>&1; then
	    # AIX install.  It has an incompatible calling convention.
	    :
	  elif test $ac_prog = install &&
	    grep pwplus "$as_dir/$ac_prog$ac_exec_ext" >/dev/null 2>&1; then
	    # program-specific install script used by HP pwplus--don't use.
	    :
	  else
	    rm -rf conftest.one conftest.two conftest.dir
	    echo one > conftest.one
	    echo two > conftest.two
	    mkdir conftest.dir
	    if "$as_dir/$ac_prog$ac_exec_ext" -c conftest.one conftest.two "`pwd`/conftest.dir" &&
	      test -s conftest.one && test -s conftest.two &&
	      test -s conftest.dir/conftest.one &&
	      test -s conftest.dir/conftest.two
	    then
	      ac_cv_path_install="$as_dir/$ac_prog$ac_exec_ext -c"
	      break 3
	    fi
	  fi
	fi
      done
    done
    ;;
esac

  done
IFS=$as_save_IFS

rm -rf conftest.one conftest.two conftest.dir

fi
  if test "${ac_cv_path_install+set}" = set; then
    INSTALL=$ac_cv_path_install
  else
    # As a last resort, use the slow shell script.  Don't cache a
    # value for INSTALL within a source directory, because that will
    # break other packages using the cache if that directory is
    # removed, or if the value is a relative name.
    INSTALL=$ac_install_sh
  fi
fi
{ $as_echo "$as_me:${as_lineno-$LINENO}: result: $INSTALL" >&5
    colorize_result "$INSTALL" ; }

# Use test -z because SunOS4 sh mishandles braces in ${var-val}.
# It thinks the first close brace ends the variable substitution.
test -z "$INSTALL_PROGRAM" && INSTALL_PROGRAM='${INSTALL}'

test -z "$INSTALL_SCRIPT" && INSTALL_SCRIPT='${INSTALL}'

test -z "$INSTALL_DATA" && INSTALL_DATA='${INSTALL} -m 644'

{ $as_echo "$as_me:${as_lineno-$LINENO}: checking for a thread-safe mkdir -p" >&5
$as_echo_n "checking for a thread-safe mkdir -p... " >&6; }
if test -z "$MKDIR_P"; then
  if ${ac_cv_path_mkdir+:} false; then :
  $as_echo_n "(cached) " >&6
else
  as_save_IFS=$IFS; IFS=$PATH_SEPARATOR
for as_dir in $PATH$PATH_SEPARATOR/opt/sfw/bin
do
  IFS=$as_save_IFS
  test -z "$as_dir" && as_dir=.
    for ac_prog in mkdir gmkdir; do
	 for ac_exec_ext in '' $ac_executable_extensions; do
	   as_fn_executable_p "$as_dir/$ac_prog$ac_exec_ext" || continue
	   case `"$as_dir/$ac_prog$ac_exec_ext" --version 2>&1` in #(
	     'mkdir (GNU coreutils) '* | \
	     'mkdir (coreutils) '* | \
	     'mkdir (fileutils) '4.1*)
	       ac_cv_path_mkdir=$as_dir/$ac_prog$ac_exec_ext
	       break 3;;
	   esac
	 done
       done
  done
IFS=$as_save_IFS

fi

  test -d ./--version && rmdir ./--version
  if test "${ac_cv_path_mkdir+set}" = set; then
    MKDIR_P="$ac_cv_path_mkdir -p"
  else
    # As a last resort, use the slow shell script.  Don't cache a
    # value for MKDIR_P within a source directory, because that will
    # break other packages using the cache if that directory is
    # removed, or if the value is a relative name.
    MKDIR_P="$ac_install_sh -d"
  fi
fi
{ $as_echo "$as_me:${as_lineno-$LINENO}: result: $MKDIR_P" >&5
    colorize_result "$MKDIR_P" ; }

if test "x$MKDIR_P" = "x -d"; then
  if test x"$as_mkdir_p" != xfalse; then
    MKDIR_P='mkdir -p'
    echo "use 'mkdir -p' as MKDIR_P"
  else
    as_fn_error $? "mkdir -p is required" "$LINENO" 5
  fi
fi
MAKEDIRS="$MKDIR_P"






# Extract the first word of "${ac_tool_prefix}dtrace", so it can be a program name with args.
set dummy ${ac_tool_prefix}dtrace; ac_word=$2
{ $as_echo "$as_me:${as_lineno-$LINENO}: checking for $ac_word" >&5
$as_echo_n "checking for $ac_word... " >&6; }
if ${ac_cv_prog_DTRACE+:} false; then :
  $as_echo_n "(cached) " >&6
else
  if test -n "$DTRACE"; then
  ac_cv_prog_DTRACE="$DTRACE" # Let the user override the test.
else
as_save_IFS=$IFS; IFS=$PATH_SEPARATOR
for as_dir in $PATH
do
  IFS=$as_save_IFS
  test -z "$as_dir" && as_dir=.
    for ac_exec_ext in '' $ac_executable_extensions; do
  if as_fn_executable_p "$as_dir/$ac_word$ac_exec_ext"; then
    ac_cv_prog_DTRACE="${ac_tool_prefix}dtrace"
    $as_echo "$as_me:${as_lineno-$LINENO}: found $as_dir/$ac_word$ac_exec_ext" >&5
    break 2
  fi
done
  done
IFS=$as_save_IFS

fi
fi
DTRACE=$ac_cv_prog_DTRACE
if test -n "$DTRACE"; then
  { $as_echo "$as_me:${as_lineno-$LINENO}: result: $DTRACE" >&5
    colorize_result "$DTRACE" ; }
else
  { $as_echo "$as_me:${as_lineno-$LINENO}: result: no" >&5
    $as_echo "${msg_result_no}no${msg_reset}" ; }
fi


if test "$cross_compiling:$ac_cv_prog_DTRACE" = no: -a -n "$ac_tool_prefix"; then
    # Extract the first word of "dtrace", so it can be a program name with args.
set dummy dtrace; ac_word=$2
{ $as_echo "$as_me:${as_lineno-$LINENO}: checking for $ac_word" >&5
$as_echo_n "checking for $ac_word... " >&6; }
if ${ac_cv_prog_DTRACE+:} false; then :
  $as_echo_n "(cached) " >&6
else
  if test -n "$DTRACE"; then
  ac_cv_prog_DTRACE="$DTRACE" # Let the user override the test.
else
as_save_IFS=$IFS; IFS=$PATH_SEPARATOR
for as_dir in $PATH
do
  IFS=$as_save_IFS
  test -z "$as_dir" && as_dir=.
    for ac_exec_ext in '' $ac_executable_extensions; do
  if as_fn_executable_p "$as_dir/$ac_word$ac_exec_ext"; then
    ac_cv_prog_DTRACE="dtrace"
    $as_echo "$as_me:${as_lineno-$LINENO}: found $as_dir/$ac_word$ac_exec_ext" >&5
    break 2
  fi
done
  done
IFS=$as_save_IFS

fi
fi
DTRACE=$ac_cv_prog_DTRACE
if test -n "$DTRACE"; then
  { $as_echo "$as_me:${as_lineno-$LINENO}: result: $DTRACE" >&5
    colorize_result "$DTRACE" ; }
else
  { $as_echo "$as_me:${as_lineno-$LINENO}: result: no" >&5
    $as_echo "${msg_result_no}no${msg_reset}" ; }
fi


fi

for ac_prog in dot
do
  # Extract the first word of "$ac_prog", so it can be a program name with args.
set dummy $ac_prog; ac_word=$2
{ $as_echo "$as_me:${as_lineno-$LINENO}: checking for $ac_word" >&5
$as_echo_n "checking for $ac_word... " >&6; }
if ${ac_cv_prog_DOT+:} false; then :
  $as_echo_n "(cached) " >&6
else
  if test -n "$DOT"; then
  ac_cv_prog_DOT="$DOT" # Let the user override the test.
else
as_save_IFS=$IFS; IFS=$PATH_SEPARATOR
for as_dir in $PATH
do
  IFS=$as_save_IFS
  test -z "$as_dir" && as_dir=.
    for ac_exec_ext in '' $ac_executable_extensions; do
  if as_fn_executable_p "$as_dir/$ac_word$ac_exec_ext"; then
    ac_cv_prog_DOT="$ac_prog"
    $as_echo "$as_me:${as_lineno-$LINENO}: found $as_dir/$ac_word$ac_exec_ext" >&5
    break 2
  fi
done
  done
IFS=$as_save_IFS

fi
fi
DOT=$ac_cv_prog_DOT
if test -n "$DOT"; then
  { $as_echo "$as_me:${as_lineno-$LINENO}: result: $DOT" >&5
    colorize_result "$DOT" ; }
else
  { $as_echo "$as_me:${as_lineno-$LINENO}: result: no" >&5
    $as_echo "${msg_result_no}no${msg_reset}" ; }
fi


  test -n "$DOT" && break
done

for ac_prog in doxygen
do
  # Extract the first word of "$ac_prog", so it can be a program name with args.
set dummy $ac_prog; ac_word=$2
{ $as_echo "$as_me:${as_lineno-$LINENO}: checking for $ac_word" >&5
$as_echo_n "checking for $ac_word... " >&6; }
if ${ac_cv_prog_DOXYGEN+:} false; then :
  $as_echo_n "(cached) " >&6
else
  if test -n "$DOXYGEN"; then
  ac_cv_prog_DOXYGEN="$DOXYGEN" # Let the user override the test.
else
as_save_IFS=$IFS; IFS=$PATH_SEPARATOR
for as_dir in $PATH
do
  IFS=$as_save_IFS
  test -z "$as_dir" && as_dir=.
    for ac_exec_ext in '' $ac_executable_extensions; do
  if as_fn_executable_p "$as_dir/$ac_word$ac_exec_ext"; then
    ac_cv_prog_DOXYGEN="$ac_prog"
    $as_echo "$as_me:${as_lineno-$LINENO}: found $as_dir/$ac_word$ac_exec_ext" >&5
    break 2
  fi
done
  done
IFS=$as_save_IFS

fi
fi
DOXYGEN=$ac_cv_prog_DOXYGEN
if test -n "$DOXYGEN"; then
  { $as_echo "$as_me:${as_lineno-$LINENO}: result: $DOXYGEN" >&5
    colorize_result "$DOXYGEN" ; }
else
  { $as_echo "$as_me:${as_lineno-$LINENO}: result: no" >&5
    $as_echo "${msg_result_no}no${msg_reset}" ; }
fi


  test -n "$DOXYGEN" && break
done

case "${host_os}" in #(
  nacl) :
    # Extract the first word of "python", so it can be a program name with args.
set dummy python; ac_word=$2
{ $as_echo "$as_me:${as_lineno-$LINENO}: checking for $ac_word" >&5
$as_echo_n "checking for $ac_word... " >&6; }
if ${ac_cv_path_PYTHON+:} false; then :
  $as_echo_n "(cached) " >&6
else
  case $PYTHON in
  [\\/]* | ?:[\\/]*)
  ac_cv_path_PYTHON="$PYTHON" # Let the user override the test with a path.
  ;;
  *)
  as_save_IFS=$IFS; IFS=$PATH_SEPARATOR
for as_dir in $PATH
do
  IFS=$as_save_IFS
  test -z "$as_dir" && as_dir=.
    for ac_exec_ext in '' $ac_executable_extensions; do
  if as_fn_executable_p "$as_dir/$ac_word$ac_exec_ext"; then
    ac_cv_path_PYTHON="$as_dir/$ac_word$ac_exec_ext"
    $as_echo "$as_me:${as_lineno-$LINENO}: found $as_dir/$ac_word$ac_exec_ext" >&5
    break 2
  fi
done
  done
IFS=$as_save_IFS

  ;;
esac
fi
PYTHON=$ac_cv_path_PYTHON
if test -n "$PYTHON"; then
  { $as_echo "$as_me:${as_lineno-$LINENO}: result: $PYTHON" >&5
    colorize_result "$PYTHON" ; }
else
  { $as_echo "$as_me:${as_lineno-$LINENO}: result: no" >&5
    $as_echo "${msg_result_no}no${msg_reset}" ; }
fi

 ;; #(
  *) :
     ;;
esac

# Extract the first word of "pkg-config", so it can be a program name with args.
set dummy pkg-config; ac_word=$2
{ $as_echo "$as_me:${as_lineno-$LINENO}: checking for $ac_word" >&5
$as_echo_n "checking for $ac_word... " >&6; }
if ${ac_cv_prog_PKG_CONFIG+:} false; then :
  $as_echo_n "(cached) " >&6
else
  if test -n "$PKG_CONFIG"; then
  ac_cv_prog_PKG_CONFIG="$PKG_CONFIG" # Let the user override the test.
else
  ac_prog_rejected=no
as_save_IFS=$IFS; IFS=$PATH_SEPARATOR
for as_dir in $PATH
do
  IFS=$as_save_IFS
  test -z "$as_dir" && as_dir=.
    for ac_exec_ext in '' $ac_executable_extensions; do
  if as_fn_executable_p "$as_dir/$ac_word$ac_exec_ext"; then
    if test "$as_dir/$ac_word$ac_exec_ext" = "`"$as_dir/$ac_word$ac_exec_ext" --print-errors --version > /dev/null 2>&1 || echo "$as_dir/$ac_word$ac_exec_ext"`"; then
       ac_prog_rejected=yes
       continue
     fi
    ac_cv_prog_PKG_CONFIG="pkg-config"
    $as_echo "$as_me:${as_lineno-$LINENO}: found $as_dir/$ac_word$ac_exec_ext" >&5
    break 2
  fi
done
  done
IFS=$as_save_IFS

if test $ac_prog_rejected = yes; then
  # We found a bogon in the path, so make sure we never use it.
  set dummy $ac_cv_prog_PKG_CONFIG
  shift
  if test $# != 0; then
    # We chose a different compiler from the bogus one.
    # However, it has the same basename, so the bogon will be chosen
    # first if we set PKG_CONFIG to just the basename; use the full file name.
    shift
    ac_cv_prog_PKG_CONFIG="$as_dir/$ac_word${1+' '}$@"
  fi
fi
fi
fi
PKG_CONFIG=$ac_cv_prog_PKG_CONFIG
if test -n "$PKG_CONFIG"; then
  { $as_echo "$as_me:${as_lineno-$LINENO}: result: $PKG_CONFIG" >&5
    colorize_result "$PKG_CONFIG" ; }
else
  { $as_echo "$as_me:${as_lineno-$LINENO}: result: no" >&5
    $as_echo "${msg_result_no}no${msg_reset}" ; }
fi



# checks for UNIX variants that set C preprocessor variables
{ $as_echo "$as_me:${as_lineno-$LINENO}: checking for ANSI C header files" >&5
$as_echo_n "checking for ANSI C header files... " >&6; }
if ${ac_cv_header_stdc+:} false; then :
  $as_echo_n "(cached) " >&6
else
  cat confdefs.h - <<_ACEOF >conftest.$ac_ext
/* end confdefs.h.  */
#include <stdlib.h>
#include <stdarg.h>
#include <string.h>
#include <float.h>

int
main ()
{

  ;
  return 0;
}
_ACEOF
if ac_fn_c_try_compile "$LINENO"; then :
  ac_cv_header_stdc=yes
else
  ac_cv_header_stdc=no
fi
rm -f core conftest.err conftest.$ac_objext conftest.$ac_ext

if test $ac_cv_header_stdc = yes; then
  # SunOS 4.x string.h does not declare mem*, contrary to ANSI.
  cat confdefs.h - <<_ACEOF >conftest.$ac_ext
/* end confdefs.h.  */
#include <string.h>

_ACEOF
if (eval "$ac_cpp conftest.$ac_ext") 2>&5 |
  $EGREP "memchr" >/dev/null 2>&1; then :

else
  ac_cv_header_stdc=no
fi
rm -f conftest*

fi

if test $ac_cv_header_stdc = yes; then
  # ISC 2.0.2 stdlib.h does not declare free, contrary to ANSI.
  cat confdefs.h - <<_ACEOF >conftest.$ac_ext
/* end confdefs.h.  */
#include <stdlib.h>

_ACEOF
if (eval "$ac_cpp conftest.$ac_ext") 2>&5 |
  $EGREP "free" >/dev/null 2>&1; then :

else
  ac_cv_header_stdc=no
fi
rm -f conftest*

fi

if test $ac_cv_header_stdc = yes; then
  # /bin/cc in Irix-4.0.5 gets non-ANSI ctype macros unless using -ansi.
  if test "$cross_compiling" = yes; then :
  :
else
  cat confdefs.h - <<_ACEOF >conftest.$ac_ext
/* end confdefs.h.  */
#include <ctype.h>
#include <stdlib.h>
#if ((' ' & 0x0FF) == 0x020)
# define ISLOWER(c) ('a' <= (c) && (c) <= 'z')
# define TOUPPER(c) (ISLOWER(c) ? 'A' + ((c) - 'a') : (c))
#else
# define ISLOWER(c) \
		   (('a' <= (c) && (c) <= 'i') \
		     || ('j' <= (c) && (c) <= 'r') \
		     || ('s' <= (c) && (c) <= 'z'))
# define TOUPPER(c) (ISLOWER(c) ? ((c) | 0x40) : (c))
#endif

#define XOR(e, f) (((e) && !(f)) || (!(e) && (f)))
int
main ()
{
  int i;
  for (i = 0; i < 256; i++)
    if (XOR (islower (i), ISLOWER (i))
	|| toupper (i) != TOUPPER (i))
      return 2;
  return 0;
}
_ACEOF
if ac_fn_c_try_run "$LINENO"; then :

else
  ac_cv_header_stdc=no
fi
rm -f core *.core core.conftest.* gmon.out bb.out conftest$ac_exeext \
  conftest.$ac_objext conftest.beam conftest.$ac_ext
fi

fi
fi
{ $as_echo "$as_me:${as_lineno-$LINENO}: result: $ac_cv_header_stdc" >&5
    colorize_result "$ac_cv_header_stdc" ; }
if test $ac_cv_header_stdc = yes; then

$as_echo "#define STDC_HEADERS 1" >>confdefs.h

fi

# On IRIX 5.3, sys/types and inttypes.h are conflicting.
for ac_header in sys/types.h sys/stat.h stdlib.h string.h memory.h strings.h \
		  inttypes.h stdint.h unistd.h
do :
  as_ac_Header=`$as_echo "ac_cv_header_$ac_header" | $as_tr_sh`
ac_fn_c_check_header_compile "$LINENO" "$ac_header" "$as_ac_Header" "$ac_includes_default
"
if eval test \"x\$"$as_ac_Header"\" = x"yes"; then :
  cat >>confdefs.h <<_ACEOF
#define `$as_echo "HAVE_$ac_header" | $as_tr_cpp` 1
_ACEOF

fi

done



  ac_fn_c_check_header_mongrel "$LINENO" "minix/config.h" "ac_cv_header_minix_config_h" "$ac_includes_default"
if test "x$ac_cv_header_minix_config_h" = xyes; then :
  MINIX=yes
else
  MINIX=
fi


  if test "$MINIX" = yes; then

$as_echo "#define _POSIX_SOURCE 1" >>confdefs.h


$as_echo "#define _POSIX_1_SOURCE 2" >>confdefs.h


$as_echo "#define _MINIX 1" >>confdefs.h

  fi


  { $as_echo "$as_me:${as_lineno-$LINENO}: checking whether it is safe to define __EXTENSIONS__" >&5
$as_echo_n "checking whether it is safe to define __EXTENSIONS__... " >&6; }
if ${ac_cv_safe_to_define___extensions__+:} false; then :
  $as_echo_n "(cached) " >&6
else
  cat confdefs.h - <<_ACEOF >conftest.$ac_ext
/* end confdefs.h.  */

#         define __EXTENSIONS__ 1
          $ac_includes_default
int
main ()
{

  ;
  return 0;
}
_ACEOF
if ac_fn_c_try_compile "$LINENO"; then :
  ac_cv_safe_to_define___extensions__=yes
else
  ac_cv_safe_to_define___extensions__=no
fi
rm -f core conftest.err conftest.$ac_objext conftest.$ac_ext
fi
{ $as_echo "$as_me:${as_lineno-$LINENO}: result: $ac_cv_safe_to_define___extensions__" >&5
    colorize_result "$ac_cv_safe_to_define___extensions__" ; }
  test $ac_cv_safe_to_define___extensions__ = yes &&
    $as_echo "#define __EXTENSIONS__ 1" >>confdefs.h

  $as_echo "#define _ALL_SOURCE 1" >>confdefs.h

  $as_echo "#define _GNU_SOURCE 1" >>confdefs.h

  $as_echo "#define _POSIX_PTHREAD_SEMANTICS 1" >>confdefs.h

  $as_echo "#define _TANDEM_SOURCE 1" >>confdefs.h



RM='rm -f'

CP='cp'

RMDIRS='$(top_srcdir)/tool/rmdirs'
RMDIR=rmdir
mkdir "rmdirs_$$_test" "rmdirs_$$_test/a"
rmdir --ignore-fail-on-non-empty "rmdirs_$$_test" 2>/dev/null &&
RMDIR='rmdir --ignore-fail-on-non-empty'
$RMDIR -p "rmdirs_$$_test/a" 2>/dev/null &&
{ test -d "rmdirs_$$_test" || RMDIRS="$RMDIR -p"; }
rmdir "rmdirs_$$_test/a" "rmdirs_$$_test" 2>/dev/null


RMALL='rm -fr'


{ $as_echo "$as_me:${as_lineno-$LINENO}: checking for cd using physical directory" >&5
$as_echo_n "checking for cd using physical directory... " >&6; }
rm -fr conf$$.dir
mkdir conf$$.dir &&
(cd conf$$.dir && mkdir src build && cd src &&
$as_ln_s ../build . > /dev/null 2>&1 && cd build &&
for chdir in 'cd -P' 'PWD= cd'; do
    /bin/sh -c "$chdir ../src && echo '$chdir' > cdcmd" 2> /dev/null && break
done)
if test -f conf$$.dir/src/cdcmd; then
    read CHDIR < conf$$.dir/src/cdcmd 2> /dev/null
else
    CHDIR=cd
fi
rm -fr conf$$.dir
{ $as_echo "$as_me:${as_lineno-$LINENO}: result: $CHDIR" >&5
    colorize_result "$CHDIR" ; }


}
{ # compiler section



save_CFLAGS="$CFLAGS"
CFLAGS="$CFLAGS $rb_cv_warnflags"
if test "${ac_c_werror_flag+set}"; then
  rb_c_werror_flag="$ac_c_werror_flag"
else
  unset rb_c_werror_flag
fi
ac_c_werror_flag=yes

    { $as_echo "$as_me:${as_lineno-$LINENO}: checking whether CFLAGS is valid" >&5
$as_echo_n "checking whether CFLAGS is valid... " >&6; }
    cat confdefs.h - <<_ACEOF >conftest.$ac_ext
/* end confdefs.h.  */

int
main ()
{

  ;
  return 0;
}
_ACEOF
if ac_fn_c_try_compile "$LINENO"; then :
  { $as_echo "$as_me:${as_lineno-$LINENO}: result: yes" >&5
    $as_echo "${msg_result_yes}yes${msg_reset}" ; }
else

	{ $as_echo "$as_me:${as_lineno-$LINENO}: result: no" >&5
    $as_echo "${msg_result_no}no${msg_reset}" ; }
	as_fn_error $? "something wrong with CFLAGS=\"$CFLAGS\"" "$LINENO" 5


fi
rm -f core conftest.err conftest.$ac_objext conftest.$ac_ext
    { $as_echo "$as_me:${as_lineno-$LINENO}: checking whether LDFLAGS is valid" >&5
$as_echo_n "checking whether LDFLAGS is valid... " >&6; }
    {
	mkdir tmp.$$.try_link &&
	cd tmp.$$.try_link &&
	cp ../confdefs.h . &&
	echo '<?xml?><plist><dict><key>CFBundleIdentifier</key><string></string></dict></plist>' > Info.plist &&
	:
    } || as_fn_error $? "failed to make temporary directory" "$LINENO" 5
    cat confdefs.h - <<_ACEOF >conftest.$ac_ext
/* end confdefs.h.  */

int
main ()
{

  ;
  return 0;
}
_ACEOF
if ac_fn_c_try_link "$LINENO"; then :
  { $as_echo "$as_me:${as_lineno-$LINENO}: result: yes" >&5
    $as_echo "${msg_result_yes}yes${msg_reset}" ; }
else

	cd .. && rm -fr tmp.$$.try_link
	{ $as_echo "$as_me:${as_lineno-$LINENO}: result: no" >&5
    $as_echo "${msg_result_no}no${msg_reset}" ; }
	as_fn_error $? "something wrong with LDFLAGS=\"$LDFLAGS\"" "$LINENO" 5


fi
rm -f core conftest.err conftest.$ac_objext \
    conftest$ac_exeext conftest.$ac_ext
    cd .. && rm -fr tmp.$$.try_link

CFLAGS="$save_CFLAGS"
save_CFLAGS=
if test "${rb_c_werror_flag+set}"; then
  ac_c_werror_flag="$rb_c_werror_flag"
else
  unset ac_c_werror_flag
fi





: ${DLDFLAGS="$LDFLAGS"}
: ${RPATHFLAG=''}
rpathflag=''
if test x"${RPATHFLAG}" = x; then :

    case "$target_os" in #(
  hpux*) :
    if test "$rb_cv_prog_gnu_ld" = no; then :
  rpathflag='+b '
fi ;; #(
  aix*) :
    rpathflag='-blibpath:' ;; #(
  *) :
    for rpathflag in -R "-rpath "; do
	    case "$rpathflag" in #(
  *" ") :
    case "${linker_flag}" in #(
  *,) :
    rpathflag=`echo "$rpathflag" | tr ' ' ,` ;; #(
  *) :
     ;;
esac ;; #(
  *) :
     ;;
esac
	    rpathflag="${linker_flag}${rpathflag}"

    save_LDFLAGS="$LDFLAGS"
    LDFLAGS="$LDFLAGS ${rpathflag}."
    { $as_echo "$as_me:${as_lineno-$LINENO}: checking whether ${rpathflag}. is accepted as LDFLAGS" >&5
$as_echo_n "checking whether ${rpathflag}. is accepted as LDFLAGS... " >&6; }
    save_CFLAGS="$CFLAGS"
CFLAGS="$CFLAGS $rb_cv_warnflags"
if test "${ac_c_werror_flag+set}"; then
  rb_c_werror_flag="$ac_c_werror_flag"
else
  unset rb_c_werror_flag
fi
ac_c_werror_flag=yes

    cat confdefs.h - <<_ACEOF >conftest.$ac_ext
/* end confdefs.h.  */

int
main ()
{

  ;
  return 0;
}
_ACEOF
if ac_fn_c_try_link "$LINENO"; then :

	{ $as_echo "$as_me:${as_lineno-$LINENO}: result: yes" >&5
    $as_echo "${msg_result_yes}yes${msg_reset}" ; }
else
  rpathflag=
	{ $as_echo "$as_me:${as_lineno-$LINENO}: result: no" >&5
    $as_echo "${msg_result_no}no${msg_reset}" ; }
fi
rm -f core conftest.err conftest.$ac_objext \
    conftest$ac_exeext conftest.$ac_ext

CFLAGS="$save_CFLAGS"
save_CFLAGS=
if test "${rb_c_werror_flag+set}"; then
  ac_c_werror_flag="$rb_c_werror_flag"
else
  unset ac_c_werror_flag
fi
    LDFLAGS="$save_LDFLAGS"
    save_LDFLAGS=

	    if test "x${rpathflag}" != x; then :

fi
        done ;;
esac

else

    rpathflag=`echo "$RPATHFLAG" | sed 's/%.*//'`

fi

case $RUBY_PATCHLEVEL in #(
  -*) :
    particular_werror_flags=yes ;; #(
  *) :
    particular_werror_flags=no ;;
esac
# Check whether --enable-werror was given.
if test "${enable_werror+set}" = set; then :
  enableval=$enable_werror; particular_werror_flags=$enableval
fi


rb_cv_warnflags="$warnflags"
if test "$GCC:${warnflags+set}:no" = yes::no; then
    if test $gcc_major -ge 4; then
	extra_warning=-Werror=extra-tokens
    else
	extra_warning=
    fi
    if test $gcc_major -ge 5 -a $gcc_major -le 6; then
	extra_warning="$extra_warning -Wno-maybe-uninitialized"
    fi
    for wflag in -Wno-unused-parameter -Wno-parentheses -Wno-long-long \
                 -diag-disable=2259 \
		 -Wno-missing-field-initializers \
		 -Wno-tautological-compare \
		 -Wno-parentheses-equality \
		 -Wno-constant-logical-operand \
		 -Wno-self-assign \
		 -Wunused-variable \
		 -Werror=implicit-int \
		 -Werror=pointer-arith \
		 -Werror=write-strings \
		 -Werror=declaration-after-statement \
		 -Werror=shorten-64-to-32 \
		 -Werror=implicit-function-declaration \
		 -Werror=division-by-zero \
		 -Werror=deprecated-declarations \
		 -Wno-packed-bitfield-compat \
		 -Wsuggest-attribute=noreturn \
		 -Wsuggest-attribute=format \
		 -Wimplicit-fallthrough=0 \
		 $extra_warning \
		 ; do
	if test "$particular_werror_flags" != yes; then
	    wflag=`echo x$wflag | sed 's/^x-Werror=/-W/;s/^x//'`
	fi
	ok=no

    { $as_echo "$as_me:${as_lineno-$LINENO}: checking whether $wflag is accepted as CFLAGS" >&5
$as_echo_n "checking whether $wflag is accepted as CFLAGS... " >&6; }
    save_CFLAGS="$CFLAGS"
CFLAGS="$CFLAGS $rb_cv_warnflags"
if test "${ac_c_werror_flag+set}"; then
  rb_c_werror_flag="$ac_c_werror_flag"
else
  unset rb_c_werror_flag
fi
ac_c_werror_flag=yes

    CFLAGS="$CFLAGS $wflag"
    cat confdefs.h - <<_ACEOF >conftest.$ac_ext
/* end confdefs.h.  */

int
main ()
{

  ;
  return 0;
}
_ACEOF
if ac_fn_c_try_compile "$LINENO"; then :

	    # RUBY_APPEND_OPTIONS(warnflags)
	for rb_opt in $wflag; do
	case " ${warnflags-} " in #(
  *" ${rb_opt} "*) :
     ;; #(
  '  ') :
     warnflags="${rb_opt}" ;; #(
  *) :
     warnflags="$warnflags ${rb_opt}" ;;
esac
	done
	    ok=yes

	{ $as_echo "$as_me:${as_lineno-$LINENO}: result: yes" >&5
    $as_echo "${msg_result_yes}yes${msg_reset}" ; }
else

	{ $as_echo "$as_me:${as_lineno-$LINENO}: result: no" >&5
    $as_echo "${msg_result_no}no${msg_reset}" ; }
fi
rm -f core conftest.err conftest.$ac_objext conftest.$ac_ext

CFLAGS="$save_CFLAGS"
save_CFLAGS=
if test "${rb_c_werror_flag+set}"; then
  ac_c_werror_flag="$rb_c_werror_flag"
else
  unset ac_c_werror_flag
fi

	case $ok:$wflag in #(
  no:-Werror=*) :

	    wflag=`echo x$wflag | sed 's/^x-Werror=/-W/'`

    { $as_echo "$as_me:${as_lineno-$LINENO}: checking whether $wflag is accepted as CFLAGS" >&5
$as_echo_n "checking whether $wflag is accepted as CFLAGS... " >&6; }
    save_CFLAGS="$CFLAGS"
CFLAGS="$CFLAGS $rb_cv_warnflags"
if test "${ac_c_werror_flag+set}"; then
  rb_c_werror_flag="$ac_c_werror_flag"
else
  unset rb_c_werror_flag
fi
ac_c_werror_flag=yes

    CFLAGS="$CFLAGS $wflag"
    cat confdefs.h - <<_ACEOF >conftest.$ac_ext
/* end confdefs.h.  */

int
main ()
{

  ;
  return 0;
}
_ACEOF
if ac_fn_c_try_compile "$LINENO"; then :

		# RUBY_APPEND_OPTIONS(warnflags)
	for rb_opt in $wflag; do
	case " ${warnflags-} " in #(
  *" ${rb_opt} "*) :
     ;; #(
  '  ') :
     warnflags="${rb_opt}" ;; #(
  *) :
     warnflags="$warnflags ${rb_opt}" ;;
esac
	done
		particular_werror_flags=no

	{ $as_echo "$as_me:${as_lineno-$LINENO}: result: yes" >&5
    $as_echo "${msg_result_yes}yes${msg_reset}" ; }
else

	{ $as_echo "$as_me:${as_lineno-$LINENO}: result: no" >&5
    $as_echo "${msg_result_no}no${msg_reset}" ; }
fi
rm -f core conftest.err conftest.$ac_objext conftest.$ac_ext

CFLAGS="$save_CFLAGS"
save_CFLAGS=
if test "${rb_c_werror_flag+set}"; then
  ac_c_werror_flag="$rb_c_werror_flag"
else
  unset ac_c_werror_flag
fi

	 ;; #(
  *) :
     ;;
esac
    done
    case " $warnflags " in #(
  *" -Wno-missing-field-initializers "*) :
    wflag="-Wall -Wextra" ;; #(
  *) :
    wflag=-Wall ;;
esac

    { $as_echo "$as_me:${as_lineno-$LINENO}: checking whether $wflag is accepted as CFLAGS" >&5
$as_echo_n "checking whether $wflag is accepted as CFLAGS... " >&6; }
    save_CFLAGS="$CFLAGS"
CFLAGS="$CFLAGS $rb_cv_warnflags"
if test "${ac_c_werror_flag+set}"; then
  rb_c_werror_flag="$ac_c_werror_flag"
else
  unset rb_c_werror_flag
fi
ac_c_werror_flag=yes

    CFLAGS="$CFLAGS $wflag"
    cat confdefs.h - <<_ACEOF >conftest.$ac_ext
/* end confdefs.h.  */

int
main ()
{

  ;
  return 0;
}
_ACEOF
if ac_fn_c_try_compile "$LINENO"; then :
  warnflags="$wflag${warnflags+ $warnflags}"
	{ $as_echo "$as_me:${as_lineno-$LINENO}: result: yes" >&5
    $as_echo "${msg_result_yes}yes${msg_reset}" ; }
else

	{ $as_echo "$as_me:${as_lineno-$LINENO}: result: no" >&5
    $as_echo "${msg_result_no}no${msg_reset}" ; }
fi
rm -f core conftest.err conftest.$ac_objext conftest.$ac_ext

CFLAGS="$save_CFLAGS"
save_CFLAGS=
if test "${rb_c_werror_flag+set}"; then
  ac_c_werror_flag="$rb_c_werror_flag"
else
  unset ac_c_werror_flag
fi

    # Disable warnflags while conftest. -Werror=* flags might make bad OS capability guess.
    rb_cv_warnflags="$warnflags"
    warnflags=
fi

    { $as_echo "$as_me:${as_lineno-$LINENO}: checking whether -Qunused-arguments is accepted as CFLAGS" >&5
$as_echo_n "checking whether -Qunused-arguments is accepted as CFLAGS... " >&6; }
    save_CFLAGS="$CFLAGS"
CFLAGS="$CFLAGS $rb_cv_warnflags"
if test "${ac_c_werror_flag+set}"; then
  rb_c_werror_flag="$ac_c_werror_flag"
else
  unset rb_c_werror_flag
fi
ac_c_werror_flag=yes

    CFLAGS="$CFLAGS -Qunused-arguments"
    cat confdefs.h - <<_ACEOF >conftest.$ac_ext
/* end confdefs.h.  */

int
main ()
{

  ;
  return 0;
}
_ACEOF
if ac_fn_c_try_compile "$LINENO"; then :
  # RUBY_APPEND_OPTIONS(rb_cv_wsuppress_flags)
	for rb_opt in -Qunused-arguments; do
	case " ${rb_cv_wsuppress_flags-} " in #(
  *" ${rb_opt} "*) :
     ;; #(
  '  ') :
     rb_cv_wsuppress_flags="${rb_opt}" ;; #(
  *) :
     rb_cv_wsuppress_flags="$rb_cv_wsuppress_flags ${rb_opt}" ;;
esac
	done
	{ $as_echo "$as_me:${as_lineno-$LINENO}: result: yes" >&5
    $as_echo "${msg_result_yes}yes${msg_reset}" ; }
else

	{ $as_echo "$as_me:${as_lineno-$LINENO}: result: no" >&5
    $as_echo "${msg_result_no}no${msg_reset}" ; }
fi
rm -f core conftest.err conftest.$ac_objext conftest.$ac_ext

CFLAGS="$save_CFLAGS"
save_CFLAGS=
if test "${rb_c_werror_flag+set}"; then
  ac_c_werror_flag="$rb_c_werror_flag"
else
  unset ac_c_werror_flag
fi


for n in infinity nan; do
    m=`$as_echo "$n" | $as_tr_cpp`
    { $as_echo "$as_me:${as_lineno-$LINENO}: checking whether $m is available without C99 option" >&5
$as_echo_n "checking whether $m is available without C99 option... " >&6; }
if eval \${rb_cv_$n+:} false; then :
  $as_echo_n "(cached) " >&6
else
  cat confdefs.h - <<_ACEOF >conftest.$ac_ext
/* end confdefs.h.  */
#include <math.h>
#ifndef $m
#error no $m
#endif


int
main ()
{
static int test_array [1 - 2 * !(1)];
test_array [0] = 0;
return test_array [0];

  ;
  return 0;
}
_ACEOF
if ac_fn_c_try_compile "$LINENO"; then :
  eval rb_cv_$n=yes
else
  eval rb_cv_$n=no
fi
rm -f core conftest.err conftest.$ac_objext conftest.$ac_ext
fi
eval ac_res=\$rb_cv_$n
	       { $as_echo "$as_me:${as_lineno-$LINENO}: result: $ac_res" >&5
    colorize_result "$ac_res" ; }
    if eval test '"$rb_cv_'$n'"' = yes; then
	cat >>confdefs.h <<_ACEOF
#define HAVE_$m 1
_ACEOF

    fi
done


# Check whether --with-compress-debug-sections was given.
if test "${with_compress_debug_sections+set}" = set; then :
  withval=$with_compress_debug_sections; compress_debug_sections=$withval
else
  compress_debug_sections=
fi


if test "$GCC" = yes; then
    # NaCl's glibc build generates undefined references to __memset_chk.
    # TODO(sbc): Remove this once NaCl's glibc is fixed.
    case "$target_os" in #(
  nacl) :
     ;; #(
  *) :

      # -D_FORTIFY_SOURCE
      # When defined _FORTIFY_SOURCE, glibc enables some additional sanity
      # argument check. The performance drop is very little and Ubuntu enables
      # _FORTIFY_SOURCE=2 by default. So, let's support it for protecting us from
      # a mistake of silly C extensions.

    { $as_echo "$as_me:${as_lineno-$LINENO}: checking whether -D_FORTIFY_SOURCE=2 is accepted as CFLAGS" >&5
$as_echo_n "checking whether -D_FORTIFY_SOURCE=2 is accepted as CFLAGS... " >&6; }
    save_CFLAGS="$CFLAGS"
CFLAGS="$CFLAGS $rb_cv_warnflags"
if test "${ac_c_werror_flag+set}"; then
  rb_c_werror_flag="$ac_c_werror_flag"
else
  unset rb_c_werror_flag
fi
ac_c_werror_flag=yes

    CFLAGS="$CFLAGS -D_FORTIFY_SOURCE=2"
    cat confdefs.h - <<_ACEOF >conftest.$ac_ext
/* end confdefs.h.  */

int
main ()
{

  ;
  return 0;
}
_ACEOF
if ac_fn_c_try_compile "$LINENO"; then :
  # RUBY_APPEND_OPTION(XCFLAGS)
	case " ${XCFLAGS-} " in #(
  *" -D_FORTIFY_SOURCE=2 "*) :
     ;; #(
  '  ') :
     XCFLAGS="-D_FORTIFY_SOURCE=2" ;; #(
  *) :
     XCFLAGS="$XCFLAGS -D_FORTIFY_SOURCE=2" ;;
esac
	{ $as_echo "$as_me:${as_lineno-$LINENO}: result: yes" >&5
    $as_echo "${msg_result_yes}yes${msg_reset}" ; }
else

	{ $as_echo "$as_me:${as_lineno-$LINENO}: result: no" >&5
    $as_echo "${msg_result_no}no${msg_reset}" ; }
fi
rm -f core conftest.err conftest.$ac_objext conftest.$ac_ext

CFLAGS="$save_CFLAGS"
save_CFLAGS=
if test "${rb_c_werror_flag+set}"; then
  ac_c_werror_flag="$rb_c_werror_flag"
else
  unset ac_c_werror_flag
fi

    ;;
esac

    # -fstack-protector
    case "$target_os" in #(
  mingw*|nacl) :

	stack_protector=no
     ;; #(
  *) :
     ;;
esac
    if test -z "${stack_protector+set}"; then

    { $as_echo "$as_me:${as_lineno-$LINENO}: checking whether -fstack-protector is accepted as CFLAGS" >&5
$as_echo_n "checking whether -fstack-protector is accepted as CFLAGS... " >&6; }
    save_CFLAGS="$CFLAGS"
CFLAGS="$CFLAGS $rb_cv_warnflags"
if test "${ac_c_werror_flag+set}"; then
  rb_c_werror_flag="$ac_c_werror_flag"
else
  unset rb_c_werror_flag
fi
ac_c_werror_flag=yes

    CFLAGS="$CFLAGS -fstack-protector"
    cat confdefs.h - <<_ACEOF >conftest.$ac_ext
/* end confdefs.h.  */

int
main ()
{

  ;
  return 0;
}
_ACEOF
if ac_fn_c_try_compile "$LINENO"; then :
  stack_protector=yes
	{ $as_echo "$as_me:${as_lineno-$LINENO}: result: yes" >&5
    $as_echo "${msg_result_yes}yes${msg_reset}" ; }
else
  stack_protector=no
	{ $as_echo "$as_me:${as_lineno-$LINENO}: result: no" >&5
    $as_echo "${msg_result_no}no${msg_reset}" ; }
fi
rm -f core conftest.err conftest.$ac_objext conftest.$ac_ext

CFLAGS="$save_CFLAGS"
save_CFLAGS=
if test "${rb_c_werror_flag+set}"; then
  ac_c_werror_flag="$rb_c_werror_flag"
else
  unset ac_c_werror_flag
fi

	if test "x$stack_protector" = xyes; then

    save_LDFLAGS="$LDFLAGS"
    LDFLAGS="$LDFLAGS -fstack-protector"
    { $as_echo "$as_me:${as_lineno-$LINENO}: checking whether -fstack-protector is accepted as LDFLAGS" >&5
$as_echo_n "checking whether -fstack-protector is accepted as LDFLAGS... " >&6; }
    save_CFLAGS="$CFLAGS"
CFLAGS="$CFLAGS $rb_cv_warnflags"
if test "${ac_c_werror_flag+set}"; then
  rb_c_werror_flag="$ac_c_werror_flag"
else
  unset rb_c_werror_flag
fi
ac_c_werror_flag=yes

    cat confdefs.h - <<_ACEOF >conftest.$ac_ext
/* end confdefs.h.  */

int
main ()
{

  ;
  return 0;
}
_ACEOF
if ac_fn_c_try_link "$LINENO"; then :

	{ $as_echo "$as_me:${as_lineno-$LINENO}: result: yes" >&5
    $as_echo "${msg_result_yes}yes${msg_reset}" ; }
else
  stack_protector=broken
	{ $as_echo "$as_me:${as_lineno-$LINENO}: result: no" >&5
    $as_echo "${msg_result_no}no${msg_reset}" ; }
fi
rm -f core conftest.err conftest.$ac_objext \
    conftest$ac_exeext conftest.$ac_ext

CFLAGS="$save_CFLAGS"
save_CFLAGS=
if test "${rb_c_werror_flag+set}"; then
  ac_c_werror_flag="$rb_c_werror_flag"
else
  unset ac_c_werror_flag
fi
    LDFLAGS="$save_LDFLAGS"
    save_LDFLAGS=

	fi
    fi
    if test "x$stack_protector" = xyes; then
	# RUBY_APPEND_OPTION(XCFLAGS)
	case " ${XCFLAGS-} " in #(
  *" -fstack-protector "*) :
     ;; #(
  '  ') :
     XCFLAGS="-fstack-protector" ;; #(
  *) :
     XCFLAGS="$XCFLAGS -fstack-protector" ;;
esac
	# RUBY_APPEND_OPTION(XLDFLAGS)
	case " ${XLDFLAGS-} " in #(
  *" -fstack-protector "*) :
     ;; #(
  '  ') :
     XLDFLAGS="-fstack-protector" ;; #(
  *) :
     XLDFLAGS="$XLDFLAGS -fstack-protector" ;;
esac
	# RUBY_APPEND_OPTION(LDFLAGS)
	case " ${LDFLAGS-} " in #(
  *" -fstack-protector "*) :
     ;; #(
  '  ') :
     LDFLAGS="-fstack-protector" ;; #(
  *) :
     LDFLAGS="$LDFLAGS -fstack-protector" ;;
esac
    fi

    case "${compress_debug_sections:-zlib}" in #(
  none|no) :
     ;; #(
  *) :


    save_LDFLAGS="$LDFLAGS"
    LDFLAGS="$LDFLAGS ${linker_flag}--compress-debug-sections=${compress_debug_sections:-zlib}"
    { $as_echo "$as_me:${as_lineno-$LINENO}: checking whether ${linker_flag}--compress-debug-sections=${compress_debug_sections:-zlib} is accepted as LDFLAGS" >&5
$as_echo_n "checking whether ${linker_flag}--compress-debug-sections=${compress_debug_sections:-zlib} is accepted as LDFLAGS... " >&6; }
    save_CFLAGS="$CFLAGS"
CFLAGS="$CFLAGS $rb_cv_warnflags"
if test "${ac_c_werror_flag+set}"; then
  rb_c_werror_flag="$ac_c_werror_flag"
else
  unset rb_c_werror_flag
fi
ac_c_werror_flag=yes

    cat confdefs.h - <<_ACEOF >conftest.$ac_ext
/* end confdefs.h.  */

int
main ()
{

  ;
  return 0;
}
_ACEOF
if ac_fn_c_try_link "$LINENO"; then :
  compress_debug_sections=${compress_debug_sections:-zlib}
	{ $as_echo "$as_me:${as_lineno-$LINENO}: result: yes" >&5
    $as_echo "${msg_result_yes}yes${msg_reset}" ; }
else
  compress_debug_sections=no
	{ $as_echo "$as_me:${as_lineno-$LINENO}: result: no" >&5
    $as_echo "${msg_result_no}no${msg_reset}" ; }
fi
rm -f core conftest.err conftest.$ac_objext \
    conftest$ac_exeext conftest.$ac_ext

CFLAGS="$save_CFLAGS"
save_CFLAGS=
if test "${rb_c_werror_flag+set}"; then
  ac_c_werror_flag="$rb_c_werror_flag"
else
  unset ac_c_werror_flag
fi
    LDFLAGS="$save_LDFLAGS"
    save_LDFLAGS=

     ;;
esac
    if test "x$compress_debug_sections" != xno; then
	# RUBY_APPEND_OPTION(DLDFLAGS)
	case " ${DLDFLAGS-} " in #(
  *" ${linker_flag}--compress-debug-sections=$compress_debug_sections "*) :
     ;; #(
  '  ') :
     DLDFLAGS="${linker_flag}--compress-debug-sections=$compress_debug_sections" ;; #(
  *) :
     DLDFLAGS="$DLDFLAGS ${linker_flag}--compress-debug-sections=$compress_debug_sections" ;;
esac
    fi

    case "$target_os" in #(
  mingw*) :

      # On  Windows  platforms,   system  provided  headers  are  VC++
      # optimized.  That  is, C++  habits are often  contaminated into
      # various  headers.  Most frequent  situation is  the use  of //
      # comments.   We  bypass  ANSI   C  mode  for  them.   Otherwise
      # extension libs cannot include those headers.

      # Since math.h in some mingw64 wrongly delcares frexp and modf
      # to be pure, the variables pointed by the second arguments are
      # considered uninitialized unexpectedly.
      { $as_echo "$as_me:${as_lineno-$LINENO}: checking whether frexp and modf are broken" >&5
$as_echo_n "checking whether frexp and modf are broken... " >&6; }
if ${rb_cv_mingw64_broken_frexp_modf+:} false; then :
  $as_echo_n "(cached) " >&6
else

	  save_CFLAGS="$CFLAGS"
	  if test "$particular_werror_flags" = "yes"; then
	    CFLAGS="$CFLAGS -Werror=uninitialized"
	  else
	    CFLAGS="$CFLAGS -Werror -Wuninitialized"
	  fi
	  cat confdefs.h - <<_ACEOF >conftest.$ac_ext
/* end confdefs.h.  */
#include <math.h>
	    int foo(double x)
	    {
	      int exp;
	      frexp(x, &exp);
	      return exp;
	    }
int
main ()
{
if (foo(0.0)) return 1;
  ;
  return 0;
}
_ACEOF
if ac_fn_c_try_compile "$LINENO"; then :
  rb_cv_mingw64_broken_frexp_modf=no
else
  rb_cv_mingw64_broken_frexp_modf=yes
fi
rm -f core conftest.err conftest.$ac_objext conftest.$ac_ext
	  CFLAGS="$save_CFLAGS"

fi
{ $as_echo "$as_me:${as_lineno-$LINENO}: result: $rb_cv_mingw64_broken_frexp_modf" >&5
    colorize_result "$rb_cv_mingw64_broken_frexp_modf" ; }
      if test "$rb_cv_mingw64_broken_frexp_modf" = yes; then
	$as_echo "#define RUBY_MINGW64_BROKEN_FREXP_MODF 1" >>confdefs.h

      fi
     ;; #(
  cygwin*|darwin*|netbsd*|nacl) :

      # need lgamma_r(), finite()
     ;; #(
  *) :

      # ANSI (no XCFLAGS because this is C only)
	for ansi_options in -std=gnu99; do

    { $as_echo "$as_me:${as_lineno-$LINENO}: checking whether ${ansi_options} is accepted as CFLAGS" >&5
$as_echo_n "checking whether ${ansi_options} is accepted as CFLAGS... " >&6; }
    save_CFLAGS="$CFLAGS"
CFLAGS="$CFLAGS $rb_cv_warnflags"
if test "${ac_c_werror_flag+set}"; then
  rb_c_werror_flag="$ac_c_werror_flag"
else
  unset rb_c_werror_flag
fi
ac_c_werror_flag=yes

    CFLAGS="$CFLAGS ${ansi_options}"
    cat confdefs.h - <<_ACEOF >conftest.$ac_ext
/* end confdefs.h.  */

int
main ()
{

  ;
  return 0;
}
_ACEOF
if ac_fn_c_try_compile "$LINENO"; then :

		# RUBY_APPEND_OPTIONS(warnflags)
	for rb_opt in ${ansi_options}; do
	case " ${warnflags-} " in #(
  *" ${rb_opt} "*) :
     ;; #(
  '  ') :
     warnflags="${rb_opt}" ;; #(
  *) :
     warnflags="$warnflags ${rb_opt}" ;;
esac
	done
		# RUBY_APPEND_OPTIONS(strict_warnflags)
	for rb_opt in ${ansi_options}; do
	case " ${strict_warnflags-} " in #(
  *" ${rb_opt} "*) :
     ;; #(
  '  ') :
     strict_warnflags="${rb_opt}" ;; #(
  *) :
     strict_warnflags="$strict_warnflags ${rb_opt}" ;;
esac
	done

	{ $as_echo "$as_me:${as_lineno-$LINENO}: result: yes" >&5
    $as_echo "${msg_result_yes}yes${msg_reset}" ; }
else
  ansi_options=
	{ $as_echo "$as_me:${as_lineno-$LINENO}: result: no" >&5
    $as_echo "${msg_result_no}no${msg_reset}" ; }
fi
rm -f core conftest.err conftest.$ac_objext conftest.$ac_ext

CFLAGS="$save_CFLAGS"
save_CFLAGS=
if test "${rb_c_werror_flag+set}"; then
  ac_c_werror_flag="$rb_c_werror_flag"
else
  unset ac_c_werror_flag
fi

	    test "x${ansi_options}" = x || break
	done
     ;;
esac

    # suppress annoying -Wstrict-overflow warnings

    { $as_echo "$as_me:${as_lineno-$LINENO}: checking whether -fno-strict-overflow is accepted as CFLAGS" >&5
$as_echo_n "checking whether -fno-strict-overflow is accepted as CFLAGS... " >&6; }
    save_CFLAGS="$CFLAGS"
CFLAGS="$CFLAGS $rb_cv_warnflags"
if test "${ac_c_werror_flag+set}"; then
  rb_c_werror_flag="$ac_c_werror_flag"
else
  unset rb_c_werror_flag
fi
ac_c_werror_flag=yes

    CFLAGS="$CFLAGS -fno-strict-overflow"
    cat confdefs.h - <<_ACEOF >conftest.$ac_ext
/* end confdefs.h.  */

int
main ()
{

  ;
  return 0;
}
_ACEOF
if ac_fn_c_try_compile "$LINENO"; then :
  # RUBY_APPEND_OPTION(XCFLAGS)
	case " ${XCFLAGS-} " in #(
  *" -fno-strict-overflow "*) :
     ;; #(
  '  ') :
     XCFLAGS="-fno-strict-overflow" ;; #(
  *) :
     XCFLAGS="$XCFLAGS -fno-strict-overflow" ;;
esac
	{ $as_echo "$as_me:${as_lineno-$LINENO}: result: yes" >&5
    $as_echo "${msg_result_yes}yes${msg_reset}" ; }
else

	{ $as_echo "$as_me:${as_lineno-$LINENO}: result: no" >&5
    $as_echo "${msg_result_no}no${msg_reset}" ; }
fi
rm -f core conftest.err conftest.$ac_objext conftest.$ac_ext

CFLAGS="$save_CFLAGS"
save_CFLAGS=
if test "${rb_c_werror_flag+set}"; then
  ac_c_werror_flag="$rb_c_werror_flag"
else
  unset ac_c_werror_flag
fi


    test "${debugflags+set}" || {
    { $as_echo "$as_me:${as_lineno-$LINENO}: checking whether -ggdb3 is accepted as CFLAGS" >&5
$as_echo_n "checking whether -ggdb3 is accepted as CFLAGS... " >&6; }
    save_CFLAGS="$CFLAGS"
CFLAGS="$CFLAGS $rb_cv_warnflags"
if test "${ac_c_werror_flag+set}"; then
  rb_c_werror_flag="$ac_c_werror_flag"
else
  unset rb_c_werror_flag
fi
ac_c_werror_flag=yes

    CFLAGS="$CFLAGS -ggdb3"
    cat confdefs.h - <<_ACEOF >conftest.$ac_ext
/* end confdefs.h.  */

int
main ()
{

  ;
  return 0;
}
_ACEOF
if ac_fn_c_try_compile "$LINENO"; then :
  debugflags=-ggdb3
	{ $as_echo "$as_me:${as_lineno-$LINENO}: result: yes" >&5
    $as_echo "${msg_result_yes}yes${msg_reset}" ; }
else

	{ $as_echo "$as_me:${as_lineno-$LINENO}: result: no" >&5
    $as_echo "${msg_result_no}no${msg_reset}" ; }
fi
rm -f core conftest.err conftest.$ac_objext conftest.$ac_ext

CFLAGS="$save_CFLAGS"
save_CFLAGS=
if test "${rb_c_werror_flag+set}"; then
  ac_c_werror_flag="$rb_c_werror_flag"
else
  unset ac_c_werror_flag
fi
}
    test "${debugflags+set}" || {
    { $as_echo "$as_me:${as_lineno-$LINENO}: checking whether -ggdb is accepted as CFLAGS" >&5
$as_echo_n "checking whether -ggdb is accepted as CFLAGS... " >&6; }
    save_CFLAGS="$CFLAGS"
CFLAGS="$CFLAGS $rb_cv_warnflags"
if test "${ac_c_werror_flag+set}"; then
  rb_c_werror_flag="$ac_c_werror_flag"
else
  unset rb_c_werror_flag
fi
ac_c_werror_flag=yes

    CFLAGS="$CFLAGS -ggdb"
    cat confdefs.h - <<_ACEOF >conftest.$ac_ext
/* end confdefs.h.  */

int
main ()
{

  ;
  return 0;
}
_ACEOF
if ac_fn_c_try_compile "$LINENO"; then :
  debugflags=-ggdb
	{ $as_echo "$as_me:${as_lineno-$LINENO}: result: yes" >&5
    $as_echo "${msg_result_yes}yes${msg_reset}" ; }
else

	{ $as_echo "$as_me:${as_lineno-$LINENO}: result: no" >&5
    $as_echo "${msg_result_no}no${msg_reset}" ; }
fi
rm -f core conftest.err conftest.$ac_objext conftest.$ac_ext

CFLAGS="$save_CFLAGS"
save_CFLAGS=
if test "${rb_c_werror_flag+set}"; then
  ac_c_werror_flag="$rb_c_werror_flag"
else
  unset ac_c_werror_flag
fi
}
    test "${debugflags+set}" || {
    { $as_echo "$as_me:${as_lineno-$LINENO}: checking whether -g3 is accepted as CFLAGS" >&5
$as_echo_n "checking whether -g3 is accepted as CFLAGS... " >&6; }
    save_CFLAGS="$CFLAGS"
CFLAGS="$CFLAGS $rb_cv_warnflags"
if test "${ac_c_werror_flag+set}"; then
  rb_c_werror_flag="$ac_c_werror_flag"
else
  unset rb_c_werror_flag
fi
ac_c_werror_flag=yes

    CFLAGS="$CFLAGS -g3"
    cat confdefs.h - <<_ACEOF >conftest.$ac_ext
/* end confdefs.h.  */

int
main ()
{

  ;
  return 0;
}
_ACEOF
if ac_fn_c_try_compile "$LINENO"; then :
  debugflags=-g3
	{ $as_echo "$as_me:${as_lineno-$LINENO}: result: yes" >&5
    $as_echo "${msg_result_yes}yes${msg_reset}" ; }
else

	{ $as_echo "$as_me:${as_lineno-$LINENO}: result: no" >&5
    $as_echo "${msg_result_no}no${msg_reset}" ; }
fi
rm -f core conftest.err conftest.$ac_objext conftest.$ac_ext

CFLAGS="$save_CFLAGS"
save_CFLAGS=
if test "${rb_c_werror_flag+set}"; then
  ac_c_werror_flag="$rb_c_werror_flag"
else
  unset ac_c_werror_flag
fi
}
fi
test $ac_cv_prog_cc_g = yes && : ${debugflags=-g}

if test "$GCC" = ""; then
    case "$target_os" in #(
  aix*) :
    warnflags="$warnflags -qinfo=por" rb_cv_warnflags="$rb_cv_warnflags -qinfo=por" ;; #(
  *) :
     ;;
esac
fi
if test "$GCC" = yes; then
    if test "$gcc_major" -ge 4; then

    { $as_echo "$as_me:${as_lineno-$LINENO}: checking whether -fvisibility=hidden is accepted as CFLAGS" >&5
$as_echo_n "checking whether -fvisibility=hidden is accepted as CFLAGS... " >&6; }
    save_CFLAGS="$CFLAGS"
CFLAGS="$CFLAGS $rb_cv_warnflags"
if test "${ac_c_werror_flag+set}"; then
  rb_c_werror_flag="$ac_c_werror_flag"
else
  unset rb_c_werror_flag
fi
ac_c_werror_flag=yes

    CFLAGS="$CFLAGS -fvisibility=hidden"
    cat confdefs.h - <<_ACEOF >conftest.$ac_ext
/* end confdefs.h.  */

int
main ()
{

  ;
  return 0;
}
_ACEOF
if ac_fn_c_try_compile "$LINENO"; then :
  visibility_option=yes
	{ $as_echo "$as_me:${as_lineno-$LINENO}: result: yes" >&5
    $as_echo "${msg_result_yes}yes${msg_reset}" ; }
else
  visibility_option=no
	{ $as_echo "$as_me:${as_lineno-$LINENO}: result: no" >&5
    $as_echo "${msg_result_no}no${msg_reset}" ; }
fi
rm -f core conftest.err conftest.$ac_objext conftest.$ac_ext

CFLAGS="$save_CFLAGS"
save_CFLAGS=
if test "${rb_c_werror_flag+set}"; then
  ac_c_werror_flag="$rb_c_werror_flag"
else
  unset ac_c_werror_flag
fi

    fi
    WERRORFLAG="-Werror"

    if test "$visibility_option" = yes; then
	# RUBY_APPEND_OPTION(XCFLAGS)
	case " ${XCFLAGS-} " in #(
  *" -fvisibility=hidden "*) :
     ;; #(
  '  ') :
     XCFLAGS="-fvisibility=hidden" ;; #(
  *) :
     XCFLAGS="$XCFLAGS -fvisibility=hidden" ;;
esac
	$as_echo "#define RUBY_SYMBOL_EXPORT_BEGIN _Pragma(\"GCC visibility push(default)\")" >>confdefs.h

	$as_echo "#define RUBY_SYMBOL_EXPORT_END _Pragma(\"GCC visibility pop\")" >>confdefs.h

    else

    save_LDFLAGS="$LDFLAGS"
    LDFLAGS="$LDFLAGS -Wl,-unexported_symbol,_Init_*"
    { $as_echo "$as_me:${as_lineno-$LINENO}: checking whether -Wl,-unexported_symbol,_Init_* is accepted as LDFLAGS" >&5
$as_echo_n "checking whether -Wl,-unexported_symbol,_Init_* is accepted as LDFLAGS... " >&6; }
    save_CFLAGS="$CFLAGS"
CFLAGS="$CFLAGS $rb_cv_warnflags"
if test "${ac_c_werror_flag+set}"; then
  rb_c_werror_flag="$ac_c_werror_flag"
else
  unset rb_c_werror_flag
fi
ac_c_werror_flag=yes

    cat confdefs.h - <<_ACEOF >conftest.$ac_ext
/* end confdefs.h.  */

int
main ()
{

  ;
  return 0;
}
_ACEOF
if ac_fn_c_try_link "$LINENO"; then :
  visibility_option=ld
	{ $as_echo "$as_me:${as_lineno-$LINENO}: result: yes" >&5
    $as_echo "${msg_result_yes}yes${msg_reset}" ; }
else
  visibility_option=no
	{ $as_echo "$as_me:${as_lineno-$LINENO}: result: no" >&5
    $as_echo "${msg_result_no}no${msg_reset}" ; }
fi
rm -f core conftest.err conftest.$ac_objext \
    conftest$ac_exeext conftest.$ac_ext

CFLAGS="$save_CFLAGS"
save_CFLAGS=
if test "${rb_c_werror_flag+set}"; then
  ac_c_werror_flag="$rb_c_werror_flag"
else
  unset ac_c_werror_flag
fi
    LDFLAGS="$save_LDFLAGS"
    save_LDFLAGS=

    fi
    test "$visibility_option" = no -o "$host_os" = nacl || OBJCOPY=:
fi

if test "$GCC" = yes; then
    # optflags

    case "$target_os" in #(
  mingw*) :


    { $as_echo "$as_me:${as_lineno-$LINENO}: checking whether -fno-omit-frame-pointer is accepted as CFLAGS" >&5
$as_echo_n "checking whether -fno-omit-frame-pointer is accepted as CFLAGS... " >&6; }
    save_CFLAGS="$CFLAGS"
CFLAGS="$CFLAGS $rb_cv_warnflags"
if test "${ac_c_werror_flag+set}"; then
  rb_c_werror_flag="$ac_c_werror_flag"
else
  unset rb_c_werror_flag
fi
ac_c_werror_flag=yes

    CFLAGS="$CFLAGS -fno-omit-frame-pointer"
    cat confdefs.h - <<_ACEOF >conftest.$ac_ext
/* end confdefs.h.  */

int
main ()
{

  ;
  return 0;
}
_ACEOF
if ac_fn_c_try_compile "$LINENO"; then :
  optflags="${optflags+$optflags }-fno-omit-frame-pointer"
	{ $as_echo "$as_me:${as_lineno-$LINENO}: result: yes" >&5
    $as_echo "${msg_result_yes}yes${msg_reset}" ; }
else

	{ $as_echo "$as_me:${as_lineno-$LINENO}: result: no" >&5
    $as_echo "${msg_result_no}no${msg_reset}" ; }
fi
rm -f core conftest.err conftest.$ac_objext conftest.$ac_ext

CFLAGS="$save_CFLAGS"
save_CFLAGS=
if test "${rb_c_werror_flag+set}"; then
  ac_c_werror_flag="$rb_c_werror_flag"
else
  unset ac_c_werror_flag
fi


    { $as_echo "$as_me:${as_lineno-$LINENO}: checking whether -static-libgcc is accepted as CFLAGS" >&5
$as_echo_n "checking whether -static-libgcc is accepted as CFLAGS... " >&6; }
    save_CFLAGS="$CFLAGS"
CFLAGS="$CFLAGS $rb_cv_warnflags"
if test "${ac_c_werror_flag+set}"; then
  rb_c_werror_flag="$ac_c_werror_flag"
else
  unset rb_c_werror_flag
fi
ac_c_werror_flag=yes

    CFLAGS="$CFLAGS -static-libgcc"
    cat confdefs.h - <<_ACEOF >conftest.$ac_ext
/* end confdefs.h.  */

int
main ()
{

  ;
  return 0;
}
_ACEOF
if ac_fn_c_try_compile "$LINENO"; then :
  static_libgcc=yes
	{ $as_echo "$as_me:${as_lineno-$LINENO}: result: yes" >&5
    $as_echo "${msg_result_yes}yes${msg_reset}" ; }
else
  static_libgcc=no
	{ $as_echo "$as_me:${as_lineno-$LINENO}: result: no" >&5
    $as_echo "${msg_result_no}no${msg_reset}" ; }
fi
rm -f core conftest.err conftest.$ac_objext conftest.$ac_ext

CFLAGS="$save_CFLAGS"
save_CFLAGS=
if test "${rb_c_werror_flag+set}"; then
  ac_c_werror_flag="$rb_c_werror_flag"
else
  unset ac_c_werror_flag
fi

	if test "$static_libgcc" = yes; then
	    # RUBY_APPEND_OPTION(EXTLDFLAGS)
	case " ${EXTLDFLAGS-} " in #(
  *" -static-libgcc "*) :
     ;; #(
  '  ') :
     EXTLDFLAGS="-static-libgcc" ;; #(
  *) :
     EXTLDFLAGS="$EXTLDFLAGS -static-libgcc" ;;
esac
	fi
     ;; #(
  *) :
     ;;
esac

    # disable fast-math
    for oflag in -fno-fast-math; do

    { $as_echo "$as_me:${as_lineno-$LINENO}: checking whether $oflag is accepted as CFLAGS" >&5
$as_echo_n "checking whether $oflag is accepted as CFLAGS... " >&6; }
    save_CFLAGS="$CFLAGS"
CFLAGS="$CFLAGS $rb_cv_warnflags"
if test "${ac_c_werror_flag+set}"; then
  rb_c_werror_flag="$ac_c_werror_flag"
else
  unset rb_c_werror_flag
fi
ac_c_werror_flag=yes

    CFLAGS="$CFLAGS $oflag"
    cat confdefs.h - <<_ACEOF >conftest.$ac_ext
/* end confdefs.h.  */

int
main ()
{

  ;
  return 0;
}
_ACEOF
if ac_fn_c_try_compile "$LINENO"; then :
  # RUBY_APPEND_OPTION(optflags)
	case " ${optflags-} " in #(
  *" $oflag "*) :
     ;; #(
  '  ') :
     optflags="$oflag" ;; #(
  *) :
     optflags="$optflags $oflag" ;;
esac
	{ $as_echo "$as_me:${as_lineno-$LINENO}: result: yes" >&5
    $as_echo "${msg_result_yes}yes${msg_reset}" ; }
else

	{ $as_echo "$as_me:${as_lineno-$LINENO}: result: no" >&5
    $as_echo "${msg_result_no}no${msg_reset}" ; }
fi
rm -f core conftest.err conftest.$ac_objext conftest.$ac_ext

CFLAGS="$save_CFLAGS"
save_CFLAGS=
if test "${rb_c_werror_flag+set}"; then
  ac_c_werror_flag="$rb_c_werror_flag"
else
  unset ac_c_werror_flag
fi

    done
    for oflag in -fexcess-precision=standard -fp-model\ precise; do

    { $as_echo "$as_me:${as_lineno-$LINENO}: checking whether $oflag is accepted as CFLAGS" >&5
$as_echo_n "checking whether $oflag is accepted as CFLAGS... " >&6; }
    save_CFLAGS="$CFLAGS"
CFLAGS="$CFLAGS $rb_cv_warnflags"
if test "${ac_c_werror_flag+set}"; then
  rb_c_werror_flag="$ac_c_werror_flag"
else
  unset rb_c_werror_flag
fi
ac_c_werror_flag=yes

    CFLAGS="$CFLAGS $oflag"
    cat confdefs.h - <<_ACEOF >conftest.$ac_ext
/* end confdefs.h.  */

int
main ()
{

  ;
  return 0;
}
_ACEOF
if ac_fn_c_try_compile "$LINENO"; then :
  # RUBY_APPEND_OPTION(XCFLAGS)
	case " ${XCFLAGS-} " in #(
  *" $oflag "*) :
     ;; #(
  '  ') :
     XCFLAGS="$oflag" ;; #(
  *) :
     XCFLAGS="$XCFLAGS $oflag" ;;
esac
	{ $as_echo "$as_me:${as_lineno-$LINENO}: result: yes" >&5
    $as_echo "${msg_result_yes}yes${msg_reset}" ; }
else

	{ $as_echo "$as_me:${as_lineno-$LINENO}: result: no" >&5
    $as_echo "${msg_result_no}no${msg_reset}" ; }
fi
rm -f core conftest.err conftest.$ac_objext conftest.$ac_ext

CFLAGS="$save_CFLAGS"
save_CFLAGS=
if test "${rb_c_werror_flag+set}"; then
  ac_c_werror_flag="$rb_c_werror_flag"
else
  unset ac_c_werror_flag
fi

    done
fi


# Check whether --with-opt-dir was given.
if test "${with_opt_dir+set}" = set; then :
  withval=$with_opt_dir;
		val=`echo "$PATH_SEPARATOR$withval" | sed "s|$PATH_SEPARATOR\([^$PATH_SEPARATOR]*\)| -I\1/include|g;s/^ //"`
		CPPFLAGS="$CPPFLAGS $val"
		val=`echo "$PATH_SEPARATOR$withval" | sed "s|$PATH_SEPARATOR\([^$PATH_SEPARATOR]*\)| -L\1/lib${rpathflag:+ $rpathflag\\\\1/lib}|g;s/^ //"`
		LDFLAGS="$LDFLAGS $val"
		LDFLAGS_OPTDIR="$val"
		OPT_DIR="$withval"

else
  OPT_DIR=
fi


test -z "${ac_env_CFLAGS_set}" -a -n "${cflags+set}" && eval CFLAGS="\"$cflags $ARCH_FLAG\""
test -z "${ac_env_CXXFLAGS_set}" -a -n "${cxxflags+set}" && eval CXXFLAGS="\"$cxxflags $ARCH_FLAG\""

}
{ # header and library section


# Check whether --with-winnt-ver was given.
if test "${with_winnt_ver+set}" = set; then :
  withval=$with_winnt_ver; with_winnt_ver="$withval"
else
  with_winnt_ver="0x0501"
fi

case "$target_os" in #(
  mingw*) :

  # RUBY_APPEND_OPTION(CPPFLAGS)
	case " ${CPPFLAGS-} " in #(
  *" -D_WIN32_WINNT=$with_winnt_ver "*) :
     ;; #(
  '  ') :
     CPPFLAGS="-D_WIN32_WINNT=$with_winnt_ver" ;; #(
  *) :
     CPPFLAGS="$CPPFLAGS -D_WIN32_WINNT=$with_winnt_ver" ;;
esac
  # RUBY_APPEND_OPTION(CPPFLAGS)
	case " ${CPPFLAGS-} " in #(
  *" -D__MINGW_USE_VC2005_COMPAT "*) :
     ;; #(
  '  ') :
     CPPFLAGS="-D__MINGW_USE_VC2005_COMPAT" ;; #(
  *) :
     CPPFLAGS="$CPPFLAGS -D__MINGW_USE_VC2005_COMPAT" ;;
esac
 ;; #(
  *) :
     ;;
esac

case "$target_os" in #(
  freebsd*) :

  { $as_echo "$as_me:${as_lineno-$LINENO}: checking whether pthread should be enabled by default" >&5
$as_echo_n "checking whether pthread should be enabled by default... " >&6; }
if ${rb_cv_enable_pthread_default+:} false; then :
  $as_echo_n "(cached) " >&6
else
  cat confdefs.h - <<_ACEOF >conftest.$ac_ext
/* end confdefs.h.  */

#include <osreldate.h>
#if __FreeBSD_version < 502102
#error pthread should be disabled on this platform
#endif

_ACEOF
if ac_fn_c_try_cpp "$LINENO"; then :
  rb_cv_enable_pthread_default=yes
else
  rb_cv_enable_pthread_default=no
fi
rm -f conftest.err conftest.i conftest.$ac_ext
fi
{ $as_echo "$as_me:${as_lineno-$LINENO}: result: $rb_cv_enable_pthread_default" >&5
    colorize_result "$rb_cv_enable_pthread_default" ; }
  enable_pthread=$rb_cv_enable_pthread_default
   ;; #(
  mingw*) :

  enable_pthread=no
   ;; #(
  *) :

  enable_pthread=yes
   ;;
esac

# Check whether --enable-pthread was given.
if test "${enable_pthread+set}" = set; then :
  enableval=$enable_pthread;
fi


case "$target_os" in #(
  *bsd*|dragonfly*) :
     ;; #(
  *) :
    ac_cv_func_daemon=no ;;
esac

POSTLINK=:

case "$target_os" in #(
  nextstep*) :
    	 ;; #(
  openstep*) :
    	 ;; #(
  rhapsody*) :
    	 ;; #(
  darwin*) :
    	# RUBY_PREPEND_OPTION(LIBS)
	case " ${LIBS-} " in #(
  *" -lobjc "*) :
     ;; #(
  '  ') :
     LIBS="-lobjc" ;; #(
  *) :
     LIBS="-lobjc $LIBS" ;;
esac
		# RUBY_APPEND_OPTIONS(CPPFLAGS)
	for rb_opt in -D_XOPEN_SOURCE -D_DARWIN_C_SOURCE -D_DARWIN_UNLIMITED_SELECT -D_REENTRANT; do
	case " ${CPPFLAGS-} " in #(
  *" ${rb_opt} "*) :
     ;; #(
  '  ') :
     CPPFLAGS="${rb_opt}" ;; #(
  *) :
     CPPFLAGS="$CPPFLAGS ${rb_opt}" ;;
esac
	done
		{ $as_echo "$as_me:${as_lineno-$LINENO}: checking whether Mac OS X 10.5 or later" >&5
$as_echo_n "checking whether Mac OS X 10.5 or later... " >&6; }
		cat confdefs.h - <<_ACEOF >conftest.$ac_ext
/* end confdefs.h.  */
#include <AvailabilityMacros.h>
		    #if MAC_OS_X_VERSION_MAX_ALLOWED <= 1040
		    #error pre OS X 10.4
		    [!<===== pre OS X 10.4 =====>]
		    #endif

_ACEOF
if ac_fn_c_try_cpp "$LINENO"; then :
  macosx_10_5=yes
else
  macosx_10_5=no
fi
rm -f conftest.err conftest.i conftest.$ac_ext
		{ $as_echo "$as_me:${as_lineno-$LINENO}: result: $macosx_10_5" >&5
    colorize_result "$macosx_10_5" ; }
		if test "${target_os#darwin}" -ge 16; then :

		    ac_cv_func___syscall=no
		    ac_cv_func_syscall=no
		    ac_cv_header_sys_syscall_h=no
		    ac_cv_header_syscall_h=no

fi
		if test $macosx_10_5 = yes; then
		    ac_cv_func_getcontext=no
		    ac_cv_func_setcontext=no
		else
		    $as_echo "#define BROKEN_SETREUID 1" >>confdefs.h

		    $as_echo "#define BROKEN_SETREGID 1" >>confdefs.h

		fi
		incs=`$CC -v -E -xc - < /dev/null 2>&1 | sed '1,/^#include </d;s/^ *//;s|[^./][^/]*/\.\./||g;/\/include$/!d;s||/lib|;/\/usr\/lib/d'`
		for d in `$CC -print-search-dirs | sed -e '/^libraries: */!d;s///' | tr : '\012' | fgrep -v /../ | sed -n 's|^\(/.*/lib\)/$|\1|p'`; do
		    incs=`echo "$incs" | fgrep -v "$d"`
		done
		for d in $incs; do
		    test -d "$d" && # RUBY_APPEND_OPTIONS(LDFLAGS)
	for rb_opt in "-L$d"; do
	case " ${LDFLAGS-} " in #(
  *" ${rb_opt} "*) :
     ;; #(
  '  ') :
     LDFLAGS="${rb_opt}" ;; #(
  *) :
     LDFLAGS="$LDFLAGS ${rb_opt}" ;;
esac
	done
		done
		ac_cv_type_getgroups=gid_t # getgroups() on Rosetta fills garbage
		ac_cv_lib_crypt_crypt=no
		ac_cv_func_fdatasync=no # Mac OS X wrongly reports it has fdatasync()
		ac_cv_func_vfork=no
		if test $gcc_major -lt 4 -o \( $gcc_major -eq 4 -a $gcc_minor -lt 3 \); then
		    ac_cv_func___builtin_setjmp=no
		fi
		{ $as_echo "$as_me:${as_lineno-$LINENO}: checking for broken crypt with 8bit chars" >&5
$as_echo_n "checking for broken crypt with 8bit chars... " >&6; }
if ${rb_cv_broken_crypt+:} false; then :
  $as_echo_n "(cached) " >&6
else
  if test "$cross_compiling" = yes; then :
  rb_cv_broken_crypt=yes
else
  cat confdefs.h - <<_ACEOF >conftest.$ac_ext
/* end confdefs.h.  */

#include <stdio.h>
#include <unistd.h>
#include <string.h>

void
broken_crypt(const char *salt, const char *buf1, const char *buf2)
{
#if 0
    printf("%.2x%.2x: %s -> %s\n", (unsigned char)salt[0], (unsigned char)salt[1],
	   buf1+2, buf2+2);
#endif
}

int
main()
{
    int i;
    char salt[2], buf[256], *s;
    for (i = 0; i < 128*128; i++) {
	salt[0] = 0x80 | (i & 0x7f);
	salt[1] = 0x80 | (i >> 7);
	strcpy(buf, crypt("", salt));
	if (strcmp(buf, s = crypt("", salt))) {
	    broken_crypt(salt, buf, s);
	    return 1;
	}
    }
    salt[0] = salt[1] = ' ';
    strcpy(buf, crypt("", salt));
    salt[0] = salt[1] = 0x80 | ' ';
    if (strcmp(buf, s = crypt("", salt))) {
	broken_crypt(salt, buf, s);
	return 1;
    }
    return 0;
}

_ACEOF
if ac_fn_c_try_run "$LINENO"; then :
  rb_cv_broken_crypt=no
else
  rb_cv_broken_crypt=yes
fi
rm -f core *.core core.conftest.* gmon.out bb.out conftest$ac_exeext \
  conftest.$ac_objext conftest.beam conftest.$ac_ext
fi

fi
{ $as_echo "$as_me:${as_lineno-$LINENO}: result: $rb_cv_broken_crypt" >&5
    colorize_result "$rb_cv_broken_crypt" ; }
		if test "$rb_cv_broken_crypt" = yes; then
		   $as_echo "#define BROKEN_CRYPT 1" >>confdefs.h

		fi
		for ac_prog in codesign
do
  # Extract the first word of "$ac_prog", so it can be a program name with args.
set dummy $ac_prog; ac_word=$2
{ $as_echo "$as_me:${as_lineno-$LINENO}: checking for $ac_word" >&5
$as_echo_n "checking for $ac_word... " >&6; }
if ${ac_cv_prog_codesign+:} false; then :
  $as_echo_n "(cached) " >&6
else
  if test -n "$codesign"; then
  ac_cv_prog_codesign="$codesign" # Let the user override the test.
else
as_save_IFS=$IFS; IFS=$PATH_SEPARATOR
for as_dir in $PATH
do
  IFS=$as_save_IFS
  test -z "$as_dir" && as_dir=.
    for ac_exec_ext in '' $ac_executable_extensions; do
  if as_fn_executable_p "$as_dir/$ac_word$ac_exec_ext"; then
    ac_cv_prog_codesign="$ac_prog"
    $as_echo "$as_me:${as_lineno-$LINENO}: found $as_dir/$ac_word$ac_exec_ext" >&5
    break 2
  fi
done
  done
IFS=$as_save_IFS

fi
fi
codesign=$ac_cv_prog_codesign
if test -n "$codesign"; then
  { $as_echo "$as_me:${as_lineno-$LINENO}: result: $codesign" >&5
    colorize_result "$codesign" ; }
else
  { $as_echo "$as_me:${as_lineno-$LINENO}: result: no" >&5
    $as_echo "${msg_result_no}no${msg_reset}" ; }
fi


  test -n "$codesign" && break
done

		if test -n "$codesign"; then
		    POSTLINK="test -z '\$(RUBY_CODESIGN)' || $codesign -s '\$(RUBY_CODESIGN)' -f \$@"
		    LINK_SO="$LINK_SO
\$(POSTLINK)"
		fi
		for ac_header in crt_externs.h
do :
  ac_fn_c_check_header_compile "$LINENO" "crt_externs.h" "ac_cv_header_crt_externs_h" "
		    #include <crt_externs.h>

"
if test "x$ac_cv_header_crt_externs_h" = xyes; then :
  cat >>confdefs.h <<_ACEOF
#define HAVE_CRT_EXTERNS_H 1
_ACEOF

fi

done

		 ;; #(
  hpux*) :
    	LIBS="-lm $LIBS"
		ac_cv_c_inline=no ;; #(
  solaris*) :
    	LIBS="-lm $LIBS"
		ac_cv_func_vfork=no
		{ $as_echo "$as_me:${as_lineno-$LINENO}: checking whether _XOPEN_SOURCE is already given" >&5
$as_echo_n "checking whether _XOPEN_SOURCE is already given... " >&6; }
		cat confdefs.h - <<_ACEOF >conftest.$ac_ext
/* end confdefs.h.  */
#include <unistd.h>
		    #ifndef _XOPEN_SOURCE
		    #error _XOPEN_SOURCE is not defined
		    #endif

int
main ()
{

  ;
  return 0;
}
_ACEOF
if ac_fn_c_try_compile "$LINENO"; then :
  given_xopen_source=yes
else
  given_xopen_source=no
fi
rm -f core conftest.err conftest.$ac_objext conftest.$ac_ext
		{ $as_echo "$as_me:${as_lineno-$LINENO}: result: $given_xopen_source" >&5
    colorize_result "$given_xopen_source" ; }
		if test $given_xopen_source = no; then
		  # On Solaris, with gcc, -std=iso9899:1999 in $ansi_options
		  # is often also needed in CPPFLAGS, because some feature
		  # definitions vary depending on such standards options.
		  case "${ansi_options}" in #(
  *-std=iso9899:1999*) :

		    # RUBY_APPEND_OPTIONS(CPPFLAGS)
	for rb_opt in ${ansi_options}; do
	case " ${CPPFLAGS-} " in #(
  *" ${rb_opt} "*) :
     ;; #(
  '  ') :
     CPPFLAGS="${rb_opt}" ;; #(
  *) :
     CPPFLAGS="$CPPFLAGS ${rb_opt}" ;;
esac
	done
		   ;; #(
  *) :
     ;;
esac
		  { $as_echo "$as_me:${as_lineno-$LINENO}: checking appropriate _XOPEN_SOURCE value to define" >&5
$as_echo_n "checking appropriate _XOPEN_SOURCE value to define... " >&6; }
		  define_xopen_source=""
		  for tmp_xpg in 7 6 5; do
		    if test x"$define_xopen_source" != x; then
		        break
		    fi
		    # Both AC_TRY_CPP and AC_TRY_COMPILE should pass
		    # because some options may not be set to CPPFLAGS.
		    cat confdefs.h - <<_ACEOF >conftest.$ac_ext
/* end confdefs.h.  */

			#define _XOPEN_SOURCE ${tmp_xpg}00
			#include <unistd.h>
			#ifndef _XPG${tmp_xpg}
			#error _XPG${tmp_xpg} should be defined by _XOPEN_SOURCE=${tmp_xpg}00
			#endif

_ACEOF
if ac_fn_c_try_cpp "$LINENO"; then :

			cat confdefs.h - <<_ACEOF >conftest.$ac_ext
/* end confdefs.h.  */

			#define _XOPEN_SOURCE ${tmp_xpg}00
			#include <unistd.h>
			#ifndef _XPG${tmp_xpg}
			#error _XPG${tmp_xpg} should be defined by _XOPEN_SOURCE=${tmp_xpg}00
			#endif

int
main ()
{

  ;
  return 0;
}
_ACEOF
if ac_fn_c_try_compile "$LINENO"; then :
  define_xopen_source=${tmp_xpg}00
fi
rm -f core conftest.err conftest.$ac_objext conftest.$ac_ext

fi
rm -f conftest.err conftest.i conftest.$ac_ext
		  done
		  if test x"$define_xopen_source" = x; then
		    define_xopen_source=no
		  fi
		  { $as_echo "$as_me:${as_lineno-$LINENO}: result: $define_xopen_source" >&5
    colorize_result "$define_xopen_source" ; }
		  if test x"$define_xopen_source" != xno; then
		    # RUBY_APPEND_OPTIONS(CPPFLAGS)
	for rb_opt in -D_XOPEN_SOURCE=$define_xopen_source; do
	case " ${CPPFLAGS-} " in #(
  *" ${rb_opt} "*) :
     ;; #(
  '  ') :
     CPPFLAGS="${rb_opt}" ;; #(
  *) :
     CPPFLAGS="$CPPFLAGS ${rb_opt}" ;;
esac
	done
		  fi
		fi
		 ;; #(
  haiku*) :

		LIBS="$LIBS" # m lib is include in root
		 ;; #(
  cygwin*) :
    	ac_cv_header_langinfo_h=yes
		# RUBY_APPEND_OPTIONS(CPPFLAGS)
	for rb_opt in -D_XOPEN_SOURCE -D_GNU_SOURCE; do
	case " ${CPPFLAGS-} " in #(
  *" ${rb_opt} "*) :
     ;; #(
  '  ') :
     CPPFLAGS="${rb_opt}" ;; #(
  *) :
     CPPFLAGS="$CPPFLAGS ${rb_opt}" ;;
esac
	done
		for ac_func in cygwin_conv_path
do :
  ac_fn_c_check_func "$LINENO" "cygwin_conv_path" "ac_cv_func_cygwin_conv_path"
if test "x$ac_cv_func_cygwin_conv_path" = xyes; then :
  cat >>confdefs.h <<_ACEOF
#define HAVE_CYGWIN_CONV_PATH 1
_ACEOF

fi
done

		case " $LIBOBJS " in
  *" langinfo.$ac_objext "* ) ;;
  *) LIBOBJS="$LIBOBJS langinfo.$ac_objext"
 ;;
esac

		 ;; #(
  mingw*) :
    	LIBS="-lshell32 -lws2_32 -liphlpapi -limagehlp -lshlwapi $LIBS"
		ac_cv_header_a_out_h=no
		ac_cv_header_pwd_h=no
		ac_cv_header_utime_h=no
		ac_cv_header_sys_ioctl_h=no
		ac_cv_header_sys_param_h=no
		ac_cv_header_sys_resource_h=no
		ac_cv_header_sys_select_h=no
		ac_cv_header_sys_time_h=no
		ac_cv_header_sys_times_h=no
		ac_cv_header_sys_socket_h=no
		ac_cv_func_lstat=yes
		ac_cv_func_times=yes
		ac_cv_func_waitpid=yes
		ac_cv_func_fsync=yes
		ac_cv_func_seekdir=yes
		ac_cv_func_telldir=yes
		ac_cv_func_isinf=yes
		ac_cv_func_isnan=yes
		ac_cv_func_finite=yes
		ac_cv_func_lchown=yes
		ac_cv_func_link=yes
		ac_cv_func_readlink=yes
		ac_cv_func_symlink=yes
		ac_cv_lib_crypt_crypt=no
		ac_cv_func_getpgrp_void=no
		ac_cv_func_memcmp_working=yes
		ac_cv_lib_dl_dlopen=no
		rb_cv_binary_elf=no
		rb_cv_negative_time_t=no
		ac_cv_func_fcntl=yes
		ac_cv_func_flock=yes
		ac_cv_func_gmtime_r=yes
		rb_cv_large_fd_select=yes
		ac_cv_type_struct_timeval=yes
                ac_cv_func_clock_gettime=yes
                ac_cv_func_clock_getres=yes
		ac_cv_func_malloc_usable_size=no
		if test "$target_cpu" = x64; then :

		    ac_cv_func___builtin_setjmp=no
		    ac_cv_func_round=no

fi
		ac_fn_c_check_type "$LINENO" "NET_LUID" "ac_cv_type_NET_LUID" "#include <winsock2.h>
			      #include <iphlpapi.h>
"
if test "x$ac_cv_type_NET_LUID" = xyes; then :

fi

		if test x"$ac_cv_type_NET_LUID" = xyes; then
		    $as_echo "#define HAVE_TYPE_NET_LUID 1" >>confdefs.h

		fi
		for ac_func in _gmtime64_s
do :
  ac_fn_c_check_func "$LINENO" "_gmtime64_s" "ac_cv_func__gmtime64_s"
if test "x$ac_cv_func__gmtime64_s" = xyes; then :
  cat >>confdefs.h <<_ACEOF
#define HAVE__GMTIME64_S 1
_ACEOF

fi
done

		for ac_func in _wfreopen_s
do :
  ac_fn_c_check_func "$LINENO" "_wfreopen_s" "ac_cv_func__wfreopen_s"
if test "x$ac_cv_func__wfreopen_s" = xyes; then :
  cat >>confdefs.h <<_ACEOF
#define HAVE__WFREOPEN_S 1
_ACEOF

fi
done

		case " $LIBOBJS " in
  *" langinfo.$ac_objext "* ) ;;
  *) LIBOBJS="$LIBOBJS langinfo.$ac_objext"
 ;;
esac

		 ;; #(
  bsdi*) :
    	LIBS="-lm $LIBS"
		$as_echo "#define BROKEN_SETREUID 1" >>confdefs.h

		$as_echo "#define BROKEN_SETREGID 1" >>confdefs.h

                ac_cv_sizeof_rlim_t=8 ;; #(
  freebsd*) :
    	LIBS="-lm $LIBS"
		ac_cv_func_getpeername=no
		ac_cv_func_getsockname=no
		ac_cv_func_shutdown=no
		ac_cv_func_close=no
		 ;; #(
  netbsd*) :
    	LIBS="-lm $LIBS"
		 ;; #(
  dragonfly*) :
    	LIBS="-lm $LIBS"
		# isinf() and isnan() are macros on DragonFly.
		ac_cv_func_isinf=yes
		ac_cv_func_isnan=yes
		 ;; #(
  aix*) :
    	LIBS="-lm $LIBS"
		ac_cv_func_round=no
		 ;; #(
  nacl) :

  LIBS="-lm $LIBS"
  if test "${nacl_cv_build_variant}" = "newlib"; then
    # RUBY_APPEND_OPTION(CPPFLAGS)
	case " ${CPPFLAGS-} " in #(
  *" -DNACL_NEWLIB "*) :
     ;; #(
  '  ') :
     CPPFLAGS="-DNACL_NEWLIB" ;; #(
  *) :
     CPPFLAGS="$CPPFLAGS -DNACL_NEWLIB" ;;
esac
  else
    # RUBY_APPEND_OPTION(XCFLAGS)
	case " ${XCFLAGS-} " in #(
  *" -fPIC "*) :
     ;; #(
  '  ') :
     XCFLAGS="-fPIC" ;; #(
  *) :
     XCFLAGS="$XCFLAGS -fPIC" ;;
esac
  fi
   ;; #(
  *) :
    	LIBS="-lm $LIBS" ;;
esac

{ $as_echo "$as_me:${as_lineno-$LINENO}: checking for crypt in -lcrypt" >&5
$as_echo_n "checking for crypt in -lcrypt... " >&6; }
if ${ac_cv_lib_crypt_crypt+:} false; then :
  $as_echo_n "(cached) " >&6
else
  ac_check_lib_save_LIBS=$LIBS
LIBS="-lcrypt  $LIBS"
cat confdefs.h - <<_ACEOF >conftest.$ac_ext
/* end confdefs.h.  */

/* Override any GCC internal prototype to avoid an error.
   Use char because int might match the return type of a GCC
   builtin and then its argument prototype would still apply.  */
#ifdef __cplusplus
extern "C"
#endif
char crypt ();
int
main ()
{
return crypt ();
  ;
  return 0;
}
_ACEOF
if ac_fn_c_try_link "$LINENO"; then :
  ac_cv_lib_crypt_crypt=yes
else
  ac_cv_lib_crypt_crypt=no
fi
rm -f core conftest.err conftest.$ac_objext \
    conftest$ac_exeext conftest.$ac_ext
LIBS=$ac_check_lib_save_LIBS
fi
{ $as_echo "$as_me:${as_lineno-$LINENO}: result: $ac_cv_lib_crypt_crypt" >&5
    colorize_result "$ac_cv_lib_crypt_crypt" ; }
if test "x$ac_cv_lib_crypt_crypt" = xyes; then :
  cat >>confdefs.h <<_ACEOF
#define HAVE_LIBCRYPT 1
_ACEOF

  LIBS="-lcrypt $LIBS"

fi
      # glibc (GNU/Linux, GNU/Hurd, GNU/kFreeBSD)
{ $as_echo "$as_me:${as_lineno-$LINENO}: checking for dlopen in -ldl" >&5
$as_echo_n "checking for dlopen in -ldl... " >&6; }
if ${ac_cv_lib_dl_dlopen+:} false; then :
  $as_echo_n "(cached) " >&6
else
  ac_check_lib_save_LIBS=$LIBS
LIBS="-ldl  $LIBS"
cat confdefs.h - <<_ACEOF >conftest.$ac_ext
/* end confdefs.h.  */

/* Override any GCC internal prototype to avoid an error.
   Use char because int might match the return type of a GCC
   builtin and then its argument prototype would still apply.  */
#ifdef __cplusplus
extern "C"
#endif
char dlopen ();
int
main ()
{
return dlopen ();
  ;
  return 0;
}
_ACEOF
if ac_fn_c_try_link "$LINENO"; then :
  ac_cv_lib_dl_dlopen=yes
else
  ac_cv_lib_dl_dlopen=no
fi
rm -f core conftest.err conftest.$ac_objext \
    conftest$ac_exeext conftest.$ac_ext
LIBS=$ac_check_lib_save_LIBS
fi
{ $as_echo "$as_me:${as_lineno-$LINENO}: result: $ac_cv_lib_dl_dlopen" >&5
    colorize_result "$ac_cv_lib_dl_dlopen" ; }
if test "x$ac_cv_lib_dl_dlopen" = xyes; then :
  cat >>confdefs.h <<_ACEOF
#define HAVE_LIBDL 1
_ACEOF

  LIBS="-ldl $LIBS"

fi
	# Dynamic linking for SunOS/Solaris and SYSV
{ $as_echo "$as_me:${as_lineno-$LINENO}: checking for shl_load in -ldld" >&5
$as_echo_n "checking for shl_load in -ldld... " >&6; }
if ${ac_cv_lib_dld_shl_load+:} false; then :
  $as_echo_n "(cached) " >&6
else
  ac_check_lib_save_LIBS=$LIBS
LIBS="-ldld  $LIBS"
cat confdefs.h - <<_ACEOF >conftest.$ac_ext
/* end confdefs.h.  */

/* Override any GCC internal prototype to avoid an error.
   Use char because int might match the return type of a GCC
   builtin and then its argument prototype would still apply.  */
#ifdef __cplusplus
extern "C"
#endif
char shl_load ();
int
main ()
{
return shl_load ();
  ;
  return 0;
}
_ACEOF
if ac_fn_c_try_link "$LINENO"; then :
  ac_cv_lib_dld_shl_load=yes
else
  ac_cv_lib_dld_shl_load=no
fi
rm -f core conftest.err conftest.$ac_objext \
    conftest$ac_exeext conftest.$ac_ext
LIBS=$ac_check_lib_save_LIBS
fi
{ $as_echo "$as_me:${as_lineno-$LINENO}: result: $ac_cv_lib_dld_shl_load" >&5
    colorize_result "$ac_cv_lib_dld_shl_load" ; }
if test "x$ac_cv_lib_dld_shl_load" = xyes; then :
  cat >>confdefs.h <<_ACEOF
#define HAVE_LIBDLD 1
_ACEOF

  LIBS="-ldld $LIBS"

fi
	# Dynamic linking for HP-UX
{ $as_echo "$as_me:${as_lineno-$LINENO}: checking for shutdown in -lsocket" >&5
$as_echo_n "checking for shutdown in -lsocket... " >&6; }
if ${ac_cv_lib_socket_shutdown+:} false; then :
  $as_echo_n "(cached) " >&6
else
  ac_check_lib_save_LIBS=$LIBS
LIBS="-lsocket  $LIBS"
cat confdefs.h - <<_ACEOF >conftest.$ac_ext
/* end confdefs.h.  */

/* Override any GCC internal prototype to avoid an error.
   Use char because int might match the return type of a GCC
   builtin and then its argument prototype would still apply.  */
#ifdef __cplusplus
extern "C"
#endif
char shutdown ();
int
main ()
{
return shutdown ();
  ;
  return 0;
}
_ACEOF
if ac_fn_c_try_link "$LINENO"; then :
  ac_cv_lib_socket_shutdown=yes
else
  ac_cv_lib_socket_shutdown=no
fi
rm -f core conftest.err conftest.$ac_objext \
    conftest$ac_exeext conftest.$ac_ext
LIBS=$ac_check_lib_save_LIBS
fi
{ $as_echo "$as_me:${as_lineno-$LINENO}: result: $ac_cv_lib_socket_shutdown" >&5
    colorize_result "$ac_cv_lib_socket_shutdown" ; }
if test "x$ac_cv_lib_socket_shutdown" = xyes; then :
  cat >>confdefs.h <<_ACEOF
#define HAVE_LIBSOCKET 1
_ACEOF

  LIBS="-lsocket $LIBS"

fi
  # SunOS/Solaris

ac_header_dirent=no
for ac_hdr in dirent.h sys/ndir.h sys/dir.h ndir.h; do
  as_ac_Header=`$as_echo "ac_cv_header_dirent_$ac_hdr" | $as_tr_sh`
{ $as_echo "$as_me:${as_lineno-$LINENO}: checking for $ac_hdr that defines DIR" >&5
$as_echo_n "checking for $ac_hdr that defines DIR... " >&6; }
if eval \${$as_ac_Header+:} false; then :
  $as_echo_n "(cached) " >&6
else
  cat confdefs.h - <<_ACEOF >conftest.$ac_ext
/* end confdefs.h.  */
#include <sys/types.h>
#include <$ac_hdr>

int
main ()
{
if ((DIR *) 0)
return 0;
  ;
  return 0;
}
_ACEOF
if ac_fn_c_try_compile "$LINENO"; then :
  eval "$as_ac_Header=yes"
else
  eval "$as_ac_Header=no"
fi
rm -f core conftest.err conftest.$ac_objext conftest.$ac_ext
fi
eval ac_res=\$$as_ac_Header
	       { $as_echo "$as_me:${as_lineno-$LINENO}: result: $ac_res" >&5
    colorize_result "$ac_res" ; }
if eval test \"x\$"$as_ac_Header"\" = x"yes"; then :
  cat >>confdefs.h <<_ACEOF
#define `$as_echo "HAVE_$ac_hdr" | $as_tr_cpp` 1
_ACEOF

ac_header_dirent=$ac_hdr; break
fi

done
# Two versions of opendir et al. are in -ldir and -lx on SCO Xenix.
if test $ac_header_dirent = dirent.h; then
  { $as_echo "$as_me:${as_lineno-$LINENO}: checking for library containing opendir" >&5
$as_echo_n "checking for library containing opendir... " >&6; }
if ${ac_cv_search_opendir+:} false; then :
  $as_echo_n "(cached) " >&6
else
  ac_func_search_save_LIBS=$LIBS
cat confdefs.h - <<_ACEOF >conftest.$ac_ext
/* end confdefs.h.  */

/* Override any GCC internal prototype to avoid an error.
   Use char because int might match the return type of a GCC
   builtin and then its argument prototype would still apply.  */
#ifdef __cplusplus
extern "C"
#endif
char opendir ();
int
main ()
{
return opendir ();
  ;
  return 0;
}
_ACEOF
for ac_lib in '' dir; do
  if test -z "$ac_lib"; then
    ac_res="none required"
  else
    ac_res=-l$ac_lib
    LIBS="-l$ac_lib  $ac_func_search_save_LIBS"
  fi
  if ac_fn_c_try_link "$LINENO"; then :
  ac_cv_search_opendir=$ac_res
fi
rm -f core conftest.err conftest.$ac_objext \
    conftest$ac_exeext
  if ${ac_cv_search_opendir+:} false; then :
  break
fi
done
if ${ac_cv_search_opendir+:} false; then :

else
  ac_cv_search_opendir=no
fi
rm conftest.$ac_ext
LIBS=$ac_func_search_save_LIBS
fi
{ $as_echo "$as_me:${as_lineno-$LINENO}: result: $ac_cv_search_opendir" >&5
    colorize_result "$ac_cv_search_opendir" ; }
ac_res=$ac_cv_search_opendir
if test "$ac_res" != no; then :
  test "$ac_res" = "none required" || LIBS="$ac_res $LIBS"

fi

else
  { $as_echo "$as_me:${as_lineno-$LINENO}: checking for library containing opendir" >&5
$as_echo_n "checking for library containing opendir... " >&6; }
if ${ac_cv_search_opendir+:} false; then :
  $as_echo_n "(cached) " >&6
else
  ac_func_search_save_LIBS=$LIBS
cat confdefs.h - <<_ACEOF >conftest.$ac_ext
/* end confdefs.h.  */

/* Override any GCC internal prototype to avoid an error.
   Use char because int might match the return type of a GCC
   builtin and then its argument prototype would still apply.  */
#ifdef __cplusplus
extern "C"
#endif
char opendir ();
int
main ()
{
return opendir ();
  ;
  return 0;
}
_ACEOF
for ac_lib in '' x; do
  if test -z "$ac_lib"; then
    ac_res="none required"
  else
    ac_res=-l$ac_lib
    LIBS="-l$ac_lib  $ac_func_search_save_LIBS"
  fi
  if ac_fn_c_try_link "$LINENO"; then :
  ac_cv_search_opendir=$ac_res
fi
rm -f core conftest.err conftest.$ac_objext \
    conftest$ac_exeext
  if ${ac_cv_search_opendir+:} false; then :
  break
fi
done
if ${ac_cv_search_opendir+:} false; then :

else
  ac_cv_search_opendir=no
fi
rm conftest.$ac_ext
LIBS=$ac_func_search_save_LIBS
fi
{ $as_echo "$as_me:${as_lineno-$LINENO}: result: $ac_cv_search_opendir" >&5
    colorize_result "$ac_cv_search_opendir" ; }
ac_res=$ac_cv_search_opendir
if test "$ac_res" != no; then :
  test "$ac_res" = "none required" || LIBS="$ac_res $LIBS"

fi

fi

{ $as_echo "$as_me:${as_lineno-$LINENO}: checking for stdbool.h that conforms to C99" >&5
$as_echo_n "checking for stdbool.h that conforms to C99... " >&6; }
if ${ac_cv_header_stdbool_h+:} false; then :
  $as_echo_n "(cached) " >&6
else
  cat confdefs.h - <<_ACEOF >conftest.$ac_ext
/* end confdefs.h.  */

             #include <stdbool.h>
             #ifndef bool
              "error: bool is not defined"
             #endif
             #ifndef false
              "error: false is not defined"
             #endif
             #if false
              "error: false is not 0"
             #endif
             #ifndef true
              "error: true is not defined"
             #endif
             #if true != 1
              "error: true is not 1"
             #endif
             #ifndef __bool_true_false_are_defined
              "error: __bool_true_false_are_defined is not defined"
             #endif

             struct s { _Bool s: 1; _Bool t; } s;

             char a[true == 1 ? 1 : -1];
             char b[false == 0 ? 1 : -1];
             char c[__bool_true_false_are_defined == 1 ? 1 : -1];
             char d[(bool) 0.5 == true ? 1 : -1];
             /* See body of main program for 'e'.  */
             char f[(_Bool) 0.0 == false ? 1 : -1];
             char g[true];
             char h[sizeof (_Bool)];
             char i[sizeof s.t];
             enum { j = false, k = true, l = false * true, m = true * 256 };
             /* The following fails for
                HP aC++/ANSI C B3910B A.05.55 [Dec 04 2003]. */
             _Bool n[m];
             char o[sizeof n == m * sizeof n[0] ? 1 : -1];
             char p[-1 - (_Bool) 0 < 0 && -1 - (bool) 0 < 0 ? 1 : -1];
             /* Catch a bug in an HP-UX C compiler.  See
                http://gcc.gnu.org/ml/gcc-patches/2003-12/msg02303.html
                http://lists.gnu.org/archive/html/bug-coreutils/2005-11/msg00161.html
              */
             _Bool q = true;
             _Bool *pq = &q;

int
main ()
{

             bool e = &s;
             *pq |= q;
             *pq |= ! q;
             /* Refer to every declared value, to avoid compiler optimizations.  */
             return (!a + !b + !c + !d + !e + !f + !g + !h + !i + !!j + !k + !!l
                     + !m + !n + !o + !p + !q + !pq);

  ;
  return 0;
}
_ACEOF
if ac_fn_c_try_compile "$LINENO"; then :
  ac_cv_header_stdbool_h=yes
else
  ac_cv_header_stdbool_h=no
fi
rm -f core conftest.err conftest.$ac_objext conftest.$ac_ext
fi
{ $as_echo "$as_me:${as_lineno-$LINENO}: result: $ac_cv_header_stdbool_h" >&5
    colorize_result "$ac_cv_header_stdbool_h" ; }
   ac_fn_c_check_type "$LINENO" "_Bool" "ac_cv_type__Bool" "$ac_includes_default"
if test "x$ac_cv_type__Bool" = xyes; then :

cat >>confdefs.h <<_ACEOF
#define HAVE__BOOL 1
_ACEOF


fi


if test $ac_cv_header_stdbool_h = yes; then

$as_echo "#define HAVE_STDBOOL_H 1" >>confdefs.h

fi

{ $as_echo "$as_me:${as_lineno-$LINENO}: checking for sys/wait.h that is POSIX.1 compatible" >&5
$as_echo_n "checking for sys/wait.h that is POSIX.1 compatible... " >&6; }
if ${ac_cv_header_sys_wait_h+:} false; then :
  $as_echo_n "(cached) " >&6
else
  cat confdefs.h - <<_ACEOF >conftest.$ac_ext
/* end confdefs.h.  */
#include <sys/types.h>
#include <sys/wait.h>
#ifndef WEXITSTATUS
# define WEXITSTATUS(stat_val) ((unsigned int) (stat_val) >> 8)
#endif
#ifndef WIFEXITED
# define WIFEXITED(stat_val) (((stat_val) & 255) == 0)
#endif

int
main ()
{
  int s;
  wait (&s);
  s = WIFEXITED (s) ? WEXITSTATUS (s) : 1;
  ;
  return 0;
}
_ACEOF
if ac_fn_c_try_compile "$LINENO"; then :
  ac_cv_header_sys_wait_h=yes
else
  ac_cv_header_sys_wait_h=no
fi
rm -f core conftest.err conftest.$ac_objext conftest.$ac_ext
fi
{ $as_echo "$as_me:${as_lineno-$LINENO}: result: $ac_cv_header_sys_wait_h" >&5
    colorize_result "$ac_cv_header_sys_wait_h" ; }
if test $ac_cv_header_sys_wait_h = yes; then

$as_echo "#define HAVE_SYS_WAIT_H 1" >>confdefs.h

fi


for ac_header in a.out.h
do :
  ac_fn_c_check_header_mongrel "$LINENO" "a.out.h" "ac_cv_header_a_out_h" "$ac_includes_default"
if test "x$ac_cv_header_a_out_h" = xyes; then :
  cat >>confdefs.h <<_ACEOF
#define HAVE_A_OUT_H 1
_ACEOF

fi

done

for ac_header in atomic.h
do :
  ac_fn_c_check_header_mongrel "$LINENO" "atomic.h" "ac_cv_header_atomic_h" "$ac_includes_default"
if test "x$ac_cv_header_atomic_h" = xyes; then :
  cat >>confdefs.h <<_ACEOF
#define HAVE_ATOMIC_H 1
_ACEOF

fi

done

for ac_header in direct.h
do :
  ac_fn_c_check_header_mongrel "$LINENO" "direct.h" "ac_cv_header_direct_h" "$ac_includes_default"
if test "x$ac_cv_header_direct_h" = xyes; then :
  cat >>confdefs.h <<_ACEOF
#define HAVE_DIRECT_H 1
_ACEOF

fi

done

for ac_header in grp.h
do :
  ac_fn_c_check_header_mongrel "$LINENO" "grp.h" "ac_cv_header_grp_h" "$ac_includes_default"
if test "x$ac_cv_header_grp_h" = xyes; then :
  cat >>confdefs.h <<_ACEOF
#define HAVE_GRP_H 1
_ACEOF

fi

done

for ac_header in fcntl.h
do :
  ac_fn_c_check_header_mongrel "$LINENO" "fcntl.h" "ac_cv_header_fcntl_h" "$ac_includes_default"
if test "x$ac_cv_header_fcntl_h" = xyes; then :
  cat >>confdefs.h <<_ACEOF
#define HAVE_FCNTL_H 1
_ACEOF

fi

done

for ac_header in float.h
do :
  ac_fn_c_check_header_mongrel "$LINENO" "float.h" "ac_cv_header_float_h" "$ac_includes_default"
if test "x$ac_cv_header_float_h" = xyes; then :
  cat >>confdefs.h <<_ACEOF
#define HAVE_FLOAT_H 1
_ACEOF

fi

done

for ac_header in ieeefp.h
do :
  ac_fn_c_check_header_mongrel "$LINENO" "ieeefp.h" "ac_cv_header_ieeefp_h" "$ac_includes_default"
if test "x$ac_cv_header_ieeefp_h" = xyes; then :
  cat >>confdefs.h <<_ACEOF
#define HAVE_IEEEFP_H 1
_ACEOF

fi

done

for ac_header in intrinsics.h
do :
  ac_fn_c_check_header_mongrel "$LINENO" "intrinsics.h" "ac_cv_header_intrinsics_h" "$ac_includes_default"
if test "x$ac_cv_header_intrinsics_h" = xyes; then :
  cat >>confdefs.h <<_ACEOF
#define HAVE_INTRINSICS_H 1
_ACEOF

fi

done

for ac_header in langinfo.h
do :
  ac_fn_c_check_header_mongrel "$LINENO" "langinfo.h" "ac_cv_header_langinfo_h" "$ac_includes_default"
if test "x$ac_cv_header_langinfo_h" = xyes; then :
  cat >>confdefs.h <<_ACEOF
#define HAVE_LANGINFO_H 1
_ACEOF

fi

done

for ac_header in limits.h
do :
  ac_fn_c_check_header_mongrel "$LINENO" "limits.h" "ac_cv_header_limits_h" "$ac_includes_default"
if test "x$ac_cv_header_limits_h" = xyes; then :
  cat >>confdefs.h <<_ACEOF
#define HAVE_LIMITS_H 1
_ACEOF

fi

done

for ac_header in locale.h
do :
  ac_fn_c_check_header_mongrel "$LINENO" "locale.h" "ac_cv_header_locale_h" "$ac_includes_default"
if test "x$ac_cv_header_locale_h" = xyes; then :
  cat >>confdefs.h <<_ACEOF
#define HAVE_LOCALE_H 1
_ACEOF

fi

done

for ac_header in malloc.h
do :
  ac_fn_c_check_header_mongrel "$LINENO" "malloc.h" "ac_cv_header_malloc_h" "$ac_includes_default"
if test "x$ac_cv_header_malloc_h" = xyes; then :
  cat >>confdefs.h <<_ACEOF
#define HAVE_MALLOC_H 1
_ACEOF

fi

done

for ac_header in malloc/malloc.h
do :
  ac_fn_c_check_header_mongrel "$LINENO" "malloc/malloc.h" "ac_cv_header_malloc_malloc_h" "$ac_includes_default"
if test "x$ac_cv_header_malloc_malloc_h" = xyes; then :
  cat >>confdefs.h <<_ACEOF
#define HAVE_MALLOC_MALLOC_H 1
_ACEOF

fi

done

for ac_header in malloc_np.h
do :
  ac_fn_c_check_header_mongrel "$LINENO" "malloc_np.h" "ac_cv_header_malloc_np_h" "$ac_includes_default"
if test "x$ac_cv_header_malloc_np_h" = xyes; then :
  cat >>confdefs.h <<_ACEOF
#define HAVE_MALLOC_NP_H 1
_ACEOF

fi

done

for ac_header in net/socket.h
do :
  ac_fn_c_check_header_mongrel "$LINENO" "net/socket.h" "ac_cv_header_net_socket_h" "$ac_includes_default"
if test "x$ac_cv_header_net_socket_h" = xyes; then :
  cat >>confdefs.h <<_ACEOF
#define HAVE_NET_SOCKET_H 1
_ACEOF

fi

done

for ac_header in process.h
do :
  ac_fn_c_check_header_mongrel "$LINENO" "process.h" "ac_cv_header_process_h" "$ac_includes_default"
if test "x$ac_cv_header_process_h" = xyes; then :
  cat >>confdefs.h <<_ACEOF
#define HAVE_PROCESS_H 1
_ACEOF

fi

done

for ac_header in pwd.h
do :
  ac_fn_c_check_header_mongrel "$LINENO" "pwd.h" "ac_cv_header_pwd_h" "$ac_includes_default"
if test "x$ac_cv_header_pwd_h" = xyes; then :
  cat >>confdefs.h <<_ACEOF
#define HAVE_PWD_H 1
_ACEOF

fi

done

for ac_header in setjmpex.h
do :
  ac_fn_c_check_header_mongrel "$LINENO" "setjmpex.h" "ac_cv_header_setjmpex_h" "$ac_includes_default"
if test "x$ac_cv_header_setjmpex_h" = xyes; then :
  cat >>confdefs.h <<_ACEOF
#define HAVE_SETJMPEX_H 1
_ACEOF

fi

done

for ac_header in sys/attr.h
do :
  ac_fn_c_check_header_mongrel "$LINENO" "sys/attr.h" "ac_cv_header_sys_attr_h" "$ac_includes_default"
if test "x$ac_cv_header_sys_attr_h" = xyes; then :
  cat >>confdefs.h <<_ACEOF
#define HAVE_SYS_ATTR_H 1
_ACEOF

fi

done

for ac_header in sys/fcntl.h
do :
  ac_fn_c_check_header_mongrel "$LINENO" "sys/fcntl.h" "ac_cv_header_sys_fcntl_h" "$ac_includes_default"
if test "x$ac_cv_header_sys_fcntl_h" = xyes; then :
  cat >>confdefs.h <<_ACEOF
#define HAVE_SYS_FCNTL_H 1
_ACEOF

fi

done

for ac_header in sys/file.h
do :
  ac_fn_c_check_header_mongrel "$LINENO" "sys/file.h" "ac_cv_header_sys_file_h" "$ac_includes_default"
if test "x$ac_cv_header_sys_file_h" = xyes; then :
  cat >>confdefs.h <<_ACEOF
#define HAVE_SYS_FILE_H 1
_ACEOF

fi

done

for ac_header in sys/id.h
do :
  ac_fn_c_check_header_mongrel "$LINENO" "sys/id.h" "ac_cv_header_sys_id_h" "$ac_includes_default"
if test "x$ac_cv_header_sys_id_h" = xyes; then :
  cat >>confdefs.h <<_ACEOF
#define HAVE_SYS_ID_H 1
_ACEOF

fi

done

for ac_header in sys/ioctl.h
do :
  ac_fn_c_check_header_mongrel "$LINENO" "sys/ioctl.h" "ac_cv_header_sys_ioctl_h" "$ac_includes_default"
if test "x$ac_cv_header_sys_ioctl_h" = xyes; then :
  cat >>confdefs.h <<_ACEOF
#define HAVE_SYS_IOCTL_H 1
_ACEOF

fi

done

for ac_header in sys/mkdev.h
do :
  ac_fn_c_check_header_mongrel "$LINENO" "sys/mkdev.h" "ac_cv_header_sys_mkdev_h" "$ac_includes_default"
if test "x$ac_cv_header_sys_mkdev_h" = xyes; then :
  cat >>confdefs.h <<_ACEOF
#define HAVE_SYS_MKDEV_H 1
_ACEOF

fi

done

for ac_header in sys/param.h
do :
  ac_fn_c_check_header_mongrel "$LINENO" "sys/param.h" "ac_cv_header_sys_param_h" "$ac_includes_default"
if test "x$ac_cv_header_sys_param_h" = xyes; then :
  cat >>confdefs.h <<_ACEOF
#define HAVE_SYS_PARAM_H 1
_ACEOF

fi

done

for ac_header in sys/prctl.h
do :
  ac_fn_c_check_header_mongrel "$LINENO" "sys/prctl.h" "ac_cv_header_sys_prctl_h" "$ac_includes_default"
if test "x$ac_cv_header_sys_prctl_h" = xyes; then :
  cat >>confdefs.h <<_ACEOF
#define HAVE_SYS_PRCTL_H 1
_ACEOF

fi

done

for ac_header in sys/resource.h
do :
  ac_fn_c_check_header_mongrel "$LINENO" "sys/resource.h" "ac_cv_header_sys_resource_h" "$ac_includes_default"
if test "x$ac_cv_header_sys_resource_h" = xyes; then :
  cat >>confdefs.h <<_ACEOF
#define HAVE_SYS_RESOURCE_H 1
_ACEOF

fi

done

for ac_header in sys/select.h
do :
  ac_fn_c_check_header_mongrel "$LINENO" "sys/select.h" "ac_cv_header_sys_select_h" "$ac_includes_default"
if test "x$ac_cv_header_sys_select_h" = xyes; then :
  cat >>confdefs.h <<_ACEOF
#define HAVE_SYS_SELECT_H 1
_ACEOF

fi

done

for ac_header in sys/sendfile.h
do :
  ac_fn_c_check_header_mongrel "$LINENO" "sys/sendfile.h" "ac_cv_header_sys_sendfile_h" "$ac_includes_default"
if test "x$ac_cv_header_sys_sendfile_h" = xyes; then :
  cat >>confdefs.h <<_ACEOF
#define HAVE_SYS_SENDFILE_H 1
_ACEOF

fi

done

for ac_header in sys/socket.h
do :
  ac_fn_c_check_header_mongrel "$LINENO" "sys/socket.h" "ac_cv_header_sys_socket_h" "$ac_includes_default"
if test "x$ac_cv_header_sys_socket_h" = xyes; then :
  cat >>confdefs.h <<_ACEOF
#define HAVE_SYS_SOCKET_H 1
_ACEOF

fi

done

for ac_header in sys/syscall.h
do :
  ac_fn_c_check_header_mongrel "$LINENO" "sys/syscall.h" "ac_cv_header_sys_syscall_h" "$ac_includes_default"
if test "x$ac_cv_header_sys_syscall_h" = xyes; then :
  cat >>confdefs.h <<_ACEOF
#define HAVE_SYS_SYSCALL_H 1
_ACEOF

fi

done

for ac_header in sys/sysmacros.h
do :
  ac_fn_c_check_header_mongrel "$LINENO" "sys/sysmacros.h" "ac_cv_header_sys_sysmacros_h" "$ac_includes_default"
if test "x$ac_cv_header_sys_sysmacros_h" = xyes; then :
  cat >>confdefs.h <<_ACEOF
#define HAVE_SYS_SYSMACROS_H 1
_ACEOF

fi

done

for ac_header in sys/time.h
do :
  ac_fn_c_check_header_mongrel "$LINENO" "sys/time.h" "ac_cv_header_sys_time_h" "$ac_includes_default"
if test "x$ac_cv_header_sys_time_h" = xyes; then :
  cat >>confdefs.h <<_ACEOF
#define HAVE_SYS_TIME_H 1
_ACEOF

fi

done

for ac_header in sys/times.h
do :
  ac_fn_c_check_header_mongrel "$LINENO" "sys/times.h" "ac_cv_header_sys_times_h" "$ac_includes_default"
if test "x$ac_cv_header_sys_times_h" = xyes; then :
  cat >>confdefs.h <<_ACEOF
#define HAVE_SYS_TIMES_H 1
_ACEOF

fi

done

for ac_header in sys/uio.h
do :
  ac_fn_c_check_header_mongrel "$LINENO" "sys/uio.h" "ac_cv_header_sys_uio_h" "$ac_includes_default"
if test "x$ac_cv_header_sys_uio_h" = xyes; then :
  cat >>confdefs.h <<_ACEOF
#define HAVE_SYS_UIO_H 1
_ACEOF

fi

done

for ac_header in sys/utime.h
do :
  ac_fn_c_check_header_mongrel "$LINENO" "sys/utime.h" "ac_cv_header_sys_utime_h" "$ac_includes_default"
if test "x$ac_cv_header_sys_utime_h" = xyes; then :
  cat >>confdefs.h <<_ACEOF
#define HAVE_SYS_UTIME_H 1
_ACEOF

fi

done

for ac_header in syscall.h
do :
  ac_fn_c_check_header_mongrel "$LINENO" "syscall.h" "ac_cv_header_syscall_h" "$ac_includes_default"
if test "x$ac_cv_header_syscall_h" = xyes; then :
  cat >>confdefs.h <<_ACEOF
#define HAVE_SYSCALL_H 1
_ACEOF

fi

done

for ac_header in time.h
do :
  ac_fn_c_check_header_mongrel "$LINENO" "time.h" "ac_cv_header_time_h" "$ac_includes_default"
if test "x$ac_cv_header_time_h" = xyes; then :
  cat >>confdefs.h <<_ACEOF
#define HAVE_TIME_H 1
_ACEOF

fi

done

for ac_header in ucontext.h
do :
  ac_fn_c_check_header_mongrel "$LINENO" "ucontext.h" "ac_cv_header_ucontext_h" "$ac_includes_default"
if test "x$ac_cv_header_ucontext_h" = xyes; then :
  cat >>confdefs.h <<_ACEOF
#define HAVE_UCONTEXT_H 1
_ACEOF

fi

done

for ac_header in utime.h
do :
  ac_fn_c_check_header_mongrel "$LINENO" "utime.h" "ac_cv_header_utime_h" "$ac_includes_default"
if test "x$ac_cv_header_utime_h" = xyes; then :
  cat >>confdefs.h <<_ACEOF
#define HAVE_UTIME_H 1
_ACEOF

fi

done



# Check whether --with-gmp was given.
if test "${with_gmp+set}" = set; then :
  withval=$with_gmp;
else
  with_gmp=yes
fi

if test "x$with_gmp" != xno; then :
  for ac_header in gmp.h
do :
  ac_fn_c_check_header_mongrel "$LINENO" "gmp.h" "ac_cv_header_gmp_h" "$ac_includes_default"
if test "x$ac_cv_header_gmp_h" = xyes; then :
  cat >>confdefs.h <<_ACEOF
#define HAVE_GMP_H 1
_ACEOF

fi

done

   if test "x$ac_cv_header_gmp_h" != xno; then :
  { $as_echo "$as_me:${as_lineno-$LINENO}: checking for library containing __gmpz_init" >&5
$as_echo_n "checking for library containing __gmpz_init... " >&6; }
if ${ac_cv_search___gmpz_init+:} false; then :
  $as_echo_n "(cached) " >&6
else
  ac_func_search_save_LIBS=$LIBS
cat confdefs.h - <<_ACEOF >conftest.$ac_ext
/* end confdefs.h.  */

/* Override any GCC internal prototype to avoid an error.
   Use char because int might match the return type of a GCC
   builtin and then its argument prototype would still apply.  */
#ifdef __cplusplus
extern "C"
#endif
char __gmpz_init ();
int
main ()
{
return __gmpz_init ();
  ;
  return 0;
}
_ACEOF
for ac_lib in '' gmp; do
  if test -z "$ac_lib"; then
    ac_res="none required"
  else
    ac_res=-l$ac_lib
    LIBS="-l$ac_lib  $ac_func_search_save_LIBS"
  fi
  if ac_fn_c_try_link "$LINENO"; then :
  ac_cv_search___gmpz_init=$ac_res
fi
rm -f core conftest.err conftest.$ac_objext \
    conftest$ac_exeext
  if ${ac_cv_search___gmpz_init+:} false; then :
  break
fi
done
if ${ac_cv_search___gmpz_init+:} false; then :

else
  ac_cv_search___gmpz_init=no
fi
rm conftest.$ac_ext
LIBS=$ac_func_search_save_LIBS
fi
{ $as_echo "$as_me:${as_lineno-$LINENO}: result: $ac_cv_search___gmpz_init" >&5
    colorize_result "$ac_cv_search___gmpz_init" ; }
ac_res=$ac_cv_search___gmpz_init
if test "$ac_res" != no; then :
  test "$ac_res" = "none required" || LIBS="$ac_res $LIBS"
  $as_echo "#define HAVE_LIBGMP 1" >>confdefs.h

fi

fi
fi


# Check whether --with-jemalloc was given.
if test "${with_jemalloc+set}" = set; then :
  withval=$with_jemalloc; with_jemalloc=$withval
else
  with_jemalloc=no
fi

if test "x$with_jemalloc" = xyes; then :

  { $as_echo "$as_me:${as_lineno-$LINENO}: checking for library containing malloc_conf" >&5
$as_echo_n "checking for library containing malloc_conf... " >&6; }
if ${ac_cv_search_malloc_conf+:} false; then :
  $as_echo_n "(cached) " >&6
else
  ac_func_search_save_LIBS=$LIBS
cat confdefs.h - <<_ACEOF >conftest.$ac_ext
/* end confdefs.h.  */

/* Override any GCC internal prototype to avoid an error.
   Use char because int might match the return type of a GCC
   builtin and then its argument prototype would still apply.  */
#ifdef __cplusplus
extern "C"
#endif
char malloc_conf ();
int
main ()
{
return malloc_conf ();
  ;
  return 0;
}
_ACEOF
for ac_lib in '' jemalloc; do
  if test -z "$ac_lib"; then
    ac_res="none required"
  else
    ac_res=-l$ac_lib
    LIBS="-l$ac_lib  $ac_func_search_save_LIBS"
  fi
  if ac_fn_c_try_link "$LINENO"; then :
  ac_cv_search_malloc_conf=$ac_res
fi
rm -f core conftest.err conftest.$ac_objext \
    conftest$ac_exeext
  if ${ac_cv_search_malloc_conf+:} false; then :
  break
fi
done
if ${ac_cv_search_malloc_conf+:} false; then :

else
  ac_cv_search_malloc_conf=no
fi
rm conftest.$ac_ext
LIBS=$ac_func_search_save_LIBS
fi
{ $as_echo "$as_me:${as_lineno-$LINENO}: result: $ac_cv_search_malloc_conf" >&5
    colorize_result "$ac_cv_search_malloc_conf" ; }
ac_res=$ac_cv_search_malloc_conf
if test "$ac_res" != no; then :
  test "$ac_res" = "none required" || LIBS="$ac_res $LIBS"
  $as_echo "#define HAVE_LIBJEMALLOC 1" >>confdefs.h

else
  with_jemalloc=no
fi

  ac_fn_c_check_header_mongrel "$LINENO" "jemalloc/jemalloc.h" "ac_cv_header_jemalloc_jemalloc_h" "$ac_includes_default"
if test "x$ac_cv_header_jemalloc_jemalloc_h" = xyes; then :

    $as_echo "#define RUBY_ALTERNATIVE_MALLOC_HEADER <jemalloc/jemalloc.h>" >>confdefs.h


fi


  if test "x$with_jemalloc" = xno; then :

    { $as_echo "$as_me:${as_lineno-$LINENO}: checking for jemalloc with JEMALLOC_MANGLE" >&5
$as_echo_n "checking for jemalloc with JEMALLOC_MANGLE... " >&6; }
if ${rb_cv_jemalloc_demangle+:} false; then :
  $as_echo_n "(cached) " >&6
else
  cat confdefs.h - <<_ACEOF >conftest.$ac_ext
/* end confdefs.h.  */
#define JEMALLOC_MANGLE 1
      #ifdef RUBY_ALTERNATIVE_MALLOC_HEADER
      #include RUBY_ALTERNATIVE_MALLOC_HEADER
      #else
      #include <jemalloc.h>
      #endif
int
main ()
{
return !&malloc_conf
  ;
  return 0;
}
_ACEOF
if ac_fn_c_try_link "$LINENO"; then :
  rb_cv_jemalloc_demangle=yes
else
  rb_cv_jemalloc_demangle=no
fi
rm -f core conftest.err conftest.$ac_objext \
    conftest$ac_exeext conftest.$ac_ext

fi
{ $as_echo "$as_me:${as_lineno-$LINENO}: result: $rb_cv_jemalloc_demangle" >&5
    colorize_result "$rb_cv_jemalloc_demangle" ; }

fi
  if test "x$rb_cv_jemalloc_demangle" = xyes; then :

    $as_echo "#define JEMALLOC_MANGLE 1" >>confdefs.h

    with_jemalloc=yes

fi
  if test "x$with_jemalloc" = xyes; then :

      ac_cv_func_malloc_usable_size=yes

else
  as_fn_error $? "jemalloc requested but not found" "$LINENO" 5

fi

fi

mv confdefs.h confdefs1.h
: > confdefs.h
# Check whether --enable-largefile was given.
if test "${enable_largefile+set}" = set; then :
  enableval=$enable_largefile;
fi

if test "$enable_largefile" != no; then

  { $as_echo "$as_me:${as_lineno-$LINENO}: checking for special C compiler options needed for large files" >&5
$as_echo_n "checking for special C compiler options needed for large files... " >&6; }
if ${ac_cv_sys_largefile_CC+:} false; then :
  $as_echo_n "(cached) " >&6
else
  ac_cv_sys_largefile_CC=no
     if test "$GCC" != yes; then
       ac_save_CC=$CC
       while :; do
	 # IRIX 6.2 and later do not support large files by default,
	 # so use the C compiler's -n32 option if that helps.
	 cat confdefs.h - <<_ACEOF >conftest.$ac_ext
/* end confdefs.h.  */
#include <sys/types.h>
 /* Check that off_t can represent 2**63 - 1 correctly.
    We can't simply define LARGE_OFF_T to be 9223372036854775807,
    since some C++ compilers masquerading as C compilers
    incorrectly reject 9223372036854775807.  */
#define LARGE_OFF_T (((off_t) 1 << 62) - 1 + ((off_t) 1 << 62))
  int off_t_is_large[(LARGE_OFF_T % 2147483629 == 721
		       && LARGE_OFF_T % 2147483647 == 1)
		      ? 1 : -1];
int
main ()
{

  ;
  return 0;
}
_ACEOF
	 if ac_fn_c_try_compile "$LINENO"; then :
  break
fi
rm -f core conftest.err conftest.$ac_objext
	 CC="$CC -n32"
	 if ac_fn_c_try_compile "$LINENO"; then :
  ac_cv_sys_largefile_CC=' -n32'; break
fi
rm -f core conftest.err conftest.$ac_objext
	 break
       done
       CC=$ac_save_CC
       rm -f conftest.$ac_ext
    fi
fi
{ $as_echo "$as_me:${as_lineno-$LINENO}: result: $ac_cv_sys_largefile_CC" >&5
    colorize_result "$ac_cv_sys_largefile_CC" ; }
  if test "$ac_cv_sys_largefile_CC" != no; then
    CC=$CC$ac_cv_sys_largefile_CC
  fi

  { $as_echo "$as_me:${as_lineno-$LINENO}: checking for _FILE_OFFSET_BITS value needed for large files" >&5
$as_echo_n "checking for _FILE_OFFSET_BITS value needed for large files... " >&6; }
if ${ac_cv_sys_file_offset_bits+:} false; then :
  $as_echo_n "(cached) " >&6
else
  while :; do
  cat confdefs.h - <<_ACEOF >conftest.$ac_ext
/* end confdefs.h.  */
#include <sys/types.h>
 /* Check that off_t can represent 2**63 - 1 correctly.
    We can't simply define LARGE_OFF_T to be 9223372036854775807,
    since some C++ compilers masquerading as C compilers
    incorrectly reject 9223372036854775807.  */
#define LARGE_OFF_T (((off_t) 1 << 62) - 1 + ((off_t) 1 << 62))
  int off_t_is_large[(LARGE_OFF_T % 2147483629 == 721
		       && LARGE_OFF_T % 2147483647 == 1)
		      ? 1 : -1];
int
main ()
{

  ;
  return 0;
}
_ACEOF
if ac_fn_c_try_compile "$LINENO"; then :
  ac_cv_sys_file_offset_bits=no; break
fi
rm -f core conftest.err conftest.$ac_objext conftest.$ac_ext
  cat confdefs.h - <<_ACEOF >conftest.$ac_ext
/* end confdefs.h.  */
#define _FILE_OFFSET_BITS 64
#include <sys/types.h>
 /* Check that off_t can represent 2**63 - 1 correctly.
    We can't simply define LARGE_OFF_T to be 9223372036854775807,
    since some C++ compilers masquerading as C compilers
    incorrectly reject 9223372036854775807.  */
#define LARGE_OFF_T (((off_t) 1 << 62) - 1 + ((off_t) 1 << 62))
  int off_t_is_large[(LARGE_OFF_T % 2147483629 == 721
		       && LARGE_OFF_T % 2147483647 == 1)
		      ? 1 : -1];
int
main ()
{

  ;
  return 0;
}
_ACEOF
if ac_fn_c_try_compile "$LINENO"; then :
  ac_cv_sys_file_offset_bits=64; break
fi
rm -f core conftest.err conftest.$ac_objext conftest.$ac_ext
  ac_cv_sys_file_offset_bits=unknown
  break
done
fi
{ $as_echo "$as_me:${as_lineno-$LINENO}: result: $ac_cv_sys_file_offset_bits" >&5
    colorize_result "$ac_cv_sys_file_offset_bits" ; }
case $ac_cv_sys_file_offset_bits in #(
  no | unknown) ;;
  *)
cat >>confdefs.h <<_ACEOF
#define _FILE_OFFSET_BITS $ac_cv_sys_file_offset_bits
_ACEOF
;;
esac
rm -rf conftest*
  if test $ac_cv_sys_file_offset_bits = unknown; then
    { $as_echo "$as_me:${as_lineno-$LINENO}: checking for _LARGE_FILES value needed for large files" >&5
$as_echo_n "checking for _LARGE_FILES value needed for large files... " >&6; }
if ${ac_cv_sys_large_files+:} false; then :
  $as_echo_n "(cached) " >&6
else
  while :; do
  cat confdefs.h - <<_ACEOF >conftest.$ac_ext
/* end confdefs.h.  */
#include <sys/types.h>
 /* Check that off_t can represent 2**63 - 1 correctly.
    We can't simply define LARGE_OFF_T to be 9223372036854775807,
    since some C++ compilers masquerading as C compilers
    incorrectly reject 9223372036854775807.  */
#define LARGE_OFF_T (((off_t) 1 << 62) - 1 + ((off_t) 1 << 62))
  int off_t_is_large[(LARGE_OFF_T % 2147483629 == 721
		       && LARGE_OFF_T % 2147483647 == 1)
		      ? 1 : -1];
int
main ()
{

  ;
  return 0;
}
_ACEOF
if ac_fn_c_try_compile "$LINENO"; then :
  ac_cv_sys_large_files=no; break
fi
rm -f core conftest.err conftest.$ac_objext conftest.$ac_ext
  cat confdefs.h - <<_ACEOF >conftest.$ac_ext
/* end confdefs.h.  */
#define _LARGE_FILES 1
#include <sys/types.h>
 /* Check that off_t can represent 2**63 - 1 correctly.
    We can't simply define LARGE_OFF_T to be 9223372036854775807,
    since some C++ compilers masquerading as C compilers
    incorrectly reject 9223372036854775807.  */
#define LARGE_OFF_T (((off_t) 1 << 62) - 1 + ((off_t) 1 << 62))
  int off_t_is_large[(LARGE_OFF_T % 2147483629 == 721
		       && LARGE_OFF_T % 2147483647 == 1)
		      ? 1 : -1];
int
main ()
{

  ;
  return 0;
}
_ACEOF
if ac_fn_c_try_compile "$LINENO"; then :
  ac_cv_sys_large_files=1; break
fi
rm -f core conftest.err conftest.$ac_objext conftest.$ac_ext
  ac_cv_sys_large_files=unknown
  break
done
fi
{ $as_echo "$as_me:${as_lineno-$LINENO}: result: $ac_cv_sys_large_files" >&5
    colorize_result "$ac_cv_sys_large_files" ; }
case $ac_cv_sys_large_files in #(
  no | unknown) ;;
  *)
cat >>confdefs.h <<_ACEOF
#define _LARGE_FILES $ac_cv_sys_large_files
_ACEOF
;;
esac
rm -rf conftest*
  fi


fi

# On 32-bit Solaris, it is safe to define _LARGEFILE_SOURCE
# which is not added by AC_SYS_LARGEFILE.
if test x"$enable_largefile" != xno; then
  case "$target_os" in #(
  solaris*) :

    { $as_echo "$as_me:${as_lineno-$LINENO}: checking wheather _LARGEFILE_SOURCE should be defined" >&5
$as_echo_n "checking wheather _LARGEFILE_SOURCE should be defined... " >&6; }
    case "${ac_cv_sys_file_offset_bits}:${ac_cv_sys_large_files}" in #(
  "64:"|"64:no"|"64:unknown") :

	# insert _LARGEFILE_SOURCE before _FILE_OFFSET_BITS line
	# that is the same order as "getconf LFS_CFLAGS" output
	mv confdefs.h largefile0.h
	: > confdefs.h
	$as_echo "#define _LARGEFILE_SOURCE 1" >>confdefs.h

	cat largefile0.h >> confdefs.h
	rm largefile0.h
	{ $as_echo "$as_me:${as_lineno-$LINENO}: result: yes" >&5
    $as_echo "${msg_result_yes}yes${msg_reset}" ; }
       ;; #(
  *) :
    { $as_echo "$as_me:${as_lineno-$LINENO}: result: no" >&5
    $as_echo "${msg_result_no}no${msg_reset}" ; } ;;
esac
   ;; #(
  *) :
     ;;
esac
fi
mv confdefs.h largefile.h
mv confdefs1.h confdefs.h
cat largefile.h >> confdefs.h

case "$target_os" in #(
  mingw*) :
    ac_cv_type_off_t=yes;ac_cv_sizeof_off_t=8 ;; #(
  aix*) :

    case "$target_cpu:$ac_cv_sys_large_files" in #(
  ppc64:*|powerpc64:*) :
     ;; #(
  *:no|*:unknown) :
     ;; #(
  *) :

	    # AIX currently does not support a 32-bit call to posix_fadvise()
	    # if _LARGE_FILES is defined.
	    ac_cv_func_posix_fadvise=no
	 ;;
esac
     ;; #(
  *) :
     ;;
esac

 { $as_echo "$as_me:${as_lineno-$LINENO}: checking whether byte ordering is bigendian" >&5
$as_echo_n "checking whether byte ordering is bigendian... " >&6; }
if ${ac_cv_c_bigendian+:} false; then :
  $as_echo_n "(cached) " >&6
else
  ac_cv_c_bigendian=unknown
    # See if we're dealing with a universal compiler.
    cat confdefs.h - <<_ACEOF >conftest.$ac_ext
/* end confdefs.h.  */
#ifndef __APPLE_CC__
	       not a universal capable compiler
	     #endif
	     typedef int dummy;

_ACEOF
if ac_fn_c_try_compile "$LINENO"; then :

	# Check for potential -arch flags.  It is not universal unless
	# there are at least two -arch flags with different values.
	ac_arch=
	ac_prev=
	for ac_word in $CC $CFLAGS $CPPFLAGS $LDFLAGS; do
	 if test -n "$ac_prev"; then
	   case $ac_word in
	     i?86 | x86_64 | ppc | ppc64)
	       if test -z "$ac_arch" || test "$ac_arch" = "$ac_word"; then
		 ac_arch=$ac_word
	       else
		 ac_cv_c_bigendian=universal
		 break
	       fi
	       ;;
	   esac
	   ac_prev=
	 elif test "x$ac_word" = "x-arch"; then
	   ac_prev=arch
	 fi
       done
fi
rm -f core conftest.err conftest.$ac_objext conftest.$ac_ext
    if test $ac_cv_c_bigendian = unknown; then
      # See if sys/param.h defines the BYTE_ORDER macro.
      cat confdefs.h - <<_ACEOF >conftest.$ac_ext
/* end confdefs.h.  */
#include <sys/types.h>
	     #include <sys/param.h>

int
main ()
{
#if ! (defined BYTE_ORDER && defined BIG_ENDIAN \
		     && defined LITTLE_ENDIAN && BYTE_ORDER && BIG_ENDIAN \
		     && LITTLE_ENDIAN)
	      bogus endian macros
	     #endif

  ;
  return 0;
}
_ACEOF
if ac_fn_c_try_compile "$LINENO"; then :
  # It does; now see whether it defined to BIG_ENDIAN or not.
	 cat confdefs.h - <<_ACEOF >conftest.$ac_ext
/* end confdefs.h.  */
#include <sys/types.h>
		#include <sys/param.h>

int
main ()
{
#if BYTE_ORDER != BIG_ENDIAN
		 not big endian
		#endif

  ;
  return 0;
}
_ACEOF
if ac_fn_c_try_compile "$LINENO"; then :
  ac_cv_c_bigendian=yes
else
  ac_cv_c_bigendian=no
fi
rm -f core conftest.err conftest.$ac_objext conftest.$ac_ext
fi
rm -f core conftest.err conftest.$ac_objext conftest.$ac_ext
    fi
    if test $ac_cv_c_bigendian = unknown; then
      # See if <limits.h> defines _LITTLE_ENDIAN or _BIG_ENDIAN (e.g., Solaris).
      cat confdefs.h - <<_ACEOF >conftest.$ac_ext
/* end confdefs.h.  */
#include <limits.h>

int
main ()
{
#if ! (defined _LITTLE_ENDIAN || defined _BIG_ENDIAN)
	      bogus endian macros
	     #endif

  ;
  return 0;
}
_ACEOF
if ac_fn_c_try_compile "$LINENO"; then :
  # It does; now see whether it defined to _BIG_ENDIAN or not.
	 cat confdefs.h - <<_ACEOF >conftest.$ac_ext
/* end confdefs.h.  */
#include <limits.h>

int
main ()
{
#ifndef _BIG_ENDIAN
		 not big endian
		#endif

  ;
  return 0;
}
_ACEOF
if ac_fn_c_try_compile "$LINENO"; then :
  ac_cv_c_bigendian=yes
else
  ac_cv_c_bigendian=no
fi
rm -f core conftest.err conftest.$ac_objext conftest.$ac_ext
fi
rm -f core conftest.err conftest.$ac_objext conftest.$ac_ext
    fi
    if test $ac_cv_c_bigendian = unknown; then
      # Compile a test program.
      if test "$cross_compiling" = yes; then :
  # Try to guess by grepping values from an object file.
	 cat confdefs.h - <<_ACEOF >conftest.$ac_ext
/* end confdefs.h.  */
short int ascii_mm[] =
		  { 0x4249, 0x4765, 0x6E44, 0x6961, 0x6E53, 0x7953, 0 };
		short int ascii_ii[] =
		  { 0x694C, 0x5454, 0x656C, 0x6E45, 0x6944, 0x6E61, 0 };
		int use_ascii (int i) {
		  return ascii_mm[i] + ascii_ii[i];
		}
		short int ebcdic_ii[] =
		  { 0x89D3, 0xE3E3, 0x8593, 0x95C5, 0x89C4, 0x9581, 0 };
		short int ebcdic_mm[] =
		  { 0xC2C9, 0xC785, 0x95C4, 0x8981, 0x95E2, 0xA8E2, 0 };
		int use_ebcdic (int i) {
		  return ebcdic_mm[i] + ebcdic_ii[i];
		}
		extern int foo;

int
main ()
{
return use_ascii (foo) == use_ebcdic (foo);
  ;
  return 0;
}
_ACEOF
if ac_fn_c_try_compile "$LINENO"; then :
  if grep BIGenDianSyS conftest.$ac_objext >/dev/null; then
	      ac_cv_c_bigendian=yes
	    fi
	    if grep LiTTleEnDian conftest.$ac_objext >/dev/null ; then
	      if test "$ac_cv_c_bigendian" = unknown; then
		ac_cv_c_bigendian=no
	      else
		# finding both strings is unlikely to happen, but who knows?
		ac_cv_c_bigendian=unknown
	      fi
	    fi
fi
rm -f core conftest.err conftest.$ac_objext conftest.$ac_ext
else
  cat confdefs.h - <<_ACEOF >conftest.$ac_ext
/* end confdefs.h.  */
$ac_includes_default
int
main ()
{

	     /* Are we little or big endian?  From Harbison&Steele.  */
	     union
	     {
	       long int l;
	       char c[sizeof (long int)];
	     } u;
	     u.l = 1;
	     return u.c[sizeof (long int) - 1] == 1;

  ;
  return 0;
}
_ACEOF
if ac_fn_c_try_run "$LINENO"; then :
  ac_cv_c_bigendian=no
else
  ac_cv_c_bigendian=yes
fi
rm -f core *.core core.conftest.* gmon.out bb.out conftest$ac_exeext \
  conftest.$ac_objext conftest.beam conftest.$ac_ext
fi

    fi
fi
{ $as_echo "$as_me:${as_lineno-$LINENO}: result: $ac_cv_c_bigendian" >&5
    colorize_result "$ac_cv_c_bigendian" ; }
 case $ac_cv_c_bigendian in #(
   yes)
     $as_echo "#define WORDS_BIGENDIAN 1" >>confdefs.h
;; #(
   no)
      ;; #(
   universal)

$as_echo "#define AC_APPLE_UNIVERSAL_BUILD 1" >>confdefs.h

     ;; #(
   *)
     as_fn_error $? "unknown endianness
 presetting ac_cv_c_bigendian=no (or yes) will help" "$LINENO" 5 ;;
 esac

{ $as_echo "$as_me:${as_lineno-$LINENO}: checking for an ANSI C-conforming const" >&5
$as_echo_n "checking for an ANSI C-conforming const... " >&6; }
if ${ac_cv_c_const+:} false; then :
  $as_echo_n "(cached) " >&6
else
  cat confdefs.h - <<_ACEOF >conftest.$ac_ext
/* end confdefs.h.  */

int
main ()
{

#ifndef __cplusplus
  /* Ultrix mips cc rejects this sort of thing.  */
  typedef int charset[2];
  const charset cs = { 0, 0 };
  /* SunOS 4.1.1 cc rejects this.  */
  char const *const *pcpcc;
  char **ppc;
  /* NEC SVR4.0.2 mips cc rejects this.  */
  struct point {int x, y;};
  static struct point const zero = {0,0};
  /* AIX XL C 1.02.0.0 rejects this.
     It does not let you subtract one const X* pointer from another in
     an arm of an if-expression whose if-part is not a constant
     expression */
  const char *g = "string";
  pcpcc = &g + (g ? g-g : 0);
  /* HPUX 7.0 cc rejects these. */
  ++pcpcc;
  ppc = (char**) pcpcc;
  pcpcc = (char const *const *) ppc;
  { /* SCO 3.2v4 cc rejects this sort of thing.  */
    char tx;
    char *t = &tx;
    char const *s = 0 ? (char *) 0 : (char const *) 0;

    *t++ = 0;
    if (s) return 0;
  }
  { /* Someone thinks the Sun supposedly-ANSI compiler will reject this.  */
    int x[] = {25, 17};
    const int *foo = &x[0];
    ++foo;
  }
  { /* Sun SC1.0 ANSI compiler rejects this -- but not the above. */
    typedef const int *iptr;
    iptr p = 0;
    ++p;
  }
  { /* AIX XL C 1.02.0.0 rejects this sort of thing, saying
       "k.c", line 2.27: 1506-025 (S) Operand must be a modifiable lvalue. */
    struct s { int j; const int *ap[3]; } bx;
    struct s *b = &bx; b->j = 5;
  }
  { /* ULTRIX-32 V3.1 (Rev 9) vcc rejects this */
    const int foo = 10;
    if (!foo) return 0;
  }
  return !cs[0] && !zero.x;
#endif

  ;
  return 0;
}
_ACEOF
if ac_fn_c_try_compile "$LINENO"; then :
  ac_cv_c_const=yes
else
  ac_cv_c_const=no
fi
rm -f core conftest.err conftest.$ac_objext conftest.$ac_ext
fi
{ $as_echo "$as_me:${as_lineno-$LINENO}: result: $ac_cv_c_const" >&5
    colorize_result "$ac_cv_c_const" ; }
if test $ac_cv_c_const = no; then

$as_echo "#define const /**/" >>confdefs.h

fi

{ $as_echo "$as_me:${as_lineno-$LINENO}: checking whether char is unsigned" >&5
$as_echo_n "checking whether char is unsigned... " >&6; }
if ${ac_cv_c_char_unsigned+:} false; then :
  $as_echo_n "(cached) " >&6
else
  cat confdefs.h - <<_ACEOF >conftest.$ac_ext
/* end confdefs.h.  */
$ac_includes_default
int
main ()
{
static int test_array [1 - 2 * !(((char) -1) < 0)];
test_array [0] = 0;
return test_array [0];

  ;
  return 0;
}
_ACEOF
if ac_fn_c_try_compile "$LINENO"; then :
  ac_cv_c_char_unsigned=no
else
  ac_cv_c_char_unsigned=yes
fi
rm -f core conftest.err conftest.$ac_objext conftest.$ac_ext
fi
{ $as_echo "$as_me:${as_lineno-$LINENO}: result: $ac_cv_c_char_unsigned" >&5
    colorize_result "$ac_cv_c_char_unsigned" ; }
if test $ac_cv_c_char_unsigned = yes && test "$GCC" != yes; then
  $as_echo "#define __CHAR_UNSIGNED__ 1" >>confdefs.h

fi

{ $as_echo "$as_me:${as_lineno-$LINENO}: checking for inline" >&5
$as_echo_n "checking for inline... " >&6; }
if ${ac_cv_c_inline+:} false; then :
  $as_echo_n "(cached) " >&6
else
  ac_cv_c_inline=no
for ac_kw in inline __inline__ __inline; do
  cat confdefs.h - <<_ACEOF >conftest.$ac_ext
/* end confdefs.h.  */
#ifndef __cplusplus
typedef int foo_t;
static $ac_kw foo_t static_foo () {return 0; }
$ac_kw foo_t foo () {return 0; }
#endif

_ACEOF
if ac_fn_c_try_compile "$LINENO"; then :
  ac_cv_c_inline=$ac_kw
fi
rm -f core conftest.err conftest.$ac_objext conftest.$ac_ext
  test "$ac_cv_c_inline" != no && break
done

fi
{ $as_echo "$as_me:${as_lineno-$LINENO}: result: $ac_cv_c_inline" >&5
    colorize_result "$ac_cv_c_inline" ; }

case $ac_cv_c_inline in
  inline | yes) ;;
  *)
    case $ac_cv_c_inline in
      no) ac_val=;;
      *) ac_val=$ac_cv_c_inline;;
    esac
    cat >>confdefs.h <<_ACEOF
#ifndef __cplusplus
#define inline $ac_val
#endif
_ACEOF
    ;;
esac

{ $as_echo "$as_me:${as_lineno-$LINENO}: checking for working volatile" >&5
$as_echo_n "checking for working volatile... " >&6; }
if ${ac_cv_c_volatile+:} false; then :
  $as_echo_n "(cached) " >&6
else
  cat confdefs.h - <<_ACEOF >conftest.$ac_ext
/* end confdefs.h.  */

int
main ()
{

volatile int x;
int * volatile y = (int *) 0;
return !x && !y;
  ;
  return 0;
}
_ACEOF
if ac_fn_c_try_compile "$LINENO"; then :
  ac_cv_c_volatile=yes
else
  ac_cv_c_volatile=no
fi
rm -f core conftest.err conftest.$ac_objext conftest.$ac_ext
fi
{ $as_echo "$as_me:${as_lineno-$LINENO}: result: $ac_cv_c_volatile" >&5
    colorize_result "$ac_cv_c_volatile" ; }
if test $ac_cv_c_volatile = no; then

$as_echo "#define volatile /**/" >>confdefs.h

fi


  { $as_echo "$as_me:${as_lineno-$LINENO}: checking for typeof syntax and keyword spelling" >&5
$as_echo_n "checking for typeof syntax and keyword spelling... " >&6; }
if ${ac_cv_c_typeof+:} false; then :
  $as_echo_n "(cached) " >&6
else
  ac_cv_c_typeof=no
     for ac_kw in typeof __typeof__ no; do
       test $ac_kw = no && break
       cat confdefs.h - <<_ACEOF >conftest.$ac_ext
/* end confdefs.h.  */

int
main ()
{

	   int value;
	   typedef struct {
		   char a [1
			   + ! (($ac_kw (value))
				(($ac_kw (value)) 0 < ($ac_kw (value)) -1
				 ? ($ac_kw (value)) - 1
				 : ~ (~ ($ac_kw (value)) 0
				      << sizeof ($ac_kw (value)))))]; }
	      ac__typeof_type_;
	   return
	     (! ((void) ((ac__typeof_type_ *) 0), 0));

  ;
  return 0;
}
_ACEOF
if ac_fn_c_try_compile "$LINENO"; then :
  ac_cv_c_typeof=$ac_kw
fi
rm -f core conftest.err conftest.$ac_objext conftest.$ac_ext
       test $ac_cv_c_typeof != no && break
     done
fi
{ $as_echo "$as_me:${as_lineno-$LINENO}: result: $ac_cv_c_typeof" >&5
    colorize_result "$ac_cv_c_typeof" ; }
  if test $ac_cv_c_typeof != no; then

$as_echo "#define HAVE_TYPEOF 1" >>confdefs.h

    if test $ac_cv_c_typeof != typeof; then

cat >>confdefs.h <<_ACEOF
#define typeof $ac_cv_c_typeof
_ACEOF

    fi
  fi


case ":$ac_cv_c_const:$ac_cv_c_volatile:" in #(
  *:no:*) :
    as_fn_error $? "ANSI C-conforming const and volatile are mandatory" "$LINENO" 5 ;; #(
  *) :
     ;;
esac

ac_fn_c_check_type "$LINENO" "long long" "ac_cv_type_long_long" "$ac_includes_default"
if test "x$ac_cv_type_long_long" = xyes; then :

cat >>confdefs.h <<_ACEOF
#define HAVE_LONG_LONG 1
_ACEOF


fi
ac_fn_c_check_type "$LINENO" "off_t" "ac_cv_type_off_t" "$ac_includes_default"
if test "x$ac_cv_type_off_t" = xyes; then :

cat >>confdefs.h <<_ACEOF
#define HAVE_OFF_T 1
_ACEOF


fi


{ $as_echo "$as_me:${as_lineno-$LINENO}: checking char bit" >&5
$as_echo_n "checking char bit... " >&6; }
if ${rb_cv_char_bit+:} false; then :
  $as_echo_n "(cached) " >&6
else
  test "$universal_binary" = yes && cross_compiling=yes
    if ac_fn_c_compute_int "$LINENO" "CHAR_BIT" "rb_cv_char_bit"        "#include <limits.h>
"; then :

else
  rb_cv_char_bit=8
fi

    test "$universal_binary" = yes && cross_compiling=$real_cross_compiling
fi
{ $as_echo "$as_me:${as_lineno-$LINENO}: result: $rb_cv_char_bit" >&5
    colorize_result "$rb_cv_char_bit" ; }




if test "$universal_binary" = yes; then
{ $as_echo "$as_me:${as_lineno-$LINENO}: checking size of int" >&5
$as_echo_n "checking size of int... " >&6; }
if ${ac_cv_sizeof_int+:} false; then :
  $as_echo_n "(cached) " >&6
else

    unset ac_cv_sizeof_int
    rbcv_sizeof_var="
typedef int ac__type_sizeof_;
static ac__type_sizeof_ *rbcv_ptr;
#define SIZEOF_INT sizeof((*rbcv_ptr))
"

	if ac_fn_c_compute_int "$LINENO" "SIZEOF_INT" "ac_cv_sizeof_int"        "$ac_includes_default
$rbcv_sizeof_var"; then :

else
  ac_cv_sizeof_int=
fi


    unset rbcv_sizeof_cond
    test -z "${ac_cv_sizeof_int+set}" && {
    for rbcv_sizeof_size in 32 64 128; do
	for rbcv_sizeof_type in ILP; do
	    rbcv_sizeof_cond="${rbcv_sizeof_cond}
#${rbcv_sizeof_cond+el}if defined(__${rbcv_sizeof_type}${rbcv_sizeof_size}__) || defined(__${rbcv_sizeof_type}${rbcv_sizeof_size}) || defined(_${rbcv_sizeof_type}${rbcv_sizeof_size}) || defined(${rbcv_sizeof_type}${rbcv_sizeof_size})"
	    hdr="
#if defined(__${rbcv_sizeof_type}${rbcv_sizeof_size}__) || defined(__${rbcv_sizeof_type}${rbcv_sizeof_size}) || defined(_${rbcv_sizeof_type}${rbcv_sizeof_size}) || defined(${rbcv_sizeof_type}${rbcv_sizeof_size})
# define HAVE_INT 1
#else
# define HAVE_INT 0
#endif
"
	    cat confdefs.h - <<_ACEOF >conftest.$ac_ext
/* end confdefs.h.  */
$hdr
int
main ()
{
static int test_array [1 - 2 * !(!HAVE_INT)];
test_array [0] = 0;
return test_array [0];

  ;
  return 0;
}
_ACEOF
if ac_fn_c_try_compile "$LINENO"; then :
  continue
fi
rm -f core conftest.err conftest.$ac_objext conftest.$ac_ext
	    cat confdefs.h - <<_ACEOF >conftest.$ac_ext
/* end confdefs.h.  */
$hdr
				$rbcv_sizeof_var
int
main ()
{
static int test_array [1 - 2 * !(HAVE_INT == (SIZEOF_INT == ($rbcv_sizeof_size / $rb_cv_char_bit)))];
test_array [0] = 0;
return test_array [0];

  ;
  return 0;
}
_ACEOF
if ac_fn_c_try_compile "$LINENO"; then :
  ac_cv_sizeof_int="${ac_cv_sizeof_int+${ac_cv_sizeof_int-} }${rbcv_sizeof_type}${rbcv_sizeof_size}"; continue
fi
rm -f core conftest.err conftest.$ac_objext conftest.$ac_ext
	    cat confdefs.h - <<_ACEOF >conftest.$ac_ext
/* end confdefs.h.  */
$hdr

#if HAVE_INT
$rbcv_sizeof_var
#else
#define SIZEOF_INT 0
#endif

int
main ()
{
static int test_array [1 - 2 * !(HAVE_INT == (SIZEOF_INT == (($rbcv_sizeof_size / $rb_cv_char_bit))))];
test_array [0] = 0;
return test_array [0];

  ;
  return 0;
}
_ACEOF
if ac_fn_c_try_compile "$LINENO"; then :
  ac_cv_sizeof_int="${ac_cv_sizeof_int+${ac_cv_sizeof_int-} }${rbcv_sizeof_type}${rbcv_sizeof_size}"
fi
rm -f core conftest.err conftest.$ac_objext conftest.$ac_ext
	done
    done
    }
    test "${ac_cv_sizeof_int#[1-9]}" = "${ac_cv_sizeof_int}" &&
    test "${ac_cv_sizeof_int#SIZEOF_}" = "${ac_cv_sizeof_int}" && {
    test "$universal_binary" = yes && cross_compiling=yes
    if ac_fn_c_compute_int "$LINENO" "SIZEOF_INT" "rbcv_sizeof_type"        "$ac_includes_default
${rbcv_sizeof_cond+$rbcv_sizeof_cond
#else}
$rbcv_sizeof_var
${rbcv_sizeof_cond+#endif}
#ifndef SIZEOF_INT
#define SIZEOF_INT 0
#endif"; then :

else
  rbcv_sizeof_type=0
fi

    test "$universal_binary" = yes && cross_compiling=$real_cross_compiling
    if test ${rbcv_sizeof_type-0} != 0; then
	ac_cv_sizeof_int="${ac_cv_sizeof_int+${ac_cv_sizeof_int-} }${rbcv_sizeof_type}"
    fi
    }
    : ${ac_cv_sizeof_int=0}

fi
{ $as_echo "$as_me:${as_lineno-$LINENO}: result: $ac_cv_sizeof_int" >&5
    colorize_result "$ac_cv_sizeof_int" ; }
{
    unset rbcv_sizeof_cond
    for rbcv_sizeof_type in ${ac_cv_sizeof_int-}; do
	case "$rbcv_sizeof_type" in #(
  [0-9]*|SIZEOF_*) :

	    ${rbcv_sizeof_cond+echo "#else"}
	    echo "#define SIZEOF_INT $rbcv_sizeof_type"
	    break
	     ;; #(
  *) :

	    rbcv_sizeof_size=`expr $rbcv_sizeof_type : '.*[^0-9]\([0-9][0-9]*\)$'`
	    case $rbcv_sizeof_type in #(
  *:*) :
    rbcv_sizeof_type="${rbcv_sizeof_type%:*}" ;; #(
  *) :
    rbcv_sizeof_size=`expr $rbcv_sizeof_size / $rb_cv_char_bit` ;;
esac
	    echo "#${rbcv_sizeof_cond+el}if defined(__${rbcv_sizeof_type}__) || defined(__${rbcv_sizeof_type}) || defined(_${rbcv_sizeof_type}) || defined($rbcv_sizeof_type)"
	    echo "#define SIZEOF_INT $rbcv_sizeof_size"
	    rbcv_sizeof_cond=1
	     ;;
esac
    done
    ${rbcv_sizeof_cond+echo "#endif"}
} >> confdefs.h
else
# The cast to long int works around a bug in the HP C Compiler
# version HP92453-01 B.11.11.23709.GP, which incorrectly rejects
# declarations like `int a3[[(sizeof (unsigned char)) >= 0]];'.
# This bug is HP SR number 8606223364.
{ $as_echo "$as_me:${as_lineno-$LINENO}: checking size of int" >&5
$as_echo_n "checking size of int... " >&6; }
if ${ac_cv_sizeof_int+:} false; then :
  $as_echo_n "(cached) " >&6
else
  if ac_fn_c_compute_int "$LINENO" "(long int) (sizeof (int))" "ac_cv_sizeof_int"        "$ac_includes_default"; then :

else
  if test "$ac_cv_type_int" = yes; then
     { { $as_echo "$as_me:${as_lineno-$LINENO}: error: in \`$ac_pwd':" >&5
$as_echo "$as_me: error: in \`$ac_pwd':" >&2;}
as_fn_error 77 "cannot compute sizeof (int)
See \`config.log' for more details" "$LINENO" 5; }
   else
     ac_cv_sizeof_int=0
   fi
fi

fi
{ $as_echo "$as_me:${as_lineno-$LINENO}: result: $ac_cv_sizeof_int" >&5
    colorize_result "$ac_cv_sizeof_int" ; }



cat >>confdefs.h <<_ACEOF
#define SIZEOF_INT $ac_cv_sizeof_int
_ACEOF


fi


if test "$universal_binary" = yes; then
{ $as_echo "$as_me:${as_lineno-$LINENO}: checking size of short" >&5
$as_echo_n "checking size of short... " >&6; }
if ${ac_cv_sizeof_short+:} false; then :
  $as_echo_n "(cached) " >&6
else

    unset ac_cv_sizeof_short
    rbcv_sizeof_var="
typedef short ac__type_sizeof_;
static ac__type_sizeof_ *rbcv_ptr;
#define SIZEOF_SHORT sizeof((*rbcv_ptr))
"

	if ac_fn_c_compute_int "$LINENO" "SIZEOF_SHORT" "ac_cv_sizeof_short"        "$ac_includes_default
$rbcv_sizeof_var"; then :

else
  ac_cv_sizeof_short=
fi


    unset rbcv_sizeof_cond

    test "${ac_cv_sizeof_short#[1-9]}" = "${ac_cv_sizeof_short}" &&
    {
    test "$universal_binary" = yes && cross_compiling=yes
    if ac_fn_c_compute_int "$LINENO" "SIZEOF_SHORT" "rbcv_sizeof_type"        "$ac_includes_default
${rbcv_sizeof_cond+$rbcv_sizeof_cond
#else}
$rbcv_sizeof_var
${rbcv_sizeof_cond+#endif}
#ifndef SIZEOF_SHORT
#define SIZEOF_SHORT 0
#endif"; then :

else
  rbcv_sizeof_type=0
fi

    test "$universal_binary" = yes && cross_compiling=$real_cross_compiling
    if test ${rbcv_sizeof_type-0} != 0; then
	ac_cv_sizeof_short="${ac_cv_sizeof_short+${ac_cv_sizeof_short-} }${rbcv_sizeof_type}"
    fi
    }
    : ${ac_cv_sizeof_short=0}

fi
{ $as_echo "$as_me:${as_lineno-$LINENO}: result: $ac_cv_sizeof_short" >&5
    colorize_result "$ac_cv_sizeof_short" ; }
{
    unset rbcv_sizeof_cond
    for rbcv_sizeof_type in ${ac_cv_sizeof_short-}; do
	case "$rbcv_sizeof_type" in #(
  [0-9]*|SIZEOF_*) :

	    ${rbcv_sizeof_cond+echo "#else"}
	    echo "#define SIZEOF_SHORT $rbcv_sizeof_type"
	    break
	     ;; #(
  *) :

	    rbcv_sizeof_size=`expr $rbcv_sizeof_type : '.*[^0-9]\([0-9][0-9]*\)$'`
	    case $rbcv_sizeof_type in #(
  *:*) :
    rbcv_sizeof_type="${rbcv_sizeof_type%:*}" ;; #(
  *) :
    rbcv_sizeof_size=`expr $rbcv_sizeof_size / $rb_cv_char_bit` ;;
esac
	    echo "#${rbcv_sizeof_cond+el}if defined(__${rbcv_sizeof_type}__) || defined(__${rbcv_sizeof_type}) || defined(_${rbcv_sizeof_type}) || defined($rbcv_sizeof_type)"
	    echo "#define SIZEOF_SHORT $rbcv_sizeof_size"
	    rbcv_sizeof_cond=1
	     ;;
esac
    done
    ${rbcv_sizeof_cond+echo "#endif"}
} >> confdefs.h
else
# The cast to long int works around a bug in the HP C Compiler
# version HP92453-01 B.11.11.23709.GP, which incorrectly rejects
# declarations like `int a3[[(sizeof (unsigned char)) >= 0]];'.
# This bug is HP SR number 8606223364.
{ $as_echo "$as_me:${as_lineno-$LINENO}: checking size of short" >&5
$as_echo_n "checking size of short... " >&6; }
if ${ac_cv_sizeof_short+:} false; then :
  $as_echo_n "(cached) " >&6
else
  if ac_fn_c_compute_int "$LINENO" "(long int) (sizeof (short))" "ac_cv_sizeof_short"        "$ac_includes_default"; then :

else
  if test "$ac_cv_type_short" = yes; then
     { { $as_echo "$as_me:${as_lineno-$LINENO}: error: in \`$ac_pwd':" >&5
$as_echo "$as_me: error: in \`$ac_pwd':" >&2;}
as_fn_error 77 "cannot compute sizeof (short)
See \`config.log' for more details" "$LINENO" 5; }
   else
     ac_cv_sizeof_short=0
   fi
fi

fi
{ $as_echo "$as_me:${as_lineno-$LINENO}: result: $ac_cv_sizeof_short" >&5
    colorize_result "$ac_cv_sizeof_short" ; }



cat >>confdefs.h <<_ACEOF
#define SIZEOF_SHORT $ac_cv_sizeof_short
_ACEOF


fi


if test "$universal_binary" = yes; then
{ $as_echo "$as_me:${as_lineno-$LINENO}: checking size of long" >&5
$as_echo_n "checking size of long... " >&6; }
if ${ac_cv_sizeof_long+:} false; then :
  $as_echo_n "(cached) " >&6
else

    unset ac_cv_sizeof_long
    rbcv_sizeof_var="
typedef long ac__type_sizeof_;
static ac__type_sizeof_ *rbcv_ptr;
#define SIZEOF_LONG sizeof((*rbcv_ptr))
"
    test -z "${ac_cv_sizeof_long+set}" && {
    for rbcv_sizeof_type in int; do
	cat confdefs.h - <<_ACEOF >conftest.$ac_ext
/* end confdefs.h.  */

		$rbcv_sizeof_var

int
main ()
{
static int test_array [1 - 2 * !(SIZEOF_LONG == sizeof($rbcv_sizeof_type))];
test_array [0] = 0;
return test_array [0];

  ;
  return 0;
}
_ACEOF
if ac_fn_c_try_compile "$LINENO"; then :

		ac_cv_sizeof_long=`$as_echo "SIZEOF_$rbcv_sizeof_type" | $as_tr_cpp`
		break
fi
rm -f core conftest.err conftest.$ac_objext conftest.$ac_ext
    done
    }
    unset rbcv_sizeof_cond
    test -z "${ac_cv_sizeof_long+set}" && {
    for rbcv_sizeof_size in 32 64 128; do
	for rbcv_sizeof_type in ILP LP; do
	    rbcv_sizeof_cond="${rbcv_sizeof_cond}
#${rbcv_sizeof_cond+el}if defined(__${rbcv_sizeof_type}${rbcv_sizeof_size}__) || defined(__${rbcv_sizeof_type}${rbcv_sizeof_size}) || defined(_${rbcv_sizeof_type}${rbcv_sizeof_size}) || defined(${rbcv_sizeof_type}${rbcv_sizeof_size})"
	    hdr="
#if defined(__${rbcv_sizeof_type}${rbcv_sizeof_size}__) || defined(__${rbcv_sizeof_type}${rbcv_sizeof_size}) || defined(_${rbcv_sizeof_type}${rbcv_sizeof_size}) || defined(${rbcv_sizeof_type}${rbcv_sizeof_size})
# define HAVE_LONG 1
#else
# define HAVE_LONG 0
#endif
"
	    cat confdefs.h - <<_ACEOF >conftest.$ac_ext
/* end confdefs.h.  */
$hdr
int
main ()
{
static int test_array [1 - 2 * !(!HAVE_LONG)];
test_array [0] = 0;
return test_array [0];

  ;
  return 0;
}
_ACEOF
if ac_fn_c_try_compile "$LINENO"; then :
  continue
fi
rm -f core conftest.err conftest.$ac_objext conftest.$ac_ext
	    cat confdefs.h - <<_ACEOF >conftest.$ac_ext
/* end confdefs.h.  */
$hdr
				$rbcv_sizeof_var
int
main ()
{
static int test_array [1 - 2 * !(HAVE_LONG == (SIZEOF_LONG == ($rbcv_sizeof_size / $rb_cv_char_bit)))];
test_array [0] = 0;
return test_array [0];

  ;
  return 0;
}
_ACEOF
if ac_fn_c_try_compile "$LINENO"; then :
  ac_cv_sizeof_long="${ac_cv_sizeof_long+${ac_cv_sizeof_long-} }${rbcv_sizeof_type}${rbcv_sizeof_size}"; continue
fi
rm -f core conftest.err conftest.$ac_objext conftest.$ac_ext
	    cat confdefs.h - <<_ACEOF >conftest.$ac_ext
/* end confdefs.h.  */
$hdr

#if HAVE_LONG
$rbcv_sizeof_var
#else
#define SIZEOF_LONG 0
#endif

int
main ()
{
static int test_array [1 - 2 * !(HAVE_LONG == (SIZEOF_LONG == (($rbcv_sizeof_size / $rb_cv_char_bit))))];
test_array [0] = 0;
return test_array [0];

  ;
  return 0;
}
_ACEOF
if ac_fn_c_try_compile "$LINENO"; then :
  ac_cv_sizeof_long="${ac_cv_sizeof_long+${ac_cv_sizeof_long-} }${rbcv_sizeof_type}${rbcv_sizeof_size}"
fi
rm -f core conftest.err conftest.$ac_objext conftest.$ac_ext
	done
    done
    }
    test "${ac_cv_sizeof_long#[1-9]}" = "${ac_cv_sizeof_long}" &&
    test "${ac_cv_sizeof_long#SIZEOF_}" = "${ac_cv_sizeof_long}" && {
    test "$universal_binary" = yes && cross_compiling=yes
    if ac_fn_c_compute_int "$LINENO" "SIZEOF_LONG" "rbcv_sizeof_type"        "$ac_includes_default
${rbcv_sizeof_cond+$rbcv_sizeof_cond
#else}
$rbcv_sizeof_var
${rbcv_sizeof_cond+#endif}
#ifndef SIZEOF_LONG
#define SIZEOF_LONG 0
#endif"; then :

else
  rbcv_sizeof_type=0
fi

    test "$universal_binary" = yes && cross_compiling=$real_cross_compiling
    if test ${rbcv_sizeof_type-0} != 0; then
	ac_cv_sizeof_long="${ac_cv_sizeof_long+${ac_cv_sizeof_long-} }${rbcv_sizeof_type}"
    fi
    }
    : ${ac_cv_sizeof_long=0}

fi
{ $as_echo "$as_me:${as_lineno-$LINENO}: result: $ac_cv_sizeof_long" >&5
    colorize_result "$ac_cv_sizeof_long" ; }
{
    unset rbcv_sizeof_cond
    for rbcv_sizeof_type in ${ac_cv_sizeof_long-}; do
	case "$rbcv_sizeof_type" in #(
  [0-9]*|SIZEOF_*) :

	    ${rbcv_sizeof_cond+echo "#else"}
	    echo "#define SIZEOF_LONG $rbcv_sizeof_type"
	    break
	     ;; #(
  *) :

	    rbcv_sizeof_size=`expr $rbcv_sizeof_type : '.*[^0-9]\([0-9][0-9]*\)$'`
	    case $rbcv_sizeof_type in #(
  *:*) :
    rbcv_sizeof_type="${rbcv_sizeof_type%:*}" ;; #(
  *) :
    rbcv_sizeof_size=`expr $rbcv_sizeof_size / $rb_cv_char_bit` ;;
esac
	    echo "#${rbcv_sizeof_cond+el}if defined(__${rbcv_sizeof_type}__) || defined(__${rbcv_sizeof_type}) || defined(_${rbcv_sizeof_type}) || defined($rbcv_sizeof_type)"
	    echo "#define SIZEOF_LONG $rbcv_sizeof_size"
	    rbcv_sizeof_cond=1
	     ;;
esac
    done
    ${rbcv_sizeof_cond+echo "#endif"}
} >> confdefs.h
else
# The cast to long int works around a bug in the HP C Compiler
# version HP92453-01 B.11.11.23709.GP, which incorrectly rejects
# declarations like `int a3[[(sizeof (unsigned char)) >= 0]];'.
# This bug is HP SR number 8606223364.
{ $as_echo "$as_me:${as_lineno-$LINENO}: checking size of long" >&5
$as_echo_n "checking size of long... " >&6; }
if ${ac_cv_sizeof_long+:} false; then :
  $as_echo_n "(cached) " >&6
else
  if ac_fn_c_compute_int "$LINENO" "(long int) (sizeof (long))" "ac_cv_sizeof_long"        "$ac_includes_default"; then :

else
  if test "$ac_cv_type_long" = yes; then
     { { $as_echo "$as_me:${as_lineno-$LINENO}: error: in \`$ac_pwd':" >&5
$as_echo "$as_me: error: in \`$ac_pwd':" >&2;}
as_fn_error 77 "cannot compute sizeof (long)
See \`config.log' for more details" "$LINENO" 5; }
   else
     ac_cv_sizeof_long=0
   fi
fi

fi
{ $as_echo "$as_me:${as_lineno-$LINENO}: result: $ac_cv_sizeof_long" >&5
    colorize_result "$ac_cv_sizeof_long" ; }



cat >>confdefs.h <<_ACEOF
#define SIZEOF_LONG $ac_cv_sizeof_long
_ACEOF


fi


if test "$universal_binary" = yes; then
{ $as_echo "$as_me:${as_lineno-$LINENO}: checking size of long long" >&5
$as_echo_n "checking size of long long... " >&6; }
if ${ac_cv_sizeof_long_long+:} false; then :
  $as_echo_n "(cached) " >&6
else

    unset ac_cv_sizeof_long_long
    rbcv_sizeof_var="
typedef long long ac__type_sizeof_;
static ac__type_sizeof_ *rbcv_ptr;
#define SIZEOF_LONG_LONG sizeof((*rbcv_ptr))
"

	if ac_fn_c_compute_int "$LINENO" "SIZEOF_LONG_LONG" "ac_cv_sizeof_long_long"        "$ac_includes_default
$rbcv_sizeof_var"; then :

else
  ac_cv_sizeof_long_long=
fi


    unset rbcv_sizeof_cond

    test "${ac_cv_sizeof_long_long#[1-9]}" = "${ac_cv_sizeof_long_long}" &&
    {
    test "$universal_binary" = yes && cross_compiling=yes
    if ac_fn_c_compute_int "$LINENO" "SIZEOF_LONG_LONG" "rbcv_sizeof_type"        "$ac_includes_default
${rbcv_sizeof_cond+$rbcv_sizeof_cond
#else}
$rbcv_sizeof_var
${rbcv_sizeof_cond+#endif}
#ifndef SIZEOF_LONG_LONG
#define SIZEOF_LONG_LONG 0
#endif"; then :

else
  rbcv_sizeof_type=0
fi

    test "$universal_binary" = yes && cross_compiling=$real_cross_compiling
    if test ${rbcv_sizeof_type-0} != 0; then
	ac_cv_sizeof_long_long="${ac_cv_sizeof_long_long+${ac_cv_sizeof_long_long-} }${rbcv_sizeof_type}"
    fi
    }
    : ${ac_cv_sizeof_long_long=0}

fi
{ $as_echo "$as_me:${as_lineno-$LINENO}: result: $ac_cv_sizeof_long_long" >&5
    colorize_result "$ac_cv_sizeof_long_long" ; }
{
    unset rbcv_sizeof_cond
    for rbcv_sizeof_type in ${ac_cv_sizeof_long_long-}; do
	case "$rbcv_sizeof_type" in #(
  [0-9]*|SIZEOF_*) :

	    ${rbcv_sizeof_cond+echo "#else"}
	    echo "#define SIZEOF_LONG_LONG $rbcv_sizeof_type"
	    break
	     ;; #(
  *) :

	    rbcv_sizeof_size=`expr $rbcv_sizeof_type : '.*[^0-9]\([0-9][0-9]*\)$'`
	    case $rbcv_sizeof_type in #(
  *:*) :
    rbcv_sizeof_type="${rbcv_sizeof_type%:*}" ;; #(
  *) :
    rbcv_sizeof_size=`expr $rbcv_sizeof_size / $rb_cv_char_bit` ;;
esac
	    echo "#${rbcv_sizeof_cond+el}if defined(__${rbcv_sizeof_type}__) || defined(__${rbcv_sizeof_type}) || defined(_${rbcv_sizeof_type}) || defined($rbcv_sizeof_type)"
	    echo "#define SIZEOF_LONG_LONG $rbcv_sizeof_size"
	    rbcv_sizeof_cond=1
	     ;;
esac
    done
    ${rbcv_sizeof_cond+echo "#endif"}
} >> confdefs.h
else
# The cast to long int works around a bug in the HP C Compiler
# version HP92453-01 B.11.11.23709.GP, which incorrectly rejects
# declarations like `int a3[[(sizeof (unsigned char)) >= 0]];'.
# This bug is HP SR number 8606223364.
{ $as_echo "$as_me:${as_lineno-$LINENO}: checking size of long long" >&5
$as_echo_n "checking size of long long... " >&6; }
if ${ac_cv_sizeof_long_long+:} false; then :
  $as_echo_n "(cached) " >&6
else
  if ac_fn_c_compute_int "$LINENO" "(long int) (sizeof (long long))" "ac_cv_sizeof_long_long"        "$ac_includes_default"; then :

else
  if test "$ac_cv_type_long_long" = yes; then
     { { $as_echo "$as_me:${as_lineno-$LINENO}: error: in \`$ac_pwd':" >&5
$as_echo "$as_me: error: in \`$ac_pwd':" >&2;}
as_fn_error 77 "cannot compute sizeof (long long)
See \`config.log' for more details" "$LINENO" 5; }
   else
     ac_cv_sizeof_long_long=0
   fi
fi

fi
{ $as_echo "$as_me:${as_lineno-$LINENO}: result: $ac_cv_sizeof_long_long" >&5
    colorize_result "$ac_cv_sizeof_long_long" ; }



cat >>confdefs.h <<_ACEOF
#define SIZEOF_LONG_LONG $ac_cv_sizeof_long_long
_ACEOF


fi


if test "$universal_binary" = yes; then
{ $as_echo "$as_me:${as_lineno-$LINENO}: checking size of __int64" >&5
$as_echo_n "checking size of __int64... " >&6; }
if ${ac_cv_sizeof___int64+:} false; then :
  $as_echo_n "(cached) " >&6
else

    unset ac_cv_sizeof___int64
    rbcv_sizeof_var="
typedef __int64 ac__type_sizeof_;
static ac__type_sizeof_ *rbcv_ptr;
#define SIZEOF___INT64 sizeof((*rbcv_ptr))
"
    test -z "${ac_cv_sizeof___int64+set}" && {
    for rbcv_sizeof_type in 8; do
	cat confdefs.h - <<_ACEOF >conftest.$ac_ext
/* end confdefs.h.  */

		$rbcv_sizeof_var

int
main ()
{
static int test_array [1 - 2 * !(SIZEOF___INT64 == sizeof($rbcv_sizeof_type))];
test_array [0] = 0;
return test_array [0];

  ;
  return 0;
}
_ACEOF
if ac_fn_c_try_compile "$LINENO"; then :

		ac_cv_sizeof___int64=`$as_echo "SIZEOF_$rbcv_sizeof_type" | $as_tr_cpp`
		break
fi
rm -f core conftest.err conftest.$ac_objext conftest.$ac_ext
    done
    }
    unset rbcv_sizeof_cond
    test -z "${ac_cv_sizeof___int64+set}" && {
    for rbcv_sizeof_size in 32 64 128; do
	for rbcv_sizeof_type in ILP LP; do
	    rbcv_sizeof_cond="${rbcv_sizeof_cond}
#${rbcv_sizeof_cond+el}if defined(__${rbcv_sizeof_type}${rbcv_sizeof_size}__) || defined(__${rbcv_sizeof_type}${rbcv_sizeof_size}) || defined(_${rbcv_sizeof_type}${rbcv_sizeof_size}) || defined(${rbcv_sizeof_type}${rbcv_sizeof_size})"
	    hdr="
#if defined(__${rbcv_sizeof_type}${rbcv_sizeof_size}__) || defined(__${rbcv_sizeof_type}${rbcv_sizeof_size}) || defined(_${rbcv_sizeof_type}${rbcv_sizeof_size}) || defined(${rbcv_sizeof_type}${rbcv_sizeof_size})
# define HAVE___INT64 1
#else
# define HAVE___INT64 0
#endif
"
	    cat confdefs.h - <<_ACEOF >conftest.$ac_ext
/* end confdefs.h.  */
$hdr
int
main ()
{
static int test_array [1 - 2 * !(!HAVE___INT64)];
test_array [0] = 0;
return test_array [0];

  ;
  return 0;
}
_ACEOF
if ac_fn_c_try_compile "$LINENO"; then :
  continue
fi
rm -f core conftest.err conftest.$ac_objext conftest.$ac_ext
	    cat confdefs.h - <<_ACEOF >conftest.$ac_ext
/* end confdefs.h.  */
$hdr
				$rbcv_sizeof_var
int
main ()
{
static int test_array [1 - 2 * !(HAVE___INT64 == (SIZEOF___INT64 == ($rbcv_sizeof_size / $rb_cv_char_bit)))];
test_array [0] = 0;
return test_array [0];

  ;
  return 0;
}
_ACEOF
if ac_fn_c_try_compile "$LINENO"; then :
  ac_cv_sizeof___int64="${ac_cv_sizeof___int64+${ac_cv_sizeof___int64-} }${rbcv_sizeof_type}${rbcv_sizeof_size}"; continue
fi
rm -f core conftest.err conftest.$ac_objext conftest.$ac_ext
	    cat confdefs.h - <<_ACEOF >conftest.$ac_ext
/* end confdefs.h.  */
$hdr

#if HAVE___INT64
$rbcv_sizeof_var
#else
#define SIZEOF___INT64 0
#endif

int
main ()
{
static int test_array [1 - 2 * !(HAVE___INT64 == (SIZEOF___INT64 == (8)))];
test_array [0] = 0;
return test_array [0];

  ;
  return 0;
}
_ACEOF
if ac_fn_c_try_compile "$LINENO"; then :
  ac_cv_sizeof___int64="${ac_cv_sizeof___int64+${ac_cv_sizeof___int64-} }${rbcv_sizeof_type}${rbcv_sizeof_size}:8"
fi
rm -f core conftest.err conftest.$ac_objext conftest.$ac_ext
	done
    done
    }
    test "${ac_cv_sizeof___int64#[1-9]}" = "${ac_cv_sizeof___int64}" &&
    test "${ac_cv_sizeof___int64#SIZEOF_}" = "${ac_cv_sizeof___int64}" && {
    test "$universal_binary" = yes && cross_compiling=yes
    if ac_fn_c_compute_int "$LINENO" "SIZEOF___INT64" "rbcv_sizeof_type"        "$ac_includes_default
${rbcv_sizeof_cond+$rbcv_sizeof_cond
#else}
$rbcv_sizeof_var
${rbcv_sizeof_cond+#endif}
#ifndef SIZEOF___INT64
#define SIZEOF___INT64 0
#endif"; then :

else
  rbcv_sizeof_type=0
fi

    test "$universal_binary" = yes && cross_compiling=$real_cross_compiling
    if test ${rbcv_sizeof_type-0} != 0; then
	ac_cv_sizeof___int64="${ac_cv_sizeof___int64+${ac_cv_sizeof___int64-} }${rbcv_sizeof_type}"
    fi
    }
    : ${ac_cv_sizeof___int64=0}

fi
{ $as_echo "$as_me:${as_lineno-$LINENO}: result: $ac_cv_sizeof___int64" >&5
    colorize_result "$ac_cv_sizeof___int64" ; }
{
    unset rbcv_sizeof_cond
    for rbcv_sizeof_type in ${ac_cv_sizeof___int64-}; do
	case "$rbcv_sizeof_type" in #(
  [0-9]*|SIZEOF_*) :

	    ${rbcv_sizeof_cond+echo "#else"}
	    echo "#define SIZEOF___INT64 $rbcv_sizeof_type"
	    break
	     ;; #(
  *) :

	    rbcv_sizeof_size=`expr $rbcv_sizeof_type : '.*[^0-9]\([0-9][0-9]*\)$'`
	    case $rbcv_sizeof_type in #(
  *:*) :
    rbcv_sizeof_type="${rbcv_sizeof_type%:*}" ;; #(
  *) :
    rbcv_sizeof_size=`expr $rbcv_sizeof_size / $rb_cv_char_bit` ;;
esac
	    echo "#${rbcv_sizeof_cond+el}if defined(__${rbcv_sizeof_type}__) || defined(__${rbcv_sizeof_type}) || defined(_${rbcv_sizeof_type}) || defined($rbcv_sizeof_type)"
	    echo "#define SIZEOF___INT64 $rbcv_sizeof_size"
	    rbcv_sizeof_cond=1
	     ;;
esac
    done
    ${rbcv_sizeof_cond+echo "#endif"}
} >> confdefs.h
else
# The cast to long int works around a bug in the HP C Compiler
# version HP92453-01 B.11.11.23709.GP, which incorrectly rejects
# declarations like `int a3[[(sizeof (unsigned char)) >= 0]];'.
# This bug is HP SR number 8606223364.
{ $as_echo "$as_me:${as_lineno-$LINENO}: checking size of __int64" >&5
$as_echo_n "checking size of __int64... " >&6; }
if ${ac_cv_sizeof___int64+:} false; then :
  $as_echo_n "(cached) " >&6
else
  if ac_fn_c_compute_int "$LINENO" "(long int) (sizeof (__int64))" "ac_cv_sizeof___int64"        "$ac_includes_default"; then :

else
  if test "$ac_cv_type___int64" = yes; then
     { { $as_echo "$as_me:${as_lineno-$LINENO}: error: in \`$ac_pwd':" >&5
$as_echo "$as_me: error: in \`$ac_pwd':" >&2;}
as_fn_error 77 "cannot compute sizeof (__int64)
See \`config.log' for more details" "$LINENO" 5; }
   else
     ac_cv_sizeof___int64=0
   fi
fi

fi
{ $as_echo "$as_me:${as_lineno-$LINENO}: result: $ac_cv_sizeof___int64" >&5
    colorize_result "$ac_cv_sizeof___int64" ; }



cat >>confdefs.h <<_ACEOF
#define SIZEOF___INT64 $ac_cv_sizeof___int64
_ACEOF


fi


if test "$universal_binary" = yes; then
{ $as_echo "$as_me:${as_lineno-$LINENO}: checking size of __int128" >&5
$as_echo_n "checking size of __int128... " >&6; }
if ${ac_cv_sizeof___int128+:} false; then :
  $as_echo_n "(cached) " >&6
else

    unset ac_cv_sizeof___int128
    rbcv_sizeof_var="
typedef __int128 ac__type_sizeof_;
static ac__type_sizeof_ *rbcv_ptr;
#define SIZEOF___INT128 sizeof((*rbcv_ptr))
"
    test -z "${ac_cv_sizeof___int128+set}" && {
    for rbcv_sizeof_type in 16; do
	cat confdefs.h - <<_ACEOF >conftest.$ac_ext
/* end confdefs.h.  */

		$rbcv_sizeof_var

int
main ()
{
static int test_array [1 - 2 * !(SIZEOF___INT128 == sizeof($rbcv_sizeof_type))];
test_array [0] = 0;
return test_array [0];

  ;
  return 0;
}
_ACEOF
if ac_fn_c_try_compile "$LINENO"; then :

		ac_cv_sizeof___int128=`$as_echo "SIZEOF_$rbcv_sizeof_type" | $as_tr_cpp`
		break
fi
rm -f core conftest.err conftest.$ac_objext conftest.$ac_ext
    done
    }
    unset rbcv_sizeof_cond
    test -z "${ac_cv_sizeof___int128+set}" && {
    for rbcv_sizeof_size in 32 64 128; do
	for rbcv_sizeof_type in ILP LP; do
	    rbcv_sizeof_cond="${rbcv_sizeof_cond}
#${rbcv_sizeof_cond+el}if defined(__${rbcv_sizeof_type}${rbcv_sizeof_size}__) || defined(__${rbcv_sizeof_type}${rbcv_sizeof_size}) || defined(_${rbcv_sizeof_type}${rbcv_sizeof_size}) || defined(${rbcv_sizeof_type}${rbcv_sizeof_size})"
	    hdr="
#if defined(__${rbcv_sizeof_type}${rbcv_sizeof_size}__) || defined(__${rbcv_sizeof_type}${rbcv_sizeof_size}) || defined(_${rbcv_sizeof_type}${rbcv_sizeof_size}) || defined(${rbcv_sizeof_type}${rbcv_sizeof_size})
# define HAVE___INT128 1
#else
# define HAVE___INT128 0
#endif
"
	    cat confdefs.h - <<_ACEOF >conftest.$ac_ext
/* end confdefs.h.  */
$hdr
int
main ()
{
static int test_array [1 - 2 * !(!HAVE___INT128)];
test_array [0] = 0;
return test_array [0];

  ;
  return 0;
}
_ACEOF
if ac_fn_c_try_compile "$LINENO"; then :
  continue
fi
rm -f core conftest.err conftest.$ac_objext conftest.$ac_ext
	    cat confdefs.h - <<_ACEOF >conftest.$ac_ext
/* end confdefs.h.  */
$hdr
				$rbcv_sizeof_var
int
main ()
{
static int test_array [1 - 2 * !(HAVE___INT128 == (SIZEOF___INT128 == ($rbcv_sizeof_size / $rb_cv_char_bit)))];
test_array [0] = 0;
return test_array [0];

  ;
  return 0;
}
_ACEOF
if ac_fn_c_try_compile "$LINENO"; then :
  ac_cv_sizeof___int128="${ac_cv_sizeof___int128+${ac_cv_sizeof___int128-} }${rbcv_sizeof_type}${rbcv_sizeof_size}"; continue
fi
rm -f core conftest.err conftest.$ac_objext conftest.$ac_ext
	    cat confdefs.h - <<_ACEOF >conftest.$ac_ext
/* end confdefs.h.  */
$hdr

#if HAVE___INT128
$rbcv_sizeof_var
#else
#define SIZEOF___INT128 0
#endif

int
main ()
{
static int test_array [1 - 2 * !(HAVE___INT128 == (SIZEOF___INT128 == (16)))];
test_array [0] = 0;
return test_array [0];

  ;
  return 0;
}
_ACEOF
if ac_fn_c_try_compile "$LINENO"; then :
  ac_cv_sizeof___int128="${ac_cv_sizeof___int128+${ac_cv_sizeof___int128-} }${rbcv_sizeof_type}${rbcv_sizeof_size}:16"
fi
rm -f core conftest.err conftest.$ac_objext conftest.$ac_ext
	done
    done
    }
    test "${ac_cv_sizeof___int128#[1-9]}" = "${ac_cv_sizeof___int128}" &&
    test "${ac_cv_sizeof___int128#SIZEOF_}" = "${ac_cv_sizeof___int128}" && {
    test "$universal_binary" = yes && cross_compiling=yes
    if ac_fn_c_compute_int "$LINENO" "SIZEOF___INT128" "rbcv_sizeof_type"        "$ac_includes_default
${rbcv_sizeof_cond+$rbcv_sizeof_cond
#else}
$rbcv_sizeof_var
${rbcv_sizeof_cond+#endif}
#ifndef SIZEOF___INT128
#define SIZEOF___INT128 0
#endif"; then :

else
  rbcv_sizeof_type=0
fi

    test "$universal_binary" = yes && cross_compiling=$real_cross_compiling
    if test ${rbcv_sizeof_type-0} != 0; then
	ac_cv_sizeof___int128="${ac_cv_sizeof___int128+${ac_cv_sizeof___int128-} }${rbcv_sizeof_type}"
    fi
    }
    : ${ac_cv_sizeof___int128=0}

fi
{ $as_echo "$as_me:${as_lineno-$LINENO}: result: $ac_cv_sizeof___int128" >&5
    colorize_result "$ac_cv_sizeof___int128" ; }
{
    unset rbcv_sizeof_cond
    for rbcv_sizeof_type in ${ac_cv_sizeof___int128-}; do
	case "$rbcv_sizeof_type" in #(
  [0-9]*|SIZEOF_*) :

	    ${rbcv_sizeof_cond+echo "#else"}
	    echo "#define SIZEOF___INT128 $rbcv_sizeof_type"
	    break
	     ;; #(
  *) :

	    rbcv_sizeof_size=`expr $rbcv_sizeof_type : '.*[^0-9]\([0-9][0-9]*\)$'`
	    case $rbcv_sizeof_type in #(
  *:*) :
    rbcv_sizeof_type="${rbcv_sizeof_type%:*}" ;; #(
  *) :
    rbcv_sizeof_size=`expr $rbcv_sizeof_size / $rb_cv_char_bit` ;;
esac
	    echo "#${rbcv_sizeof_cond+el}if defined(__${rbcv_sizeof_type}__) || defined(__${rbcv_sizeof_type}) || defined(_${rbcv_sizeof_type}) || defined($rbcv_sizeof_type)"
	    echo "#define SIZEOF___INT128 $rbcv_sizeof_size"
	    rbcv_sizeof_cond=1
	     ;;
esac
    done
    ${rbcv_sizeof_cond+echo "#endif"}
} >> confdefs.h
else
# The cast to long int works around a bug in the HP C Compiler
# version HP92453-01 B.11.11.23709.GP, which incorrectly rejects
# declarations like `int a3[[(sizeof (unsigned char)) >= 0]];'.
# This bug is HP SR number 8606223364.
{ $as_echo "$as_me:${as_lineno-$LINENO}: checking size of __int128" >&5
$as_echo_n "checking size of __int128... " >&6; }
if ${ac_cv_sizeof___int128+:} false; then :
  $as_echo_n "(cached) " >&6
else
  if ac_fn_c_compute_int "$LINENO" "(long int) (sizeof (__int128))" "ac_cv_sizeof___int128"        "$ac_includes_default"; then :

else
  if test "$ac_cv_type___int128" = yes; then
     { { $as_echo "$as_me:${as_lineno-$LINENO}: error: in \`$ac_pwd':" >&5
$as_echo "$as_me: error: in \`$ac_pwd':" >&2;}
as_fn_error 77 "cannot compute sizeof (__int128)
See \`config.log' for more details" "$LINENO" 5; }
   else
     ac_cv_sizeof___int128=0
   fi
fi

fi
{ $as_echo "$as_me:${as_lineno-$LINENO}: result: $ac_cv_sizeof___int128" >&5
    colorize_result "$ac_cv_sizeof___int128" ; }



cat >>confdefs.h <<_ACEOF
#define SIZEOF___INT128 $ac_cv_sizeof___int128
_ACEOF


fi


if test "$universal_binary" = yes; then
{ $as_echo "$as_me:${as_lineno-$LINENO}: checking size of off_t" >&5
$as_echo_n "checking size of off_t... " >&6; }
if ${ac_cv_sizeof_off_t+:} false; then :
  $as_echo_n "(cached) " >&6
else

    unset ac_cv_sizeof_off_t
    rbcv_sizeof_var="
typedef off_t ac__type_sizeof_;
static ac__type_sizeof_ *rbcv_ptr;
#define SIZEOF_OFF_T sizeof((*rbcv_ptr))
"

	if ac_fn_c_compute_int "$LINENO" "SIZEOF_OFF_T" "ac_cv_sizeof_off_t"        "$ac_includes_default
$rbcv_sizeof_var"; then :

else
  ac_cv_sizeof_off_t=
fi


    unset rbcv_sizeof_cond

    test "${ac_cv_sizeof_off_t#[1-9]}" = "${ac_cv_sizeof_off_t}" &&
    {
    test "$universal_binary" = yes && cross_compiling=yes
    if ac_fn_c_compute_int "$LINENO" "SIZEOF_OFF_T" "rbcv_sizeof_type"        "$ac_includes_default
${rbcv_sizeof_cond+$rbcv_sizeof_cond
#else}
$rbcv_sizeof_var
${rbcv_sizeof_cond+#endif}
#ifndef SIZEOF_OFF_T
#define SIZEOF_OFF_T 0
#endif"; then :

else
  rbcv_sizeof_type=0
fi

    test "$universal_binary" = yes && cross_compiling=$real_cross_compiling
    if test ${rbcv_sizeof_type-0} != 0; then
	ac_cv_sizeof_off_t="${ac_cv_sizeof_off_t+${ac_cv_sizeof_off_t-} }${rbcv_sizeof_type}"
    fi
    }
    : ${ac_cv_sizeof_off_t=0}

fi
{ $as_echo "$as_me:${as_lineno-$LINENO}: result: $ac_cv_sizeof_off_t" >&5
    colorize_result "$ac_cv_sizeof_off_t" ; }
{
    unset rbcv_sizeof_cond
    for rbcv_sizeof_type in ${ac_cv_sizeof_off_t-}; do
	case "$rbcv_sizeof_type" in #(
  [0-9]*|SIZEOF_*) :

	    ${rbcv_sizeof_cond+echo "#else"}
	    echo "#define SIZEOF_OFF_T $rbcv_sizeof_type"
	    break
	     ;; #(
  *) :

	    rbcv_sizeof_size=`expr $rbcv_sizeof_type : '.*[^0-9]\([0-9][0-9]*\)$'`
	    case $rbcv_sizeof_type in #(
  *:*) :
    rbcv_sizeof_type="${rbcv_sizeof_type%:*}" ;; #(
  *) :
    rbcv_sizeof_size=`expr $rbcv_sizeof_size / $rb_cv_char_bit` ;;
esac
	    echo "#${rbcv_sizeof_cond+el}if defined(__${rbcv_sizeof_type}__) || defined(__${rbcv_sizeof_type}) || defined(_${rbcv_sizeof_type}) || defined($rbcv_sizeof_type)"
	    echo "#define SIZEOF_OFF_T $rbcv_sizeof_size"
	    rbcv_sizeof_cond=1
	     ;;
esac
    done
    ${rbcv_sizeof_cond+echo "#endif"}
} >> confdefs.h
else
# The cast to long int works around a bug in the HP C Compiler
# version HP92453-01 B.11.11.23709.GP, which incorrectly rejects
# declarations like `int a3[[(sizeof (unsigned char)) >= 0]];'.
# This bug is HP SR number 8606223364.
{ $as_echo "$as_me:${as_lineno-$LINENO}: checking size of off_t" >&5
$as_echo_n "checking size of off_t... " >&6; }
if ${ac_cv_sizeof_off_t+:} false; then :
  $as_echo_n "(cached) " >&6
else
  if ac_fn_c_compute_int "$LINENO" "(long int) (sizeof (off_t))" "ac_cv_sizeof_off_t"        "$ac_includes_default"; then :

else
  if test "$ac_cv_type_off_t" = yes; then
     { { $as_echo "$as_me:${as_lineno-$LINENO}: error: in \`$ac_pwd':" >&5
$as_echo "$as_me: error: in \`$ac_pwd':" >&2;}
as_fn_error 77 "cannot compute sizeof (off_t)
See \`config.log' for more details" "$LINENO" 5; }
   else
     ac_cv_sizeof_off_t=0
   fi
fi

fi
{ $as_echo "$as_me:${as_lineno-$LINENO}: result: $ac_cv_sizeof_off_t" >&5
    colorize_result "$ac_cv_sizeof_off_t" ; }



cat >>confdefs.h <<_ACEOF
#define SIZEOF_OFF_T $ac_cv_sizeof_off_t
_ACEOF


fi


if test "$universal_binary" = yes; then
{ $as_echo "$as_me:${as_lineno-$LINENO}: checking size of void*" >&5
$as_echo_n "checking size of void*... " >&6; }
if ${ac_cv_sizeof_voidp+:} false; then :
  $as_echo_n "(cached) " >&6
else

    unset ac_cv_sizeof_voidp
    rbcv_sizeof_var="
typedef void* ac__type_sizeof_;
static ac__type_sizeof_ *rbcv_ptr;
#define SIZEOF_VOIDP sizeof((*rbcv_ptr))
"
    test -z "${ac_cv_sizeof_voidp+set}" && {
    for rbcv_sizeof_type in int long "long long"; do
	cat confdefs.h - <<_ACEOF >conftest.$ac_ext
/* end confdefs.h.  */

		$rbcv_sizeof_var

int
main ()
{
static int test_array [1 - 2 * !(SIZEOF_VOIDP == sizeof($rbcv_sizeof_type))];
test_array [0] = 0;
return test_array [0];

  ;
  return 0;
}
_ACEOF
if ac_fn_c_try_compile "$LINENO"; then :

		ac_cv_sizeof_voidp=`$as_echo "SIZEOF_$rbcv_sizeof_type" | $as_tr_cpp`
		break
fi
rm -f core conftest.err conftest.$ac_objext conftest.$ac_ext
    done
    }
    unset rbcv_sizeof_cond
    test -z "${ac_cv_sizeof_voidp+set}" && {
    for rbcv_sizeof_size in 32 64 128; do
	for rbcv_sizeof_type in ILP LP LLP; do
	    rbcv_sizeof_cond="${rbcv_sizeof_cond}
#${rbcv_sizeof_cond+el}if defined(__${rbcv_sizeof_type}${rbcv_sizeof_size}__) || defined(__${rbcv_sizeof_type}${rbcv_sizeof_size}) || defined(_${rbcv_sizeof_type}${rbcv_sizeof_size}) || defined(${rbcv_sizeof_type}${rbcv_sizeof_size})"
	    hdr="
#if defined(__${rbcv_sizeof_type}${rbcv_sizeof_size}__) || defined(__${rbcv_sizeof_type}${rbcv_sizeof_size}) || defined(_${rbcv_sizeof_type}${rbcv_sizeof_size}) || defined(${rbcv_sizeof_type}${rbcv_sizeof_size})
# define HAVE_VOIDP 1
#else
# define HAVE_VOIDP 0
#endif
"
	    cat confdefs.h - <<_ACEOF >conftest.$ac_ext
/* end confdefs.h.  */
$hdr
int
main ()
{
static int test_array [1 - 2 * !(!HAVE_VOIDP)];
test_array [0] = 0;
return test_array [0];

  ;
  return 0;
}
_ACEOF
if ac_fn_c_try_compile "$LINENO"; then :
  continue
fi
rm -f core conftest.err conftest.$ac_objext conftest.$ac_ext
	    cat confdefs.h - <<_ACEOF >conftest.$ac_ext
/* end confdefs.h.  */
$hdr
				$rbcv_sizeof_var
int
main ()
{
static int test_array [1 - 2 * !(HAVE_VOIDP == (SIZEOF_VOIDP == ($rbcv_sizeof_size / $rb_cv_char_bit)))];
test_array [0] = 0;
return test_array [0];

  ;
  return 0;
}
_ACEOF
if ac_fn_c_try_compile "$LINENO"; then :
  ac_cv_sizeof_voidp="${ac_cv_sizeof_voidp+${ac_cv_sizeof_voidp-} }${rbcv_sizeof_type}${rbcv_sizeof_size}"; continue
fi
rm -f core conftest.err conftest.$ac_objext conftest.$ac_ext
	    cat confdefs.h - <<_ACEOF >conftest.$ac_ext
/* end confdefs.h.  */
$hdr

#if HAVE_VOIDP
$rbcv_sizeof_var
#else
#define SIZEOF_VOIDP 0
#endif

int
main ()
{
static int test_array [1 - 2 * !(HAVE_VOIDP == (SIZEOF_VOIDP == (($rbcv_sizeof_size / $rb_cv_char_bit))))];
test_array [0] = 0;
return test_array [0];

  ;
  return 0;
}
_ACEOF
if ac_fn_c_try_compile "$LINENO"; then :
  ac_cv_sizeof_voidp="${ac_cv_sizeof_voidp+${ac_cv_sizeof_voidp-} }${rbcv_sizeof_type}${rbcv_sizeof_size}"
fi
rm -f core conftest.err conftest.$ac_objext conftest.$ac_ext
	done
    done
    }
    test "${ac_cv_sizeof_voidp#[1-9]}" = "${ac_cv_sizeof_voidp}" &&
    test "${ac_cv_sizeof_voidp#SIZEOF_}" = "${ac_cv_sizeof_voidp}" && {
    test "$universal_binary" = yes && cross_compiling=yes
    if ac_fn_c_compute_int "$LINENO" "SIZEOF_VOIDP" "rbcv_sizeof_type"        "$ac_includes_default
${rbcv_sizeof_cond+$rbcv_sizeof_cond
#else}
$rbcv_sizeof_var
${rbcv_sizeof_cond+#endif}
#ifndef SIZEOF_VOIDP
#define SIZEOF_VOIDP 0
#endif"; then :

else
  rbcv_sizeof_type=0
fi

    test "$universal_binary" = yes && cross_compiling=$real_cross_compiling
    if test ${rbcv_sizeof_type-0} != 0; then
	ac_cv_sizeof_voidp="${ac_cv_sizeof_voidp+${ac_cv_sizeof_voidp-} }${rbcv_sizeof_type}"
    fi
    }
    : ${ac_cv_sizeof_voidp=0}

fi
{ $as_echo "$as_me:${as_lineno-$LINENO}: result: $ac_cv_sizeof_voidp" >&5
    colorize_result "$ac_cv_sizeof_voidp" ; }
{
    unset rbcv_sizeof_cond
    for rbcv_sizeof_type in ${ac_cv_sizeof_voidp-}; do
	case "$rbcv_sizeof_type" in #(
  [0-9]*|SIZEOF_*) :

	    ${rbcv_sizeof_cond+echo "#else"}
	    echo "#define SIZEOF_VOIDP $rbcv_sizeof_type"
	    break
	     ;; #(
  *) :

	    rbcv_sizeof_size=`expr $rbcv_sizeof_type : '.*[^0-9]\([0-9][0-9]*\)$'`
	    case $rbcv_sizeof_type in #(
  *:*) :
    rbcv_sizeof_type="${rbcv_sizeof_type%:*}" ;; #(
  *) :
    rbcv_sizeof_size=`expr $rbcv_sizeof_size / $rb_cv_char_bit` ;;
esac
	    echo "#${rbcv_sizeof_cond+el}if defined(__${rbcv_sizeof_type}__) || defined(__${rbcv_sizeof_type}) || defined(_${rbcv_sizeof_type}) || defined($rbcv_sizeof_type)"
	    echo "#define SIZEOF_VOIDP $rbcv_sizeof_size"
	    rbcv_sizeof_cond=1
	     ;;
esac
    done
    ${rbcv_sizeof_cond+echo "#endif"}
} >> confdefs.h
else
# The cast to long int works around a bug in the HP C Compiler
# version HP92453-01 B.11.11.23709.GP, which incorrectly rejects
# declarations like `int a3[[(sizeof (unsigned char)) >= 0]];'.
# This bug is HP SR number 8606223364.
{ $as_echo "$as_me:${as_lineno-$LINENO}: checking size of void*" >&5
$as_echo_n "checking size of void*... " >&6; }
if ${ac_cv_sizeof_voidp+:} false; then :
  $as_echo_n "(cached) " >&6
else
  if ac_fn_c_compute_int "$LINENO" "(long int) (sizeof (void*))" "ac_cv_sizeof_voidp"        "$ac_includes_default"; then :

else
  if test "$ac_cv_type_voidp" = yes; then
     { { $as_echo "$as_me:${as_lineno-$LINENO}: error: in \`$ac_pwd':" >&5
$as_echo "$as_me: error: in \`$ac_pwd':" >&2;}
as_fn_error 77 "cannot compute sizeof (void*)
See \`config.log' for more details" "$LINENO" 5; }
   else
     ac_cv_sizeof_voidp=0
   fi
fi

fi
{ $as_echo "$as_me:${as_lineno-$LINENO}: result: $ac_cv_sizeof_voidp" >&5
    colorize_result "$ac_cv_sizeof_voidp" ; }



cat >>confdefs.h <<_ACEOF
#define SIZEOF_VOIDP $ac_cv_sizeof_voidp
_ACEOF


fi


if test "$universal_binary" = yes; then
{ $as_echo "$as_me:${as_lineno-$LINENO}: checking size of float" >&5
$as_echo_n "checking size of float... " >&6; }
if ${ac_cv_sizeof_float+:} false; then :
  $as_echo_n "(cached) " >&6
else

    unset ac_cv_sizeof_float
    rbcv_sizeof_var="
typedef float ac__type_sizeof_;
static ac__type_sizeof_ *rbcv_ptr;
#define SIZEOF_FLOAT sizeof((*rbcv_ptr))
"

	if ac_fn_c_compute_int "$LINENO" "SIZEOF_FLOAT" "ac_cv_sizeof_float"        "$ac_includes_default
$rbcv_sizeof_var"; then :

else
  ac_cv_sizeof_float=
fi


    unset rbcv_sizeof_cond

    test "${ac_cv_sizeof_float#[1-9]}" = "${ac_cv_sizeof_float}" &&
    {
    test "$universal_binary" = yes && cross_compiling=yes
    if ac_fn_c_compute_int "$LINENO" "SIZEOF_FLOAT" "rbcv_sizeof_type"        "$ac_includes_default
${rbcv_sizeof_cond+$rbcv_sizeof_cond
#else}
$rbcv_sizeof_var
${rbcv_sizeof_cond+#endif}
#ifndef SIZEOF_FLOAT
#define SIZEOF_FLOAT 0
#endif"; then :

else
  rbcv_sizeof_type=0
fi

    test "$universal_binary" = yes && cross_compiling=$real_cross_compiling
    if test ${rbcv_sizeof_type-0} != 0; then
	ac_cv_sizeof_float="${ac_cv_sizeof_float+${ac_cv_sizeof_float-} }${rbcv_sizeof_type}"
    fi
    }
    : ${ac_cv_sizeof_float=0}

fi
{ $as_echo "$as_me:${as_lineno-$LINENO}: result: $ac_cv_sizeof_float" >&5
    colorize_result "$ac_cv_sizeof_float" ; }
{
    unset rbcv_sizeof_cond
    for rbcv_sizeof_type in ${ac_cv_sizeof_float-}; do
	case "$rbcv_sizeof_type" in #(
  [0-9]*|SIZEOF_*) :

	    ${rbcv_sizeof_cond+echo "#else"}
	    echo "#define SIZEOF_FLOAT $rbcv_sizeof_type"
	    break
	     ;; #(
  *) :

	    rbcv_sizeof_size=`expr $rbcv_sizeof_type : '.*[^0-9]\([0-9][0-9]*\)$'`
	    case $rbcv_sizeof_type in #(
  *:*) :
    rbcv_sizeof_type="${rbcv_sizeof_type%:*}" ;; #(
  *) :
    rbcv_sizeof_size=`expr $rbcv_sizeof_size / $rb_cv_char_bit` ;;
esac
	    echo "#${rbcv_sizeof_cond+el}if defined(__${rbcv_sizeof_type}__) || defined(__${rbcv_sizeof_type}) || defined(_${rbcv_sizeof_type}) || defined($rbcv_sizeof_type)"
	    echo "#define SIZEOF_FLOAT $rbcv_sizeof_size"
	    rbcv_sizeof_cond=1
	     ;;
esac
    done
    ${rbcv_sizeof_cond+echo "#endif"}
} >> confdefs.h
else
# The cast to long int works around a bug in the HP C Compiler
# version HP92453-01 B.11.11.23709.GP, which incorrectly rejects
# declarations like `int a3[[(sizeof (unsigned char)) >= 0]];'.
# This bug is HP SR number 8606223364.
{ $as_echo "$as_me:${as_lineno-$LINENO}: checking size of float" >&5
$as_echo_n "checking size of float... " >&6; }
if ${ac_cv_sizeof_float+:} false; then :
  $as_echo_n "(cached) " >&6
else
  if ac_fn_c_compute_int "$LINENO" "(long int) (sizeof (float))" "ac_cv_sizeof_float"        "$ac_includes_default"; then :

else
  if test "$ac_cv_type_float" = yes; then
     { { $as_echo "$as_me:${as_lineno-$LINENO}: error: in \`$ac_pwd':" >&5
$as_echo "$as_me: error: in \`$ac_pwd':" >&2;}
as_fn_error 77 "cannot compute sizeof (float)
See \`config.log' for more details" "$LINENO" 5; }
   else
     ac_cv_sizeof_float=0
   fi
fi

fi
{ $as_echo "$as_me:${as_lineno-$LINENO}: result: $ac_cv_sizeof_float" >&5
    colorize_result "$ac_cv_sizeof_float" ; }



cat >>confdefs.h <<_ACEOF
#define SIZEOF_FLOAT $ac_cv_sizeof_float
_ACEOF


fi


if test "$universal_binary" = yes; then
{ $as_echo "$as_me:${as_lineno-$LINENO}: checking size of double" >&5
$as_echo_n "checking size of double... " >&6; }
if ${ac_cv_sizeof_double+:} false; then :
  $as_echo_n "(cached) " >&6
else

    unset ac_cv_sizeof_double
    rbcv_sizeof_var="
typedef double ac__type_sizeof_;
static ac__type_sizeof_ *rbcv_ptr;
#define SIZEOF_DOUBLE sizeof((*rbcv_ptr))
"

	if ac_fn_c_compute_int "$LINENO" "SIZEOF_DOUBLE" "ac_cv_sizeof_double"        "$ac_includes_default
$rbcv_sizeof_var"; then :

else
  ac_cv_sizeof_double=
fi


    unset rbcv_sizeof_cond

    test "${ac_cv_sizeof_double#[1-9]}" = "${ac_cv_sizeof_double}" &&
    {
    test "$universal_binary" = yes && cross_compiling=yes
    if ac_fn_c_compute_int "$LINENO" "SIZEOF_DOUBLE" "rbcv_sizeof_type"        "$ac_includes_default
${rbcv_sizeof_cond+$rbcv_sizeof_cond
#else}
$rbcv_sizeof_var
${rbcv_sizeof_cond+#endif}
#ifndef SIZEOF_DOUBLE
#define SIZEOF_DOUBLE 0
#endif"; then :

else
  rbcv_sizeof_type=0
fi

    test "$universal_binary" = yes && cross_compiling=$real_cross_compiling
    if test ${rbcv_sizeof_type-0} != 0; then
	ac_cv_sizeof_double="${ac_cv_sizeof_double+${ac_cv_sizeof_double-} }${rbcv_sizeof_type}"
    fi
    }
    : ${ac_cv_sizeof_double=0}

fi
{ $as_echo "$as_me:${as_lineno-$LINENO}: result: $ac_cv_sizeof_double" >&5
    colorize_result "$ac_cv_sizeof_double" ; }
{
    unset rbcv_sizeof_cond
    for rbcv_sizeof_type in ${ac_cv_sizeof_double-}; do
	case "$rbcv_sizeof_type" in #(
  [0-9]*|SIZEOF_*) :

	    ${rbcv_sizeof_cond+echo "#else"}
	    echo "#define SIZEOF_DOUBLE $rbcv_sizeof_type"
	    break
	     ;; #(
  *) :

	    rbcv_sizeof_size=`expr $rbcv_sizeof_type : '.*[^0-9]\([0-9][0-9]*\)$'`
	    case $rbcv_sizeof_type in #(
  *:*) :
    rbcv_sizeof_type="${rbcv_sizeof_type%:*}" ;; #(
  *) :
    rbcv_sizeof_size=`expr $rbcv_sizeof_size / $rb_cv_char_bit` ;;
esac
	    echo "#${rbcv_sizeof_cond+el}if defined(__${rbcv_sizeof_type}__) || defined(__${rbcv_sizeof_type}) || defined(_${rbcv_sizeof_type}) || defined($rbcv_sizeof_type)"
	    echo "#define SIZEOF_DOUBLE $rbcv_sizeof_size"
	    rbcv_sizeof_cond=1
	     ;;
esac
    done
    ${rbcv_sizeof_cond+echo "#endif"}
} >> confdefs.h
else
# The cast to long int works around a bug in the HP C Compiler
# version HP92453-01 B.11.11.23709.GP, which incorrectly rejects
# declarations like `int a3[[(sizeof (unsigned char)) >= 0]];'.
# This bug is HP SR number 8606223364.
{ $as_echo "$as_me:${as_lineno-$LINENO}: checking size of double" >&5
$as_echo_n "checking size of double... " >&6; }
if ${ac_cv_sizeof_double+:} false; then :
  $as_echo_n "(cached) " >&6
else
  if ac_fn_c_compute_int "$LINENO" "(long int) (sizeof (double))" "ac_cv_sizeof_double"        "$ac_includes_default"; then :

else
  if test "$ac_cv_type_double" = yes; then
     { { $as_echo "$as_me:${as_lineno-$LINENO}: error: in \`$ac_pwd':" >&5
$as_echo "$as_me: error: in \`$ac_pwd':" >&2;}
as_fn_error 77 "cannot compute sizeof (double)
See \`config.log' for more details" "$LINENO" 5; }
   else
     ac_cv_sizeof_double=0
   fi
fi

fi
{ $as_echo "$as_me:${as_lineno-$LINENO}: result: $ac_cv_sizeof_double" >&5
    colorize_result "$ac_cv_sizeof_double" ; }



cat >>confdefs.h <<_ACEOF
#define SIZEOF_DOUBLE $ac_cv_sizeof_double
_ACEOF


fi


if test "$universal_binary" = yes; then
{ $as_echo "$as_me:${as_lineno-$LINENO}: checking size of time_t" >&5
$as_echo_n "checking size of time_t... " >&6; }
if ${ac_cv_sizeof_time_t+:} false; then :
  $as_echo_n "(cached) " >&6
else

    unset ac_cv_sizeof_time_t
    rbcv_sizeof_var="
typedef time_t ac__type_sizeof_;
static ac__type_sizeof_ *rbcv_ptr;
#define SIZEOF_TIME_T sizeof((*rbcv_ptr))
"
    test -z "${ac_cv_sizeof_time_t+set}" && {
    for rbcv_sizeof_type in long "long long"; do
	cat confdefs.h - <<_ACEOF >conftest.$ac_ext
/* end confdefs.h.  */
#include <time.h>
		$rbcv_sizeof_var

int
main ()
{
static int test_array [1 - 2 * !(SIZEOF_TIME_T == sizeof($rbcv_sizeof_type))];
test_array [0] = 0;
return test_array [0];

  ;
  return 0;
}
_ACEOF
if ac_fn_c_try_compile "$LINENO"; then :

		ac_cv_sizeof_time_t=`$as_echo "SIZEOF_$rbcv_sizeof_type" | $as_tr_cpp`
		break
fi
rm -f core conftest.err conftest.$ac_objext conftest.$ac_ext
    done
    }
    unset rbcv_sizeof_cond

    test "${ac_cv_sizeof_time_t#[1-9]}" = "${ac_cv_sizeof_time_t}" &&
    test "${ac_cv_sizeof_time_t#SIZEOF_}" = "${ac_cv_sizeof_time_t}" && {
    test "$universal_binary" = yes && cross_compiling=yes
    if ac_fn_c_compute_int "$LINENO" "SIZEOF_TIME_T" "rbcv_sizeof_type"        "#include <time.h>

${rbcv_sizeof_cond+$rbcv_sizeof_cond
#else}
$rbcv_sizeof_var
${rbcv_sizeof_cond+#endif}
#ifndef SIZEOF_TIME_T
#define SIZEOF_TIME_T 0
#endif"; then :

else
  rbcv_sizeof_type=0
fi

    test "$universal_binary" = yes && cross_compiling=$real_cross_compiling
    if test ${rbcv_sizeof_type-0} != 0; then
	ac_cv_sizeof_time_t="${ac_cv_sizeof_time_t+${ac_cv_sizeof_time_t-} }${rbcv_sizeof_type}"
    fi
    }
    : ${ac_cv_sizeof_time_t=0}

fi
{ $as_echo "$as_me:${as_lineno-$LINENO}: result: $ac_cv_sizeof_time_t" >&5
    colorize_result "$ac_cv_sizeof_time_t" ; }
{
    unset rbcv_sizeof_cond
    for rbcv_sizeof_type in ${ac_cv_sizeof_time_t-}; do
	case "$rbcv_sizeof_type" in #(
  [0-9]*|SIZEOF_*) :

	    ${rbcv_sizeof_cond+echo "#else"}
	    echo "#define SIZEOF_TIME_T $rbcv_sizeof_type"
	    break
	     ;; #(
  *) :

	    rbcv_sizeof_size=`expr $rbcv_sizeof_type : '.*[^0-9]\([0-9][0-9]*\)$'`
	    case $rbcv_sizeof_type in #(
  *:*) :
    rbcv_sizeof_type="${rbcv_sizeof_type%:*}" ;; #(
  *) :
    rbcv_sizeof_size=`expr $rbcv_sizeof_size / $rb_cv_char_bit` ;;
esac
	    echo "#${rbcv_sizeof_cond+el}if defined(__${rbcv_sizeof_type}__) || defined(__${rbcv_sizeof_type}) || defined(_${rbcv_sizeof_type}) || defined($rbcv_sizeof_type)"
	    echo "#define SIZEOF_TIME_T $rbcv_sizeof_size"
	    rbcv_sizeof_cond=1
	     ;;
esac
    done
    ${rbcv_sizeof_cond+echo "#endif"}
} >> confdefs.h
else
# The cast to long int works around a bug in the HP C Compiler
# version HP92453-01 B.11.11.23709.GP, which incorrectly rejects
# declarations like `int a3[[(sizeof (unsigned char)) >= 0]];'.
# This bug is HP SR number 8606223364.
{ $as_echo "$as_me:${as_lineno-$LINENO}: checking size of time_t" >&5
$as_echo_n "checking size of time_t... " >&6; }
if ${ac_cv_sizeof_time_t+:} false; then :
  $as_echo_n "(cached) " >&6
else
  if ac_fn_c_compute_int "$LINENO" "(long int) (sizeof (time_t))" "ac_cv_sizeof_time_t"        "#include <time.h>
"; then :

else
  if test "$ac_cv_type_time_t" = yes; then
     { { $as_echo "$as_me:${as_lineno-$LINENO}: error: in \`$ac_pwd':" >&5
$as_echo "$as_me: error: in \`$ac_pwd':" >&2;}
as_fn_error 77 "cannot compute sizeof (time_t)
See \`config.log' for more details" "$LINENO" 5; }
   else
     ac_cv_sizeof_time_t=0
   fi
fi

fi
{ $as_echo "$as_me:${as_lineno-$LINENO}: result: $ac_cv_sizeof_time_t" >&5
    colorize_result "$ac_cv_sizeof_time_t" ; }



cat >>confdefs.h <<_ACEOF
#define SIZEOF_TIME_T $ac_cv_sizeof_time_t
_ACEOF


fi


if test "$universal_binary" = yes; then
{ $as_echo "$as_me:${as_lineno-$LINENO}: checking size of clock_t" >&5
$as_echo_n "checking size of clock_t... " >&6; }
if ${ac_cv_sizeof_clock_t+:} false; then :
  $as_echo_n "(cached) " >&6
else

    unset ac_cv_sizeof_clock_t
    rbcv_sizeof_var="
typedef clock_t ac__type_sizeof_;
static ac__type_sizeof_ *rbcv_ptr;
#define SIZEOF_CLOCK_T sizeof((*rbcv_ptr))
"

	if ac_fn_c_compute_int "$LINENO" "SIZEOF_CLOCK_T" "ac_cv_sizeof_clock_t"        "#include <time.h>

$rbcv_sizeof_var"; then :

else
  ac_cv_sizeof_clock_t=
fi


    unset rbcv_sizeof_cond

    test "${ac_cv_sizeof_clock_t#[1-9]}" = "${ac_cv_sizeof_clock_t}" &&
    {
    test "$universal_binary" = yes && cross_compiling=yes
    if ac_fn_c_compute_int "$LINENO" "SIZEOF_CLOCK_T" "rbcv_sizeof_type"        "#include <time.h>

${rbcv_sizeof_cond+$rbcv_sizeof_cond
#else}
$rbcv_sizeof_var
${rbcv_sizeof_cond+#endif}
#ifndef SIZEOF_CLOCK_T
#define SIZEOF_CLOCK_T 0
#endif"; then :

else
  rbcv_sizeof_type=0
fi

    test "$universal_binary" = yes && cross_compiling=$real_cross_compiling
    if test ${rbcv_sizeof_type-0} != 0; then
	ac_cv_sizeof_clock_t="${ac_cv_sizeof_clock_t+${ac_cv_sizeof_clock_t-} }${rbcv_sizeof_type}"
    fi
    }
    : ${ac_cv_sizeof_clock_t=0}

fi
{ $as_echo "$as_me:${as_lineno-$LINENO}: result: $ac_cv_sizeof_clock_t" >&5
    colorize_result "$ac_cv_sizeof_clock_t" ; }
{
    unset rbcv_sizeof_cond
    for rbcv_sizeof_type in ${ac_cv_sizeof_clock_t-}; do
	case "$rbcv_sizeof_type" in #(
  [0-9]*|SIZEOF_*) :

	    ${rbcv_sizeof_cond+echo "#else"}
	    echo "#define SIZEOF_CLOCK_T $rbcv_sizeof_type"
	    break
	     ;; #(
  *) :

	    rbcv_sizeof_size=`expr $rbcv_sizeof_type : '.*[^0-9]\([0-9][0-9]*\)$'`
	    case $rbcv_sizeof_type in #(
  *:*) :
    rbcv_sizeof_type="${rbcv_sizeof_type%:*}" ;; #(
  *) :
    rbcv_sizeof_size=`expr $rbcv_sizeof_size / $rb_cv_char_bit` ;;
esac
	    echo "#${rbcv_sizeof_cond+el}if defined(__${rbcv_sizeof_type}__) || defined(__${rbcv_sizeof_type}) || defined(_${rbcv_sizeof_type}) || defined($rbcv_sizeof_type)"
	    echo "#define SIZEOF_CLOCK_T $rbcv_sizeof_size"
	    rbcv_sizeof_cond=1
	     ;;
esac
    done
    ${rbcv_sizeof_cond+echo "#endif"}
} >> confdefs.h
else
# The cast to long int works around a bug in the HP C Compiler
# version HP92453-01 B.11.11.23709.GP, which incorrectly rejects
# declarations like `int a3[[(sizeof (unsigned char)) >= 0]];'.
# This bug is HP SR number 8606223364.
{ $as_echo "$as_me:${as_lineno-$LINENO}: checking size of clock_t" >&5
$as_echo_n "checking size of clock_t... " >&6; }
if ${ac_cv_sizeof_clock_t+:} false; then :
  $as_echo_n "(cached) " >&6
else
  if ac_fn_c_compute_int "$LINENO" "(long int) (sizeof (clock_t))" "ac_cv_sizeof_clock_t"        "#include <time.h>
"; then :

else
  if test "$ac_cv_type_clock_t" = yes; then
     { { $as_echo "$as_me:${as_lineno-$LINENO}: error: in \`$ac_pwd':" >&5
$as_echo "$as_me: error: in \`$ac_pwd':" >&2;}
as_fn_error 77 "cannot compute sizeof (clock_t)
See \`config.log' for more details" "$LINENO" 5; }
   else
     ac_cv_sizeof_clock_t=0
   fi
fi

fi
{ $as_echo "$as_me:${as_lineno-$LINENO}: result: $ac_cv_sizeof_clock_t" >&5
    colorize_result "$ac_cv_sizeof_clock_t" ; }



cat >>confdefs.h <<_ACEOF
#define SIZEOF_CLOCK_T $ac_cv_sizeof_clock_t
_ACEOF


fi


{ $as_echo "$as_me:${as_lineno-$LINENO}: checking packed struct attribute" >&5
$as_echo_n "checking packed struct attribute... " >&6; }
if ${rb_cv_packed_struct+:} false; then :
  $as_echo_n "(cached) " >&6
else
  rb_cv_packed_struct=no
    for mac in \
	"__pragma(pack(push, 1)) x __pragma(pack(pop))" \
	"x __attribute__((packed))" \
	; do
	cat confdefs.h - <<_ACEOF >conftest.$ac_ext
/* end confdefs.h.  */
#define PACKED_STRUCT(x) $mac
			PACKED_STRUCT(struct { int a; });
int
main ()
{

  ;
  return 0;
}
_ACEOF
if ac_fn_c_try_compile "$LINENO"; then :
  rb_cv_packed_struct=$mac; break
fi
rm -f core conftest.err conftest.$ac_objext conftest.$ac_ext
    done
fi
{ $as_echo "$as_me:${as_lineno-$LINENO}: result: $rb_cv_packed_struct" >&5
    colorize_result "$rb_cv_packed_struct" ; }
packed_struct_unaligned=x
if test "$rb_cv_packed_struct" != no; then
    cat >>confdefs.h <<_ACEOF
#define PACKED_STRUCT(x) $rb_cv_packed_struct
_ACEOF

else
    cat >>confdefs.h <<_ACEOF
#define PACKED_STRUCT(x) x
_ACEOF

fi
cat >>confdefs.h <<_ACEOF
#define PACKED_STRUCT_UNALIGNED(x) $packed_struct_unaligned
_ACEOF




if test "x$ac_cv_type_long_long" = xyes; then

{ $as_echo "$as_me:${as_lineno-$LINENO}: checking for printf prefix for long long" >&5
$as_echo_n "checking for printf prefix for long long... " >&6; }
if ${rb_cv_pri_prefix_long_long+:} false; then :
  $as_echo_n "(cached) " >&6
else

    rb_cv_pri_prefix_long_long=NONE
    save_CFLAGS="$CFLAGS"
CFLAGS="$CFLAGS $rb_cv_warnflags"
if test "${ac_c_werror_flag+set}"; then
  rb_c_werror_flag="$ac_c_werror_flag"
else
  unset rb_c_werror_flag
fi
ac_c_werror_flag=yes
# RUBY_APPEND_OPTIONS(CFLAGS)
	for rb_opt in $rb_cv_wsuppress_flags; do
	case " ${CFLAGS-} " in #(
  *" ${rb_opt} "*) :
     ;; #(
  '  ') :
     CFLAGS="${rb_opt}" ;; #(
  *) :
     CFLAGS="$CFLAGS ${rb_opt}" ;;
esac
	done
    for pri in ll I64; do
        cat confdefs.h - <<_ACEOF >conftest.$ac_ext
/* end confdefs.h.  */
#include <stdio.h>
	    #include <stddef.h>
            #ifdef __GNUC__
            #define PRINTF_ARGS(decl, string_index, first_to_check) \
              decl __attribute__((format(printf, string_index, first_to_check)))
            #else
            #define PRINTF_ARGS(decl, string_index, first_to_check) decl
            #endif
	    PRINTF_ARGS(void test_sprintf(const char*, ...), 1, 2);
int
main ()
{
printf("%${pri}d", (long long)42);
            test_sprintf("%${pri}d", (long long)42);
  ;
  return 0;
}
_ACEOF
if ac_fn_c_try_compile "$LINENO"; then :
  rb_cv_pri_prefix_long_long=$pri; break
fi
rm -f core conftest.err conftest.$ac_objext conftest.$ac_ext
    done
CFLAGS="$save_CFLAGS"
save_CFLAGS=
if test "${rb_c_werror_flag+set}"; then
  ac_c_werror_flag="$rb_c_werror_flag"
else
  unset ac_c_werror_flag
fi
fi
{ $as_echo "$as_me:${as_lineno-$LINENO}: result: $rb_cv_pri_prefix_long_long" >&5
    colorize_result "$rb_cv_pri_prefix_long_long" ; }
if test "$rb_cv_pri_prefix_long_long" != NONE; then
    cat >>confdefs.h <<_ACEOF
#define PRI_LL_PREFIX "$rb_cv_pri_prefix_long_long"
_ACEOF

fi

elif test "x$ac_cv_type___int64" = xyes; then

{ $as_echo "$as_me:${as_lineno-$LINENO}: checking for printf prefix for __int64" >&5
$as_echo_n "checking for printf prefix for __int64... " >&6; }
if ${rb_cv_pri_prefix___int64+:} false; then :
  $as_echo_n "(cached) " >&6
else

    rb_cv_pri_prefix___int64=NONE
    save_CFLAGS="$CFLAGS"
CFLAGS="$CFLAGS $rb_cv_warnflags"
if test "${ac_c_werror_flag+set}"; then
  rb_c_werror_flag="$ac_c_werror_flag"
else
  unset rb_c_werror_flag
fi
ac_c_werror_flag=yes
# RUBY_APPEND_OPTIONS(CFLAGS)
	for rb_opt in $rb_cv_wsuppress_flags; do
	case " ${CFLAGS-} " in #(
  *" ${rb_opt} "*) :
     ;; #(
  '  ') :
     CFLAGS="${rb_opt}" ;; #(
  *) :
     CFLAGS="$CFLAGS ${rb_opt}" ;;
esac
	done
    for pri in ll I64; do
        cat confdefs.h - <<_ACEOF >conftest.$ac_ext
/* end confdefs.h.  */
#include <stdio.h>
	    #include <stddef.h>
            #ifdef __GNUC__
            #define PRINTF_ARGS(decl, string_index, first_to_check) \
              decl __attribute__((format(printf, string_index, first_to_check)))
            #else
            #define PRINTF_ARGS(decl, string_index, first_to_check) decl
            #endif
	    PRINTF_ARGS(void test_sprintf(const char*, ...), 1, 2);
int
main ()
{
printf("%${pri}d", (__int64)42);
            test_sprintf("%${pri}d", (__int64)42);
  ;
  return 0;
}
_ACEOF
if ac_fn_c_try_compile "$LINENO"; then :
  rb_cv_pri_prefix___int64=$pri; break
fi
rm -f core conftest.err conftest.$ac_objext conftest.$ac_ext
    done
CFLAGS="$save_CFLAGS"
save_CFLAGS=
if test "${rb_c_werror_flag+set}"; then
  ac_c_werror_flag="$rb_c_werror_flag"
else
  unset ac_c_werror_flag
fi
fi
{ $as_echo "$as_me:${as_lineno-$LINENO}: result: $rb_cv_pri_prefix___int64" >&5
    colorize_result "$rb_cv_pri_prefix___int64" ; }
if test "$rb_cv_pri_prefix___int64" != NONE; then
    cat >>confdefs.h <<_ACEOF
#define PRI_LL_PREFIX "$rb_cv_pri_prefix___int64"
_ACEOF

fi

fi




    ac_fn_c_check_type "$LINENO" "pid_t" "ac_cv_type_pid_t" "$ac_includes_default"
if test "x$ac_cv_type_pid_t" = xyes; then :
  n="pid_t"
else
  n="int"
fi

    { $as_echo "$as_me:${as_lineno-$LINENO}: checking for convertible type of pid_t" >&5
$as_echo_n "checking for convertible type of pid_t... " >&6; }
if ${rb_cv_pid_t_convertible+:} false; then :
  $as_echo_n "(cached) " >&6
else

	u= t=
	case "$n " in #(
  *" signed "*) :
      ;; #(
  *" unsigned "*) :

	    u=U ;; #(
  *) :
        cat confdefs.h - <<_ACEOF >conftest.$ac_ext
/* end confdefs.h.  */
$ac_includes_default
int
main ()
{
static int test_array [1 - 2 * !(($n)-1 > 0)];
test_array [0] = 0;
return test_array [0];

  ;
  return 0;
}
_ACEOF
if ac_fn_c_try_compile "$LINENO"; then :
  u=U
fi
rm -f core conftest.err conftest.$ac_objext conftest.$ac_ext ;;
esac
	if test x"$t" = x; then
	    for t in "long long" long int short; do
		test -n "$u" && t="unsigned $t"
		cat confdefs.h - <<_ACEOF >conftest.$ac_ext
/* end confdefs.h.  */
$ac_includes_default
			typedef $n rbcv_conftest_target_type;
			typedef $t rbcv_conftest_replace_type;
			extern rbcv_conftest_target_type rbcv_conftest_var;
			extern rbcv_conftest_replace_type rbcv_conftest_var;
			extern rbcv_conftest_target_type rbcv_conftest_func(void);
			extern rbcv_conftest_replace_type rbcv_conftest_func(void);

int
main ()
{
static int test_array [1 - 2 * !(sizeof(rbcv_conftest_target_type) == sizeof(rbcv_conftest_replace_type))];
test_array [0] = 0;
return test_array [0];

  ;
  return 0;
}
_ACEOF
if ac_fn_c_try_compile "$LINENO"; then :
  n="$t"; break
fi
rm -f core conftest.err conftest.$ac_objext conftest.$ac_ext
	    done
	fi
	case " $n " in #(
  *" long long "*) :

	    t=LL ;; #(
  *" long "*) :

	    t=LONG ;; #(
  *) :

	    t=INT ;;
esac
	rb_cv_pid_t_convertible=${u}${t}
fi
{ $as_echo "$as_me:${as_lineno-$LINENO}: result: $rb_cv_pid_t_convertible" >&5
    colorize_result "$rb_cv_pid_t_convertible" ; }
    if test "${ac_cv_type_pid_t}" = "yes"; then
	n="pid_t"
    else
	case "${rb_cv_pid_t_convertible}" in #(
  *LL) :
    n="long long" ;; #(
  *LONG) :
    n="long" ;; #(
  *) :
    n="int" ;;
esac
	case "${rb_cv_pid_t_convertible}" in #(
  U*) :
    n="unsigned $n" ;; #(
  *) :
     ;;
esac
    fi
    case "${rb_cv_pid_t_convertible}" in #(
  U*) :
    u=+1 ;; #(
  *) :
    u=-1 ;;
esac
    cat >>confdefs.h <<_ACEOF
#define rb_pid_t $n
_ACEOF

    cat >>confdefs.h <<_ACEOF
#define SIGNEDNESS_OF_PID_T $u
_ACEOF

    cat >>confdefs.h <<_ACEOF
#define PIDT2NUM(v) ${rb_cv_pid_t_convertible}2NUM(v)
_ACEOF

    cat >>confdefs.h <<_ACEOF
#define NUM2PIDT(v) NUM2${rb_cv_pid_t_convertible}(v)
_ACEOF

    cat >>confdefs.h <<_ACEOF
#define PRI_PIDT_PREFIX PRI_`echo ${rb_cv_pid_t_convertible} | sed 's/^U//'`_PREFIX
_ACEOF


    ac_fn_c_check_type "$LINENO" "uid_t" "ac_cv_type_uid_t" "$ac_includes_default"
if test "x$ac_cv_type_uid_t" = xyes; then :
  n="uid_t"
else
  n="int"
fi

    { $as_echo "$as_me:${as_lineno-$LINENO}: checking for convertible type of uid_t" >&5
$as_echo_n "checking for convertible type of uid_t... " >&6; }
if ${rb_cv_uid_t_convertible+:} false; then :
  $as_echo_n "(cached) " >&6
else

	u= t=
	case "$n " in #(
  *" signed "*) :
      ;; #(
  *" unsigned "*) :

	    u=U ;; #(
  *) :
        cat confdefs.h - <<_ACEOF >conftest.$ac_ext
/* end confdefs.h.  */
$ac_includes_default
int
main ()
{
static int test_array [1 - 2 * !(($n)-1 > 0)];
test_array [0] = 0;
return test_array [0];

  ;
  return 0;
}
_ACEOF
if ac_fn_c_try_compile "$LINENO"; then :
  u=U
fi
rm -f core conftest.err conftest.$ac_objext conftest.$ac_ext ;;
esac
	if test x"$t" = x; then
	    for t in "long long" long int short; do
		test -n "$u" && t="unsigned $t"
		cat confdefs.h - <<_ACEOF >conftest.$ac_ext
/* end confdefs.h.  */
$ac_includes_default
			typedef $n rbcv_conftest_target_type;
			typedef $t rbcv_conftest_replace_type;
			extern rbcv_conftest_target_type rbcv_conftest_var;
			extern rbcv_conftest_replace_type rbcv_conftest_var;
			extern rbcv_conftest_target_type rbcv_conftest_func(void);
			extern rbcv_conftest_replace_type rbcv_conftest_func(void);

int
main ()
{
static int test_array [1 - 2 * !(sizeof(rbcv_conftest_target_type) == sizeof(rbcv_conftest_replace_type))];
test_array [0] = 0;
return test_array [0];

  ;
  return 0;
}
_ACEOF
if ac_fn_c_try_compile "$LINENO"; then :
  n="$t"; break
fi
rm -f core conftest.err conftest.$ac_objext conftest.$ac_ext
	    done
	fi
	case " $n " in #(
  *" long long "*) :

	    t=LL ;; #(
  *" long "*) :

	    t=LONG ;; #(
  *) :

	    t=INT ;;
esac
	rb_cv_uid_t_convertible=${u}${t}
fi
{ $as_echo "$as_me:${as_lineno-$LINENO}: result: $rb_cv_uid_t_convertible" >&5
    colorize_result "$rb_cv_uid_t_convertible" ; }
    if test "${ac_cv_type_uid_t}" = "yes"; then
	n="uid_t"
    else
	case "${rb_cv_uid_t_convertible}" in #(
  *LL) :
    n="long long" ;; #(
  *LONG) :
    n="long" ;; #(
  *) :
    n="int" ;;
esac
	case "${rb_cv_uid_t_convertible}" in #(
  U*) :
    n="unsigned $n" ;; #(
  *) :
     ;;
esac
    fi
    case "${rb_cv_uid_t_convertible}" in #(
  U*) :
    u=+1 ;; #(
  *) :
    u=-1 ;;
esac
    cat >>confdefs.h <<_ACEOF
#define rb_uid_t $n
_ACEOF

    cat >>confdefs.h <<_ACEOF
#define SIGNEDNESS_OF_UID_T $u
_ACEOF

    cat >>confdefs.h <<_ACEOF
#define UIDT2NUM(v) ${rb_cv_uid_t_convertible}2NUM(v)
_ACEOF

    cat >>confdefs.h <<_ACEOF
#define NUM2UIDT(v) NUM2${rb_cv_uid_t_convertible}(v)
_ACEOF

    cat >>confdefs.h <<_ACEOF
#define PRI_UIDT_PREFIX PRI_`echo ${rb_cv_uid_t_convertible} | sed 's/^U//'`_PREFIX
_ACEOF


    ac_fn_c_check_type "$LINENO" "gid_t" "ac_cv_type_gid_t" "$ac_includes_default"
if test "x$ac_cv_type_gid_t" = xyes; then :
  n="gid_t"
else
  n="int"
fi

    { $as_echo "$as_me:${as_lineno-$LINENO}: checking for convertible type of gid_t" >&5
$as_echo_n "checking for convertible type of gid_t... " >&6; }
if ${rb_cv_gid_t_convertible+:} false; then :
  $as_echo_n "(cached) " >&6
else

	u= t=
	case "$n " in #(
  *" signed "*) :
      ;; #(
  *" unsigned "*) :

	    u=U ;; #(
  *) :
        cat confdefs.h - <<_ACEOF >conftest.$ac_ext
/* end confdefs.h.  */
$ac_includes_default
int
main ()
{
static int test_array [1 - 2 * !(($n)-1 > 0)];
test_array [0] = 0;
return test_array [0];

  ;
  return 0;
}
_ACEOF
if ac_fn_c_try_compile "$LINENO"; then :
  u=U
fi
rm -f core conftest.err conftest.$ac_objext conftest.$ac_ext ;;
esac
	if test x"$t" = x; then
	    for t in "long long" long int short; do
		test -n "$u" && t="unsigned $t"
		cat confdefs.h - <<_ACEOF >conftest.$ac_ext
/* end confdefs.h.  */
$ac_includes_default
			typedef $n rbcv_conftest_target_type;
			typedef $t rbcv_conftest_replace_type;
			extern rbcv_conftest_target_type rbcv_conftest_var;
			extern rbcv_conftest_replace_type rbcv_conftest_var;
			extern rbcv_conftest_target_type rbcv_conftest_func(void);
			extern rbcv_conftest_replace_type rbcv_conftest_func(void);

int
main ()
{
static int test_array [1 - 2 * !(sizeof(rbcv_conftest_target_type) == sizeof(rbcv_conftest_replace_type))];
test_array [0] = 0;
return test_array [0];

  ;
  return 0;
}
_ACEOF
if ac_fn_c_try_compile "$LINENO"; then :
  n="$t"; break
fi
rm -f core conftest.err conftest.$ac_objext conftest.$ac_ext
	    done
	fi
	case " $n " in #(
  *" long long "*) :

	    t=LL ;; #(
  *" long "*) :

	    t=LONG ;; #(
  *) :

	    t=INT ;;
esac
	rb_cv_gid_t_convertible=${u}${t}
fi
{ $as_echo "$as_me:${as_lineno-$LINENO}: result: $rb_cv_gid_t_convertible" >&5
    colorize_result "$rb_cv_gid_t_convertible" ; }
    if test "${ac_cv_type_gid_t}" = "yes"; then
	n="gid_t"
    else
	case "${rb_cv_gid_t_convertible}" in #(
  *LL) :
    n="long long" ;; #(
  *LONG) :
    n="long" ;; #(
  *) :
    n="int" ;;
esac
	case "${rb_cv_gid_t_convertible}" in #(
  U*) :
    n="unsigned $n" ;; #(
  *) :
     ;;
esac
    fi
    case "${rb_cv_gid_t_convertible}" in #(
  U*) :
    u=+1 ;; #(
  *) :
    u=-1 ;;
esac
    cat >>confdefs.h <<_ACEOF
#define rb_gid_t $n
_ACEOF

    cat >>confdefs.h <<_ACEOF
#define SIGNEDNESS_OF_GID_T $u
_ACEOF

    cat >>confdefs.h <<_ACEOF
#define GIDT2NUM(v) ${rb_cv_gid_t_convertible}2NUM(v)
_ACEOF

    cat >>confdefs.h <<_ACEOF
#define NUM2GIDT(v) NUM2${rb_cv_gid_t_convertible}(v)
_ACEOF

    cat >>confdefs.h <<_ACEOF
#define PRI_GIDT_PREFIX PRI_`echo ${rb_cv_gid_t_convertible} | sed 's/^U//'`_PREFIX
_ACEOF


    ac_fn_c_check_type "$LINENO" "time_t" "ac_cv_type_time_t" "#include <time.h>
"
if test "x$ac_cv_type_time_t" = xyes; then :
  n="time_t"
else
  n=""
fi

    { $as_echo "$as_me:${as_lineno-$LINENO}: checking for convertible type of time_t" >&5
$as_echo_n "checking for convertible type of time_t... " >&6; }
if ${rb_cv_time_t_convertible+:} false; then :
  $as_echo_n "(cached) " >&6
else

	u= t=
	case "$n " in #(
  *" signed "*) :
      ;; #(
  *" unsigned "*) :

	    u=U ;; #(
  *) :
        cat confdefs.h - <<_ACEOF >conftest.$ac_ext
/* end confdefs.h.  */
#include <time.h>

int
main ()
{
static int test_array [1 - 2 * !(($n)-1 > 0)];
test_array [0] = 0;
return test_array [0];

  ;
  return 0;
}
_ACEOF
if ac_fn_c_try_compile "$LINENO"; then :
  u=U
fi
rm -f core conftest.err conftest.$ac_objext conftest.$ac_ext ;;
esac
	if test x"$t" = x; then
	    for t in "long long" long int short; do
		test -n "$u" && t="unsigned $t"
		cat confdefs.h - <<_ACEOF >conftest.$ac_ext
/* end confdefs.h.  */
#include <time.h>

			typedef $n rbcv_conftest_target_type;
			typedef $t rbcv_conftest_replace_type;
			extern rbcv_conftest_target_type rbcv_conftest_var;
			extern rbcv_conftest_replace_type rbcv_conftest_var;
			extern rbcv_conftest_target_type rbcv_conftest_func(void);
			extern rbcv_conftest_replace_type rbcv_conftest_func(void);

int
main ()
{
static int test_array [1 - 2 * !(sizeof(rbcv_conftest_target_type) == sizeof(rbcv_conftest_replace_type))];
test_array [0] = 0;
return test_array [0];

  ;
  return 0;
}
_ACEOF
if ac_fn_c_try_compile "$LINENO"; then :
  n="$t"; break
fi
rm -f core conftest.err conftest.$ac_objext conftest.$ac_ext
	    done
	fi
	case " $n " in #(
  *" long long "*) :

	    t=LL ;; #(
  *" long "*) :

	    t=LONG ;; #(
  *) :

	    t=INT ;;
esac
	rb_cv_time_t_convertible=${u}${t}
fi
{ $as_echo "$as_me:${as_lineno-$LINENO}: result: $rb_cv_time_t_convertible" >&5
    colorize_result "$rb_cv_time_t_convertible" ; }
    if test "${ac_cv_type_time_t}" = "yes"; then
	n="time_t"
    else
	case "${rb_cv_time_t_convertible}" in #(
  *LL) :
    n="long long" ;; #(
  *LONG) :
    n="long" ;; #(
  *) :
    n="int" ;;
esac
	case "${rb_cv_time_t_convertible}" in #(
  U*) :
    n="unsigned $n" ;; #(
  *) :
     ;;
esac
    fi
    case "${rb_cv_time_t_convertible}" in #(
  U*) :
    u=+1 ;; #(
  *) :
    u=-1 ;;
esac
    cat >>confdefs.h <<_ACEOF
#define rb_time_t $n
_ACEOF

    cat >>confdefs.h <<_ACEOF
#define SIGNEDNESS_OF_TIME_T $u
_ACEOF

    cat >>confdefs.h <<_ACEOF
#define TIMET2NUM(v) ${rb_cv_time_t_convertible}2NUM(v)
_ACEOF

    cat >>confdefs.h <<_ACEOF
#define NUM2TIMET(v) NUM2${rb_cv_time_t_convertible}(v)
_ACEOF

    cat >>confdefs.h <<_ACEOF
#define PRI_TIMET_PREFIX PRI_`echo ${rb_cv_time_t_convertible} | sed 's/^U//'`_PREFIX
_ACEOF


    ac_fn_c_check_type "$LINENO" "dev_t" "ac_cv_type_dev_t" "$ac_includes_default"
if test "x$ac_cv_type_dev_t" = xyes; then :
  n="dev_t"
else
  n="int long \"long long\""
fi

    { $as_echo "$as_me:${as_lineno-$LINENO}: checking for convertible type of dev_t" >&5
$as_echo_n "checking for convertible type of dev_t... " >&6; }
if ${rb_cv_dev_t_convertible+:} false; then :
  $as_echo_n "(cached) " >&6
else

	u= t=
	case "$n " in #(
  *" signed "*) :
      ;; #(
  *" unsigned "*) :

	    u=U ;; #(
  *) :
        cat confdefs.h - <<_ACEOF >conftest.$ac_ext
/* end confdefs.h.  */
$ac_includes_default
int
main ()
{
static int test_array [1 - 2 * !(($n)-1 > 0)];
test_array [0] = 0;
return test_array [0];

  ;
  return 0;
}
_ACEOF
if ac_fn_c_try_compile "$LINENO"; then :
  u=U
fi
rm -f core conftest.err conftest.$ac_objext conftest.$ac_ext ;;
esac
	if test x"$t" = x; then
	    for t in "long long" long int short; do
		test -n "$u" && t="unsigned $t"
		cat confdefs.h - <<_ACEOF >conftest.$ac_ext
/* end confdefs.h.  */
$ac_includes_default
			typedef $n rbcv_conftest_target_type;
			typedef $t rbcv_conftest_replace_type;
			extern rbcv_conftest_target_type rbcv_conftest_var;
			extern rbcv_conftest_replace_type rbcv_conftest_var;
			extern rbcv_conftest_target_type rbcv_conftest_func(void);
			extern rbcv_conftest_replace_type rbcv_conftest_func(void);

int
main ()
{
static int test_array [1 - 2 * !(sizeof(rbcv_conftest_target_type) == sizeof(rbcv_conftest_replace_type))];
test_array [0] = 0;
return test_array [0];

  ;
  return 0;
}
_ACEOF
if ac_fn_c_try_compile "$LINENO"; then :
  n="$t"; break
fi
rm -f core conftest.err conftest.$ac_objext conftest.$ac_ext
	    done
	fi
	case " $n " in #(
  *" long long "*) :

	    t=LL ;; #(
  *" long "*) :

	    t=LONG ;; #(
  *) :

	    t=INT ;;
esac
	rb_cv_dev_t_convertible=${u}${t}
fi
{ $as_echo "$as_me:${as_lineno-$LINENO}: result: $rb_cv_dev_t_convertible" >&5
    colorize_result "$rb_cv_dev_t_convertible" ; }
    if test "${ac_cv_type_dev_t}" = "yes"; then
	n="dev_t"
    else
	case "${rb_cv_dev_t_convertible}" in #(
  *LL) :
    n="long long" ;; #(
  *LONG) :
    n="long" ;; #(
  *) :
    n="int" ;;
esac
	case "${rb_cv_dev_t_convertible}" in #(
  U*) :
    n="unsigned $n" ;; #(
  *) :
     ;;
esac
    fi
    case "${rb_cv_dev_t_convertible}" in #(
  U*) :
    u=+1 ;; #(
  *) :
    u=-1 ;;
esac
    cat >>confdefs.h <<_ACEOF
#define rb_dev_t $n
_ACEOF

    cat >>confdefs.h <<_ACEOF
#define SIGNEDNESS_OF_DEV_T $u
_ACEOF

    cat >>confdefs.h <<_ACEOF
#define DEVT2NUM(v) ${rb_cv_dev_t_convertible}2NUM(v)
_ACEOF

    cat >>confdefs.h <<_ACEOF
#define NUM2DEVT(v) NUM2${rb_cv_dev_t_convertible}(v)
_ACEOF

    cat >>confdefs.h <<_ACEOF
#define PRI_DEVT_PREFIX PRI_`echo ${rb_cv_dev_t_convertible} | sed 's/^U//'`_PREFIX
_ACEOF


    ac_fn_c_check_type "$LINENO" "mode_t" "ac_cv_type_mode_t" "#include <sys/stat.h>
"
if test "x$ac_cv_type_mode_t" = xyes; then :
  n="mode_t"
else
  n="\"unsigned int\" long"
fi

    { $as_echo "$as_me:${as_lineno-$LINENO}: checking for convertible type of mode_t" >&5
$as_echo_n "checking for convertible type of mode_t... " >&6; }
if ${rb_cv_mode_t_convertible+:} false; then :
  $as_echo_n "(cached) " >&6
else

	u= t=
	case "$n " in #(
  *" signed "*) :
      ;; #(
  *" unsigned "*) :

	    u=U ;; #(
  *) :
        cat confdefs.h - <<_ACEOF >conftest.$ac_ext
/* end confdefs.h.  */
#include <sys/stat.h>

int
main ()
{
static int test_array [1 - 2 * !(($n)-1 > 0)];
test_array [0] = 0;
return test_array [0];

  ;
  return 0;
}
_ACEOF
if ac_fn_c_try_compile "$LINENO"; then :
  u=U
fi
rm -f core conftest.err conftest.$ac_objext conftest.$ac_ext ;;
esac
	if test x"$t" = x; then
	    for t in "long long" long int short; do
		test -n "$u" && t="unsigned $t"
		cat confdefs.h - <<_ACEOF >conftest.$ac_ext
/* end confdefs.h.  */
#include <sys/stat.h>

			typedef $n rbcv_conftest_target_type;
			typedef $t rbcv_conftest_replace_type;
			extern rbcv_conftest_target_type rbcv_conftest_var;
			extern rbcv_conftest_replace_type rbcv_conftest_var;
			extern rbcv_conftest_target_type rbcv_conftest_func(void);
			extern rbcv_conftest_replace_type rbcv_conftest_func(void);

int
main ()
{
static int test_array [1 - 2 * !(sizeof(rbcv_conftest_target_type) == sizeof(rbcv_conftest_replace_type))];
test_array [0] = 0;
return test_array [0];

  ;
  return 0;
}
_ACEOF
if ac_fn_c_try_compile "$LINENO"; then :
  n="$t"; break
fi
rm -f core conftest.err conftest.$ac_objext conftest.$ac_ext
	    done
	fi
	case " $n " in #(
  *" long long "*) :

	    t=LL ;; #(
  *" long "*) :

	    t=LONG ;; #(
  *) :

	    t=INT ;;
esac
	rb_cv_mode_t_convertible=${u}${t}
fi
{ $as_echo "$as_me:${as_lineno-$LINENO}: result: $rb_cv_mode_t_convertible" >&5
    colorize_result "$rb_cv_mode_t_convertible" ; }
    if test "${ac_cv_type_mode_t}" = "yes"; then
	n="mode_t"
    else
	case "${rb_cv_mode_t_convertible}" in #(
  *LL) :
    n="long long" ;; #(
  *LONG) :
    n="long" ;; #(
  *) :
    n="int" ;;
esac
	case "${rb_cv_mode_t_convertible}" in #(
  U*) :
    n="unsigned $n" ;; #(
  *) :
     ;;
esac
    fi
    case "${rb_cv_mode_t_convertible}" in #(
  U*) :
    u=+1 ;; #(
  *) :
    u=-1 ;;
esac
    cat >>confdefs.h <<_ACEOF
#define rb_mode_t $n
_ACEOF

    cat >>confdefs.h <<_ACEOF
#define SIGNEDNESS_OF_MODE_T $u
_ACEOF

    cat >>confdefs.h <<_ACEOF
#define MODET2NUM(v) ${rb_cv_mode_t_convertible}2NUM(v)
_ACEOF

    cat >>confdefs.h <<_ACEOF
#define NUM2MODET(v) NUM2${rb_cv_mode_t_convertible}(v)
_ACEOF

    cat >>confdefs.h <<_ACEOF
#define PRI_MODET_PREFIX PRI_`echo ${rb_cv_mode_t_convertible} | sed 's/^U//'`_PREFIX
_ACEOF


    ac_fn_c_check_type "$LINENO" "rlim_t" "ac_cv_type_rlim_t" "
#ifdef HAVE_SYS_TYPES_H
#include <sys/types.h>
#endif
#ifdef HAVE_SYS_TYPES_H
#include <sys/time.h>
#endif
#include <sys/resource.h>

"
if test "x$ac_cv_type_rlim_t" = xyes; then :
  n="rlim_t"
else
  n="int long \"long long\""
fi

    { $as_echo "$as_me:${as_lineno-$LINENO}: checking for convertible type of rlim_t" >&5
$as_echo_n "checking for convertible type of rlim_t... " >&6; }
if ${rb_cv_rlim_t_convertible+:} false; then :
  $as_echo_n "(cached) " >&6
else

	u= t=
	case "$n " in #(
  *" signed "*) :
      ;; #(
  *" unsigned "*) :

	    u=U ;; #(
  *) :
        cat confdefs.h - <<_ACEOF >conftest.$ac_ext
/* end confdefs.h.  */

#ifdef HAVE_SYS_TYPES_H
#include <sys/types.h>
#endif
#ifdef HAVE_SYS_TYPES_H
#include <sys/time.h>
#endif
#include <sys/resource.h>


int
main ()
{
static int test_array [1 - 2 * !(($n)-1 > 0)];
test_array [0] = 0;
return test_array [0];

  ;
  return 0;
}
_ACEOF
if ac_fn_c_try_compile "$LINENO"; then :
  u=U
fi
rm -f core conftest.err conftest.$ac_objext conftest.$ac_ext ;;
esac
	if test x"$t" = x; then
	    for t in "long long" long int short; do
		test -n "$u" && t="unsigned $t"
		cat confdefs.h - <<_ACEOF >conftest.$ac_ext
/* end confdefs.h.  */

#ifdef HAVE_SYS_TYPES_H
#include <sys/types.h>
#endif
#ifdef HAVE_SYS_TYPES_H
#include <sys/time.h>
#endif
#include <sys/resource.h>


			typedef $n rbcv_conftest_target_type;
			typedef $t rbcv_conftest_replace_type;
			extern rbcv_conftest_target_type rbcv_conftest_var;
			extern rbcv_conftest_replace_type rbcv_conftest_var;
			extern rbcv_conftest_target_type rbcv_conftest_func(void);
			extern rbcv_conftest_replace_type rbcv_conftest_func(void);

int
main ()
{
static int test_array [1 - 2 * !(sizeof(rbcv_conftest_target_type) == sizeof(rbcv_conftest_replace_type))];
test_array [0] = 0;
return test_array [0];

  ;
  return 0;
}
_ACEOF
if ac_fn_c_try_compile "$LINENO"; then :
  n="$t"; break
fi
rm -f core conftest.err conftest.$ac_objext conftest.$ac_ext
	    done
	fi
	case " $n " in #(
  *" long long "*) :

	    t=LL ;; #(
  *" long "*) :

	    t=LONG ;; #(
  *) :

	    t=INT ;;
esac
	rb_cv_rlim_t_convertible=${u}${t}
fi
{ $as_echo "$as_me:${as_lineno-$LINENO}: result: $rb_cv_rlim_t_convertible" >&5
    colorize_result "$rb_cv_rlim_t_convertible" ; }
    if test "${ac_cv_type_rlim_t}" = "yes"; then
	n="rlim_t"
    else
	case "${rb_cv_rlim_t_convertible}" in #(
  *LL) :
    n="long long" ;; #(
  *LONG) :
    n="long" ;; #(
  *) :
    n="int" ;;
esac
	case "${rb_cv_rlim_t_convertible}" in #(
  U*) :
    n="unsigned $n" ;; #(
  *) :
     ;;
esac
    fi
    case "${rb_cv_rlim_t_convertible}" in #(
  U*) :
    u=+1 ;; #(
  *) :
    u=-1 ;;
esac
    cat >>confdefs.h <<_ACEOF
#define rb_rlim_t $n
_ACEOF

    cat >>confdefs.h <<_ACEOF
#define SIGNEDNESS_OF_RLIM_T $u
_ACEOF

    cat >>confdefs.h <<_ACEOF
#define RLIM2NUM(v) ${rb_cv_rlim_t_convertible}2NUM(v)
_ACEOF

    cat >>confdefs.h <<_ACEOF
#define NUM2RLIM(v) NUM2${rb_cv_rlim_t_convertible}(v)
_ACEOF

    cat >>confdefs.h <<_ACEOF
#define PRI_RLIM_PREFIX PRI_`echo ${rb_cv_rlim_t_convertible} | sed 's/^U//'`_PREFIX
_ACEOF


    ac_fn_c_check_type "$LINENO" "off_t" "ac_cv_type_off_t" "$ac_includes_default"
if test "x$ac_cv_type_off_t" = xyes; then :
  n="off_t"
else
  n=""
fi

    { $as_echo "$as_me:${as_lineno-$LINENO}: checking for convertible type of off_t" >&5
$as_echo_n "checking for convertible type of off_t... " >&6; }
if ${rb_cv_off_t_convertible+:} false; then :
  $as_echo_n "(cached) " >&6
else

	u= t=
	case "$n " in #(
  *" signed "*) :
      ;; #(
  *" unsigned "*) :

	    u=U ;; #(
  *) :
        cat confdefs.h - <<_ACEOF >conftest.$ac_ext
/* end confdefs.h.  */
$ac_includes_default
int
main ()
{
static int test_array [1 - 2 * !(($n)-1 > 0)];
test_array [0] = 0;
return test_array [0];

  ;
  return 0;
}
_ACEOF
if ac_fn_c_try_compile "$LINENO"; then :
  u=U
fi
rm -f core conftest.err conftest.$ac_objext conftest.$ac_ext ;;
esac
	if test x"$t" = x; then
	    for t in "long long" long int short; do
		test -n "$u" && t="unsigned $t"
		cat confdefs.h - <<_ACEOF >conftest.$ac_ext
/* end confdefs.h.  */
$ac_includes_default
			typedef $n rbcv_conftest_target_type;
			typedef $t rbcv_conftest_replace_type;
			extern rbcv_conftest_target_type rbcv_conftest_var;
			extern rbcv_conftest_replace_type rbcv_conftest_var;
			extern rbcv_conftest_target_type rbcv_conftest_func(void);
			extern rbcv_conftest_replace_type rbcv_conftest_func(void);

int
main ()
{
static int test_array [1 - 2 * !(sizeof(rbcv_conftest_target_type) == sizeof(rbcv_conftest_replace_type))];
test_array [0] = 0;
return test_array [0];

  ;
  return 0;
}
_ACEOF
if ac_fn_c_try_compile "$LINENO"; then :
  n="$t"; break
fi
rm -f core conftest.err conftest.$ac_objext conftest.$ac_ext
	    done
	fi
	case " $n " in #(
  *" long long "*) :

	    t=LL ;; #(
  *" long "*) :

	    t=LONG ;; #(
  *) :

	    t=INT ;;
esac
	rb_cv_off_t_convertible=${u}${t}
fi
{ $as_echo "$as_me:${as_lineno-$LINENO}: result: $rb_cv_off_t_convertible" >&5
    colorize_result "$rb_cv_off_t_convertible" ; }
    if test "${ac_cv_type_off_t}" = "yes"; then
	n="off_t"
    else
	case "${rb_cv_off_t_convertible}" in #(
  *LL) :
    n="long long" ;; #(
  *LONG) :
    n="long" ;; #(
  *) :
    n="int" ;;
esac
	case "${rb_cv_off_t_convertible}" in #(
  U*) :
    n="unsigned $n" ;; #(
  *) :
     ;;
esac
    fi
    case "${rb_cv_off_t_convertible}" in #(
  U*) :
    u=+1 ;; #(
  *) :
    u=-1 ;;
esac
    cat >>confdefs.h <<_ACEOF
#define rb_off_t $n
_ACEOF

    cat >>confdefs.h <<_ACEOF
#define SIGNEDNESS_OF_OFF_T $u
_ACEOF

    cat >>confdefs.h <<_ACEOF
#define OFFT2NUM(v) ${rb_cv_off_t_convertible}2NUM(v)
_ACEOF

    cat >>confdefs.h <<_ACEOF
#define NUM2OFFT(v) NUM2${rb_cv_off_t_convertible}(v)
_ACEOF

    cat >>confdefs.h <<_ACEOF
#define PRI_OFFT_PREFIX PRI_`echo ${rb_cv_off_t_convertible} | sed 's/^U//'`_PREFIX
_ACEOF


    ac_fn_c_check_type "$LINENO" "clockid_t" "ac_cv_type_clockid_t" "$ac_includes_default"
if test "x$ac_cv_type_clockid_t" = xyes; then :
  n="clockid_t"
else
  n=""
fi

    { $as_echo "$as_me:${as_lineno-$LINENO}: checking for convertible type of clockid_t" >&5
$as_echo_n "checking for convertible type of clockid_t... " >&6; }
if ${rb_cv_clockid_t_convertible+:} false; then :
  $as_echo_n "(cached) " >&6
else

	u= t=
	case "$n " in #(
  *" signed "*) :
      ;; #(
  *" unsigned "*) :

	    u=U ;; #(
  *) :
        cat confdefs.h - <<_ACEOF >conftest.$ac_ext
/* end confdefs.h.  */
$ac_includes_default
int
main ()
{
static int test_array [1 - 2 * !(($n)-1 > 0)];
test_array [0] = 0;
return test_array [0];

  ;
  return 0;
}
_ACEOF
if ac_fn_c_try_compile "$LINENO"; then :
  u=U
fi
rm -f core conftest.err conftest.$ac_objext conftest.$ac_ext ;;
esac
	if test x"$t" = x; then
	    for t in "long long" long int short; do
		test -n "$u" && t="unsigned $t"
		cat confdefs.h - <<_ACEOF >conftest.$ac_ext
/* end confdefs.h.  */
$ac_includes_default
			typedef $n rbcv_conftest_target_type;
			typedef $t rbcv_conftest_replace_type;
			extern rbcv_conftest_target_type rbcv_conftest_var;
			extern rbcv_conftest_replace_type rbcv_conftest_var;
			extern rbcv_conftest_target_type rbcv_conftest_func(void);
			extern rbcv_conftest_replace_type rbcv_conftest_func(void);

int
main ()
{
static int test_array [1 - 2 * !(sizeof(rbcv_conftest_target_type) == sizeof(rbcv_conftest_replace_type))];
test_array [0] = 0;
return test_array [0];

  ;
  return 0;
}
_ACEOF
if ac_fn_c_try_compile "$LINENO"; then :
  n="$t"; break
fi
rm -f core conftest.err conftest.$ac_objext conftest.$ac_ext
	    done
	fi
	case " $n " in #(
  *" long long "*) :

	    t=LL ;; #(
  *" long "*) :

	    t=LONG ;; #(
  *) :

	    t=INT ;;
esac
	rb_cv_clockid_t_convertible=${u}${t}
fi
{ $as_echo "$as_me:${as_lineno-$LINENO}: result: $rb_cv_clockid_t_convertible" >&5
    colorize_result "$rb_cv_clockid_t_convertible" ; }
    if test "${ac_cv_type_clockid_t}" = "yes"; then
	n="clockid_t"
    else
	case "${rb_cv_clockid_t_convertible}" in #(
  *LL) :
    n="long long" ;; #(
  *LONG) :
    n="long" ;; #(
  *) :
    n="int" ;;
esac
	case "${rb_cv_clockid_t_convertible}" in #(
  U*) :
    n="unsigned $n" ;; #(
  *) :
     ;;
esac
    fi
    case "${rb_cv_clockid_t_convertible}" in #(
  U*) :
    u=+1 ;; #(
  *) :
    u=-1 ;;
esac
    cat >>confdefs.h <<_ACEOF
#define rb_clockid_t $n
_ACEOF

    cat >>confdefs.h <<_ACEOF
#define SIGNEDNESS_OF_CLOCKID_T $u
_ACEOF

    cat >>confdefs.h <<_ACEOF
#define CLOCKID2NUM(v) ${rb_cv_clockid_t_convertible}2NUM(v)
_ACEOF

    cat >>confdefs.h <<_ACEOF
#define NUM2CLOCKID(v) NUM2${rb_cv_clockid_t_convertible}(v)
_ACEOF

    cat >>confdefs.h <<_ACEOF
#define PRI_CLOCKID_PREFIX PRI_`echo ${rb_cv_clockid_t_convertible} | sed 's/^U//'`_PREFIX
_ACEOF



{ $as_echo "$as_me:${as_lineno-$LINENO}: checking for prototypes" >&5
$as_echo_n "checking for prototypes... " >&6; }
if ${rb_cv_have_prototypes+:} false; then :
  $as_echo_n "(cached) " >&6
else
  cat confdefs.h - <<_ACEOF >conftest.$ac_ext
/* end confdefs.h.  */
int foo(int x) { return 0; }
int
main ()
{
return foo(10);
  ;
  return 0;
}
_ACEOF
if ac_fn_c_try_compile "$LINENO"; then :
  rb_cv_have_prototypes=yes
else
  rb_cv_have_prototypes=no
fi
rm -f core conftest.err conftest.$ac_objext conftest.$ac_ext
fi
{ $as_echo "$as_me:${as_lineno-$LINENO}: result: $rb_cv_have_prototypes" >&5
    colorize_result "$rb_cv_have_prototypes" ; }
if test "$rb_cv_have_prototypes" = yes; then
  $as_echo "#define HAVE_PROTOTYPES 1" >>confdefs.h

fi

{ $as_echo "$as_me:${as_lineno-$LINENO}: checking token paste string" >&5
$as_echo_n "checking token paste string... " >&6; }
if ${rb_cv_tokenpaste+:} false; then :
  $as_echo_n "(cached) " >&6
else
  cat confdefs.h - <<_ACEOF >conftest.$ac_ext
/* end confdefs.h.  */
#define paste(a,b) a##b
int
main ()
{
int xy = 1; return paste(x,y);
  ;
  return 0;
}
_ACEOF
if ac_fn_c_try_compile "$LINENO"; then :
  rb_cv_tokenpaste=ansi
else
  rb_cv_tokenpaste=knr
fi
rm -f core conftest.err conftest.$ac_objext conftest.$ac_ext
fi
{ $as_echo "$as_me:${as_lineno-$LINENO}: result: $rb_cv_tokenpaste" >&5
    colorize_result "$rb_cv_tokenpaste" ; }
if test "$rb_cv_tokenpaste" = ansi; then
  $as_echo "#define TOKEN_PASTE(x,y) x##y" >>confdefs.h

else
  $as_echo "#define TOKEN_PASTE(x,y) x/**/y" >>confdefs.h

fi

{ $as_echo "$as_me:${as_lineno-$LINENO}: checking stringization" >&5
$as_echo_n "checking stringization... " >&6; }
if ${rb_cv_stringization+:} false; then :
  $as_echo_n "(cached) " >&6
else

  rb_cv_stringization=no
  for string in "#expr" '"expr"'; do
    cat confdefs.h - <<_ACEOF >conftest.$ac_ext
/* end confdefs.h.  */


#define STRINGIZE0(expr) $string
#define STRINGIZE(expr) STRINGIZE0(expr)
#undef real_test_for_stringization
#define test_for_stringization -.real_test_for_stringization.-
const char stringized[] = STRINGIZE(test_for_stringization);

int
main ()
{
static int test_array [1 - 2 * !(sizeof(stringized) == 32)];
test_array [0] = 0;
return test_array [0];

  ;
  return 0;
}
_ACEOF
if ac_fn_c_try_compile "$LINENO"; then :
  rb_cv_stringization="$string"; break
else
  rb_cv_stringization=no
fi
rm -f core conftest.err conftest.$ac_objext conftest.$ac_ext
  done

fi
{ $as_echo "$as_me:${as_lineno-$LINENO}: result: $rb_cv_stringization" >&5
    colorize_result "$rb_cv_stringization" ; }
$as_echo "#define STRINGIZE(expr) STRINGIZE0(expr)" >>confdefs.h

if test x"$rb_cv_stringization" != xno -a "$rb_cv_stringization" != "#expr"; then
  cat >>confdefs.h <<_ACEOF
#define STRINGIZE0(expr) $rb_cv_stringization
_ACEOF

  $as_echo "#define OLD_FASHIONED_STRINGIZATION 1" >>confdefs.h

fi

{ $as_echo "$as_me:${as_lineno-$LINENO}: checking string literal concatenation" >&5
$as_echo_n "checking string literal concatenation... " >&6; }
if ${rb_cv_string_literal_concatenation+:} false; then :
  $as_echo_n "(cached) " >&6
else

  cat confdefs.h - <<_ACEOF >conftest.$ac_ext
/* end confdefs.h.  */


const char concatenated_literal[] = "literals" "to"
  "be" "concatenated.";

int
main ()
{
static int test_array [1 - 2 * !(sizeof(concatenated_literal) == 26)];
test_array [0] = 0;
return test_array [0];

  ;
  return 0;
}
_ACEOF
if ac_fn_c_try_compile "$LINENO"; then :
  rb_cv_string_literal_concatenation=yes
else
  rb_cv_string_literal_concatenation=no
fi
rm -f core conftest.err conftest.$ac_objext conftest.$ac_ext

fi
{ $as_echo "$as_me:${as_lineno-$LINENO}: result: $rb_cv_string_literal_concatenation" >&5
    colorize_result "$rb_cv_string_literal_concatenation" ; }
if test "$rb_cv_string_literal_concatenation" = no; then
  $as_echo "#define NO_STRING_LITERAL_CONCATENATION 1" >>confdefs.h

fi

{ $as_echo "$as_me:${as_lineno-$LINENO}: checking for variable length prototypes and stdarg.h" >&5
$as_echo_n "checking for variable length prototypes and stdarg.h... " >&6; }
if ${rb_cv_stdarg+:} false; then :
  $as_echo_n "(cached) " >&6
else
  cat confdefs.h - <<_ACEOF >conftest.$ac_ext
/* end confdefs.h.  */

#include <stdarg.h>
int foo(int x, ...) {
	va_list va;
	va_start(va, x);
	va_arg(va, int);
	va_arg(va, char *);
	va_arg(va, double);
	return 0;
}

int
main ()
{
return foo(10, "", 3.14);
  ;
  return 0;
}
_ACEOF
if ac_fn_c_try_compile "$LINENO"; then :
  rb_cv_stdarg=yes
else
  rb_cv_stdarg=no
fi
rm -f core conftest.err conftest.$ac_objext conftest.$ac_ext
fi
{ $as_echo "$as_me:${as_lineno-$LINENO}: result: $rb_cv_stdarg" >&5
    colorize_result "$rb_cv_stdarg" ; }
if test "$rb_cv_stdarg" = yes; then
  $as_echo "#define HAVE_STDARG_PROTOTYPES 1" >>confdefs.h

fi

{ $as_echo "$as_me:${as_lineno-$LINENO}: checking for variable length macro" >&5
$as_echo_n "checking for variable length macro... " >&6; }
if ${rb_cv_va_args_macro+:} false; then :
  $as_echo_n "(cached) " >&6
else
  cat confdefs.h - <<_ACEOF >conftest.$ac_ext
/* end confdefs.h.  */

int foo(int x, ...);
#define FOO(a, ...) foo(a, ##__VA_ARGS__)

int
main ()
{
FOO(1);FOO(1,2);FOO(1,2,3);
  ;
  return 0;
}
_ACEOF
if ac_fn_c_try_compile "$LINENO"; then :
  rb_cv_va_args_macro=yes
else
  rb_cv_va_args_macro=no
fi
rm -f core conftest.err conftest.$ac_objext conftest.$ac_ext
fi
{ $as_echo "$as_me:${as_lineno-$LINENO}: result: $rb_cv_va_args_macro" >&5
    colorize_result "$rb_cv_va_args_macro" ; }
if test "$rb_cv_va_args_macro" = yes; then
  $as_echo "#define HAVE_VA_ARGS_MACRO 1" >>confdefs.h

fi









{ $as_echo "$as_me:${as_lineno-$LINENO}: checking for CONSTFUNC function attribute" >&5
$as_echo_n "checking for CONSTFUNC function attribute... " >&6; }
if ${rb_cv_func___const__+:} false; then :
  $as_echo_n "(cached) " >&6
else
  rb_cv_func___const__=x
save_CFLAGS="$CFLAGS"
CFLAGS="$CFLAGS $rb_cv_warnflags"
if test "${ac_c_werror_flag+set}"; then
  rb_c_werror_flag="$ac_c_werror_flag"
else
  unset rb_c_werror_flag
fi
ac_c_werror_flag=yes

for mac in \
    "__attribute__ ((__const__)) x" \
    "x __attribute__ ((__const__))" \
    "__declspec(__const__) x" \
    x; do

  cat confdefs.h - <<_ACEOF >conftest.$ac_ext
/* end confdefs.h.  */

#define CONSTFUNC(x) $mac

#define x int conftest_attribute_check(void)

#define mesg ("")
    CONSTFUNC(x);
int
main ()
{

  ;
  return 0;
}
_ACEOF
if ac_fn_c_try_compile "$LINENO"; then :
  rb_cv_func___const__="$mac"; break
fi
rm -f core conftest.err conftest.$ac_objext conftest.$ac_ext
done

CFLAGS="$save_CFLAGS"
save_CFLAGS=
if test "${rb_c_werror_flag+set}"; then
  ac_c_werror_flag="$rb_c_werror_flag"
else
  unset ac_c_werror_flag
fi
fi
{ $as_echo "$as_me:${as_lineno-$LINENO}: result: $rb_cv_func___const__" >&5
    colorize_result "$rb_cv_func___const__" ; }
if test "$rb_cv_func___const__" != x; then
        cat >>confdefs.h <<_ACEOF
#define CONSTFUNC(x) $rb_cv_func___const__
_ACEOF

fi



{ $as_echo "$as_me:${as_lineno-$LINENO}: checking for PUREFUNC function attribute" >&5
$as_echo_n "checking for PUREFUNC function attribute... " >&6; }
if ${rb_cv_func___pure__+:} false; then :
  $as_echo_n "(cached) " >&6
else
  rb_cv_func___pure__=x
save_CFLAGS="$CFLAGS"
CFLAGS="$CFLAGS $rb_cv_warnflags"
if test "${ac_c_werror_flag+set}"; then
  rb_c_werror_flag="$ac_c_werror_flag"
else
  unset rb_c_werror_flag
fi
ac_c_werror_flag=yes

for mac in \
    "__attribute__ ((__pure__)) x" \
    "x __attribute__ ((__pure__))" \
    "__declspec(__pure__) x" \
    x; do

  cat confdefs.h - <<_ACEOF >conftest.$ac_ext
/* end confdefs.h.  */

#define PUREFUNC(x) $mac

#define x int conftest_attribute_check(void)

#define mesg ("")
    PUREFUNC(x);
int
main ()
{

  ;
  return 0;
}
_ACEOF
if ac_fn_c_try_compile "$LINENO"; then :
  rb_cv_func___pure__="$mac"; break
fi
rm -f core conftest.err conftest.$ac_objext conftest.$ac_ext
done

CFLAGS="$save_CFLAGS"
save_CFLAGS=
if test "${rb_c_werror_flag+set}"; then
  ac_c_werror_flag="$rb_c_werror_flag"
else
  unset ac_c_werror_flag
fi
fi
{ $as_echo "$as_me:${as_lineno-$LINENO}: result: $rb_cv_func___pure__" >&5
    colorize_result "$rb_cv_func___pure__" ; }
if test "$rb_cv_func___pure__" != x; then
        cat >>confdefs.h <<_ACEOF
#define PUREFUNC(x) $rb_cv_func___pure__
_ACEOF

fi



{ $as_echo "$as_me:${as_lineno-$LINENO}: checking for NORETURN function attribute" >&5
$as_echo_n "checking for NORETURN function attribute... " >&6; }
if ${rb_cv_func___noreturn__+:} false; then :
  $as_echo_n "(cached) " >&6
else
  rb_cv_func___noreturn__=x
save_CFLAGS="$CFLAGS"
CFLAGS="$CFLAGS $rb_cv_warnflags"
if test "${ac_c_werror_flag+set}"; then
  rb_c_werror_flag="$ac_c_werror_flag"
else
  unset rb_c_werror_flag
fi
ac_c_werror_flag=yes

for mac in \
    "__attribute__ ((__noreturn__)) x" \
    "x __attribute__ ((__noreturn__))" \
    "__declspec(__noreturn__) x" \
    x; do

  cat confdefs.h - <<_ACEOF >conftest.$ac_ext
/* end confdefs.h.  */

#define NORETURN(x) $mac

#define x int conftest_attribute_check(void)

#define mesg ("")
    NORETURN(x);
int
main ()
{

  ;
  return 0;
}
_ACEOF
if ac_fn_c_try_compile "$LINENO"; then :
  rb_cv_func___noreturn__="$mac"; break
fi
rm -f core conftest.err conftest.$ac_objext conftest.$ac_ext
done

CFLAGS="$save_CFLAGS"
save_CFLAGS=
if test "${rb_c_werror_flag+set}"; then
  ac_c_werror_flag="$rb_c_werror_flag"
else
  unset ac_c_werror_flag
fi
fi
{ $as_echo "$as_me:${as_lineno-$LINENO}: result: $rb_cv_func___noreturn__" >&5
    colorize_result "$rb_cv_func___noreturn__" ; }
if test "$rb_cv_func___noreturn__" != x; then
        cat >>confdefs.h <<_ACEOF
#define NORETURN(x) $rb_cv_func___noreturn__
_ACEOF

fi



{ $as_echo "$as_me:${as_lineno-$LINENO}: checking for DEPRECATED function attribute" >&5
$as_echo_n "checking for DEPRECATED function attribute... " >&6; }
if ${rb_cv_func___deprecated__+:} false; then :
  $as_echo_n "(cached) " >&6
else
  rb_cv_func___deprecated__=x
save_CFLAGS="$CFLAGS"
CFLAGS="$CFLAGS $rb_cv_warnflags"
if test "${ac_c_werror_flag+set}"; then
  rb_c_werror_flag="$ac_c_werror_flag"
else
  unset rb_c_werror_flag
fi
ac_c_werror_flag=yes

for mac in \
    "__attribute__ ((__deprecated__)) x" \
    "x __attribute__ ((__deprecated__))" \
    "__declspec(__deprecated__) x" \
    x; do

  cat confdefs.h - <<_ACEOF >conftest.$ac_ext
/* end confdefs.h.  */

#define DEPRECATED(x) $mac

#define x int conftest_attribute_check(void)

#define mesg ("")
    DEPRECATED(x);
int
main ()
{

  ;
  return 0;
}
_ACEOF
if ac_fn_c_try_compile "$LINENO"; then :
  rb_cv_func___deprecated__="$mac"; break
fi
rm -f core conftest.err conftest.$ac_objext conftest.$ac_ext
done

CFLAGS="$save_CFLAGS"
save_CFLAGS=
if test "${rb_c_werror_flag+set}"; then
  ac_c_werror_flag="$rb_c_werror_flag"
else
  unset ac_c_werror_flag
fi
fi
{ $as_echo "$as_me:${as_lineno-$LINENO}: result: $rb_cv_func___deprecated__" >&5
    colorize_result "$rb_cv_func___deprecated__" ; }
if test "$rb_cv_func___deprecated__" != x; then
        cat >>confdefs.h <<_ACEOF
#define DEPRECATED(x) $rb_cv_func___deprecated__
_ACEOF

fi



{ $as_echo "$as_me:${as_lineno-$LINENO}: checking for DEPRECATED_BY function attribute" >&5
$as_echo_n "checking for DEPRECATED_BY function attribute... " >&6; }
if ${rb_cv_func_deprecated_by+:} false; then :
  $as_echo_n "(cached) " >&6
else
  rb_cv_func_deprecated_by=x
save_CFLAGS="$CFLAGS"
CFLAGS="$CFLAGS $rb_cv_warnflags"
if test "${ac_c_werror_flag+set}"; then
  rb_c_werror_flag="$ac_c_werror_flag"
else
  unset rb_c_werror_flag
fi
ac_c_werror_flag=yes

for mac in \
    "__attribute__ ((__deprecated__(\"by \"#n))) x" \
    "x __attribute__ ((__deprecated__(\"by \"#n)))" \
    "__declspec(__deprecated__(\"by \"#n)) x" \
    x; do

  cat confdefs.h - <<_ACEOF >conftest.$ac_ext
/* end confdefs.h.  */

#define DEPRECATED_BY(n,x) $mac

#define x int conftest_attribute_check(void)

#define mesg ("")
    DEPRECATED_BY(n,x);
int
main ()
{

  ;
  return 0;
}
_ACEOF
if ac_fn_c_try_compile "$LINENO"; then :
  rb_cv_func_deprecated_by="$mac"; break
fi
rm -f core conftest.err conftest.$ac_objext conftest.$ac_ext
done

CFLAGS="$save_CFLAGS"
save_CFLAGS=
if test "${rb_c_werror_flag+set}"; then
  ac_c_werror_flag="$rb_c_werror_flag"
else
  unset ac_c_werror_flag
fi
fi
{ $as_echo "$as_me:${as_lineno-$LINENO}: result: $rb_cv_func_deprecated_by" >&5
    colorize_result "$rb_cv_func_deprecated_by" ; }
if test "$rb_cv_func_deprecated_by" != x; then
        cat >>confdefs.h <<_ACEOF
#define DEPRECATED_BY(n,x) $rb_cv_func_deprecated_by
_ACEOF

fi



{ $as_echo "$as_me:${as_lineno-$LINENO}: checking for DEPRECATED_TYPE type attribute" >&5
$as_echo_n "checking for DEPRECATED_TYPE type attribute... " >&6; }
if ${rb_cv_type_deprecated+:} false; then :
  $as_echo_n "(cached) " >&6
else
  rb_cv_type_deprecated=x
save_CFLAGS="$CFLAGS"
CFLAGS="$CFLAGS $rb_cv_warnflags"
if test "${ac_c_werror_flag+set}"; then
  rb_c_werror_flag="$ac_c_werror_flag"
else
  unset rb_c_werror_flag
fi
ac_c_werror_flag=yes

for mac in \
    "__attribute__ ((__deprecated__ mesg)) x" \
    "x __attribute__ ((__deprecated__ mesg))" \
    "__declspec(__deprecated__ mesg) x" \
    x; do

  cat confdefs.h - <<_ACEOF >conftest.$ac_ext
/* end confdefs.h.  */

#define DEPRECATED_TYPE(mesg,x) $mac


#define x struct conftest_attribute_check {int i;}

#define mesg ("")
    DEPRECATED_TYPE(mesg,x);
int
main ()
{

  ;
  return 0;
}
_ACEOF
if ac_fn_c_try_compile "$LINENO"; then :
  rb_cv_type_deprecated="$mac"; break
fi
rm -f core conftest.err conftest.$ac_objext conftest.$ac_ext
done

CFLAGS="$save_CFLAGS"
save_CFLAGS=
if test "${rb_c_werror_flag+set}"; then
  ac_c_werror_flag="$rb_c_werror_flag"
else
  unset ac_c_werror_flag
fi
fi
{ $as_echo "$as_me:${as_lineno-$LINENO}: result: $rb_cv_type_deprecated" >&5
    colorize_result "$rb_cv_type_deprecated" ; }
if test "$rb_cv_type_deprecated" != x; then
        cat >>confdefs.h <<_ACEOF
#define DEPRECATED_TYPE(mesg,x) $rb_cv_type_deprecated
_ACEOF

fi



{ $as_echo "$as_me:${as_lineno-$LINENO}: checking for NOINLINE function attribute" >&5
$as_echo_n "checking for NOINLINE function attribute... " >&6; }
if ${rb_cv_func___noinline__+:} false; then :
  $as_echo_n "(cached) " >&6
else
  rb_cv_func___noinline__=x
save_CFLAGS="$CFLAGS"
CFLAGS="$CFLAGS $rb_cv_warnflags"
if test "${ac_c_werror_flag+set}"; then
  rb_c_werror_flag="$ac_c_werror_flag"
else
  unset rb_c_werror_flag
fi
ac_c_werror_flag=yes

for mac in \
    "__attribute__ ((__noinline__)) x" \
    "x __attribute__ ((__noinline__))" \
    "__declspec(__noinline__) x" \
    x; do

  cat confdefs.h - <<_ACEOF >conftest.$ac_ext
/* end confdefs.h.  */

#define NOINLINE(x) $mac

#define x int conftest_attribute_check(void)

#define mesg ("")
    NOINLINE(x);
int
main ()
{

  ;
  return 0;
}
_ACEOF
if ac_fn_c_try_compile "$LINENO"; then :
  rb_cv_func___noinline__="$mac"; break
fi
rm -f core conftest.err conftest.$ac_objext conftest.$ac_ext
done

CFLAGS="$save_CFLAGS"
save_CFLAGS=
if test "${rb_c_werror_flag+set}"; then
  ac_c_werror_flag="$rb_c_werror_flag"
else
  unset ac_c_werror_flag
fi
fi
{ $as_echo "$as_me:${as_lineno-$LINENO}: result: $rb_cv_func___noinline__" >&5
    colorize_result "$rb_cv_func___noinline__" ; }
if test "$rb_cv_func___noinline__" != x; then
        cat >>confdefs.h <<_ACEOF
#define NOINLINE(x) $rb_cv_func___noinline__
_ACEOF

fi



{ $as_echo "$as_me:${as_lineno-$LINENO}: checking for ALWAYS_INLINE function attribute" >&5
$as_echo_n "checking for ALWAYS_INLINE function attribute... " >&6; }
if ${rb_cv_func___always_inline__+:} false; then :
  $as_echo_n "(cached) " >&6
else
  rb_cv_func___always_inline__=x
save_CFLAGS="$CFLAGS"
CFLAGS="$CFLAGS $rb_cv_warnflags"
if test "${ac_c_werror_flag+set}"; then
  rb_c_werror_flag="$ac_c_werror_flag"
else
  unset rb_c_werror_flag
fi
ac_c_werror_flag=yes

for mac in \
    "__attribute__ ((__always_inline__)) x" \
    "x __attribute__ ((__always_inline__))" \
    "__declspec(__always_inline__) x" \
    x; do

  cat confdefs.h - <<_ACEOF >conftest.$ac_ext
/* end confdefs.h.  */

#define ALWAYS_INLINE(x) $mac

#define x int conftest_attribute_check(void)

#define mesg ("")
    ALWAYS_INLINE(x);
int
main ()
{

  ;
  return 0;
}
_ACEOF
if ac_fn_c_try_compile "$LINENO"; then :
  rb_cv_func___always_inline__="$mac"; break
fi
rm -f core conftest.err conftest.$ac_objext conftest.$ac_ext
done

CFLAGS="$save_CFLAGS"
save_CFLAGS=
if test "${rb_c_werror_flag+set}"; then
  ac_c_werror_flag="$rb_c_werror_flag"
else
  unset ac_c_werror_flag
fi
fi
{ $as_echo "$as_me:${as_lineno-$LINENO}: result: $rb_cv_func___always_inline__" >&5
    colorize_result "$rb_cv_func___always_inline__" ; }
if test "$rb_cv_func___always_inline__" != x; then
        cat >>confdefs.h <<_ACEOF
#define ALWAYS_INLINE(x) $rb_cv_func___always_inline__
_ACEOF

fi



{ $as_echo "$as_me:${as_lineno-$LINENO}: checking for WARN_UNUSED_RESULT function attribute" >&5
$as_echo_n "checking for WARN_UNUSED_RESULT function attribute... " >&6; }
if ${rb_cv_func___warn_unused_result__+:} false; then :
  $as_echo_n "(cached) " >&6
else
  rb_cv_func___warn_unused_result__=x
save_CFLAGS="$CFLAGS"
CFLAGS="$CFLAGS $rb_cv_warnflags"
if test "${ac_c_werror_flag+set}"; then
  rb_c_werror_flag="$ac_c_werror_flag"
else
  unset rb_c_werror_flag
fi
ac_c_werror_flag=yes

for mac in \
    "__attribute__ ((__warn_unused_result__)) x" \
    "x __attribute__ ((__warn_unused_result__))" \
    "__declspec(__warn_unused_result__) x" \
    x; do

  cat confdefs.h - <<_ACEOF >conftest.$ac_ext
/* end confdefs.h.  */

#define WARN_UNUSED_RESULT(x) $mac

#define x int conftest_attribute_check(void)

#define mesg ("")
    WARN_UNUSED_RESULT(x);
int
main ()
{

  ;
  return 0;
}
_ACEOF
if ac_fn_c_try_compile "$LINENO"; then :
  rb_cv_func___warn_unused_result__="$mac"; break
fi
rm -f core conftest.err conftest.$ac_objext conftest.$ac_ext
done

CFLAGS="$save_CFLAGS"
save_CFLAGS=
if test "${rb_c_werror_flag+set}"; then
  ac_c_werror_flag="$rb_c_werror_flag"
else
  unset ac_c_werror_flag
fi
fi
{ $as_echo "$as_me:${as_lineno-$LINENO}: result: $rb_cv_func___warn_unused_result__" >&5
    colorize_result "$rb_cv_func___warn_unused_result__" ; }
if test "$rb_cv_func___warn_unused_result__" != x; then
        cat >>confdefs.h <<_ACEOF
#define WARN_UNUSED_RESULT(x) $rb_cv_func___warn_unused_result__
_ACEOF

fi



{ $as_echo "$as_me:${as_lineno-$LINENO}: checking for MAYBE_UNUSED function attribute" >&5
$as_echo_n "checking for MAYBE_UNUSED function attribute... " >&6; }
if ${rb_cv_func___unused__+:} false; then :
  $as_echo_n "(cached) " >&6
else
  rb_cv_func___unused__=x
save_CFLAGS="$CFLAGS"
CFLAGS="$CFLAGS $rb_cv_warnflags"
if test "${ac_c_werror_flag+set}"; then
  rb_c_werror_flag="$ac_c_werror_flag"
else
  unset rb_c_werror_flag
fi
ac_c_werror_flag=yes

for mac in \
    "__attribute__ ((__unused__)) x" \
    "x __attribute__ ((__unused__))" \
    "__declspec(__unused__) x" \
    x; do

  cat confdefs.h - <<_ACEOF >conftest.$ac_ext
/* end confdefs.h.  */

#define MAYBE_UNUSED(x) $mac

#define x int conftest_attribute_check(void)

#define mesg ("")
    MAYBE_UNUSED(x);
int
main ()
{

  ;
  return 0;
}
_ACEOF
if ac_fn_c_try_compile "$LINENO"; then :
  rb_cv_func___unused__="$mac"; break
fi
rm -f core conftest.err conftest.$ac_objext conftest.$ac_ext
done

CFLAGS="$save_CFLAGS"
save_CFLAGS=
if test "${rb_c_werror_flag+set}"; then
  ac_c_werror_flag="$rb_c_werror_flag"
else
  unset ac_c_werror_flag
fi
fi
{ $as_echo "$as_me:${as_lineno-$LINENO}: result: $rb_cv_func___unused__" >&5
    colorize_result "$rb_cv_func___unused__" ; }
if test "$rb_cv_func___unused__" != x; then
        cat >>confdefs.h <<_ACEOF
#define MAYBE_UNUSED(x) $rb_cv_func___unused__
_ACEOF

fi



{ $as_echo "$as_me:${as_lineno-$LINENO}: checking for ERRORFUNC function attribute" >&5
$as_echo_n "checking for ERRORFUNC function attribute... " >&6; }
if ${rb_cv_func___error__+:} false; then :
  $as_echo_n "(cached) " >&6
else
  rb_cv_func___error__=x
save_CFLAGS="$CFLAGS"
CFLAGS="$CFLAGS $rb_cv_warnflags"
if test "${ac_c_werror_flag+set}"; then
  rb_c_werror_flag="$ac_c_werror_flag"
else
  unset rb_c_werror_flag
fi
ac_c_werror_flag=yes

for mac in \
    "__attribute__ ((__error__ mesg)) x" \
    "x __attribute__ ((__error__ mesg))" \
    "__declspec(__error__ mesg) x" \
    x; do

  cat confdefs.h - <<_ACEOF >conftest.$ac_ext
/* end confdefs.h.  */

#define ERRORFUNC(mesg,x) $mac

#define x int conftest_attribute_check(void)

#define mesg ("")
    ERRORFUNC(mesg,x);
int
main ()
{

  ;
  return 0;
}
_ACEOF
if ac_fn_c_try_compile "$LINENO"; then :
  rb_cv_func___error__="$mac"; break
fi
rm -f core conftest.err conftest.$ac_objext conftest.$ac_ext
done

CFLAGS="$save_CFLAGS"
save_CFLAGS=
if test "${rb_c_werror_flag+set}"; then
  ac_c_werror_flag="$rb_c_werror_flag"
else
  unset ac_c_werror_flag
fi
fi
{ $as_echo "$as_me:${as_lineno-$LINENO}: result: $rb_cv_func___error__" >&5
    colorize_result "$rb_cv_func___error__" ; }
if test "$rb_cv_func___error__" != x; then
        cat >>confdefs.h <<_ACEOF
#define ERRORFUNC(mesg,x) $rb_cv_func___error__
_ACEOF

fi



{ $as_echo "$as_me:${as_lineno-$LINENO}: checking for WARNINGFUNC function attribute" >&5
$as_echo_n "checking for WARNINGFUNC function attribute... " >&6; }
if ${rb_cv_func___warning__+:} false; then :
  $as_echo_n "(cached) " >&6
else
  rb_cv_func___warning__=x
save_CFLAGS="$CFLAGS"
CFLAGS="$CFLAGS $rb_cv_warnflags"
if test "${ac_c_werror_flag+set}"; then
  rb_c_werror_flag="$ac_c_werror_flag"
else
  unset rb_c_werror_flag
fi
ac_c_werror_flag=yes

for mac in \
    "__attribute__ ((__warning__ mesg)) x" \
    "x __attribute__ ((__warning__ mesg))" \
    "__declspec(__warning__ mesg) x" \
    x; do

  cat confdefs.h - <<_ACEOF >conftest.$ac_ext
/* end confdefs.h.  */

#define WARNINGFUNC(mesg,x) $mac

#define x int conftest_attribute_check(void)

#define mesg ("")
    WARNINGFUNC(mesg,x);
int
main ()
{

  ;
  return 0;
}
_ACEOF
if ac_fn_c_try_compile "$LINENO"; then :
  rb_cv_func___warning__="$mac"; break
fi
rm -f core conftest.err conftest.$ac_objext conftest.$ac_ext
done

CFLAGS="$save_CFLAGS"
save_CFLAGS=
if test "${rb_c_werror_flag+set}"; then
  ac_c_werror_flag="$rb_c_werror_flag"
else
  unset ac_c_werror_flag
fi
fi
{ $as_echo "$as_me:${as_lineno-$LINENO}: result: $rb_cv_func___warning__" >&5
    colorize_result "$rb_cv_func___warning__" ; }
if test "$rb_cv_func___warning__" != x; then
        cat >>confdefs.h <<_ACEOF
#define WARNINGFUNC(mesg,x) $rb_cv_func___warning__
_ACEOF

fi



{ $as_echo "$as_me:${as_lineno-$LINENO}: checking for WEAK function attribute" >&5
$as_echo_n "checking for WEAK function attribute... " >&6; }
if ${rb_cv_func_weak+:} false; then :
  $as_echo_n "(cached) " >&6
else
  rb_cv_func_weak=x
save_CFLAGS="$CFLAGS"
CFLAGS="$CFLAGS $rb_cv_warnflags"
if test "${ac_c_werror_flag+set}"; then
  rb_c_werror_flag="$ac_c_werror_flag"
else
  unset rb_c_werror_flag
fi
ac_c_werror_flag=yes

for mac in \
    "__attribute__ ((__weak__)) x" \
    "x __attribute__ ((__weak__))" \
    "__declspec(__weak__) x" \
    x; do

  cat confdefs.h - <<_ACEOF >conftest.$ac_ext
/* end confdefs.h.  */

#define WEAK(x) $mac

#define x int conftest_attribute_check(void)

#define mesg ("")
    WEAK(x);
int
main ()
{

  ;
  return 0;
}
_ACEOF
if ac_fn_c_try_compile "$LINENO"; then :
  rb_cv_func_weak="$mac"; break
fi
rm -f core conftest.err conftest.$ac_objext conftest.$ac_ext
done

CFLAGS="$save_CFLAGS"
save_CFLAGS=
if test "${rb_c_werror_flag+set}"; then
  ac_c_werror_flag="$rb_c_werror_flag"
else
  unset ac_c_werror_flag
fi
fi
{ $as_echo "$as_me:${as_lineno-$LINENO}: result: $rb_cv_func_weak" >&5
    colorize_result "$rb_cv_func_weak" ; }
if test "$rb_cv_func_weak" != x; then
        cat >>confdefs.h <<_ACEOF
#define WEAK(x) $rb_cv_func_weak
_ACEOF

fi


if test "$rb_cv_func_weak" != x; then
   $as_echo "#define HAVE_FUNC_WEAK 1" >>confdefs.h

fi

if_i386=${universal_binary+defined __i386__}
        rbcv_cond="${if_i386}"; test "$rbcv_cond" || unset rbcv_cond
{ $as_echo "$as_me:${as_lineno-$LINENO}: checking for FUNC_STDCALL function attribute" >&5
$as_echo_n "checking for FUNC_STDCALL function attribute... " >&6; }
if ${rb_cv_func_stdcall+:} false; then :
  $as_echo_n "(cached) " >&6
else
  rb_cv_func_stdcall=x
save_CFLAGS="$CFLAGS"
CFLAGS="$CFLAGS $rb_cv_warnflags"
if test "${ac_c_werror_flag+set}"; then
  rb_c_werror_flag="$ac_c_werror_flag"
else
  unset rb_c_werror_flag
fi
ac_c_werror_flag=yes

for mac in \
    "__attribute__ ((__stdcall__)) x" \
    "x __attribute__ ((__stdcall__))" \
    "__declspec(__stdcall__) x" \
    x; do
  mac="$mac"${rbcv_cond+" /* only if $rbcv_cond */"}
  cat confdefs.h - <<_ACEOF >conftest.$ac_ext
/* end confdefs.h.  */
${rbcv_cond+#if $rbcv_cond}
#define FUNC_STDCALL(x) $mac
${rbcv_cond+#else}
${rbcv_cond+#define FUNC_STDCALL(x) x}
${rbcv_cond+#endif}
#define x int conftest_attribute_check(void)

#define mesg ("")
    FUNC_STDCALL(x);
int
main ()
{

  ;
  return 0;
}
_ACEOF
if ac_fn_c_try_compile "$LINENO"; then :
  rb_cv_func_stdcall="$mac"; break
fi
rm -f core conftest.err conftest.$ac_objext conftest.$ac_ext
done

CFLAGS="$save_CFLAGS"
save_CFLAGS=
if test "${rb_c_werror_flag+set}"; then
  ac_c_werror_flag="$rb_c_werror_flag"
else
  unset ac_c_werror_flag
fi
fi
{ $as_echo "$as_me:${as_lineno-$LINENO}: result: $rb_cv_func_stdcall" >&5
    colorize_result "$rb_cv_func_stdcall" ; }
if test "$rb_cv_func_stdcall" != x; then
        test "X${rbcv_cond}" = X || cat <<EOH >> confdefs.h
#if ${rbcv_cond}
EOH
cat >>confdefs.h <<_ACEOF
#define FUNC_STDCALL(x) $rb_cv_func_stdcall
_ACEOF
    test "X${rbcv_cond}" = X || cat <<EOH >> confdefs.h
#endif /* ${rbcv_cond} */
EOH

fi
unset rbcv_cond

        rbcv_cond="${if_i386}"; test "$rbcv_cond" || unset rbcv_cond
{ $as_echo "$as_me:${as_lineno-$LINENO}: checking for FUNC_CDECL function attribute" >&5
$as_echo_n "checking for FUNC_CDECL function attribute... " >&6; }
if ${rb_cv_func_cdecl+:} false; then :
  $as_echo_n "(cached) " >&6
else
  rb_cv_func_cdecl=x
save_CFLAGS="$CFLAGS"
CFLAGS="$CFLAGS $rb_cv_warnflags"
if test "${ac_c_werror_flag+set}"; then
  rb_c_werror_flag="$ac_c_werror_flag"
else
  unset rb_c_werror_flag
fi
ac_c_werror_flag=yes

for mac in \
    "__attribute__ ((__cdecl__)) x" \
    "x __attribute__ ((__cdecl__))" \
    "__declspec(__cdecl__) x" \
    x; do
  mac="$mac"${rbcv_cond+" /* only if $rbcv_cond */"}
  cat confdefs.h - <<_ACEOF >conftest.$ac_ext
/* end confdefs.h.  */
${rbcv_cond+#if $rbcv_cond}
#define FUNC_CDECL(x) $mac
${rbcv_cond+#else}
${rbcv_cond+#define FUNC_CDECL(x) x}
${rbcv_cond+#endif}
#define x int conftest_attribute_check(void)

#define mesg ("")
    FUNC_CDECL(x);
int
main ()
{

  ;
  return 0;
}
_ACEOF
if ac_fn_c_try_compile "$LINENO"; then :
  rb_cv_func_cdecl="$mac"; break
fi
rm -f core conftest.err conftest.$ac_objext conftest.$ac_ext
done

CFLAGS="$save_CFLAGS"
save_CFLAGS=
if test "${rb_c_werror_flag+set}"; then
  ac_c_werror_flag="$rb_c_werror_flag"
else
  unset ac_c_werror_flag
fi
fi
{ $as_echo "$as_me:${as_lineno-$LINENO}: result: $rb_cv_func_cdecl" >&5
    colorize_result "$rb_cv_func_cdecl" ; }
if test "$rb_cv_func_cdecl" != x; then
        test "X${rbcv_cond}" = X || cat <<EOH >> confdefs.h
#if ${rbcv_cond}
EOH
cat >>confdefs.h <<_ACEOF
#define FUNC_CDECL(x) $rb_cv_func_cdecl
_ACEOF
    test "X${rbcv_cond}" = X || cat <<EOH >> confdefs.h
#endif /* ${rbcv_cond} */
EOH

fi
unset rbcv_cond

        rbcv_cond="${if_i386}"; test "$rbcv_cond" || unset rbcv_cond
{ $as_echo "$as_me:${as_lineno-$LINENO}: checking for FUNC_FASTCALL function attribute" >&5
$as_echo_n "checking for FUNC_FASTCALL function attribute... " >&6; }
if ${rb_cv_func_fastcall+:} false; then :
  $as_echo_n "(cached) " >&6
else
  rb_cv_func_fastcall=x
save_CFLAGS="$CFLAGS"
CFLAGS="$CFLAGS $rb_cv_warnflags"
if test "${ac_c_werror_flag+set}"; then
  rb_c_werror_flag="$ac_c_werror_flag"
else
  unset rb_c_werror_flag
fi
ac_c_werror_flag=yes

for mac in \
    "__attribute__ ((__fastcall__)) x" \
    "x __attribute__ ((__fastcall__))" \
    "__declspec(__fastcall__) x" \
    x; do
  mac="$mac"${rbcv_cond+" /* only if $rbcv_cond */"}
  cat confdefs.h - <<_ACEOF >conftest.$ac_ext
/* end confdefs.h.  */
${rbcv_cond+#if $rbcv_cond}
#define FUNC_FASTCALL(x) $mac
${rbcv_cond+#else}
${rbcv_cond+#define FUNC_FASTCALL(x) x}
${rbcv_cond+#endif}
#define x int conftest_attribute_check(void)

#define mesg ("")
    FUNC_FASTCALL(x);
int
main ()
{

  ;
  return 0;
}
_ACEOF
if ac_fn_c_try_compile "$LINENO"; then :
  rb_cv_func_fastcall="$mac"; break
fi
rm -f core conftest.err conftest.$ac_objext conftest.$ac_ext
done

CFLAGS="$save_CFLAGS"
save_CFLAGS=
if test "${rb_c_werror_flag+set}"; then
  ac_c_werror_flag="$rb_c_werror_flag"
else
  unset ac_c_werror_flag
fi
fi
{ $as_echo "$as_me:${as_lineno-$LINENO}: result: $rb_cv_func_fastcall" >&5
    colorize_result "$rb_cv_func_fastcall" ; }
if test "$rb_cv_func_fastcall" != x; then
        test "X${rbcv_cond}" = X || cat <<EOH >> confdefs.h
#if ${rbcv_cond}
EOH
cat >>confdefs.h <<_ACEOF
#define FUNC_FASTCALL(x) $rb_cv_func_fastcall
_ACEOF
    test "X${rbcv_cond}" = X || cat <<EOH >> confdefs.h
#endif /* ${rbcv_cond} */
EOH

fi
unset rbcv_cond


{ $as_echo "$as_me:${as_lineno-$LINENO}: checking for FUNC_UNOPTIMIZED function attribute" >&5
$as_echo_n "checking for FUNC_UNOPTIMIZED function attribute... " >&6; }
if ${rb_cv_func_unoptimized+:} false; then :
  $as_echo_n "(cached) " >&6
else
  rb_cv_func_unoptimized=x
save_CFLAGS="$CFLAGS"
CFLAGS="$CFLAGS $rb_cv_warnflags"
if test "${ac_c_werror_flag+set}"; then
  rb_c_werror_flag="$ac_c_werror_flag"
else
  unset rb_c_werror_flag
fi
ac_c_werror_flag=yes

for mac in \
    "__attribute__ ((__optimize__(\"O0\"))) x" \
    "x __attribute__ ((__optimize__(\"O0\")))" \
    "__declspec(__optimize__(\"O0\")) x" \
    x; do

  cat confdefs.h - <<_ACEOF >conftest.$ac_ext
/* end confdefs.h.  */

#define FUNC_UNOPTIMIZED(x) $mac

#define x int conftest_attribute_check(void)

#define mesg ("")
    FUNC_UNOPTIMIZED(x);
int
main ()
{

  ;
  return 0;
}
_ACEOF
if ac_fn_c_try_compile "$LINENO"; then :
  rb_cv_func_unoptimized="$mac"; break
fi
rm -f core conftest.err conftest.$ac_objext conftest.$ac_ext
done

CFLAGS="$save_CFLAGS"
save_CFLAGS=
if test "${rb_c_werror_flag+set}"; then
  ac_c_werror_flag="$rb_c_werror_flag"
else
  unset ac_c_werror_flag
fi
fi
{ $as_echo "$as_me:${as_lineno-$LINENO}: result: $rb_cv_func_unoptimized" >&5
    colorize_result "$rb_cv_func_unoptimized" ; }
if test "$rb_cv_func_unoptimized" != x; then
        cat >>confdefs.h <<_ACEOF
#define FUNC_UNOPTIMIZED(x) $rb_cv_func_unoptimized
_ACEOF

fi



{ $as_echo "$as_me:${as_lineno-$LINENO}: checking for FUNC_MINIMIZED function attribute" >&5
$as_echo_n "checking for FUNC_MINIMIZED function attribute... " >&6; }
if ${rb_cv_func_minimized+:} false; then :
  $as_echo_n "(cached) " >&6
else
  rb_cv_func_minimized=x
save_CFLAGS="$CFLAGS"
CFLAGS="$CFLAGS $rb_cv_warnflags"
if test "${ac_c_werror_flag+set}"; then
  rb_c_werror_flag="$ac_c_werror_flag"
else
  unset rb_c_werror_flag
fi
ac_c_werror_flag=yes

for mac in \
    "__attribute__ ((__optimize__(\"-Os\",\"-fomit-frame-pointer\"))) x" \
    "x __attribute__ ((__optimize__(\"-Os\",\"-fomit-frame-pointer\")))" \
    "__declspec(__optimize__(\"-Os\",\"-fomit-frame-pointer\")) x" \
    x; do

  cat confdefs.h - <<_ACEOF >conftest.$ac_ext
/* end confdefs.h.  */

#define FUNC_MINIMIZED(x) $mac

#define x int conftest_attribute_check(void)

#define mesg ("")
    FUNC_MINIMIZED(x);
int
main ()
{

  ;
  return 0;
}
_ACEOF
if ac_fn_c_try_compile "$LINENO"; then :
  rb_cv_func_minimized="$mac"; break
fi
rm -f core conftest.err conftest.$ac_objext conftest.$ac_ext
done

CFLAGS="$save_CFLAGS"
save_CFLAGS=
if test "${rb_c_werror_flag+set}"; then
  ac_c_werror_flag="$rb_c_werror_flag"
else
  unset ac_c_werror_flag
fi
fi
{ $as_echo "$as_me:${as_lineno-$LINENO}: result: $rb_cv_func_minimized" >&5
    colorize_result "$rb_cv_func_minimized" ; }
if test "$rb_cv_func_minimized" != x; then
        cat >>confdefs.h <<_ACEOF
#define FUNC_MINIMIZED(x) $rb_cv_func_minimized
_ACEOF

fi



if test "$GCC" = yes; then
    { $as_echo "$as_me:${as_lineno-$LINENO}: checking for function alias" >&5
$as_echo_n "checking for function alias... " >&6; }
if ${rb_cv_gcc_function_alias+:} false; then :
  $as_echo_n "(cached) " >&6
else
  rb_cv_gcc_function_alias=no
	for a in alias weak,alias; do
	    cat confdefs.h - <<_ACEOF >conftest.$ac_ext
/* end confdefs.h.  */
void foo(void) {}
		void bar(void) __attribute__(($a("foo")));
int
main ()
{
bar()
  ;
  return 0;
}
_ACEOF
if ac_fn_c_try_link "$LINENO"; then :
  rb_cv_gcc_function_alias=$a; break
fi
rm -f core conftest.err conftest.$ac_objext \
    conftest$ac_exeext conftest.$ac_ext
	done
fi
{ $as_echo "$as_me:${as_lineno-$LINENO}: result: $rb_cv_gcc_function_alias" >&5
    colorize_result "$rb_cv_gcc_function_alias" ; }
    if test "$rb_cv_gcc_function_alias" != no; then
	$as_echo "#define HAVE_ATTRIBUTE_FUNCTION_ALIAS 1" >>confdefs.h

	cat >>confdefs.h <<_ACEOF
#define RUBY_ALIAS_FUNCTION_TYPE(type, prot, name, args) type prot __attribute__(($rb_cv_gcc_function_alias(#name)));
_ACEOF

	cat >>confdefs.h <<_ACEOF
#define RUBY_ALIAS_FUNCTION_VOID(prot, name, args) RUBY_ALIAS_FUNCTION_TYPE(void, prot, name, args)
_ACEOF

    fi

    { $as_echo "$as_me:${as_lineno-$LINENO}: checking for __atomic builtins" >&5
$as_echo_n "checking for __atomic builtins... " >&6; }
if ${rb_cv_gcc_atomic_builtins+:} false; then :
  $as_echo_n "(cached) " >&6
else

	cat confdefs.h - <<_ACEOF >conftest.$ac_ext
/* end confdefs.h.  */
unsigned char atomic_var;
int
main ()
{

			__atomic_exchange_n(&atomic_var, 0, __ATOMIC_SEQ_CST);
			__atomic_exchange_n(&atomic_var, 1, __ATOMIC_SEQ_CST);
			__atomic_fetch_add(&atomic_var, 1, __ATOMIC_SEQ_CST);
			__atomic_fetch_sub(&atomic_var, 1, __ATOMIC_SEQ_CST);
			__atomic_or_fetch(&atomic_var, 1, __ATOMIC_SEQ_CST);

  ;
  return 0;
}
_ACEOF
if ac_fn_c_try_link "$LINENO"; then :
  rb_cv_gcc_atomic_builtins=yes
else
  rb_cv_gcc_atomic_builtins=no
fi
rm -f core conftest.err conftest.$ac_objext \
    conftest$ac_exeext conftest.$ac_ext
fi
{ $as_echo "$as_me:${as_lineno-$LINENO}: result: $rb_cv_gcc_atomic_builtins" >&5
    colorize_result "$rb_cv_gcc_atomic_builtins" ; }
    if test "$rb_cv_gcc_atomic_builtins" = yes; then
	$as_echo "#define HAVE_GCC_ATOMIC_BUILTINS 1" >>confdefs.h

    fi

    { $as_echo "$as_me:${as_lineno-$LINENO}: checking for __sync builtins" >&5
$as_echo_n "checking for __sync builtins... " >&6; }
if ${rb_cv_gcc_sync_builtins+:} false; then :
  $as_echo_n "(cached) " >&6
else

	cat confdefs.h - <<_ACEOF >conftest.$ac_ext
/* end confdefs.h.  */
unsigned char atomic_var;
int
main ()
{

			__sync_lock_test_and_set(&atomic_var, 0);
			__sync_lock_test_and_set(&atomic_var, 1);
			__sync_fetch_and_add(&atomic_var, 1);
			__sync_fetch_and_sub(&atomic_var, 1);
			__sync_or_and_fetch(&atomic_var, 1);
			__sync_val_compare_and_swap(&atomic_var, 0, 1);

  ;
  return 0;
}
_ACEOF
if ac_fn_c_try_link "$LINENO"; then :
  rb_cv_gcc_sync_builtins=yes
else
  rb_cv_gcc_sync_builtins=no
fi
rm -f core conftest.err conftest.$ac_objext \
    conftest$ac_exeext conftest.$ac_ext
fi
{ $as_echo "$as_me:${as_lineno-$LINENO}: result: $rb_cv_gcc_sync_builtins" >&5
    colorize_result "$rb_cv_gcc_sync_builtins" ; }
    if test "$rb_cv_gcc_sync_builtins" = yes; then
	$as_echo "#define HAVE_GCC_SYNC_BUILTINS 1" >>confdefs.h

    fi

    { $as_echo "$as_me:${as_lineno-$LINENO}: checking for __builtin_unreachable" >&5
$as_echo_n "checking for __builtin_unreachable... " >&6; }
if ${rb_cv_func___builtin_unreachable+:} false; then :
  $as_echo_n "(cached) " >&6
else
  save_CFLAGS="$CFLAGS"
CFLAGS="$CFLAGS $rb_cv_warnflags"
if test "${ac_c_werror_flag+set}"; then
  rb_c_werror_flag="$ac_c_werror_flag"
else
  unset rb_c_werror_flag
fi
ac_c_werror_flag=yes
cat confdefs.h - <<_ACEOF >conftest.$ac_ext
/* end confdefs.h.  */
volatile int zero;
int
main ()
{
if (zero) __builtin_unreachable();
  ;
  return 0;
}
_ACEOF
if ac_fn_c_try_link "$LINENO"; then :
  rb_cv_func___builtin_unreachable=yes
else
  rb_cv_func___builtin_unreachable=no
fi
rm -f core conftest.err conftest.$ac_objext \
    conftest$ac_exeext conftest.$ac_ext

CFLAGS="$save_CFLAGS"
save_CFLAGS=
if test "${rb_c_werror_flag+set}"; then
  ac_c_werror_flag="$rb_c_werror_flag"
else
  unset ac_c_werror_flag
fi

fi
{ $as_echo "$as_me:${as_lineno-$LINENO}: result: $rb_cv_func___builtin_unreachable" >&5
    colorize_result "$rb_cv_func___builtin_unreachable" ; }
    if test "$rb_cv_func___builtin_unreachable" = yes; then
	cat >>confdefs.h <<_ACEOF
#define UNREACHABLE __builtin_unreachable()
_ACEOF

    fi
fi

{ $as_echo "$as_me:${as_lineno-$LINENO}: checking for exported function attribute" >&5
$as_echo_n "checking for exported function attribute... " >&6; }
if ${rb_cv_func_exported+:} false; then :
  $as_echo_n "(cached) " >&6
else

rb_cv_func_exported=no
save_CFLAGS="$CFLAGS"
CFLAGS="$CFLAGS $rb_cv_warnflags"
if test "${ac_c_werror_flag+set}"; then
  rb_c_werror_flag="$ac_c_werror_flag"
else
  unset rb_c_werror_flag
fi
ac_c_werror_flag=yes

for mac in '__attribute__ ((__visibility__("default")))' '__declspec(dllexport)'; do
  cat confdefs.h - <<_ACEOF >conftest.$ac_ext
/* end confdefs.h.  */
#define RUBY_FUNC_EXPORTED $mac extern
    RUBY_FUNC_EXPORTED void conftest_attribute_check(void);
int
main ()
{

  ;
  return 0;
}
_ACEOF
if ac_fn_c_try_compile "$LINENO"; then :
  rb_cv_func_exported="$mac"; break
fi
rm -f core conftest.err conftest.$ac_objext conftest.$ac_ext
done

CFLAGS="$save_CFLAGS"
save_CFLAGS=
if test "${rb_c_werror_flag+set}"; then
  ac_c_werror_flag="$rb_c_werror_flag"
else
  unset ac_c_werror_flag
fi
fi
{ $as_echo "$as_me:${as_lineno-$LINENO}: result: $rb_cv_func_exported" >&5
    colorize_result "$rb_cv_func_exported" ; }
if test "$rb_cv_func_exported" != no; then
    cat >>confdefs.h <<_ACEOF
#define RUBY_FUNC_EXPORTED $rb_cv_func_exported extern
_ACEOF

fi

# RUBY_APPEND_OPTION(XCFLAGS)
	case " ${XCFLAGS-} " in #(
  *" -DRUBY_EXPORT "*) :
     ;; #(
  '  ') :
     XCFLAGS="-DRUBY_EXPORT" ;; #(
  *) :
     XCFLAGS="$XCFLAGS -DRUBY_EXPORT" ;;
esac

{ $as_echo "$as_me:${as_lineno-$LINENO}: checking for function name string predefined identifier" >&5
$as_echo_n "checking for function name string predefined identifier... " >&6; }
if ${rb_cv_function_name_string+:} false; then :
  $as_echo_n "(cached) " >&6
else
  rb_cv_function_name_string=no
    save_CFLAGS="$CFLAGS"
CFLAGS="$CFLAGS $rb_cv_warnflags"
if test "${ac_c_werror_flag+set}"; then
  rb_c_werror_flag="$ac_c_werror_flag"
else
  unset rb_c_werror_flag
fi
ac_c_werror_flag=yes

	for func in __func__ __FUNCTION__; do
	    cat confdefs.h - <<_ACEOF >conftest.$ac_ext
/* end confdefs.h.  */
#include <stdio.h>
int
main ()
{
puts($func);
  ;
  return 0;
}
_ACEOF
if ac_fn_c_try_link "$LINENO"; then :
  rb_cv_function_name_string=$func
			break
fi
rm -f core conftest.err conftest.$ac_objext \
    conftest$ac_exeext conftest.$ac_ext
	done

CFLAGS="$save_CFLAGS"
save_CFLAGS=
if test "${rb_c_werror_flag+set}"; then
  ac_c_werror_flag="$rb_c_werror_flag"
else
  unset ac_c_werror_flag
fi

fi
{ $as_echo "$as_me:${as_lineno-$LINENO}: result: $rb_cv_function_name_string" >&5
    colorize_result "$rb_cv_function_name_string" ; }
if test "$rb_cv_function_name_string" != no; then
    cat >>confdefs.h <<_ACEOF
#define RUBY_FUNCTION_NAME_STRING $rb_cv_function_name_string
_ACEOF

fi

{ $as_echo "$as_me:${as_lineno-$LINENO}: checking if enum over int is allowed" >&5
$as_echo_n "checking if enum over int is allowed... " >&6; }
if ${rb_cv_enum_over_int+:} false; then :
  $as_echo_n "(cached) " >&6
else

    rb_cv_enum_over_int=no
    if test "x$ac_cv_type_long_long" = xyes; then
	type="unsigned long long" max="ULLONG_MAX"
    else
	type="unsigned long" max="ULONG_MAX"
    fi
    save_CFLAGS="$CFLAGS"
CFLAGS="$CFLAGS $rb_cv_warnflags"
if test "${ac_c_werror_flag+set}"; then
  rb_c_werror_flag="$ac_c_werror_flag"
else
  unset rb_c_werror_flag
fi
ac_c_werror_flag=yes

        cat confdefs.h - <<_ACEOF >conftest.$ac_ext
/* end confdefs.h.  */


                    #include <limits.h>
                    enum {conftest_max = $max};

int
main ()
{
static int test_array [1 - 2 * !(
                    (conftest_max == $max) &&
                    (sizeof(conftest_max) == sizeof($type))

	    )];
test_array [0] = 0;
return test_array [0];

  ;
  return 0;
}
_ACEOF
if ac_fn_c_try_compile "$LINENO"; then :
  rb_cv_enum_over_int=yes
else
  rb_cv_enum_over_int=no

fi
rm -f core conftest.err conftest.$ac_objext conftest.$ac_ext

CFLAGS="$save_CFLAGS"
save_CFLAGS=
if test "${rb_c_werror_flag+set}"; then
  ac_c_werror_flag="$rb_c_werror_flag"
else
  unset ac_c_werror_flag
fi

fi
{ $as_echo "$as_me:${as_lineno-$LINENO}: result: $rb_cv_enum_over_int" >&5
    colorize_result "$rb_cv_enum_over_int" ; }
if test $rb_cv_enum_over_int = yes; then
    $as_echo "#define ENUM_OVER_INT 1" >>confdefs.h

fi

ac_fn_c_check_decl "$LINENO" "sys_nerr" "ac_cv_have_decl_sys_nerr" "$ac_includes_default
#include <errno.h>
"
if test "x$ac_cv_have_decl_sys_nerr" = xyes; then :
  ac_have_decl=1
else
  ac_have_decl=0
fi

cat >>confdefs.h <<_ACEOF
#define HAVE_DECL_SYS_NERR $ac_have_decl
_ACEOF


ac_fn_c_check_decl "$LINENO" "getenv" "ac_cv_have_decl_getenv" "$ac_includes_default"
if test "x$ac_cv_have_decl_getenv" = xyes; then :
  ac_have_decl=1
else
  ac_have_decl=0
fi

cat >>confdefs.h <<_ACEOF
#define HAVE_DECL_GETENV $ac_have_decl
_ACEOF


case "$target_cpu" in #(
  alpha*|sh4|sh4el|sh4eb) :
    case "$target_os"::"$GCC" in #(
  *::yes) :
    # gcc
			CFLAGS="-mieee $CFLAGS" ;; #(
  osf*) :
    # ccc
			CFLAGS="-ieee $CFLAGS" ;; #(
  *) :
     ;;
esac ;; #(
  sparc*) :
    case " $LIBOBJS " in
  *" sparc.$ac_objext "* ) ;;
  *) LIBOBJS="$LIBOBJS sparc.$ac_objext"
 ;;
esac
 ;; #(
  *) :
     ;;
esac

ac_cv_header_net_socket_h=${ac_cv_header_net_socket_h=no}
if test "$ac_cv_header_net_socket_h" = yes; then
    ac_cv_header_sys_socket_h=${ac_cv_header_sys_socket_h=no}
else
    ac_cv_header_sys_socket_h=${ac_cv_header_sys_socket_h=yes}
fi


ac_fn_c_check_type "$LINENO" "size_t" "ac_cv_type_size_t" "$ac_includes_default"
if test "x$ac_cv_type_size_t" = xyes; then :

else

cat >>confdefs.h <<_ACEOF
#define size_t unsigned int
_ACEOF

fi

    cat confdefs.h - <<_ACEOF >conftest.$ac_ext
/* end confdefs.h.  */
#include <sys/types.h>

int
main ()
{
static int test_array [1 - 2 * !((size_t)-1 > 0)];
test_array [0] = 0;
return test_array [0];

  ;
  return 0;
}
_ACEOF
if ac_fn_c_try_compile "$LINENO"; then :

else
  as_fn_error $? "size_t is signed" "$LINENO" 5
fi
rm -f core conftest.err conftest.$ac_objext conftest.$ac_ext

if test "$universal_binary" = yes; then
{ $as_echo "$as_me:${as_lineno-$LINENO}: checking size of size_t" >&5
$as_echo_n "checking size of size_t... " >&6; }
if ${ac_cv_sizeof_size_t+:} false; then :
  $as_echo_n "(cached) " >&6
else

    unset ac_cv_sizeof_size_t
    rbcv_sizeof_var="
typedef size_t ac__type_sizeof_;
static ac__type_sizeof_ *rbcv_ptr;
#define SIZEOF_SIZE_T sizeof((*rbcv_ptr))
"
    test -z "${ac_cv_sizeof_size_t+set}" && {
    for rbcv_sizeof_type in int long void*; do
	cat confdefs.h - <<_ACEOF >conftest.$ac_ext
/* end confdefs.h.  */
#include <sys/types.h>
		$rbcv_sizeof_var

int
main ()
{
static int test_array [1 - 2 * !(SIZEOF_SIZE_T == sizeof($rbcv_sizeof_type))];
test_array [0] = 0;
return test_array [0];

  ;
  return 0;
}
_ACEOF
if ac_fn_c_try_compile "$LINENO"; then :

		ac_cv_sizeof_size_t=`$as_echo "SIZEOF_$rbcv_sizeof_type" | $as_tr_cpp`
		break
fi
rm -f core conftest.err conftest.$ac_objext conftest.$ac_ext
    done
    }
    unset rbcv_sizeof_cond

    test "${ac_cv_sizeof_size_t#[1-9]}" = "${ac_cv_sizeof_size_t}" &&
    test "${ac_cv_sizeof_size_t#SIZEOF_}" = "${ac_cv_sizeof_size_t}" && {
    test "$universal_binary" = yes && cross_compiling=yes
    if ac_fn_c_compute_int "$LINENO" "SIZEOF_SIZE_T" "rbcv_sizeof_type"        "#include <sys/types.h>

${rbcv_sizeof_cond+$rbcv_sizeof_cond
#else}
$rbcv_sizeof_var
${rbcv_sizeof_cond+#endif}
#ifndef SIZEOF_SIZE_T
#define SIZEOF_SIZE_T 0
#endif"; then :

else
  rbcv_sizeof_type=0
fi

    test "$universal_binary" = yes && cross_compiling=$real_cross_compiling
    if test ${rbcv_sizeof_type-0} != 0; then
	ac_cv_sizeof_size_t="${ac_cv_sizeof_size_t+${ac_cv_sizeof_size_t-} }${rbcv_sizeof_type}"
    fi
    }
    : ${ac_cv_sizeof_size_t=0}

fi
{ $as_echo "$as_me:${as_lineno-$LINENO}: result: $ac_cv_sizeof_size_t" >&5
    colorize_result "$ac_cv_sizeof_size_t" ; }
{
    unset rbcv_sizeof_cond
    for rbcv_sizeof_type in ${ac_cv_sizeof_size_t-}; do
	case "$rbcv_sizeof_type" in #(
  [0-9]*|SIZEOF_*) :

	    ${rbcv_sizeof_cond+echo "#else"}
	    echo "#define SIZEOF_SIZE_T $rbcv_sizeof_type"
	    break
	     ;; #(
  *) :

	    rbcv_sizeof_size=`expr $rbcv_sizeof_type : '.*[^0-9]\([0-9][0-9]*\)$'`
	    case $rbcv_sizeof_type in #(
  *:*) :
    rbcv_sizeof_type="${rbcv_sizeof_type%:*}" ;; #(
  *) :
    rbcv_sizeof_size=`expr $rbcv_sizeof_size / $rb_cv_char_bit` ;;
esac
	    echo "#${rbcv_sizeof_cond+el}if defined(__${rbcv_sizeof_type}__) || defined(__${rbcv_sizeof_type}) || defined(_${rbcv_sizeof_type}) || defined($rbcv_sizeof_type)"
	    echo "#define SIZEOF_SIZE_T $rbcv_sizeof_size"
	    rbcv_sizeof_cond=1
	     ;;
esac
    done
    ${rbcv_sizeof_cond+echo "#endif"}
} >> confdefs.h
else
# The cast to long int works around a bug in the HP C Compiler
# version HP92453-01 B.11.11.23709.GP, which incorrectly rejects
# declarations like `int a3[[(sizeof (unsigned char)) >= 0]];'.
# This bug is HP SR number 8606223364.
{ $as_echo "$as_me:${as_lineno-$LINENO}: checking size of size_t" >&5
$as_echo_n "checking size of size_t... " >&6; }
if ${ac_cv_sizeof_size_t+:} false; then :
  $as_echo_n "(cached) " >&6
else
  if ac_fn_c_compute_int "$LINENO" "(long int) (sizeof (size_t))" "ac_cv_sizeof_size_t"        "#include <sys/types.h>
"; then :

else
  if test "$ac_cv_type_size_t" = yes; then
     { { $as_echo "$as_me:${as_lineno-$LINENO}: error: in \`$ac_pwd':" >&5
$as_echo "$as_me: error: in \`$ac_pwd':" >&2;}
as_fn_error 77 "cannot compute sizeof (size_t)
See \`config.log' for more details" "$LINENO" 5; }
   else
     ac_cv_sizeof_size_t=0
   fi
fi

fi
{ $as_echo "$as_me:${as_lineno-$LINENO}: result: $ac_cv_sizeof_size_t" >&5
    colorize_result "$ac_cv_sizeof_size_t" ; }



cat >>confdefs.h <<_ACEOF
#define SIZEOF_SIZE_T $ac_cv_sizeof_size_t
_ACEOF


fi


if test "$universal_binary" = yes; then
{ $as_echo "$as_me:${as_lineno-$LINENO}: checking size of ptrdiff_t" >&5
$as_echo_n "checking size of ptrdiff_t... " >&6; }
if ${ac_cv_sizeof_ptrdiff_t+:} false; then :
  $as_echo_n "(cached) " >&6
else

    unset ac_cv_sizeof_ptrdiff_t
    rbcv_sizeof_var="
typedef ptrdiff_t ac__type_sizeof_;
static ac__type_sizeof_ *rbcv_ptr;
#define SIZEOF_PTRDIFF_T sizeof((*rbcv_ptr))
"
    test -z "${ac_cv_sizeof_ptrdiff_t+set}" && {
    for rbcv_sizeof_type in size_t; do
	cat confdefs.h - <<_ACEOF >conftest.$ac_ext
/* end confdefs.h.  */
#include <stddef.h>
		$rbcv_sizeof_var

int
main ()
{
static int test_array [1 - 2 * !(SIZEOF_PTRDIFF_T == sizeof($rbcv_sizeof_type))];
test_array [0] = 0;
return test_array [0];

  ;
  return 0;
}
_ACEOF
if ac_fn_c_try_compile "$LINENO"; then :

		ac_cv_sizeof_ptrdiff_t=`$as_echo "SIZEOF_$rbcv_sizeof_type" | $as_tr_cpp`
		break
fi
rm -f core conftest.err conftest.$ac_objext conftest.$ac_ext
    done
    }
    unset rbcv_sizeof_cond

    test "${ac_cv_sizeof_ptrdiff_t#[1-9]}" = "${ac_cv_sizeof_ptrdiff_t}" &&
    test "${ac_cv_sizeof_ptrdiff_t#SIZEOF_}" = "${ac_cv_sizeof_ptrdiff_t}" && {
    test "$universal_binary" = yes && cross_compiling=yes
    if ac_fn_c_compute_int "$LINENO" "SIZEOF_PTRDIFF_T" "rbcv_sizeof_type"        "#include <stddef.h>

${rbcv_sizeof_cond+$rbcv_sizeof_cond
#else}
$rbcv_sizeof_var
${rbcv_sizeof_cond+#endif}
#ifndef SIZEOF_PTRDIFF_T
#define SIZEOF_PTRDIFF_T 0
#endif"; then :

else
  rbcv_sizeof_type=0
fi

    test "$universal_binary" = yes && cross_compiling=$real_cross_compiling
    if test ${rbcv_sizeof_type-0} != 0; then
	ac_cv_sizeof_ptrdiff_t="${ac_cv_sizeof_ptrdiff_t+${ac_cv_sizeof_ptrdiff_t-} }${rbcv_sizeof_type}"
    fi
    }
    : ${ac_cv_sizeof_ptrdiff_t=0}

fi
{ $as_echo "$as_me:${as_lineno-$LINENO}: result: $ac_cv_sizeof_ptrdiff_t" >&5
    colorize_result "$ac_cv_sizeof_ptrdiff_t" ; }
{
    unset rbcv_sizeof_cond
    for rbcv_sizeof_type in ${ac_cv_sizeof_ptrdiff_t-}; do
	case "$rbcv_sizeof_type" in #(
  [0-9]*|SIZEOF_*) :

	    ${rbcv_sizeof_cond+echo "#else"}
	    echo "#define SIZEOF_PTRDIFF_T $rbcv_sizeof_type"
	    break
	     ;; #(
  *) :

	    rbcv_sizeof_size=`expr $rbcv_sizeof_type : '.*[^0-9]\([0-9][0-9]*\)$'`
	    case $rbcv_sizeof_type in #(
  *:*) :
    rbcv_sizeof_type="${rbcv_sizeof_type%:*}" ;; #(
  *) :
    rbcv_sizeof_size=`expr $rbcv_sizeof_size / $rb_cv_char_bit` ;;
esac
	    echo "#${rbcv_sizeof_cond+el}if defined(__${rbcv_sizeof_type}__) || defined(__${rbcv_sizeof_type}) || defined(_${rbcv_sizeof_type}) || defined($rbcv_sizeof_type)"
	    echo "#define SIZEOF_PTRDIFF_T $rbcv_sizeof_size"
	    rbcv_sizeof_cond=1
	     ;;
esac
    done
    ${rbcv_sizeof_cond+echo "#endif"}
} >> confdefs.h
else
# The cast to long int works around a bug in the HP C Compiler
# version HP92453-01 B.11.11.23709.GP, which incorrectly rejects
# declarations like `int a3[[(sizeof (unsigned char)) >= 0]];'.
# This bug is HP SR number 8606223364.
{ $as_echo "$as_me:${as_lineno-$LINENO}: checking size of ptrdiff_t" >&5
$as_echo_n "checking size of ptrdiff_t... " >&6; }
if ${ac_cv_sizeof_ptrdiff_t+:} false; then :
  $as_echo_n "(cached) " >&6
else
  if ac_fn_c_compute_int "$LINENO" "(long int) (sizeof (ptrdiff_t))" "ac_cv_sizeof_ptrdiff_t"        "#include <stddef.h>
"; then :

else
  if test "$ac_cv_type_ptrdiff_t" = yes; then
     { { $as_echo "$as_me:${as_lineno-$LINENO}: error: in \`$ac_pwd':" >&5
$as_echo "$as_me: error: in \`$ac_pwd':" >&2;}
as_fn_error 77 "cannot compute sizeof (ptrdiff_t)
See \`config.log' for more details" "$LINENO" 5; }
   else
     ac_cv_sizeof_ptrdiff_t=0
   fi
fi

fi
{ $as_echo "$as_me:${as_lineno-$LINENO}: result: $ac_cv_sizeof_ptrdiff_t" >&5
    colorize_result "$ac_cv_sizeof_ptrdiff_t" ; }



cat >>confdefs.h <<_ACEOF
#define SIZEOF_PTRDIFF_T $ac_cv_sizeof_ptrdiff_t
_ACEOF


fi


{ $as_echo "$as_me:${as_lineno-$LINENO}: checking for printf prefix for size_t" >&5
$as_echo_n "checking for printf prefix for size_t... " >&6; }
if ${rb_cv_pri_prefix_size_t+:} false; then :
  $as_echo_n "(cached) " >&6
else

    rb_cv_pri_prefix_size_t=NONE
    save_CFLAGS="$CFLAGS"
CFLAGS="$CFLAGS $rb_cv_warnflags"
if test "${ac_c_werror_flag+set}"; then
  rb_c_werror_flag="$ac_c_werror_flag"
else
  unset rb_c_werror_flag
fi
ac_c_werror_flag=yes
# RUBY_APPEND_OPTIONS(CFLAGS)
	for rb_opt in $rb_cv_wsuppress_flags; do
	case " ${CFLAGS-} " in #(
  *" ${rb_opt} "*) :
     ;; #(
  '  ') :
     CFLAGS="${rb_opt}" ;; #(
  *) :
     CFLAGS="$CFLAGS ${rb_opt}" ;;
esac
	done
    for pri in z; do
        cat confdefs.h - <<_ACEOF >conftest.$ac_ext
/* end confdefs.h.  */
#include <stdio.h>
	    #include <stddef.h>
            #ifdef __GNUC__
            #define PRINTF_ARGS(decl, string_index, first_to_check) \
              decl __attribute__((format(printf, string_index, first_to_check)))
            #else
            #define PRINTF_ARGS(decl, string_index, first_to_check) decl
            #endif
	    PRINTF_ARGS(void test_sprintf(const char*, ...), 1, 2);
int
main ()
{
printf("%${pri}d", (size_t)42);
            test_sprintf("%${pri}d", (size_t)42);
  ;
  return 0;
}
_ACEOF
if ac_fn_c_try_compile "$LINENO"; then :
  rb_cv_pri_prefix_size_t=$pri; break
fi
rm -f core conftest.err conftest.$ac_objext conftest.$ac_ext
    done
CFLAGS="$save_CFLAGS"
save_CFLAGS=
if test "${rb_c_werror_flag+set}"; then
  ac_c_werror_flag="$rb_c_werror_flag"
else
  unset ac_c_werror_flag
fi
fi
{ $as_echo "$as_me:${as_lineno-$LINENO}: result: $rb_cv_pri_prefix_size_t" >&5
    colorize_result "$rb_cv_pri_prefix_size_t" ; }
if test "$rb_cv_pri_prefix_size_t" != NONE; then
    cat >>confdefs.h <<_ACEOF
#define PRI_SIZE_PREFIX "$rb_cv_pri_prefix_size_t"
_ACEOF

fi


{ $as_echo "$as_me:${as_lineno-$LINENO}: checking for printf prefix for ptrdiff_t" >&5
$as_echo_n "checking for printf prefix for ptrdiff_t... " >&6; }
if ${rb_cv_pri_prefix_ptrdiff_t+:} false; then :
  $as_echo_n "(cached) " >&6
else

    rb_cv_pri_prefix_ptrdiff_t=NONE
    save_CFLAGS="$CFLAGS"
CFLAGS="$CFLAGS $rb_cv_warnflags"
if test "${ac_c_werror_flag+set}"; then
  rb_c_werror_flag="$ac_c_werror_flag"
else
  unset rb_c_werror_flag
fi
ac_c_werror_flag=yes
# RUBY_APPEND_OPTIONS(CFLAGS)
	for rb_opt in $rb_cv_wsuppress_flags; do
	case " ${CFLAGS-} " in #(
  *" ${rb_opt} "*) :
     ;; #(
  '  ') :
     CFLAGS="${rb_opt}" ;; #(
  *) :
     CFLAGS="$CFLAGS ${rb_opt}" ;;
esac
	done
    for pri in t; do
        cat confdefs.h - <<_ACEOF >conftest.$ac_ext
/* end confdefs.h.  */
#include <stdio.h>
	    #include <stddef.h>
            #ifdef __GNUC__
            #define PRINTF_ARGS(decl, string_index, first_to_check) \
              decl __attribute__((format(printf, string_index, first_to_check)))
            #else
            #define PRINTF_ARGS(decl, string_index, first_to_check) decl
            #endif
	    PRINTF_ARGS(void test_sprintf(const char*, ...), 1, 2);
int
main ()
{
printf("%${pri}d", (ptrdiff_t)42);
            test_sprintf("%${pri}d", (ptrdiff_t)42);
  ;
  return 0;
}
_ACEOF
if ac_fn_c_try_compile "$LINENO"; then :
  rb_cv_pri_prefix_ptrdiff_t=$pri; break
fi
rm -f core conftest.err conftest.$ac_objext conftest.$ac_ext
    done
CFLAGS="$save_CFLAGS"
save_CFLAGS=
if test "${rb_c_werror_flag+set}"; then
  ac_c_werror_flag="$rb_c_werror_flag"
else
  unset ac_c_werror_flag
fi
fi
{ $as_echo "$as_me:${as_lineno-$LINENO}: result: $rb_cv_pri_prefix_ptrdiff_t" >&5
    colorize_result "$rb_cv_pri_prefix_ptrdiff_t" ; }
if test "$rb_cv_pri_prefix_ptrdiff_t" != NONE; then
    cat >>confdefs.h <<_ACEOF
#define PRI_PTRDIFF_PREFIX "$rb_cv_pri_prefix_ptrdiff_t"
_ACEOF

fi

ac_fn_c_check_member "$LINENO" "struct stat" "st_blksize" "ac_cv_member_struct_stat_st_blksize" "$ac_includes_default"
if test "x$ac_cv_member_struct_stat_st_blksize" = xyes; then :

cat >>confdefs.h <<_ACEOF
#define HAVE_STRUCT_STAT_ST_BLKSIZE 1
_ACEOF


$as_echo "#define HAVE_ST_BLKSIZE 1" >>confdefs.h

fi


ac_fn_c_check_member "$LINENO" "struct stat" "st_blocks" "ac_cv_member_struct_stat_st_blocks" "$ac_includes_default"
if test "x$ac_cv_member_struct_stat_st_blocks" = xyes; then :

cat >>confdefs.h <<_ACEOF
#define HAVE_STRUCT_STAT_ST_BLOCKS 1
_ACEOF


$as_echo "#define HAVE_ST_BLOCKS 1" >>confdefs.h

else
  case " $LIBOBJS " in
  *" fileblocks.$ac_objext "* ) ;;
  *) LIBOBJS="$LIBOBJS fileblocks.$ac_objext"
 ;;
esac

fi


ac_fn_c_check_member "$LINENO" "struct stat" "st_rdev" "ac_cv_member_struct_stat_st_rdev" "$ac_includes_default"
if test "x$ac_cv_member_struct_stat_st_rdev" = xyes; then :

cat >>confdefs.h <<_ACEOF
#define HAVE_STRUCT_STAT_ST_RDEV 1
_ACEOF


$as_echo "#define HAVE_ST_RDEV 1" >>confdefs.h

fi




{ $as_echo "$as_me:${as_lineno-$LINENO}: checking size of struct stat.st_size" >&5
$as_echo_n "checking size of struct stat.st_size... " >&6; }
if ${ac_cv_sizeof_struct_stat_st_size+:} false; then :
  $as_echo_n "(cached) " >&6
else

    unset ac_cv_sizeof_struct_stat_st_size
    rbcv_sizeof_var="
typedef struct stat ac__type_sizeof_;
static ac__type_sizeof_ *rbcv_ptr;
#define SIZEOF_STRUCT_STAT_ST_SIZE sizeof((*rbcv_ptr).st_size)
"
    test -z "${ac_cv_sizeof_struct_stat_st_size+set}" && {
    for rbcv_sizeof_type in off_t int long "long long"; do
	cat confdefs.h - <<_ACEOF >conftest.$ac_ext
/* end confdefs.h.  */
#include <sys/stat.h>
		$rbcv_sizeof_var

int
main ()
{
static int test_array [1 - 2 * !(SIZEOF_STRUCT_STAT_ST_SIZE == sizeof($rbcv_sizeof_type))];
test_array [0] = 0;
return test_array [0];

  ;
  return 0;
}
_ACEOF
if ac_fn_c_try_compile "$LINENO"; then :

		ac_cv_sizeof_struct_stat_st_size=`$as_echo "SIZEOF_$rbcv_sizeof_type" | $as_tr_cpp`
		break
fi
rm -f core conftest.err conftest.$ac_objext conftest.$ac_ext
    done
    }
    unset rbcv_sizeof_cond

    test "${ac_cv_sizeof_struct_stat_st_size#[1-9]}" = "${ac_cv_sizeof_struct_stat_st_size}" &&
    test "${ac_cv_sizeof_struct_stat_st_size#SIZEOF_}" = "${ac_cv_sizeof_struct_stat_st_size}" && {
    test "$universal_binary" = yes && cross_compiling=yes
    if ac_fn_c_compute_int "$LINENO" "SIZEOF_STRUCT_STAT_ST_SIZE" "rbcv_sizeof_type"        "#include <sys/stat.h>

${rbcv_sizeof_cond+$rbcv_sizeof_cond
#else}
$rbcv_sizeof_var
${rbcv_sizeof_cond+#endif}
#ifndef SIZEOF_STRUCT_STAT_ST_SIZE
#define SIZEOF_STRUCT_STAT_ST_SIZE 0
#endif"; then :

else
  rbcv_sizeof_type=0
fi

    test "$universal_binary" = yes && cross_compiling=$real_cross_compiling
    if test ${rbcv_sizeof_type-0} != 0; then
	ac_cv_sizeof_struct_stat_st_size="${ac_cv_sizeof_struct_stat_st_size+${ac_cv_sizeof_struct_stat_st_size-} }${rbcv_sizeof_type}"
    fi
    }
    : ${ac_cv_sizeof_struct_stat_st_size=0}

fi
{ $as_echo "$as_me:${as_lineno-$LINENO}: result: $ac_cv_sizeof_struct_stat_st_size" >&5
    colorize_result "$ac_cv_sizeof_struct_stat_st_size" ; }
{
    unset rbcv_sizeof_cond
    for rbcv_sizeof_type in ${ac_cv_sizeof_struct_stat_st_size-}; do
	case "$rbcv_sizeof_type" in #(
  [0-9]*|SIZEOF_*) :

	    ${rbcv_sizeof_cond+echo "#else"}
	    echo "#define SIZEOF_STRUCT_STAT_ST_SIZE $rbcv_sizeof_type"
	    break
	     ;; #(
  *) :

	    rbcv_sizeof_size=`expr $rbcv_sizeof_type : '.*[^0-9]\([0-9][0-9]*\)$'`
	    case $rbcv_sizeof_type in #(
  *:*) :
    rbcv_sizeof_type="${rbcv_sizeof_type%:*}" ;; #(
  *) :
    rbcv_sizeof_size=`expr $rbcv_sizeof_size / $rb_cv_char_bit` ;;
esac
	    echo "#${rbcv_sizeof_cond+el}if defined(__${rbcv_sizeof_type}__) || defined(__${rbcv_sizeof_type}) || defined(_${rbcv_sizeof_type}) || defined($rbcv_sizeof_type)"
	    echo "#define SIZEOF_STRUCT_STAT_ST_SIZE $rbcv_sizeof_size"
	    rbcv_sizeof_cond=1
	     ;;
esac
    done
    ${rbcv_sizeof_cond+echo "#endif"}
} >> confdefs.h


if test "$ac_cv_member_struct_stat_st_blocks" = yes; then


{ $as_echo "$as_me:${as_lineno-$LINENO}: checking size of struct stat.st_blocks" >&5
$as_echo_n "checking size of struct stat.st_blocks... " >&6; }
if ${ac_cv_sizeof_struct_stat_st_blocks+:} false; then :
  $as_echo_n "(cached) " >&6
else

    unset ac_cv_sizeof_struct_stat_st_blocks
    rbcv_sizeof_var="
typedef struct stat ac__type_sizeof_;
static ac__type_sizeof_ *rbcv_ptr;
#define SIZEOF_STRUCT_STAT_ST_BLOCKS sizeof((*rbcv_ptr).st_blocks)
"
    test -z "${ac_cv_sizeof_struct_stat_st_blocks+set}" && {
    for rbcv_sizeof_type in off_t int long "long long"; do
	cat confdefs.h - <<_ACEOF >conftest.$ac_ext
/* end confdefs.h.  */
#include <sys/stat.h>
		$rbcv_sizeof_var

int
main ()
{
static int test_array [1 - 2 * !(SIZEOF_STRUCT_STAT_ST_BLOCKS == sizeof($rbcv_sizeof_type))];
test_array [0] = 0;
return test_array [0];

  ;
  return 0;
}
_ACEOF
if ac_fn_c_try_compile "$LINENO"; then :

		ac_cv_sizeof_struct_stat_st_blocks=`$as_echo "SIZEOF_$rbcv_sizeof_type" | $as_tr_cpp`
		break
fi
rm -f core conftest.err conftest.$ac_objext conftest.$ac_ext
    done
    }
    unset rbcv_sizeof_cond

    test "${ac_cv_sizeof_struct_stat_st_blocks#[1-9]}" = "${ac_cv_sizeof_struct_stat_st_blocks}" &&
    test "${ac_cv_sizeof_struct_stat_st_blocks#SIZEOF_}" = "${ac_cv_sizeof_struct_stat_st_blocks}" && {
    test "$universal_binary" = yes && cross_compiling=yes
    if ac_fn_c_compute_int "$LINENO" "SIZEOF_STRUCT_STAT_ST_BLOCKS" "rbcv_sizeof_type"        "#include <sys/stat.h>

${rbcv_sizeof_cond+$rbcv_sizeof_cond
#else}
$rbcv_sizeof_var
${rbcv_sizeof_cond+#endif}
#ifndef SIZEOF_STRUCT_STAT_ST_BLOCKS
#define SIZEOF_STRUCT_STAT_ST_BLOCKS 0
#endif"; then :

else
  rbcv_sizeof_type=0
fi

    test "$universal_binary" = yes && cross_compiling=$real_cross_compiling
    if test ${rbcv_sizeof_type-0} != 0; then
	ac_cv_sizeof_struct_stat_st_blocks="${ac_cv_sizeof_struct_stat_st_blocks+${ac_cv_sizeof_struct_stat_st_blocks-} }${rbcv_sizeof_type}"
    fi
    }
    : ${ac_cv_sizeof_struct_stat_st_blocks=0}

fi
{ $as_echo "$as_me:${as_lineno-$LINENO}: result: $ac_cv_sizeof_struct_stat_st_blocks" >&5
    colorize_result "$ac_cv_sizeof_struct_stat_st_blocks" ; }
{
    unset rbcv_sizeof_cond
    for rbcv_sizeof_type in ${ac_cv_sizeof_struct_stat_st_blocks-}; do
	case "$rbcv_sizeof_type" in #(
  [0-9]*|SIZEOF_*) :

	    ${rbcv_sizeof_cond+echo "#else"}
	    echo "#define SIZEOF_STRUCT_STAT_ST_BLOCKS $rbcv_sizeof_type"
	    break
	     ;; #(
  *) :

	    rbcv_sizeof_size=`expr $rbcv_sizeof_type : '.*[^0-9]\([0-9][0-9]*\)$'`
	    case $rbcv_sizeof_type in #(
  *:*) :
    rbcv_sizeof_type="${rbcv_sizeof_type%:*}" ;; #(
  *) :
    rbcv_sizeof_size=`expr $rbcv_sizeof_size / $rb_cv_char_bit` ;;
esac
	    echo "#${rbcv_sizeof_cond+el}if defined(__${rbcv_sizeof_type}__) || defined(__${rbcv_sizeof_type}) || defined(_${rbcv_sizeof_type}) || defined($rbcv_sizeof_type)"
	    echo "#define SIZEOF_STRUCT_STAT_ST_BLOCKS $rbcv_sizeof_size"
	    rbcv_sizeof_cond=1
	     ;;
esac
    done
    ${rbcv_sizeof_cond+echo "#endif"}
} >> confdefs.h


fi


{ $as_echo "$as_me:${as_lineno-$LINENO}: checking size of struct stat.st_ino" >&5
$as_echo_n "checking size of struct stat.st_ino... " >&6; }
if ${ac_cv_sizeof_struct_stat_st_ino+:} false; then :
  $as_echo_n "(cached) " >&6
else

    unset ac_cv_sizeof_struct_stat_st_ino
    rbcv_sizeof_var="
typedef struct stat ac__type_sizeof_;
static ac__type_sizeof_ *rbcv_ptr;
#define SIZEOF_STRUCT_STAT_ST_INO sizeof((*rbcv_ptr).st_ino)
"
    test -z "${ac_cv_sizeof_struct_stat_st_ino+set}" && {
    for rbcv_sizeof_type in long "long long"; do
	cat confdefs.h - <<_ACEOF >conftest.$ac_ext
/* end confdefs.h.  */
#include <sys/stat.h>
		$rbcv_sizeof_var

int
main ()
{
static int test_array [1 - 2 * !(SIZEOF_STRUCT_STAT_ST_INO == sizeof($rbcv_sizeof_type))];
test_array [0] = 0;
return test_array [0];

  ;
  return 0;
}
_ACEOF
if ac_fn_c_try_compile "$LINENO"; then :

		ac_cv_sizeof_struct_stat_st_ino=`$as_echo "SIZEOF_$rbcv_sizeof_type" | $as_tr_cpp`
		break
fi
rm -f core conftest.err conftest.$ac_objext conftest.$ac_ext
    done
    }
    unset rbcv_sizeof_cond

    test "${ac_cv_sizeof_struct_stat_st_ino#[1-9]}" = "${ac_cv_sizeof_struct_stat_st_ino}" &&
    test "${ac_cv_sizeof_struct_stat_st_ino#SIZEOF_}" = "${ac_cv_sizeof_struct_stat_st_ino}" && {
    test "$universal_binary" = yes && cross_compiling=yes
    if ac_fn_c_compute_int "$LINENO" "SIZEOF_STRUCT_STAT_ST_INO" "rbcv_sizeof_type"        "#include <sys/stat.h>

${rbcv_sizeof_cond+$rbcv_sizeof_cond
#else}
$rbcv_sizeof_var
${rbcv_sizeof_cond+#endif}
#ifndef SIZEOF_STRUCT_STAT_ST_INO
#define SIZEOF_STRUCT_STAT_ST_INO 0
#endif"; then :

else
  rbcv_sizeof_type=0
fi

    test "$universal_binary" = yes && cross_compiling=$real_cross_compiling
    if test ${rbcv_sizeof_type-0} != 0; then
	ac_cv_sizeof_struct_stat_st_ino="${ac_cv_sizeof_struct_stat_st_ino+${ac_cv_sizeof_struct_stat_st_ino-} }${rbcv_sizeof_type}"
    fi
    }
    : ${ac_cv_sizeof_struct_stat_st_ino=0}

fi
{ $as_echo "$as_me:${as_lineno-$LINENO}: result: $ac_cv_sizeof_struct_stat_st_ino" >&5
    colorize_result "$ac_cv_sizeof_struct_stat_st_ino" ; }
{
    unset rbcv_sizeof_cond
    for rbcv_sizeof_type in ${ac_cv_sizeof_struct_stat_st_ino-}; do
	case "$rbcv_sizeof_type" in #(
  [0-9]*|SIZEOF_*) :

	    ${rbcv_sizeof_cond+echo "#else"}
	    echo "#define SIZEOF_STRUCT_STAT_ST_INO $rbcv_sizeof_type"
	    break
	     ;; #(
  *) :

	    rbcv_sizeof_size=`expr $rbcv_sizeof_type : '.*[^0-9]\([0-9][0-9]*\)$'`
	    case $rbcv_sizeof_type in #(
  *:*) :
    rbcv_sizeof_type="${rbcv_sizeof_type%:*}" ;; #(
  *) :
    rbcv_sizeof_size=`expr $rbcv_sizeof_size / $rb_cv_char_bit` ;;
esac
	    echo "#${rbcv_sizeof_cond+el}if defined(__${rbcv_sizeof_type}__) || defined(__${rbcv_sizeof_type}) || defined(_${rbcv_sizeof_type}) || defined($rbcv_sizeof_type)"
	    echo "#define SIZEOF_STRUCT_STAT_ST_INO $rbcv_sizeof_size"
	    rbcv_sizeof_cond=1
	     ;;
esac
    done
    ${rbcv_sizeof_cond+echo "#endif"}
} >> confdefs.h


ac_fn_c_check_member "$LINENO" "struct stat" "st_atim" "ac_cv_member_struct_stat_st_atim" "$ac_includes_default"
if test "x$ac_cv_member_struct_stat_st_atim" = xyes; then :

cat >>confdefs.h <<_ACEOF
#define HAVE_STRUCT_STAT_ST_ATIM 1
_ACEOF


fi

ac_fn_c_check_member "$LINENO" "struct stat" "st_atimespec" "ac_cv_member_struct_stat_st_atimespec" "$ac_includes_default"
if test "x$ac_cv_member_struct_stat_st_atimespec" = xyes; then :

cat >>confdefs.h <<_ACEOF
#define HAVE_STRUCT_STAT_ST_ATIMESPEC 1
_ACEOF


fi

ac_fn_c_check_member "$LINENO" "struct stat" "st_atimensec" "ac_cv_member_struct_stat_st_atimensec" "$ac_includes_default"
if test "x$ac_cv_member_struct_stat_st_atimensec" = xyes; then :

cat >>confdefs.h <<_ACEOF
#define HAVE_STRUCT_STAT_ST_ATIMENSEC 1
_ACEOF


fi

ac_fn_c_check_member "$LINENO" "struct stat" "st_mtim" "ac_cv_member_struct_stat_st_mtim" "$ac_includes_default"
if test "x$ac_cv_member_struct_stat_st_mtim" = xyes; then :

cat >>confdefs.h <<_ACEOF
#define HAVE_STRUCT_STAT_ST_MTIM 1
_ACEOF


fi

ac_fn_c_check_member "$LINENO" "struct stat" "st_mtimespec" "ac_cv_member_struct_stat_st_mtimespec" "$ac_includes_default"
if test "x$ac_cv_member_struct_stat_st_mtimespec" = xyes; then :

cat >>confdefs.h <<_ACEOF
#define HAVE_STRUCT_STAT_ST_MTIMESPEC 1
_ACEOF


fi

ac_fn_c_check_member "$LINENO" "struct stat" "st_mtimensec" "ac_cv_member_struct_stat_st_mtimensec" "$ac_includes_default"
if test "x$ac_cv_member_struct_stat_st_mtimensec" = xyes; then :

cat >>confdefs.h <<_ACEOF
#define HAVE_STRUCT_STAT_ST_MTIMENSEC 1
_ACEOF


fi

ac_fn_c_check_member "$LINENO" "struct stat" "st_ctim" "ac_cv_member_struct_stat_st_ctim" "$ac_includes_default"
if test "x$ac_cv_member_struct_stat_st_ctim" = xyes; then :

cat >>confdefs.h <<_ACEOF
#define HAVE_STRUCT_STAT_ST_CTIM 1
_ACEOF


fi

ac_fn_c_check_member "$LINENO" "struct stat" "st_ctimespec" "ac_cv_member_struct_stat_st_ctimespec" "$ac_includes_default"
if test "x$ac_cv_member_struct_stat_st_ctimespec" = xyes; then :

cat >>confdefs.h <<_ACEOF
#define HAVE_STRUCT_STAT_ST_CTIMESPEC 1
_ACEOF


fi

ac_fn_c_check_member "$LINENO" "struct stat" "st_ctimensec" "ac_cv_member_struct_stat_st_ctimensec" "$ac_includes_default"
if test "x$ac_cv_member_struct_stat_st_ctimensec" = xyes; then :

cat >>confdefs.h <<_ACEOF
#define HAVE_STRUCT_STAT_ST_CTIMENSEC 1
_ACEOF


fi

ac_fn_c_check_member "$LINENO" "struct stat" "st_birthtimespec" "ac_cv_member_struct_stat_st_birthtimespec" "$ac_includes_default"
if test "x$ac_cv_member_struct_stat_st_birthtimespec" = xyes; then :

cat >>confdefs.h <<_ACEOF
#define HAVE_STRUCT_STAT_ST_BIRTHTIMESPEC 1
_ACEOF


fi


ac_fn_c_check_type "$LINENO" "struct timeval" "ac_cv_type_struct_timeval" "#ifdef HAVE_TIME_H
#include <time.h>
#endif
#ifdef HAVE_SYS_TIME_H
#include <sys/time.h>
#endif
"
if test "x$ac_cv_type_struct_timeval" = xyes; then :

cat >>confdefs.h <<_ACEOF
#define HAVE_STRUCT_TIMEVAL 1
_ACEOF


fi


if test "${ac_cv_type_struct_timeval}" = yes; then


{ $as_echo "$as_me:${as_lineno-$LINENO}: checking size of struct timeval.tv_sec" >&5
$as_echo_n "checking size of struct timeval.tv_sec... " >&6; }
if ${ac_cv_sizeof_struct_timeval_tv_sec+:} false; then :
  $as_echo_n "(cached) " >&6
else

    unset ac_cv_sizeof_struct_timeval_tv_sec
    rbcv_sizeof_var="
typedef struct timeval ac__type_sizeof_;
static ac__type_sizeof_ *rbcv_ptr;
#define SIZEOF_STRUCT_TIMEVAL_TV_SEC sizeof((*rbcv_ptr).tv_sec)
"
    test -z "${ac_cv_sizeof_struct_timeval_tv_sec+set}" && {
    for rbcv_sizeof_type in time_t long "long long"; do
	cat confdefs.h - <<_ACEOF >conftest.$ac_ext
/* end confdefs.h.  */
#ifdef HAVE_TIME_H
#include <time.h>
#endif
#ifdef HAVE_SYS_TIME_H
#include <sys/time.h>
#endif
		$rbcv_sizeof_var

int
main ()
{
static int test_array [1 - 2 * !(SIZEOF_STRUCT_TIMEVAL_TV_SEC == sizeof($rbcv_sizeof_type))];
test_array [0] = 0;
return test_array [0];

  ;
  return 0;
}
_ACEOF
if ac_fn_c_try_compile "$LINENO"; then :

		ac_cv_sizeof_struct_timeval_tv_sec=`$as_echo "SIZEOF_$rbcv_sizeof_type" | $as_tr_cpp`
		break
fi
rm -f core conftest.err conftest.$ac_objext conftest.$ac_ext
    done
    }
    unset rbcv_sizeof_cond

    test "${ac_cv_sizeof_struct_timeval_tv_sec#[1-9]}" = "${ac_cv_sizeof_struct_timeval_tv_sec}" &&
    test "${ac_cv_sizeof_struct_timeval_tv_sec#SIZEOF_}" = "${ac_cv_sizeof_struct_timeval_tv_sec}" && {
    test "$universal_binary" = yes && cross_compiling=yes
    if ac_fn_c_compute_int "$LINENO" "SIZEOF_STRUCT_TIMEVAL_TV_SEC" "rbcv_sizeof_type"        "#ifdef HAVE_TIME_H
#include <time.h>
#endif
#ifdef HAVE_SYS_TIME_H
#include <sys/time.h>
#endif

${rbcv_sizeof_cond+$rbcv_sizeof_cond
#else}
$rbcv_sizeof_var
${rbcv_sizeof_cond+#endif}
#ifndef SIZEOF_STRUCT_TIMEVAL_TV_SEC
#define SIZEOF_STRUCT_TIMEVAL_TV_SEC 0
#endif"; then :

else
  rbcv_sizeof_type=0
fi

    test "$universal_binary" = yes && cross_compiling=$real_cross_compiling
    if test ${rbcv_sizeof_type-0} != 0; then
	ac_cv_sizeof_struct_timeval_tv_sec="${ac_cv_sizeof_struct_timeval_tv_sec+${ac_cv_sizeof_struct_timeval_tv_sec-} }${rbcv_sizeof_type}"
    fi
    }
    : ${ac_cv_sizeof_struct_timeval_tv_sec=0}

fi
{ $as_echo "$as_me:${as_lineno-$LINENO}: result: $ac_cv_sizeof_struct_timeval_tv_sec" >&5
    colorize_result "$ac_cv_sizeof_struct_timeval_tv_sec" ; }
{
    unset rbcv_sizeof_cond
    for rbcv_sizeof_type in ${ac_cv_sizeof_struct_timeval_tv_sec-}; do
	case "$rbcv_sizeof_type" in #(
  [0-9]*|SIZEOF_*) :

	    ${rbcv_sizeof_cond+echo "#else"}
	    echo "#define SIZEOF_STRUCT_TIMEVAL_TV_SEC $rbcv_sizeof_type"
	    break
	     ;; #(
  *) :

	    rbcv_sizeof_size=`expr $rbcv_sizeof_type : '.*[^0-9]\([0-9][0-9]*\)$'`
	    case $rbcv_sizeof_type in #(
  *:*) :
    rbcv_sizeof_type="${rbcv_sizeof_type%:*}" ;; #(
  *) :
    rbcv_sizeof_size=`expr $rbcv_sizeof_size / $rb_cv_char_bit` ;;
esac
	    echo "#${rbcv_sizeof_cond+el}if defined(__${rbcv_sizeof_type}__) || defined(__${rbcv_sizeof_type}) || defined(_${rbcv_sizeof_type}) || defined($rbcv_sizeof_type)"
	    echo "#define SIZEOF_STRUCT_TIMEVAL_TV_SEC $rbcv_sizeof_size"
	    rbcv_sizeof_cond=1
	     ;;
esac
    done
    ${rbcv_sizeof_cond+echo "#endif"}
} >> confdefs.h


    case ${ac_cv_sizeof_struct_timeval_tv_sec} in #(
  SIZEOF_INT) :
    t=int ;; #(
  SIZEOF_LONG) :
    t=long ;; #(
  SIZEOF_LONG_LONG) :
    t=LONG_LONG ;; #(
  *) :
    t= ;;
esac
    if test "${t}" != ""; then
	cat >>confdefs.h <<_ACEOF
#define TYPEOF_TIMEVAL_TV_SEC $t
_ACEOF

    fi
fi

ac_fn_c_check_type "$LINENO" "struct timespec" "ac_cv_type_struct_timespec" "#ifdef HAVE_TIME_H
#include <time.h>
#endif
#ifdef HAVE_SYS_TIME_H
#include <sys/time.h>
#endif
"
if test "x$ac_cv_type_struct_timespec" = xyes; then :

cat >>confdefs.h <<_ACEOF
#define HAVE_STRUCT_TIMESPEC 1
_ACEOF


fi


ac_fn_c_check_type "$LINENO" "struct timezone" "ac_cv_type_struct_timezone" "#ifdef HAVE_TIME_H
# include <time.h>
#endif
#ifdef HAVE_SYS_TIME_H
# include <sys/time.h>
#endif
"
if test "x$ac_cv_type_struct_timezone" = xyes; then :

cat >>confdefs.h <<_ACEOF
#define HAVE_STRUCT_TIMEZONE 1
_ACEOF


fi


ac_fn_c_check_type "$LINENO" "clockid_t" "ac_cv_type_clockid_t" "#ifdef HAVE_TIME_H
# include <time.h>
#endif
#ifdef HAVE_SYS_TIME_H
# include <sys/time.h>
#endif
"
if test "x$ac_cv_type_clockid_t" = xyes; then :

cat >>confdefs.h <<_ACEOF
#define HAVE_CLOCKID_T 1
_ACEOF


fi


if ${rb_cv_large_fd_select+:} false; then :
  $as_echo_n "(cached) " >&6
else
  ac_fn_c_check_type "$LINENO" "fd_mask" "ac_cv_type_fd_mask" "$ac_includes_default"
if test "x$ac_cv_type_fd_mask" = xyes; then :
  rb_cv_large_fd_select=yes
else
  rb_cv_large_fd_select=no
fi

fi

if test "$rb_cv_large_fd_select" = yes; then
    $as_echo "#define HAVE_RB_FD_INIT 1" >>confdefs.h

fi



{ $as_echo "$as_me:${as_lineno-$LINENO}: checking for int8_t" >&5
$as_echo_n "checking for int8_t... " >&6; }
if ${rb_cv_type_int8_t+:} false; then :
  $as_echo_n "(cached) " >&6
else
  cat confdefs.h - <<_ACEOF >conftest.$ac_ext
/* end confdefs.h.  */
$ac_includes_default
typedef int8_t t; int s = sizeof(t) == 42;
int
main ()
{

  ;
  return 0;
}
_ACEOF
if ac_fn_c_try_compile "$LINENO"; then :
  rb_cv_type_int8_t=yes
else
  case 1 in #(
  "1") :
     rb_cv_type_int8_t="signed char" ;; #(
  "$ac_cv_sizeof_short") :
     rb_cv_type_int8_t="short" ;; #(
  "$ac_cv_sizeof_int") :
     rb_cv_type_int8_t="int" ;; #(
  "$ac_cv_sizeof_long") :
     rb_cv_type_int8_t="long" ;; #(
  "$ac_cv_sizeof_long_long") :
     rb_cv_type_int8_t="long long" ;; #(
  "${ac_cv_sizeof___int64#*:}") :
     rb_cv_type_int8_t="__int64" ;; #(
  "${ac_cv_sizeof___int128#*:}") :
     rb_cv_type_int8_t="__int128" ;; #(
  *) :
     rb_cv_type_int8_t=no ;;
esac
fi
rm -f core conftest.err conftest.$ac_objext conftest.$ac_ext
fi
{ $as_echo "$as_me:${as_lineno-$LINENO}: result: $rb_cv_type_int8_t" >&5
    colorize_result "$rb_cv_type_int8_t" ; }
if test "${rb_cv_type_int8_t}" != no; then
    rb_defint_type="${rb_cv_type_int8_t##unsigned }"
    if test "$rb_defint_type" != yes && eval 'test -n "${ac_cv_sizeof_'$rb_defint_type'+set}"'; then :

	eval rb_defint_cond='"${ac_cv_sizeof_'$rb_defint_type'}"'
	case $rb_defint_cond in #(
  *:*) :

	    rb_defint_cond=`$as_echo "$rb_defint_type" | $as_tr_cpp`
	    echo "#if defined SIZEOF_"$rb_defint_cond" && SIZEOF_"$rb_defint_cond" > 0" >> confdefs.h
	 ;; #(
  *) :
    rb_defint_cond= ;;
esac

else
  rb_defint_cond=
fi
    $as_echo "#define HAVE_INT8_T 1" >>confdefs.h

    if test "${rb_cv_type_int8_t}" = yes; then
	# The cast to long int works around a bug in the HP C Compiler
# version HP92453-01 B.11.11.23709.GP, which incorrectly rejects
# declarations like `int a3[[(sizeof (unsigned char)) >= 0]];'.
# This bug is HP SR number 8606223364.
{ $as_echo "$as_me:${as_lineno-$LINENO}: checking size of int8_t" >&5
$as_echo_n "checking size of int8_t... " >&6; }
if ${ac_cv_sizeof_int8_t+:} false; then :
  $as_echo_n "(cached) " >&6
else
  if ac_fn_c_compute_int "$LINENO" "(long int) (sizeof (int8_t))" "ac_cv_sizeof_int8_t"        "$ac_includes_default
"; then :

else
  if test "$ac_cv_type_int8_t" = yes; then
     { { $as_echo "$as_me:${as_lineno-$LINENO}: error: in \`$ac_pwd':" >&5
$as_echo "$as_me: error: in \`$ac_pwd':" >&2;}
as_fn_error 77 "cannot compute sizeof (int8_t)
See \`config.log' for more details" "$LINENO" 5; }
   else
     ac_cv_sizeof_int8_t=0
   fi
fi

fi
{ $as_echo "$as_me:${as_lineno-$LINENO}: result: $ac_cv_sizeof_int8_t" >&5
    colorize_result "$ac_cv_sizeof_int8_t" ; }



cat >>confdefs.h <<_ACEOF
#define SIZEOF_INT8_T $ac_cv_sizeof_int8_t
_ACEOF


    else
	cat >>confdefs.h <<_ACEOF
#define int8_t $rb_cv_type_int8_t
_ACEOF

	cat >>confdefs.h <<_ACEOF
#define SIZEOF_INT8_T SIZEOF_`$as_echo "$rb_defint_type" | $as_tr_cpp`
_ACEOF

    fi
    test -n "$rb_defint_cond" && echo "#endif /* $rb_defint_cond */" >> confdefs.h
fi

{ $as_echo "$as_me:${as_lineno-$LINENO}: checking for uint8_t" >&5
$as_echo_n "checking for uint8_t... " >&6; }
if ${rb_cv_type_uint8_t+:} false; then :
  $as_echo_n "(cached) " >&6
else
  cat confdefs.h - <<_ACEOF >conftest.$ac_ext
/* end confdefs.h.  */
$ac_includes_default
typedef uint8_t t; int s = sizeof(t) == 42;
int
main ()
{

  ;
  return 0;
}
_ACEOF
if ac_fn_c_try_compile "$LINENO"; then :
  rb_cv_type_uint8_t=yes
else
  case 1 in #(
  "1") :
     rb_cv_type_uint8_t="unsigned char" ;; #(
  "$ac_cv_sizeof_short") :
     rb_cv_type_uint8_t="unsigned short" ;; #(
  "$ac_cv_sizeof_int") :
     rb_cv_type_uint8_t="unsigned int" ;; #(
  "$ac_cv_sizeof_long") :
     rb_cv_type_uint8_t="unsigned long" ;; #(
  "$ac_cv_sizeof_long_long") :
     rb_cv_type_uint8_t="unsigned long long" ;; #(
  "${ac_cv_sizeof___int64#*:}") :
     rb_cv_type_uint8_t="unsigned __int64" ;; #(
  "${ac_cv_sizeof___int128#*:}") :
     rb_cv_type_uint8_t="unsigned __int128" ;; #(
  *) :
     rb_cv_type_uint8_t=no ;;
esac
fi
rm -f core conftest.err conftest.$ac_objext conftest.$ac_ext
fi
{ $as_echo "$as_me:${as_lineno-$LINENO}: result: $rb_cv_type_uint8_t" >&5
    colorize_result "$rb_cv_type_uint8_t" ; }
if test "${rb_cv_type_uint8_t}" != no; then
    rb_defint_type="${rb_cv_type_uint8_t##unsigned }"
    if test "$rb_defint_type" != yes && eval 'test -n "${ac_cv_sizeof_'$rb_defint_type'+set}"'; then :

	eval rb_defint_cond='"${ac_cv_sizeof_'$rb_defint_type'}"'
	case $rb_defint_cond in #(
  *:*) :

	    rb_defint_cond=`$as_echo "$rb_defint_type" | $as_tr_cpp`
	    echo "#if defined SIZEOF_"$rb_defint_cond" && SIZEOF_"$rb_defint_cond" > 0" >> confdefs.h
	 ;; #(
  *) :
    rb_defint_cond= ;;
esac

else
  rb_defint_cond=
fi
    $as_echo "#define HAVE_UINT8_T 1" >>confdefs.h

    if test "${rb_cv_type_uint8_t}" = yes; then
	# The cast to long int works around a bug in the HP C Compiler
# version HP92453-01 B.11.11.23709.GP, which incorrectly rejects
# declarations like `int a3[[(sizeof (unsigned char)) >= 0]];'.
# This bug is HP SR number 8606223364.
{ $as_echo "$as_me:${as_lineno-$LINENO}: checking size of uint8_t" >&5
$as_echo_n "checking size of uint8_t... " >&6; }
if ${ac_cv_sizeof_uint8_t+:} false; then :
  $as_echo_n "(cached) " >&6
else
  if ac_fn_c_compute_int "$LINENO" "(long int) (sizeof (uint8_t))" "ac_cv_sizeof_uint8_t"        "$ac_includes_default
"; then :

else
  if test "$ac_cv_type_uint8_t" = yes; then
     { { $as_echo "$as_me:${as_lineno-$LINENO}: error: in \`$ac_pwd':" >&5
$as_echo "$as_me: error: in \`$ac_pwd':" >&2;}
as_fn_error 77 "cannot compute sizeof (uint8_t)
See \`config.log' for more details" "$LINENO" 5; }
   else
     ac_cv_sizeof_uint8_t=0
   fi
fi

fi
{ $as_echo "$as_me:${as_lineno-$LINENO}: result: $ac_cv_sizeof_uint8_t" >&5
    colorize_result "$ac_cv_sizeof_uint8_t" ; }



cat >>confdefs.h <<_ACEOF
#define SIZEOF_UINT8_T $ac_cv_sizeof_uint8_t
_ACEOF


    else
	cat >>confdefs.h <<_ACEOF
#define uint8_t $rb_cv_type_uint8_t
_ACEOF

	cat >>confdefs.h <<_ACEOF
#define SIZEOF_UINT8_T SIZEOF_`$as_echo "$rb_defint_type" | $as_tr_cpp`
_ACEOF

    fi
    test -n "$rb_defint_cond" && echo "#endif /* $rb_defint_cond */" >> confdefs.h
fi

{ $as_echo "$as_me:${as_lineno-$LINENO}: checking for int16_t" >&5
$as_echo_n "checking for int16_t... " >&6; }
if ${rb_cv_type_int16_t+:} false; then :
  $as_echo_n "(cached) " >&6
else
  cat confdefs.h - <<_ACEOF >conftest.$ac_ext
/* end confdefs.h.  */
$ac_includes_default
typedef int16_t t; int s = sizeof(t) == 42;
int
main ()
{

  ;
  return 0;
}
_ACEOF
if ac_fn_c_try_compile "$LINENO"; then :
  rb_cv_type_int16_t=yes
else
  case 2 in #(
  "1") :
     rb_cv_type_int16_t="signed char" ;; #(
  "$ac_cv_sizeof_short") :
     rb_cv_type_int16_t="short" ;; #(
  "$ac_cv_sizeof_int") :
     rb_cv_type_int16_t="int" ;; #(
  "$ac_cv_sizeof_long") :
     rb_cv_type_int16_t="long" ;; #(
  "$ac_cv_sizeof_long_long") :
     rb_cv_type_int16_t="long long" ;; #(
  "${ac_cv_sizeof___int64#*:}") :
     rb_cv_type_int16_t="__int64" ;; #(
  "${ac_cv_sizeof___int128#*:}") :
     rb_cv_type_int16_t="__int128" ;; #(
  *) :
     rb_cv_type_int16_t=no ;;
esac
fi
rm -f core conftest.err conftest.$ac_objext conftest.$ac_ext
fi
{ $as_echo "$as_me:${as_lineno-$LINENO}: result: $rb_cv_type_int16_t" >&5
    colorize_result "$rb_cv_type_int16_t" ; }
if test "${rb_cv_type_int16_t}" != no; then
    rb_defint_type="${rb_cv_type_int16_t##unsigned }"
    if test "$rb_defint_type" != yes && eval 'test -n "${ac_cv_sizeof_'$rb_defint_type'+set}"'; then :

	eval rb_defint_cond='"${ac_cv_sizeof_'$rb_defint_type'}"'
	case $rb_defint_cond in #(
  *:*) :

	    rb_defint_cond=`$as_echo "$rb_defint_type" | $as_tr_cpp`
	    echo "#if defined SIZEOF_"$rb_defint_cond" && SIZEOF_"$rb_defint_cond" > 0" >> confdefs.h
	 ;; #(
  *) :
    rb_defint_cond= ;;
esac

else
  rb_defint_cond=
fi
    $as_echo "#define HAVE_INT16_T 1" >>confdefs.h

    if test "${rb_cv_type_int16_t}" = yes; then
	# The cast to long int works around a bug in the HP C Compiler
# version HP92453-01 B.11.11.23709.GP, which incorrectly rejects
# declarations like `int a3[[(sizeof (unsigned char)) >= 0]];'.
# This bug is HP SR number 8606223364.
{ $as_echo "$as_me:${as_lineno-$LINENO}: checking size of int16_t" >&5
$as_echo_n "checking size of int16_t... " >&6; }
if ${ac_cv_sizeof_int16_t+:} false; then :
  $as_echo_n "(cached) " >&6
else
  if ac_fn_c_compute_int "$LINENO" "(long int) (sizeof (int16_t))" "ac_cv_sizeof_int16_t"        "$ac_includes_default
"; then :

else
  if test "$ac_cv_type_int16_t" = yes; then
     { { $as_echo "$as_me:${as_lineno-$LINENO}: error: in \`$ac_pwd':" >&5
$as_echo "$as_me: error: in \`$ac_pwd':" >&2;}
as_fn_error 77 "cannot compute sizeof (int16_t)
See \`config.log' for more details" "$LINENO" 5; }
   else
     ac_cv_sizeof_int16_t=0
   fi
fi

fi
{ $as_echo "$as_me:${as_lineno-$LINENO}: result: $ac_cv_sizeof_int16_t" >&5
    colorize_result "$ac_cv_sizeof_int16_t" ; }



cat >>confdefs.h <<_ACEOF
#define SIZEOF_INT16_T $ac_cv_sizeof_int16_t
_ACEOF


    else
	cat >>confdefs.h <<_ACEOF
#define int16_t $rb_cv_type_int16_t
_ACEOF

	cat >>confdefs.h <<_ACEOF
#define SIZEOF_INT16_T SIZEOF_`$as_echo "$rb_defint_type" | $as_tr_cpp`
_ACEOF

    fi
    test -n "$rb_defint_cond" && echo "#endif /* $rb_defint_cond */" >> confdefs.h
fi

{ $as_echo "$as_me:${as_lineno-$LINENO}: checking for uint16_t" >&5
$as_echo_n "checking for uint16_t... " >&6; }
if ${rb_cv_type_uint16_t+:} false; then :
  $as_echo_n "(cached) " >&6
else
  cat confdefs.h - <<_ACEOF >conftest.$ac_ext
/* end confdefs.h.  */
$ac_includes_default
typedef uint16_t t; int s = sizeof(t) == 42;
int
main ()
{

  ;
  return 0;
}
_ACEOF
if ac_fn_c_try_compile "$LINENO"; then :
  rb_cv_type_uint16_t=yes
else
  case 2 in #(
  "1") :
     rb_cv_type_uint16_t="unsigned char" ;; #(
  "$ac_cv_sizeof_short") :
     rb_cv_type_uint16_t="unsigned short" ;; #(
  "$ac_cv_sizeof_int") :
     rb_cv_type_uint16_t="unsigned int" ;; #(
  "$ac_cv_sizeof_long") :
     rb_cv_type_uint16_t="unsigned long" ;; #(
  "$ac_cv_sizeof_long_long") :
     rb_cv_type_uint16_t="unsigned long long" ;; #(
  "${ac_cv_sizeof___int64#*:}") :
     rb_cv_type_uint16_t="unsigned __int64" ;; #(
  "${ac_cv_sizeof___int128#*:}") :
     rb_cv_type_uint16_t="unsigned __int128" ;; #(
  *) :
     rb_cv_type_uint16_t=no ;;
esac
fi
rm -f core conftest.err conftest.$ac_objext conftest.$ac_ext
fi
{ $as_echo "$as_me:${as_lineno-$LINENO}: result: $rb_cv_type_uint16_t" >&5
    colorize_result "$rb_cv_type_uint16_t" ; }
if test "${rb_cv_type_uint16_t}" != no; then
    rb_defint_type="${rb_cv_type_uint16_t##unsigned }"
    if test "$rb_defint_type" != yes && eval 'test -n "${ac_cv_sizeof_'$rb_defint_type'+set}"'; then :

	eval rb_defint_cond='"${ac_cv_sizeof_'$rb_defint_type'}"'
	case $rb_defint_cond in #(
  *:*) :

	    rb_defint_cond=`$as_echo "$rb_defint_type" | $as_tr_cpp`
	    echo "#if defined SIZEOF_"$rb_defint_cond" && SIZEOF_"$rb_defint_cond" > 0" >> confdefs.h
	 ;; #(
  *) :
    rb_defint_cond= ;;
esac

else
  rb_defint_cond=
fi
    $as_echo "#define HAVE_UINT16_T 1" >>confdefs.h

    if test "${rb_cv_type_uint16_t}" = yes; then
	# The cast to long int works around a bug in the HP C Compiler
# version HP92453-01 B.11.11.23709.GP, which incorrectly rejects
# declarations like `int a3[[(sizeof (unsigned char)) >= 0]];'.
# This bug is HP SR number 8606223364.
{ $as_echo "$as_me:${as_lineno-$LINENO}: checking size of uint16_t" >&5
$as_echo_n "checking size of uint16_t... " >&6; }
if ${ac_cv_sizeof_uint16_t+:} false; then :
  $as_echo_n "(cached) " >&6
else
  if ac_fn_c_compute_int "$LINENO" "(long int) (sizeof (uint16_t))" "ac_cv_sizeof_uint16_t"        "$ac_includes_default
"; then :

else
  if test "$ac_cv_type_uint16_t" = yes; then
     { { $as_echo "$as_me:${as_lineno-$LINENO}: error: in \`$ac_pwd':" >&5
$as_echo "$as_me: error: in \`$ac_pwd':" >&2;}
as_fn_error 77 "cannot compute sizeof (uint16_t)
See \`config.log' for more details" "$LINENO" 5; }
   else
     ac_cv_sizeof_uint16_t=0
   fi
fi

fi
{ $as_echo "$as_me:${as_lineno-$LINENO}: result: $ac_cv_sizeof_uint16_t" >&5
    colorize_result "$ac_cv_sizeof_uint16_t" ; }



cat >>confdefs.h <<_ACEOF
#define SIZEOF_UINT16_T $ac_cv_sizeof_uint16_t
_ACEOF


    else
	cat >>confdefs.h <<_ACEOF
#define uint16_t $rb_cv_type_uint16_t
_ACEOF

	cat >>confdefs.h <<_ACEOF
#define SIZEOF_UINT16_T SIZEOF_`$as_echo "$rb_defint_type" | $as_tr_cpp`
_ACEOF

    fi
    test -n "$rb_defint_cond" && echo "#endif /* $rb_defint_cond */" >> confdefs.h
fi

{ $as_echo "$as_me:${as_lineno-$LINENO}: checking for int32_t" >&5
$as_echo_n "checking for int32_t... " >&6; }
if ${rb_cv_type_int32_t+:} false; then :
  $as_echo_n "(cached) " >&6
else
  cat confdefs.h - <<_ACEOF >conftest.$ac_ext
/* end confdefs.h.  */
$ac_includes_default
typedef int32_t t; int s = sizeof(t) == 42;
int
main ()
{

  ;
  return 0;
}
_ACEOF
if ac_fn_c_try_compile "$LINENO"; then :
  rb_cv_type_int32_t=yes
else
  case 4 in #(
  "1") :
     rb_cv_type_int32_t="signed char" ;; #(
  "$ac_cv_sizeof_short") :
     rb_cv_type_int32_t="short" ;; #(
  "$ac_cv_sizeof_int") :
     rb_cv_type_int32_t="int" ;; #(
  "$ac_cv_sizeof_long") :
     rb_cv_type_int32_t="long" ;; #(
  "$ac_cv_sizeof_long_long") :
     rb_cv_type_int32_t="long long" ;; #(
  "${ac_cv_sizeof___int64#*:}") :
     rb_cv_type_int32_t="__int64" ;; #(
  "${ac_cv_sizeof___int128#*:}") :
     rb_cv_type_int32_t="__int128" ;; #(
  *) :
     rb_cv_type_int32_t=no ;;
esac
fi
rm -f core conftest.err conftest.$ac_objext conftest.$ac_ext
fi
{ $as_echo "$as_me:${as_lineno-$LINENO}: result: $rb_cv_type_int32_t" >&5
    colorize_result "$rb_cv_type_int32_t" ; }
if test "${rb_cv_type_int32_t}" != no; then
    rb_defint_type="${rb_cv_type_int32_t##unsigned }"
    if test "$rb_defint_type" != yes && eval 'test -n "${ac_cv_sizeof_'$rb_defint_type'+set}"'; then :

	eval rb_defint_cond='"${ac_cv_sizeof_'$rb_defint_type'}"'
	case $rb_defint_cond in #(
  *:*) :

	    rb_defint_cond=`$as_echo "$rb_defint_type" | $as_tr_cpp`
	    echo "#if defined SIZEOF_"$rb_defint_cond" && SIZEOF_"$rb_defint_cond" > 0" >> confdefs.h
	 ;; #(
  *) :
    rb_defint_cond= ;;
esac

else
  rb_defint_cond=
fi
    $as_echo "#define HAVE_INT32_T 1" >>confdefs.h

    if test "${rb_cv_type_int32_t}" = yes; then
	# The cast to long int works around a bug in the HP C Compiler
# version HP92453-01 B.11.11.23709.GP, which incorrectly rejects
# declarations like `int a3[[(sizeof (unsigned char)) >= 0]];'.
# This bug is HP SR number 8606223364.
{ $as_echo "$as_me:${as_lineno-$LINENO}: checking size of int32_t" >&5
$as_echo_n "checking size of int32_t... " >&6; }
if ${ac_cv_sizeof_int32_t+:} false; then :
  $as_echo_n "(cached) " >&6
else
  if ac_fn_c_compute_int "$LINENO" "(long int) (sizeof (int32_t))" "ac_cv_sizeof_int32_t"        "$ac_includes_default
"; then :

else
  if test "$ac_cv_type_int32_t" = yes; then
     { { $as_echo "$as_me:${as_lineno-$LINENO}: error: in \`$ac_pwd':" >&5
$as_echo "$as_me: error: in \`$ac_pwd':" >&2;}
as_fn_error 77 "cannot compute sizeof (int32_t)
See \`config.log' for more details" "$LINENO" 5; }
   else
     ac_cv_sizeof_int32_t=0
   fi
fi

fi
{ $as_echo "$as_me:${as_lineno-$LINENO}: result: $ac_cv_sizeof_int32_t" >&5
    colorize_result "$ac_cv_sizeof_int32_t" ; }



cat >>confdefs.h <<_ACEOF
#define SIZEOF_INT32_T $ac_cv_sizeof_int32_t
_ACEOF


    else
	cat >>confdefs.h <<_ACEOF
#define int32_t $rb_cv_type_int32_t
_ACEOF

	cat >>confdefs.h <<_ACEOF
#define SIZEOF_INT32_T SIZEOF_`$as_echo "$rb_defint_type" | $as_tr_cpp`
_ACEOF

    fi
    test -n "$rb_defint_cond" && echo "#endif /* $rb_defint_cond */" >> confdefs.h
fi

{ $as_echo "$as_me:${as_lineno-$LINENO}: checking for uint32_t" >&5
$as_echo_n "checking for uint32_t... " >&6; }
if ${rb_cv_type_uint32_t+:} false; then :
  $as_echo_n "(cached) " >&6
else
  cat confdefs.h - <<_ACEOF >conftest.$ac_ext
/* end confdefs.h.  */
$ac_includes_default
typedef uint32_t t; int s = sizeof(t) == 42;
int
main ()
{

  ;
  return 0;
}
_ACEOF
if ac_fn_c_try_compile "$LINENO"; then :
  rb_cv_type_uint32_t=yes
else
  case 4 in #(
  "1") :
     rb_cv_type_uint32_t="unsigned char" ;; #(
  "$ac_cv_sizeof_short") :
     rb_cv_type_uint32_t="unsigned short" ;; #(
  "$ac_cv_sizeof_int") :
     rb_cv_type_uint32_t="unsigned int" ;; #(
  "$ac_cv_sizeof_long") :
     rb_cv_type_uint32_t="unsigned long" ;; #(
  "$ac_cv_sizeof_long_long") :
     rb_cv_type_uint32_t="unsigned long long" ;; #(
  "${ac_cv_sizeof___int64#*:}") :
     rb_cv_type_uint32_t="unsigned __int64" ;; #(
  "${ac_cv_sizeof___int128#*:}") :
     rb_cv_type_uint32_t="unsigned __int128" ;; #(
  *) :
     rb_cv_type_uint32_t=no ;;
esac
fi
rm -f core conftest.err conftest.$ac_objext conftest.$ac_ext
fi
{ $as_echo "$as_me:${as_lineno-$LINENO}: result: $rb_cv_type_uint32_t" >&5
    colorize_result "$rb_cv_type_uint32_t" ; }
if test "${rb_cv_type_uint32_t}" != no; then
    rb_defint_type="${rb_cv_type_uint32_t##unsigned }"
    if test "$rb_defint_type" != yes && eval 'test -n "${ac_cv_sizeof_'$rb_defint_type'+set}"'; then :

	eval rb_defint_cond='"${ac_cv_sizeof_'$rb_defint_type'}"'
	case $rb_defint_cond in #(
  *:*) :

	    rb_defint_cond=`$as_echo "$rb_defint_type" | $as_tr_cpp`
	    echo "#if defined SIZEOF_"$rb_defint_cond" && SIZEOF_"$rb_defint_cond" > 0" >> confdefs.h
	 ;; #(
  *) :
    rb_defint_cond= ;;
esac

else
  rb_defint_cond=
fi
    $as_echo "#define HAVE_UINT32_T 1" >>confdefs.h

    if test "${rb_cv_type_uint32_t}" = yes; then
	# The cast to long int works around a bug in the HP C Compiler
# version HP92453-01 B.11.11.23709.GP, which incorrectly rejects
# declarations like `int a3[[(sizeof (unsigned char)) >= 0]];'.
# This bug is HP SR number 8606223364.
{ $as_echo "$as_me:${as_lineno-$LINENO}: checking size of uint32_t" >&5
$as_echo_n "checking size of uint32_t... " >&6; }
if ${ac_cv_sizeof_uint32_t+:} false; then :
  $as_echo_n "(cached) " >&6
else
  if ac_fn_c_compute_int "$LINENO" "(long int) (sizeof (uint32_t))" "ac_cv_sizeof_uint32_t"        "$ac_includes_default
"; then :

else
  if test "$ac_cv_type_uint32_t" = yes; then
     { { $as_echo "$as_me:${as_lineno-$LINENO}: error: in \`$ac_pwd':" >&5
$as_echo "$as_me: error: in \`$ac_pwd':" >&2;}
as_fn_error 77 "cannot compute sizeof (uint32_t)
See \`config.log' for more details" "$LINENO" 5; }
   else
     ac_cv_sizeof_uint32_t=0
   fi
fi

fi
{ $as_echo "$as_me:${as_lineno-$LINENO}: result: $ac_cv_sizeof_uint32_t" >&5
    colorize_result "$ac_cv_sizeof_uint32_t" ; }



cat >>confdefs.h <<_ACEOF
#define SIZEOF_UINT32_T $ac_cv_sizeof_uint32_t
_ACEOF


    else
	cat >>confdefs.h <<_ACEOF
#define uint32_t $rb_cv_type_uint32_t
_ACEOF

	cat >>confdefs.h <<_ACEOF
#define SIZEOF_UINT32_T SIZEOF_`$as_echo "$rb_defint_type" | $as_tr_cpp`
_ACEOF

    fi
    test -n "$rb_defint_cond" && echo "#endif /* $rb_defint_cond */" >> confdefs.h
fi

{ $as_echo "$as_me:${as_lineno-$LINENO}: checking for int64_t" >&5
$as_echo_n "checking for int64_t... " >&6; }
if ${rb_cv_type_int64_t+:} false; then :
  $as_echo_n "(cached) " >&6
else
  cat confdefs.h - <<_ACEOF >conftest.$ac_ext
/* end confdefs.h.  */
$ac_includes_default
typedef int64_t t; int s = sizeof(t) == 42;
int
main ()
{

  ;
  return 0;
}
_ACEOF
if ac_fn_c_try_compile "$LINENO"; then :
  rb_cv_type_int64_t=yes
else
  case 8 in #(
  "1") :
     rb_cv_type_int64_t="signed char" ;; #(
  "$ac_cv_sizeof_short") :
     rb_cv_type_int64_t="short" ;; #(
  "$ac_cv_sizeof_int") :
     rb_cv_type_int64_t="int" ;; #(
  "$ac_cv_sizeof_long") :
     rb_cv_type_int64_t="long" ;; #(
  "$ac_cv_sizeof_long_long") :
     rb_cv_type_int64_t="long long" ;; #(
  "${ac_cv_sizeof___int64#*:}") :
     rb_cv_type_int64_t="__int64" ;; #(
  "${ac_cv_sizeof___int128#*:}") :
     rb_cv_type_int64_t="__int128" ;; #(
  *) :
     rb_cv_type_int64_t=no ;;
esac
fi
rm -f core conftest.err conftest.$ac_objext conftest.$ac_ext
fi
{ $as_echo "$as_me:${as_lineno-$LINENO}: result: $rb_cv_type_int64_t" >&5
    colorize_result "$rb_cv_type_int64_t" ; }
if test "${rb_cv_type_int64_t}" != no; then
    rb_defint_type="${rb_cv_type_int64_t##unsigned }"
    if test "$rb_defint_type" != yes && eval 'test -n "${ac_cv_sizeof_'$rb_defint_type'+set}"'; then :

	eval rb_defint_cond='"${ac_cv_sizeof_'$rb_defint_type'}"'
	case $rb_defint_cond in #(
  *:*) :

	    rb_defint_cond=`$as_echo "$rb_defint_type" | $as_tr_cpp`
	    echo "#if defined SIZEOF_"$rb_defint_cond" && SIZEOF_"$rb_defint_cond" > 0" >> confdefs.h
	 ;; #(
  *) :
    rb_defint_cond= ;;
esac

else
  rb_defint_cond=
fi
    $as_echo "#define HAVE_INT64_T 1" >>confdefs.h

    if test "${rb_cv_type_int64_t}" = yes; then
	# The cast to long int works around a bug in the HP C Compiler
# version HP92453-01 B.11.11.23709.GP, which incorrectly rejects
# declarations like `int a3[[(sizeof (unsigned char)) >= 0]];'.
# This bug is HP SR number 8606223364.
{ $as_echo "$as_me:${as_lineno-$LINENO}: checking size of int64_t" >&5
$as_echo_n "checking size of int64_t... " >&6; }
if ${ac_cv_sizeof_int64_t+:} false; then :
  $as_echo_n "(cached) " >&6
else
  if ac_fn_c_compute_int "$LINENO" "(long int) (sizeof (int64_t))" "ac_cv_sizeof_int64_t"        "$ac_includes_default
"; then :

else
  if test "$ac_cv_type_int64_t" = yes; then
     { { $as_echo "$as_me:${as_lineno-$LINENO}: error: in \`$ac_pwd':" >&5
$as_echo "$as_me: error: in \`$ac_pwd':" >&2;}
as_fn_error 77 "cannot compute sizeof (int64_t)
See \`config.log' for more details" "$LINENO" 5; }
   else
     ac_cv_sizeof_int64_t=0
   fi
fi

fi
{ $as_echo "$as_me:${as_lineno-$LINENO}: result: $ac_cv_sizeof_int64_t" >&5
    colorize_result "$ac_cv_sizeof_int64_t" ; }



cat >>confdefs.h <<_ACEOF
#define SIZEOF_INT64_T $ac_cv_sizeof_int64_t
_ACEOF


    else
	cat >>confdefs.h <<_ACEOF
#define int64_t $rb_cv_type_int64_t
_ACEOF

	cat >>confdefs.h <<_ACEOF
#define SIZEOF_INT64_T SIZEOF_`$as_echo "$rb_defint_type" | $as_tr_cpp`
_ACEOF

    fi
    test -n "$rb_defint_cond" && echo "#endif /* $rb_defint_cond */" >> confdefs.h
fi

{ $as_echo "$as_me:${as_lineno-$LINENO}: checking for uint64_t" >&5
$as_echo_n "checking for uint64_t... " >&6; }
if ${rb_cv_type_uint64_t+:} false; then :
  $as_echo_n "(cached) " >&6
else
  cat confdefs.h - <<_ACEOF >conftest.$ac_ext
/* end confdefs.h.  */
$ac_includes_default
typedef uint64_t t; int s = sizeof(t) == 42;
int
main ()
{

  ;
  return 0;
}
_ACEOF
if ac_fn_c_try_compile "$LINENO"; then :
  rb_cv_type_uint64_t=yes
else
  case 8 in #(
  "1") :
     rb_cv_type_uint64_t="unsigned char" ;; #(
  "$ac_cv_sizeof_short") :
     rb_cv_type_uint64_t="unsigned short" ;; #(
  "$ac_cv_sizeof_int") :
     rb_cv_type_uint64_t="unsigned int" ;; #(
  "$ac_cv_sizeof_long") :
     rb_cv_type_uint64_t="unsigned long" ;; #(
  "$ac_cv_sizeof_long_long") :
     rb_cv_type_uint64_t="unsigned long long" ;; #(
  "${ac_cv_sizeof___int64#*:}") :
     rb_cv_type_uint64_t="unsigned __int64" ;; #(
  "${ac_cv_sizeof___int128#*:}") :
     rb_cv_type_uint64_t="unsigned __int128" ;; #(
  *) :
     rb_cv_type_uint64_t=no ;;
esac
fi
rm -f core conftest.err conftest.$ac_objext conftest.$ac_ext
fi
{ $as_echo "$as_me:${as_lineno-$LINENO}: result: $rb_cv_type_uint64_t" >&5
    colorize_result "$rb_cv_type_uint64_t" ; }
if test "${rb_cv_type_uint64_t}" != no; then
    rb_defint_type="${rb_cv_type_uint64_t##unsigned }"
    if test "$rb_defint_type" != yes && eval 'test -n "${ac_cv_sizeof_'$rb_defint_type'+set}"'; then :

	eval rb_defint_cond='"${ac_cv_sizeof_'$rb_defint_type'}"'
	case $rb_defint_cond in #(
  *:*) :

	    rb_defint_cond=`$as_echo "$rb_defint_type" | $as_tr_cpp`
	    echo "#if defined SIZEOF_"$rb_defint_cond" && SIZEOF_"$rb_defint_cond" > 0" >> confdefs.h
	 ;; #(
  *) :
    rb_defint_cond= ;;
esac

else
  rb_defint_cond=
fi
    $as_echo "#define HAVE_UINT64_T 1" >>confdefs.h

    if test "${rb_cv_type_uint64_t}" = yes; then
	# The cast to long int works around a bug in the HP C Compiler
# version HP92453-01 B.11.11.23709.GP, which incorrectly rejects
# declarations like `int a3[[(sizeof (unsigned char)) >= 0]];'.
# This bug is HP SR number 8606223364.
{ $as_echo "$as_me:${as_lineno-$LINENO}: checking size of uint64_t" >&5
$as_echo_n "checking size of uint64_t... " >&6; }
if ${ac_cv_sizeof_uint64_t+:} false; then :
  $as_echo_n "(cached) " >&6
else
  if ac_fn_c_compute_int "$LINENO" "(long int) (sizeof (uint64_t))" "ac_cv_sizeof_uint64_t"        "$ac_includes_default
"; then :

else
  if test "$ac_cv_type_uint64_t" = yes; then
     { { $as_echo "$as_me:${as_lineno-$LINENO}: error: in \`$ac_pwd':" >&5
$as_echo "$as_me: error: in \`$ac_pwd':" >&2;}
as_fn_error 77 "cannot compute sizeof (uint64_t)
See \`config.log' for more details" "$LINENO" 5; }
   else
     ac_cv_sizeof_uint64_t=0
   fi
fi

fi
{ $as_echo "$as_me:${as_lineno-$LINENO}: result: $ac_cv_sizeof_uint64_t" >&5
    colorize_result "$ac_cv_sizeof_uint64_t" ; }



cat >>confdefs.h <<_ACEOF
#define SIZEOF_UINT64_T $ac_cv_sizeof_uint64_t
_ACEOF


    else
	cat >>confdefs.h <<_ACEOF
#define uint64_t $rb_cv_type_uint64_t
_ACEOF

	cat >>confdefs.h <<_ACEOF
#define SIZEOF_UINT64_T SIZEOF_`$as_echo "$rb_defint_type" | $as_tr_cpp`
_ACEOF

    fi
    test -n "$rb_defint_cond" && echo "#endif /* $rb_defint_cond */" >> confdefs.h
fi

{ $as_echo "$as_me:${as_lineno-$LINENO}: checking for int128_t" >&5
$as_echo_n "checking for int128_t... " >&6; }
if ${rb_cv_type_int128_t+:} false; then :
  $as_echo_n "(cached) " >&6
else
  cat confdefs.h - <<_ACEOF >conftest.$ac_ext
/* end confdefs.h.  */
$ac_includes_default
typedef int128_t t; int s = sizeof(t) == 42;
int
main ()
{

  ;
  return 0;
}
_ACEOF
if ac_fn_c_try_compile "$LINENO"; then :
  rb_cv_type_int128_t=yes
else
  case 16 in #(
  "1") :
     rb_cv_type_int128_t="signed char" ;; #(
  "$ac_cv_sizeof_short") :
     rb_cv_type_int128_t="short" ;; #(
  "$ac_cv_sizeof_int") :
     rb_cv_type_int128_t="int" ;; #(
  "$ac_cv_sizeof_long") :
     rb_cv_type_int128_t="long" ;; #(
  "$ac_cv_sizeof_long_long") :
     rb_cv_type_int128_t="long long" ;; #(
  "${ac_cv_sizeof___int64#*:}") :
     rb_cv_type_int128_t="__int64" ;; #(
  "${ac_cv_sizeof___int128#*:}") :
     rb_cv_type_int128_t="__int128" ;; #(
  *) :
     rb_cv_type_int128_t=no ;;
esac
fi
rm -f core conftest.err conftest.$ac_objext conftest.$ac_ext
fi
{ $as_echo "$as_me:${as_lineno-$LINENO}: result: $rb_cv_type_int128_t" >&5
    colorize_result "$rb_cv_type_int128_t" ; }
if test "${rb_cv_type_int128_t}" != no; then
    rb_defint_type="${rb_cv_type_int128_t##unsigned }"
    if test "$rb_defint_type" != yes && eval 'test -n "${ac_cv_sizeof_'$rb_defint_type'+set}"'; then :

	eval rb_defint_cond='"${ac_cv_sizeof_'$rb_defint_type'}"'
	case $rb_defint_cond in #(
  *:*) :

	    rb_defint_cond=`$as_echo "$rb_defint_type" | $as_tr_cpp`
	    echo "#if defined SIZEOF_"$rb_defint_cond" && SIZEOF_"$rb_defint_cond" > 0" >> confdefs.h
	 ;; #(
  *) :
    rb_defint_cond= ;;
esac

else
  rb_defint_cond=
fi
    $as_echo "#define HAVE_INT128_T 1" >>confdefs.h

    if test "${rb_cv_type_int128_t}" = yes; then
	# The cast to long int works around a bug in the HP C Compiler
# version HP92453-01 B.11.11.23709.GP, which incorrectly rejects
# declarations like `int a3[[(sizeof (unsigned char)) >= 0]];'.
# This bug is HP SR number 8606223364.
{ $as_echo "$as_me:${as_lineno-$LINENO}: checking size of int128_t" >&5
$as_echo_n "checking size of int128_t... " >&6; }
if ${ac_cv_sizeof_int128_t+:} false; then :
  $as_echo_n "(cached) " >&6
else
  if ac_fn_c_compute_int "$LINENO" "(long int) (sizeof (int128_t))" "ac_cv_sizeof_int128_t"        "$ac_includes_default
"; then :

else
  if test "$ac_cv_type_int128_t" = yes; then
     { { $as_echo "$as_me:${as_lineno-$LINENO}: error: in \`$ac_pwd':" >&5
$as_echo "$as_me: error: in \`$ac_pwd':" >&2;}
as_fn_error 77 "cannot compute sizeof (int128_t)
See \`config.log' for more details" "$LINENO" 5; }
   else
     ac_cv_sizeof_int128_t=0
   fi
fi

fi
{ $as_echo "$as_me:${as_lineno-$LINENO}: result: $ac_cv_sizeof_int128_t" >&5
    colorize_result "$ac_cv_sizeof_int128_t" ; }



cat >>confdefs.h <<_ACEOF
#define SIZEOF_INT128_T $ac_cv_sizeof_int128_t
_ACEOF


    else
	cat >>confdefs.h <<_ACEOF
#define int128_t $rb_cv_type_int128_t
_ACEOF

	cat >>confdefs.h <<_ACEOF
#define SIZEOF_INT128_T SIZEOF_`$as_echo "$rb_defint_type" | $as_tr_cpp`
_ACEOF

    fi
    test -n "$rb_defint_cond" && echo "#endif /* $rb_defint_cond */" >> confdefs.h
fi

{ $as_echo "$as_me:${as_lineno-$LINENO}: checking for uint128_t" >&5
$as_echo_n "checking for uint128_t... " >&6; }
if ${rb_cv_type_uint128_t+:} false; then :
  $as_echo_n "(cached) " >&6
else
  cat confdefs.h - <<_ACEOF >conftest.$ac_ext
/* end confdefs.h.  */
$ac_includes_default
typedef uint128_t t; int s = sizeof(t) == 42;
int
main ()
{

  ;
  return 0;
}
_ACEOF
if ac_fn_c_try_compile "$LINENO"; then :
  rb_cv_type_uint128_t=yes
else
  case 16 in #(
  "1") :
     rb_cv_type_uint128_t="unsigned char" ;; #(
  "$ac_cv_sizeof_short") :
     rb_cv_type_uint128_t="unsigned short" ;; #(
  "$ac_cv_sizeof_int") :
     rb_cv_type_uint128_t="unsigned int" ;; #(
  "$ac_cv_sizeof_long") :
     rb_cv_type_uint128_t="unsigned long" ;; #(
  "$ac_cv_sizeof_long_long") :
     rb_cv_type_uint128_t="unsigned long long" ;; #(
  "${ac_cv_sizeof___int64#*:}") :
     rb_cv_type_uint128_t="unsigned __int64" ;; #(
  "${ac_cv_sizeof___int128#*:}") :
     rb_cv_type_uint128_t="unsigned __int128" ;; #(
  *) :
     rb_cv_type_uint128_t=no ;;
esac
fi
rm -f core conftest.err conftest.$ac_objext conftest.$ac_ext
fi
{ $as_echo "$as_me:${as_lineno-$LINENO}: result: $rb_cv_type_uint128_t" >&5
    colorize_result "$rb_cv_type_uint128_t" ; }
if test "${rb_cv_type_uint128_t}" != no; then
    rb_defint_type="${rb_cv_type_uint128_t##unsigned }"
    if test "$rb_defint_type" != yes && eval 'test -n "${ac_cv_sizeof_'$rb_defint_type'+set}"'; then :

	eval rb_defint_cond='"${ac_cv_sizeof_'$rb_defint_type'}"'
	case $rb_defint_cond in #(
  *:*) :

	    rb_defint_cond=`$as_echo "$rb_defint_type" | $as_tr_cpp`
	    echo "#if defined SIZEOF_"$rb_defint_cond" && SIZEOF_"$rb_defint_cond" > 0" >> confdefs.h
	 ;; #(
  *) :
    rb_defint_cond= ;;
esac

else
  rb_defint_cond=
fi
    $as_echo "#define HAVE_UINT128_T 1" >>confdefs.h

    if test "${rb_cv_type_uint128_t}" = yes; then
	# The cast to long int works around a bug in the HP C Compiler
# version HP92453-01 B.11.11.23709.GP, which incorrectly rejects
# declarations like `int a3[[(sizeof (unsigned char)) >= 0]];'.
# This bug is HP SR number 8606223364.
{ $as_echo "$as_me:${as_lineno-$LINENO}: checking size of uint128_t" >&5
$as_echo_n "checking size of uint128_t... " >&6; }
if ${ac_cv_sizeof_uint128_t+:} false; then :
  $as_echo_n "(cached) " >&6
else
  if ac_fn_c_compute_int "$LINENO" "(long int) (sizeof (uint128_t))" "ac_cv_sizeof_uint128_t"        "$ac_includes_default
"; then :

else
  if test "$ac_cv_type_uint128_t" = yes; then
     { { $as_echo "$as_me:${as_lineno-$LINENO}: error: in \`$ac_pwd':" >&5
$as_echo "$as_me: error: in \`$ac_pwd':" >&2;}
as_fn_error 77 "cannot compute sizeof (uint128_t)
See \`config.log' for more details" "$LINENO" 5; }
   else
     ac_cv_sizeof_uint128_t=0
   fi
fi

fi
{ $as_echo "$as_me:${as_lineno-$LINENO}: result: $ac_cv_sizeof_uint128_t" >&5
    colorize_result "$ac_cv_sizeof_uint128_t" ; }



cat >>confdefs.h <<_ACEOF
#define SIZEOF_UINT128_T $ac_cv_sizeof_uint128_t
_ACEOF


    else
	cat >>confdefs.h <<_ACEOF
#define uint128_t $rb_cv_type_uint128_t
_ACEOF

	cat >>confdefs.h <<_ACEOF
#define SIZEOF_UINT128_T SIZEOF_`$as_echo "$rb_defint_type" | $as_tr_cpp`
_ACEOF

    fi
    test -n "$rb_defint_cond" && echo "#endif /* $rb_defint_cond */" >> confdefs.h
fi

{ $as_echo "$as_me:${as_lineno-$LINENO}: checking for intptr_t" >&5
$as_echo_n "checking for intptr_t... " >&6; }
if ${rb_cv_type_intptr_t+:} false; then :
  $as_echo_n "(cached) " >&6
else
  cat confdefs.h - <<_ACEOF >conftest.$ac_ext
/* end confdefs.h.  */
$ac_includes_default
typedef intptr_t t; int s = sizeof(t) == 42;
int
main ()
{

  ;
  return 0;
}
_ACEOF
if ac_fn_c_try_compile "$LINENO"; then :
  rb_cv_type_intptr_t=yes
else
  case $ac_cv_sizeof_voidp in #(
  "1") :
     rb_cv_type_intptr_t="signed char" ;; #(
  "$ac_cv_sizeof_short") :
     rb_cv_type_intptr_t="short" ;; #(
  "$ac_cv_sizeof_int") :
     rb_cv_type_intptr_t="int" ;; #(
  "$ac_cv_sizeof_long") :
     rb_cv_type_intptr_t="long" ;; #(
  "$ac_cv_sizeof_long_long") :
     rb_cv_type_intptr_t="long long" ;; #(
  "${ac_cv_sizeof___int64#*:}") :
     rb_cv_type_intptr_t="__int64" ;; #(
  "${ac_cv_sizeof___int128#*:}") :
     rb_cv_type_intptr_t="__int128" ;; #(
  *) :
     rb_cv_type_intptr_t=no ;;
esac
fi
rm -f core conftest.err conftest.$ac_objext conftest.$ac_ext
fi
{ $as_echo "$as_me:${as_lineno-$LINENO}: result: $rb_cv_type_intptr_t" >&5
    colorize_result "$rb_cv_type_intptr_t" ; }
if test "${rb_cv_type_intptr_t}" != no; then
    rb_defint_type="${rb_cv_type_intptr_t##unsigned }"
    if test "$rb_defint_type" != yes && eval 'test -n "${ac_cv_sizeof_'$rb_defint_type'+set}"'; then :

	eval rb_defint_cond='"${ac_cv_sizeof_'$rb_defint_type'}"'
	case $rb_defint_cond in #(
  *:*) :

	    rb_defint_cond=`$as_echo "$rb_defint_type" | $as_tr_cpp`
	    echo "#if defined SIZEOF_"$rb_defint_cond" && SIZEOF_"$rb_defint_cond" > 0" >> confdefs.h
	 ;; #(
  *) :
    rb_defint_cond= ;;
esac

else
  rb_defint_cond=
fi
    $as_echo "#define HAVE_INTPTR_T 1" >>confdefs.h

    if test "${rb_cv_type_intptr_t}" = yes; then

if test "$universal_binary" = yes; then
{ $as_echo "$as_me:${as_lineno-$LINENO}: checking size of intptr_t" >&5
$as_echo_n "checking size of intptr_t... " >&6; }
if ${ac_cv_sizeof_intptr_t+:} false; then :
  $as_echo_n "(cached) " >&6
else

    unset ac_cv_sizeof_intptr_t
    rbcv_sizeof_var="
typedef intptr_t ac__type_sizeof_;
static ac__type_sizeof_ *rbcv_ptr;
#define SIZEOF_INTPTR_T sizeof((*rbcv_ptr))
"
    test -z "${ac_cv_sizeof_intptr_t+set}" && {
    for rbcv_sizeof_type in void*; do
	cat confdefs.h - <<_ACEOF >conftest.$ac_ext
/* end confdefs.h.  */
$ac_includes_default
		$rbcv_sizeof_var

int
main ()
{
static int test_array [1 - 2 * !(SIZEOF_INTPTR_T == sizeof($rbcv_sizeof_type))];
test_array [0] = 0;
return test_array [0];

  ;
  return 0;
}
_ACEOF
if ac_fn_c_try_compile "$LINENO"; then :

		ac_cv_sizeof_intptr_t=`$as_echo "SIZEOF_$rbcv_sizeof_type" | $as_tr_cpp`
		break
fi
rm -f core conftest.err conftest.$ac_objext conftest.$ac_ext
    done
    }
    unset rbcv_sizeof_cond

    test "${ac_cv_sizeof_intptr_t#[1-9]}" = "${ac_cv_sizeof_intptr_t}" &&
    test "${ac_cv_sizeof_intptr_t#SIZEOF_}" = "${ac_cv_sizeof_intptr_t}" && {
    test "$universal_binary" = yes && cross_compiling=yes
    if ac_fn_c_compute_int "$LINENO" "SIZEOF_INTPTR_T" "rbcv_sizeof_type"        "$ac_includes_default

${rbcv_sizeof_cond+$rbcv_sizeof_cond
#else}
$rbcv_sizeof_var
${rbcv_sizeof_cond+#endif}
#ifndef SIZEOF_INTPTR_T
#define SIZEOF_INTPTR_T 0
#endif"; then :

else
  rbcv_sizeof_type=0
fi

    test "$universal_binary" = yes && cross_compiling=$real_cross_compiling
    if test ${rbcv_sizeof_type-0} != 0; then
	ac_cv_sizeof_intptr_t="${ac_cv_sizeof_intptr_t+${ac_cv_sizeof_intptr_t-} }${rbcv_sizeof_type}"
    fi
    }
    : ${ac_cv_sizeof_intptr_t=0}

fi
{ $as_echo "$as_me:${as_lineno-$LINENO}: result: $ac_cv_sizeof_intptr_t" >&5
    colorize_result "$ac_cv_sizeof_intptr_t" ; }
{
    unset rbcv_sizeof_cond
    for rbcv_sizeof_type in ${ac_cv_sizeof_intptr_t-}; do
	case "$rbcv_sizeof_type" in #(
  [0-9]*|SIZEOF_*) :

	    ${rbcv_sizeof_cond+echo "#else"}
	    echo "#define SIZEOF_INTPTR_T $rbcv_sizeof_type"
	    break
	     ;; #(
  *) :

	    rbcv_sizeof_size=`expr $rbcv_sizeof_type : '.*[^0-9]\([0-9][0-9]*\)$'`
	    case $rbcv_sizeof_type in #(
  *:*) :
    rbcv_sizeof_type="${rbcv_sizeof_type%:*}" ;; #(
  *) :
    rbcv_sizeof_size=`expr $rbcv_sizeof_size / $rb_cv_char_bit` ;;
esac
	    echo "#${rbcv_sizeof_cond+el}if defined(__${rbcv_sizeof_type}__) || defined(__${rbcv_sizeof_type}) || defined(_${rbcv_sizeof_type}) || defined($rbcv_sizeof_type)"
	    echo "#define SIZEOF_INTPTR_T $rbcv_sizeof_size"
	    rbcv_sizeof_cond=1
	     ;;
esac
    done
    ${rbcv_sizeof_cond+echo "#endif"}
} >> confdefs.h
else
# The cast to long int works around a bug in the HP C Compiler
# version HP92453-01 B.11.11.23709.GP, which incorrectly rejects
# declarations like `int a3[[(sizeof (unsigned char)) >= 0]];'.
# This bug is HP SR number 8606223364.
{ $as_echo "$as_me:${as_lineno-$LINENO}: checking size of intptr_t" >&5
$as_echo_n "checking size of intptr_t... " >&6; }
if ${ac_cv_sizeof_intptr_t+:} false; then :
  $as_echo_n "(cached) " >&6
else
  if ac_fn_c_compute_int "$LINENO" "(long int) (sizeof (intptr_t))" "ac_cv_sizeof_intptr_t"        "$ac_includes_default
"; then :

else
  if test "$ac_cv_type_intptr_t" = yes; then
     { { $as_echo "$as_me:${as_lineno-$LINENO}: error: in \`$ac_pwd':" >&5
$as_echo "$as_me: error: in \`$ac_pwd':" >&2;}
as_fn_error 77 "cannot compute sizeof (intptr_t)
See \`config.log' for more details" "$LINENO" 5; }
   else
     ac_cv_sizeof_intptr_t=0
   fi
fi

fi
{ $as_echo "$as_me:${as_lineno-$LINENO}: result: $ac_cv_sizeof_intptr_t" >&5
    colorize_result "$ac_cv_sizeof_intptr_t" ; }



cat >>confdefs.h <<_ACEOF
#define SIZEOF_INTPTR_T $ac_cv_sizeof_intptr_t
_ACEOF


fi

    else
	cat >>confdefs.h <<_ACEOF
#define intptr_t $rb_cv_type_intptr_t
_ACEOF

	cat >>confdefs.h <<_ACEOF
#define SIZEOF_INTPTR_T SIZEOF_`$as_echo "$rb_defint_type" | $as_tr_cpp`
_ACEOF

    fi
    test -n "$rb_defint_cond" && echo "#endif /* $rb_defint_cond */" >> confdefs.h
fi

{ $as_echo "$as_me:${as_lineno-$LINENO}: checking for uintptr_t" >&5
$as_echo_n "checking for uintptr_t... " >&6; }
if ${rb_cv_type_uintptr_t+:} false; then :
  $as_echo_n "(cached) " >&6
else
  cat confdefs.h - <<_ACEOF >conftest.$ac_ext
/* end confdefs.h.  */
$ac_includes_default
typedef uintptr_t t; int s = sizeof(t) == 42;
int
main ()
{

  ;
  return 0;
}
_ACEOF
if ac_fn_c_try_compile "$LINENO"; then :
  rb_cv_type_uintptr_t=yes
else
  case $ac_cv_sizeof_voidp in #(
  "1") :
     rb_cv_type_uintptr_t="unsigned char" ;; #(
  "$ac_cv_sizeof_short") :
     rb_cv_type_uintptr_t="unsigned short" ;; #(
  "$ac_cv_sizeof_int") :
     rb_cv_type_uintptr_t="unsigned int" ;; #(
  "$ac_cv_sizeof_long") :
     rb_cv_type_uintptr_t="unsigned long" ;; #(
  "$ac_cv_sizeof_long_long") :
     rb_cv_type_uintptr_t="unsigned long long" ;; #(
  "${ac_cv_sizeof___int64#*:}") :
     rb_cv_type_uintptr_t="unsigned __int64" ;; #(
  "${ac_cv_sizeof___int128#*:}") :
     rb_cv_type_uintptr_t="unsigned __int128" ;; #(
  *) :
     rb_cv_type_uintptr_t=no ;;
esac
fi
rm -f core conftest.err conftest.$ac_objext conftest.$ac_ext
fi
{ $as_echo "$as_me:${as_lineno-$LINENO}: result: $rb_cv_type_uintptr_t" >&5
    colorize_result "$rb_cv_type_uintptr_t" ; }
if test "${rb_cv_type_uintptr_t}" != no; then
    rb_defint_type="${rb_cv_type_uintptr_t##unsigned }"
    if test "$rb_defint_type" != yes && eval 'test -n "${ac_cv_sizeof_'$rb_defint_type'+set}"'; then :

	eval rb_defint_cond='"${ac_cv_sizeof_'$rb_defint_type'}"'
	case $rb_defint_cond in #(
  *:*) :

	    rb_defint_cond=`$as_echo "$rb_defint_type" | $as_tr_cpp`
	    echo "#if defined SIZEOF_"$rb_defint_cond" && SIZEOF_"$rb_defint_cond" > 0" >> confdefs.h
	 ;; #(
  *) :
    rb_defint_cond= ;;
esac

else
  rb_defint_cond=
fi
    $as_echo "#define HAVE_UINTPTR_T 1" >>confdefs.h

    if test "${rb_cv_type_uintptr_t}" = yes; then

if test "$universal_binary" = yes; then
{ $as_echo "$as_me:${as_lineno-$LINENO}: checking size of uintptr_t" >&5
$as_echo_n "checking size of uintptr_t... " >&6; }
if ${ac_cv_sizeof_uintptr_t+:} false; then :
  $as_echo_n "(cached) " >&6
else

    unset ac_cv_sizeof_uintptr_t
    rbcv_sizeof_var="
typedef uintptr_t ac__type_sizeof_;
static ac__type_sizeof_ *rbcv_ptr;
#define SIZEOF_UINTPTR_T sizeof((*rbcv_ptr))
"
    test -z "${ac_cv_sizeof_uintptr_t+set}" && {
    for rbcv_sizeof_type in void*; do
	cat confdefs.h - <<_ACEOF >conftest.$ac_ext
/* end confdefs.h.  */
$ac_includes_default
		$rbcv_sizeof_var

int
main ()
{
static int test_array [1 - 2 * !(SIZEOF_UINTPTR_T == sizeof($rbcv_sizeof_type))];
test_array [0] = 0;
return test_array [0];

  ;
  return 0;
}
_ACEOF
if ac_fn_c_try_compile "$LINENO"; then :

		ac_cv_sizeof_uintptr_t=`$as_echo "SIZEOF_$rbcv_sizeof_type" | $as_tr_cpp`
		break
fi
rm -f core conftest.err conftest.$ac_objext conftest.$ac_ext
    done
    }
    unset rbcv_sizeof_cond

    test "${ac_cv_sizeof_uintptr_t#[1-9]}" = "${ac_cv_sizeof_uintptr_t}" &&
    test "${ac_cv_sizeof_uintptr_t#SIZEOF_}" = "${ac_cv_sizeof_uintptr_t}" && {
    test "$universal_binary" = yes && cross_compiling=yes
    if ac_fn_c_compute_int "$LINENO" "SIZEOF_UINTPTR_T" "rbcv_sizeof_type"        "$ac_includes_default

${rbcv_sizeof_cond+$rbcv_sizeof_cond
#else}
$rbcv_sizeof_var
${rbcv_sizeof_cond+#endif}
#ifndef SIZEOF_UINTPTR_T
#define SIZEOF_UINTPTR_T 0
#endif"; then :

else
  rbcv_sizeof_type=0
fi

    test "$universal_binary" = yes && cross_compiling=$real_cross_compiling
    if test ${rbcv_sizeof_type-0} != 0; then
	ac_cv_sizeof_uintptr_t="${ac_cv_sizeof_uintptr_t+${ac_cv_sizeof_uintptr_t-} }${rbcv_sizeof_type}"
    fi
    }
    : ${ac_cv_sizeof_uintptr_t=0}

fi
{ $as_echo "$as_me:${as_lineno-$LINENO}: result: $ac_cv_sizeof_uintptr_t" >&5
    colorize_result "$ac_cv_sizeof_uintptr_t" ; }
{
    unset rbcv_sizeof_cond
    for rbcv_sizeof_type in ${ac_cv_sizeof_uintptr_t-}; do
	case "$rbcv_sizeof_type" in #(
  [0-9]*|SIZEOF_*) :

	    ${rbcv_sizeof_cond+echo "#else"}
	    echo "#define SIZEOF_UINTPTR_T $rbcv_sizeof_type"
	    break
	     ;; #(
  *) :

	    rbcv_sizeof_size=`expr $rbcv_sizeof_type : '.*[^0-9]\([0-9][0-9]*\)$'`
	    case $rbcv_sizeof_type in #(
  *:*) :
    rbcv_sizeof_type="${rbcv_sizeof_type%:*}" ;; #(
  *) :
    rbcv_sizeof_size=`expr $rbcv_sizeof_size / $rb_cv_char_bit` ;;
esac
	    echo "#${rbcv_sizeof_cond+el}if defined(__${rbcv_sizeof_type}__) || defined(__${rbcv_sizeof_type}) || defined(_${rbcv_sizeof_type}) || defined($rbcv_sizeof_type)"
	    echo "#define SIZEOF_UINTPTR_T $rbcv_sizeof_size"
	    rbcv_sizeof_cond=1
	     ;;
esac
    done
    ${rbcv_sizeof_cond+echo "#endif"}
} >> confdefs.h
else
# The cast to long int works around a bug in the HP C Compiler
# version HP92453-01 B.11.11.23709.GP, which incorrectly rejects
# declarations like `int a3[[(sizeof (unsigned char)) >= 0]];'.
# This bug is HP SR number 8606223364.
{ $as_echo "$as_me:${as_lineno-$LINENO}: checking size of uintptr_t" >&5
$as_echo_n "checking size of uintptr_t... " >&6; }
if ${ac_cv_sizeof_uintptr_t+:} false; then :
  $as_echo_n "(cached) " >&6
else
  if ac_fn_c_compute_int "$LINENO" "(long int) (sizeof (uintptr_t))" "ac_cv_sizeof_uintptr_t"        "$ac_includes_default
"; then :

else
  if test "$ac_cv_type_uintptr_t" = yes; then
     { { $as_echo "$as_me:${as_lineno-$LINENO}: error: in \`$ac_pwd':" >&5
$as_echo "$as_me: error: in \`$ac_pwd':" >&2;}
as_fn_error 77 "cannot compute sizeof (uintptr_t)
See \`config.log' for more details" "$LINENO" 5; }
   else
     ac_cv_sizeof_uintptr_t=0
   fi
fi

fi
{ $as_echo "$as_me:${as_lineno-$LINENO}: result: $ac_cv_sizeof_uintptr_t" >&5
    colorize_result "$ac_cv_sizeof_uintptr_t" ; }



cat >>confdefs.h <<_ACEOF
#define SIZEOF_UINTPTR_T $ac_cv_sizeof_uintptr_t
_ACEOF


fi

    else
	cat >>confdefs.h <<_ACEOF
#define uintptr_t $rb_cv_type_uintptr_t
_ACEOF

	cat >>confdefs.h <<_ACEOF
#define SIZEOF_UINTPTR_T SIZEOF_`$as_echo "$rb_defint_type" | $as_tr_cpp`
_ACEOF

    fi
    test -n "$rb_defint_cond" && echo "#endif /* $rb_defint_cond */" >> confdefs.h
fi

{ $as_echo "$as_me:${as_lineno-$LINENO}: checking for ssize_t" >&5
$as_echo_n "checking for ssize_t... " >&6; }
if ${rb_cv_type_ssize_t+:} false; then :
  $as_echo_n "(cached) " >&6
else
  cat confdefs.h - <<_ACEOF >conftest.$ac_ext
/* end confdefs.h.  */
#include <sys/types.h>

typedef ssize_t t; int s = sizeof(t) == 42;
int
main ()
{

  ;
  return 0;
}
_ACEOF
if ac_fn_c_try_compile "$LINENO"; then :
  rb_cv_type_ssize_t=yes
else
  case $ac_cv_sizeof_size_t in #(
  "1") :
     rb_cv_type_ssize_t="signed char" ;; #(
  "$ac_cv_sizeof_short") :
     rb_cv_type_ssize_t="short" ;; #(
  "$ac_cv_sizeof_int") :
     rb_cv_type_ssize_t="int" ;; #(
  "$ac_cv_sizeof_long") :
     rb_cv_type_ssize_t="long" ;; #(
  "$ac_cv_sizeof_long_long") :
     rb_cv_type_ssize_t="long long" ;; #(
  "${ac_cv_sizeof___int64#*:}") :
     rb_cv_type_ssize_t="__int64" ;; #(
  "${ac_cv_sizeof___int128#*:}") :
     rb_cv_type_ssize_t="__int128" ;; #(
  *) :
     rb_cv_type_ssize_t=no ;;
esac
fi
rm -f core conftest.err conftest.$ac_objext conftest.$ac_ext
fi
{ $as_echo "$as_me:${as_lineno-$LINENO}: result: $rb_cv_type_ssize_t" >&5
    colorize_result "$rb_cv_type_ssize_t" ; }
if test "${rb_cv_type_ssize_t}" != no; then
    rb_defint_type="${rb_cv_type_ssize_t##unsigned }"
    if test "$rb_defint_type" != yes && eval 'test -n "${ac_cv_sizeof_'$rb_defint_type'+set}"'; then :

	eval rb_defint_cond='"${ac_cv_sizeof_'$rb_defint_type'}"'
	case $rb_defint_cond in #(
  *:*) :

	    rb_defint_cond=`$as_echo "$rb_defint_type" | $as_tr_cpp`
	    echo "#if defined SIZEOF_"$rb_defint_cond" && SIZEOF_"$rb_defint_cond" > 0" >> confdefs.h
	 ;; #(
  *) :
    rb_defint_cond= ;;
esac

else
  rb_defint_cond=
fi
    $as_echo "#define HAVE_SSIZE_T 1" >>confdefs.h

    if test "${rb_cv_type_ssize_t}" = yes; then

if test "$universal_binary" = yes; then
{ $as_echo "$as_me:${as_lineno-$LINENO}: checking size of ssize_t" >&5
$as_echo_n "checking size of ssize_t... " >&6; }
if ${ac_cv_sizeof_ssize_t+:} false; then :
  $as_echo_n "(cached) " >&6
else

    unset ac_cv_sizeof_ssize_t
    rbcv_sizeof_var="
typedef ssize_t ac__type_sizeof_;
static ac__type_sizeof_ *rbcv_ptr;
#define SIZEOF_SSIZE_T sizeof((*rbcv_ptr))
"
    test -z "${ac_cv_sizeof_ssize_t+set}" && {
    for rbcv_sizeof_type in size_t; do
	cat confdefs.h - <<_ACEOF >conftest.$ac_ext
/* end confdefs.h.  */
#include <sys/types.h>

		$rbcv_sizeof_var

int
main ()
{
static int test_array [1 - 2 * !(SIZEOF_SSIZE_T == sizeof($rbcv_sizeof_type))];
test_array [0] = 0;
return test_array [0];

  ;
  return 0;
}
_ACEOF
if ac_fn_c_try_compile "$LINENO"; then :

		ac_cv_sizeof_ssize_t=`$as_echo "SIZEOF_$rbcv_sizeof_type" | $as_tr_cpp`
		break
fi
rm -f core conftest.err conftest.$ac_objext conftest.$ac_ext
    done
    }
    unset rbcv_sizeof_cond

    test "${ac_cv_sizeof_ssize_t#[1-9]}" = "${ac_cv_sizeof_ssize_t}" &&
    test "${ac_cv_sizeof_ssize_t#SIZEOF_}" = "${ac_cv_sizeof_ssize_t}" && {
    test "$universal_binary" = yes && cross_compiling=yes
    if ac_fn_c_compute_int "$LINENO" "SIZEOF_SSIZE_T" "rbcv_sizeof_type"        "#include <sys/types.h>


${rbcv_sizeof_cond+$rbcv_sizeof_cond
#else}
$rbcv_sizeof_var
${rbcv_sizeof_cond+#endif}
#ifndef SIZEOF_SSIZE_T
#define SIZEOF_SSIZE_T 0
#endif"; then :

else
  rbcv_sizeof_type=0
fi

    test "$universal_binary" = yes && cross_compiling=$real_cross_compiling
    if test ${rbcv_sizeof_type-0} != 0; then
	ac_cv_sizeof_ssize_t="${ac_cv_sizeof_ssize_t+${ac_cv_sizeof_ssize_t-} }${rbcv_sizeof_type}"
    fi
    }
    : ${ac_cv_sizeof_ssize_t=0}

fi
{ $as_echo "$as_me:${as_lineno-$LINENO}: result: $ac_cv_sizeof_ssize_t" >&5
    colorize_result "$ac_cv_sizeof_ssize_t" ; }
{
    unset rbcv_sizeof_cond
    for rbcv_sizeof_type in ${ac_cv_sizeof_ssize_t-}; do
	case "$rbcv_sizeof_type" in #(
  [0-9]*|SIZEOF_*) :

	    ${rbcv_sizeof_cond+echo "#else"}
	    echo "#define SIZEOF_SSIZE_T $rbcv_sizeof_type"
	    break
	     ;; #(
  *) :

	    rbcv_sizeof_size=`expr $rbcv_sizeof_type : '.*[^0-9]\([0-9][0-9]*\)$'`
	    case $rbcv_sizeof_type in #(
  *:*) :
    rbcv_sizeof_type="${rbcv_sizeof_type%:*}" ;; #(
  *) :
    rbcv_sizeof_size=`expr $rbcv_sizeof_size / $rb_cv_char_bit` ;;
esac
	    echo "#${rbcv_sizeof_cond+el}if defined(__${rbcv_sizeof_type}__) || defined(__${rbcv_sizeof_type}) || defined(_${rbcv_sizeof_type}) || defined($rbcv_sizeof_type)"
	    echo "#define SIZEOF_SSIZE_T $rbcv_sizeof_size"
	    rbcv_sizeof_cond=1
	     ;;
esac
    done
    ${rbcv_sizeof_cond+echo "#endif"}
} >> confdefs.h
else
# The cast to long int works around a bug in the HP C Compiler
# version HP92453-01 B.11.11.23709.GP, which incorrectly rejects
# declarations like `int a3[[(sizeof (unsigned char)) >= 0]];'.
# This bug is HP SR number 8606223364.
{ $as_echo "$as_me:${as_lineno-$LINENO}: checking size of ssize_t" >&5
$as_echo_n "checking size of ssize_t... " >&6; }
if ${ac_cv_sizeof_ssize_t+:} false; then :
  $as_echo_n "(cached) " >&6
else
  if ac_fn_c_compute_int "$LINENO" "(long int) (sizeof (ssize_t))" "ac_cv_sizeof_ssize_t"        "#include <sys/types.h>

"; then :

else
  if test "$ac_cv_type_ssize_t" = yes; then
     { { $as_echo "$as_me:${as_lineno-$LINENO}: error: in \`$ac_pwd':" >&5
$as_echo "$as_me: error: in \`$ac_pwd':" >&2;}
as_fn_error 77 "cannot compute sizeof (ssize_t)
See \`config.log' for more details" "$LINENO" 5; }
   else
     ac_cv_sizeof_ssize_t=0
   fi
fi

fi
{ $as_echo "$as_me:${as_lineno-$LINENO}: result: $ac_cv_sizeof_ssize_t" >&5
    colorize_result "$ac_cv_sizeof_ssize_t" ; }



cat >>confdefs.h <<_ACEOF
#define SIZEOF_SSIZE_T $ac_cv_sizeof_ssize_t
_ACEOF


fi

    else
	cat >>confdefs.h <<_ACEOF
#define ssize_t $rb_cv_type_ssize_t
_ACEOF

	cat >>confdefs.h <<_ACEOF
#define SIZEOF_SSIZE_T SIZEOF_`$as_echo "$rb_defint_type" | $as_tr_cpp`
_ACEOF

    fi
    test -n "$rb_defint_cond" && echo "#endif /* $rb_defint_cond */" >> confdefs.h
fi

case "${host_os}" in #(
  nacl) :

 ac_fn_c_check_type "$LINENO" "struct PPB_Core" "ac_cv_type_struct_PPB_Core" "$ac_includes_default"
if test "x$ac_cv_type_struct_PPB_Core" = xyes; then :

cat >>confdefs.h <<_ACEOF
#define HAVE_STRUCT_PPB_CORE 1
_ACEOF


fi
ac_fn_c_check_type "$LINENO" "struct PPB_Messaging" "ac_cv_type_struct_PPB_Messaging" "$ac_includes_default"
if test "x$ac_cv_type_struct_PPB_Messaging" = xyes; then :

cat >>confdefs.h <<_ACEOF
#define HAVE_STRUCT_PPB_MESSAGING 1
_ACEOF


fi
ac_fn_c_check_type "$LINENO" "struct PPB_Var" "ac_cv_type_struct_PPB_Var" "$ac_includes_default"
if test "x$ac_cv_type_struct_PPB_Var" = xyes; then :

cat >>confdefs.h <<_ACEOF
#define HAVE_STRUCT_PPB_VAR 1
_ACEOF


fi
ac_fn_c_check_type "$LINENO" "struct PPB_URLLoader" "ac_cv_type_struct_PPB_URLLoader" "$ac_includes_default"
if test "x$ac_cv_type_struct_PPB_URLLoader" = xyes; then :

cat >>confdefs.h <<_ACEOF
#define HAVE_STRUCT_PPB_URLLOADER 1
_ACEOF


fi
ac_fn_c_check_type "$LINENO" "struct PPB_URLRequestInfo" "ac_cv_type_struct_PPB_URLRequestInfo" "$ac_includes_default"
if test "x$ac_cv_type_struct_PPB_URLRequestInfo" = xyes; then :

cat >>confdefs.h <<_ACEOF
#define HAVE_STRUCT_PPB_URLREQUESTINFO 1
_ACEOF


fi
ac_fn_c_check_type "$LINENO" "struct PPB_URLResponseInfo" "ac_cv_type_struct_PPB_URLResponseInfo" "$ac_includes_default"
if test "x$ac_cv_type_struct_PPB_URLResponseInfo" = xyes; then :

cat >>confdefs.h <<_ACEOF
#define HAVE_STRUCT_PPB_URLRESPONSEINFO 1
_ACEOF


fi
ac_fn_c_check_type "$LINENO" "struct PPB_FileRef" "ac_cv_type_struct_PPB_FileRef" "$ac_includes_default"
if test "x$ac_cv_type_struct_PPB_FileRef" = xyes; then :

cat >>confdefs.h <<_ACEOF
#define HAVE_STRUCT_PPB_FILEREF 1
_ACEOF


fi
ac_fn_c_check_type "$LINENO" "struct PPP_Instance" "ac_cv_type_struct_PPP_Instance" "$ac_includes_default"
if test "x$ac_cv_type_struct_PPP_Instance" = xyes; then :

cat >>confdefs.h <<_ACEOF
#define HAVE_STRUCT_PPP_INSTANCE 1
_ACEOF


fi

 ;; #(
  *) :
     ;;
esac


{ $as_echo "$as_me:${as_lineno-$LINENO}: checking for stack end address" >&5
$as_echo_n "checking for stack end address... " >&6; }
if ${rb_cv_stack_end_address+:} false; then :
  $as_echo_n "(cached) " >&6
else
  rb_cv_stack_end_address=no
  cat confdefs.h - <<_ACEOF >conftest.$ac_ext
/* end confdefs.h.  */
extern void *__libc_stack_end;
int
main ()
{
if (!__libc_stack_end) return 1;
  ;
  return 0;
}
_ACEOF
if ac_fn_c_try_link "$LINENO"; then :
  rb_cv_stack_end_address="__libc_stack_end"
fi
rm -f core conftest.err conftest.$ac_objext \
    conftest$ac_exeext conftest.$ac_ext

fi
{ $as_echo "$as_me:${as_lineno-$LINENO}: result: $rb_cv_stack_end_address" >&5
    colorize_result "$rb_cv_stack_end_address" ; }
if test $rb_cv_stack_end_address != no; then
  cat >>confdefs.h <<_ACEOF
#define STACK_END_ADDRESS $rb_cv_stack_end_address
_ACEOF

fi

# posix_memalign(memptr, alignment, size) implemented for OpenBSD 4.8 doesn't work if alignment > MALLOC_PAGESIZE.
# [ruby-core:42158] https://bugs.ruby-lang.org/issues/5901
# OpenBSD 5.2 fixed the problem. (src/lib/libc/stdlib/malloc.c:1.142)
# MirOS #10semel has the problem but fixed in the repository.  (src/lib/libc/stdlib/malloc.c:1.9)
case "$target_os" in #(
  openbsd*|mirbsd*) :

  { $as_echo "$as_me:${as_lineno-$LINENO}: checking for heap align log on openbsd" >&5
$as_echo_n "checking for heap align log on openbsd... " >&6; }
if ${rb_cv_page_size_log+:} false; then :
  $as_echo_n "(cached) " >&6
else
  rb_cv_page_size_log=no
     for page_log in 12 13; do
       if test "$cross_compiling" = yes; then :
  { { $as_echo "$as_me:${as_lineno-$LINENO}: error: in \`$ac_pwd':" >&5
$as_echo "$as_me: error: in \`$ac_pwd':" >&2;}
as_fn_error $? "cannot run test program while cross compiling
See \`config.log' for more details" "$LINENO" 5; }
else
  cat confdefs.h - <<_ACEOF >conftest.$ac_ext
/* end confdefs.h.  */

#include <math.h>
#include <unistd.h>

int
main() {
  if ((int)log2((double)sysconf(_SC_PAGESIZE)) != $page_log) return 1;
  return 0;
}

_ACEOF
if ac_fn_c_try_run "$LINENO"; then :
  rb_cv_page_size_log="$page_log"; break
fi
rm -f core *.core core.conftest.* gmon.out bb.out conftest$ac_exeext \
  conftest.$ac_objext conftest.beam conftest.$ac_ext
fi

     done
fi
{ $as_echo "$as_me:${as_lineno-$LINENO}: result: $rb_cv_page_size_log" >&5
    colorize_result "$rb_cv_page_size_log" ; }
  if test $rb_cv_page_size_log != no; then
    cat >>confdefs.h <<_ACEOF
#define HEAP_ALIGN_LOG $rb_cv_page_size_log
_ACEOF

  else
    cat >>confdefs.h <<_ACEOF
#define HEAP_ALIGN_LOG 12
_ACEOF

  fi
 ;; #(
  *) :
     ;;
esac

{ $as_echo "$as_me:${as_lineno-$LINENO}: checking for uid_t in sys/types.h" >&5
$as_echo_n "checking for uid_t in sys/types.h... " >&6; }
if ${ac_cv_type_uid_t+:} false; then :
  $as_echo_n "(cached) " >&6
else
  cat confdefs.h - <<_ACEOF >conftest.$ac_ext
/* end confdefs.h.  */
#include <sys/types.h>

_ACEOF
if (eval "$ac_cpp conftest.$ac_ext") 2>&5 |
  $EGREP "uid_t" >/dev/null 2>&1; then :
  ac_cv_type_uid_t=yes
else
  ac_cv_type_uid_t=no
fi
rm -f conftest*

fi
{ $as_echo "$as_me:${as_lineno-$LINENO}: result: $ac_cv_type_uid_t" >&5
    colorize_result "$ac_cv_type_uid_t" ; }
if test $ac_cv_type_uid_t = no; then

$as_echo "#define uid_t int" >>confdefs.h


$as_echo "#define gid_t int" >>confdefs.h

fi

{ $as_echo "$as_me:${as_lineno-$LINENO}: checking type of array argument to getgroups" >&5
$as_echo_n "checking type of array argument to getgroups... " >&6; }
if ${ac_cv_type_getgroups+:} false; then :
  $as_echo_n "(cached) " >&6
else
  if test "$cross_compiling" = yes; then :
  ac_cv_type_getgroups=cross
else
  cat confdefs.h - <<_ACEOF >conftest.$ac_ext
/* end confdefs.h.  */
/* Thanks to Mike Rendell for this test.  */
$ac_includes_default
#define NGID 256
#undef MAX
#define MAX(x, y) ((x) > (y) ? (x) : (y))

int
main ()
{
  gid_t gidset[NGID];
  int i, n;
  union { gid_t gval; long int lval; }  val;

  val.lval = -1;
  for (i = 0; i < NGID; i++)
    gidset[i] = val.gval;
  n = getgroups (sizeof (gidset) / MAX (sizeof (int), sizeof (gid_t)) - 1,
		 gidset);
  /* Exit non-zero if getgroups seems to require an array of ints.  This
     happens when gid_t is short int but getgroups modifies an array
     of ints.  */
  return n > 0 && gidset[n] != val.gval;
}
_ACEOF
if ac_fn_c_try_run "$LINENO"; then :
  ac_cv_type_getgroups=gid_t
else
  ac_cv_type_getgroups=int
fi
rm -f core *.core core.conftest.* gmon.out bb.out conftest$ac_exeext \
  conftest.$ac_objext conftest.beam conftest.$ac_ext
fi

if test $ac_cv_type_getgroups = cross; then
        cat confdefs.h - <<_ACEOF >conftest.$ac_ext
/* end confdefs.h.  */
#include <unistd.h>

_ACEOF
if (eval "$ac_cpp conftest.$ac_ext") 2>&5 |
  $EGREP "getgroups.*int.*gid_t" >/dev/null 2>&1; then :
  ac_cv_type_getgroups=gid_t
else
  ac_cv_type_getgroups=int
fi
rm -f conftest*

fi
fi
{ $as_echo "$as_me:${as_lineno-$LINENO}: result: $ac_cv_type_getgroups" >&5
    colorize_result "$ac_cv_type_getgroups" ; }

cat >>confdefs.h <<_ACEOF
#define GETGROUPS_T $ac_cv_type_getgroups
_ACEOF


{ $as_echo "$as_me:${as_lineno-$LINENO}: checking return type of signal handlers" >&5
$as_echo_n "checking return type of signal handlers... " >&6; }
if ${ac_cv_type_signal+:} false; then :
  $as_echo_n "(cached) " >&6
else
  cat confdefs.h - <<_ACEOF >conftest.$ac_ext
/* end confdefs.h.  */
#include <sys/types.h>
#include <signal.h>

int
main ()
{
return *(signal (0, 0)) (0) == 1;
  ;
  return 0;
}
_ACEOF
if ac_fn_c_try_compile "$LINENO"; then :
  ac_cv_type_signal=int
else
  ac_cv_type_signal=void
fi
rm -f core conftest.err conftest.$ac_objext conftest.$ac_ext
fi
{ $as_echo "$as_me:${as_lineno-$LINENO}: result: $ac_cv_type_signal" >&5
    colorize_result "$ac_cv_type_signal" ; }

cat >>confdefs.h <<_ACEOF
#define RETSIGTYPE $ac_cv_type_signal
_ACEOF


case "${target_cpu}-${target_os}:${target_archs}" in #(
  powerpc-darwin*) :


  ALLOCA=\${LIBOBJDIR}alloca.${ac_objext}

  $as_echo "#define C_ALLOCA 1" >>confdefs.h

  cat >>confdefs.h <<_ACEOF
#define alloca alloca
_ACEOF

   ;; #(
  universal-darwin*:*ppc*) :


  ALLOCA=\${LIBOBJDIR}alloca.${ac_objext}

      cat <<EOH >> confdefs.h
#if defined __powerpc__
EOH
cat >>confdefs.h <<_ACEOF
#define C_ALLOCA 1
_ACEOF
    cat <<EOH >> confdefs.h
#endif /* defined __powerpc__ */
EOH

      cat <<EOH >> confdefs.h
#if defined __powerpc__
EOH
cat >>confdefs.h <<_ACEOF
#define alloca alloca
_ACEOF
    cat <<EOH >> confdefs.h
#endif /* defined __powerpc__ */
EOH

   ;; #(
  *) :

  # The Ultrix 4.2 mips builtin alloca declared by alloca.h only works
# for constant arguments.  Useless!
{ $as_echo "$as_me:${as_lineno-$LINENO}: checking for working alloca.h" >&5
$as_echo_n "checking for working alloca.h... " >&6; }
if ${ac_cv_working_alloca_h+:} false; then :
  $as_echo_n "(cached) " >&6
else
  cat confdefs.h - <<_ACEOF >conftest.$ac_ext
/* end confdefs.h.  */
#include <alloca.h>
int
main ()
{
char *p = (char *) alloca (2 * sizeof (int));
			  if (p) return 0;
  ;
  return 0;
}
_ACEOF
if ac_fn_c_try_link "$LINENO"; then :
  ac_cv_working_alloca_h=yes
else
  ac_cv_working_alloca_h=no
fi
rm -f core conftest.err conftest.$ac_objext \
    conftest$ac_exeext conftest.$ac_ext
fi
{ $as_echo "$as_me:${as_lineno-$LINENO}: result: $ac_cv_working_alloca_h" >&5
    colorize_result "$ac_cv_working_alloca_h" ; }
if test $ac_cv_working_alloca_h = yes; then

$as_echo "#define HAVE_ALLOCA_H 1" >>confdefs.h

fi

{ $as_echo "$as_me:${as_lineno-$LINENO}: checking for alloca" >&5
$as_echo_n "checking for alloca... " >&6; }
if ${ac_cv_func_alloca_works+:} false; then :
  $as_echo_n "(cached) " >&6
else
  cat confdefs.h - <<_ACEOF >conftest.$ac_ext
/* end confdefs.h.  */
#ifdef __GNUC__
# define alloca __builtin_alloca
#else
# ifdef _MSC_VER
#  include <malloc.h>
#  define alloca _alloca
# else
#  ifdef HAVE_ALLOCA_H
#   include <alloca.h>
#  else
#   ifdef _AIX
 #pragma alloca
#   else
#    ifndef alloca /* predefined by HP cc +Olibcalls */
void *alloca (size_t);
#    endif
#   endif
#  endif
# endif
#endif

int
main ()
{
char *p = (char *) alloca (1);
				    if (p) return 0;
  ;
  return 0;
}
_ACEOF
if ac_fn_c_try_link "$LINENO"; then :
  ac_cv_func_alloca_works=yes
else
  ac_cv_func_alloca_works=no
fi
rm -f core conftest.err conftest.$ac_objext \
    conftest$ac_exeext conftest.$ac_ext
fi
{ $as_echo "$as_me:${as_lineno-$LINENO}: result: $ac_cv_func_alloca_works" >&5
    colorize_result "$ac_cv_func_alloca_works" ; }

if test $ac_cv_func_alloca_works = yes; then

$as_echo "#define HAVE_ALLOCA 1" >>confdefs.h

else
  # The SVR3 libPW and SVR4 libucb both contain incompatible functions
# that cause trouble.  Some versions do not even contain alloca or
# contain a buggy version.  If you still want to use their alloca,
# use ar to extract alloca.o from them instead of compiling alloca.c.

ALLOCA=\${LIBOBJDIR}alloca.$ac_objext

$as_echo "#define C_ALLOCA 1" >>confdefs.h


{ $as_echo "$as_me:${as_lineno-$LINENO}: checking whether \`alloca.c' needs Cray hooks" >&5
$as_echo_n "checking whether \`alloca.c' needs Cray hooks... " >&6; }
if ${ac_cv_os_cray+:} false; then :
  $as_echo_n "(cached) " >&6
else
  cat confdefs.h - <<_ACEOF >conftest.$ac_ext
/* end confdefs.h.  */
#if defined CRAY && ! defined CRAY2
webecray
#else
wenotbecray
#endif

_ACEOF
if (eval "$ac_cpp conftest.$ac_ext") 2>&5 |
  $EGREP "webecray" >/dev/null 2>&1; then :
  ac_cv_os_cray=yes
else
  ac_cv_os_cray=no
fi
rm -f conftest*

fi
{ $as_echo "$as_me:${as_lineno-$LINENO}: result: $ac_cv_os_cray" >&5
    colorize_result "$ac_cv_os_cray" ; }
if test $ac_cv_os_cray = yes; then
  for ac_func in _getb67 GETB67 getb67; do
    as_ac_var=`$as_echo "ac_cv_func_$ac_func" | $as_tr_sh`
ac_fn_c_check_func "$LINENO" "$ac_func" "$as_ac_var"
if eval test \"x\$"$as_ac_var"\" = x"yes"; then :

cat >>confdefs.h <<_ACEOF
#define CRAY_STACKSEG_END $ac_func
_ACEOF

    break
fi

  done
fi

{ $as_echo "$as_me:${as_lineno-$LINENO}: checking stack direction for C alloca" >&5
$as_echo_n "checking stack direction for C alloca... " >&6; }
if ${ac_cv_c_stack_direction+:} false; then :
  $as_echo_n "(cached) " >&6
else
  if test "$cross_compiling" = yes; then :
  ac_cv_c_stack_direction=0
else
  cat confdefs.h - <<_ACEOF >conftest.$ac_ext
/* end confdefs.h.  */
$ac_includes_default
int
find_stack_direction (int *addr, int depth)
{
  int dir, dummy = 0;
  if (! addr)
    addr = &dummy;
  *addr = addr < &dummy ? 1 : addr == &dummy ? 0 : -1;
  dir = depth ? find_stack_direction (addr, depth - 1) : 0;
  return dir + dummy;
}

int
main (int argc, char **argv)
{
  return find_stack_direction (0, argc + !argv + 20) < 0;
}
_ACEOF
if ac_fn_c_try_run "$LINENO"; then :
  ac_cv_c_stack_direction=1
else
  ac_cv_c_stack_direction=-1
fi
rm -f core *.core core.conftest.* gmon.out bb.out conftest$ac_exeext \
  conftest.$ac_objext conftest.beam conftest.$ac_ext
fi

fi
{ $as_echo "$as_me:${as_lineno-$LINENO}: result: $ac_cv_c_stack_direction" >&5
    colorize_result "$ac_cv_c_stack_direction" ; }
cat >>confdefs.h <<_ACEOF
#define STACK_DIRECTION $ac_cv_c_stack_direction
_ACEOF


fi

   ;;
esac
if test "x$ALLOCA" = "x"; then
    { $as_echo "$as_me:${as_lineno-$LINENO}: checking for dynamic size alloca" >&5
$as_echo_n "checking for dynamic size alloca... " >&6; }
if ${rb_cv_dynamic_alloca+:} false; then :
  $as_echo_n "(cached) " >&6
else

    for chk in ok __chkstk; do
	cat confdefs.h - <<_ACEOF >conftest.$ac_ext
/* end confdefs.h.  */

	    #ifdef HAVE_ALLOCA_H
	    #include <alloca.h>
	    #endif
	    void $chk() {}
	    int dynamic_alloca_test;
	    int dynamic_alloca_result;
int
main ()
{
dynamic_alloca_result = alloca(dynamic_alloca_test) != 0;
  ;
  return 0;
}
_ACEOF
if ac_fn_c_try_link "$LINENO"; then :
  rb_cv_dynamic_alloca=$chk; break
fi
rm -f core conftest.err conftest.$ac_objext \
    conftest$ac_exeext conftest.$ac_ext
    done
fi
{ $as_echo "$as_me:${as_lineno-$LINENO}: result: $rb_cv_dynamic_alloca" >&5
    colorize_result "$rb_cv_dynamic_alloca" ; }
    if test "x$rb_cv_dynamic_alloca" = "x__chkstk"; then
	cat >>confdefs.h <<_ACEOF
#define RUBY_ALLOCA_CHKSTK _$rb_cv_dynamic_alloca
_ACEOF

	case "$target_cpu" in #(
  x64|x86_64) :

	    ALLOCA=\${LIBOBJDIR}x86_64-chkstk.${ac_objext}

	 ;; #(
  *) :
     ;;
esac
    fi
fi
{ $as_echo "$as_me:${as_lineno-$LINENO}: checking for working memcmp" >&5
$as_echo_n "checking for working memcmp... " >&6; }
if ${ac_cv_func_memcmp_working+:} false; then :
  $as_echo_n "(cached) " >&6
else
  if test "$cross_compiling" = yes; then :
  ac_cv_func_memcmp_working=no
else
  cat confdefs.h - <<_ACEOF >conftest.$ac_ext
/* end confdefs.h.  */
$ac_includes_default
int
main ()
{

  /* Some versions of memcmp are not 8-bit clean.  */
  char c0 = '\100', c1 = '\200', c2 = '\201';
  if (memcmp(&c0, &c2, 1) >= 0 || memcmp(&c1, &c2, 1) >= 0)
    return 1;

  /* The Next x86 OpenStep bug shows up only when comparing 16 bytes
     or more and with at least one buffer not starting on a 4-byte boundary.
     William Lewis provided this test program.   */
  {
    char foo[21];
    char bar[21];
    int i;
    for (i = 0; i < 4; i++)
      {
	char *a = foo + i;
	char *b = bar + i;
	strcpy (a, "--------01111111");
	strcpy (b, "--------10000000");
	if (memcmp (a, b, 16) >= 0)
	  return 1;
      }
    return 0;
  }

  ;
  return 0;
}
_ACEOF
if ac_fn_c_try_run "$LINENO"; then :
  ac_cv_func_memcmp_working=yes
else
  ac_cv_func_memcmp_working=no
fi
rm -f core *.core core.conftest.* gmon.out bb.out conftest$ac_exeext \
  conftest.$ac_objext conftest.beam conftest.$ac_ext
fi

fi
{ $as_echo "$as_me:${as_lineno-$LINENO}: result: $ac_cv_func_memcmp_working" >&5
    colorize_result "$ac_cv_func_memcmp_working" ; }
test $ac_cv_func_memcmp_working = no && case " $LIBOBJS " in
  *" memcmp.$ac_objext "* ) ;;
  *) LIBOBJS="$LIBOBJS memcmp.$ac_objext"
 ;;
esac



# http://sources.redhat.com/ml/libc-hacker/2005-08/msg00008.html
# Debian GNU/Linux Etch's libc6.1 2.3.6.ds1-13etch5 has this problem.
# Debian GNU/Linux Lenny's libc6.1 2.7-10 has no problem.
{ $as_echo "$as_me:${as_lineno-$LINENO}: checking for broken erfc of glibc-2.3.6 on IA64" >&5
$as_echo_n "checking for broken erfc of glibc-2.3.6 on IA64... " >&6; }
if ${rb_cv_broken_glibc_ia64_erfc+:} false; then :
  $as_echo_n "(cached) " >&6
else
  if test "$cross_compiling" = yes; then :
  rb_cv_broken_glibc_ia64_erfc=no
else
  cat confdefs.h - <<_ACEOF >conftest.$ac_ext
/* end confdefs.h.  */

#include <math.h>
int
main()
{
   erfc(10000.0);
   return 0;
}

_ACEOF
if ac_fn_c_try_run "$LINENO"; then :
  rb_cv_broken_glibc_ia64_erfc=no
else
  rb_cv_broken_glibc_ia64_erfc=yes
fi
rm -f core *.core core.conftest.* gmon.out bb.out conftest$ac_exeext \
  conftest.$ac_objext conftest.beam conftest.$ac_ext
fi

fi
{ $as_echo "$as_me:${as_lineno-$LINENO}: result: $rb_cv_broken_glibc_ia64_erfc" >&5
    colorize_result "$rb_cv_broken_glibc_ia64_erfc" ; }
case $rb_cv_broken_glibc_ia64_erfc in #(
  yes) :
    ac_cv_func_erf=no ;; #(
  *) :
     ;;
esac

case "$target_os" in #(
  freebsd*) :

	 $as_echo "#define BROKEN_CLOSE 1" >>confdefs.h

	 ac_fn_c_check_func "$LINENO" "close" "ac_cv_func_close"
if test "x$ac_cv_func_close" = xyes; then :
  $as_echo "#define HAVE_CLOSE 1" >>confdefs.h

else
  case " $LIBOBJS " in
  *" close.$ac_objext "* ) ;;
  *) LIBOBJS="$LIBOBJS close.$ac_objext"
 ;;
esac

fi


	  ;; #(
  *) :
     ;;
esac

ac_fn_c_check_func "$LINENO" "acosh" "ac_cv_func_acosh"
if test "x$ac_cv_func_acosh" = xyes; then :
  $as_echo "#define HAVE_ACOSH 1" >>confdefs.h

else
  case " $LIBOBJS " in
  *" acosh.$ac_objext "* ) ;;
  *) LIBOBJS="$LIBOBJS acosh.$ac_objext"
 ;;
esac

fi


ac_fn_c_check_func "$LINENO" "cbrt" "ac_cv_func_cbrt"
if test "x$ac_cv_func_cbrt" = xyes; then :
  $as_echo "#define HAVE_CBRT 1" >>confdefs.h

else
  case " $LIBOBJS " in
  *" cbrt.$ac_objext "* ) ;;
  *) LIBOBJS="$LIBOBJS cbrt.$ac_objext"
 ;;
esac

fi


ac_fn_c_check_func "$LINENO" "crypt" "ac_cv_func_crypt"
if test "x$ac_cv_func_crypt" = xyes; then :
  $as_echo "#define HAVE_CRYPT 1" >>confdefs.h

else
  case " $LIBOBJS " in
  *" crypt.$ac_objext "* ) ;;
  *) LIBOBJS="$LIBOBJS crypt.$ac_objext"
 ;;
esac

fi


ac_fn_c_check_func "$LINENO" "dup2" "ac_cv_func_dup2"
if test "x$ac_cv_func_dup2" = xyes; then :
  $as_echo "#define HAVE_DUP2 1" >>confdefs.h

else
  case " $LIBOBJS " in
  *" dup2.$ac_objext "* ) ;;
  *) LIBOBJS="$LIBOBJS dup2.$ac_objext"
 ;;
esac

fi


ac_fn_c_check_func "$LINENO" "erf" "ac_cv_func_erf"
if test "x$ac_cv_func_erf" = xyes; then :
  $as_echo "#define HAVE_ERF 1" >>confdefs.h

else
  case " $LIBOBJS " in
  *" erf.$ac_objext "* ) ;;
  *) LIBOBJS="$LIBOBJS erf.$ac_objext"
 ;;
esac

fi


ac_fn_c_check_func "$LINENO" "explicit_bzero" "ac_cv_func_explicit_bzero"
if test "x$ac_cv_func_explicit_bzero" = xyes; then :
  $as_echo "#define HAVE_EXPLICIT_BZERO 1" >>confdefs.h

else
  case " $LIBOBJS " in
  *" explicit_bzero.$ac_objext "* ) ;;
  *) LIBOBJS="$LIBOBJS explicit_bzero.$ac_objext"
 ;;
esac

fi


ac_fn_c_check_func "$LINENO" "ffs" "ac_cv_func_ffs"
if test "x$ac_cv_func_ffs" = xyes; then :
  $as_echo "#define HAVE_FFS 1" >>confdefs.h

else
  case " $LIBOBJS " in
  *" ffs.$ac_objext "* ) ;;
  *) LIBOBJS="$LIBOBJS ffs.$ac_objext"
 ;;
esac

fi


ac_fn_c_check_func "$LINENO" "finite" "ac_cv_func_finite"
if test "x$ac_cv_func_finite" = xyes; then :
  $as_echo "#define HAVE_FINITE 1" >>confdefs.h

else
  case " $LIBOBJS " in
  *" finite.$ac_objext "* ) ;;
  *) LIBOBJS="$LIBOBJS finite.$ac_objext"
 ;;
esac

fi


ac_fn_c_check_func "$LINENO" "flock" "ac_cv_func_flock"
if test "x$ac_cv_func_flock" = xyes; then :
  $as_echo "#define HAVE_FLOCK 1" >>confdefs.h

else
  case " $LIBOBJS " in
  *" flock.$ac_objext "* ) ;;
  *) LIBOBJS="$LIBOBJS flock.$ac_objext"
 ;;
esac

fi


ac_fn_c_check_func "$LINENO" "hypot" "ac_cv_func_hypot"
if test "x$ac_cv_func_hypot" = xyes; then :
  $as_echo "#define HAVE_HYPOT 1" >>confdefs.h

else
  case " $LIBOBJS " in
  *" hypot.$ac_objext "* ) ;;
  *) LIBOBJS="$LIBOBJS hypot.$ac_objext"
 ;;
esac

fi


ac_fn_c_check_func "$LINENO" "isinf" "ac_cv_func_isinf"
if test "x$ac_cv_func_isinf" = xyes; then :
  $as_echo "#define HAVE_ISINF 1" >>confdefs.h

else
  case " $LIBOBJS " in
  *" isinf.$ac_objext "* ) ;;
  *) LIBOBJS="$LIBOBJS isinf.$ac_objext"
 ;;
esac

fi


ac_fn_c_check_func "$LINENO" "isnan" "ac_cv_func_isnan"
if test "x$ac_cv_func_isnan" = xyes; then :
  $as_echo "#define HAVE_ISNAN 1" >>confdefs.h

else
  case " $LIBOBJS " in
  *" isnan.$ac_objext "* ) ;;
  *) LIBOBJS="$LIBOBJS isnan.$ac_objext"
 ;;
esac

fi


ac_fn_c_check_func "$LINENO" "lgamma_r" "ac_cv_func_lgamma_r"
if test "x$ac_cv_func_lgamma_r" = xyes; then :
  $as_echo "#define HAVE_LGAMMA_R 1" >>confdefs.h

else
  case " $LIBOBJS " in
  *" lgamma_r.$ac_objext "* ) ;;
  *) LIBOBJS="$LIBOBJS lgamma_r.$ac_objext"
 ;;
esac

fi


ac_fn_c_check_func "$LINENO" "memmove" "ac_cv_func_memmove"
if test "x$ac_cv_func_memmove" = xyes; then :
  $as_echo "#define HAVE_MEMMOVE 1" >>confdefs.h

else
  case " $LIBOBJS " in
  *" memmove.$ac_objext "* ) ;;
  *) LIBOBJS="$LIBOBJS memmove.$ac_objext"
 ;;
esac

fi


ac_fn_c_check_func "$LINENO" "nextafter" "ac_cv_func_nextafter"
if test "x$ac_cv_func_nextafter" = xyes; then :
  $as_echo "#define HAVE_NEXTAFTER 1" >>confdefs.h

else
  case " $LIBOBJS " in
  *" nextafter.$ac_objext "* ) ;;
  *) LIBOBJS="$LIBOBJS nextafter.$ac_objext"
 ;;
esac

fi


ac_fn_c_check_func "$LINENO" "setproctitle" "ac_cv_func_setproctitle"
if test "x$ac_cv_func_setproctitle" = xyes; then :
  $as_echo "#define HAVE_SETPROCTITLE 1" >>confdefs.h

else
  case " $LIBOBJS " in
  *" setproctitle.$ac_objext "* ) ;;
  *) LIBOBJS="$LIBOBJS setproctitle.$ac_objext"
 ;;
esac

fi


ac_fn_c_check_func "$LINENO" "strchr" "ac_cv_func_strchr"
if test "x$ac_cv_func_strchr" = xyes; then :
  $as_echo "#define HAVE_STRCHR 1" >>confdefs.h

else
  case " $LIBOBJS " in
  *" strchr.$ac_objext "* ) ;;
  *) LIBOBJS="$LIBOBJS strchr.$ac_objext"
 ;;
esac

fi


ac_fn_c_check_func "$LINENO" "strerror" "ac_cv_func_strerror"
if test "x$ac_cv_func_strerror" = xyes; then :
  $as_echo "#define HAVE_STRERROR 1" >>confdefs.h

else
  case " $LIBOBJS " in
  *" strerror.$ac_objext "* ) ;;
  *) LIBOBJS="$LIBOBJS strerror.$ac_objext"
 ;;
esac

fi


ac_fn_c_check_func "$LINENO" "strlcat" "ac_cv_func_strlcat"
if test "x$ac_cv_func_strlcat" = xyes; then :
  $as_echo "#define HAVE_STRLCAT 1" >>confdefs.h

else
  case " $LIBOBJS " in
  *" strlcat.$ac_objext "* ) ;;
  *) LIBOBJS="$LIBOBJS strlcat.$ac_objext"
 ;;
esac

fi


ac_fn_c_check_func "$LINENO" "strlcpy" "ac_cv_func_strlcpy"
if test "x$ac_cv_func_strlcpy" = xyes; then :
  $as_echo "#define HAVE_STRLCPY 1" >>confdefs.h

else
  case " $LIBOBJS " in
  *" strlcpy.$ac_objext "* ) ;;
  *) LIBOBJS="$LIBOBJS strlcpy.$ac_objext"
 ;;
esac

fi


ac_fn_c_check_func "$LINENO" "strstr" "ac_cv_func_strstr"
if test "x$ac_cv_func_strstr" = xyes; then :
  $as_echo "#define HAVE_STRSTR 1" >>confdefs.h

else
  case " $LIBOBJS " in
  *" strstr.$ac_objext "* ) ;;
  *) LIBOBJS="$LIBOBJS strstr.$ac_objext"
 ;;
esac

fi


ac_fn_c_check_func "$LINENO" "tgamma" "ac_cv_func_tgamma"
if test "x$ac_cv_func_tgamma" = xyes; then :
  $as_echo "#define HAVE_TGAMMA 1" >>confdefs.h

else
  case " $LIBOBJS " in
  *" tgamma.$ac_objext "* ) ;;
  *) LIBOBJS="$LIBOBJS tgamma.$ac_objext"
 ;;
esac

fi



# for missing/setproctitle.c
case "$target_os" in #(
  aix* | k*bsd*-gnu | kopensolaris*-gnu | linux* | darwin*) :
    $as_echo "#define SPT_TYPE SPT_REUSEARGV" >>confdefs.h
 ;; #(
  hpux*) :
    $as_echo "#define SPT_TYPE SPT_PSTAT" >>confdefs.h
  ;; #(
  *) :
     ;;
esac
for ac_header in sys/pstat.h
do :
  ac_fn_c_check_header_mongrel "$LINENO" "sys/pstat.h" "ac_cv_header_sys_pstat_h" "$ac_includes_default"
if test "x$ac_cv_header_sys_pstat_h" = xyes; then :
  cat >>confdefs.h <<_ACEOF
#define HAVE_SYS_PSTAT_H 1
_ACEOF

fi

done



{ $as_echo "$as_me:${as_lineno-$LINENO}: checking for signbit" >&5
$as_echo_n "checking for signbit... " >&6; }
if ${rb_cv_have_signbit+:} false; then :
  $as_echo_n "(cached) " >&6
else
  cat confdefs.h - <<_ACEOF >conftest.$ac_ext
/* end confdefs.h.  */

#include <math.h>

int
main ()
{
int v = signbit(-0.0);
  ;
  return 0;
}
_ACEOF
if ac_fn_c_try_link "$LINENO"; then :
  rb_cv_have_signbit=yes
else
  rb_cv_have_signbit=no
fi
rm -f core conftest.err conftest.$ac_objext \
    conftest$ac_exeext conftest.$ac_ext
fi
{ $as_echo "$as_me:${as_lineno-$LINENO}: result: $rb_cv_have_signbit" >&5
    colorize_result "$rb_cv_have_signbit" ; }
if test "$rb_cv_have_signbit" = yes; then
  $as_echo "#define HAVE_SIGNBIT 1" >>confdefs.h

else
  case " $LIBOBJS " in
  *" signbit.$ac_objext "* ) ;;
  *) LIBOBJS="$LIBOBJS signbit.$ac_objext"
 ;;
esac

fi

{ $as_echo "$as_me:${as_lineno-$LINENO}: checking for broken memmem" >&5
$as_echo_n "checking for broken memmem... " >&6; }
if ${rb_cv_broken_memmem+:} false; then :
  $as_echo_n "(cached) " >&6
else

    if test "$cross_compiling" = yes; then :
  rb_cv_broken_memmem=yes
else
  cat confdefs.h - <<_ACEOF >conftest.$ac_ext
/* end confdefs.h.  */

#include <string.h>

int
main(int argc, char **argv)
{
    const char *str = "hogefugafoobar";
    const char *rs = "foo";
    const char *empty = "";
    char *p;

    p = memmem(str, strlen(str), rs, strlen(rs));
    if (p == str+8) {
	p = memmem(str, strlen(str), empty, strlen(empty));
	if (p == str)
	    return 0;
    }
    return 1;
}

_ACEOF
if ac_fn_c_try_run "$LINENO"; then :
  rb_cv_broken_memmem=no
else
  rb_cv_broken_memmem=yes
fi
rm -f core *.core core.conftest.* gmon.out bb.out conftest$ac_exeext \
  conftest.$ac_objext conftest.beam conftest.$ac_ext
fi


fi
{ $as_echo "$as_me:${as_lineno-$LINENO}: result: $rb_cv_broken_memmem" >&5
    colorize_result "$rb_cv_broken_memmem" ; }
test x"$rb_cv_broken_memmem" = xyes && ac_cv_func_memmem=no

ac_fn_c_check_type "$LINENO" "pid_t" "ac_cv_type_pid_t" "$ac_includes_default"
if test "x$ac_cv_type_pid_t" = xyes; then :

else

cat >>confdefs.h <<_ACEOF
#define pid_t int
_ACEOF

fi

for ac_header in vfork.h
do :
  ac_fn_c_check_header_mongrel "$LINENO" "vfork.h" "ac_cv_header_vfork_h" "$ac_includes_default"
if test "x$ac_cv_header_vfork_h" = xyes; then :
  cat >>confdefs.h <<_ACEOF
#define HAVE_VFORK_H 1
_ACEOF

fi

done

for ac_func in fork vfork
do :
  as_ac_var=`$as_echo "ac_cv_func_$ac_func" | $as_tr_sh`
ac_fn_c_check_func "$LINENO" "$ac_func" "$as_ac_var"
if eval test \"x\$"$as_ac_var"\" = x"yes"; then :
  cat >>confdefs.h <<_ACEOF
#define `$as_echo "HAVE_$ac_func" | $as_tr_cpp` 1
_ACEOF

fi
done

if test "x$ac_cv_func_fork" = xyes; then
  { $as_echo "$as_me:${as_lineno-$LINENO}: checking for working fork" >&5
$as_echo_n "checking for working fork... " >&6; }
if ${ac_cv_func_fork_works+:} false; then :
  $as_echo_n "(cached) " >&6
else
  if test "$cross_compiling" = yes; then :
  ac_cv_func_fork_works=cross
else
  cat confdefs.h - <<_ACEOF >conftest.$ac_ext
/* end confdefs.h.  */
$ac_includes_default
int
main ()
{

	  /* By Ruediger Kuhlmann. */
	  return fork () < 0;

  ;
  return 0;
}
_ACEOF
if ac_fn_c_try_run "$LINENO"; then :
  ac_cv_func_fork_works=yes
else
  ac_cv_func_fork_works=no
fi
rm -f core *.core core.conftest.* gmon.out bb.out conftest$ac_exeext \
  conftest.$ac_objext conftest.beam conftest.$ac_ext
fi

fi
{ $as_echo "$as_me:${as_lineno-$LINENO}: result: $ac_cv_func_fork_works" >&5
    colorize_result "$ac_cv_func_fork_works" ; }

else
  ac_cv_func_fork_works=$ac_cv_func_fork
fi
if test "x$ac_cv_func_fork_works" = xcross; then
  case $host in
    *-*-amigaos* | *-*-msdosdjgpp*)
      # Override, as these systems have only a dummy fork() stub
      ac_cv_func_fork_works=no
      ;;
    *)
      ac_cv_func_fork_works=yes
      ;;
  esac
  { $as_echo "$as_me:${as_lineno-$LINENO}: WARNING: result $ac_cv_func_fork_works guessed because of cross compilation" >&5
$as_echo "$as_me: WARNING: result $ac_cv_func_fork_works guessed because of cross compilation" >&2;}
fi
ac_cv_func_vfork_works=$ac_cv_func_vfork
if test "x$ac_cv_func_vfork" = xyes; then
  { $as_echo "$as_me:${as_lineno-$LINENO}: checking for working vfork" >&5
$as_echo_n "checking for working vfork... " >&6; }
if ${ac_cv_func_vfork_works+:} false; then :
  $as_echo_n "(cached) " >&6
else
  if test "$cross_compiling" = yes; then :
  ac_cv_func_vfork_works=cross
else
  cat confdefs.h - <<_ACEOF >conftest.$ac_ext
/* end confdefs.h.  */
/* Thanks to Paul Eggert for this test.  */
$ac_includes_default
#include <sys/wait.h>
#ifdef HAVE_VFORK_H
# include <vfork.h>
#endif
/* On some sparc systems, changes by the child to local and incoming
   argument registers are propagated back to the parent.  The compiler
   is told about this with #include <vfork.h>, but some compilers
   (e.g. gcc -O) don't grok <vfork.h>.  Test for this by using a
   static variable whose address is put into a register that is
   clobbered by the vfork.  */
static void
#ifdef __cplusplus
sparc_address_test (int arg)
# else
sparc_address_test (arg) int arg;
#endif
{
  static pid_t child;
  if (!child) {
    child = vfork ();
    if (child < 0) {
      perror ("vfork");
      _exit(2);
    }
    if (!child) {
      arg = getpid();
      write(-1, "", 0);
      _exit (arg);
    }
  }
}

int
main ()
{
  pid_t parent = getpid ();
  pid_t child;

  sparc_address_test (0);

  child = vfork ();

  if (child == 0) {
    /* Here is another test for sparc vfork register problems.  This
       test uses lots of local variables, at least as many local
       variables as main has allocated so far including compiler
       temporaries.  4 locals are enough for gcc 1.40.3 on a Solaris
       4.1.3 sparc, but we use 8 to be safe.  A buggy compiler should
       reuse the register of parent for one of the local variables,
       since it will think that parent can't possibly be used any more
       in this routine.  Assigning to the local variable will thus
       munge parent in the parent process.  */
    pid_t
      p = getpid(), p1 = getpid(), p2 = getpid(), p3 = getpid(),
      p4 = getpid(), p5 = getpid(), p6 = getpid(), p7 = getpid();
    /* Convince the compiler that p..p7 are live; otherwise, it might
       use the same hardware register for all 8 local variables.  */
    if (p != p1 || p != p2 || p != p3 || p != p4
	|| p != p5 || p != p6 || p != p7)
      _exit(1);

    /* On some systems (e.g. IRIX 3.3), vfork doesn't separate parent
       from child file descriptors.  If the child closes a descriptor
       before it execs or exits, this munges the parent's descriptor
       as well.  Test for this by closing stdout in the child.  */
    _exit(close(fileno(stdout)) != 0);
  } else {
    int status;
    struct stat st;

    while (wait(&status) != child)
      ;
    return (
	 /* Was there some problem with vforking?  */
	 child < 0

	 /* Did the child fail?  (This shouldn't happen.)  */
	 || status

	 /* Did the vfork/compiler bug occur?  */
	 || parent != getpid()

	 /* Did the file descriptor bug occur?  */
	 || fstat(fileno(stdout), &st) != 0
	 );
  }
}
_ACEOF
if ac_fn_c_try_run "$LINENO"; then :
  ac_cv_func_vfork_works=yes
else
  ac_cv_func_vfork_works=no
fi
rm -f core *.core core.conftest.* gmon.out bb.out conftest$ac_exeext \
  conftest.$ac_objext conftest.beam conftest.$ac_ext
fi

fi
{ $as_echo "$as_me:${as_lineno-$LINENO}: result: $ac_cv_func_vfork_works" >&5
    colorize_result "$ac_cv_func_vfork_works" ; }

fi;
if test "x$ac_cv_func_fork_works" = xcross; then
  ac_cv_func_vfork_works=$ac_cv_func_vfork
  { $as_echo "$as_me:${as_lineno-$LINENO}: WARNING: result $ac_cv_func_vfork_works guessed because of cross compilation" >&5
$as_echo "$as_me: WARNING: result $ac_cv_func_vfork_works guessed because of cross compilation" >&2;}
fi

if test "x$ac_cv_func_vfork_works" = xyes; then

$as_echo "#define HAVE_WORKING_VFORK 1" >>confdefs.h

else

$as_echo "#define vfork fork" >>confdefs.h

fi
if test "x$ac_cv_func_fork_works" = xyes; then

$as_echo "#define HAVE_WORKING_FORK 1" >>confdefs.h

fi


for ac_func in __syscall
do :
  ac_fn_c_check_func "$LINENO" "__syscall" "ac_cv_func___syscall"
if test "x$ac_cv_func___syscall" = xyes; then :
  cat >>confdefs.h <<_ACEOF
#define HAVE___SYSCALL 1
_ACEOF

fi
done

for ac_func in _longjmp
do :
  ac_fn_c_check_func "$LINENO" "_longjmp" "ac_cv_func__longjmp"
if test "x$ac_cv_func__longjmp" = xyes; then :
  cat >>confdefs.h <<_ACEOF
#define HAVE__LONGJMP 1
_ACEOF

fi
done
		# used for AC_ARG_WITH(setjmp-type)
# we don't use _setjmp if _longjmp doesn't exist.
test x$ac_cv_func__longjmp = xno && ac_cv_func__setjmp=no
for ac_func in arc4random_buf
do :
  ac_fn_c_check_func "$LINENO" "arc4random_buf" "ac_cv_func_arc4random_buf"
if test "x$ac_cv_func_arc4random_buf" = xyes; then :
  cat >>confdefs.h <<_ACEOF
#define HAVE_ARC4RANDOM_BUF 1
_ACEOF

fi
done

for ac_func in atan2l atan2f
do :
  as_ac_var=`$as_echo "ac_cv_func_$ac_func" | $as_tr_sh`
ac_fn_c_check_func "$LINENO" "$ac_func" "$as_ac_var"
if eval test \"x\$"$as_ac_var"\" = x"yes"; then :
  cat >>confdefs.h <<_ACEOF
#define `$as_echo "HAVE_$ac_func" | $as_tr_cpp` 1
_ACEOF

fi
done

for ac_func in chroot
do :
  ac_fn_c_check_func "$LINENO" "chroot" "ac_cv_func_chroot"
if test "x$ac_cv_func_chroot" = xyes; then :
  cat >>confdefs.h <<_ACEOF
#define HAVE_CHROOT 1
_ACEOF

fi
done

for ac_func in chsize
do :
  ac_fn_c_check_func "$LINENO" "chsize" "ac_cv_func_chsize"
if test "x$ac_cv_func_chsize" = xyes; then :
  cat >>confdefs.h <<_ACEOF
#define HAVE_CHSIZE 1
_ACEOF

fi
done

for ac_func in clock_gettime
do :
  ac_fn_c_check_func "$LINENO" "clock_gettime" "ac_cv_func_clock_gettime"
if test "x$ac_cv_func_clock_gettime" = xyes; then :
  cat >>confdefs.h <<_ACEOF
#define HAVE_CLOCK_GETTIME 1
_ACEOF

fi
done

for ac_func in cosh
do :
  ac_fn_c_check_func "$LINENO" "cosh" "ac_cv_func_cosh"
if test "x$ac_cv_func_cosh" = xyes; then :
  cat >>confdefs.h <<_ACEOF
#define HAVE_COSH 1
_ACEOF

fi
done

for ac_func in crypt_r
do :
  ac_fn_c_check_func "$LINENO" "crypt_r" "ac_cv_func_crypt_r"
if test "x$ac_cv_func_crypt_r" = xyes; then :
  cat >>confdefs.h <<_ACEOF
#define HAVE_CRYPT_R 1
_ACEOF

fi
done

for ac_func in daemon
do :
  ac_fn_c_check_func "$LINENO" "daemon" "ac_cv_func_daemon"
if test "x$ac_cv_func_daemon" = xyes; then :
  cat >>confdefs.h <<_ACEOF
#define HAVE_DAEMON 1
_ACEOF

fi
done

for ac_func in dirfd
do :
  ac_fn_c_check_func "$LINENO" "dirfd" "ac_cv_func_dirfd"
if test "x$ac_cv_func_dirfd" = xyes; then :
  cat >>confdefs.h <<_ACEOF
#define HAVE_DIRFD 1
_ACEOF

fi
done

for ac_func in dl_iterate_phdr
do :
  ac_fn_c_check_func "$LINENO" "dl_iterate_phdr" "ac_cv_func_dl_iterate_phdr"
if test "x$ac_cv_func_dl_iterate_phdr" = xyes; then :
  cat >>confdefs.h <<_ACEOF
#define HAVE_DL_ITERATE_PHDR 1
_ACEOF

fi
done

for ac_func in dlopen
do :
  ac_fn_c_check_func "$LINENO" "dlopen" "ac_cv_func_dlopen"
if test "x$ac_cv_func_dlopen" = xyes; then :
  cat >>confdefs.h <<_ACEOF
#define HAVE_DLOPEN 1
_ACEOF

fi
done

for ac_func in dladdr
do :
  ac_fn_c_check_func "$LINENO" "dladdr" "ac_cv_func_dladdr"
if test "x$ac_cv_func_dladdr" = xyes; then :
  cat >>confdefs.h <<_ACEOF
#define HAVE_DLADDR 1
_ACEOF

fi
done

for ac_func in dup
do :
  ac_fn_c_check_func "$LINENO" "dup" "ac_cv_func_dup"
if test "x$ac_cv_func_dup" = xyes; then :
  cat >>confdefs.h <<_ACEOF
#define HAVE_DUP 1
_ACEOF

fi
done

for ac_func in dup3
do :
  ac_fn_c_check_func "$LINENO" "dup3" "ac_cv_func_dup3"
if test "x$ac_cv_func_dup3" = xyes; then :
  cat >>confdefs.h <<_ACEOF
#define HAVE_DUP3 1
_ACEOF

fi
done

for ac_func in eaccess
do :
  ac_fn_c_check_func "$LINENO" "eaccess" "ac_cv_func_eaccess"
if test "x$ac_cv_func_eaccess" = xyes; then :
  cat >>confdefs.h <<_ACEOF
#define HAVE_EACCESS 1
_ACEOF

fi
done

for ac_func in endgrent
do :
  ac_fn_c_check_func "$LINENO" "endgrent" "ac_cv_func_endgrent"
if test "x$ac_cv_func_endgrent" = xyes; then :
  cat >>confdefs.h <<_ACEOF
#define HAVE_ENDGRENT 1
_ACEOF

fi
done

for ac_func in fchmod
do :
  ac_fn_c_check_func "$LINENO" "fchmod" "ac_cv_func_fchmod"
if test "x$ac_cv_func_fchmod" = xyes; then :
  cat >>confdefs.h <<_ACEOF
#define HAVE_FCHMOD 1
_ACEOF

fi
done

for ac_func in fchown
do :
  ac_fn_c_check_func "$LINENO" "fchown" "ac_cv_func_fchown"
if test "x$ac_cv_func_fchown" = xyes; then :
  cat >>confdefs.h <<_ACEOF
#define HAVE_FCHOWN 1
_ACEOF

fi
done

for ac_func in fcntl
do :
  ac_fn_c_check_func "$LINENO" "fcntl" "ac_cv_func_fcntl"
if test "x$ac_cv_func_fcntl" = xyes; then :
  cat >>confdefs.h <<_ACEOF
#define HAVE_FCNTL 1
_ACEOF

fi
done

for ac_func in fdatasync
do :
  ac_fn_c_check_func "$LINENO" "fdatasync" "ac_cv_func_fdatasync"
if test "x$ac_cv_func_fdatasync" = xyes; then :
  cat >>confdefs.h <<_ACEOF
#define HAVE_FDATASYNC 1
_ACEOF

fi
done

for ac_func in fgetattrlist
do :
  ac_fn_c_check_func "$LINENO" "fgetattrlist" "ac_cv_func_fgetattrlist"
if test "x$ac_cv_func_fgetattrlist" = xyes; then :
  cat >>confdefs.h <<_ACEOF
#define HAVE_FGETATTRLIST 1
_ACEOF

fi
done

for ac_func in fmod
do :
  ac_fn_c_check_func "$LINENO" "fmod" "ac_cv_func_fmod"
if test "x$ac_cv_func_fmod" = xyes; then :
  cat >>confdefs.h <<_ACEOF
#define HAVE_FMOD 1
_ACEOF

fi
done

for ac_func in fsync
do :
  ac_fn_c_check_func "$LINENO" "fsync" "ac_cv_func_fsync"
if test "x$ac_cv_func_fsync" = xyes; then :
  cat >>confdefs.h <<_ACEOF
#define HAVE_FSYNC 1
_ACEOF

fi
done

for ac_func in ftruncate
do :
  ac_fn_c_check_func "$LINENO" "ftruncate" "ac_cv_func_ftruncate"
if test "x$ac_cv_func_ftruncate" = xyes; then :
  cat >>confdefs.h <<_ACEOF
#define HAVE_FTRUNCATE 1
_ACEOF

fi
done

for ac_func in ftruncate64
do :
  ac_fn_c_check_func "$LINENO" "ftruncate64" "ac_cv_func_ftruncate64"
if test "x$ac_cv_func_ftruncate64" = xyes; then :
  cat >>confdefs.h <<_ACEOF
#define HAVE_FTRUNCATE64 1
_ACEOF

fi
done
		# used for Win32 platform
for ac_func in getattrlist
do :
  ac_fn_c_check_func "$LINENO" "getattrlist" "ac_cv_func_getattrlist"
if test "x$ac_cv_func_getattrlist" = xyes; then :
  cat >>confdefs.h <<_ACEOF
#define HAVE_GETATTRLIST 1
_ACEOF

fi
done

for ac_func in getcwd
do :
  ac_fn_c_check_func "$LINENO" "getcwd" "ac_cv_func_getcwd"
if test "x$ac_cv_func_getcwd" = xyes; then :
  cat >>confdefs.h <<_ACEOF
#define HAVE_GETCWD 1
_ACEOF

fi
done

for ac_func in getgidx
do :
  ac_fn_c_check_func "$LINENO" "getgidx" "ac_cv_func_getgidx"
if test "x$ac_cv_func_getgidx" = xyes; then :
  cat >>confdefs.h <<_ACEOF
#define HAVE_GETGIDX 1
_ACEOF

fi
done

for ac_func in getgrnam
do :
  ac_fn_c_check_func "$LINENO" "getgrnam" "ac_cv_func_getgrnam"
if test "x$ac_cv_func_getgrnam" = xyes; then :
  cat >>confdefs.h <<_ACEOF
#define HAVE_GETGRNAM 1
_ACEOF

fi
done

for ac_func in getgrnam_r
do :
  ac_fn_c_check_func "$LINENO" "getgrnam_r" "ac_cv_func_getgrnam_r"
if test "x$ac_cv_func_getgrnam_r" = xyes; then :
  cat >>confdefs.h <<_ACEOF
#define HAVE_GETGRNAM_R 1
_ACEOF

fi
done

for ac_func in getgroups
do :
  ac_fn_c_check_func "$LINENO" "getgroups" "ac_cv_func_getgroups"
if test "x$ac_cv_func_getgroups" = xyes; then :
  cat >>confdefs.h <<_ACEOF
#define HAVE_GETGROUPS 1
_ACEOF

fi
done

for ac_func in getpgid
do :
  ac_fn_c_check_func "$LINENO" "getpgid" "ac_cv_func_getpgid"
if test "x$ac_cv_func_getpgid" = xyes; then :
  cat >>confdefs.h <<_ACEOF
#define HAVE_GETPGID 1
_ACEOF

fi
done

for ac_func in getpgrp
do :
  ac_fn_c_check_func "$LINENO" "getpgrp" "ac_cv_func_getpgrp"
if test "x$ac_cv_func_getpgrp" = xyes; then :
  cat >>confdefs.h <<_ACEOF
#define HAVE_GETPGRP 1
_ACEOF

fi
done

for ac_func in getpriority
do :
  ac_fn_c_check_func "$LINENO" "getpriority" "ac_cv_func_getpriority"
if test "x$ac_cv_func_getpriority" = xyes; then :
  cat >>confdefs.h <<_ACEOF
#define HAVE_GETPRIORITY 1
_ACEOF

fi
done

for ac_func in getpwnam_r
do :
  ac_fn_c_check_func "$LINENO" "getpwnam_r" "ac_cv_func_getpwnam_r"
if test "x$ac_cv_func_getpwnam_r" = xyes; then :
  cat >>confdefs.h <<_ACEOF
#define HAVE_GETPWNAM_R 1
_ACEOF

fi
done

for ac_func in getresgid
do :
  ac_fn_c_check_func "$LINENO" "getresgid" "ac_cv_func_getresgid"
if test "x$ac_cv_func_getresgid" = xyes; then :
  cat >>confdefs.h <<_ACEOF
#define HAVE_GETRESGID 1
_ACEOF

fi
done

for ac_func in getresuid
do :
  ac_fn_c_check_func "$LINENO" "getresuid" "ac_cv_func_getresuid"
if test "x$ac_cv_func_getresuid" = xyes; then :
  cat >>confdefs.h <<_ACEOF
#define HAVE_GETRESUID 1
_ACEOF

fi
done

for ac_func in getrlimit
do :
  ac_fn_c_check_func "$LINENO" "getrlimit" "ac_cv_func_getrlimit"
if test "x$ac_cv_func_getrlimit" = xyes; then :
  cat >>confdefs.h <<_ACEOF
#define HAVE_GETRLIMIT 1
_ACEOF

fi
done

for ac_func in getsid
do :
  ac_fn_c_check_func "$LINENO" "getsid" "ac_cv_func_getsid"
if test "x$ac_cv_func_getsid" = xyes; then :
  cat >>confdefs.h <<_ACEOF
#define HAVE_GETSID 1
_ACEOF

fi
done

for ac_func in gettimeofday
do :
  ac_fn_c_check_func "$LINENO" "gettimeofday" "ac_cv_func_gettimeofday"
if test "x$ac_cv_func_gettimeofday" = xyes; then :
  cat >>confdefs.h <<_ACEOF
#define HAVE_GETTIMEOFDAY 1
_ACEOF

fi
done
		# for making ac_cv_func_gettimeofday
for ac_func in getuidx
do :
  ac_fn_c_check_func "$LINENO" "getuidx" "ac_cv_func_getuidx"
if test "x$ac_cv_func_getuidx" = xyes; then :
  cat >>confdefs.h <<_ACEOF
#define HAVE_GETUIDX 1
_ACEOF

fi
done

for ac_func in gmtime_r
do :
  ac_fn_c_check_func "$LINENO" "gmtime_r" "ac_cv_func_gmtime_r"
if test "x$ac_cv_func_gmtime_r" = xyes; then :
  cat >>confdefs.h <<_ACEOF
#define HAVE_GMTIME_R 1
_ACEOF

fi
done

for ac_func in initgroups
do :
  ac_fn_c_check_func "$LINENO" "initgroups" "ac_cv_func_initgroups"
if test "x$ac_cv_func_initgroups" = xyes; then :
  cat >>confdefs.h <<_ACEOF
#define HAVE_INITGROUPS 1
_ACEOF

fi
done

for ac_func in ioctl
do :
  ac_fn_c_check_func "$LINENO" "ioctl" "ac_cv_func_ioctl"
if test "x$ac_cv_func_ioctl" = xyes; then :
  cat >>confdefs.h <<_ACEOF
#define HAVE_IOCTL 1
_ACEOF

fi
done

for ac_func in isfinite
do :
  ac_fn_c_check_func "$LINENO" "isfinite" "ac_cv_func_isfinite"
if test "x$ac_cv_func_isfinite" = xyes; then :
  cat >>confdefs.h <<_ACEOF
#define HAVE_ISFINITE 1
_ACEOF

fi
done

for ac_func in issetugid
do :
  ac_fn_c_check_func "$LINENO" "issetugid" "ac_cv_func_issetugid"
if test "x$ac_cv_func_issetugid" = xyes; then :
  cat >>confdefs.h <<_ACEOF
#define HAVE_ISSETUGID 1
_ACEOF

fi
done

for ac_func in killpg
do :
  ac_fn_c_check_func "$LINENO" "killpg" "ac_cv_func_killpg"
if test "x$ac_cv_func_killpg" = xyes; then :
  cat >>confdefs.h <<_ACEOF
#define HAVE_KILLPG 1
_ACEOF

fi
done

for ac_func in lchmod
do :
  ac_fn_c_check_func "$LINENO" "lchmod" "ac_cv_func_lchmod"
if test "x$ac_cv_func_lchmod" = xyes; then :
  cat >>confdefs.h <<_ACEOF
#define HAVE_LCHMOD 1
_ACEOF

fi
done

for ac_func in lchown
do :
  ac_fn_c_check_func "$LINENO" "lchown" "ac_cv_func_lchown"
if test "x$ac_cv_func_lchown" = xyes; then :
  cat >>confdefs.h <<_ACEOF
#define HAVE_LCHOWN 1
_ACEOF

fi
done

for ac_func in link
do :
  ac_fn_c_check_func "$LINENO" "link" "ac_cv_func_link"
if test "x$ac_cv_func_link" = xyes; then :
  cat >>confdefs.h <<_ACEOF
#define HAVE_LINK 1
_ACEOF

fi
done

for ac_func in llabs
do :
  ac_fn_c_check_func "$LINENO" "llabs" "ac_cv_func_llabs"
if test "x$ac_cv_func_llabs" = xyes; then :
  cat >>confdefs.h <<_ACEOF
#define HAVE_LLABS 1
_ACEOF

fi
done

for ac_func in lockf
do :
  ac_fn_c_check_func "$LINENO" "lockf" "ac_cv_func_lockf"
if test "x$ac_cv_func_lockf" = xyes; then :
  cat >>confdefs.h <<_ACEOF
#define HAVE_LOCKF 1
_ACEOF

fi
done

for ac_func in log2
do :
  ac_fn_c_check_func "$LINENO" "log2" "ac_cv_func_log2"
if test "x$ac_cv_func_log2" = xyes; then :
  cat >>confdefs.h <<_ACEOF
#define HAVE_LOG2 1
_ACEOF

fi
done

for ac_func in lstat
do :
  ac_fn_c_check_func "$LINENO" "lstat" "ac_cv_func_lstat"
if test "x$ac_cv_func_lstat" = xyes; then :
  cat >>confdefs.h <<_ACEOF
#define HAVE_LSTAT 1
_ACEOF

fi
done

for ac_func in malloc_usable_size
do :
  ac_fn_c_check_func "$LINENO" "malloc_usable_size" "ac_cv_func_malloc_usable_size"
if test "x$ac_cv_func_malloc_usable_size" = xyes; then :
  cat >>confdefs.h <<_ACEOF
#define HAVE_MALLOC_USABLE_SIZE 1
_ACEOF

fi
done

for ac_func in malloc_size
do :
  ac_fn_c_check_func "$LINENO" "malloc_size" "ac_cv_func_malloc_size"
if test "x$ac_cv_func_malloc_size" = xyes; then :
  cat >>confdefs.h <<_ACEOF
#define HAVE_MALLOC_SIZE 1
_ACEOF

fi
done

for ac_func in mblen
do :
  ac_fn_c_check_func "$LINENO" "mblen" "ac_cv_func_mblen"
if test "x$ac_cv_func_mblen" = xyes; then :
  cat >>confdefs.h <<_ACEOF
#define HAVE_MBLEN 1
_ACEOF

fi
done

for ac_func in memalign
do :
  ac_fn_c_check_func "$LINENO" "memalign" "ac_cv_func_memalign"
if test "x$ac_cv_func_memalign" = xyes; then :
  cat >>confdefs.h <<_ACEOF
#define HAVE_MEMALIGN 1
_ACEOF

fi
done

for ac_func in memset_s
do :
  ac_fn_c_check_func "$LINENO" "memset_s" "ac_cv_func_memset_s"
if test "x$ac_cv_func_memset_s" = xyes; then :
  cat >>confdefs.h <<_ACEOF
#define HAVE_MEMSET_S 1
_ACEOF

fi
done

for ac_func in writev
do :
  ac_fn_c_check_func "$LINENO" "writev" "ac_cv_func_writev"
if test "x$ac_cv_func_writev" = xyes; then :
  cat >>confdefs.h <<_ACEOF
#define HAVE_WRITEV 1
_ACEOF

fi
done

for ac_func in memrchr
do :
  ac_fn_c_check_func "$LINENO" "memrchr" "ac_cv_func_memrchr"
if test "x$ac_cv_func_memrchr" = xyes; then :
  cat >>confdefs.h <<_ACEOF
#define HAVE_MEMRCHR 1
_ACEOF

fi
done

for ac_func in memmem
do :
  ac_fn_c_check_func "$LINENO" "memmem" "ac_cv_func_memmem"
if test "x$ac_cv_func_memmem" = xyes; then :
  cat >>confdefs.h <<_ACEOF
#define HAVE_MEMMEM 1
_ACEOF

fi
done

for ac_func in mkfifo
do :
  ac_fn_c_check_func "$LINENO" "mkfifo" "ac_cv_func_mkfifo"
if test "x$ac_cv_func_mkfifo" = xyes; then :
  cat >>confdefs.h <<_ACEOF
#define HAVE_MKFIFO 1
_ACEOF

fi
done

for ac_func in mknod
do :
  ac_fn_c_check_func "$LINENO" "mknod" "ac_cv_func_mknod"
if test "x$ac_cv_func_mknod" = xyes; then :
  cat >>confdefs.h <<_ACEOF
#define HAVE_MKNOD 1
_ACEOF

fi
done

for ac_func in mktime
do :
  ac_fn_c_check_func "$LINENO" "mktime" "ac_cv_func_mktime"
if test "x$ac_cv_func_mktime" = xyes; then :
  cat >>confdefs.h <<_ACEOF
#define HAVE_MKTIME 1
_ACEOF

fi
done

for ac_func in pipe2
do :
  ac_fn_c_check_func "$LINENO" "pipe2" "ac_cv_func_pipe2"
if test "x$ac_cv_func_pipe2" = xyes; then :
  cat >>confdefs.h <<_ACEOF
#define HAVE_PIPE2 1
_ACEOF

fi
done

for ac_func in poll
do :
  ac_fn_c_check_func "$LINENO" "poll" "ac_cv_func_poll"
if test "x$ac_cv_func_poll" = xyes; then :
  cat >>confdefs.h <<_ACEOF
#define HAVE_POLL 1
_ACEOF

fi
done

for ac_func in posix_fadvise
do :
  ac_fn_c_check_func "$LINENO" "posix_fadvise" "ac_cv_func_posix_fadvise"
if test "x$ac_cv_func_posix_fadvise" = xyes; then :
  cat >>confdefs.h <<_ACEOF
#define HAVE_POSIX_FADVISE 1
_ACEOF

fi
done

for ac_func in posix_memalign
do :
  ac_fn_c_check_func "$LINENO" "posix_memalign" "ac_cv_func_posix_memalign"
if test "x$ac_cv_func_posix_memalign" = xyes; then :
  cat >>confdefs.h <<_ACEOF
#define HAVE_POSIX_MEMALIGN 1
_ACEOF

fi
done

for ac_func in ppoll
do :
  ac_fn_c_check_func "$LINENO" "ppoll" "ac_cv_func_ppoll"
if test "x$ac_cv_func_ppoll" = xyes; then :
  cat >>confdefs.h <<_ACEOF
#define HAVE_PPOLL 1
_ACEOF

fi
done

for ac_func in pread
do :
  ac_fn_c_check_func "$LINENO" "pread" "ac_cv_func_pread"
if test "x$ac_cv_func_pread" = xyes; then :
  cat >>confdefs.h <<_ACEOF
#define HAVE_PREAD 1
_ACEOF

fi
done

for ac_func in qsort_r
do :
  ac_fn_c_check_func "$LINENO" "qsort_r" "ac_cv_func_qsort_r"
if test "x$ac_cv_func_qsort_r" = xyes; then :
  cat >>confdefs.h <<_ACEOF
#define HAVE_QSORT_R 1
_ACEOF

fi
done

for ac_func in qsort_s
do :
  ac_fn_c_check_func "$LINENO" "qsort_s" "ac_cv_func_qsort_s"
if test "x$ac_cv_func_qsort_s" = xyes; then :
  cat >>confdefs.h <<_ACEOF
#define HAVE_QSORT_S 1
_ACEOF

fi
done

for ac_func in readlink
do :
  ac_fn_c_check_func "$LINENO" "readlink" "ac_cv_func_readlink"
if test "x$ac_cv_func_readlink" = xyes; then :
  cat >>confdefs.h <<_ACEOF
#define HAVE_READLINK 1
_ACEOF

fi
done

for ac_func in round
do :
  ac_fn_c_check_func "$LINENO" "round" "ac_cv_func_round"
if test "x$ac_cv_func_round" = xyes; then :
  cat >>confdefs.h <<_ACEOF
#define HAVE_ROUND 1
_ACEOF

fi
done

for ac_func in sched_getaffinity
do :
  ac_fn_c_check_func "$LINENO" "sched_getaffinity" "ac_cv_func_sched_getaffinity"
if test "x$ac_cv_func_sched_getaffinity" = xyes; then :
  cat >>confdefs.h <<_ACEOF
#define HAVE_SCHED_GETAFFINITY 1
_ACEOF

fi
done

for ac_func in seekdir
do :
  ac_fn_c_check_func "$LINENO" "seekdir" "ac_cv_func_seekdir"
if test "x$ac_cv_func_seekdir" = xyes; then :
  cat >>confdefs.h <<_ACEOF
#define HAVE_SEEKDIR 1
_ACEOF

fi
done

for ac_func in select_large_fdset
do :
  ac_fn_c_check_func "$LINENO" "select_large_fdset" "ac_cv_func_select_large_fdset"
if test "x$ac_cv_func_select_large_fdset" = xyes; then :
  cat >>confdefs.h <<_ACEOF
#define HAVE_SELECT_LARGE_FDSET 1
_ACEOF

fi
done

for ac_func in sendfile
do :
  ac_fn_c_check_func "$LINENO" "sendfile" "ac_cv_func_sendfile"
if test "x$ac_cv_func_sendfile" = xyes; then :
  cat >>confdefs.h <<_ACEOF
#define HAVE_SENDFILE 1
_ACEOF

fi
done

for ac_func in setegid
do :
  ac_fn_c_check_func "$LINENO" "setegid" "ac_cv_func_setegid"
if test "x$ac_cv_func_setegid" = xyes; then :
  cat >>confdefs.h <<_ACEOF
#define HAVE_SETEGID 1
_ACEOF

fi
done

for ac_func in setenv
do :
  ac_fn_c_check_func "$LINENO" "setenv" "ac_cv_func_setenv"
if test "x$ac_cv_func_setenv" = xyes; then :
  cat >>confdefs.h <<_ACEOF
#define HAVE_SETENV 1
_ACEOF

fi
done

for ac_func in seteuid
do :
  ac_fn_c_check_func "$LINENO" "seteuid" "ac_cv_func_seteuid"
if test "x$ac_cv_func_seteuid" = xyes; then :
  cat >>confdefs.h <<_ACEOF
#define HAVE_SETEUID 1
_ACEOF

fi
done

for ac_func in setgid
do :
  ac_fn_c_check_func "$LINENO" "setgid" "ac_cv_func_setgid"
if test "x$ac_cv_func_setgid" = xyes; then :
  cat >>confdefs.h <<_ACEOF
#define HAVE_SETGID 1
_ACEOF

fi
done

for ac_func in setgroups
do :
  ac_fn_c_check_func "$LINENO" "setgroups" "ac_cv_func_setgroups"
if test "x$ac_cv_func_setgroups" = xyes; then :
  cat >>confdefs.h <<_ACEOF
#define HAVE_SETGROUPS 1
_ACEOF

fi
done

for ac_func in setpgid
do :
  ac_fn_c_check_func "$LINENO" "setpgid" "ac_cv_func_setpgid"
if test "x$ac_cv_func_setpgid" = xyes; then :
  cat >>confdefs.h <<_ACEOF
#define HAVE_SETPGID 1
_ACEOF

fi
done

for ac_func in setpgrp
do :
  ac_fn_c_check_func "$LINENO" "setpgrp" "ac_cv_func_setpgrp"
if test "x$ac_cv_func_setpgrp" = xyes; then :
  cat >>confdefs.h <<_ACEOF
#define HAVE_SETPGRP 1
_ACEOF

fi
done

for ac_func in setregid
do :
  ac_fn_c_check_func "$LINENO" "setregid" "ac_cv_func_setregid"
if test "x$ac_cv_func_setregid" = xyes; then :
  cat >>confdefs.h <<_ACEOF
#define HAVE_SETREGID 1
_ACEOF

fi
done

for ac_func in setresgid
do :
  ac_fn_c_check_func "$LINENO" "setresgid" "ac_cv_func_setresgid"
if test "x$ac_cv_func_setresgid" = xyes; then :
  cat >>confdefs.h <<_ACEOF
#define HAVE_SETRESGID 1
_ACEOF

fi
done

for ac_func in setresuid
do :
  ac_fn_c_check_func "$LINENO" "setresuid" "ac_cv_func_setresuid"
if test "x$ac_cv_func_setresuid" = xyes; then :
  cat >>confdefs.h <<_ACEOF
#define HAVE_SETRESUID 1
_ACEOF

fi
done

for ac_func in setreuid
do :
  ac_fn_c_check_func "$LINENO" "setreuid" "ac_cv_func_setreuid"
if test "x$ac_cv_func_setreuid" = xyes; then :
  cat >>confdefs.h <<_ACEOF
#define HAVE_SETREUID 1
_ACEOF

fi
done

for ac_func in setrgid
do :
  ac_fn_c_check_func "$LINENO" "setrgid" "ac_cv_func_setrgid"
if test "x$ac_cv_func_setrgid" = xyes; then :
  cat >>confdefs.h <<_ACEOF
#define HAVE_SETRGID 1
_ACEOF

fi
done

for ac_func in setrlimit
do :
  ac_fn_c_check_func "$LINENO" "setrlimit" "ac_cv_func_setrlimit"
if test "x$ac_cv_func_setrlimit" = xyes; then :
  cat >>confdefs.h <<_ACEOF
#define HAVE_SETRLIMIT 1
_ACEOF

fi
done

for ac_func in setruid
do :
  ac_fn_c_check_func "$LINENO" "setruid" "ac_cv_func_setruid"
if test "x$ac_cv_func_setruid" = xyes; then :
  cat >>confdefs.h <<_ACEOF
#define HAVE_SETRUID 1
_ACEOF

fi
done

for ac_func in setsid
do :
  ac_fn_c_check_func "$LINENO" "setsid" "ac_cv_func_setsid"
if test "x$ac_cv_func_setsid" = xyes; then :
  cat >>confdefs.h <<_ACEOF
#define HAVE_SETSID 1
_ACEOF

fi
done

for ac_func in setuid
do :
  ac_fn_c_check_func "$LINENO" "setuid" "ac_cv_func_setuid"
if test "x$ac_cv_func_setuid" = xyes; then :
  cat >>confdefs.h <<_ACEOF
#define HAVE_SETUID 1
_ACEOF

fi
done

for ac_func in shutdown
do :
  ac_fn_c_check_func "$LINENO" "shutdown" "ac_cv_func_shutdown"
if test "x$ac_cv_func_shutdown" = xyes; then :
  cat >>confdefs.h <<_ACEOF
#define HAVE_SHUTDOWN 1
_ACEOF

fi
done

for ac_func in sigaction
do :
  ac_fn_c_check_func "$LINENO" "sigaction" "ac_cv_func_sigaction"
if test "x$ac_cv_func_sigaction" = xyes; then :
  cat >>confdefs.h <<_ACEOF
#define HAVE_SIGACTION 1
_ACEOF

fi
done

for ac_func in sigaltstack
do :
  ac_fn_c_check_func "$LINENO" "sigaltstack" "ac_cv_func_sigaltstack"
if test "x$ac_cv_func_sigaltstack" = xyes; then :
  cat >>confdefs.h <<_ACEOF
#define HAVE_SIGALTSTACK 1
_ACEOF

fi
done

for ac_func in sigprocmask
do :
  ac_fn_c_check_func "$LINENO" "sigprocmask" "ac_cv_func_sigprocmask"
if test "x$ac_cv_func_sigprocmask" = xyes; then :
  cat >>confdefs.h <<_ACEOF
#define HAVE_SIGPROCMASK 1
_ACEOF

fi
done

for ac_func in sinh
do :
  ac_fn_c_check_func "$LINENO" "sinh" "ac_cv_func_sinh"
if test "x$ac_cv_func_sinh" = xyes; then :
  cat >>confdefs.h <<_ACEOF
#define HAVE_SINH 1
_ACEOF

fi
done

for ac_func in spawnv
do :
  ac_fn_c_check_func "$LINENO" "spawnv" "ac_cv_func_spawnv"
if test "x$ac_cv_func_spawnv" = xyes; then :
  cat >>confdefs.h <<_ACEOF
#define HAVE_SPAWNV 1
_ACEOF

fi
done

for ac_func in symlink
do :
  ac_fn_c_check_func "$LINENO" "symlink" "ac_cv_func_symlink"
if test "x$ac_cv_func_symlink" = xyes; then :
  cat >>confdefs.h <<_ACEOF
#define HAVE_SYMLINK 1
_ACEOF

fi
done

for ac_func in syscall
do :
  ac_fn_c_check_func "$LINENO" "syscall" "ac_cv_func_syscall"
if test "x$ac_cv_func_syscall" = xyes; then :
  cat >>confdefs.h <<_ACEOF
#define HAVE_SYSCALL 1
_ACEOF

fi
done

for ac_func in sysconf
do :
  ac_fn_c_check_func "$LINENO" "sysconf" "ac_cv_func_sysconf"
if test "x$ac_cv_func_sysconf" = xyes; then :
  cat >>confdefs.h <<_ACEOF
#define HAVE_SYSCONF 1
_ACEOF

fi
done

for ac_func in tanh
do :
  ac_fn_c_check_func "$LINENO" "tanh" "ac_cv_func_tanh"
if test "x$ac_cv_func_tanh" = xyes; then :
  cat >>confdefs.h <<_ACEOF
#define HAVE_TANH 1
_ACEOF

fi
done

for ac_func in telldir
do :
  ac_fn_c_check_func "$LINENO" "telldir" "ac_cv_func_telldir"
if test "x$ac_cv_func_telldir" = xyes; then :
  cat >>confdefs.h <<_ACEOF
#define HAVE_TELLDIR 1
_ACEOF

fi
done

for ac_func in timegm
do :
  ac_fn_c_check_func "$LINENO" "timegm" "ac_cv_func_timegm"
if test "x$ac_cv_func_timegm" = xyes; then :
  cat >>confdefs.h <<_ACEOF
#define HAVE_TIMEGM 1
_ACEOF

fi
done

for ac_func in times
do :
  ac_fn_c_check_func "$LINENO" "times" "ac_cv_func_times"
if test "x$ac_cv_func_times" = xyes; then :
  cat >>confdefs.h <<_ACEOF
#define HAVE_TIMES 1
_ACEOF

fi
done

for ac_func in truncate
do :
  ac_fn_c_check_func "$LINENO" "truncate" "ac_cv_func_truncate"
if test "x$ac_cv_func_truncate" = xyes; then :
  cat >>confdefs.h <<_ACEOF
#define HAVE_TRUNCATE 1
_ACEOF

fi
done

for ac_func in truncate64
do :
  ac_fn_c_check_func "$LINENO" "truncate64" "ac_cv_func_truncate64"
if test "x$ac_cv_func_truncate64" = xyes; then :
  cat >>confdefs.h <<_ACEOF
#define HAVE_TRUNCATE64 1
_ACEOF

fi
done
		# used for Win32
for ac_func in unsetenv
do :
  ac_fn_c_check_func "$LINENO" "unsetenv" "ac_cv_func_unsetenv"
if test "x$ac_cv_func_unsetenv" = xyes; then :
  cat >>confdefs.h <<_ACEOF
#define HAVE_UNSETENV 1
_ACEOF

fi
done

for ac_func in utimensat
do :
  ac_fn_c_check_func "$LINENO" "utimensat" "ac_cv_func_utimensat"
if test "x$ac_cv_func_utimensat" = xyes; then :
  cat >>confdefs.h <<_ACEOF
#define HAVE_UTIMENSAT 1
_ACEOF

fi
done

for ac_func in utimes
do :
  ac_fn_c_check_func "$LINENO" "utimes" "ac_cv_func_utimes"
if test "x$ac_cv_func_utimes" = xyes; then :
  cat >>confdefs.h <<_ACEOF
#define HAVE_UTIMES 1
_ACEOF

fi
done

for ac_func in wait4
do :
  ac_fn_c_check_func "$LINENO" "wait4" "ac_cv_func_wait4"
if test "x$ac_cv_func_wait4" = xyes; then :
  cat >>confdefs.h <<_ACEOF
#define HAVE_WAIT4 1
_ACEOF

fi
done

for ac_func in waitpid
do :
  ac_fn_c_check_func "$LINENO" "waitpid" "ac_cv_func_waitpid"
if test "x$ac_cv_func_waitpid" = xyes; then :
  cat >>confdefs.h <<_ACEOF
#define HAVE_WAITPID 1
_ACEOF

fi
done


if test "$ac_cv_func_memset_s" = yes; then :
      test "X!defined __STDC_WANT_LIB_EXT1__" = X || cat <<EOH >> confdefs.h
#if !defined __STDC_WANT_LIB_EXT1__
EOH
cat >>confdefs.h <<_ACEOF
#define __STDC_WANT_LIB_EXT1__ 1
_ACEOF
    test "X!defined __STDC_WANT_LIB_EXT1__" = X || cat <<EOH >> confdefs.h
#endif /* !defined __STDC_WANT_LIB_EXT1__ */
EOH

fi

if test "$ac_cv_func_getcwd" = yes; then :

    { $as_echo "$as_me:${as_lineno-$LINENO}: checking if getcwd allocates buffer if NULL is given" >&5
$as_echo_n "checking if getcwd allocates buffer if NULL is given... " >&6; }
if ${rb_cv_getcwd_malloc+:} false; then :
  $as_echo_n "(cached) " >&6
else
  if test "$cross_compiling" = yes; then :
  case $target_os in #(
  linux*|darwin*|*bsd|cygwin*|mingw*|mswin*) :
    rb_cv_getcwd_malloc=yes ;; #(
  *) :
    rb_cv_getcwd_malloc=no ;;
esac
else
  cat confdefs.h - <<_ACEOF >conftest.$ac_ext
/* end confdefs.h.  */

#include <stddef.h>
#include <stdio.h>
#ifdef HAVE_UNISTD_H
#include <unistd.h>
#endif
#ifndef EXIT_SUCCESS
#define EXIT_SUCCESS 0
#endif
#ifndef EXIT_FAILURE
#define EXIT_FAILURE 1
#endif

int
main(int argc, char **argv)
{
    if (!getcwd(NULL, 0)) return EXIT_FAILURE;
    return EXIT_SUCCESS;
}

_ACEOF
if ac_fn_c_try_run "$LINENO"; then :
  rb_cv_getcwd_malloc=yes
else
  rb_cv_getcwd_malloc=no
fi
rm -f core *.core core.conftest.* gmon.out bb.out conftest$ac_exeext \
  conftest.$ac_objext conftest.beam conftest.$ac_ext
fi

fi
{ $as_echo "$as_me:${as_lineno-$LINENO}: result: $rb_cv_getcwd_malloc" >&5
    colorize_result "$rb_cv_getcwd_malloc" ; }
    if test "$rb_cv_getcwd_malloc" = no; then :
  $as_echo "#define NO_GETCWD_MALLOC 1" >>confdefs.h

fi

fi

if test "$ac_cv_func_crypt_r" = yes; then :
  for ac_header in crypt.h
do :
  ac_fn_c_check_header_mongrel "$LINENO" "crypt.h" "ac_cv_header_crypt_h" "$ac_includes_default"
if test "x$ac_cv_header_crypt_h" = xyes; then :
  cat >>confdefs.h <<_ACEOF
#define HAVE_CRYPT_H 1
_ACEOF

fi

done

fi
if test "$ac_cv_func_crypt_r:$ac_cv_header_crypt_h" = yes:yes; then :
  ac_fn_c_check_member "$LINENO" "struct crypt_data" "initialized" "ac_cv_member_struct_crypt_data_initialized" "#include <crypt.h>

"
if test "x$ac_cv_member_struct_crypt_data_initialized" = xyes; then :

cat >>confdefs.h <<_ACEOF
#define HAVE_STRUCT_CRYPT_DATA_INITIALIZED 1
_ACEOF


fi

fi


{ $as_echo "$as_me:${as_lineno-$LINENO}: checking for __builtin_bswap16" >&5
$as_echo_n "checking for __builtin_bswap16... " >&6; }
if ${rb_cv_builtin___builtin_bswap16+:} false; then :
  $as_echo_n "(cached) " >&6
else
  cat confdefs.h - <<_ACEOF >conftest.$ac_ext
/* end confdefs.h.  */
int foo;
int
main ()
{
__builtin_bswap16(0);
  ;
  return 0;
}
_ACEOF
if ac_fn_c_try_link "$LINENO"; then :
  rb_cv_builtin___builtin_bswap16=yes
else
  rb_cv_builtin___builtin_bswap16=no
fi
rm -f core conftest.err conftest.$ac_objext \
    conftest$ac_exeext conftest.$ac_ext
fi
{ $as_echo "$as_me:${as_lineno-$LINENO}: result: $rb_cv_builtin___builtin_bswap16" >&5
    colorize_result "$rb_cv_builtin___builtin_bswap16" ; }
if test "${rb_cv_builtin___builtin_bswap16}" != no; then
  $as_echo "#define HAVE_BUILTIN___BUILTIN_BSWAP16 1" >>confdefs.h

fi
{ $as_echo "$as_me:${as_lineno-$LINENO}: checking for __builtin_bswap32" >&5
$as_echo_n "checking for __builtin_bswap32... " >&6; }
if ${rb_cv_builtin___builtin_bswap32+:} false; then :
  $as_echo_n "(cached) " >&6
else
  cat confdefs.h - <<_ACEOF >conftest.$ac_ext
/* end confdefs.h.  */
int foo;
int
main ()
{
__builtin_bswap32(0);
  ;
  return 0;
}
_ACEOF
if ac_fn_c_try_link "$LINENO"; then :
  rb_cv_builtin___builtin_bswap32=yes
else
  rb_cv_builtin___builtin_bswap32=no
fi
rm -f core conftest.err conftest.$ac_objext \
    conftest$ac_exeext conftest.$ac_ext
fi
{ $as_echo "$as_me:${as_lineno-$LINENO}: result: $rb_cv_builtin___builtin_bswap32" >&5
    colorize_result "$rb_cv_builtin___builtin_bswap32" ; }
if test "${rb_cv_builtin___builtin_bswap32}" != no; then
  $as_echo "#define HAVE_BUILTIN___BUILTIN_BSWAP32 1" >>confdefs.h

fi
{ $as_echo "$as_me:${as_lineno-$LINENO}: checking for __builtin_bswap64" >&5
$as_echo_n "checking for __builtin_bswap64... " >&6; }
if ${rb_cv_builtin___builtin_bswap64+:} false; then :
  $as_echo_n "(cached) " >&6
else
  cat confdefs.h - <<_ACEOF >conftest.$ac_ext
/* end confdefs.h.  */
int foo;
int
main ()
{
__builtin_bswap64(0);
  ;
  return 0;
}
_ACEOF
if ac_fn_c_try_link "$LINENO"; then :
  rb_cv_builtin___builtin_bswap64=yes
else
  rb_cv_builtin___builtin_bswap64=no
fi
rm -f core conftest.err conftest.$ac_objext \
    conftest$ac_exeext conftest.$ac_ext
fi
{ $as_echo "$as_me:${as_lineno-$LINENO}: result: $rb_cv_builtin___builtin_bswap64" >&5
    colorize_result "$rb_cv_builtin___builtin_bswap64" ; }
if test "${rb_cv_builtin___builtin_bswap64}" != no; then
  $as_echo "#define HAVE_BUILTIN___BUILTIN_BSWAP64 1" >>confdefs.h

fi
{ $as_echo "$as_me:${as_lineno-$LINENO}: checking for __builtin_popcount" >&5
$as_echo_n "checking for __builtin_popcount... " >&6; }
if ${rb_cv_builtin___builtin_popcount+:} false; then :
  $as_echo_n "(cached) " >&6
else
  cat confdefs.h - <<_ACEOF >conftest.$ac_ext
/* end confdefs.h.  */
int foo;
int
main ()
{
__builtin_popcount(0);
  ;
  return 0;
}
_ACEOF
if ac_fn_c_try_link "$LINENO"; then :
  rb_cv_builtin___builtin_popcount=yes
else
  rb_cv_builtin___builtin_popcount=no
fi
rm -f core conftest.err conftest.$ac_objext \
    conftest$ac_exeext conftest.$ac_ext
fi
{ $as_echo "$as_me:${as_lineno-$LINENO}: result: $rb_cv_builtin___builtin_popcount" >&5
    colorize_result "$rb_cv_builtin___builtin_popcount" ; }
if test "${rb_cv_builtin___builtin_popcount}" != no; then
  $as_echo "#define HAVE_BUILTIN___BUILTIN_POPCOUNT 1" >>confdefs.h

fi
{ $as_echo "$as_me:${as_lineno-$LINENO}: checking for __builtin_popcountll" >&5
$as_echo_n "checking for __builtin_popcountll... " >&6; }
if ${rb_cv_builtin___builtin_popcountll+:} false; then :
  $as_echo_n "(cached) " >&6
else
  cat confdefs.h - <<_ACEOF >conftest.$ac_ext
/* end confdefs.h.  */
int foo;
int
main ()
{
__builtin_popcountll(0);
  ;
  return 0;
}
_ACEOF
if ac_fn_c_try_link "$LINENO"; then :
  rb_cv_builtin___builtin_popcountll=yes
else
  rb_cv_builtin___builtin_popcountll=no
fi
rm -f core conftest.err conftest.$ac_objext \
    conftest$ac_exeext conftest.$ac_ext
fi
{ $as_echo "$as_me:${as_lineno-$LINENO}: result: $rb_cv_builtin___builtin_popcountll" >&5
    colorize_result "$rb_cv_builtin___builtin_popcountll" ; }
if test "${rb_cv_builtin___builtin_popcountll}" != no; then
  $as_echo "#define HAVE_BUILTIN___BUILTIN_POPCOUNTLL 1" >>confdefs.h

fi
{ $as_echo "$as_me:${as_lineno-$LINENO}: checking for __builtin_clz" >&5
$as_echo_n "checking for __builtin_clz... " >&6; }
if ${rb_cv_builtin___builtin_clz+:} false; then :
  $as_echo_n "(cached) " >&6
else
  cat confdefs.h - <<_ACEOF >conftest.$ac_ext
/* end confdefs.h.  */
int foo;
int
main ()
{
__builtin_clz(0);
  ;
  return 0;
}
_ACEOF
if ac_fn_c_try_link "$LINENO"; then :
  rb_cv_builtin___builtin_clz=yes
else
  rb_cv_builtin___builtin_clz=no
fi
rm -f core conftest.err conftest.$ac_objext \
    conftest$ac_exeext conftest.$ac_ext
fi
{ $as_echo "$as_me:${as_lineno-$LINENO}: result: $rb_cv_builtin___builtin_clz" >&5
    colorize_result "$rb_cv_builtin___builtin_clz" ; }
if test "${rb_cv_builtin___builtin_clz}" != no; then
  $as_echo "#define HAVE_BUILTIN___BUILTIN_CLZ 1" >>confdefs.h

fi
{ $as_echo "$as_me:${as_lineno-$LINENO}: checking for __builtin_clzl" >&5
$as_echo_n "checking for __builtin_clzl... " >&6; }
if ${rb_cv_builtin___builtin_clzl+:} false; then :
  $as_echo_n "(cached) " >&6
else
  cat confdefs.h - <<_ACEOF >conftest.$ac_ext
/* end confdefs.h.  */
int foo;
int
main ()
{
__builtin_clzl(0);
  ;
  return 0;
}
_ACEOF
if ac_fn_c_try_link "$LINENO"; then :
  rb_cv_builtin___builtin_clzl=yes
else
  rb_cv_builtin___builtin_clzl=no
fi
rm -f core conftest.err conftest.$ac_objext \
    conftest$ac_exeext conftest.$ac_ext
fi
{ $as_echo "$as_me:${as_lineno-$LINENO}: result: $rb_cv_builtin___builtin_clzl" >&5
    colorize_result "$rb_cv_builtin___builtin_clzl" ; }
if test "${rb_cv_builtin___builtin_clzl}" != no; then
  $as_echo "#define HAVE_BUILTIN___BUILTIN_CLZL 1" >>confdefs.h

fi
{ $as_echo "$as_me:${as_lineno-$LINENO}: checking for __builtin_clzll" >&5
$as_echo_n "checking for __builtin_clzll... " >&6; }
if ${rb_cv_builtin___builtin_clzll+:} false; then :
  $as_echo_n "(cached) " >&6
else
  cat confdefs.h - <<_ACEOF >conftest.$ac_ext
/* end confdefs.h.  */
int foo;
int
main ()
{
__builtin_clzll(0);
  ;
  return 0;
}
_ACEOF
if ac_fn_c_try_link "$LINENO"; then :
  rb_cv_builtin___builtin_clzll=yes
else
  rb_cv_builtin___builtin_clzll=no
fi
rm -f core conftest.err conftest.$ac_objext \
    conftest$ac_exeext conftest.$ac_ext
fi
{ $as_echo "$as_me:${as_lineno-$LINENO}: result: $rb_cv_builtin___builtin_clzll" >&5
    colorize_result "$rb_cv_builtin___builtin_clzll" ; }
if test "${rb_cv_builtin___builtin_clzll}" != no; then
  $as_echo "#define HAVE_BUILTIN___BUILTIN_CLZLL 1" >>confdefs.h

fi
{ $as_echo "$as_me:${as_lineno-$LINENO}: checking for __builtin_ctz" >&5
$as_echo_n "checking for __builtin_ctz... " >&6; }
if ${rb_cv_builtin___builtin_ctz+:} false; then :
  $as_echo_n "(cached) " >&6
else
  cat confdefs.h - <<_ACEOF >conftest.$ac_ext
/* end confdefs.h.  */
int foo;
int
main ()
{
__builtin_ctz(0);
  ;
  return 0;
}
_ACEOF
if ac_fn_c_try_link "$LINENO"; then :
  rb_cv_builtin___builtin_ctz=yes
else
  rb_cv_builtin___builtin_ctz=no
fi
rm -f core conftest.err conftest.$ac_objext \
    conftest$ac_exeext conftest.$ac_ext
fi
{ $as_echo "$as_me:${as_lineno-$LINENO}: result: $rb_cv_builtin___builtin_ctz" >&5
    colorize_result "$rb_cv_builtin___builtin_ctz" ; }
if test "${rb_cv_builtin___builtin_ctz}" != no; then
  $as_echo "#define HAVE_BUILTIN___BUILTIN_CTZ 1" >>confdefs.h

fi
{ $as_echo "$as_me:${as_lineno-$LINENO}: checking for __builtin_ctzll" >&5
$as_echo_n "checking for __builtin_ctzll... " >&6; }
if ${rb_cv_builtin___builtin_ctzll+:} false; then :
  $as_echo_n "(cached) " >&6
else
  cat confdefs.h - <<_ACEOF >conftest.$ac_ext
/* end confdefs.h.  */
int foo;
int
main ()
{
__builtin_ctzll(0);
  ;
  return 0;
}
_ACEOF
if ac_fn_c_try_link "$LINENO"; then :
  rb_cv_builtin___builtin_ctzll=yes
else
  rb_cv_builtin___builtin_ctzll=no
fi
rm -f core conftest.err conftest.$ac_objext \
    conftest$ac_exeext conftest.$ac_ext
fi
{ $as_echo "$as_me:${as_lineno-$LINENO}: result: $rb_cv_builtin___builtin_ctzll" >&5
    colorize_result "$rb_cv_builtin___builtin_ctzll" ; }
if test "${rb_cv_builtin___builtin_ctzll}" != no; then
  $as_echo "#define HAVE_BUILTIN___BUILTIN_CTZLL 1" >>confdefs.h

fi
{ $as_echo "$as_me:${as_lineno-$LINENO}: checking for __builtin_constant_p" >&5
$as_echo_n "checking for __builtin_constant_p... " >&6; }
if ${rb_cv_builtin___builtin_constant_p+:} false; then :
  $as_echo_n "(cached) " >&6
else
  cat confdefs.h - <<_ACEOF >conftest.$ac_ext
/* end confdefs.h.  */
int foo;
int
main ()
{
__builtin_constant_p(0);
  ;
  return 0;
}
_ACEOF
if ac_fn_c_try_link "$LINENO"; then :
  rb_cv_builtin___builtin_constant_p=yes
else
  rb_cv_builtin___builtin_constant_p=no
fi
rm -f core conftest.err conftest.$ac_objext \
    conftest$ac_exeext conftest.$ac_ext
fi
{ $as_echo "$as_me:${as_lineno-$LINENO}: result: $rb_cv_builtin___builtin_constant_p" >&5
    colorize_result "$rb_cv_builtin___builtin_constant_p" ; }
if test "${rb_cv_builtin___builtin_constant_p}" != no; then
  $as_echo "#define HAVE_BUILTIN___BUILTIN_CONSTANT_P 1" >>confdefs.h

fi
{ $as_echo "$as_me:${as_lineno-$LINENO}: checking for __builtin_choose_expr" >&5
$as_echo_n "checking for __builtin_choose_expr... " >&6; }
if ${rb_cv_builtin___builtin_choose_expr+:} false; then :
  $as_echo_n "(cached) " >&6
else
  cat confdefs.h - <<_ACEOF >conftest.$ac_ext
/* end confdefs.h.  */
int foo;
int
main ()
{

    int x[__extension__(__builtin_choose_expr(1, 1, -1))];
    int y[__extension__(__builtin_choose_expr(0, -1, 1))];
    ;
  ;
  return 0;
}
_ACEOF
if ac_fn_c_try_link "$LINENO"; then :
  rb_cv_builtin___builtin_choose_expr=yes
else
  rb_cv_builtin___builtin_choose_expr=no
fi
rm -f core conftest.err conftest.$ac_objext \
    conftest$ac_exeext conftest.$ac_ext
fi
{ $as_echo "$as_me:${as_lineno-$LINENO}: result: $rb_cv_builtin___builtin_choose_expr" >&5
    colorize_result "$rb_cv_builtin___builtin_choose_expr" ; }
if test "${rb_cv_builtin___builtin_choose_expr}" != no; then
  $as_echo "#define HAVE_BUILTIN___BUILTIN_CHOOSE_EXPR 1" >>confdefs.h

fi
if test x$rb_cv_builtin___builtin_choose_expr = xyes; then
    { $as_echo "$as_me:${as_lineno-$LINENO}: checking for __builtin_choose_expr_constant_p" >&5
$as_echo_n "checking for __builtin_choose_expr_constant_p... " >&6; }
if ${rb_cv_builtin___builtin_choose_expr_constant_p+:} false; then :
  $as_echo_n "(cached) " >&6
else
  cat confdefs.h - <<_ACEOF >conftest.$ac_ext
/* end confdefs.h.  */
int foo;
int
main ()
{

    int x[__extension__(__builtin_choose_expr(__builtin_constant_p(1), 1, -1))];
    int y[__extension__(__builtin_choose_expr(__builtin_constant_p(foo), -1, 1))];
    ;
  ;
  return 0;
}
_ACEOF
if ac_fn_c_try_link "$LINENO"; then :
  rb_cv_builtin___builtin_choose_expr_constant_p=yes
else
  rb_cv_builtin___builtin_choose_expr_constant_p=no
fi
rm -f core conftest.err conftest.$ac_objext \
    conftest$ac_exeext conftest.$ac_ext
fi
{ $as_echo "$as_me:${as_lineno-$LINENO}: result: $rb_cv_builtin___builtin_choose_expr_constant_p" >&5
    colorize_result "$rb_cv_builtin___builtin_choose_expr_constant_p" ; }
if test "${rb_cv_builtin___builtin_choose_expr_constant_p}" != no; then
  $as_echo "#define HAVE_BUILTIN___BUILTIN_CHOOSE_EXPR_CONSTANT_P 1" >>confdefs.h

fi
fi
{ $as_echo "$as_me:${as_lineno-$LINENO}: checking for __builtin_types_compatible_p" >&5
$as_echo_n "checking for __builtin_types_compatible_p... " >&6; }
if ${rb_cv_builtin___builtin_types_compatible_p+:} false; then :
  $as_echo_n "(cached) " >&6
else
  cat confdefs.h - <<_ACEOF >conftest.$ac_ext
/* end confdefs.h.  */
int foo;
int
main ()
{
__builtin_types_compatible_p(int, int);
  ;
  return 0;
}
_ACEOF
if ac_fn_c_try_link "$LINENO"; then :
  rb_cv_builtin___builtin_types_compatible_p=yes
else
  rb_cv_builtin___builtin_types_compatible_p=no
fi
rm -f core conftest.err conftest.$ac_objext \
    conftest$ac_exeext conftest.$ac_ext
fi
{ $as_echo "$as_me:${as_lineno-$LINENO}: result: $rb_cv_builtin___builtin_types_compatible_p" >&5
    colorize_result "$rb_cv_builtin___builtin_types_compatible_p" ; }
if test "${rb_cv_builtin___builtin_types_compatible_p}" != no; then
  $as_echo "#define HAVE_BUILTIN___BUILTIN_TYPES_COMPATIBLE_P 1" >>confdefs.h

fi

if test "$ac_cv_func_qsort_r" != no; then
  { $as_echo "$as_me:${as_lineno-$LINENO}: checking whether qsort_r is GNU version" >&5
$as_echo_n "checking whether qsort_r is GNU version... " >&6; }
if ${rb_cv_gnu_qsort_r+:} false; then :
  $as_echo_n "(cached) " >&6
else
  cat confdefs.h - <<_ACEOF >conftest.$ac_ext
/* end confdefs.h.  */

#include <stdlib.h>
void qsort_r(void *base, size_t nmemb, size_t size,
	    int (*compar)(const void *, const void *, void *),
	    void *arg);

int
main ()
{

  ;
  return 0;
}
_ACEOF
if ac_fn_c_try_compile "$LINENO"; then :
  rb_cv_gnu_qsort_r=yes
else
  rb_cv_gnu_qsort_r=no
fi
rm -f core conftest.err conftest.$ac_objext conftest.$ac_ext

fi
{ $as_echo "$as_me:${as_lineno-$LINENO}: result: $rb_cv_gnu_qsort_r" >&5
    colorize_result "$rb_cv_gnu_qsort_r" ; }
  { $as_echo "$as_me:${as_lineno-$LINENO}: checking whether qsort_r is BSD version" >&5
$as_echo_n "checking whether qsort_r is BSD version... " >&6; }
if ${rb_cv_bsd_qsort_r+:} false; then :
  $as_echo_n "(cached) " >&6
else
  cat confdefs.h - <<_ACEOF >conftest.$ac_ext
/* end confdefs.h.  */

#include <stdlib.h>
void qsort_r(void *base, size_t nmemb, size_t size,
	     void *arg, int (*compar)(void *, const void *, const void *));

int
main ()
{

  ;
  return 0;
}
_ACEOF
if ac_fn_c_try_compile "$LINENO"; then :
  rb_cv_bsd_qsort_r=yes
else
  rb_cv_bsd_qsort_r=no
fi
rm -f core conftest.err conftest.$ac_objext conftest.$ac_ext

fi
{ $as_echo "$as_me:${as_lineno-$LINENO}: result: $rb_cv_bsd_qsort_r" >&5
    colorize_result "$rb_cv_bsd_qsort_r" ; }
  case "$rb_cv_gnu_qsort_r:$rb_cv_bsd_qsort_r" in #(
  yes:no) :

    $as_echo "#define HAVE_GNU_QSORT_R 1" >>confdefs.h

   ;; #(
  no:yes) :

    $as_echo "#define HAVE_BSD_QSORT_R 1" >>confdefs.h

   ;; #(
  *) :
     ;;
esac
fi

{ $as_echo "$as_me:${as_lineno-$LINENO}: checking whether atan2 handles Inf as C99" >&5
$as_echo_n "checking whether atan2 handles Inf as C99... " >&6; }
if ${rb_cv_atan2_inf_c99+:} false; then :
  $as_echo_n "(cached) " >&6
else

    if test $ac_cv_func_atan2f:$ac_cv_func_atan2l = yes:yes; then :

	if test "$cross_compiling" = yes; then :
  case $target_os in #(
  mingw*|mswin*) :
    rb_cv_atan2_inf_c99=no ;; #(
  *) :
    rb_cv_atan2_inf_c99=yes ;;
esac

else
  cat confdefs.h - <<_ACEOF >conftest.$ac_ext
/* end confdefs.h.  */

#include <math.h>
#ifdef HAVE_UNISTD_H
#include <unistd.h>
#endif
#ifndef EXIT_SUCCESS
#define EXIT_SUCCESS 0
#endif
#ifndef EXIT_FAILURE
#define EXIT_FAILURE 1
#endif

int
main(int argc, char **argv)
{
    if (fabs(atan2(INFINITY, INFINITY) - M_PI_4) <= 0.01) return EXIT_SUCCESS;
    return EXIT_FAILURE;
}

_ACEOF
if ac_fn_c_try_run "$LINENO"; then :
  rb_cv_atan2_inf_c99=yes
else
  rb_cv_atan2_inf_c99=no
fi
rm -f core *.core core.conftest.* gmon.out bb.out conftest$ac_exeext \
  conftest.$ac_objext conftest.beam conftest.$ac_ext
fi


else
  rb_cv_atan2_inf_c99=no
fi

fi
{ $as_echo "$as_me:${as_lineno-$LINENO}: result: $rb_cv_atan2_inf_c99" >&5
    colorize_result "$rb_cv_atan2_inf_c99" ; }
if test "x$rb_cv_atan2_inf_c99" = xyes; then :
  $as_echo "#define ATAN2_INF_C99 1" >>confdefs.h

fi

if test "x$ac_cv_func_lgamma_r" = xyes; then :

    { $as_echo "$as_me:${as_lineno-$LINENO}: checking whether lgamma_r handles +0.0 and -0.0" >&5
$as_echo_n "checking whether lgamma_r handles +0.0 and -0.0... " >&6; }
if ${rb_cv_lgamma_r_pm0+:} false; then :
  $as_echo_n "(cached) " >&6
else

	if test "$cross_compiling" = yes; then :
  rb_cv_lgamma_r_pm0=yes

else
  cat confdefs.h - <<_ACEOF >conftest.$ac_ext
/* end confdefs.h.  */

#include <math.h>
#ifdef HAVE_UNISTD_H
#include <unistd.h>
#endif
#ifndef EXIT_SUCCESS
#define EXIT_SUCCESS 0
#endif
#ifndef EXIT_FAILURE
#define EXIT_FAILURE 1
#endif

int
main(int argc, char **argv)
{
    int sign = 0;
    double x = lgamma_r(-0.0, &sign);

    /* should be [+inf, -1] */
    if (x <= 0) return EXIT_FAILURE;
    if (!isinf(x)) return EXIT_FAILURE;
    if (sign != -1) return EXIT_FAILURE;

    /* should be [+inf, 1] */
    x = lgamma_r(+0.0, &sign);
    if (x <= 0) return EXIT_FAILURE;
    if (!isinf(x)) return EXIT_FAILURE;
    if (sign != 1) return EXIT_FAILURE;
    return EXIT_SUCCESS;
}

_ACEOF
if ac_fn_c_try_run "$LINENO"; then :
  rb_cv_lgamma_r_pm0=yes
else
  rb_cv_lgamma_r_pm0=no
fi
rm -f core *.core core.conftest.* gmon.out bb.out conftest$ac_exeext \
  conftest.$ac_objext conftest.beam conftest.$ac_ext
fi


fi
{ $as_echo "$as_me:${as_lineno-$LINENO}: result: $rb_cv_lgamma_r_pm0" >&5
    colorize_result "$rb_cv_lgamma_r_pm0" ; }
    if test "x$rb_cv_lgamma_r_pm0" = xno; then :
  $as_echo "#define LGAMMA_R_PM0_FIX 1" >>confdefs.h

fi

fi

# Some platform need -lrt for clock_gettime, but the other don't.
if test x"$ac_cv_func_clock_gettime" != xyes; then
    # glibc 2.17 moves clock_* functions from librt to the main C library.
    # http://sourceware.org/ml/libc-announce/2012/msg00001.html
    { $as_echo "$as_me:${as_lineno-$LINENO}: checking for clock_gettime in -lrt" >&5
$as_echo_n "checking for clock_gettime in -lrt... " >&6; }
if ${ac_cv_lib_rt_clock_gettime+:} false; then :
  $as_echo_n "(cached) " >&6
else
  ac_check_lib_save_LIBS=$LIBS
LIBS="-lrt  $LIBS"
cat confdefs.h - <<_ACEOF >conftest.$ac_ext
/* end confdefs.h.  */

/* Override any GCC internal prototype to avoid an error.
   Use char because int might match the return type of a GCC
   builtin and then its argument prototype would still apply.  */
#ifdef __cplusplus
extern "C"
#endif
char clock_gettime ();
int
main ()
{
return clock_gettime ();
  ;
  return 0;
}
_ACEOF
if ac_fn_c_try_link "$LINENO"; then :
  ac_cv_lib_rt_clock_gettime=yes
else
  ac_cv_lib_rt_clock_gettime=no
fi
rm -f core conftest.err conftest.$ac_objext \
    conftest$ac_exeext conftest.$ac_ext
LIBS=$ac_check_lib_save_LIBS
fi
{ $as_echo "$as_me:${as_lineno-$LINENO}: result: $ac_cv_lib_rt_clock_gettime" >&5
    colorize_result "$ac_cv_lib_rt_clock_gettime" ; }
if test "x$ac_cv_lib_rt_clock_gettime" = xyes; then :
  cat >>confdefs.h <<_ACEOF
#define HAVE_LIBRT 1
_ACEOF

  LIBS="-lrt $LIBS"

fi

    if test x"$ac_cv_lib_rt_clock_gettime" = xyes; then
	$as_echo "#define HAVE_CLOCK_GETTIME 1" >>confdefs.h

    fi
fi
for ac_func in clock_getres
do :
  ac_fn_c_check_func "$LINENO" "clock_getres" "ac_cv_func_clock_getres"
if test "x$ac_cv_func_clock_getres" = xyes; then :
  cat >>confdefs.h <<_ACEOF
#define HAVE_CLOCK_GETRES 1
_ACEOF

fi
done
 # clock_getres should be tested after clock_gettime test including librt test.

{ $as_echo "$as_me:${as_lineno-$LINENO}: checking for unsetenv returns a value" >&5
$as_echo_n "checking for unsetenv returns a value... " >&6; }
if ${rb_cv_unsetenv_return_value+:} false; then :
  $as_echo_n "(cached) " >&6
else
  cat confdefs.h - <<_ACEOF >conftest.$ac_ext
/* end confdefs.h.  */

#include <stdlib.h>

int
main ()
{
int v = unsetenv("foo");
  ;
  return 0;
}
_ACEOF
if ac_fn_c_try_compile "$LINENO"; then :
  rb_cv_unsetenv_return_value=yes
else
  rb_cv_unsetenv_return_value=no
fi
rm -f core conftest.err conftest.$ac_objext conftest.$ac_ext
fi
{ $as_echo "$as_me:${as_lineno-$LINENO}: result: $rb_cv_unsetenv_return_value" >&5
    colorize_result "$rb_cv_unsetenv_return_value" ; }
if test "$rb_cv_unsetenv_return_value" = no; then
  $as_echo "#define VOID_UNSETENV 1" >>confdefs.h

fi

# used for AC_ARG_WITH(setjmp-type)





# End of setjmp check.

# Check whether --enable-setreuid was given.
if test "${enable_setreuid+set}" = set; then :
  enableval=$enable_setreuid; use_setreuid=$enableval
fi

if test "$use_setreuid" = yes; then
    $as_echo "#define USE_SETREUID 1" >>confdefs.h

    $as_echo "#define USE_SETREGID 1" >>confdefs.h

fi
{ $as_echo "$as_me:${as_lineno-$LINENO}: checking whether struct tm is in sys/time.h or time.h" >&5
$as_echo_n "checking whether struct tm is in sys/time.h or time.h... " >&6; }
if ${ac_cv_struct_tm+:} false; then :
  $as_echo_n "(cached) " >&6
else
  cat confdefs.h - <<_ACEOF >conftest.$ac_ext
/* end confdefs.h.  */
#include <sys/types.h>
#include <time.h>

int
main ()
{
struct tm tm;
				     int *p = &tm.tm_sec;
				     return !p;
  ;
  return 0;
}
_ACEOF
if ac_fn_c_try_compile "$LINENO"; then :
  ac_cv_struct_tm=time.h
else
  ac_cv_struct_tm=sys/time.h
fi
rm -f core conftest.err conftest.$ac_objext conftest.$ac_ext
fi
{ $as_echo "$as_me:${as_lineno-$LINENO}: result: $ac_cv_struct_tm" >&5
    colorize_result "$ac_cv_struct_tm" ; }
if test $ac_cv_struct_tm = sys/time.h; then

$as_echo "#define TM_IN_SYS_TIME 1" >>confdefs.h

fi

ac_fn_c_check_member "$LINENO" "struct tm" "tm_zone" "ac_cv_member_struct_tm_tm_zone" "#include <sys/types.h>
#include <$ac_cv_struct_tm>

"
if test "x$ac_cv_member_struct_tm_tm_zone" = xyes; then :

cat >>confdefs.h <<_ACEOF
#define HAVE_STRUCT_TM_TM_ZONE 1
_ACEOF


fi

if test "$ac_cv_member_struct_tm_tm_zone" = yes; then

$as_echo "#define HAVE_TM_ZONE 1" >>confdefs.h

else
  ac_fn_c_check_decl "$LINENO" "tzname" "ac_cv_have_decl_tzname" "#include <time.h>
"
if test "x$ac_cv_have_decl_tzname" = xyes; then :
  ac_have_decl=1
else
  ac_have_decl=0
fi

cat >>confdefs.h <<_ACEOF
#define HAVE_DECL_TZNAME $ac_have_decl
_ACEOF

  { $as_echo "$as_me:${as_lineno-$LINENO}: checking for tzname" >&5
$as_echo_n "checking for tzname... " >&6; }
if ${ac_cv_var_tzname+:} false; then :
  $as_echo_n "(cached) " >&6
else
  cat confdefs.h - <<_ACEOF >conftest.$ac_ext
/* end confdefs.h.  */
#include <time.h>
#if !HAVE_DECL_TZNAME
extern char *tzname[];
#endif

int
main ()
{
return tzname[0][0];
  ;
  return 0;
}
_ACEOF
if ac_fn_c_try_link "$LINENO"; then :
  ac_cv_var_tzname=yes
else
  ac_cv_var_tzname=no
fi
rm -f core conftest.err conftest.$ac_objext \
    conftest$ac_exeext conftest.$ac_ext
fi
{ $as_echo "$as_me:${as_lineno-$LINENO}: result: $ac_cv_var_tzname" >&5
    colorize_result "$ac_cv_var_tzname" ; }
  if test $ac_cv_var_tzname = yes; then

$as_echo "#define HAVE_TZNAME 1" >>confdefs.h

  fi
fi

{ $as_echo "$as_me:${as_lineno-$LINENO}: checking for struct tm.tm_gmtoff" >&5
$as_echo_n "checking for struct tm.tm_gmtoff... " >&6; }
if ${rb_cv_member_struct_tm_tm_gmtoff+:} false; then :
  $as_echo_n "(cached) " >&6
else
  cat confdefs.h - <<_ACEOF >conftest.$ac_ext
/* end confdefs.h.  */

#define _BSD_SOURCE
#define _DEFAULT_SOURCE
#include <time.h>

int
main ()
{
struct tm t; t.tm_gmtoff = 3600;
  ;
  return 0;
}
_ACEOF
if ac_fn_c_try_compile "$LINENO"; then :
  rb_cv_member_struct_tm_tm_gmtoff=yes
else
  rb_cv_member_struct_tm_tm_gmtoff=no
fi
rm -f core conftest.err conftest.$ac_objext conftest.$ac_ext
fi
{ $as_echo "$as_me:${as_lineno-$LINENO}: result: $rb_cv_member_struct_tm_tm_gmtoff" >&5
    colorize_result "$rb_cv_member_struct_tm_tm_gmtoff" ; }
if test "$rb_cv_member_struct_tm_tm_gmtoff" = yes; then
  $as_echo "#define HAVE_STRUCT_TM_TM_GMTOFF 1" >>confdefs.h

fi
{ $as_echo "$as_me:${as_lineno-$LINENO}: checking for external int daylight" >&5
$as_echo_n "checking for external int daylight... " >&6; }
if ${rb_cv_have_daylight+:} false; then :
  $as_echo_n "(cached) " >&6
else
  cat confdefs.h - <<_ACEOF >conftest.$ac_ext
/* end confdefs.h.  */
#include <time.h>
  int i;
int
main ()
{
i = daylight;
  ;
  return 0;
}
_ACEOF
if ac_fn_c_try_link "$LINENO"; then :
  rb_cv_have_daylight=yes
else
  rb_cv_have_daylight=no
fi
rm -f core conftest.err conftest.$ac_objext \
    conftest$ac_exeext conftest.$ac_ext
fi
{ $as_echo "$as_me:${as_lineno-$LINENO}: result: $rb_cv_have_daylight" >&5
    colorize_result "$rb_cv_have_daylight" ; }
if test "$rb_cv_have_daylight" = yes; then
  $as_echo "#define HAVE_DAYLIGHT 1" >>confdefs.h

fi

{ $as_echo "$as_me:${as_lineno-$LINENO}: checking for external timezone" >&5
$as_echo_n "checking for external timezone... " >&6; }
if ${rb_cv_var_timezone+:} false; then :
  $as_echo_n "(cached) " >&6
else
  rb_cv_var_timezone=no
  cat confdefs.h - <<_ACEOF >conftest.$ac_ext
/* end confdefs.h.  */

#ifndef _XOPEN_SOURCE
#define _XOPEN_SOURCE 1
#endif
#include <time.h>
;
const volatile void *volatile t;
int
main ()
{
t = &(&timezone)[0];
  ;
  return 0;
}
_ACEOF
if ac_fn_c_try_compile "$LINENO"; then :
  for t in long int; do
      cat confdefs.h - <<_ACEOF >conftest.$ac_ext
/* end confdefs.h.  */

#ifndef _XOPEN_SOURCE
#define _XOPEN_SOURCE 1
#endif
#include <time.h>
;
extern $t timezone;
const volatile void *volatile t;
int
main ()
{
t = &(&timezone)[0];
  ;
  return 0;
}
_ACEOF
if ac_fn_c_try_compile "$LINENO"; then :
  rb_cv_var_timezone=$t; break
fi
rm -f core conftest.err conftest.$ac_objext conftest.$ac_ext
    done
fi
rm -f core conftest.err conftest.$ac_objext conftest.$ac_ext
fi
{ $as_echo "$as_me:${as_lineno-$LINENO}: result: $rb_cv_var_timezone" >&5
    colorize_result "$rb_cv_var_timezone" ; }
if test "${rb_cv_var_timezone}" != no; then
  $as_echo "#define HAVE_VAR_TIMEZONE 1" >>confdefs.h

  cat >>confdefs.h <<_ACEOF
#define TYPEOF_VAR_TIMEZONE ${rb_cv_var_timezone}
_ACEOF

fi
{ $as_echo "$as_me:${as_lineno-$LINENO}: checking for external altzone" >&5
$as_echo_n "checking for external altzone... " >&6; }
if ${rb_cv_var_altzone+:} false; then :
  $as_echo_n "(cached) " >&6
else
  rb_cv_var_altzone=no
  cat confdefs.h - <<_ACEOF >conftest.$ac_ext
/* end confdefs.h.  */

#ifndef _XOPEN_SOURCE
#define _XOPEN_SOURCE 1
#endif
#include <time.h>
;
const volatile void *volatile t;
int
main ()
{
t = &(&altzone)[0];
  ;
  return 0;
}
_ACEOF
if ac_fn_c_try_compile "$LINENO"; then :
  for t in long int; do
      cat confdefs.h - <<_ACEOF >conftest.$ac_ext
/* end confdefs.h.  */

#ifndef _XOPEN_SOURCE
#define _XOPEN_SOURCE 1
#endif
#include <time.h>
;
extern $t altzone;
const volatile void *volatile t;
int
main ()
{
t = &(&altzone)[0];
  ;
  return 0;
}
_ACEOF
if ac_fn_c_try_compile "$LINENO"; then :
  rb_cv_var_altzone=$t; break
fi
rm -f core conftest.err conftest.$ac_objext conftest.$ac_ext
    done
fi
rm -f core conftest.err conftest.$ac_objext conftest.$ac_ext
fi
{ $as_echo "$as_me:${as_lineno-$LINENO}: result: $rb_cv_var_altzone" >&5
    colorize_result "$rb_cv_var_altzone" ; }
if test "${rb_cv_var_altzone}" != no; then
  $as_echo "#define HAVE_VAR_ALTZONE 1" >>confdefs.h

  cat >>confdefs.h <<_ACEOF
#define TYPEOF_VAR_ALTZONE ${rb_cv_var_altzone}
_ACEOF

fi
for ac_func in timezone
do :
  ac_fn_c_check_func "$LINENO" "timezone" "ac_cv_func_timezone"
if test "x$ac_cv_func_timezone" = xyes; then :
  cat >>confdefs.h <<_ACEOF
#define HAVE_TIMEZONE 1
_ACEOF

fi
done

if test "$ac_cv_func_timezone" = yes; then
  { $as_echo "$as_me:${as_lineno-$LINENO}: checking whether timezone requires zero arguments" >&5
$as_echo_n "checking whether timezone requires zero arguments... " >&6; }
if ${rb_cv_func_timezone_void+:} false; then :
  $as_echo_n "(cached) " >&6
else
  cat confdefs.h - <<_ACEOF >conftest.$ac_ext
/* end confdefs.h.  */
#include <time.h>
int
main ()
{
(void)timezone(0, 0);
  ;
  return 0;
}
_ACEOF
if ac_fn_c_try_compile "$LINENO"; then :
  rb_cv_func_timezone_void=no
else
  rb_cv_func_timezone_void=yes
fi
rm -f core conftest.err conftest.$ac_objext conftest.$ac_ext

fi
{ $as_echo "$as_me:${as_lineno-$LINENO}: result: $rb_cv_func_timezone_void" >&5
    colorize_result "$rb_cv_func_timezone_void" ; }
  if test $rb_cv_func_timezone_void = yes; then
    $as_echo "#define TIMEZONE_VOID 1" >>confdefs.h

  fi
fi

{ $as_echo "$as_me:${as_lineno-$LINENO}: checking for negative time_t for gmtime(3)" >&5
$as_echo_n "checking for negative time_t for gmtime(3)... " >&6; }
if ${rb_cv_negative_time_t+:} false; then :
  $as_echo_n "(cached) " >&6
else
  if test "$cross_compiling" = yes; then :
  rb_cv_negative_time_t=yes
else
  cat confdefs.h - <<_ACEOF >conftest.$ac_ext
/* end confdefs.h.  */

#include <stdlib.h>
#include <time.h>

void
check(tm, y, m, d, h, s)
    struct tm *tm;
    int y, m, d, h, s;
{
    if (!tm ||
	tm->tm_year != y ||
	tm->tm_mon  != m-1 ||
	tm->tm_mday != d ||
	tm->tm_hour != h ||
	tm->tm_sec  != s) {
	exit(1);
    }
}

int
main()
{
   time_t t = -1;
   struct tm *tm;

   check(gmtime(&t), 69, 12, 31, 23, 59);
   t = ~(time_t)0 << 31;
   check(gmtime(&t), 1, 12, 13, 20, 52);
   return 0;
}

_ACEOF
if ac_fn_c_try_run "$LINENO"; then :
  rb_cv_negative_time_t=yes
else
  rb_cv_negative_time_t=no
fi
rm -f core *.core core.conftest.* gmon.out bb.out conftest$ac_exeext \
  conftest.$ac_objext conftest.beam conftest.$ac_ext
fi

fi
{ $as_echo "$as_me:${as_lineno-$LINENO}: result: $rb_cv_negative_time_t" >&5
    colorize_result "$rb_cv_negative_time_t" ; }
if test "$rb_cv_negative_time_t" = yes; then
  $as_echo "#define NEGATIVE_TIME_T 1" >>confdefs.h

fi

# [ruby-dev:40910] overflow of time on FreeBSD
# http://www.freebsd.org/cgi/query-pr.cgi?pr=145341
{ $as_echo "$as_me:${as_lineno-$LINENO}: checking for localtime(3) overflow correctly" >&5
$as_echo_n "checking for localtime(3) overflow correctly... " >&6; }
if ${rb_cv_localtime_overflow+:} false; then :
  $as_echo_n "(cached) " >&6
else
  if test "$cross_compiling" = yes; then :
  rb_cv_localtime_overflow=no
else
  cat confdefs.h - <<_ACEOF >conftest.$ac_ext
/* end confdefs.h.  */

#include <stdlib.h>
#include <time.h>

void
check(time_t t1)
{
    struct tm *tm;
    time_t t2;
    tm = localtime(&t1);
    if (!tm)
	return; /* overflow detected.  ok. */
    t2 = mktime(tm);
    if (t1 == t2)
        return; /* round-trip.  ok. */
    exit(1);
}

int
main()
{
    time_t t;
    if (~(time_t)0 <= 0) {
        t = (((time_t)1) << (sizeof(time_t) * 8 - 2));
        t |= t - 1;
    }
    else {
        t = ~(time_t)0;
    }
    check(t);
    return 0;
}

_ACEOF
if ac_fn_c_try_run "$LINENO"; then :
  rb_cv_localtime_overflow=yes
else
  rb_cv_localtime_overflow=no
fi
rm -f core *.core core.conftest.* gmon.out bb.out conftest$ac_exeext \
  conftest.$ac_objext conftest.beam conftest.$ac_ext
fi

fi
{ $as_echo "$as_me:${as_lineno-$LINENO}: result: $rb_cv_localtime_overflow" >&5
    colorize_result "$rb_cv_localtime_overflow" ; }
if test "$rb_cv_localtime_overflow" = no; then
  $as_echo "#define LOCALTIME_OVERFLOW_PROBLEM 1" >>confdefs.h

fi

if test "$ac_cv_func_sigprocmask" = yes && test "$ac_cv_func_sigaction" = yes; then
   $as_echo "#define POSIX_SIGNAL 1" >>confdefs.h

else
  for ac_func in sigsetmask
do :
  ac_fn_c_check_func "$LINENO" "sigsetmask" "ac_cv_func_sigsetmask"
if test "x$ac_cv_func_sigsetmask" = xyes; then :
  cat >>confdefs.h <<_ACEOF
#define HAVE_SIGSETMASK 1
_ACEOF

fi
done

  { $as_echo "$as_me:${as_lineno-$LINENO}: checking for BSD signal semantics" >&5
$as_echo_n "checking for BSD signal semantics... " >&6; }
if ${rb_cv_bsd_signal+:} false; then :
  $as_echo_n "(cached) " >&6
else
  if test "$cross_compiling" = yes; then :
  rb_cv_bsd_signal=$ac_cv_func_sigsetmask
else
  cat confdefs.h - <<_ACEOF >conftest.$ac_ext
/* end confdefs.h.  */

#include <stdio.h>
#include <signal.h>

void
sig_handler(dummy)
     int dummy;
{
}

int
main()
{
  signal(SIGINT, sig_handler);
  kill(getpid(), SIGINT);
  kill(getpid(), SIGINT);
  return 0;
}

_ACEOF
if ac_fn_c_try_run "$LINENO"; then :
  rb_cv_bsd_signal=yes
else
  rb_cv_bsd_signal=no
fi
rm -f core *.core core.conftest.* gmon.out bb.out conftest$ac_exeext \
  conftest.$ac_objext conftest.beam conftest.$ac_ext
fi

fi
{ $as_echo "$as_me:${as_lineno-$LINENO}: result: $rb_cv_bsd_signal" >&5
    colorize_result "$rb_cv_bsd_signal" ; }
  if test "$rb_cv_bsd_signal" = yes; then
    $as_echo "#define BSD_SIGNAL 1" >>confdefs.h

  fi
fi

ac_fn_c_check_type "$LINENO" "sig_t" "ac_cv_type_sig_t" "#include <signal.h>
"
if test "x$ac_cv_type_sig_t" = xyes; then :

cat >>confdefs.h <<_ACEOF
#define HAVE_SIG_T 1
_ACEOF


fi


if test "$ac_cv_func_getpgid" = no; then
  # AC_FUNC_GETPGRP fails when cross-compiling with old autoconf.
  # autoconf is changed between 2.52d and 2.52f?
  # http://lists.gnu.org/archive/html/bug-gnu-utils/2001-09/msg00181.html
  # "autoconf cleanup for AC_FUNC_GETPGRP and GETPGRP_VOID"
{ $as_echo "$as_me:${as_lineno-$LINENO}: checking whether getpgrp requires zero arguments" >&5
$as_echo_n "checking whether getpgrp requires zero arguments... " >&6; }
if ${ac_cv_func_getpgrp_void+:} false; then :
  $as_echo_n "(cached) " >&6
else
  # Use it with a single arg.
cat confdefs.h - <<_ACEOF >conftest.$ac_ext
/* end confdefs.h.  */
$ac_includes_default
int
main ()
{
getpgrp (0);
  ;
  return 0;
}
_ACEOF
if ac_fn_c_try_compile "$LINENO"; then :
  ac_cv_func_getpgrp_void=no
else
  ac_cv_func_getpgrp_void=yes
fi
rm -f core conftest.err conftest.$ac_objext conftest.$ac_ext

fi
{ $as_echo "$as_me:${as_lineno-$LINENO}: result: $ac_cv_func_getpgrp_void" >&5
    colorize_result "$ac_cv_func_getpgrp_void" ; }
if test $ac_cv_func_getpgrp_void = yes; then

$as_echo "#define GETPGRP_VOID 1" >>confdefs.h

fi

fi
if test "$ac_cv_func_setpgid:$ac_cv_func_setpgrp" = no:yes; then
  # AC_FUNC_SETPGRP fails when cross-compiling.  (until autoconf 2.69?)
  # https://lists.gnu.org/archive/html/bug-autoconf/2013-02/msg00002.html
  # "AC_FUNC_SETPGRP fails to work properly when cross-compiling"
{ $as_echo "$as_me:${as_lineno-$LINENO}: checking whether setpgrp takes no argument" >&5
$as_echo_n "checking whether setpgrp takes no argument... " >&6; }
if ${ac_cv_func_setpgrp_void+:} false; then :
  $as_echo_n "(cached) " >&6
else
  if test "$cross_compiling" = yes; then :
  as_fn_error $? "cannot check setpgrp when cross compiling" "$LINENO" 5
else
  cat confdefs.h - <<_ACEOF >conftest.$ac_ext
/* end confdefs.h.  */
$ac_includes_default
int
main ()
{
/* If this system has a BSD-style setpgrp which takes arguments,
  setpgrp(1, 1) will fail with ESRCH and return -1, in that case
  exit successfully. */
  return setpgrp (1,1) != -1;
  ;
  return 0;
}
_ACEOF
if ac_fn_c_try_run "$LINENO"; then :
  ac_cv_func_setpgrp_void=no
else
  ac_cv_func_setpgrp_void=yes
fi
rm -f core *.core core.conftest.* gmon.out bb.out conftest$ac_exeext \
  conftest.$ac_objext conftest.beam conftest.$ac_ext
fi

fi
{ $as_echo "$as_me:${as_lineno-$LINENO}: result: $ac_cv_func_setpgrp_void" >&5
    colorize_result "$ac_cv_func_setpgrp_void" ; }
if test $ac_cv_func_setpgrp_void = yes; then

$as_echo "#define SETPGRP_VOID 1" >>confdefs.h

fi

fi

if test x"$ac_cv_func_dirfd" = xno; then
  case "$target_os" in #(
  solaris*) :
    ac_fn_c_check_member "$LINENO" "DIR" "d_fd" "ac_cv_member_DIR_d_fd" "
#include <sys/types.h>
#include <dirent.h>

"
if test "x$ac_cv_member_DIR_d_fd" = xyes; then :

cat >>confdefs.h <<_ACEOF
#define HAVE_DIR_D_FD 1
_ACEOF


fi
ac_fn_c_check_member "$LINENO" "DIR" "dd_fd" "ac_cv_member_DIR_dd_fd" "
#include <sys/types.h>
#include <dirent.h>

"
if test "x$ac_cv_member_DIR_dd_fd" = xyes; then :

cat >>confdefs.h <<_ACEOF
#define HAVE_DIR_DD_FD 1
_ACEOF


fi
 ;; #(
  *) :
     ;;
esac
fi

if test x"$target_cpu" = xia64; then
    case " $LIBOBJS " in
  *" ia64.$ac_objext "* ) ;;
  *) LIBOBJS="$LIBOBJS ia64.$ac_objext"
 ;;
esac

    { $as_echo "$as_me:${as_lineno-$LINENO}: checking for __libc_ia64_register_backing_store_base" >&5
$as_echo_n "checking for __libc_ia64_register_backing_store_base... " >&6; }
if ${rb_cv___libc_ia64_register_backing_store_base+:} false; then :
  $as_echo_n "(cached) " >&6
else
  rb_cv___libc_ia64_register_backing_store_base=no
    cat confdefs.h - <<_ACEOF >conftest.$ac_ext
/* end confdefs.h.  */
extern unsigned long __libc_ia64_register_backing_store_base;
int
main ()
{
unsigned long p = __libc_ia64_register_backing_store_base;
       printf("%ld\n", p);
  ;
  return 0;
}
_ACEOF
if ac_fn_c_try_link "$LINENO"; then :
  rb_cv___libc_ia64_register_backing_store_base=yes
fi
rm -f core conftest.err conftest.$ac_objext \
    conftest$ac_exeext conftest.$ac_ext
fi
{ $as_echo "$as_me:${as_lineno-$LINENO}: result: $rb_cv___libc_ia64_register_backing_store_base" >&5
    colorize_result "$rb_cv___libc_ia64_register_backing_store_base" ; }
    if test $rb_cv___libc_ia64_register_backing_store_base = yes; then
      $as_echo "#define HAVE___LIBC_IA64_REGISTER_BACKING_STORE_BASE 1" >>confdefs.h

    fi
fi

{ $as_echo "$as_me:${as_lineno-$LINENO}: checking whether right shift preserve sign bit" >&5
$as_echo_n "checking whether right shift preserve sign bit... " >&6; }
if ${rb_cv_rshift_sign+:} false; then :
  $as_echo_n "(cached) " >&6
else
  cat confdefs.h - <<_ACEOF >conftest.$ac_ext
/* end confdefs.h.  */

int
main ()
{
static int test_array [1 - 2 * !((-1==(-1>>1)))];
test_array [0] = 0;
return test_array [0];

  ;
  return 0;
}
_ACEOF
if ac_fn_c_try_compile "$LINENO"; then :
  rb_cv_rshift_sign=yes
else
  rb_cv_rshift_sign=no
fi
rm -f core conftest.err conftest.$ac_objext conftest.$ac_ext
fi
{ $as_echo "$as_me:${as_lineno-$LINENO}: result: $rb_cv_rshift_sign" >&5
    colorize_result "$rb_cv_rshift_sign" ; }
if test "$rb_cv_rshift_sign" = yes; then
  $as_echo "#define RSHIFT(x,y) ((x)>>(int)(y))" >>confdefs.h

else
  $as_echo "#define RSHIFT(x,y) (((x)<0) ? ~((~(x))>>(int)(y)) : (x)>>(int)(y))" >>confdefs.h

fi

if test x"$ac_cv_func_gettimeofday" != xyes; then
    as_fn_error $? "gettimeofday() must exist" "$LINENO" 5
fi

if test "$ac_cv_func_sysconf" = yes; then

    { $as_echo "$as_me:${as_lineno-$LINENO}: checking whether _SC_CLK_TCK is supported" >&5
$as_echo_n "checking whether _SC_CLK_TCK is supported... " >&6; }
if ${rb_cv_have_sc_clk_tck+:} false; then :
  $as_echo_n "(cached) " >&6
else
  cat confdefs.h - <<_ACEOF >conftest.$ac_ext
/* end confdefs.h.  */
#include <unistd.h>

int
main ()
{
_SC_CLK_TCK >= 0
  ;
  return 0;
}
_ACEOF
if ac_fn_c_try_compile "$LINENO"; then :
  rb_cv_have_sc_clk_tck=yes
else
  rb_cv_have_sc_clk_tck=no
fi
rm -f core conftest.err conftest.$ac_objext conftest.$ac_ext

fi
{ $as_echo "$as_me:${as_lineno-$LINENO}: result: $rb_cv_have_sc_clk_tck" >&5
    colorize_result "$rb_cv_have_sc_clk_tck" ; }
  if test "$rb_cv_have_sc_clk_tck" = yes; then
    $as_echo "#define HAVE__SC_CLK_TCK 1" >>confdefs.h

  fi

fi


if test "${universal_binary-no}" = yes ; then
    archflagpat=`eval echo '"'"${ARCH_FLAG}"'"' | sed 's/[][|.*]/\\&/g'`
    save_CFLAGS="$CFLAGS" new_cflags=`echo "$CFLAGS" | sed "s|$archflagpat"'||'`
    save_LDFLAGS="$LDFLAGS" new_ldflags=`echo "$LDFLAGS" | sed "s|$archflagpat"'||'`
    stack_dir=
    for archs in ${universal_archnames}; do
	archs=`echo $archs | sed 's/=.*//'`
	CFLAGS="$new_cflags -arch $archs"
	LDFLAGS="$new_ldflags -arch $archs"

    as_stack_grow_dir=`$as_echo "rb_cv_stack_grow_dir_$archs" | $as_tr_sh`

    { $as_echo "$as_me:${as_lineno-$LINENO}: checking stack growing direction on $archs" >&5
$as_echo_n "checking stack growing direction on $archs... " >&6; }
if eval \${$as_stack_grow_dir+:} false; then :
  $as_echo_n "(cached) " >&6
else

case "$archs" in #(
  m68*|x86*|x64|i?86|ia64|ppc*|sparc*|alpha*) :
     dir=-1 ;; #(
  hppa*) :
     dir=+1 ;; #(
  *) :

  if test "$cross_compiling" = yes; then :
  dir=0
else
  cat confdefs.h - <<_ACEOF >conftest.$ac_ext
/* end confdefs.h.  */

/* recurse to get rid of inlining */
static int
stack_growup_p(addr, n)
    volatile int *addr, n;
{
    volatile int end;
    if (n > 0)
	return *addr = stack_growup_p(addr, n - 1);
    else
	return (&end > addr);
}
int main()
{
    int x;
    return stack_growup_p(&x, 10);
}

_ACEOF
if ac_fn_c_try_run "$LINENO"; then :
  dir=-1
else
  dir=+1
fi
rm -f core *.core core.conftest.* gmon.out bb.out conftest$ac_exeext \
  conftest.$ac_objext conftest.beam conftest.$ac_ext
fi

   ;;
esac
eval $as_stack_grow_dir=\$dir
fi
eval ac_res=\$$as_stack_grow_dir
	       { $as_echo "$as_me:${as_lineno-$LINENO}: result: $ac_res" >&5
    colorize_result "$ac_res" ; }
eval dir=\$$as_stack_grow_dir

	if test x$stack_dir = x; then
	    stack_dir=$dir
	elif test x$stack_dir != x$dir; then
	    stack_dir=no
	fi
    done
    CFLAGS="$save_CFLAGS" LDFLAGS="$save_LDFLAGS"
    if test x$stack_dir = xno; then
	for archs in ${universal_archnames}; do
	    archs=`echo $archs | sed 's/=.*//'`
	    eval dir=\$rb_cv_stack_grow_dir_`$as_echo "$archs" | $as_tr_sh`
	        test "Xdefined __${archs}__" = X || cat <<EOH >> confdefs.h
#if defined __${archs}__
EOH
cat >>confdefs.h <<_ACEOF
#define STACK_GROW_DIRECTION $dir
_ACEOF
    test "Xdefined __${archs}__" = X || cat <<EOH >> confdefs.h
#endif /* defined __${archs}__ */
EOH

	done
    else
	cat >>confdefs.h <<_ACEOF
#define STACK_GROW_DIRECTION $stack_dir
_ACEOF

    fi
else

    as_stack_grow_dir=`$as_echo "rb_cv_stack_grow_dir_$target_cpu" | $as_tr_sh`

    { $as_echo "$as_me:${as_lineno-$LINENO}: checking stack growing direction on $target_cpu" >&5
$as_echo_n "checking stack growing direction on $target_cpu... " >&6; }
if eval \${$as_stack_grow_dir+:} false; then :
  $as_echo_n "(cached) " >&6
else

case "$target_cpu" in #(
  m68*|x86*|x64|i?86|ia64|ppc*|sparc*|alpha*) :
     dir=-1 ;; #(
  hppa*) :
     dir=+1 ;; #(
  *) :

  if test "$cross_compiling" = yes; then :
  dir=0
else
  cat confdefs.h - <<_ACEOF >conftest.$ac_ext
/* end confdefs.h.  */

/* recurse to get rid of inlining */
static int
stack_growup_p(addr, n)
    volatile int *addr, n;
{
    volatile int end;
    if (n > 0)
	return *addr = stack_growup_p(addr, n - 1);
    else
	return (&end > addr);
}
int main()
{
    int x;
    return stack_growup_p(&x, 10);
}

_ACEOF
if ac_fn_c_try_run "$LINENO"; then :
  dir=-1
else
  dir=+1
fi
rm -f core *.core core.conftest.* gmon.out bb.out conftest$ac_exeext \
  conftest.$ac_objext conftest.beam conftest.$ac_ext
fi

   ;;
esac
eval $as_stack_grow_dir=\$dir
fi
eval ac_res=\$$as_stack_grow_dir
	       { $as_echo "$as_me:${as_lineno-$LINENO}: result: $ac_res" >&5
    colorize_result "$ac_res" ; }
eval dir=\$$as_stack_grow_dir

    cat >>confdefs.h <<_ACEOF
#define STACK_GROW_DIRECTION $dir
_ACEOF

fi

if test x"$enable_pthread" = xyes; then
    for pthread_lib in thr pthread pthreads c c_r root; do
	as_ac_Lib=`$as_echo "ac_cv_lib_$pthread_lib''_pthread_kill" | $as_tr_sh`
{ $as_echo "$as_me:${as_lineno-$LINENO}: checking for pthread_kill in -l$pthread_lib" >&5
$as_echo_n "checking for pthread_kill in -l$pthread_lib... " >&6; }
if eval \${$as_ac_Lib+:} false; then :
  $as_echo_n "(cached) " >&6
else
  ac_check_lib_save_LIBS=$LIBS
LIBS="-l$pthread_lib  $LIBS"
cat confdefs.h - <<_ACEOF >conftest.$ac_ext
/* end confdefs.h.  */

/* Override any GCC internal prototype to avoid an error.
   Use char because int might match the return type of a GCC
   builtin and then its argument prototype would still apply.  */
#ifdef __cplusplus
extern "C"
#endif
char pthread_kill ();
int
main ()
{
return pthread_kill ();
  ;
  return 0;
}
_ACEOF
if ac_fn_c_try_link "$LINENO"; then :
  eval "$as_ac_Lib=yes"
else
  eval "$as_ac_Lib=no"
fi
rm -f core conftest.err conftest.$ac_objext \
    conftest$ac_exeext conftest.$ac_ext
LIBS=$ac_check_lib_save_LIBS
fi
eval ac_res=\$$as_ac_Lib
	       { $as_echo "$as_me:${as_lineno-$LINENO}: result: $ac_res" >&5
    colorize_result "$ac_res" ; }
if eval test \"x\$"$as_ac_Lib"\" = x"yes"; then :
  rb_with_pthread=yes
else
  rb_with_pthread=no
fi

	if test "$rb_with_pthread" = "yes"; then break; fi
    done
    if test x"$rb_with_pthread" = xyes; then
	$as_echo "#define _REENTRANT 1" >>confdefs.h

	$as_echo "#define _THREAD_SAFE 1" >>confdefs.h

	$as_echo "#define HAVE_LIBPTHREAD 1" >>confdefs.h

	for ac_header in pthread_np.h
do :
  ac_fn_c_check_header_compile "$LINENO" "pthread_np.h" "ac_cv_header_pthread_np_h" "#include <pthread.h>
"
if test "x$ac_cv_header_pthread_np_h" = xyes; then :
  cat >>confdefs.h <<_ACEOF
#define HAVE_PTHREAD_NP_H 1
_ACEOF

fi

done

	case $pthread_lib in #(
  c) :
     ;; #(
  root) :
     ;; #(
  c_r) :
    MAINLIBS="-pthread $MAINLIBS" ;; #(
  *) :
    case "$target_os" in #(
  openbsd*|mirbsd*) :
    LIBS="-pthread $LIBS" ;; #(
  *) :
    LIBS="-l$pthread_lib $LIBS" ;;
esac ;;
esac
    else
	{ $as_echo "$as_me:${as_lineno-$LINENO}: WARNING: \"Don't know how to find pthread library on your system -- thread support disabled\"" >&5
$as_echo "$as_me: WARNING: \"Don't know how to find pthread library on your system -- thread support disabled\"" >&2;}
    fi
    { $as_echo "$as_me:${as_lineno-$LINENO}: checking whether pthread_t is scalar type" >&5
$as_echo_n "checking whether pthread_t is scalar type... " >&6; }
if ${rb_cv_scalar_pthread_t+:} false; then :
  $as_echo_n "(cached) " >&6
else

	cat confdefs.h - <<_ACEOF >conftest.$ac_ext
/* end confdefs.h.  */

	    #include <pthread.h>

int
main ()
{

	    pthread_t thread_id;
	    thread_id = 0;
	    if (!thread_id) return 0;

  ;
  return 0;
}
_ACEOF
if ac_fn_c_try_compile "$LINENO"; then :
  rb_cv_scalar_pthread_t=yes
else
  rb_cv_scalar_pthread_t=no
fi
rm -f core conftest.err conftest.$ac_objext conftest.$ac_ext

fi
{ $as_echo "$as_me:${as_lineno-$LINENO}: result: $rb_cv_scalar_pthread_t" >&5
    colorize_result "$rb_cv_scalar_pthread_t" ; }
    if test x"$rb_cv_scalar_pthread_t" = xyes; then
	: # RUBY_CHECK_SIZEOF(pthread_t, [void* int long], [], [#include <pthread.h>])
    else
	$as_echo "#define NON_SCALAR_THREAD_ID 1" >>confdefs.h

    fi
    for ac_func in sched_yield pthread_attr_setinheritsched \
	pthread_attr_get_np pthread_attr_getstack\
	pthread_get_stackaddr_np pthread_get_stacksize_np \
	thr_stksegment pthread_stackseg_np pthread_getthrds_np \
	pthread_cond_init pthread_condattr_setclock pthread_condattr_init \
	pthread_sigmask pthread_setname_np pthread_set_name_np
do :
  as_ac_var=`$as_echo "ac_cv_func_$ac_func" | $as_tr_sh`
ac_fn_c_check_func "$LINENO" "$ac_func" "$as_ac_var"
if eval test \"x\$"$as_ac_var"\" = x"yes"; then :
  cat >>confdefs.h <<_ACEOF
#define `$as_echo "HAVE_$ac_func" | $as_tr_cpp` 1
_ACEOF

fi
done

    case "$target_os" in #(
  aix*) :
    ac_cv_func_pthread_getattr_np=no ;; #(
  *) :
    for ac_func in pthread_getattr_np
do :
  ac_fn_c_check_func "$LINENO" "pthread_getattr_np" "ac_cv_func_pthread_getattr_np"
if test "x$ac_cv_func_pthread_getattr_np" = xyes; then :
  cat >>confdefs.h <<_ACEOF
#define HAVE_PTHREAD_GETATTR_NP 1
_ACEOF

fi
done
 ;;
esac
    if test "${host_os}" = "nacl"; then
      ac_cv_func_pthread_attr_init=no
    else
      for ac_func in pthread_attr_init
do :
  ac_fn_c_check_func "$LINENO" "pthread_attr_init" "ac_cv_func_pthread_attr_init"
if test "x$ac_cv_func_pthread_attr_init" = xyes; then :
  cat >>confdefs.h <<_ACEOF
#define HAVE_PTHREAD_ATTR_INIT 1
_ACEOF

fi
done

    fi
    set_current_thread_name=
    if test "$ac_cv_func_pthread_setname_np" = yes; then
	{ $as_echo "$as_me:${as_lineno-$LINENO}: checking arguments of pthread_setname_np" >&5
$as_echo_n "checking arguments of pthread_setname_np... " >&6; }
if ${rb_cv_func_pthread_setname_np_arguments+:} false; then :
  $as_echo_n "(cached) " >&6
else
  rb_cv_func_pthread_setname_np_arguments=
	    # Linux,AIX,  (pthread_self(), name)
	    # NetBSD (pthread_self(), name, \"%s\")
	    # Darwin (name)
	    for mac in \
		"(pthread_self(), name)" \
		"(pthread_self(), name, \"%s\")" \
		"(name)" \
		; do
		cat confdefs.h - <<_ACEOF >conftest.$ac_ext
/* end confdefs.h.  */

		    #include <pthread.h>
		    #ifdef HAVE_PTHREAD_NP_H
		    #include <pthread_np.h>
		    #endif
		    #define SET_THREAD_NAME(name) pthread_setname_np${mac}

int
main ()
{
if (SET_THREAD_NAME("conftest")) return 1;
  ;
  return 0;
}
_ACEOF
if ac_fn_c_try_compile "$LINENO"; then :
  rb_cv_func_pthread_setname_np_arguments="${mac}"
		    break
fi
rm -f core conftest.err conftest.$ac_objext conftest.$ac_ext
	    done


fi
{ $as_echo "$as_me:${as_lineno-$LINENO}: result: $rb_cv_func_pthread_setname_np_arguments" >&5
    colorize_result "$rb_cv_func_pthread_setname_np_arguments" ; }
	if test -n "${rb_cv_func_pthread_setname_np_arguments}"; then
	    set_current_thread_name="pthread_setname_np${rb_cv_func_pthread_setname_np_arguments}"
	fi
    elif test "$ac_cv_func_pthread_set_name_np" = yes; then
	set_current_thread_name="pthread_set_name_np(pthread_self(), name)"
    fi
    if test -n "$set_current_thread_name"; then :

	cat >>confdefs.h <<_ACEOF
#define SET_CURRENT_THREAD_NAME(name) $set_current_thread_name
_ACEOF

	case $set_current_thread_name in #(
  *'pthread_self()'*) :

		set_another_thread_name=`echo "$set_current_thread_name" | sed 's/pthread_self()/thid/'`
		cat >>confdefs.h <<_ACEOF
#define SET_ANOTHER_THREAD_NAME(thid,name) $set_another_thread_name
_ACEOF

	     ;; #(
  *) :
     ;;
esac

fi
fi

if test x"$ac_cv_header_ucontext_h" = xno; then
    { $as_echo "$as_me:${as_lineno-$LINENO}: checking if signal.h defines ucontext_t" >&5
$as_echo_n "checking if signal.h defines ucontext_t... " >&6; }
if ${rb_cv_ucontext_in_signal_h+:} false; then :
  $as_echo_n "(cached) " >&6
else
  cat confdefs.h - <<_ACEOF >conftest.$ac_ext
/* end confdefs.h.  */
#include <signal.h>
int
main ()
{
size_t size = sizeof(ucontext_t);
  ;
  return 0;
}
_ACEOF
if ac_fn_c_try_compile "$LINENO"; then :
  rb_cv_ucontext_in_signal_h=yes
else
  rb_cv_ucontext_in_signal_h=no
fi
rm -f core conftest.err conftest.$ac_objext conftest.$ac_ext
fi
{ $as_echo "$as_me:${as_lineno-$LINENO}: result: $rb_cv_ucontext_in_signal_h" >&5
    colorize_result "$rb_cv_ucontext_in_signal_h" ; }
    if test x"$rb_cv_ucontext_in_signal_h" = xyes; then
	    cat >>confdefs.h <<_ACEOF
#define UCONTEXT_IN_SIGNAL_H 1
_ACEOF

    fi
fi
if test x"$ac_cv_header_ucontext_h" = xyes -o x"$rb_cv_ucontext_in_signal_h" = xyes; then
    { $as_echo "$as_me:${as_lineno-$LINENO}: checking if mcontext_t is a pointer" >&5
$as_echo_n "checking if mcontext_t is a pointer... " >&6; }
if ${rb_cv_mcontext_t_ptr+:} false; then :
  $as_echo_n "(cached) " >&6
else
  cat confdefs.h - <<_ACEOF >conftest.$ac_ext
/* end confdefs.h.  */

	    #include <signal.h>
	    #ifdef HAVE_UCONTEXT_H
	    #include <ucontext.h>
	    #endif
        mcontext_t test(mcontext_t mc) {return mc+1;}

int
main ()
{
test(0);
  ;
  return 0;
}
_ACEOF
if ac_fn_c_try_compile "$LINENO"; then :
  rb_cv_mcontext_t_ptr=yes
else
  rb_cv_mcontext_t_ptr=no
fi
rm -f core conftest.err conftest.$ac_objext conftest.$ac_ext
fi
{ $as_echo "$as_me:${as_lineno-$LINENO}: result: $rb_cv_mcontext_t_ptr" >&5
    colorize_result "$rb_cv_mcontext_t_ptr" ; }
    if test x"$rb_cv_mcontext_t_ptr" = xyes; then
	cat >>confdefs.h <<_ACEOF
#define DEFINE_MCONTEXT_PTR(mc, uc) mcontext_t mc = (uc)->uc_mcontext
_ACEOF

    else
	cat >>confdefs.h <<_ACEOF
#define DEFINE_MCONTEXT_PTR(mc, uc) mcontext_t *mc = &(uc)->uc_mcontext
_ACEOF

    fi
    if test x"$rb_with_pthread" = xyes; then
	for ac_func in getcontext setcontext
do :
  as_ac_var=`$as_echo "ac_cv_func_$ac_func" | $as_tr_sh`
ac_fn_c_check_func "$LINENO" "$ac_func" "$as_ac_var"
if eval test \"x\$"$as_ac_var"\" = x"yes"; then :
  cat >>confdefs.h <<_ACEOF
#define `$as_echo "HAVE_$ac_func" | $as_tr_cpp` 1
_ACEOF

fi
done

    fi
fi

if test "$ac_cv_func_fork_works" = "yes" -a "$rb_with_pthread" = "yes"; then
    { $as_echo "$as_me:${as_lineno-$LINENO}: checking if fork works with pthread" >&5
$as_echo_n "checking if fork works with pthread... " >&6; }
if ${rb_cv_fork_with_pthread+:} false; then :
  $as_echo_n "(cached) " >&6
else
  if test "$cross_compiling" = yes; then :
  rb_cv_fork_with_pthread=yes
else
  cat confdefs.h - <<_ACEOF >conftest.$ac_ext
/* end confdefs.h.  */

#include <stdlib.h>
#include <unistd.h>
#include <pthread.h>
#include <stdio.h>
#include <sys/types.h>
#include <sys/wait.h>
#include <signal.h>
#ifndef EXIT_SUCCESS
#define EXIT_SUCCESS 0
#endif
#ifndef EXIT_FAILURE
#define EXIT_FAILURE 1
#endif

void *
thread_func(void *dmy)
{
    return dmy;
}

int
use_threads(void)
{
    pthread_t tid;
    if (pthread_create(&tid, 0, thread_func, 0) != 0) {
	return -1;
    }
    if (pthread_join(tid, 0) != 0) {
	return -1;
    }
    return 0;
}

int
main(int argc, char *argv[])
{
    pid_t pid;
    if (use_threads()) return EXIT_FAILURE;
    pid = fork();

    if (pid) {
	int loc;
	sleep(1);
	if (waitpid(pid, &loc, WNOHANG) == 0) {
	    kill(pid, SIGKILL);
	    return EXIT_FAILURE;
	}
        if (!WIFEXITED(loc) || WEXITSTATUS(loc) != EXIT_SUCCESS)
           return EXIT_FAILURE;
    }
    else {
	if (use_threads()) return EXIT_FAILURE;
    }

    return EXIT_SUCCESS;
}
_ACEOF
if ac_fn_c_try_run "$LINENO"; then :
  rb_cv_fork_with_pthread=yes
else
  rb_cv_fork_with_pthread=no
fi
rm -f core *.core core.conftest.* gmon.out bb.out conftest$ac_exeext \
  conftest.$ac_objext conftest.beam conftest.$ac_ext
fi

fi
{ $as_echo "$as_me:${as_lineno-$LINENO}: result: $rb_cv_fork_with_pthread" >&5
    colorize_result "$rb_cv_fork_with_pthread" ; }
    test x$rb_cv_fork_with_pthread = xyes || $as_echo "#define CANNOT_FORK_WITH_PTHREAD 1" >>confdefs.h

fi


}
{ # runtime section


# Check whether --with-dln-a-out was given.
if test "${with_dln_a_out+set}" = set; then :
  withval=$with_dln_a_out;
	case $withval in #(
  yes) :

	    if test "$enable_shared" = yes; then
		as_fn_error $? "dln_a_out can not make shared library" "$LINENO" 5
	    fi
	    with_dln_a_out=yes ;; #(
  *) :

	    with_dln_a_out=no ;;
esac
else
  with_dln_a_out=no
fi


{ $as_echo "$as_me:${as_lineno-$LINENO}: checking whether ELF binaries are produced" >&5
$as_echo_n "checking whether ELF binaries are produced... " >&6; }
if ${rb_cv_binary_elf+:} false; then :
  $as_echo_n "(cached) " >&6
else
  cat confdefs.h - <<_ACEOF >conftest.$ac_ext
/* end confdefs.h.  */

int
main ()
{

  ;
  return 0;
}
_ACEOF
if ac_fn_c_try_link "$LINENO"; then :

case "`head -1 conftest$EXEEXT | tr -dc '\177ELF' | tr '\177' .`" in #(
  .ELF*) :
    rb_cv_binary_elf=yes ;; #(
  *) :
    rb_cv_binary_elf=no ;;
esac
else
  rb_cv_binary_elf=no
fi
rm -f core conftest.err conftest.$ac_objext \
    conftest$ac_exeext conftest.$ac_ext
fi
{ $as_echo "$as_me:${as_lineno-$LINENO}: result: $rb_cv_binary_elf" >&5
    colorize_result "$rb_cv_binary_elf" ; }

if test "$rb_cv_binary_elf" = yes; then
  $as_echo "#define USE_ELF 1" >>confdefs.h

  if test "$with_dln_a_out" = yes; then
    as_fn_error $? "dln_a_out does not work with ELF" "$LINENO" 5
  fi
  for ac_header in elf.h elf_abi.h
do :
  as_ac_Header=`$as_echo "ac_cv_header_$ac_header" | $as_tr_sh`
ac_fn_c_check_header_mongrel "$LINENO" "$ac_header" "$as_ac_Header" "$ac_includes_default"
if eval test \"x\$"$as_ac_Header"\" = x"yes"; then :
  cat >>confdefs.h <<_ACEOF
#define `$as_echo "HAVE_$ac_header" | $as_tr_cpp` 1
_ACEOF

fi

done

  if test $ac_cv_header_elf_h = yes -o $ac_cv_header_elf_abi_h = yes; then
    case " $LIBOBJS " in
  *" addr2line.$ac_objext "* ) ;;
  *) LIBOBJS="$LIBOBJS addr2line.$ac_objext"
 ;;
esac

  fi
fi

case "$target_os" in #(
  linux* | gnu* | k*bsd*-gnu | bsdi* | kopensolaris*-gnu | nacl) :

    if test "$rb_cv_binary_elf" = no; then
	with_dln_a_out=yes
    else
	LDFLAGS="$LDFLAGS -rdynamic"
    fi ;; #(
  *) :
     ;;
esac
LIBEXT=a


ASMEXT=S

STATIC=

if test "$with_dln_a_out" != yes; then
  rb_cv_dlopen=unknown
  { $as_echo "$as_me:${as_lineno-$LINENO}: checking whether OS depend dynamic link works" >&5
$as_echo_n "checking whether OS depend dynamic link works... " >&6; }
  if test "$GCC" = yes; then
    case "$target_os" in #(
  darwin*) :

      # The -fno-common is needed if we wish to embed the Ruby interpreter
      # into a plugin module of some project (as opposed to embedding it
      # within the project's application).  The -I/usr/local/include is
      # needed because CPP as discovered by configure (cc -E -traditional)
      # fails to consult /usr/local/include by default.  This causes
      # mkmf.rb's have_header() to fail if the desired resource happens to be
      # installed in the /usr/local tree.
      # RUBY_APPEND_OPTION(CCDLFLAGS)
	case " ${CCDLFLAGS-} " in #(
  *" -fno-common "*) :
     ;; #(
  '  ') :
     CCDLFLAGS="-fno-common" ;; #(
  *) :
     CCDLFLAGS="$CCDLFLAGS -fno-common" ;;
esac ;; #(
  bsdi*|cygwin*|mingw*|aix*|interix*) :
      ;; #(
  *) :

      # RUBY_APPEND_OPTION(CCDLFLAGS)
	case " ${CCDLFLAGS-} " in #(
  *" -fPIC "*) :
     ;; #(
  '  ') :
     CCDLFLAGS="-fPIC" ;; #(
  *) :
     CCDLFLAGS="$CCDLFLAGS -fPIC" ;;
esac ;;
esac
  else
    case "$target_os" in #(
  hpux*) :
    CCDLFLAGS="$CCDLFLAGS +Z" ;; #(
  solaris*|irix*) :
    CCDLFLAGS="$CCDLFLAGS -KPIC" ;; #(
  sunos*) :
    CCDLFLAGS="$CCDLFLAGS -PIC" ;; #(
  esix*|uxpds*) :
    CCDLFLAGS="$CCDLFLAGS -KPIC" ;; #(
  *) :
    : ${CCDLFLAGS=""} ;;
esac
  fi


  # Check whether --enable-rpath was given.
if test "${enable_rpath+set}" = set; then :
  enableval=$enable_rpath; enable_rpath=$enableval
else
  enable_rpath="$rb_cv_binary_elf"
fi


  case "$target_os" in #(
  hpux*) :
    	DLDFLAGS="$DLDFLAGS -E"
			: ${LDSHARED='$(LD) -b'}
			XLDFLAGS="$XLDFLAGS -Wl,-E"
			: ${LIBPATHENV=SHLIB_PATH}
			rb_cv_dlopen=yes ;; #(
  solaris*) :
    	if test "$GCC" = yes; then
			    : ${LDSHARED='$(CC) -shared'}
			    if test "$rb_cv_prog_gnu_ld" = yes; then
				LDFLAGS="$LDFLAGS -Wl,-E"
			    fi
			else
			    : ${LDSHARED='$(CC) -G'}
			fi
			if test "$ac_cv_sizeof_voidp" = 8; then
			    : ${LIBPATHENV=LD_LIBRARY_PATH_64}
			    : ${PRELOADENV=LD_PRELOAD_64}
			else
			    : ${LIBPATHENV=LD_LIBRARY_PATH_32}
			    : ${PRELOADENV=LD_PRELOAD_32}
			fi
			rb_cv_dlopen=yes ;; #(
  sunos*) :
    	: ${LDSHARED='$(LD) -assert nodefinitions'}
			rb_cv_dlopen=yes ;; #(
  irix*) :
    	: ${LDSHARED='$(LD) -shared'}
			rb_cv_dlopen=yes ;; #(
  sysv4*) :
    	: ${LDSHARED='$(LD) -G'}
			rb_cv_dlopen=yes ;; #(
  nto-qnx*) :
    	: ${LDSHARED='$(CC) -shared'}
			rb_cv_dlopen=yes ;; #(
  esix*|uxpds*) :
     : ${LDSHARED='$(LD) -G'}
			rb_cv_dlopen=yes ;; #(
  osf*) :
    	: ${LDSHARED='$(LD) -shared -expect_unresolved "*"'}
			rb_cv_dlopen=yes ;; #(
  bsdi3*) :
    	case "$CC" in #(
  *shlicc*) :
    	: ${LDSHARED='$(CC) -r'}
					rb_cv_dlopen=yes ;; #(
  *) :
     ;;
esac ;; #(
  linux* | gnu* | k*bsd*-gnu | netbsd* | bsdi* | kopensolaris*-gnu | haiku*) :

			: ${LDSHARED='$(CC) -shared'}
			if test "$rb_cv_binary_elf" = yes; then
			    LDFLAGS="$LDFLAGS -Wl,-export-dynamic"
			fi
			rb_cv_dlopen=yes ;; #(
  interix*) :
    	: ${LDSHARED='$(CC) -shared'}
			XLDFLAGS="$XLDFLAGS -Wl,-E"
			LIBPATHFLAG=" -L%1\$-s"
			rb_cv_dlopen=yes ;; #(
  freebsd*|dragonfly*) :

			: ${LDSHARED='$(CC) -shared'}
			if test "$rb_cv_binary_elf" = yes; then
			    LDFLAGS="$LDFLAGS -rdynamic"
			    DLDFLAGS="$DLDFLAGS "'-Wl,-soname,$@'
			else
			  test "$GCC" = yes && test "$rb_cv_prog_gnu_ld" = yes || LDSHARED='$(LD) -Bshareable'
			fi
			rb_cv_dlopen=yes ;; #(
  openbsd*|mirbsd*) :
    	: ${LDSHARED='$(CC) -shared ${CCDLFLAGS}'}
			if test "$rb_cv_binary_elf" = yes; then
			    LDFLAGS="$LDFLAGS -Wl,-E"
			fi
			rb_cv_dlopen=yes ;; #(
  darwin*) :
    	: ${LDSHARED='$(CC) -dynamic -bundle'}
			: ${LDFLAGS=""}
			: ${LIBPATHENV=DYLD_LIBRARY_PATH}
			: ${PRELOADENV=DYLD_INSERT_LIBRARIES}
			rb_cv_dlopen=yes ;; #(
  aix*) :
    	: ${LDSHARED='$(CC)'}
			LDSHARED="$LDSHARED ${linker_flag}-G"
			EXTDLDFLAGS='-e$(TARGET_ENTRY)'
			XLDFLAGS="${linker_flag}"'-bE:$(ARCHFILE)'" ${linker_flag}-brtl"
			XLDFLAGS="$XLDFLAGS ${linker_flag}-blibpath:${prefix}/lib:${LIBPATH:-/usr/lib:/lib}"
			: ${ARCHFILE="ruby.imp"}
                        TRY_LINK='$(CC) $(LDFLAGS) -oconftest $(INCFLAGS) -I$(hdrdir) $(CPPFLAGS)'
                        TRY_LINK="$TRY_LINK"' $(CFLAGS) $(src) $(LIBPATH) $(LOCAL_LIBS) $(LIBS)'
			: ${LIBPATHENV=LIBPATH}
			rb_cv_dlopen=yes ;; #(
  nto-qnx*) :
    	DLDFLAGS="$DLDFLAGS -L/lib -L/usr/lib -L/usr/local/lib"
			: ${LDSHARED='$(LD) -Bshareable -x'}
			LDFLAGS="$LDFLAGS -L/lib -L/usr/lib -L/usr/local/lib"
			rb_cv_dlopen=yes ;; #(
  cygwin*|mingw*) :

			: ${LDSHARED='$(CC) -shared $(if $(filter-out -g -g0,$(debugflags)),,-s)'}
			XLDFLAGS="$XLDFLAGS -Wl,--stack,0x00200000,--enable-auto-import"
			DLDFLAGS="${DLDFLAGS} -Wl,--enable-auto-image-base,--enable-auto-import"
			: ${LIBPATHENV=""}
			: ${PRELOADENV=""}
			rb_cv_dlopen=yes ;; #(
  hiuxmpp) :
    	: ${LDSHARED='$(LD) -r'} ;; #(
  atheos*) :
    	: ${LDSHARED='$(CC) -shared'}
			rb_cv_dlopen=yes ;; #(
  nacl) :
     LDSHARED='$(CC) -shared'  ;; #(
  *) :
    	: ${LDSHARED='$(LD)'} ;;
esac
  { $as_echo "$as_me:${as_lineno-$LINENO}: result: $rb_cv_dlopen" >&5
    colorize_result "$rb_cv_dlopen" ; }

  if test "$rb_cv_dlopen" = yes; then
    case "$target_os" in #(
  darwin*) :

	for flag in \
	  "-undefined dynamic_lookup" \
	  "-multiply_defined suppress" \
	  ; do
	  test "x${linker_flag}" = x || flag="${linker_flag}`echo ${flag} | tr ' ' ,`"

    save_LDFLAGS="$LDFLAGS"
    LDFLAGS="$LDFLAGS $flag"
    { $as_echo "$as_me:${as_lineno-$LINENO}: checking whether $flag is accepted as LDFLAGS" >&5
$as_echo_n "checking whether $flag is accepted as LDFLAGS... " >&6; }
    save_CFLAGS="$CFLAGS"
CFLAGS="$CFLAGS $rb_cv_warnflags"
if test "${ac_c_werror_flag+set}"; then
  rb_c_werror_flag="$ac_c_werror_flag"
else
  unset rb_c_werror_flag
fi
ac_c_werror_flag=yes

    cat confdefs.h - <<_ACEOF >conftest.$ac_ext
/* end confdefs.h.  */

int
main ()
{

  ;
  return 0;
}
_ACEOF
if ac_fn_c_try_link "$LINENO"; then :

	{ $as_echo "$as_me:${as_lineno-$LINENO}: result: yes" >&5
    $as_echo "${msg_result_yes}yes${msg_reset}" ; }
else
  flag=
	{ $as_echo "$as_me:${as_lineno-$LINENO}: result: no" >&5
    $as_echo "${msg_result_no}no${msg_reset}" ; }
fi
rm -f core conftest.err conftest.$ac_objext \
    conftest$ac_exeext conftest.$ac_ext

CFLAGS="$save_CFLAGS"
save_CFLAGS=
if test "${rb_c_werror_flag+set}"; then
  ac_c_werror_flag="$rb_c_werror_flag"
else
  unset ac_c_werror_flag
fi
    LDFLAGS="$save_LDFLAGS"
    save_LDFLAGS=

	  if test "x$flag" != x; then
	    # RUBY_APPEND_OPTIONS(DLDFLAGS)
	for rb_opt in $flag; do
	case " ${DLDFLAGS-} " in #(
  *" ${rb_opt} "*) :
     ;; #(
  '  ') :
     DLDFLAGS="${rb_opt}" ;; #(
  *) :
     DLDFLAGS="$DLDFLAGS ${rb_opt}" ;;
esac
	done
	  fi
	done
       ;; #(
  *) :
     ;;
esac
  fi

  if test "$enable_rpath:${RPATHFLAG}" = yes:; then :

      if test "x$rpathflag" != x; then :

	  RPATHFLAG=" ${rpathflag}%1\$-s"

fi

fi
fi
if test "${LDSHAREDXX}" = ""; then
    case "${LDSHARED}" in #(
  *'$(CC)'*) :

	    LDSHAREDXX=`echo "${LDSHARED}" | sed 's/\$(CC)/$(CXX)/'`
	     ;; #(
  *'${CC}'*) :

	    LDSHAREDXX=`echo "${LDSHARED}" | sed 's/\${CC}/${CXX}/'`
	     ;; #(
  *$CC*) :

	    LDSHAREDXX=`echo "${LDSHARED}" | sed "s|$CC|$CXX|"`
	     ;; #(
  ld" "*) :

	     ;; #(
  *) :
     ;;
esac
fi
case ${RPATHFLAG} in #(
  *'%1$'*) :
    : ${LIBPATHFLAG=' -L%1$-s'} ;; #(
  *) :
    : ${LIBPATHFLAG=' -L%s'} ;;
esac




LIBPATHENV="${LIBPATHENV-LD_LIBRARY_PATH}"

PRELOADENV="${PRELOADENV-LD_PRELOAD}"



if test "x$OPT_DIR" != x; then
    pat=`echo "${LDFLAGS_OPTDIR}" | sed 's/[][\\.*|]/\\\\&/'`
    LDFLAGS=`echo "${LDFLAGS}" | sed "s| ${pat}||"`
    val=`IFS="$PATH_SEPARATOR"
        for dir in $OPT_DIR; do
            echo x ${LIBPATHFLAG} ${RPATHFLAG} |
            sed "s/^x *//;s${IFS}"'%1\\$-s'"${IFS}${dir}/lib${IFS}g;s${IFS}%s${IFS}${dir}/lib${IFS}g"
        done | tr '\012' ' ' | sed 's/ *$//'`
    if test x"$val" != x; then
	test x"${LDFLAGS}" = x || LDFLAGS="$LDFLAGS "
	LDFLAGS="$LDFLAGS$val"
	test x"${DLDFLAGS}" = x || DLDFLAGS="$DLDFLAGS "
	DLDFLAGS="$DLDFLAGS$val"
    fi
    LDFLAGS_OPTDIR="$val"
fi

case "$target_os" in #(
  freebsd*) :

    { $as_echo "$as_me:${as_lineno-$LINENO}: checking for procstat_open_sysctl in -lprocstat" >&5
$as_echo_n "checking for procstat_open_sysctl in -lprocstat... " >&6; }
if ${ac_cv_lib_procstat_procstat_open_sysctl+:} false; then :
  $as_echo_n "(cached) " >&6
else
  ac_check_lib_save_LIBS=$LIBS
LIBS="-lprocstat  $LIBS"
cat confdefs.h - <<_ACEOF >conftest.$ac_ext
/* end confdefs.h.  */

/* Override any GCC internal prototype to avoid an error.
   Use char because int might match the return type of a GCC
   builtin and then its argument prototype would still apply.  */
#ifdef __cplusplus
extern "C"
#endif
char procstat_open_sysctl ();
int
main ()
{
return procstat_open_sysctl ();
  ;
  return 0;
}
_ACEOF
if ac_fn_c_try_link "$LINENO"; then :
  ac_cv_lib_procstat_procstat_open_sysctl=yes
else
  ac_cv_lib_procstat_procstat_open_sysctl=no
fi
rm -f core conftest.err conftest.$ac_objext \
    conftest$ac_exeext conftest.$ac_ext
LIBS=$ac_check_lib_save_LIBS
fi
{ $as_echo "$as_me:${as_lineno-$LINENO}: result: $ac_cv_lib_procstat_procstat_open_sysctl" >&5
    colorize_result "$ac_cv_lib_procstat_procstat_open_sysctl" ; }
if test "x$ac_cv_lib_procstat_procstat_open_sysctl" = xyes; then :
  cat >>confdefs.h <<_ACEOF
#define HAVE_LIBPROCSTAT 1
_ACEOF

  LIBS="-lprocstat $LIBS"

fi

    if test "x$ac_cv_lib_procstat_procstat_open_sysctl" = xyes; then
	for ac_func in procstat_getvmmap
do :
  ac_fn_c_check_func "$LINENO" "procstat_getvmmap" "ac_cv_func_procstat_getvmmap"
if test "x$ac_cv_func_procstat_getvmmap" = xyes; then :
  cat >>confdefs.h <<_ACEOF
#define HAVE_PROCSTAT_GETVMMAP 1
_ACEOF

fi
done

    fi
     ;; #(
  *) :
     ;;
esac
case "$target_cpu-$target_os" in #(
  *-darwin*) :

    for ac_header in execinfo.h
do :
  ac_fn_c_check_header_mongrel "$LINENO" "execinfo.h" "ac_cv_header_execinfo_h" "$ac_includes_default"
if test "x$ac_cv_header_execinfo_h" = xyes; then :
  cat >>confdefs.h <<_ACEOF
#define HAVE_EXECINFO_H 1
_ACEOF

fi

done

    if test "x$ac_cv_header_execinfo_h" = xyes; then
	{ $as_echo "$as_me:${as_lineno-$LINENO}: checking for backtrace in -lexecinfo" >&5
$as_echo_n "checking for backtrace in -lexecinfo... " >&6; }
if ${ac_cv_lib_execinfo_backtrace+:} false; then :
  $as_echo_n "(cached) " >&6
else
  ac_check_lib_save_LIBS=$LIBS
LIBS="-lexecinfo  $LIBS"
cat confdefs.h - <<_ACEOF >conftest.$ac_ext
/* end confdefs.h.  */

/* Override any GCC internal prototype to avoid an error.
   Use char because int might match the return type of a GCC
   builtin and then its argument prototype would still apply.  */
#ifdef __cplusplus
extern "C"
#endif
char backtrace ();
int
main ()
{
return backtrace ();
  ;
  return 0;
}
_ACEOF
if ac_fn_c_try_link "$LINENO"; then :
  ac_cv_lib_execinfo_backtrace=yes
else
  ac_cv_lib_execinfo_backtrace=no
fi
rm -f core conftest.err conftest.$ac_objext \
    conftest$ac_exeext conftest.$ac_ext
LIBS=$ac_check_lib_save_LIBS
fi
{ $as_echo "$as_me:${as_lineno-$LINENO}: result: $ac_cv_lib_execinfo_backtrace" >&5
    colorize_result "$ac_cv_lib_execinfo_backtrace" ; }
if test "x$ac_cv_lib_execinfo_backtrace" = xyes; then :
  cat >>confdefs.h <<_ACEOF
#define HAVE_LIBEXECINFO 1
_ACEOF

  LIBS="-lexecinfo $LIBS"

fi

	for ac_header in libunwind.h
do :
  ac_fn_c_check_header_mongrel "$LINENO" "libunwind.h" "ac_cv_header_libunwind_h" "$ac_includes_default"
if test "x$ac_cv_header_libunwind_h" = xyes; then :
  cat >>confdefs.h <<_ACEOF
#define HAVE_LIBUNWIND_H 1
_ACEOF

fi

done

    fi ;; #(
  *-freebsd*|x86_64-netbsd*) :

    for ac_header in execinfo.h
do :
  ac_fn_c_check_header_mongrel "$LINENO" "execinfo.h" "ac_cv_header_execinfo_h" "$ac_includes_default"
if test "x$ac_cv_header_execinfo_h" = xyes; then :
  cat >>confdefs.h <<_ACEOF
#define HAVE_EXECINFO_H 1
_ACEOF

fi

done

    if test "x$ac_cv_header_execinfo_h" = xyes; then
	{ $as_echo "$as_me:${as_lineno-$LINENO}: checking for backtrace in -lexecinfo" >&5
$as_echo_n "checking for backtrace in -lexecinfo... " >&6; }
if ${ac_cv_lib_execinfo_backtrace+:} false; then :
  $as_echo_n "(cached) " >&6
else
  ac_check_lib_save_LIBS=$LIBS
LIBS="-lexecinfo  $LIBS"
cat confdefs.h - <<_ACEOF >conftest.$ac_ext
/* end confdefs.h.  */

/* Override any GCC internal prototype to avoid an error.
   Use char because int might match the return type of a GCC
   builtin and then its argument prototype would still apply.  */
#ifdef __cplusplus
extern "C"
#endif
char backtrace ();
int
main ()
{
return backtrace ();
  ;
  return 0;
}
_ACEOF
if ac_fn_c_try_link "$LINENO"; then :
  ac_cv_lib_execinfo_backtrace=yes
else
  ac_cv_lib_execinfo_backtrace=no
fi
rm -f core conftest.err conftest.$ac_objext \
    conftest$ac_exeext conftest.$ac_ext
LIBS=$ac_check_lib_save_LIBS
fi
{ $as_echo "$as_me:${as_lineno-$LINENO}: result: $ac_cv_lib_execinfo_backtrace" >&5
    colorize_result "$ac_cv_lib_execinfo_backtrace" ; }
if test "x$ac_cv_lib_execinfo_backtrace" = xyes; then :
  cat >>confdefs.h <<_ACEOF
#define HAVE_LIBEXECINFO 1
_ACEOF

  LIBS="-lexecinfo $LIBS"

fi

	{ $as_echo "$as_me:${as_lineno-$LINENO}: checking for unw_backtrace in -lunwind" >&5
$as_echo_n "checking for unw_backtrace in -lunwind... " >&6; }
if ${ac_cv_lib_unwind_unw_backtrace+:} false; then :
  $as_echo_n "(cached) " >&6
else
  ac_check_lib_save_LIBS=$LIBS
LIBS="-lunwind  $LIBS"
cat confdefs.h - <<_ACEOF >conftest.$ac_ext
/* end confdefs.h.  */

/* Override any GCC internal prototype to avoid an error.
   Use char because int might match the return type of a GCC
   builtin and then its argument prototype would still apply.  */
#ifdef __cplusplus
extern "C"
#endif
char unw_backtrace ();
int
main ()
{
return unw_backtrace ();
  ;
  return 0;
}
_ACEOF
if ac_fn_c_try_link "$LINENO"; then :
  ac_cv_lib_unwind_unw_backtrace=yes
else
  ac_cv_lib_unwind_unw_backtrace=no
fi
rm -f core conftest.err conftest.$ac_objext \
    conftest$ac_exeext conftest.$ac_ext
LIBS=$ac_check_lib_save_LIBS
fi
{ $as_echo "$as_me:${as_lineno-$LINENO}: result: $ac_cv_lib_unwind_unw_backtrace" >&5
    colorize_result "$ac_cv_lib_unwind_unw_backtrace" ; }
if test "x$ac_cv_lib_unwind_unw_backtrace" = xyes; then :
  cat >>confdefs.h <<_ACEOF
#define HAVE_LIBUNWIND 1
_ACEOF

  LIBS="-lunwind $LIBS"

fi

    fi ;; #(
  *) :
     ;;
esac
for ac_func in backtrace
do :
  ac_fn_c_check_func "$LINENO" "backtrace" "ac_cv_func_backtrace"
if test "x$ac_cv_func_backtrace" = xyes; then :
  cat >>confdefs.h <<_ACEOF
#define HAVE_BACKTRACE 1
_ACEOF

fi
done


if test "x$ac_cv_func_backtrace" = xyes; then
  { $as_echo "$as_me:${as_lineno-$LINENO}: checking for broken backtrace" >&5
$as_echo_n "checking for broken backtrace... " >&6; }
if ${rb_cv_broken_backtrace+:} false; then :
  $as_echo_n "(cached) " >&6
else
  if test "$cross_compiling" = yes; then :
  rb_cv_broken_backtrace=no
else
  cat confdefs.h - <<_ACEOF >conftest.$ac_ext
/* end confdefs.h.  */

#include <unistd.h>
#include <stdio.h>
#include <stdlib.h>
#include <stdint.h>
#include <string.h>
#include <signal.h>
#include <execinfo.h>

#define TRACE_SIZE 256

void sigsegv(int signum, siginfo_t *info, void *ctx){
    void *trace[TRACE_SIZE];
    int n = backtrace(trace, TRACE_SIZE);
    if (n > 0) {
	/*fprintf(stdout, "backtrace:%d\n",n);*/
    } else {
	_exit(EXIT_FAILURE);
    }
    _exit(EXIT_SUCCESS);
}
int
main(void)
{
    volatile int *a = NULL;
    stack_t ss;
    ss.ss_sp = malloc(SIGSTKSZ);
    if (ss.ss_sp == NULL) {
	fprintf(stderr, "cannot allocate memory for sigaltstack\n");
	return EXIT_FAILURE;
    }
    ss.ss_size = SIGSTKSZ;
    ss.ss_flags = 0;
    if (sigaltstack(&ss, NULL) == -1) {
	fprintf(stderr, "sigaltstack failed\n");
	return EXIT_FAILURE;
    }
    struct sigaction sa;
    memset(&sa, 0, sizeof(struct sigaction));
    sigemptyset(&sa.sa_mask);
    sa.sa_sigaction = sigsegv;
    sa.sa_flags |= SA_SIGINFO;
    sa.sa_flags |= SA_ONSTACK;
    sigaction(SIGSEGV, &sa, NULL);
    a[0] = 1;
    return EXIT_SUCCESS;
}

_ACEOF
if ac_fn_c_try_run "$LINENO"; then :
  rb_cv_broken_backtrace=no
else
  rb_cv_broken_backtrace=yes
fi
rm -f core *.core core.conftest.* gmon.out bb.out conftest$ac_exeext \
  conftest.$ac_objext conftest.beam conftest.$ac_ext
fi

fi
{ $as_echo "$as_me:${as_lineno-$LINENO}: result: $rb_cv_broken_backtrace" >&5
    colorize_result "$rb_cv_broken_backtrace" ; }
  if test "$rb_cv_broken_backtrace" = yes; then
    $as_echo "#define BROKEN_BACKTRACE 1" >>confdefs.h

  fi
fi


# Check whether --with-valgrind was given.
if test "${with_valgrind+set}" = set; then :
  withval=$with_valgrind;
else
  with_valgrind=yes
fi

if test x$with_valgrind != xno; then :
  for ac_header in valgrind/memcheck.h
do :
  ac_fn_c_check_header_mongrel "$LINENO" "valgrind/memcheck.h" "ac_cv_header_valgrind_memcheck_h" "$ac_includes_default"
if test "x$ac_cv_header_valgrind_memcheck_h" = xyes; then :
  cat >>confdefs.h <<_ACEOF
#define HAVE_VALGRIND_MEMCHECK_H 1
_ACEOF

fi

done

fi

dln_a_out_works=no
if test "$ac_cv_header_a_out_h" = yes; then
  if test "$with_dln_a_out" = yes || test "$rb_cv_dlopen" = unknown; then
    cat confdefs.h > config.h
    { $as_echo "$as_me:${as_lineno-$LINENO}: checking whether matz's dln works" >&5
$as_echo_n "checking whether matz's dln works... " >&6; }
if ${rb_cv_dln_a_out+:} false; then :
  $as_echo_n "(cached) " >&6
else
  cat confdefs.h - <<_ACEOF >conftest.$ac_ext
/* end confdefs.h.  */

#define USE_DLN_A_OUT
#include "dln.c"

int
main ()
{

  ;
  return 0;
}
_ACEOF
if ac_fn_c_try_compile "$LINENO"; then :
  rb_cv_dln_a_out=yes
else
  rb_cv_dln_a_out=no
fi
rm -f core conftest.err conftest.$ac_objext conftest.$ac_ext
fi
{ $as_echo "$as_me:${as_lineno-$LINENO}: result: $rb_cv_dln_a_out" >&5
    colorize_result "$rb_cv_dln_a_out" ; }
    if test "$rb_cv_dln_a_out" = yes; then
      dln_a_out_works=yes
      $as_echo "#define USE_DLN_A_OUT 1" >>confdefs.h

    fi
  fi
fi

if test "$dln_a_out_works" = yes; then
  if test "$GCC" = yes; then
    STATIC=-static
  else
    STATIC=-Bstatic
  fi
  DLEXT=so
  CCDLFLAGS=
else
  case "$target_os" in #(
  hpux*) :

	DLEXT=sl ;; #(
  darwin*) :

	# RUBY_APPEND_OPTION(XLDFLAGS)
	case " ${XLDFLAGS-} " in #(
  *" -Wl,-u,_objc_msgSend "*) :
     ;; #(
  '  ') :
     XLDFLAGS="-Wl,-u,_objc_msgSend" ;; #(
  *) :
     XLDFLAGS="$XLDFLAGS -Wl,-u,_objc_msgSend" ;;
esac
	DLEXT=bundle ;; #(
  cygwin*|mingw*|*djgpp*) :

	LOAD_RELATIVE=1
	DLEXT=so ;; #(
  *) :

	DLEXT=so ;;
esac
fi
if test "$rb_cv_dlopen:$load_relative" = yes:yes; then
    if test "$ac_cv_func_dladdr" = yes; then
	LOAD_RELATIVE=1
    fi
fi
if test x"$LOAD_RELATIVE" = x1; then
    load_relative=yes
else
    unset load_relative
fi

len=2 # .rb
n=`expr "$DLEXT"  : '.*'`; test "$n" -gt "$len" && len=$n
n=`expr "$DLEXT2" : '.*'`; test "$n" -gt "$len" && len=$n
cat >>confdefs.h <<_ACEOF
#define DLEXT_MAXLEN `expr $len + 1`
_ACEOF

test ".$DLEXT"  = "." || cat >>confdefs.h <<_ACEOF
#define DLEXT ".$DLEXT"
_ACEOF

test ".$DLEXT2" = "." || cat >>confdefs.h <<_ACEOF
#define DLEXT2 ".$DLEXT2"
_ACEOF



if test "$with_dln_a_out" = yes; then
  STRIP=true
else
  if test -n "$ac_tool_prefix"; then
  # Extract the first word of "${ac_tool_prefix}strip", so it can be a program name with args.
set dummy ${ac_tool_prefix}strip; ac_word=$2
{ $as_echo "$as_me:${as_lineno-$LINENO}: checking for $ac_word" >&5
$as_echo_n "checking for $ac_word... " >&6; }
if ${ac_cv_prog_STRIP+:} false; then :
  $as_echo_n "(cached) " >&6
else
  if test -n "$STRIP"; then
  ac_cv_prog_STRIP="$STRIP" # Let the user override the test.
else
as_save_IFS=$IFS; IFS=$PATH_SEPARATOR
for as_dir in $PATH
do
  IFS=$as_save_IFS
  test -z "$as_dir" && as_dir=.
    for ac_exec_ext in '' $ac_executable_extensions; do
  if as_fn_executable_p "$as_dir/$ac_word$ac_exec_ext"; then
    ac_cv_prog_STRIP="${ac_tool_prefix}strip"
    $as_echo "$as_me:${as_lineno-$LINENO}: found $as_dir/$ac_word$ac_exec_ext" >&5
    break 2
  fi
done
  done
IFS=$as_save_IFS

fi
fi
STRIP=$ac_cv_prog_STRIP
if test -n "$STRIP"; then
  { $as_echo "$as_me:${as_lineno-$LINENO}: result: $STRIP" >&5
    colorize_result "$STRIP" ; }
else
  { $as_echo "$as_me:${as_lineno-$LINENO}: result: no" >&5
    $as_echo "${msg_result_no}no${msg_reset}" ; }
fi


fi
if test -z "$ac_cv_prog_STRIP"; then
  ac_ct_STRIP=$STRIP
  # Extract the first word of "strip", so it can be a program name with args.
set dummy strip; ac_word=$2
{ $as_echo "$as_me:${as_lineno-$LINENO}: checking for $ac_word" >&5
$as_echo_n "checking for $ac_word... " >&6; }
if ${ac_cv_prog_ac_ct_STRIP+:} false; then :
  $as_echo_n "(cached) " >&6
else
  if test -n "$ac_ct_STRIP"; then
  ac_cv_prog_ac_ct_STRIP="$ac_ct_STRIP" # Let the user override the test.
else
as_save_IFS=$IFS; IFS=$PATH_SEPARATOR
for as_dir in $PATH
do
  IFS=$as_save_IFS
  test -z "$as_dir" && as_dir=.
    for ac_exec_ext in '' $ac_executable_extensions; do
  if as_fn_executable_p "$as_dir/$ac_word$ac_exec_ext"; then
    ac_cv_prog_ac_ct_STRIP="strip"
    $as_echo "$as_me:${as_lineno-$LINENO}: found $as_dir/$ac_word$ac_exec_ext" >&5
    break 2
  fi
done
  done
IFS=$as_save_IFS

fi
fi
ac_ct_STRIP=$ac_cv_prog_ac_ct_STRIP
if test -n "$ac_ct_STRIP"; then
  { $as_echo "$as_me:${as_lineno-$LINENO}: result: $ac_ct_STRIP" >&5
    colorize_result "$ac_ct_STRIP" ; }
else
  { $as_echo "$as_me:${as_lineno-$LINENO}: result: no" >&5
    $as_echo "${msg_result_no}no${msg_reset}" ; }
fi

  if test "x$ac_ct_STRIP" = x; then
    STRIP=":"
  else
    case $cross_compiling:$ac_tool_warned in
yes:)
{ $as_echo "$as_me:${as_lineno-$LINENO}: WARNING: using cross tools not prefixed with host triplet" >&5
$as_echo "$as_me: WARNING: using cross tools not prefixed with host triplet" >&2;}
ac_tool_warned=yes ;;
esac
    STRIP=$ac_ct_STRIP
  fi
else
  STRIP="$ac_cv_prog_STRIP"
fi
fi

case "$target_os" in #(
  linux* | gnu* | k*bsd*-gnu | kopensolaris*-gnu) :

	STRIP="$STRIP -S -x" ;; #(
  darwin*) :

	STRIP="$STRIP -A -n" ;; #(
  *) :
     ;;
esac


# Check whether --with-ext was given.
if test "${with_ext+set}" = set; then :
  withval=$with_ext;
fi


# Check whether --with-out-ext was given.
if test "${with_out_ext+set}" = set; then :
  withval=$with_out_ext;
fi

EXTSTATIC=

# Check whether --with-static-linked-ext was given.
if test "${with_static_linked_ext+set}" = set; then :
  withval=$with_static_linked_ext; case $withval in #(
  yes) :
    STATIC=;EXTSTATIC=static ;; #(
  no) :
     ;; #(
  *) :
    EXTSTATIC="$withval" ;;
esac
fi

case ",$EXTSTATIC," in #(
  ,static,|*,enc,*) :

  ENCOBJS='enc/encinit.$(OBJEXT) enc/libenc.$(LIBEXT) enc/libtrans.$(LIBEXT)'
  EXTOBJS='ext/extinit.$(OBJEXT)'
  cat >>confdefs.h <<_ACEOF
#define EXTSTATIC 1
_ACEOF

  ENCSTATIC=static

 ;; #(
  *) :

  ENCOBJS='dmyenc.$(OBJEXT)'
  EXTOBJS='dmyext.$(OBJEXT)'
 ;;
esac




# Check whether --with-setup was given.
if test "${with_setup+set}" = set; then :
  withval=$with_setup; setup=$withval
fi

if test -n "$setup"; then
    if ! test -f "ext/$setup" -o -f "$srcdir/ext/$setup"; then
	as_fn_error $? "Setup file $setup not found under ext or $srcdir/ext" "$LINENO" 5
    fi
elif test -f "$srcdir/ext/Setup.$target_os"; then
    setup="Setup.$target_os"
else
    setup=
    for file in "$srcdir"/ext/Setup.*; do
	case "$file" in #(
  *~|*.bak|*.orig|*.rej|*.tmp) :
    continue ;; #(
  *) :
     ;;
esac
	setup=`basename "$file"`
	case "$target_os" in #(
  `expr "$setup" : 'Setup.\(.*\)'`*) :
    break ;; #(
  *) :
     ;;
esac
	platform=`sed '/^option  *platform  */!d;s///;s/|/*|/g;q' "$file"`
	if test "x$platform" != x; then
	    eval "case \"\$target_os\" in #(
  $platform*) :
    break ;; #(
  *) :
     ;;
esac"
	fi
	setup=
    done
    : ${setup:=Setup}
fi


rubylibprefix='${libdir}/${RUBY_BASE_NAME}'

# Check whether --with-rubylibprefix was given.
if test "${with_rubylibprefix+set}" = set; then :
  withval=$with_rubylibprefix; if test "x$withval" = xno; then
		as_fn_error $? "No ruby, No libprefix" "$LINENO" 5
	    fi
	    rubylibprefix="$withval"
fi



if test x"${exec_prefix}" != xNONE; then
    RUBY_EXEC_PREFIX="$exec_prefix"
elif test x"$prefix" != xNONE; then
    RUBY_EXEC_PREFIX="$prefix"
else
    RUBY_EXEC_PREFIX=$ac_default_prefix
fi
pat=`echo "${RUBY_EXEC_PREFIX}" | tr -c '\012' .`'\(.*\)'
for var in bindir libdir rubylibprefix; do
    eval val='"$'$var'"'
    case "$val" in #(
  "${RUBY_EXEC_PREFIX}"*) :
    val='${exec_prefix}'"`expr \"$val\" : \"$pat\"`" ;; #(
  *) :
     ;;
esac
    eval $var='"$val"'
done

BTESTRUBY='$(MINIRUBY)'
if test x"$cross_compiling" = xyes; then
  test x"$MINIRUBY" = x && MINIRUBY="${RUBY-$BASERUBY} -I`$CHDIR .; pwd` "-r'$(arch)-fake'
  XRUBY_LIBDIR=`${RUBY-$BASERUBY} -rrbconfig -e 'puts RbConfig::CONFIG["libdir"]'`
  XRUBY_RUBYLIBDIR=`${RUBY-$BASERUBY} -rrbconfig -e 'puts RbConfig::CONFIG["rubylibdir"]'`
  XRUBY_RUBYHDRDIR=`${RUBY-$BASERUBY} -rrbconfig -e 'puts RbConfig::CONFIG["rubyhdrdir"]'`



  PREP='$(arch)-fake.rb'
  RUNRUBY_COMMAND='$(MINIRUBY) -I`cd $(srcdir)/lib; pwd`'
  RUNRUBY='$(RUNRUBY_COMMAND)'
  XRUBY='$(MINIRUBY)'
  BOOTSTRAPRUBY='$(BASERUBY)'
  TEST_RUNNABLE=no
  CROSS_COMPILING=yes

  if test "$host_os" = "nacl"; then
      if test "$build_cpu" = "$host_cpu" || test "${nacl_cv_cpu_nick}" = "x86" -a "$host_cpu" = "i686"; then
          nacl_cv_sel_ldr='`$(MINIRUBY) $(srcdir)/nacl/nacl-config.rb sel_ldr`'
          nacl_cv_irt_core='`$(MINIRUBY) $(srcdir)/nacl/nacl-config.rb irt_core`'
          nacl_cv_runnable_ld='`$(MINIRUBY) $(srcdir)/nacl/nacl-config.rb runnable_ld`'
          nacl_cv_host_lib='`$(MINIRUBY) $(srcdir)/nacl/nacl-config.rb host_lib`'
          TEST_RUNNABLE=yes
          BTESTRUBY="${nacl_cv_sel_ldr} -a -B ${nacl_cv_irt_core} -w 1:3 -w 2:4"
          BTESTRUBY="$BTESTRUBY -- ${nacl_cv_runnable_ld} --library-path ${nacl_cv_host_lib}"
          BTESTRUBY="$BTESTRUBY `pwd`/"'miniruby$(EXEEXT) -I`cd $(srcdir)/lib; pwd` -I.'
          BTESTRUBY="$BTESTRUBY"' -I$(EXTOUT)/common 3>&1 4>&2 1>/dev/null 2>/dev/null '
      fi
  fi
else
  MINIRUBY='./miniruby$(EXEEXT) -I$(srcdir)/lib -I.'
  MINIRUBY="$MINIRUBY"' -I$(EXTOUT)/common'
  PREP='miniruby$(EXEEXT)'
  RUNRUBY_COMMAND='$(MINIRUBY) $(srcdir)/tool/runruby.rb --extout=$(EXTOUT) $(RUNRUBYOPT)'
  RUNRUBY='$(RUNRUBY_COMMAND) --'
  XRUBY='$(RUNRUBY)'
  BOOTSTRAPRUBY='$(MINIRUBY)'
  TEST_RUNNABLE=yes
  CROSS_COMPILING=no
fi









EXTOUT=${EXTOUT=.ext}


FIRSTMAKEFILE=""
LIBRUBY_A='lib$(RUBY_SO_NAME)-static.a'
LIBRUBY='$(LIBRUBY_A)'
LIBRUBYARG_STATIC='-l$(RUBY_SO_NAME)-static'
LIBRUBYARG='$(LIBRUBYARG_STATIC)'
SOLIBS=

case "$target_os" in #(
  cygwin*|mingw*|haiku*|darwin*) :

    : ${DLDLIBS=""}
     ;; #(
  *) :

    DLDLIBS="$DLDLIBS -lc"
     ;;
esac

# Check whether --enable-multiarch was given.
if test "${enable_multiarch+set}" = set; then :
  enableval=$enable_multiarch; multiarch=
else
  unset multiarch
fi

if test ${multiarch+set}; then
   $as_echo "#define ENABLE_MULTIARCH 1" >>confdefs.h

fi

archlibdir='${libdir}/${arch}'
sitearchlibdir='${libdir}/${sitearch}'
archincludedir='${includedir}/${arch}'
sitearchincludedir='${includedir}/${sitearch}'


# Check whether --with-soname was given.
if test "${with_soname+set}" = set; then :
  withval=$with_soname; RUBY_SO_NAME=$withval
else
  RUBY_SO_NAME='$(RUBY_BASE_NAME)'
fi


LIBRUBY_LDSHARED=$LDSHARED
LIBRUBY_DLDFLAGS=$DLDFLAGS
LIBRUBY_SO='lib$(RUBY_SO_NAME).so.$(RUBY_PROGRAM_VERSION)'
LIBRUBY_ALIASES='lib$(RUBY_SO_NAME).so'
ENABLE_SHARED=no

# Check whether --enable-shared was given.
if test "${enable_shared+set}" = set; then :
  enableval=$enable_shared; enable_shared=$enableval
fi

libprefix=${multiarch+'$(archlibdir)'}${multiarch-'$(libdir)'}
LIBRUBY_RELATIVE=${load_relative-no}
case "$enable_shared" in #(
  yes) :

  LIBRUBY='$(LIBRUBY_SO)'
  LIBRUBYARG_SHARED='-l$(RUBY_SO_NAME)'
  LIBRUBYARG='$(LIBRUBYARG_SHARED)'
  LIBRUBY_RELATIVE=no
  test -z "$CCDLFLAGS" || CFLAGS="$CFLAGS $CCDLFLAGS"
  ENABLE_SHARED=yes
  if test "$rb_cv_binary_elf" = yes; then
    SOLIBS='$(LIBS)'
  fi

  # libdir can be overridden in config.site file (on OpenSUSE at least).
  libdir_basename=lib
  if test "$bindir" = '${exec_prefix}/bin'; then
    case "$libdir" in #(
  '${exec_prefix}/'*) :
    libdir_basename=`basename "$libdir"` ;; #(
  *) :
     ;;
esac
  fi
  cat >>confdefs.h <<_ACEOF
#define LIBDIR_BASENAME "${libdir_basename}"
_ACEOF

  libdir_basename="${libdir_basename}"${multiarch+'/${arch}'}

  case "$target_os" in #(
  freebsd*|dragonfly*) :
     ;; #(
  *) :

     if test "$GCC" = yes; then

    save_LDFLAGS="$LDFLAGS"
    LDFLAGS="$LDFLAGS ${linker_flag}--no-undefined"
    { $as_echo "$as_me:${as_lineno-$LINENO}: checking whether ${linker_flag}--no-undefined is accepted as LDFLAGS" >&5
$as_echo_n "checking whether ${linker_flag}--no-undefined is accepted as LDFLAGS... " >&6; }
    save_CFLAGS="$CFLAGS"
CFLAGS="$CFLAGS $rb_cv_warnflags"
if test "${ac_c_werror_flag+set}"; then
  rb_c_werror_flag="$ac_c_werror_flag"
else
  unset rb_c_werror_flag
fi
ac_c_werror_flag=yes

    cat confdefs.h - <<_ACEOF >conftest.$ac_ext
/* end confdefs.h.  */

int
main ()
{

  ;
  return 0;
}
_ACEOF
if ac_fn_c_try_link "$LINENO"; then :
  no_undefined=yes
	{ $as_echo "$as_me:${as_lineno-$LINENO}: result: yes" >&5
    $as_echo "${msg_result_yes}yes${msg_reset}" ; }
else
  no_undefined=no
	{ $as_echo "$as_me:${as_lineno-$LINENO}: result: no" >&5
    $as_echo "${msg_result_no}no${msg_reset}" ; }
fi
rm -f core conftest.err conftest.$ac_objext \
    conftest$ac_exeext conftest.$ac_ext

CFLAGS="$save_CFLAGS"
save_CFLAGS=
if test "${rb_c_werror_flag+set}"; then
  ac_c_werror_flag="$rb_c_werror_flag"
else
  unset ac_c_werror_flag
fi
    LDFLAGS="$save_LDFLAGS"
    save_LDFLAGS=

       if test "no_undefined" = yes; then
	  # RUBY_APPEND_OPTION(EXTLDFLAGS)
	case " ${EXTLDFLAGS-} " in #(
  *" ${linker_flag}--no-undefined "*) :
     ;; #(
  '  ') :
     EXTLDFLAGS="${linker_flag}--no-undefined" ;; #(
  *) :
     EXTLDFLAGS="$EXTLDFLAGS ${linker_flag}--no-undefined" ;;
esac
       fi
     fi
     ;;
esac

  case "$target_os" in #(
  sunos4*) :

	LIBRUBY_ALIASES='lib$(RUBY_SO_NAME).so.$(MAJOR).$(MINOR) lib$(RUBY_SO_NAME).so'
	 ;; #(
  linux* | gnu* | k*bsd*-gnu | atheos* | kopensolaris*-gnu | haiku*) :

	# RUBY_APPEND_OPTIONS(LIBRUBY_DLDFLAGS)
	for rb_opt in '-Wl,-soname,lib$(RUBY_SO_NAME).so.$(MAJOR).$(MINOR)' "$LDFLAGS_OPTDIR"; do
	case " ${LIBRUBY_DLDFLAGS-} " in #(
  *" ${rb_opt} "*) :
     ;; #(
  '  ') :
     LIBRUBY_DLDFLAGS="${rb_opt}" ;; #(
  *) :
     LIBRUBY_DLDFLAGS="$LIBRUBY_DLDFLAGS ${rb_opt}" ;;
esac
	done
	LIBRUBY_ALIASES='lib$(RUBY_SO_NAME).so.$(MAJOR).$(MINOR) lib$(RUBY_SO_NAME).so'
	if test "$load_relative" = yes; then
	    libprefix="'\$\${ORIGIN}/../${libdir_basename}'"
	    LIBRUBY_RPATHFLAGS="-Wl,-rpath,${libprefix}"
	    LIBRUBY_RELATIVE=yes
	fi
	 ;; #(
  freebsd*|dragonfly*) :

	SOLIBS='$(LIBS)'
	LIBRUBY_SO='lib$(RUBY_SO_NAME).so.$(MAJOR)$(MINOR)'
	if test "$rb_cv_binary_elf" != "yes" ; then
	    LIBRUBY_SO="$LIBRUBY_SO.\$(TEENY)"
	    LIBRUBY_ALIASES=''
	fi
	 ;; #(
  netbsd*) :

	SOLIBS='$(LIBS)'
	LIBRUBY_SO='lib$(RUBY_SO_NAME).so.$(MAJOR)$(MINOR).$(TEENY)'
	# RUBY_APPEND_OPTIONS(LIBRUBY_DLDFLAGS)
	for rb_opt in '-Wl,-soname,lib$(RUBY_SO_NAME).so.$(MAJOR)$(MINOR)' "$LDFLAGS_OPTDIR"; do
	case " ${LIBRUBY_DLDFLAGS-} " in #(
  *" ${rb_opt} "*) :
     ;; #(
  '  ') :
     LIBRUBY_DLDFLAGS="${rb_opt}" ;; #(
  *) :
     LIBRUBY_DLDFLAGS="$LIBRUBY_DLDFLAGS ${rb_opt}" ;;
esac
	done
	if test "$rb_cv_binary_elf" = yes; then # ELF platforms
	   LIBRUBY_ALIASES='lib$(RUBY_SO_NAME).so.$(MAJOR)$(MINOR) lib$(RUBY_SO_NAME).so'
	else	# a.out platforms
	   LIBRUBY_ALIASES=""
	fi
	 ;; #(
  openbsd*|mirbsd*) :

	SOLIBS='$(LIBS)'
	LIBRUBY_SO='lib$(RUBY_SO_NAME).so.$(MAJOR).'`expr ${MINOR} \* 10 + ${TEENY}`
	 ;; #(
  solaris*) :

	SOLIBS='$(LIBS)'
	LIBRUBY_SO='lib$(RUBY_SO_NAME).so.$(MAJOR)'
	LIBRUBY_ALIASES='lib$(RUBY_SO_NAME).so.$(RUBY_PROGRAM_VERSION) lib$(RUBY_SO_NAME).so'
	if test "$GCC" = yes; then
	    LIBRUBY_DLDFLAGS="$DLDFLAGS "'-Wl,-h,$(@F)'
	else
	    LIBRUBY_DLDFLAGS="$DLDFLAGS "'-h $(@F)'
	fi
	XLDFLAGS="$XLDFLAGS "'-R${libdir}'
	 ;; #(
  hpux*) :

	XLDFLAGS="$XLDFLAGS "'-Wl,+s,+b,$(libdir)'
	LIBRUBY_SO='lib$(RUBY_SO_NAME).sl.$(RUBY_PROGRAM_VERSION)'
	LIBRUBY_ALIASES='lib$(RUBY_SO_NAME).sl.$(MAJOR).$(MINOR) lib$(RUBY_SO_NAME).sl'
	 ;; #(
  aix*) :

	# RUBY_APPEND_OPTIONS(LIBRUBY_DLDFLAGS)
	for rb_opt in "${linker_flag}-bnoentry" "$XLDFLAGS" "$LDFLAGS_OPTDIR"; do
	case " ${LIBRUBY_DLDFLAGS-} " in #(
  *" ${rb_opt} "*) :
     ;; #(
  '  ') :
     LIBRUBY_DLDFLAGS="${rb_opt}" ;; #(
  *) :
     LIBRUBY_DLDFLAGS="$LIBRUBY_DLDFLAGS ${rb_opt}" ;;
esac
	done
	LIBRUBYARG_SHARED='-L${libdir} -l${RUBY_SO_NAME}'
	SOLIBS='-lm -lc'
	 ;; #(
  darwin*) :

	RUBY_SO_NAME="$RUBY_SO_NAME"'.$(RUBY_PROGRAM_VERSION)'
	LIBRUBY_LDSHARED='$(CC) -dynamiclib'
	if test "$load_relative" = yes; then
	    libprefix="@executable_path/../${libdir_basename}"
	    LIBRUBY_RELATIVE=yes
	fi
	LIBRUBY_DLDFLAGS="$LIBRUBY_DLDFLAGS "'-install_name '${libprefix}'/$(LIBRUBY_SO)'
	LIBRUBY_DLDFLAGS="$LIBRUBY_DLDFLAGS "'-compatibility_version $(MAJOR).$(MINOR)'
	LIBRUBY_DLDFLAGS="$LIBRUBY_DLDFLAGS "'-current_version $(RUBY_PROGRAM_VERSION)'
	if test "$visibility_option" = ld; then
	    LIBRUBY_DLDFLAGS="$LIBRUBY_DLDFLAGS "'-Wl,-unexported_symbol,_Init_*'
	    LIBRUBY_DLDFLAGS="$LIBRUBY_DLDFLAGS "'-Wl,-unexported_symbol,_ruby_static_id_*'
	    LIBRUBY_DLDFLAGS="$LIBRUBY_DLDFLAGS "'-Wl,-unexported_symbol,*_threadptr_*'
	fi
	LIBRUBY_DLDFLAGS="$LIBRUBY_DLDFLAGS "' $(XLDFLAGS)'
	LIBRUBY_SO='lib$(RUBY_SO_NAME).dylib'
	LIBRUBY_ALIASES='lib$(RUBY_BASE_NAME).$(MAJOR).$(MINOR).dylib lib$(RUBY_INSTALL_NAME).dylib'
	SOLIBS='$(LIBS)'
	 ;; #(
  interix*) :

	LIBRUBYARG_SHARED='-L. -L${libdir} -l$(RUBY_SO_NAME)'
	 ;; #(
  mingw*|cygwin*|mswin*) :

	LIBRUBY_RELATIVE=yes
	 ;; #(
  *) :
     ;;
esac
 ;; #(
  *) :

  LIBRUBYARG_SHARED=

  # enable PIE if possible
  # Check whether --enable-pie was given.
if test "${enable_pie+set}" = set; then :
  enableval=$enable_pie; pie=$enableval
else
  pie=
fi

  case "$target_os" in #(
  nacl) :

    # -pie implies -shared for NaCl.
    pie=no
   ;; #(
  *) :
     ;;
esac
  if test "$GCC" = yes -a -z "$EXTSTATIC" -a "x$pie" != xno; then

    { $as_echo "$as_me:${as_lineno-$LINENO}: checking whether -fPIE is accepted as CFLAGS" >&5
$as_echo_n "checking whether -fPIE is accepted as CFLAGS... " >&6; }
    save_CFLAGS="$CFLAGS"
CFLAGS="$CFLAGS $rb_cv_warnflags"
if test "${ac_c_werror_flag+set}"; then
  rb_c_werror_flag="$ac_c_werror_flag"
else
  unset rb_c_werror_flag
fi
ac_c_werror_flag=yes

    CFLAGS="$CFLAGS -fPIE"
    cat confdefs.h - <<_ACEOF >conftest.$ac_ext
/* end confdefs.h.  */

int
main ()
{

  ;
  return 0;
}
_ACEOF
if ac_fn_c_try_compile "$LINENO"; then :
  pie=yes
	{ $as_echo "$as_me:${as_lineno-$LINENO}: result: yes" >&5
    $as_echo "${msg_result_yes}yes${msg_reset}" ; }
else
  pie=no
	{ $as_echo "$as_me:${as_lineno-$LINENO}: result: no" >&5
    $as_echo "${msg_result_no}no${msg_reset}" ; }
fi
rm -f core conftest.err conftest.$ac_objext conftest.$ac_ext

CFLAGS="$save_CFLAGS"
save_CFLAGS=
if test "${rb_c_werror_flag+set}"; then
  ac_c_werror_flag="$rb_c_werror_flag"
else
  unset ac_c_werror_flag
fi

    if test "$pie" = yes; then
      # Use -fPIE when testing -pie.  RUBY_TRY_LDFLAGS sets
      # $save_CFLAGS internally, so set other name here.
      save_CFLAGS_before_pie="$CFLAGS"
      CFLAGS="$CFLAGS -fPIE"

      # gcc need -pie but clang need -Wl,-pie.
      for pie in -pie -Wl,-pie; do

    save_LDFLAGS="$LDFLAGS"
    LDFLAGS="$LDFLAGS $pie"
    { $as_echo "$as_me:${as_lineno-$LINENO}: checking whether $pie is accepted as LDFLAGS" >&5
$as_echo_n "checking whether $pie is accepted as LDFLAGS... " >&6; }
    save_CFLAGS="$CFLAGS"
CFLAGS="$CFLAGS $rb_cv_warnflags"
if test "${ac_c_werror_flag+set}"; then
  rb_c_werror_flag="$ac_c_werror_flag"
else
  unset rb_c_werror_flag
fi
ac_c_werror_flag=yes

    cat confdefs.h - <<_ACEOF >conftest.$ac_ext
/* end confdefs.h.  */

int
main ()
{

  ;
  return 0;
}
_ACEOF
if ac_fn_c_try_link "$LINENO"; then :

	{ $as_echo "$as_me:${as_lineno-$LINENO}: result: yes" >&5
    $as_echo "${msg_result_yes}yes${msg_reset}" ; }
else
  pie=
	{ $as_echo "$as_me:${as_lineno-$LINENO}: result: no" >&5
    $as_echo "${msg_result_no}no${msg_reset}" ; }
fi
rm -f core conftest.err conftest.$ac_objext \
    conftest$ac_exeext conftest.$ac_ext

CFLAGS="$save_CFLAGS"
save_CFLAGS=
if test "${rb_c_werror_flag+set}"; then
  ac_c_werror_flag="$rb_c_werror_flag"
else
  unset ac_c_werror_flag
fi
    LDFLAGS="$save_LDFLAGS"
    save_LDFLAGS=

	if test "x$pie" != x; then
	  # RUBY_APPEND_OPTION(XCFLAGS)
	case " ${XCFLAGS-} " in #(
  *" -fPIE "*) :
     ;; #(
  '  ') :
     XCFLAGS="-fPIE" ;; #(
  *) :
     XCFLAGS="$XCFLAGS -fPIE" ;;
esac
	  # RUBY_APPEND_OPTION(XLDFLAGS)
	case " ${XLDFLAGS-} " in #(
  *" $pie "*) :
     ;; #(
  '  ') :
     XLDFLAGS="$pie" ;; #(
  *) :
     XLDFLAGS="$XLDFLAGS $pie" ;;
esac
	  break
	fi
      done
      CFLAGS="$save_CFLAGS_before_pie"
    fi
  fi
 ;;
esac
if test "$enable_rpath" = yes; then
    test -z "$LIBRUBY_RPATHFLAGS" || LIBRUBY_RPATHFLAGS="$LIBRUBY_RPATHFLAGS "
    rpathflag="${RPATHFLAG}"
    case "${cross_compiling}${load_relative}" in #(
  *yes*) :
     ;; #(
  *) :
    rpathflag="$RPATHFLAG$LIBPATHFLAG" ;;
esac
    rpathflag=`IFS="$PATH_SEPARATOR"
        echo x "$rpathflag" |
        sed "s/^x *//;s${IFS}"'%1\\$-s'"${IFS}${libprefix}${IFS}g;s${IFS}%s${IFS}${libprefix}${IFS}g"
    `
    LIBRUBY_RPATHFLAGS="$LIBRUBY_RPATHFLAGS${rpathflag}"
    LIBRUBYARG_SHARED="$LIBRUBY_RPATHFLAGS $LIBRUBYARG_SHARED"
    LIBRUBYARG_STATIC="$LIBRUBY_RPATHFLAGS $LIBRUBYARG_STATIC"
fi


LDFLAGS="-L. $LDFLAGS"


if test "$EXEEXT" = .exe; then
    EXECUTABLE_EXTS='".exe",".com",".cmd",".bat"'
    cat >>confdefs.h <<_ACEOF
#define EXECUTABLE_EXTS $EXECUTABLE_EXTS
_ACEOF

    EXECUTABLE_EXTS=`echo $EXECUTABLE_EXTS | tr -d '"' | tr , ' '`

fi

case "$cross_compiling:${LIBPATHENV}" in #(
  yes:* | no:) :
     ;; #(
  *) :

    { $as_echo "$as_me:${as_lineno-$LINENO}: checking whether wrapper for $LIBPATHENV is needed" >&5
$as_echo_n "checking whether wrapper for $LIBPATHENV is needed... " >&6; }
    if env ${LIBPATHENV}=/lib /bin/sh -c ': ${'${LIBPATHENV}'?}' 2>/dev/null; then :
  { $as_echo "$as_me:${as_lineno-$LINENO}: result: no" >&5
    $as_echo "${msg_result_no}no${msg_reset}" ; }
else
  PREP="$PREP"' ruby-runner$(EXEEXT)'
	{ $as_echo "$as_me:${as_lineno-$LINENO}: result: yes" >&5
    $as_echo "${msg_result_yes}yes${msg_reset}" ; }

fi
 ;;
esac

# Check whether --enable-dtrace was given.
if test "${enable_dtrace+set}" = set; then :
  enableval=$enable_dtrace; enable_dtrace=$enableval
else
  enable_dtrace=auto
fi


LIBRUBY_A_OBJS='$(OBJS)'
DTRACE_REBUILD=
case "${enable_dtrace}" in #(
  yes|auto) :

    { $as_echo "$as_me:${as_lineno-$LINENO}: checking whether dtrace USDT is available" >&5
$as_echo_n "checking whether dtrace USDT is available... " >&6; }
if ${rb_cv_dtrace_available+:} false; then :
  $as_echo_n "(cached) " >&6
else

    echo "provider conftest{ probe fire(); };" > conftest_provider.d
    rb_cv_dtrace_available=no
    for rb_dtrace_opt in "-xnolibs" ""
do :
  	if $DTRACE $rb_dtrace_opt -h -o conftest_provider.h -s conftest_provider.d >/dev/null 2>/dev/null; then :

else
  continue
fi
	cat confdefs.h - <<_ACEOF >conftest.$ac_ext
/* end confdefs.h.  */
#include "conftest_provider.h"
int
main ()
{
CONFTEST_FIRE();
  ;
  return 0;
}
_ACEOF
if ac_fn_c_try_compile "$LINENO"; then :

else
  continue
fi
rm -f core conftest.err conftest.$ac_objext conftest.$ac_ext
	# DTrace is available on the system
	rb_cv_dtrace_available=yes${rb_dtrace_opt:+"($rb_dtrace_opt)"}
	break

done
    rm -f conftest.co conftest_provider.dho

fi
{ $as_echo "$as_me:${as_lineno-$LINENO}: result: $rb_cv_dtrace_available" >&5
    colorize_result "$rb_cv_dtrace_available" ; }
case "$rb_cv_dtrace_available" in #(
  "yes("*")") :
    DTRACE_OPT=`expr "$rb_cv_dtrace_available" : "yes(\(.*\))"` ;; #(
  *) :
     ;;
esac

 ;; #(
  *) :

    rb_cv_dtrace_available=no
 ;;
esac
if test "${enable_dtrace}" = yes; then :
      if test -z "$DTRACE"; then :
  	as_fn_error $? "dtrace(1) is missing" "$LINENO" 5

elif test "$cross_compiling" = yes; then :
  	as_fn_error $? "--enable-dtrace, however, cross compiling" "$LINENO" 5

elif test "${rb_cv_dtrace_available}" = "no"; then :
         as_fn_error $? "--enable-dtrace, however, USDT is not available" "$LINENO" 5

fi

fi
case $rb_cv_dtrace_available in #(
  yes*) :
        { $as_echo "$as_me:${as_lineno-$LINENO}: checking whether $DTRACE needs post processing" >&5
$as_echo_n "checking whether $DTRACE needs post processing... " >&6; }
if ${rb_cv_prog_dtrace_g+:} false; then :
  $as_echo_n "(cached) " >&6
else

  rb_cv_prog_dtrace_g=no
  if {
    cat >conftest_provider.d <<_PROBES &&
    provider conftest {
      probe fire();
    };
_PROBES
    $DTRACE ${DTRACE_OPT} -h -o conftest_provider.h -s conftest_provider.d >/dev/null 2>/dev/null &&
    :
  }; then
    cat confdefs.h - <<_ACEOF >conftest.$ac_ext
/* end confdefs.h.  */
#include "conftest_provider.h"
int
main ()
{
CONFTEST_FIRE();
  ;
  return 0;
}
_ACEOF
if ac_fn_c_try_compile "$LINENO"; then :

	if {
	    cp -p conftest.${ac_objext} conftest.${ac_objext}.save &&
	    $DTRACE ${DTRACE_OPT} -G -s conftest_provider.d conftest.${ac_objext} 2>/dev/null &&
	    :
	}; then
	    if cmp -s conftest.o conftest.${ac_objext}.save; then
		rb_cv_prog_dtrace_g=yes
	    else
		rb_cv_prog_dtrace_g=rebuild
	    fi
	fi
fi
rm -f core conftest.err conftest.$ac_objext conftest.$ac_ext
  fi
  rm -f conftest.co conftest_provider.dho

fi
{ $as_echo "$as_me:${as_lineno-$LINENO}: result: $rb_cv_prog_dtrace_g" >&5
    colorize_result "$rb_cv_prog_dtrace_g" ; }

    if test "$rb_cv_prog_dtrace_g" != no; then :
  	DTRACE_OBJ='probes.$(OBJEXT)'

fi
    if test "$rb_cv_prog_dtrace_g" = rebuild; then :
  	DTRACE_REBUILD=yes
	LIBRUBY_A_OBJS='$(DTRACE_GLOMMED_OBJ)'

fi
    case "${target_os}" in #(
  freebsd*) :
            # FreeBSD's dtrace requires libelf
        LIBS="-lelf $LIBS"
     ;; #(
  *) :
     ;;
esac
    DTRACE_EXT=d
 ;; #(
  *) :
        enable_dtrace=no
    DTRACE_EXT=dmyh
 ;;
esac








if test x"${ac_cv_func___builtin_setjmp}" = xyes; then
   unset ac_cv_func___builtin_setjmp
fi
{ $as_echo "$as_me:${as_lineno-$LINENO}: checking for __builtin_setjmp" >&5
$as_echo_n "checking for __builtin_setjmp... " >&6; }
if ${ac_cv_func___builtin_setjmp+:} false; then :
  $as_echo_n "(cached) " >&6
else

    ac_cv_func___builtin_setjmp=no
    for cast in "" "(void **)"; do
	save_CFLAGS="$CFLAGS"
CFLAGS="$CFLAGS $rb_cv_warnflags"
if test "${ac_c_werror_flag+set}"; then
  rb_c_werror_flag="$ac_c_werror_flag"
else
  unset rb_c_werror_flag
fi
ac_c_werror_flag=yes
cat confdefs.h - <<_ACEOF >conftest.$ac_ext
/* end confdefs.h.  */
#include <setjmp.h>
	    #include <stdio.h>
	    jmp_buf jb;
	    #ifdef NORETURN
	    NORETURN(void t(void));
	    #endif
	    void t(void) {__builtin_longjmp($cast jb, 1);}
	    int jump(void) {(void)(__builtin_setjmp($cast jb) ? 1 : 0); return 0;}
int
main ()
{

	    void (*volatile f)(void) = t;
	    if (!jump()) printf("%d\n", f != 0);

  ;
  return 0;
}
_ACEOF
if ac_fn_c_try_link "$LINENO"; then :
  ac_cv_func___builtin_setjmp="yes with cast ($cast)"
fi
rm -f core conftest.err conftest.$ac_objext \
    conftest$ac_exeext conftest.$ac_ext

CFLAGS="$save_CFLAGS"
save_CFLAGS=
if test "${rb_c_werror_flag+set}"; then
  ac_c_werror_flag="$rb_c_werror_flag"
else
  unset ac_c_werror_flag
fi
	test "$ac_cv_func___builtin_setjmp" = no || break
    done
fi
{ $as_echo "$as_me:${as_lineno-$LINENO}: result: $ac_cv_func___builtin_setjmp" >&5
    colorize_result "$ac_cv_func___builtin_setjmp" ; }


{ $as_echo "$as_me:${as_lineno-$LINENO}: checking for _setjmpex as a macro or function" >&5
$as_echo_n "checking for _setjmpex as a macro or function... " >&6; }
if ${ac_cv_func__setjmpex+:} false; then :
  $as_echo_n "(cached) " >&6
else
  cat confdefs.h - <<_ACEOF >conftest.$ac_ext
/* end confdefs.h.  */

#include <setjmp.h>
#include <setjmpex.h>

#define JMPARGS_1 env
#define JMPARGS_2 env,1
#define JMPARGS JMPARGS_1

int
main ()
{
jmp_buf env; _setjmpex(JMPARGS);
  ;
  return 0;
}
_ACEOF
if ac_fn_c_try_compile "$LINENO"; then :
  ac_cv_func__setjmpex=yes
else
  ac_cv_func__setjmpex=no
fi
rm -f core conftest.err conftest.$ac_objext conftest.$ac_ext

fi
{ $as_echo "$as_me:${as_lineno-$LINENO}: result: $ac_cv_func__setjmpex" >&5
    colorize_result "$ac_cv_func__setjmpex" ; }
if test "$ac_cv_func__setjmpex" = yes; then :
  $as_echo "#define HAVE__SETJMPEX 1" >>confdefs.h

fi


{ $as_echo "$as_me:${as_lineno-$LINENO}: checking for _setjmp as a macro or function" >&5
$as_echo_n "checking for _setjmp as a macro or function... " >&6; }
if ${ac_cv_func__setjmp+:} false; then :
  $as_echo_n "(cached) " >&6
else
  cat confdefs.h - <<_ACEOF >conftest.$ac_ext
/* end confdefs.h.  */

#include <setjmp.h>
$ac_includes_default
#define JMPARGS_1 env
#define JMPARGS_2 env,1
#define JMPARGS JMPARGS_1

int
main ()
{
jmp_buf env; _setjmp(JMPARGS);
  ;
  return 0;
}
_ACEOF
if ac_fn_c_try_compile "$LINENO"; then :
  ac_cv_func__setjmp=yes
else
  ac_cv_func__setjmp=no
fi
rm -f core conftest.err conftest.$ac_objext conftest.$ac_ext

fi
{ $as_echo "$as_me:${as_lineno-$LINENO}: result: $ac_cv_func__setjmp" >&5
    colorize_result "$ac_cv_func__setjmp" ; }
if test "$ac_cv_func__setjmp" = yes; then :
  $as_echo "#define HAVE__SETJMP 1" >>confdefs.h

fi


{ $as_echo "$as_me:${as_lineno-$LINENO}: checking for sigsetjmp as a macro or function" >&5
$as_echo_n "checking for sigsetjmp as a macro or function... " >&6; }
if ${ac_cv_func_sigsetjmp+:} false; then :
  $as_echo_n "(cached) " >&6
else
  cat confdefs.h - <<_ACEOF >conftest.$ac_ext
/* end confdefs.h.  */

#include <setjmp.h>
$ac_includes_default
#define JMPARGS_1 env
#define JMPARGS_2 env,1
#define JMPARGS JMPARGS_2

int
main ()
{
sigjmp_buf env; sigsetjmp(JMPARGS);
  ;
  return 0;
}
_ACEOF
if ac_fn_c_try_compile "$LINENO"; then :
  ac_cv_func_sigsetjmp=yes
else
  ac_cv_func_sigsetjmp=no
fi
rm -f core conftest.err conftest.$ac_objext conftest.$ac_ext

fi
{ $as_echo "$as_me:${as_lineno-$LINENO}: result: $ac_cv_func_sigsetjmp" >&5
    colorize_result "$ac_cv_func_sigsetjmp" ; }
if test "$ac_cv_func_sigsetjmp" = yes; then :
  $as_echo "#define HAVE_SIGSETJMP 1" >>confdefs.h

fi

{ $as_echo "$as_me:${as_lineno-$LINENO}: checking for setjmp type" >&5
$as_echo_n "checking for setjmp type... " >&6; }
setjmp_suffix=

# Check whether --with-setjmp-type was given.
if test "${with_setjmp_type+set}" = set; then :
  withval=$with_setjmp_type;
	case $withval in #(
  __builtin_setjmp) :
    setjmp=__builtin_setjmp ;; #(
  _setjmp) :
     setjmp_prefix=_ ;; #(
  sigsetjmp) :
     setjmp_prefix=sig ;; #(
  setjmp) :
     setjmp_prefix= ;; #(
  setjmpex) :
     setjmp_prefix= setjmp_suffix=ex ;; #(
  '') :
     unset setjmp_prefix ;; #(
  *) :
       as_fn_error $? "invalid setjmp type: $withval" "$LINENO" 5 ;;
esac
else
  unset setjmp_prefix
fi

setjmp_cast=
if test ${setjmp_prefix+set}; then
    if test "${setjmp_prefix}" && eval test '$ac_cv_func_'${setjmp_prefix}setjmp${setjmp_suffix} = no; then
	as_fn_error $? "${setjmp_prefix}setjmp${setjmp_suffix} is not available" "$LINENO" 5
    fi
elif { case "$ac_cv_func___builtin_setjmp" in #(
  yes*) :
    true ;; #(
  *) :
    false ;;
esac }; then
    setjmp_cast=`expr "$ac_cv_func___builtin_setjmp" : "yes with cast (\(.*\))"`
    setjmp_prefix=__builtin_
    setjmp_suffix=
elif test "$ac_cv_header_setjmpex_h:$ac_cv_func__setjmpex" = yes:yes; then
    setjmp_prefix=
    setjmp_suffix=ex
elif test "$ac_cv_func__setjmp" = yes; then
    setjmp_prefix=_
    setjmp_suffix=
elif test "$ac_cv_func_sigsetjmp" = yes; then
    case $target_os in #(
  solaris*|cygwin*) :
    setjmp_prefix= ;; #(
  *) :
    setjmp_prefix=sig ;;
esac
    setjmp_suffix=
else
    setjmp_prefix=
    setjmp_suffix=
fi
if test x$setjmp_prefix = xsig; then
    setjmp_sigmask=yes
else
    unset setjmp_sigmask
fi
{ $as_echo "$as_me:${as_lineno-$LINENO}: result: ${setjmp_prefix}setjmp${setjmp_suffix}${setjmp_cast:+\($setjmp_cast\)}" >&5
    colorize_result "${setjmp_prefix}setjmp${setjmp_suffix}${setjmp_cast:+\($setjmp_cast\)}" ; }
cat >>confdefs.h <<_ACEOF
#define RUBY_SETJMP(env) ${setjmp_prefix}setjmp${setjmp_suffix}($setjmp_cast(env)${setjmp_sigmask+,0})
_ACEOF

cat >>confdefs.h <<_ACEOF
#define RUBY_LONGJMP(env,val) ${setjmp_prefix}longjmp($setjmp_cast(env),val)
_ACEOF

cat >>confdefs.h <<_ACEOF
#define RUBY_JMP_BUF ${setjmp_sigmask+${setjmp_prefix}}jmp_buf
_ACEOF

if test x$setjmp_suffix = xex; then :
  cat >>confdefs.h <<_ACEOF
#define RUBY_USE_SETJMPEX 1
_ACEOF

fi

}
{ # build section

RDOCTARGET=""
CAPITARGET=""
# Check whether --enable-install-doc was given.
if test "${enable_install_doc+set}" = set; then :
  enableval=$enable_install_doc; install_doc=$enableval
else
  install_doc=yes
fi

# Check whether --enable-install-rdoc was given.
if test "${enable_install_rdoc+set}" = set; then :
  enableval=$enable_install_rdoc; install_rdoc=$enableval
else
  install_rdoc=yes
fi

# Check whether --enable-install-capi was given.
if test "${enable_install_capi+set}" = set; then :
  enableval=$enable_install_capi; install_capi=$enableval
else
  install_capi=no
fi


if test "$install_doc" != no; then
    if test "$install_rdoc" != no; then
	RDOCTARGET="rdoc"
    else
	RDOCTARGET="nodoc"
    fi
    if test "$install_capi" != no -a -n "$DOXYGEN"; then
	CAPITARGET="capi"
    else
	CAPITARGET="nodoc"
    fi
else
    RDOCTARGET="nodoc"
    CAPITARGET="nodoc"
fi




case "$RDOCTARGET:$CAPITARGET" in #(
  nodoc:nodoc) :
    INSTALLDOC=nodoc ;; #(
  *) :
    INSTALLDOC=all ;;
esac


# Check whether --enable-install-static-library was given.
if test "${enable_install_static_library+set}" = set; then :
  enableval=$enable_install_static_library; INSTALL_STATIC_LIBRARY=$enableval
else
  if test x"$enable_shared" = xyes; then :
  INSTALL_STATIC_LIBRARY=no
else
  INSTALL_STATIC_LIBRARY=yes
fi
fi



if test "$rb_with_pthread" = "yes"; then
    THREAD_MODEL=pthread
fi
{ $as_echo "$as_me:${as_lineno-$LINENO}: checking for prefix of external symbols" >&5
$as_echo_n "checking for prefix of external symbols... " >&6; }
if ${rb_cv_symbol_prefix+:} false; then :
  $as_echo_n "(cached) " >&6
else

    cat confdefs.h - <<_ACEOF >conftest.$ac_ext
/* end confdefs.h.  */
extern void conftest_external(void) {}
int
main ()
{

  ;
  return 0;
}
_ACEOF
if ac_fn_c_try_compile "$LINENO"; then :

	rb_cv_symbol_prefix=`$NM conftest.$ac_objext |
			     sed -n '/.*T[ 	]\([^ 	]*\)conftest_external.*/!d;s//\1/p;q'`

else
  rb_cv_symbol_prefix=''
fi
rm -f core conftest.err conftest.$ac_objext conftest.$ac_ext
    test -n "$rb_cv_symbol_prefix" || rb_cv_symbol_prefix=NONE

fi
{ $as_echo "$as_me:${as_lineno-$LINENO}: result: $rb_cv_symbol_prefix" >&5
    colorize_result "$rb_cv_symbol_prefix" ; }
SYMBOL_PREFIX="$rb_cv_symbol_prefix"
test "x$SYMBOL_PREFIX" = xNONE && SYMBOL_PREFIX=''
DLNOBJ=dln.o
# Check whether --enable-dln was given.
if test "${enable_dln+set}" = set; then :
  enableval=$enable_dln; test "$enableval" = yes || DLNOBJ=dmydln.o
fi


MINIDLNOBJ=dmydln.o

case "$target_os" in #(
  linux*) :

	 ;; #(
  netbsd*) :

	# RUBY_APPEND_OPTION(CFLAGS)
	case " ${CFLAGS-} " in #(
  *" -pipe "*) :
     ;; #(
  '  ') :
     CFLAGS="-pipe" ;; #(
  *) :
     CFLAGS="$CFLAGS -pipe" ;;
esac
	 ;; #(
  darwin*) :

	# RUBY_APPEND_OPTION(CFLAGS)
	case " ${CFLAGS-} " in #(
  *" -pipe "*) :
     ;; #(
  '  ') :
     CFLAGS="-pipe" ;; #(
  *) :
     CFLAGS="$CFLAGS -pipe" ;;
esac
	# RUBY_APPEND_OPTION(XLDFLAGS)
	case " ${XLDFLAGS-} " in #(
  *" -framework CoreFoundation "*) :
     ;; #(
  '  ') :
     XLDFLAGS="-framework CoreFoundation" ;; #(
  *) :
     XLDFLAGS="$XLDFLAGS -framework CoreFoundation" ;;
esac
	# RUBY_APPEND_OPTION(LIBRUBYARG_STATIC)
	case " ${LIBRUBYARG_STATIC-} " in #(
  *" -framework CoreFoundation "*) :
     ;; #(
  '  ') :
     LIBRUBYARG_STATIC="-framework CoreFoundation" ;; #(
  *) :
     LIBRUBYARG_STATIC="$LIBRUBYARG_STATIC -framework CoreFoundation" ;;
esac
	 ;; #(
  osf*) :

	if test "$GCC" != "yes" ; then
	  # compile something small: taint.c is fine for this.
	  # the main point is the '-v' flag of 'cc'.
	  case "`cc -v -I. -c main.c -o /tmp/main.o 2>&1`" in #(
  */gemc_cc*) :
       # we have the new DEC GEM CC
                        CFLAGS="$CFLAGS -oldc"
                         ;; #(
  *) :
                # we have the old MIPS CC
                         ;;
esac
	  # cleanup
	  rm -f /tmp/main.o
	  CFLAGS="$CFLAGS -std"
	fi
	 ;; #(
  cygwin*|mingw*) :

	RUBY_SO_NAME="${RUBY_SO_NAME}"'$(MAJOR)$(MINOR)0'
	LIBRUBY_DLDFLAGS="${DLDFLAGS}"' -Wl,--out-implib=$(LIBRUBY)'
	case "$target_os" in #(
  cygwin*) :

	    if test x"$enable_shared" = xyes; then
		LIBRUBY_SO='cyg$(RUBY_SO_NAME)'.dll
		LIBRUBY_DLDFLAGS="${LIBRUBY_DLDFLAGS}"' $(RUBYDEF)'
	    fi
	     ;; #(
  mingw*) :

	    RUBY_SO_NAME="${rb_cv_msvcrt}-${RUBY_SO_NAME}"
	    if test x"${target_cpu}" != xi386; then
		RUBY_SO_NAME="${target_cpu}-${RUBY_SO_NAME}"
	    fi
	    if test x"$enable_shared" = xyes; then
		LIBRUBY_SO='$(RUBY_SO_NAME)'.dll
		LIBRUBY_DLDFLAGS="${LIBRUBY_DLDFLAGS}"' $(RUBYDEF)'
	    fi
	    EXPORT_PREFIX=' '
	    DLDFLAGS="${DLDFLAGS}"' $(DEFFILE)'
	    case " $LIBOBJS " in
  *" win32/win32.$ac_objext "* ) ;;
  *) LIBOBJS="$LIBOBJS win32/win32.$ac_objext"
 ;;
esac

	    case " $LIBOBJS " in
  *" win32/file.$ac_objext "* ) ;;
  *) LIBOBJS="$LIBOBJS win32/file.$ac_objext"
 ;;
esac

	    COMMON_LIBS=m
#	    COMMON_MACROS="WIN32_LEAN_AND_MEAN="
	    COMMON_HEADERS="winsock2.h windows.h"
	    THREAD_MODEL=win32
	    PLATFORM_DIR=win32
	     ;; #(
  *) :
     ;;
esac
	LIBRUBY_ALIASES=''
	FIRSTMAKEFILE=GNUmakefile:cygwin/GNUmakefile.in
	SOLIBS='$(LIBS)'
	if test x"$enable_shared" = xyes; then
	    LIBRUBY='lib$(RUBY_SO_NAME).dll.a'
	else
	    LIBRUBY_SO=dummy
	    LIBRUBY='lib$(RUBY_SO_NAME).a'
	    LIBRUBYARG='-l$(RUBY_SO_NAME)'
	fi
	 ;; #(
  hpux*) :

	case "$YACC" in #(
  *yacc*) :

	    XCFLAGS="$XCFLAGS -DYYMAXDEPTH=300"
	    YACC="$YACC -Nl40000 -Nm40000"
	 ;; #(
  *) :
     ;;
esac ;; #(
  nacl) :

	FIRSTMAKEFILE=GNUmakefile:nacl/GNUmakefile.in
	 ;; #(
  *) :
     ;;
esac

MINIOBJS="$MINIDLNOBJ"

case "$THREAD_MODEL" in #(
  pthread) :
    for ac_header in pthread.h
do :
  ac_fn_c_check_header_mongrel "$LINENO" "pthread.h" "ac_cv_header_pthread_h" "$ac_includes_default"
if test "x$ac_cv_header_pthread_h" = xyes; then :
  cat >>confdefs.h <<_ACEOF
#define HAVE_PTHREAD_H 1
_ACEOF

fi

done
 ;; #(
  win32) :
     ;; #(
  "") :
    as_fn_error $? "thread model is missing" "$LINENO" 5 ;; #(
  *) :
    as_fn_error $? "unknown thread model $THREAD_MODEL" "$LINENO" 5 ;;
esac

# Check whether --enable-debug-env was given.
if test "${enable_debug_env+set}" = set; then :
  enableval=$enable_debug_env; $as_echo "#define RUBY_DEBUG_ENV 1" >>confdefs.h

fi


case "$FIRSTMAKEFILE" in #(
  *GNUmakefile:*) :
    gnumake=yes ;; #(
  *) :

    { $as_echo "$as_me:${as_lineno-$LINENO}: checking if ${MAKE-make} is GNU make" >&5
$as_echo_n "checking if ${MAKE-make} is GNU make... " >&6; }
    mkdir conftest.dir
    echo "all:; @echo yes" > conftest.dir/GNUmakefile
    echo "all:; @echo no" > conftest.dir/Makefile
    gnumake=`(cd conftest.dir; ${MAKE-make})`
    rm -fr conftest.dir
    case "$gnumake" in #(
  *yes*) :

	FIRSTMAKEFILE=GNUmakefile:template/GNUmakefile.in
	gnumake=yes ;; #(
  *) :

	gnumake=no ;;
esac
    { $as_echo "$as_me:${as_lineno-$LINENO}: result: $gnumake" >&5
    colorize_result "$gnumake" ; }
 ;;
esac
if test "$gnumake" = yes; then :
   NULLCMD=:
else

    { $as_echo "$as_me:${as_lineno-$LINENO}: checking for safe null command for ${MAKE-make}" >&5
$as_echo_n "checking for safe null command for ${MAKE-make}... " >&6; }
    mkdir conftest.dir
    NULLCMD=
    for cmd in : true; do
	echo 'A=1' > conftest.dir/Makefile
	echo 'B=$(A:1=@'$cmd')' >> conftest.dir/Makefile
	echo 'all:; $B 1 2 3 4 5 6 7 8 9' >> conftest.dir/Makefile
	if (cd conftest.dir; ${MAKE-make} >/dev/null 2>/dev/null); then
	    NULLCMD=$cmd
	    break
	fi
    done
    rm -fr conftest.dir
    if test -z "$NULLCMD"; then
	as_fn_error $? "no candidate for safe null command" "$LINENO" 5
    fi
    { $as_echo "$as_me:${as_lineno-$LINENO}: result: $NULLCMD" >&5
    colorize_result "$NULLCMD" ; }

fi


if test "${universal_binary-no}" = yes ; then
    { $as_echo "$as_me:${as_lineno-$LINENO}: checking for architecture macros" >&5
$as_echo_n "checking for architecture macros... " >&6; }
if ${rb_cv_architecture_macros+:} false; then :
  $as_echo_n "(cached) " >&6
else

    mv confdefs.h confdefs1.h
    : > confdefs.h
    cat confdefs.h - <<_ACEOF >conftest.$ac_ext
/* end confdefs.h.  */
#if defined __`echo ${universal_archnames} |
    sed 's/=[^ ]*//g;s/ /__ || defined __/g'`__
#else
#error
>>>>>><<<<<<
#endif
int
main ()
{

  ;
  return 0;
}
_ACEOF
if ac_fn_c_try_compile "$LINENO"; then :

    rb_cv_architecture_macros=yes
    mv -f confdefs1.h confdefs.h

else

    rb_cv_architecture_macros=no
    archflagpat=`eval echo '"'"${ARCH_FLAG}"'"' | sed 's/[][|.*]/\\&/g'`
    new_cflags=`echo "$CFLAGS" | sed "s|$archflagpat"'||'`
    for archs in ${universal_archnames}; do
	cpu=${archs#*=}
	archs=${archs%=*}
	CFLAGS="$new_cflags -arch $archs"
	archs="__${archs}__"
	{ $as_echo "$as_me:${as_lineno-$LINENO}: checking for macro ${archs} on ${cpu}" >&5
$as_echo_n "checking for macro ${archs} on ${cpu}... " >&6; }
	cat confdefs.h - <<_ACEOF >conftest.$ac_ext
/* end confdefs.h.  */
#ifndef ${archs}
#error
#endif
int
main ()
{

  ;
  return 0;
}
_ACEOF
if ac_fn_c_try_compile "$LINENO"; then :
  { $as_echo "$as_me:${as_lineno-$LINENO}: result: yes" >&5
    $as_echo "${msg_result_yes}yes${msg_reset}" ; }
else
  { $as_echo "$as_me:${as_lineno-$LINENO}: result: no" >&5
    $as_echo "${msg_result_no}no${msg_reset}" ; }
fi
rm -f core conftest.err conftest.$ac_objext conftest.$ac_ext
    done
    mv -f confdefs1.h confdefs.h
    as_fn_error $? "failed" "$LINENO" 5

fi
rm -f core conftest.err conftest.$ac_objext conftest.$ac_ext
fi
{ $as_echo "$as_me:${as_lineno-$LINENO}: result: $rb_cv_architecture_macros" >&5
    colorize_result "$rb_cv_architecture_macros" ; }
    { $as_echo "$as_me:${as_lineno-$LINENO}: checking whether __ARCHITECTURE__ is available" >&5
$as_echo_n "checking whether __ARCHITECTURE__ is available... " >&6; }
if ${rb_cv_architecture_available+:} false; then :
  $as_echo_n "(cached) " >&6
else
  cat confdefs.h - <<_ACEOF >conftest.$ac_ext
/* end confdefs.h.  */
#include <stdio.h>
		const char arch[] = __ARCHITECTURE__;
int
main ()
{
puts(arch);
  ;
  return 0;
}
_ACEOF
if ac_fn_c_try_compile "$LINENO"; then :
  rb_cv_architecture_available=yes
else
  rb_cv_architecture_available=no
fi
rm -f core conftest.err conftest.$ac_objext conftest.$ac_ext
fi
{ $as_echo "$as_me:${as_lineno-$LINENO}: result: $rb_cv_architecture_available" >&5
    colorize_result "$rb_cv_architecture_available" ; }
fi

CPPFLAGS="$CPPFLAGS "'$(DEFS)'
test -z "$CPPFLAGS" || CPPFLAGS="$CPPFLAGS "; CPPFLAGS="$CPPFLAGS"'${cppflags}'
if test -n "${cflags+set}"; then
    cflagspat=`eval echo '"'"${cflags}"'"' | sed 's/[][|.*]/\\&/g;s/^  */ /;s/^  *$/ /'`
    CFLAGS=`echo " $CFLAGS " | sed "s|$cflagspat"'|${cflags}|;s/^ *//;s/ *$//'`
fi
if test -n "${cxxflags+set}"; then
    cxxflagspat=`eval echo '"'"${cxxflags}"'"' | sed 's/[][|.*]/\\&/g;s/^  */ /;s/^  *$/ /'`
    CXXFLAGS=`echo " $CXXFLAGS " | sed "s|$cxxflagspat"'|${cxxflags}|;s/^ *//;s/ *$//'`
fi
if test "${ARCH_FLAG}"; then
    archflagpat=`eval echo '"'"${ARCH_FLAG}"'"' | sed 's/[][|.*]/\\&/g'`
    CFLAGS=`echo "$CFLAGS" | sed "s| *$archflagpat"'||'`
    CXXFLAGS=`echo "$CXXFLAGS" | sed "s| *$archflagpat"'||'`
    LDFLAGS=`echo "$LDFLAGS" | sed "s| *$archflagpat"'||'`
fi
warnflags="$rb_cv_warnflags"
cflags="${orig_cflags:+$orig_cflags }"'${optflags} ${debugflags} ${warnflags}'
cxxflags="${orig_cxxflags:+$orig_cxxflags }"'${optflags} ${debugflags} ${warnflags}'


























firstmf=`echo $FIRSTMAKEFILE | sed 's/:.*//'`
firsttmpl=`echo $FIRSTMAKEFILE | sed 's/.*://'`
MAKEFILES="Makefile $firstmf"
MAKEFILES="`echo $MAKEFILES`"


ri_prefix=
test "$program_prefix" != NONE &&
  ri_prefix=$program_prefix

ri_suffix=
test "$program_suffix" != NONE &&
  ri_suffix=$program_suffix

RUBY_INSTALL_NAME="${ri_prefix}"'$(RUBY_BASE_NAME)'"${ri_suffix}"
case "$target_os" in #(
  cygwin*|mingw*) :

    RUBYW_INSTALL_NAME="${ri_prefix}"'$(RUBYW_BASE_NAME)'"${ri_suffix}"
    rubyw_install_name='$(RUBYW_INSTALL_NAME)'
     ;; #(
  *) :
     ;;
esac

rubylibdir='${rubylibprefix}/${ruby_version}'
rubyarchdir=${multiarch+'${rubyarchprefix}/${ruby_version}'}${multiarch-'${rubylibdir}/${arch}'}

rubyarchprefix=${multiarch+'${archlibdir}/${RUBY_BASE_NAME}'}${multiarch-'${rubylibprefix}/${arch}'}

# Check whether --with-rubyarchprefix was given.
if test "${with_rubyarchprefix+set}" = set; then :
  withval=$with_rubyarchprefix; rubyarchprefix="$withval"
fi



rubysitearchprefix=${multiarch+'${sitearchlibdir}/${RUBY_BASE_NAME}'}${multiarch-'${rubylibprefix}/${sitearch}'}

# Check whether --with-rubysitearchprefix was given.
if test "${with_rubysitearchprefix+set}" = set; then :
  withval=$with_rubysitearchprefix; rubysitearchprefix="$withval"
fi



RI_BASE_NAME=`echo ${RUBY_BASE_NAME} | sed 's/ruby/ri/'`
ridir='${datarootdir}/${RI_BASE_NAME}'

# Check whether --with-ridir was given.
if test "${with_ridir+set}" = set; then :
  withval=$with_ridir; ridir=$withval
fi





# Check whether --with-ruby-version was given.
if test "${with_ruby_version+set}" = set; then :
  withval=$with_ruby_version; ruby_version=$withval
else
  ruby_version=full
fi

unset RUBY_LIB_VERSION
unset RUBY_LIB_VERSION_STYLE
case "$ruby_version" in #(
  full) :
    RUBY_LIB_VERSION_STYLE='3	/* full */' ;; #(
  minor) :
    RUBY_LIB_VERSION_STYLE='2	/* minor */' ;; #(
  *) :
     ;;
esac
if test ${RUBY_LIB_VERSION_STYLE+set}; then
    {
    echo "#define RUBY_LIB_VERSION_STYLE $RUBY_LIB_VERSION_STYLE"
    echo '#define STRINGIZE(x) x'
    test -f revision.h -o -f "${srcdir}/revision.h" || echo '#define RUBY_REVISION 0'
    echo '#include "version.h"'
    echo 'ruby_version=RUBY_LIB_VERSION'
    } > conftest.c
    ruby_version="`$CPP -I. -I"${srcdir}" -I"${srcdir}/include" conftest.c | sed '/^ruby_version=/!d;s/ //g'`"
    eval $ruby_version
elif test -z "${ruby_version}"; then
    as_fn_error $? "No ruby version, No place for bundled libraries" "$LINENO" 5
else
    RUBY_LIB_VERSION="${ruby_version}"
fi




# Check whether --with-sitedir was given.
if test "${with_sitedir+set}" = set; then :
  withval=$with_sitedir; sitedir=$withval
else
  sitedir='${rubylibprefix}/site_ruby'
fi

sitelibdir='${sitedir}/${ruby_version}'


# Check whether --with-sitearchdir was given.
if test "${with_sitearchdir+set}" = set; then :
  withval=$with_sitearchdir; sitearchdir=$withval
else
  sitearchdir=${multiarch+'${rubysitearchprefix}/site_ruby/${ruby_version}'}${multiarch-'${sitelibdir}/${sitearch}'}
fi



# Check whether --with-vendordir was given.
if test "${with_vendordir+set}" = set; then :
  withval=$with_vendordir; vendordir=$withval
else
  vendordir='${rubylibprefix}/vendor_ruby'
fi

vendorlibdir='${vendordir}/${ruby_version}'


# Check whether --with-vendorarchdir was given.
if test "${with_vendorarchdir+set}" = set; then :
  withval=$with_vendorarchdir; vendorarchdir=$withval
else
  vendorarchdir=${multiarch+'${rubysitearchprefix}/vendor_ruby/${ruby_version}'}${multiarch-'${vendorlibdir}/${sitearch}'}
fi


if test "${LOAD_RELATIVE+set}"; then
    cat >>confdefs.h <<_ACEOF
#define LOAD_RELATIVE $LOAD_RELATIVE
_ACEOF

    RUBY_EXEC_PREFIX=''
fi



libdirname=${multiarch+arch}libdir


CONFIGURE="`echo $0 | sed 's|.*/||'`"
configure_args="`echo "${ac_configure_args}" | sed 's/\\$/$$/g'`"

if test "${universal_binary-no}" = yes ; then
    arch="universal-${target_os}"
    if test "${rb_cv_architecture_available}" = yes; then
	cat >>confdefs.h <<_ACEOF
#define RUBY_PLATFORM_CPU __ARCHITECTURE__
_ACEOF

    else
	for archs in ${universal_archnames}; do
	    cpu=`echo $archs | sed 's/.*=//'`
	    archs=`echo $archs | sed 's/=.*//'`
	        test "Xdefined __${archs}__" = X || cat <<EOH >> confdefs.h
#if defined __${archs}__
EOH
cat >>confdefs.h <<_ACEOF
#define RUBY_PLATFORM_CPU "${cpu}"
_ACEOF
    test "Xdefined __${archs}__" = X || cat <<EOH >> confdefs.h
#endif /* defined __${archs}__ */
EOH

	done
    fi
    ints='long int short'
    test "$ac_cv_type_long_long" = yes && ints="'long long' $ints"
    UNIVERSAL_ARCHNAMES="${universal_archnames}"

    UNIVERSAL_INTS="${ints}"

    cat >>confdefs.h <<_ACEOF
#define RUBY_PLATFORM_OS "${target_os}"
_ACEOF

    cat >>confdefs.h <<_ACEOF
#define RUBY_ARCH "universal-"RUBY_PLATFORM_OS
_ACEOF

    cat >>confdefs.h <<_ACEOF
#define RUBY_PLATFORM "universal."RUBY_PLATFORM_CPU"-"RUBY_PLATFORM_OS
_ACEOF

else
    arch="${target_cpu}-${target_os}"
    case "$arch" in #(
  le32-nacl) :
    arch="pnacl" ;; #(
  *) :
     ;;
esac
    cat >>confdefs.h <<_ACEOF
#define RUBY_PLATFORM "$arch"
_ACEOF

fi

unset sitearch
case "$target_os" in #(
  mingw*) :
    sitearch="$target_cpu-$rb_cv_msvcrt" ;; #(
  *) :
     ;;
esac
: ${sitearch='${arch}'}


# Check whether --with-search-path was given.
if test "${with_search_path+set}" = set; then :
  withval=$with_search_path; search_path=$withval
fi

if test "$search_path" != ""; then
    RUBY_SEARCH_PATH=$search_path

fi


# Check whether --with-rubyhdrdir was given.
if test "${with_rubyhdrdir+set}" = set; then :
  withval=$with_rubyhdrdir; rubyhdrdir=$withval
else
  rubyhdrdir='${includedir}/${RUBY_VERSION_NAME}'
fi



# Check whether --with-rubyarchhdrdir was given.
if test "${with_rubyarchhdrdir+set}" = set; then :
  withval=$with_rubyarchhdrdir; rubyarchhdrdir=$withval
else
  rubyarchhdrdir=${multiarch+'${archincludedir}/${RUBY_VERSION_NAME}'}${multiarch-'${rubyhdrdir}/${arch}'}
fi



# Check whether --with-sitehdrdir was given.
if test "${with_sitehdrdir+set}" = set; then :
  withval=$with_sitehdrdir; sitehdrdir=$withval
else
  sitehdrdir='${rubyhdrdir}/site_ruby'
fi



# Check whether --with-sitearchhdrdir was given.
if test "${with_sitearchhdrdir+set}" = set; then :
  withval=$with_sitearchhdrdir; sitearchhdrdir=$withval
else
  sitearchhdrdir=${multiarch+'${sitearchincludedir}/${RUBY_VERSION_NAME}/site_ruby'}${multiarch-'${sitehdrdir}/${sitearch}'}
fi



# Check whether --with-vendorhdrdir was given.
if test "${with_vendorhdrdir+set}" = set; then :
  withval=$with_vendorhdrdir; vendorhdrdir=$withval
else
  vendorhdrdir='${rubyhdrdir}/vendor_ruby'
fi



# Check whether --with-vendorarchhdrdir was given.
if test "${with_vendorarchhdrdir+set}" = set; then :
  withval=$with_vendorarchhdrdir; vendorarchhdrdir=$withval
else
  vendorarchhdrdir=${multiarch+'${sitearchincludedir}/${RUBY_VERSION_NAME}/vendor_ruby'}${multiarch-'${vendorhdrdir}/${sitearch}'}
fi




# Check whether --with-mantype was given.
if test "${with_mantype+set}" = set; then :
  withval=$with_mantype;
			case "$withval" in #(
  man|man.gz|man.bz2|doc|doc.gz|doc.bz2) :
    MANTYPE=$withval ;; #(
  *) :
    as_fn_error $? "invalid man type: $withval" "$LINENO" 5 ;;
esac

fi

if test -z "$MANTYPE"; then
	for ac_prog in nroff awf
do
  # Extract the first word of "$ac_prog", so it can be a program name with args.
set dummy $ac_prog; ac_word=$2
{ $as_echo "$as_me:${as_lineno-$LINENO}: checking for $ac_word" >&5
$as_echo_n "checking for $ac_word... " >&6; }
if ${ac_cv_path_NROFF+:} false; then :
  $as_echo_n "(cached) " >&6
else
  case $NROFF in
  [\\/]* | ?:[\\/]*)
  ac_cv_path_NROFF="$NROFF" # Let the user override the test with a path.
  ;;
  *)
  as_save_IFS=$IFS; IFS=$PATH_SEPARATOR
as_dummy=""/usr/bin:/usr/ucb""
for as_dir in $as_dummy
do
  IFS=$as_save_IFS
  test -z "$as_dir" && as_dir=.
    for ac_exec_ext in '' $ac_executable_extensions; do
  if as_fn_executable_p "$as_dir/$ac_word$ac_exec_ext"; then
    ac_cv_path_NROFF="$as_dir/$ac_word$ac_exec_ext"
    $as_echo "$as_me:${as_lineno-$LINENO}: found $as_dir/$ac_word$ac_exec_ext" >&5
    break 2
  fi
done
  done
IFS=$as_save_IFS

  ;;
esac
fi
NROFF=$ac_cv_path_NROFF
if test -n "$NROFF"; then
  { $as_echo "$as_me:${as_lineno-$LINENO}: result: $NROFF" >&5
    colorize_result "$NROFF" ; }
else
  { $as_echo "$as_me:${as_lineno-$LINENO}: result: no" >&5
    $as_echo "${msg_result_no}no${msg_reset}" ; }
fi


  test -n "$NROFF" && break
done
test -n "$NROFF" || NROFF="/bin/false"

	if ${NROFF} -mdoc ${srcdir}/man/ruby.1 >/dev/null 2>&1; then
		MANTYPE=doc
	else
		MANTYPE=man
	fi
fi


# Check whether --enable-rubygems was given.
if test "${enable_rubygems+set}" = set; then :
  enableval=$enable_rubygems; enable_rubygems="$enableval"
else
  enable_rubygems=yes
fi

if test x"$enable_rubygems" = xno; then
    $as_echo "#define DISABLE_RUBYGEMS 1" >>confdefs.h

    USE_RUBYGEMS=NO
else
    USE_RUBYGEMS=YES
fi


arch_hdrdir="${EXTOUT}/include/${arch}/ruby"
as_dir="${arch_hdrdir}"; as_fn_mkdir_p
config_h="${arch_hdrdir}/config.h"
guard=INCLUDE_RUBY_CONFIG_H
{
  echo "#ifndef $guard"
  echo "#define $guard 1"
  grep -v "^#define PACKAGE_" confdefs.h
  echo "#endif /* $guard */"
} | tr -d '\015' |
(
  if test "x$CONFIGURE_TTY" = xyes; then color=--color; else color=; fi
  exec ${srcdir}/tool/ifchange $color "${config_h}" -
) || as_fn_error $? "failed to create ${config_h}" "$LINENO" 5
tr -d '\015' < largefile.h > confdefs.h
rm largefile.h

BUILTIN_ENCS="`sed -n -e '/^BUILTIN_ENCS[ 	]*=/{' \
	-e s/// -e :l -e '/\\\\$/N' -e 's/\\\\\\n/ /' -e 't l' -e p \
	-e '}' "${srcdir}/enc/Makefile.in"`"
BUILTIN_ENCOBJS=
for e in $BUILTIN_ENCS; do BUILTIN_ENCOBJS="$BUILTIN_ENCOBJS "`echo $e | sed 's/\.c$/.$(OBJEXT)/'`; done


BUILTIN_TRANSES="`sed -n -e '/^BUILTIN_TRANSES[ 	]*=/{' \
	-e s/// -e :l -e '/\\\\$/N' -e 's/\\\\\\n/ /' -e 't l' -e p \
	-e '}' "${srcdir}/enc/Makefile.in"`"
BUILTIN_TRANSSRCS=
BUILTIN_TRANSOBJS=
for e in $BUILTIN_TRANSES; do
  BUILTIN_TRANSSRCS="$BUILTIN_TRANSSRCS "`echo $e | sed 's/\.trans$/.c/'`
  BUILTIN_TRANSOBJS="$BUILTIN_TRANSOBJS "`echo $e | sed 's/\.trans$/.$(OBJEXT)/'`
done



PACKAGE=$RUBY_BASE_NAME

{ $as_echo "$as_me:${as_lineno-$LINENO}: $PACKAGE library version = $ruby_version" >&5
$as_echo "$as_me: $PACKAGE library version = $ruby_version" >&6;}

case " $CPP " in #(
  *" $CC "*) :
    CPP=`echo " $CPP " | sed "s| $CC |"' $(CC) |;s/^ *//;s/  *$//'` ;; #(
  *) :
     ;;
esac

if test x"$firstmf" != x; then
    ac_config_files="$ac_config_files $firstmf:$firsttmpl"

fi
ac_config_files="$ac_config_files Makefile"



# Check whether --with-ruby-pc was given.
if test "${with_ruby_pc+set}" = set; then :
  withval=$with_ruby_pc; ruby_pc="$withval"
else
  ruby_pc="${RUBY_BASE_NAME}-${MAJOR}.${MINOR}.pc"
fi


exec=exec



# Check whether --with-destdir was given.
if test "${with_destdir+set}" = set; then :
  withval=$with_destdir; DESTDIR="$withval"
fi



ac_config_files="$ac_config_files $ruby_pc:template/ruby.pc.in"


cat >confcache <<\_ACEOF
# This file is a shell script that caches the results of configure
# tests run on this system so they can be shared between configure
# scripts and configure runs, see configure's option --config-cache.
# It is not useful on other systems.  If it contains results you don't
# want to keep, you may remove or edit it.
#
# config.status only pays attention to the cache file if you give it
# the --recheck option to rerun configure.
#
# `ac_cv_env_foo' variables (set or unset) will be overridden when
# loading this file, other *unset* `ac_cv_foo' will be assigned the
# following values.

_ACEOF

# The following way of writing the cache mishandles newlines in values,
# but we know of no workaround that is simple, portable, and efficient.
# So, we kill variables containing newlines.
# Ultrix sh set writes to stderr and can't be redirected directly,
# and sets the high bit in the cache file unless we assign to the vars.
(
  for ac_var in `(set) 2>&1 | sed -n 's/^\([a-zA-Z_][a-zA-Z0-9_]*\)=.*/\1/p'`; do
    eval ac_val=\$$ac_var
    case $ac_val in #(
    *${as_nl}*)
      case $ac_var in #(
      *_cv_*) { $as_echo "$as_me:${as_lineno-$LINENO}: WARNING: cache variable $ac_var contains a newline" >&5
$as_echo "$as_me: WARNING: cache variable $ac_var contains a newline" >&2;} ;;
      esac
      case $ac_var in #(
      _ | IFS | as_nl) ;; #(
      BASH_ARGV | BASH_SOURCE) eval $ac_var= ;; #(
      *) { eval $ac_var=; unset $ac_var;} ;;
      esac ;;
    esac
  done

  (set) 2>&1 |
    case $as_nl`(ac_space=' '; set) 2>&1` in #(
    *${as_nl}ac_space=\ *)
      # `set' does not quote correctly, so add quotes: double-quote
      # substitution turns \\\\ into \\, and sed turns \\ into \.
      sed -n \
	"s/'/'\\\\''/g;
	  s/^\\([_$as_cr_alnum]*_cv_[_$as_cr_alnum]*\\)=\\(.*\\)/\\1='\\2'/p"
      ;; #(
    *)
      # `set' quotes correctly as required by POSIX, so do not add quotes.
      sed -n "/^[_$as_cr_alnum]*_cv_[_$as_cr_alnum]*=/p"
      ;;
    esac |
    sort
) |
  sed '
     /^ac_cv_env_/b end
     t clear
     :clear
     s/^\([^=]*\)=\(.*[{}].*\)$/test "${\1+set}" = set || &/
     t end
     s/^\([^=]*\)=\(.*\)$/\1=${\1=\2}/
     :end' >>confcache
if diff "$cache_file" confcache >/dev/null 2>&1; then :; else
  if test -w "$cache_file"; then
    if test "x$cache_file" != "x/dev/null"; then
      { $as_echo "$as_me:${as_lineno-$LINENO}: updating cache $cache_file" >&5
$as_echo "$as_me: updating cache $cache_file" >&6;}
      if test ! -f "$cache_file" || test -h "$cache_file"; then
	cat confcache >"$cache_file"
      else
        case $cache_file in #(
        */* | ?:*)
	  mv -f confcache "$cache_file"$$ &&
	  mv -f "$cache_file"$$ "$cache_file" ;; #(
        *)
	  mv -f confcache "$cache_file" ;;
	esac
      fi
    fi
  else
    { $as_echo "$as_me:${as_lineno-$LINENO}: not updating unwritable cache $cache_file" >&5
$as_echo "$as_me: not updating unwritable cache $cache_file" >&6;}
  fi
fi
rm -f confcache

test "x$prefix" = xNONE && prefix=$ac_default_prefix
# Let make expand exec_prefix.
test "x$exec_prefix" = xNONE && exec_prefix='${prefix}'

# Transform confdefs.h into DEFS.
# Protect against shell expansion while executing Makefile rules.
# Protect against Makefile macro expansion.
#
# If the first sed substitution is executed (which looks for macros that
# take arguments), then branch to the quote section.  Otherwise,
# look for a macro that doesn't take arguments.
ac_script='
:mline
/\\$/{
 N
 s,\\\n,,
 b mline
}
t clear
:clear
s/^[	 ]*#[	 ]*define[	 ][	 ]*\([^	 (][^	 (]*([^)]*)\)[	 ]*\(.*\)/-D\1=\2/g
t quote
s/^[	 ]*#[	 ]*define[	 ][	 ]*\([^	 ][^	 ]*\)[	 ]*\(.*\)/-D\1=\2/g
t quote
b any
:quote
s/[	 `~#$^&*(){}\\|;'\''"<>?]/\\&/g
s/\[/\\&/g
s/\]/\\&/g
s/\$/$$/g
H
:any
${
	g
	s/^\n//
	s/\n/ /g
	p
}
'
DEFS=`sed -n "$ac_script" confdefs.h`


ac_libobjs=
ac_ltlibobjs=
U=
for ac_i in : $LIBOBJS; do test "x$ac_i" = x: && continue
  # 1. Remove the extension, and $U if already installed.
  ac_script='s/\$U\././;s/\.o$//;s/\.obj$//'
  ac_i=`$as_echo "$ac_i" | sed "$ac_script"`
  # 2. Prepend LIBOBJDIR.  When used with automake>=1.10 LIBOBJDIR
  #    will be set to the directory where LIBOBJS objects are built.
  as_fn_append ac_libobjs " \${LIBOBJDIR}$ac_i\$U.$ac_objext"
  as_fn_append ac_ltlibobjs " \${LIBOBJDIR}$ac_i"'$U.lo'
done
LIBOBJS=$ac_libobjs

LTLIBOBJS=$ac_ltlibobjs




: "${CONFIG_STATUS=./config.status}"
ac_write_fail=0
ac_clean_files_save=$ac_clean_files
ac_clean_files="$ac_clean_files $CONFIG_STATUS"
{ $as_echo "$as_me:${as_lineno-$LINENO}: creating $CONFIG_STATUS" >&5
$as_echo "$as_me: creating $CONFIG_STATUS" >&6;}
as_write_fail=0
cat >$CONFIG_STATUS <<_ASEOF || as_write_fail=1
#! $SHELL
# Generated by $as_me.
# Run this file to recreate the current configuration.
# Compiler output produced by configure, useful for debugging
# configure, is in config.log if it exists.

debug=false
ac_cs_recheck=false
ac_cs_silent=false

SHELL=\${CONFIG_SHELL-$SHELL}
export SHELL
_ASEOF
cat >>$CONFIG_STATUS <<\_ASEOF || as_write_fail=1
## -------------------- ##
## M4sh Initialization. ##
## -------------------- ##

# Be more Bourne compatible
DUALCASE=1; export DUALCASE # for MKS sh
if test -n "${ZSH_VERSION+set}" && (emulate sh) >/dev/null 2>&1; then :
  emulate sh
  NULLCMD=:
  # Pre-4.2 versions of Zsh do word splitting on ${1+"$@"}, which
  # is contrary to our usage.  Disable this feature.
  alias -g '${1+"$@"}'='"$@"'
  setopt NO_GLOB_SUBST
else
  case `(set -o) 2>/dev/null` in #(
  *posix*) :
    set -o posix ;; #(
  *) :
     ;;
esac
fi


as_nl='
'
export as_nl
# Printing a long string crashes Solaris 7 /usr/bin/printf.
as_echo='\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\'
as_echo=$as_echo$as_echo$as_echo$as_echo$as_echo
as_echo=$as_echo$as_echo$as_echo$as_echo$as_echo$as_echo
# Prefer a ksh shell builtin over an external printf program on Solaris,
# but without wasting forks for bash or zsh.
if test -z "$BASH_VERSION$ZSH_VERSION" \
    && (test "X`print -r -- $as_echo`" = "X$as_echo") 2>/dev/null; then
  as_echo='print -r --'
  as_echo_n='print -rn --'
elif (test "X`printf %s $as_echo`" = "X$as_echo") 2>/dev/null; then
  as_echo='printf %s\n'
  as_echo_n='printf %s'
else
  if test "X`(/usr/ucb/echo -n -n $as_echo) 2>/dev/null`" = "X-n $as_echo"; then
    as_echo_body='eval /usr/ucb/echo -n "$1$as_nl"'
    as_echo_n='/usr/ucb/echo -n'
  else
    as_echo_body='eval expr "X$1" : "X\\(.*\\)"'
    as_echo_n_body='eval
      arg=$1;
      case $arg in #(
      *"$as_nl"*)
	expr "X$arg" : "X\\(.*\\)$as_nl";
	arg=`expr "X$arg" : ".*$as_nl\\(.*\\)"`;;
      esac;
      expr "X$arg" : "X\\(.*\\)" | tr -d "$as_nl"
    '
    export as_echo_n_body
    as_echo_n='sh -c $as_echo_n_body as_echo'
  fi
  export as_echo_body
  as_echo='sh -c $as_echo_body as_echo'
fi

# The user is always right.
if test "${PATH_SEPARATOR+set}" != set; then
  PATH_SEPARATOR=:
  (PATH='/bin;/bin'; FPATH=$PATH; sh -c :) >/dev/null 2>&1 && {
    (PATH='/bin:/bin'; FPATH=$PATH; sh -c :) >/dev/null 2>&1 ||
      PATH_SEPARATOR=';'
  }
fi


# IFS
# We need space, tab and new line, in precisely that order.  Quoting is
# there to prevent editors from complaining about space-tab.
# (If _AS_PATH_WALK were called with IFS unset, it would disable word
# splitting by setting IFS to empty value.)
IFS=" ""	$as_nl"

# Find who we are.  Look in the path if we contain no directory separator.
as_myself=
case $0 in #((
  *[\\/]* ) as_myself=$0 ;;
  *) as_save_IFS=$IFS; IFS=$PATH_SEPARATOR
for as_dir in $PATH
do
  IFS=$as_save_IFS
  test -z "$as_dir" && as_dir=.
    test -r "$as_dir/$0" && as_myself=$as_dir/$0 && break
  done
IFS=$as_save_IFS

     ;;
esac
# We did not find ourselves, most probably we were run as `sh COMMAND'
# in which case we are not to be found in the path.
if test "x$as_myself" = x; then
  as_myself=$0
fi
if test ! -f "$as_myself"; then
  $as_echo "$as_myself: error: cannot find myself; rerun with an absolute file name" >&2
  exit 1
fi

# Unset variables that we do not need and which cause bugs (e.g. in
# pre-3.0 UWIN ksh).  But do not cause bugs in bash 2.01; the "|| exit 1"
# suppresses any "Segmentation fault" message there.  '((' could
# trigger a bug in pdksh 5.2.14.
for as_var in BASH_ENV ENV MAIL MAILPATH
do eval test x\${$as_var+set} = xset \
  && ( (unset $as_var) || exit 1) >/dev/null 2>&1 && unset $as_var || :
done
PS1='$ '
PS2='> '
PS4='+ '

# NLS nuisances.
LC_ALL=C
export LC_ALL
LANGUAGE=C
export LANGUAGE

# CDPATH.
(unset CDPATH) >/dev/null 2>&1 && unset CDPATH


# as_fn_error STATUS ERROR [LINENO LOG_FD]
# ----------------------------------------
# Output "`basename $0`: error: ERROR" to stderr. If LINENO and LOG_FD are
# provided, also output the error to LOG_FD, referencing LINENO. Then exit the
# script with STATUS, using 1 if that was 0.
as_fn_error ()
{
  as_status=$1; test $as_status -eq 0 && as_status=1
  if test "$4"; then
    as_lineno=${as_lineno-"$3"} as_lineno_stack=as_lineno_stack=$as_lineno_stack
    $as_echo "$as_me:${as_lineno-$LINENO}: error: $2" >&$4
  fi
  $as_echo "$as_me: error: $2" >&2
  as_fn_exit $as_status
} # as_fn_error


# as_fn_set_status STATUS
# -----------------------
# Set $? to STATUS, without forking.
as_fn_set_status ()
{
  return $1
} # as_fn_set_status

# as_fn_exit STATUS
# -----------------
# Exit the shell with STATUS, even in a "trap 0" or "set -e" context.
as_fn_exit ()
{
  set +e
  as_fn_set_status $1
  exit $1
} # as_fn_exit

# as_fn_unset VAR
# ---------------
# Portably unset VAR.
as_fn_unset ()
{
  { eval $1=; unset $1;}
}
as_unset=as_fn_unset
# as_fn_append VAR VALUE
# ----------------------
# Append the text in VALUE to the end of the definition contained in VAR. Take
# advantage of any shell optimizations that allow amortized linear growth over
# repeated appends, instead of the typical quadratic growth present in naive
# implementations.
if (eval "as_var=1; as_var+=2; test x\$as_var = x12") 2>/dev/null; then :
  eval 'as_fn_append ()
  {
    eval $1+=\$2
  }'
else
  as_fn_append ()
  {
    eval $1=\$$1\$2
  }
fi # as_fn_append

# as_fn_arith ARG...
# ------------------
# Perform arithmetic evaluation on the ARGs, and store the result in the
# global $as_val. Take advantage of shells that can avoid forks. The arguments
# must be portable across $(()) and expr.
if (eval "test \$(( 1 + 1 )) = 2") 2>/dev/null; then :
  eval 'as_fn_arith ()
  {
    as_val=$(( $* ))
  }'
else
  as_fn_arith ()
  {
    as_val=`expr "$@" || test $? -eq 1`
  }
fi # as_fn_arith


if expr a : '\(a\)' >/dev/null 2>&1 &&
   test "X`expr 00001 : '.*\(...\)'`" = X001; then
  as_expr=expr
else
  as_expr=false
fi

if (basename -- /) >/dev/null 2>&1 && test "X`basename -- / 2>&1`" = "X/"; then
  as_basename=basename
else
  as_basename=false
fi

if (as_dir=`dirname -- /` && test "X$as_dir" = X/) >/dev/null 2>&1; then
  as_dirname=dirname
else
  as_dirname=false
fi

as_me=`$as_basename -- "$0" ||
$as_expr X/"$0" : '.*/\([^/][^/]*\)/*$' \| \
	 X"$0" : 'X\(//\)$' \| \
	 X"$0" : 'X\(/\)' \| . 2>/dev/null ||
$as_echo X/"$0" |
    sed '/^.*\/\([^/][^/]*\)\/*$/{
	    s//\1/
	    q
	  }
	  /^X\/\(\/\/\)$/{
	    s//\1/
	    q
	  }
	  /^X\/\(\/\).*/{
	    s//\1/
	    q
	  }
	  s/.*/./; q'`

# Avoid depending upon Character Ranges.
as_cr_letters='abcdefghijklmnopqrstuvwxyz'
as_cr_LETTERS='ABCDEFGHIJKLMNOPQRSTUVWXYZ'
as_cr_Letters=$as_cr_letters$as_cr_LETTERS
as_cr_digits='0123456789'
as_cr_alnum=$as_cr_Letters$as_cr_digits

ECHO_C= ECHO_N= ECHO_T=
case `echo -n x` in #(((((
-n*)
  case `echo 'xy\c'` in
  *c*) ECHO_T='	';;	# ECHO_T is single tab character.
  xy)  ECHO_C='\c';;
  *)   echo `echo ksh88 bug on AIX 6.1` > /dev/null
       ECHO_T='	';;
  esac;;
*)
  ECHO_N='-n';;
esac

rm -f conf$$ conf$$.exe conf$$.file
if test -d conf$$.dir; then
  rm -f conf$$.dir/conf$$.file
else
  rm -f conf$$.dir
  mkdir conf$$.dir 2>/dev/null
fi
if (echo >conf$$.file) 2>/dev/null; then
  if ln -s conf$$.file conf$$ 2>/dev/null; then
    as_ln_s='ln -s'
    # ... but there are two gotchas:
    # 1) On MSYS, both `ln -s file dir' and `ln file dir' fail.
    # 2) DJGPP < 2.04 has no symlinks; `ln -s' creates a wrapper executable.
    # In both cases, we have to default to `cp -pR'.
    ln -s conf$$.file conf$$.dir 2>/dev/null && test ! -f conf$$.exe ||
      as_ln_s='cp -pR'
  elif ln conf$$.file conf$$ 2>/dev/null; then
    as_ln_s=ln
  else
    as_ln_s='cp -pR'
  fi
else
  as_ln_s='cp -pR'
fi
rm -f conf$$ conf$$.exe conf$$.dir/conf$$.file conf$$.file
rmdir conf$$.dir 2>/dev/null


# as_fn_mkdir_p
# -------------
# Create "$as_dir" as a directory, including parents if necessary.
as_fn_mkdir_p ()
{

  case $as_dir in #(
  -*) as_dir=./$as_dir;;
  esac
  test -d "$as_dir" || eval $as_mkdir_p || {
    as_dirs=
    while :; do
      case $as_dir in #(
      *\'*) as_qdir=`$as_echo "$as_dir" | sed "s/'/'\\\\\\\\''/g"`;; #'(
      *) as_qdir=$as_dir;;
      esac
      as_dirs="'$as_qdir' $as_dirs"
      as_dir=`$as_dirname -- "$as_dir" ||
$as_expr X"$as_dir" : 'X\(.*[^/]\)//*[^/][^/]*/*$' \| \
	 X"$as_dir" : 'X\(//\)[^/]' \| \
	 X"$as_dir" : 'X\(//\)$' \| \
	 X"$as_dir" : 'X\(/\)' \| . 2>/dev/null ||
$as_echo X"$as_dir" |
    sed '/^X\(.*[^/]\)\/\/*[^/][^/]*\/*$/{
	    s//\1/
	    q
	  }
	  /^X\(\/\/\)[^/].*/{
	    s//\1/
	    q
	  }
	  /^X\(\/\/\)$/{
	    s//\1/
	    q
	  }
	  /^X\(\/\).*/{
	    s//\1/
	    q
	  }
	  s/.*/./; q'`
      test -d "$as_dir" && break
    done
    test -z "$as_dirs" || eval "mkdir $as_dirs"
  } || test -d "$as_dir" || as_fn_error $? "cannot create directory $as_dir"


} # as_fn_mkdir_p
if mkdir -p . 2>/dev/null; then
  as_mkdir_p='mkdir -p "$as_dir"'
else
  test -d ./-p && rmdir ./-p
  as_mkdir_p=false
fi


# as_fn_executable_p FILE
# -----------------------
# Test if FILE is an executable regular file.
as_fn_executable_p ()
{
  test -f "$1" && test -x "$1"
} # as_fn_executable_p
as_test_x='test -x'
as_executable_p=as_fn_executable_p

# Sed expression to map a string onto a valid CPP name.
as_tr_cpp="eval sed 'y%*$as_cr_letters%P$as_cr_LETTERS%;s%[^_$as_cr_alnum]%_%g'"

# Sed expression to map a string onto a valid variable name.
as_tr_sh="eval sed 'y%*+%pp%;s%[^_$as_cr_alnum]%_%g'"


exec 6>&1
## ----------------------------------- ##
## Main body of $CONFIG_STATUS script. ##
## ----------------------------------- ##
_ASEOF
test $as_write_fail = 0 && chmod +x $CONFIG_STATUS || ac_write_fail=1

cat >>$CONFIG_STATUS <<\_ACEOF || ac_write_fail=1
# Save the log message, to keep $0 and so on meaningful, and to
# report actual input values of CONFIG_FILES etc. instead of their
# values after options handling.
ac_log="
This file was extended by $as_me, which was
generated by GNU Autoconf 2.69.  Invocation command line was

  CONFIG_FILES    = $CONFIG_FILES
  CONFIG_HEADERS  = $CONFIG_HEADERS
  CONFIG_LINKS    = $CONFIG_LINKS
  CONFIG_COMMANDS = $CONFIG_COMMANDS
  $ $0 $@

on `(hostname || uname -n) 2>/dev/null | sed 1q`
"

_ACEOF

case $ac_config_files in *"
"*) set x $ac_config_files; shift; ac_config_files=$*;;
esac



cat >>$CONFIG_STATUS <<_ACEOF || ac_write_fail=1
# Files that config.status was made for.
config_files="$ac_config_files"

_ACEOF

cat >>$CONFIG_STATUS <<\_ACEOF || ac_write_fail=1
ac_cs_usage="\
\`$as_me' instantiates files and other configuration actions
from templates according to the current configuration.  Unless the files
and actions are specified as TAGs, all are instantiated by default.

Usage: $0 [OPTION]... [TAG]...

  -h, --help       print this help, then exit
  -V, --version    print version number and configuration settings, then exit
      --config     print configuration, then exit
  -q, --quiet, --silent
                   do not print progress messages
  -d, --debug      don't remove temporary files
      --recheck    update $as_me by reconfiguring in the same conditions
      --file=FILE[:TEMPLATE]
                   instantiate the configuration file FILE

Configuration files:
$config_files

Report bugs to the package provider."

_ACEOF
cat >>$CONFIG_STATUS <<_ACEOF || ac_write_fail=1
ac_cs_config="`$as_echo "$ac_configure_args" | sed 's/^ //; s/[\\""\`\$]/\\\\&/g'`"
ac_cs_version="\\
config.status
configured by $0, generated by GNU Autoconf 2.69,
  with options \\"\$ac_cs_config\\"

Copyright (C) 2012 Free Software Foundation, Inc.
This config.status script is free software; the Free Software Foundation
gives unlimited permission to copy, distribute and modify it."

ac_pwd='$ac_pwd'
srcdir='$srcdir'
INSTALL='$INSTALL'
MKDIR_P='$MKDIR_P'
test -n "\$AWK" || AWK=awk
_ACEOF

cat >>$CONFIG_STATUS <<\_ACEOF || ac_write_fail=1
# The default lists apply if the user does not specify any file.
ac_need_defaults=:
while test $# != 0
do
  case $1 in
  --*=?*)
    ac_option=`expr "X$1" : 'X\([^=]*\)='`
    ac_optarg=`expr "X$1" : 'X[^=]*=\(.*\)'`
    ac_shift=:
    ;;
  --*=)
    ac_option=`expr "X$1" : 'X\([^=]*\)='`
    ac_optarg=
    ac_shift=:
    ;;
  *)
    ac_option=$1
    ac_optarg=$2
    ac_shift=shift
    ;;
  esac

  case $ac_option in
  # Handling of the options.
  -recheck | --recheck | --rechec | --reche | --rech | --rec | --re | --r)
    ac_cs_recheck=: ;;
  --version | --versio | --versi | --vers | --ver | --ve | --v | -V )
    $as_echo "$ac_cs_version"; exit ;;
  --config | --confi | --conf | --con | --co | --c )
    $as_echo "$ac_cs_config"; exit ;;
  --debug | --debu | --deb | --de | --d | -d )
    debug=: ;;
  --file | --fil | --fi | --f )
    $ac_shift
    case $ac_optarg in
    *\'*) ac_optarg=`$as_echo "$ac_optarg" | sed "s/'/'\\\\\\\\''/g"` ;;
    '') as_fn_error $? "missing file argument" ;;
    esac
    as_fn_append CONFIG_FILES " '$ac_optarg'"
    ac_need_defaults=false;;
  --he | --h |  --help | --hel | -h )
    $as_echo "$ac_cs_usage"; exit ;;
  -q | -quiet | --quiet | --quie | --qui | --qu | --q \
  | -silent | --silent | --silen | --sile | --sil | --si | --s)
    ac_cs_silent=: ;;

  # This is an error.
  -*) as_fn_error $? "unrecognized option: \`$1'
Try \`$0 --help' for more information." ;;

  *) as_fn_append ac_config_targets " $1"
     ac_need_defaults=false ;;

  esac
  shift
done

ac_configure_extra_args=

if $ac_cs_silent; then
  exec 6>/dev/null
  ac_configure_extra_args="$ac_configure_extra_args --silent"
fi

_ACEOF
cat >>$CONFIG_STATUS <<_ACEOF || ac_write_fail=1
if \$ac_cs_recheck; then
  set X $SHELL '$0' $ac_configure_args \$ac_configure_extra_args --no-create --no-recursion
  shift
  \$as_echo "running CONFIG_SHELL=$SHELL \$*" >&6
  CONFIG_SHELL='$SHELL'
  export CONFIG_SHELL
  exec "\$@"
fi

_ACEOF
cat >>$CONFIG_STATUS <<\_ACEOF || ac_write_fail=1
exec 5>>config.log
{
  echo
  sed 'h;s/./-/g;s/^.../## /;s/...$/ ##/;p;x;p;x' <<_ASBOX
## Running $as_me. ##
_ASBOX
  $as_echo "$ac_log"
} >&5

_ACEOF
cat >>$CONFIG_STATUS <<_ACEOF || ac_write_fail=1
#
# INIT-COMMANDS
#
firstmf="$firstmf" firsttmpl="$firsttmpl"
EXEEXT='$EXEEXT' gnumake='$gnumake'
ruby_pc='$ruby_pc' PKG_CONFIG='$PKG_CONFIG'

_ACEOF

cat >>$CONFIG_STATUS <<\_ACEOF || ac_write_fail=1

# Handling of arguments.
for ac_config_target in $ac_config_targets
do
  case $ac_config_target in
    "$firstmf") CONFIG_FILES="$CONFIG_FILES $firstmf:$firsttmpl" ;;
    "Makefile") CONFIG_FILES="$CONFIG_FILES Makefile" ;;
    "$ruby_pc") CONFIG_FILES="$CONFIG_FILES $ruby_pc:template/ruby.pc.in" ;;

  *) as_fn_error $? "invalid argument: \`$ac_config_target'" "$LINENO" 5;;
  esac
done


# If the user did not use the arguments to specify the items to instantiate,
# then the envvar interface is used.  Set only those that are not.
# We use the long form for the default assignment because of an extremely
# bizarre bug on SunOS 4.1.3.
if $ac_need_defaults; then
  test "${CONFIG_FILES+set}" = set || CONFIG_FILES=$config_files
fi

# Have a temporary directory for convenience.  Make it in the build tree
# simply because there is no reason against having it here, and in addition,
# creating and moving files from /tmp can sometimes cause problems.
# Hook for its removal unless debugging.
# Note that there is a small window in which the directory will not be cleaned:
# after its creation but before its name has been assigned to `$tmp'.
$debug ||
{
  tmp= ac_tmp=
  trap 'exit_status=$?
  : "${ac_tmp:=$tmp}"
  { test ! -d "$ac_tmp" || rm -fr "$ac_tmp"; } && exit $exit_status
' 0
  trap 'as_fn_exit 1' 1 2 13 15
}
# Create a (secure) tmp directory for tmp files.

{
  tmp=`(umask 077 && mktemp -d "./confXXXXXX") 2>/dev/null` &&
  test -d "$tmp"
}  ||
{
  tmp=./conf$$-$RANDOM
  (umask 077 && mkdir "$tmp")
} || as_fn_error $? "cannot create a temporary directory in ." "$LINENO" 5
ac_tmp=$tmp

# Set up the scripts for CONFIG_FILES section.
# No need to generate them if there are no CONFIG_FILES.
# This happens for instance with `./config.status config.h'.
if test -n "$CONFIG_FILES"; then


ac_cr=`echo X | tr X '\015'`
# On cygwin, bash can eat \r inside `` if the user requested igncr.
# But we know of no other shell where ac_cr would be empty at this
# point, so we can use a bashism as a fallback.
if test "x$ac_cr" = x; then
  eval ac_cr=\$\'\\r\'
fi
ac_cs_awk_cr=`$AWK 'BEGIN { print "a\rb" }' </dev/null 2>/dev/null`
if test "$ac_cs_awk_cr" = "a${ac_cr}b"; then
  ac_cs_awk_cr='\\r'
else
  ac_cs_awk_cr=$ac_cr
fi

echo 'BEGIN {' >"$ac_tmp/subs1.awk" &&
_ACEOF


{
  echo "cat >conf$$subs.awk <<_ACEOF" &&
  echo "$ac_subst_vars" | sed 's/.*/&!$&$ac_delim/' &&
  echo "_ACEOF"
} >conf$$subs.sh ||
  as_fn_error $? "could not make $CONFIG_STATUS" "$LINENO" 5
ac_delim_num=`echo "$ac_subst_vars" | grep -c '^'`
ac_delim='%!_!# '
for ac_last_try in false false false false false :; do
  . ./conf$$subs.sh ||
    as_fn_error $? "could not make $CONFIG_STATUS" "$LINENO" 5

  ac_delim_n=`sed -n "s/.*$ac_delim\$/X/p" conf$$subs.awk | grep -c X`
  if test $ac_delim_n = $ac_delim_num; then
    break
  elif $ac_last_try; then
    as_fn_error $? "could not make $CONFIG_STATUS" "$LINENO" 5
  else
    ac_delim="$ac_delim!$ac_delim _$ac_delim!! "
  fi
done
rm -f conf$$subs.sh

cat >>$CONFIG_STATUS <<_ACEOF || ac_write_fail=1
cat >>"\$ac_tmp/subs1.awk" <<\\_ACAWK &&
_ACEOF
sed -n '
h
s/^/S["/; s/!.*/"]=/
p
g
s/^[^!]*!//
:repl
t repl
s/'"$ac_delim"'$//
t delim
:nl
h
s/\(.\{148\}\)..*/\1/
t more1
s/["\\]/\\&/g; s/^/"/; s/$/\\n"\\/
p
n
b repl
:more1
s/["\\]/\\&/g; s/^/"/; s/$/"\\/
p
g
s/.\{148\}//
t nl
:delim
h
s/\(.\{148\}\)..*/\1/
t more2
s/["\\]/\\&/g; s/^/"/; s/$/"/
p
b
:more2
s/["\\]/\\&/g; s/^/"/; s/$/"\\/
p
g
s/.\{148\}//
t delim
' <conf$$subs.awk | sed '
/^[^""]/{
  N
  s/\n//
}
' >>$CONFIG_STATUS || ac_write_fail=1
rm -f conf$$subs.awk
cat >>$CONFIG_STATUS <<_ACEOF || ac_write_fail=1
_ACAWK
cat >>"\$ac_tmp/subs1.awk" <<_ACAWK &&
  for (key in S) S_is_set[key] = 1
  FS = ""

}
{
  line = $ 0
  nfields = split(line, field, "@")
  substed = 0
  len = length(field[1])
  for (i = 2; i < nfields; i++) {
    key = field[i]
    keylen = length(key)
    if (S_is_set[key]) {
      value = S[key]
      line = substr(line, 1, len) "" value "" substr(line, len + keylen + 3)
      len += length(value) + length(field[++i])
      substed = 1
    } else
      len += 1 + keylen
  }

  print line
}

_ACAWK
_ACEOF
cat >>$CONFIG_STATUS <<\_ACEOF || ac_write_fail=1
if sed "s/$ac_cr//" < /dev/null > /dev/null 2>&1; then
  sed "s/$ac_cr\$//; s/$ac_cr/$ac_cs_awk_cr/g"
else
  cat
fi < "$ac_tmp/subs1.awk" > "$ac_tmp/subs.awk" \
  || as_fn_error $? "could not setup config files machinery" "$LINENO" 5
_ACEOF

# VPATH may cause trouble with some makes, so we remove sole $(srcdir),
# ${srcdir} and @srcdir@ entries from VPATH if srcdir is ".", strip leading and
# trailing colons and then remove the whole line if VPATH becomes empty
# (actually we leave an empty line to preserve line numbers).
if test "x$srcdir" = x.; then
  ac_vpsub='/^[	 ]*VPATH[	 ]*=[	 ]*/{
h
s///
s/^/:/
s/[	 ]*$/:/
s/:\$(srcdir):/:/g
s/:\${srcdir}:/:/g
s/:@srcdir@:/:/g
s/^:*//
s/:*$//
x
s/\(=[	 ]*\).*/\1/
G
s/\n//
s/^[^=]*=[	 ]*$//
}'
fi

cat >>$CONFIG_STATUS <<\_ACEOF || ac_write_fail=1
fi # test -n "$CONFIG_FILES"


eval set X "  :F $CONFIG_FILES      "
shift
for ac_tag
do
  case $ac_tag in
  :[FHLC]) ac_mode=$ac_tag; continue;;
  esac
  case $ac_mode$ac_tag in
  :[FHL]*:*);;
  :L* | :C*:*) as_fn_error $? "invalid tag \`$ac_tag'" "$LINENO" 5;;
  :[FH]-) ac_tag=-:-;;
  :[FH]*) ac_tag=$ac_tag:$ac_tag.in;;
  esac
  ac_save_IFS=$IFS
  IFS=:
  set x $ac_tag
  IFS=$ac_save_IFS
  shift
  ac_file=$1
  shift

  case $ac_mode in
  :L) ac_source=$1;;
  :[FH])
    ac_file_inputs=
    for ac_f
    do
      case $ac_f in
      -) ac_f="$ac_tmp/stdin";;
      *) # Look for the file first in the build tree, then in the source tree
	 # (if the path is not absolute).  The absolute path cannot be DOS-style,
	 # because $ac_f cannot contain `:'.
	 test -f "$ac_f" ||
	   case $ac_f in
	   [\\/$]*) false;;
	   *) test -f "$srcdir/$ac_f" && ac_f="$srcdir/$ac_f";;
	   esac ||
	   as_fn_error 1 "cannot find input file: \`$ac_f'" "$LINENO" 5;;
      esac
      case $ac_f in *\'*) ac_f=`$as_echo "$ac_f" | sed "s/'/'\\\\\\\\''/g"`;; esac
      as_fn_append ac_file_inputs " '$ac_f'"
    done

    # Let's still pretend it is `configure' which instantiates (i.e., don't
    # use $as_me), people would be surprised to read:
    #    /* config.h.  Generated by config.status.  */
    configure_input='Generated from '`
	  $as_echo "$*" | sed 's|^[^:]*/||;s|:[^:]*/|, |g'
	`' by configure.'
    if test x"$ac_file" != x-; then
      configure_input="$ac_file.  $configure_input"
      { $as_echo "$as_me:${as_lineno-$LINENO}: creating $ac_file" >&5
$as_echo "$as_me: creating $ac_file" >&6;}
    fi
    # Neutralize special characters interpreted by sed in replacement strings.
    case $configure_input in #(
    *\&* | *\|* | *\\* )
       ac_sed_conf_input=`$as_echo "$configure_input" |
       sed 's/[\\\\&|]/\\\\&/g'`;; #(
    *) ac_sed_conf_input=$configure_input;;
    esac

    case $ac_tag in
    *:-:* | *:-) cat >"$ac_tmp/stdin" \
      || as_fn_error $? "could not create $ac_file" "$LINENO" 5 ;;
    esac
    ;;
  esac

  ac_dir=`$as_dirname -- "$ac_file" ||
$as_expr X"$ac_file" : 'X\(.*[^/]\)//*[^/][^/]*/*$' \| \
	 X"$ac_file" : 'X\(//\)[^/]' \| \
	 X"$ac_file" : 'X\(//\)$' \| \
	 X"$ac_file" : 'X\(/\)' \| . 2>/dev/null ||
$as_echo X"$ac_file" |
    sed '/^X\(.*[^/]\)\/\/*[^/][^/]*\/*$/{
	    s//\1/
	    q
	  }
	  /^X\(\/\/\)[^/].*/{
	    s//\1/
	    q
	  }
	  /^X\(\/\/\)$/{
	    s//\1/
	    q
	  }
	  /^X\(\/\).*/{
	    s//\1/
	    q
	  }
	  s/.*/./; q'`
  as_dir="$ac_dir"; as_fn_mkdir_p
  ac_builddir=.

case "$ac_dir" in
.) ac_dir_suffix= ac_top_builddir_sub=. ac_top_build_prefix= ;;
*)
  ac_dir_suffix=/`$as_echo "$ac_dir" | sed 's|^\.[\\/]||'`
  # A ".." for each directory in $ac_dir_suffix.
  ac_top_builddir_sub=`$as_echo "$ac_dir_suffix" | sed 's|/[^\\/]*|/..|g;s|/||'`
  case $ac_top_builddir_sub in
  "") ac_top_builddir_sub=. ac_top_build_prefix= ;;
  *)  ac_top_build_prefix=$ac_top_builddir_sub/ ;;
  esac ;;
esac
ac_abs_top_builddir=$ac_pwd
ac_abs_builddir=$ac_pwd$ac_dir_suffix
# for backward compatibility:
ac_top_builddir=$ac_top_build_prefix

case $srcdir in
  .)  # We are building in place.
    ac_srcdir=.
    ac_top_srcdir=$ac_top_builddir_sub
    ac_abs_top_srcdir=$ac_pwd ;;
  [\\/]* | ?:[\\/]* )  # Absolute name.
    ac_srcdir=$srcdir$ac_dir_suffix;
    ac_top_srcdir=$srcdir
    ac_abs_top_srcdir=$srcdir ;;
  *) # Relative name.
    ac_srcdir=$ac_top_build_prefix$srcdir$ac_dir_suffix
    ac_top_srcdir=$ac_top_build_prefix$srcdir
    ac_abs_top_srcdir=$ac_pwd/$srcdir ;;
esac
ac_abs_srcdir=$ac_abs_top_srcdir$ac_dir_suffix


  case $ac_mode in
  :F)
  #
  # CONFIG_FILE
  #

  case $INSTALL in
  [\\/$]* | ?:[\\/]* ) ac_INSTALL=$INSTALL ;;
  *) ac_INSTALL=$ac_top_build_prefix$INSTALL ;;
  esac
  ac_MKDIR_P=$MKDIR_P
  case $MKDIR_P in
  [\\/$]* | ?:[\\/]* ) ;;
  */*) ac_MKDIR_P=$ac_top_build_prefix$MKDIR_P ;;
  esac
_ACEOF

cat >>$CONFIG_STATUS <<\_ACEOF || ac_write_fail=1
# If the template does not know about datarootdir, expand it.
# FIXME: This hack should be removed a few years after 2.60.
ac_datarootdir_hack=; ac_datarootdir_seen=
ac_sed_dataroot='
/datarootdir/ {
  p
  q
}
/@datadir@/p
/@docdir@/p
/@infodir@/p
/@localedir@/p
/@mandir@/p'
case `eval "sed -n \"\$ac_sed_dataroot\" $ac_file_inputs"` in
*datarootdir*) ac_datarootdir_seen=yes;;
*@datadir@*|*@docdir@*|*@infodir@*|*@localedir@*|*@mandir@*)
  { $as_echo "$as_me:${as_lineno-$LINENO}: WARNING: $ac_file_inputs seems to ignore the --datarootdir setting" >&5
$as_echo "$as_me: WARNING: $ac_file_inputs seems to ignore the --datarootdir setting" >&2;}
_ACEOF
cat >>$CONFIG_STATUS <<_ACEOF || ac_write_fail=1
  ac_datarootdir_hack='
  s&@datadir@&$datadir&g
  s&@docdir@&$docdir&g
  s&@infodir@&$infodir&g
  s&@localedir@&$localedir&g
  s&@mandir@&$mandir&g
  s&\\\${datarootdir}&$datarootdir&g' ;;
esac
_ACEOF

# Neutralize VPATH when `$srcdir' = `.'.
# Shell code in configure.ac might set extrasub.
# FIXME: do we really want to maintain this feature?
cat >>$CONFIG_STATUS <<_ACEOF || ac_write_fail=1
ac_sed_extra="$ac_vpsub
$extrasub
_ACEOF
cat >>$CONFIG_STATUS <<\_ACEOF || ac_write_fail=1
:t
/@[a-zA-Z_][a-zA-Z_0-9]*@/!b
s|@configure_input@|$ac_sed_conf_input|;t t
s&@top_builddir@&$ac_top_builddir_sub&;t t
s&@top_build_prefix@&$ac_top_build_prefix&;t t
s&@srcdir@&$ac_srcdir&;t t
s&@abs_srcdir@&$ac_abs_srcdir&;t t
s&@top_srcdir@&$ac_top_srcdir&;t t
s&@abs_top_srcdir@&$ac_abs_top_srcdir&;t t
s&@builddir@&$ac_builddir&;t t
s&@abs_builddir@&$ac_abs_builddir&;t t
s&@abs_top_builddir@&$ac_abs_top_builddir&;t t
s&@INSTALL@&$ac_INSTALL&;t t
s&@MKDIR_P@&$ac_MKDIR_P&;t t
$ac_datarootdir_hack
"
eval sed \"\$ac_sed_extra\" "$ac_file_inputs" | $AWK -f "$ac_tmp/subs.awk" \
  >$ac_tmp/out || as_fn_error $? "could not create $ac_file" "$LINENO" 5

test -z "$ac_datarootdir_hack$ac_datarootdir_seen" &&
  { ac_out=`sed -n '/\${datarootdir}/p' "$ac_tmp/out"`; test -n "$ac_out"; } &&
  { ac_out=`sed -n '/^[	 ]*datarootdir[	 ]*:*=/p' \
      "$ac_tmp/out"`; test -z "$ac_out"; } &&
  { $as_echo "$as_me:${as_lineno-$LINENO}: WARNING: $ac_file contains a reference to the variable \`datarootdir'
which seems to be undefined.  Please make sure it is defined" >&5
$as_echo "$as_me: WARNING: $ac_file contains a reference to the variable \`datarootdir'
which seems to be undefined.  Please make sure it is defined" >&2;}

  rm -f "$ac_tmp/stdin"
  case $ac_file in
  -) cat "$ac_tmp/out" && rm -f "$ac_tmp/out";;
  *) rm -f "$ac_file" && mv "$ac_tmp/out" "$ac_file";;
  esac \
  || as_fn_error $? "could not create $ac_file" "$LINENO" 5
 ;;



  esac


  case $ac_file$ac_mode in
    "Makefile":F)
    tmpmk=confmk$$.tmp
    {
	if test ${VCS+set}; then
	    :
	elif svn info "$srcdir" > /dev/null 2>&1; then
	    VCS='svn'
	elif git_dir=`git --work-tree="$srcdir" --git-dir="$srcdir/.git" rev-parse --git-dir 2>/dev/null`; then
	    if test -d "$git_dir/svn"; then
		VCS='git svn'
	    else
		VCS='git'
	    fi
	else
	    VCS='echo cannot'
	fi
	case "$VCS" in #(
  svn) :
    VCSUP='$(VCS) up $(SVNUPOPTIONS)' ;; #(
  "git svn") :
    VCSUP='$(VCS) rebase $(GITSVNREBASEOPTIONS)' ;; #(
  git) :
    VCSUP='$(VCS) pull $(GITPULLOPTIONS)' ;; #(
  *) :
    VCSUP='$(VCS)' ;;
esac
	sed -n \
	    -e '/^#define \(RUBY_RELEASE_[A-Z]*\) \([0-9][0-9]*\)/{' \
	    -e   's//\1 = \2/' \
	    -e   's/ \([0-9]\)$/ 0\1/' \
	    -e   p \
	    -e '}' "$srcdir/version.h"
	sed '/^MISSING/s/\$U\././g;/^VCS *=/s#@VCS@#'"$VCS"'#;/^VCSUP *=/s#@VCSUP@#'"$VCSUP"'#' Makefile
	echo; test x"$EXEEXT" = x || echo 'miniruby: miniruby$(EXEEXT)'
	if test "$gnumake" != yes; then
	    echo '$(MKFILES): $(srcdir)/common.mk'
	    sed 's/{\$([^(){}]*)[^{}]*}//g' ${srcdir}/common.mk
	else
	    echo 'distclean-local::; @$(RM) GNUmakefile uncommon.mk'
	fi
    } > $tmpmk && if ! grep '^ruby:' $tmpmk > /dev/null; then
	if test "${gnumake}" = yes; then
	    tmpgmk=confgmk$$.tmp
	    {
		echo "include $tmpmk"
		echo "-include uncommon.mk"
	    } > $tmpgmk
	else
	    tmpgmk=$tmpmk
	fi &&
	test -z "`${MAKE-make} -f $tmpgmk info-program | grep '^PROGRAM=ruby$'`" &&
	echo 'ruby: $(PROGRAM);' >> $tmpmk
	test "$tmpmk" = "$tmpgmk" || rm -f "$tmpgmk"
    fi && mv -f $tmpmk Makefile ;;
    "$ruby_pc":F)
    if sed 's/\$(\([A-Za-z_][A-Za-z0-9_]*\))/${\1}/g;s/@[A-Za-z_][A-Za-z0-9_]*@//' $ruby_pc > ruby.tmp.pc &&
	{
	    test -z "$PKG_CONFIG" ||
	    PKG_CONFIG_PATH=. $PKG_CONFIG --print-errors ruby.tmp
	}
    then
	mv -f ruby.tmp.pc $ruby_pc
    else
	exit 1
    fi
     ;;

  esac
done # for ac_tag


as_fn_exit 0
_ACEOF
ac_clean_files=$ac_clean_files_save

test $ac_write_fail = 0 ||
  as_fn_error $? "write failure creating $CONFIG_STATUS" "$LINENO" 5


# configure is writing to config.log, and then calls config.status.
# config.status does its own redirection, appending to config.log.
# Unfortunately, on DOS this fails, as config.log is still kept open
# by configure, so config.status won't be able to write to it; its
# output is simply discarded.  So we exec the FD to /dev/null,
# effectively closing config.log, so it can be properly (re)opened and
# appended to by config.status.  When coming back to configure, we
# need to make the FD available again.
if test "$no_create" != yes; then
  ac_cs_success=:
  ac_config_status_args=
  test "$silent" = yes &&
    ac_config_status_args="$ac_config_status_args --quiet"
  exec 5>/dev/null
  $SHELL $CONFIG_STATUS $ac_config_status_args || ac_cs_success=false
  exec 5>>config.log
  # Use ||, not &&, to avoid exiting from the if with $? = 1, which
  # would make configure fail if this is the last instruction.
  $ac_cs_success || as_fn_exit 1
fi
if test -n "$ac_unrecognized_opts" && test "$enable_option_checking" != no; then
  { $as_echo "$as_me:${as_lineno-$LINENO}: WARNING: unrecognized options: $ac_unrecognized_opts" >&5
$as_echo "$as_me: WARNING: unrecognized options: $ac_unrecognized_opts" >&2;}
fi

}
}

if ${FOLD+:} false; then :

else

if test "`echo abcdefg hijklmno | fold -s -w10 | sed 1d`" = hijklmno; then :
  FOLD="fold"
else
  FOLD=
fi

fi


echo "---"
echo "Configuration summary for $RUBY_BASE_NAME version $RUBY_PROGRAM_VERSION"
echo ""
config_summary "Installation prefix" "$prefix"
config_summary "exec prefix"         "$exec_prefix"
config_summary "arch"                "$arch"
config_summary "site arch"           "$sitearch"
config_summary "RUBY_BASE_NAME"      "$RUBY_BASE_NAME"
config_summary "enable shared"       "$enable_shared"
config_summary "ruby lib prefix"     "$rubylibprefix"
config_summary "site libraries path" "$rubysitearchprefix"
config_summary "vendor path"         "$vendordir"
config_summary "target OS"           "$target_os"
config_summary "compiler"            "$CC"
config_summary "with pthread"        "$enable_pthread"
config_summary "enable shared libs"  "$ENABLE_SHARED"
config_summary "dynamic library ext" "$DLEXT"
config_summary "CFLAGS"              "$cflags"
config_summary "CPPFLAGS"            "$cppflags"
config_summary "LDFLAGS"             "$LDFLAGS"
config_summary "optflags"            "$optflags"
config_summary "debugflags"          "$debugflags"
config_summary "warnflags"           "$warnflags"
config_summary "strip command"       "$STRIP"
config_summary "install doc"         "$install_doc"
config_summary "man page type"       "$MANTYPE"
config_summary "search path"         "$search_path"
config_summary "static-linked-ext"   ${EXTSTATIC:+"yes"}
echo ""
echo "---"
